//自定义组件命名空间
Fw.namespace('Fw.app', 'Fw.device');

//
var _onReady = Fw.onReady;

//自定义扩展
Fw.apply(Fw, {
    /**
     * 页面加载完毕后，初始化应用
     * @param {} app
     */
    onReady: function(app) {
    	app.viewConfig = app.viewConfig || {};
        if(app.viewConfig){
            //显示等待层
            app.viewConfig.loadMask !== false && Fw.LoadMask.show();
            delete app.viewConfig.loadMask;
            
            //更新原生客户端视图设置（标题栏、导航按钮等）
            if(!Fw.isEmpty(app.viewConfig)){
            	Fw.device.Device.applyView(app);
            }
        }
        
        //
        _onReady(app);
    }
});