/**
 * 安全键盘（Web实现）
 */
Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
    //安全键盘（公共）
    require('{fwPath}/widget/Keyboard');
    
    //重写安全键盘
    Fw.apply(Fw.Keyboard, {
        /**
         * 模版
         */
        tpl: [
            '<div class="keyboard" style="position: fixed; top: 0px; border: 0px solid red; width: 100%; height: 280px; background-color: #eeeeee;">',
            '</div>'
        ],
        /**
         * 显示安全键盘
         */
        show: function(el, type, currencySign){
            var config = this.getConfig(el, type, currencySign);
            
            //键盘显示前触发
            this.onBeforeShow();
            
            //显示键盘
            // ... ...
            //暂未实现
            $('html').append(this.tpl.join(''));
            
            $('.keyboard').css({
                top: Fw.getWindowHeight() - 280 + 'px'
            });
            
            //
            Fw.defer(function(){
                $('html').one('click', Fw.bind(function(){
                    $('.keyboard').remove();
                    this.onHidden(this.target.attr('id'));
                }, this));
            }, 100, this);
            
            //
            Fw.Logger.debug('显示安全键盘（%s）...', type);
        }
        
    });
    
    //
    Fw.Logger.debug('加载安全键盘（Web实现）');
});
