Fw.util.HandleUtil = function(){
	
	return {
		
		/**
		 * 比较版本号
		 * defV：默认版本号（功能插件上线时版本号）
		 * curV：客户端当前版本号
		 * 响应：0-当前>默认		1-当前=默认	2-当前<默认   
		 */
		compareVersion: function(defV, curV){
			var defVs=defV.split('.');
			var curVs = curV.split('.');
			var compare = 0; //0-当前>默认  1-当前=默认   2-当前<默认
			var vlength = defVs.length;
			if(curVs.length < defVs.length){ //取最小长度比较版本
				vlength = curVs.length;
			}

			for(var i=0; i<vlength; i++){
				if(curVs[i] == "." || defVs[i]=="."){
					continue;
				}else if(Number(curVs[i]) > Number(defVs[i])){
					compare = 0;
					break;
				}else if(Number(curVs[i]) == Number(defVs[i])){
					compare = 1;
					continue;
				}else{
					compare = 2;
					break;
				}
			}
			if(compare == 1){
				if(curVs.length > defVs.length){
					compare = 0;
				}else if(curVs.length < defVs.length){
					compare = 2;
				}
			}
			return compare;
		},
		
	};
}();