/**
 * 日志输出
 * %s  字符串
 * %d, %i  整型（暂不支持数字型）
 * %f  浮点型 （暂不支持数字型） 
 * %o  对象
 * Fw.Logger.info('%sXXXXXXXXX%d', 'AAA', 123);
 */
Fw.Logger = function(){
    if(console){
        if(window['_debug'] !== true){
            console.debug = Fw.emptyFn;
        }
        return console;
    }
    else{
        return {
            /**
             * 日志信息
             */
            info: Fw.emptyFn,
            /**
             * 调试信息
             */
            debug: Fw.emptyFn,
            /**
             * 警告信息
             */
            warn: Fw.emptyFn,
            /**
             * 错误信息
             */
            error: Fw.emptyFn
        };
    }
}();