/**
 * Storage
 */
Fw.util.Storage = function(){
    //
    return {
        /**
         * 设置
         * @param {Object} key
         * @param {Object} vlaue
         */
        set: function(key, value){
            sessionStorage.setItem(key, value);
            Fw.Logger.debug('设置'+key+":"+value);
        },
        /**
         * 返回
         * @param {Object} key
         */
        get: function(key){
        	Fw.Logger.debug('获取'+key);
            return sessionStorage.getItem(key) || null;
        },
        /**
         * 删除
         * @param {Object} key
         */
        remove: function(key){
            sessionStorage.removeItem(key);
            Fw.Logger.debug('删除'+key);
        },
        /**
         * 清除
         * @param {Object} key/value
         */
        clear: function(){
            sessionStorage.clear();
            Fw.Logger.debug('清除所有storage参数');
        }
    };
}();
