var indexs = [];//索引
var labels = [];//分组（目录分组标签）默认与索引一致
var _val = 0;
var beignTop = 0;
/**
 * 滑动
 */
var moveScroll = function(elStr,catalogueElStr){
	//字符串
	if(!elStr || elStr.length!=1||elStr==""||elStr==undefined){
		return;
	}
	var el = document.querySelector('#'+catalogueElStr+elStr+'-index');
	if(!el||el==undefined||el==null){
		return;
	}
	var scrollTop = $(el).attr('offsetTop');		
	document.body.scrollTop=scrollTop-beignTop;       			
};
Fw.CatalogueIndex = Fw.extend(Fw.Component, {
	isSearch : false,
	isMore : false,
	//索引字母
	icons : ['#','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'],
	initComponent : function() {
		Fw.CatalogueIndex.superclass.initComponent.call(this);
		indexs = this.icons;
		labels = this.labels ? this.labels : this.icons;//默认一样		
		var tpl = [];
		//初始化加载：字母索引回显
		tpl.push('<div class="touchCatalog">');
		tpl.push('<p class="touchIndex touchCatalogIndex"></p>');
		tpl.push('</div>');
		//加载目录
		tpl.push('<div class="catalog">');
		//初始化加载：目录内容
		tpl.push('<div class="catalog-content">');	
		tpl.push('<div class="catalog-content-item">');
		tpl.push('<div class="catalogCounts">');
		tpl.push('</div>');
		tpl.push('</div>');
		tpl.push('</div>');
		//初始化加载：#-Z索引
		tpl.push('<div class="catalog-index" style="overflow: hidden;">');
		for(var i=0;i<this.icons.length;i++){
			tpl.push('<p>' + this.icons[i] + '</p>');
		}
		tpl.push('</div>');
		tpl.push('</div>');
		var compiled = Fw.template(tpl);
		// 得到编译后的HTML
		var html = compiled.render();
		// 将HTML渲染到页面
		this.el.append(html);
		this.el.css('background-color','#fff');
		//设置初始高度
		var top = 10;
		if(this.isSearch){
			var t = $('#'+this.searchbarEl).offset().height + 1;
			t = t == 1 ? 45 : t; 
			this.el.css({'padding-top': t + 'px'});
			top = top + t;
			beignTop = t;
		}
		//初始化  #-Z索引 位置
		var offsetTop = this.el.attr('offsetTop');
    	$('.catalog-index').css({'top':offsetTop+top+"px"});
	},
	initEvents : function() {
		var touchCatalogIndex = "#"+this.contentEl+" "+".touchCatalogIndex";
		var touchCatalog = "#"+this.contentEl+" "+".touchCatalog";
		var contentEl = this.isMore ? this.contentEl : "";
		//索引事件        	pinchStatus
		document.querySelector("#"+this.contentEl+" "+".catalog-index").addEventListener("touchstart",function(touch){
			$(touchCatalog).show();
			if(touch.touches[0].pageY){
				_val = Math.floor((touch.touches[0].pageY-$(this).offset().top)/16);
				if(_val<0||_val>=indexs.length){
    				$(touchCatalog).hide();
    			}
				$(touchCatalogIndex).text(indexs[_val]);
				moveScroll(labels[_val],contentEl);
			}			
		});
		document.querySelector("#"+this.contentEl+" "+".catalog-index").addEventListener("touchmove",function(touch){
			$(touchCatalog).show();
			touch.preventDefault();
			if(touch.touches[0].pageY){
				_val = Math.floor((touch.touches[0].pageY-$(this).offset().top)/16);
				if(_val<0||_val>=indexs.length){
    				$(touchCatalog).hide();
    			}
				$(touchCatalogIndex).text(indexs[_val]);
				moveScroll(labels[_val],contentEl);
			}			
		});
		document.querySelector("#"+this.contentEl+" "+".catalog-index").addEventListener("touchend",function(touch){			
			$(touchCatalog).hide();			
			moveScroll(labels[_val],contentEl);
		});
		this.el.on('click', Fw.bind(this.onItemClick, this));
	},
	initTpl : function() {
		var tpl = [];		
		Fw.each(this.itemTpl, function(item) {
			tpl.push(item);
		}, this);		
		this.itemTpl = Fw.template(tpl);
	},
	loadData: function(data){
		$("#"+this.contentEl+" "+'.catalogCounts').html('');
		this.data = data;
		for (var i = 0; i < data.length; i++) {			
			this.addItem(data[i], i);
		}
	},
	addItem : function(item, index) {
		var html = this.itemTpl.render({
			item : item,
			index : index,
		});
		$("#"+this.contentEl+" "+'.catalogCounts').append(html);
	},
	/**
	 * 按照某字段进行分组data(数据)，index(分组字段)
	 */
	groupByIndex : function(data,index){
    	var catalogData = {};
    	var items = [];
    	var firstChars = {};
    	for (var i=0;i<data.length;i++){
    		var item = data[i];    		      			
        	if(!catalogData[data[i][index]]){       		
        		items.push({
        			FIRSTCHAR : data[i][index],
        			data : [item]
        		});
        		catalogData[data[i][index]] = item;
        	}else {
        		for(var j=0;j<items.length;j++){
        			var dj = items[j];
        			if(dj.FIRSTCHAR == item[index]){
        				dj.data.push(item);
        				break;
        			}
        		}
        	}
    	}    
    	return items;
	},
	onItemClick: function(e){		
		 var el = $(e.target);
		 var items = null;
		 for(var i=0;i<this.data.length;i++){
			 if(this.data[i]['FIRSTCHAR']==el.attr('firstchar')){
				 items = this.data[i];
			 }
		 }
		 if(items==null){
			 return;
		 }
		 var itemElStr = this.isMore ?  this.contentEl+items['FIRSTCHAR']+"-index" : items['FIRSTCHAR']+"-index";
		 var item = document.querySelector("#"+itemElStr);
		 var index = el.attr('index');
	     e.preventDefault();
         this.fireEvent('itemclick', items['data'][index], index, item, e, this);      
	},
});
Fw.Logger.debug('加载目录索引');