/**
 * 等待层（公共）
 * 
 * 1、Web实现
 * device/web/LoadMask.js
 * 
 * 2、WeChat实现
 * 复用Web实现
 * 
 * 3、iPhone实现
 * device/ios/phone/LoadMask.js
 * 
 * 4、iPad实现
 * device/ios/pad/LoadMask.js
 * 
 * 5、android phone实现
 * device/android/phone/LoadMask.js
 * 
 * 6、android pad实现
 * device/android/pad/LoadMask.js
 */
Fw.define(function(require){
	 'require:nomunge,exports:nomunge,module:nomunge';

    //等待层
    Fw.LoadMask = Fw.extend(Fw.Component, {
        /**
         * 默认提示
         */
        msg: '加载中...',
        /**
         * 显示等待层（接口）
         */
        show: Fw.emptyFn,
        /**
         * 隐藏等待层（接口）
         */
        hide: Fw.emptyFn
    });
    
    //
    Fw.Logger.debug('加载等待层组件（公共）');
});