/**
 * OCR组件
 * */
Fw.define(function(require){
'require:nomunge,exports:nomunge,module:nomunge';

	var inputName;	//指定name值的input输入框
	var flag="0";	//身份证正反面的标识 0为正面 1为反面
	var OcrUtil = Fw.extend(Fw.Component, {
		
		getTargetId:function(e){
			 var el= e.target ? $(e.target) : e;
			 e = el.siblings('input');
			 return e.attr('name');
		},
		
		/**
	     * 初始化事件
	     */
	    initEvents: function(){
	    	//扫描银行卡
	    	$('#ocrBankCard').on('click',Fw.bind(this.getOcrBankCard, this));
	    	//扫描身份证正面
            $('#ocrIdCard').on('click', Fw.bind(this.getOcrIdCard, this));
            //扫描身份证背面
            $('#ocrIdCardA').on('click', Fw.bind(this.getOcrIdCard, this));
	    },
	    
	    /**
	     * 扫描银行卡
	     * */
	    getOcrBankCard:function(e){
	    	inputName=Fw.OcrUtil.getTargetId(e);
	    	Fw.device.Device.getOcrBankCard('{"infoFunc":"Fw.OcrUtil.setAccountNo"}')
	    },
	    
	    /**
	     * 扫描身份证
	     * */
	    getOcrIdCard:function(e){
	    	var el= e.target ? $(e.target) : e;
	    	if('ocrIdCardA'==el.attr('id')){
	    		flag="1";	//身份证背面的标识
	    	}
	    	inputName=Fw.OcrUtil.getTargetId(e);
	    	Fw.device.Device.getOcrIdCard('{"infoFunc":"Fw.OcrUtil.getIdCardInfo","imgFunc":"Fw.OcrUtil.getIdCardImg"}');
	    },
	    
	   
	    /**
		 * 扫描银行卡给页面赋值
		 */
		setAccountNo:function(data){
			var jsonData=JSON.parse(data);
			//给银行账号赋值
			$("[name="+inputName+"]").val(jsonData.strNumbers);
			//给银行名称赋值	页面是否存在id=orcBankName的input元素不影响下面的方法执行
			if($('#ocrBankName').find("input").length>0){	//判断元素是否存在
				$('#ocrBankName').find("input").val(jsonData.strBankName);
			}
			if($('#ocrBankName').find("textarea").length>0){	//判断元素是否存在
				$('#ocrBankName').find("textarea").val(jsonData.strBankName);
			}
		},
		
		  /**
		 * 扫描身份证，获取身份证信息
		 */
        getIdCardInfo:function(data){
        	var jsonData=JSON.parse(data);
        	if("1"==jsonData.type){	//身份证正面
        		$("[name="+inputName+"]").val(jsonData.cardnum);//身份证号码
        		$('#ocrCustName').find("input").val(jsonData.name);	//客户名称
        		$('#ocrAddress').find("input").val(jsonData.address);	//户籍
        		$('#ocrAddress').find("input").change(); //给户籍添加change事件
        	}
        	else{
        		if("1"==flag){	//扫描的是身份证背面
        			//身份证有效期
        			$("[name="+inputName+"]").val(Fw.util.Format.fmtDate(jsonData.validdate.split("-")[1],"yyyy/MM/dd",true));
        		}else{
        			Fw.Tips.info('请扫描身份证正面！');
        			return;
        		}
        	}
        },
	});
	
	Fw.Logger.debug('加载OCR组件');
	Fw.OcrUtil = new OcrUtil();
	Fw.Logger.debug('初始化OCR组件');
});