Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
	var el = $('#DynamicPwd');
		var delay;
		//倒计时的文本
		var delayText;
		//倒计时完成后的文本信息
		var delayFinishText;
		//倒计时背景色
		var delayBgColor;
		//倒计时文字颜色
		var delayTextColor;
		//倒计时边框颜色
		var delayBorderColor ;
		//倒计时完成后的背景色
		var delayFinishBgColor ;
		//倒计时完成后的文本颜色
		var delayFinishTextColor;
		//倒计时完成后边框颜色
		var delayFinishBorderColor;
		var parameters;
		var tpl = require('./Otp.tpl').join('');  
		
	 var Otp = Fw.extend(Fw.Component, {
		initEvents : function(){
			$('#otpCountDown').on('click',Fw.bind(this.showOtpCountDown, this));
			$('#challenge-image').on('click',Fw.bind(this.getChallenge, this));
		},
		
		initTpl : function(){			
        	var compiled = Fw.template(tpl);
        	el.html(compiled.render(this.data));
		},
		/**
         * 获取口令序列
         * parameters = {otpType : '', otpNo : '', oTPSeqNo : ''}
         */
		getOtpSeq : function(){
        	Fw.util.Ajax.get({
                service: 'otpsService',
                method: 'getOtpSeq',               
                params: parameters,                       
                loadMask: '正在获取校验码...',
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	console.debug(data);
    					var code = data.CheckCode;
    					var str = "请输入"+code+"对应的动态口令";
    		            $("[name=oTPPassWord]").attr('placeholder', str);    
    		            if(parameters.isOtp!='2'){
    		            	if(code==""||code==undefined){
    		            		Fw.Tips.success("动态口令获取失败!");
        					}else{
        						Fw.Tips.success("动态口令获取成功!");
        					}
    		            	 
    		            };
    		            
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	 $("[name=oTPPassWord]").attr('placeholder', '动态口令获取失败');
	            	
                }
            });
		},
		
		/**
         * 获取口令序列
         * parameters = {otpType : '', otpNo : '', oTPSeqNo : ''}
         */
		getChallenge : function(){
			var params=parameters;
        	Fw.util.Ajax.get({
                service: 'otpsService',
                method: 'getChallenge',               
                params: params,                       
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	if(parameters.isChallenge=='1'){
                		$('#challenge-image').attr('src', Fw.getBasePath() + '/ChallengeServlet/' + data.ChallengeCode);
                	}
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
	            	
                }
            });
		},
		
        /**
    	 * 短信验证码倒计时
    	 */
        initDynamicPwd: function(param){
        	console.log(param);
        	$('#dynPsd').hide();
        	$('#otpSeq').hide();
        	$('#challenge').hide();
        	parameters=param;
        	//1普通类型  2刮刮卡
        	if(parameters.isOtp=='1'||parameters.isOtp=='2'){
        		$('#dynPsd').show();
        	//双向认证
        	}else if(parameters.isOtp=='3'){
        		$('#otpSeq').show();
        		$('#dynPsd').show();
        	//二代令挑战令牌 含挑战值
        	}else if(parameters.isOtp=='4'&&parameters.isChallenge=='1'){
        		$('#challenge').show();
        		$('#dynPsd').show();
        		this.getChallenge();
        	//不显示动态口令
        	}else if(parameters.isOtp=='4'){
        		$('#dynPsd').show();
        		this.getChallenge();
        	}
        	//不显示动态口令
        	else{
        		
        	}
        	if(param.isOtp=='2'){
        		this.getOtpSeq();
        	}
    	},
        
        /**
    	 * 短信验证码倒计时
    	 */
    	showOtpCountDown: function(config,callback){
    		//按钮对象
    	    var e = $('#otpCountDown');
    		//
    		e.attr('disabled','disabled');
    		//
    		//倒计时时间
    		 delay = config.delay || 10;
    		//倒计时的文本
    		 delayText = config.delayText || '{0}秒';
    		//倒计时完成后的文本信息
    		 delayFinishText = config.delayFinishText || '获取';
    		//倒计时背景色
    		 delayBgColor = config.delayBgColor || '#fff';
    		//倒计时文字颜色
    		 delayTextColor = config.delayTextColor || 'grey';
    		//倒计时边框颜色
    		 delayBorderColor = config.delayBorderColor || 'grey';
    		//倒计时完成后的背景色
    		 delayFinishBgColor = config.delayFinishBgColor || '#fff';
    		//倒计时完成后的文本颜色
    		 delayFinishTextColor = config.delayFinishTextColor || '#ff6f00';
    		//倒计时完成后边框颜色
    		 delayFinishBorderColor = config.delayFinishBorderColor || '#ff6f00';
    		//
    		e.css({'background-color':delayBgColor,'color':delayTextColor,'border-color':delayBorderColor});
    		this.timeAction(e);
    		this.getOtpSeq();   
    		
    	},
    	/**
    	 * 启动定时器
    	 */
    	timeAction:function(e){
    		//开始时间
    		var date1 = new Date();
    		//启动定期器
    		var timer = setInterval(function(){
    			//结束时间
    			var date2 = new Date();
    			//时间差的毫秒数
        		var date3 = (date2.getTime() - date1.getTime());
        		//计算相差秒数
        		var seconds = Math.round(date3%(24*3600*1000)%(3600*1000)%(60*1000)/1000);
        		//
        		var fmtDelayText = new String(delayText).format((delay - seconds));
        		e.html(fmtDelayText);
    			//
    			if(seconds == 0 || seconds == delay){
    				clearInterval(timer);
    				//
    				e.removeAttr("disabled");
    				//
    				e.css({'background-color':delayFinishBgColor,'color':delayFinishTextColor,'border-color':delayFinishBorderColor});
    				//
    				e.html(delayFinishText);
    			}
    			
    		},1000);
    	}
	});
	Fw.Logger.debug('加载动态口令');
	Fw.Otp = new Otp();
	Fw.Logger.debug('初始化动态口令');
 	
});