Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
	var	tpl = require('./Default.tpl').join('');
    //初始化常用数据
    Fw.ConstantData = {
    		
    	/**
         * 默认select数据加载
         */
        setDefalut : function(node,data){
    			 	// 编译内容模版
    			var compiled = Fw.template(tpl);
    			// 得到编译后的HTML
    			var html = compiled.render(data);
    			// 将HTML渲染到页面
    			node.html(html);
    	    },
    	/**
    	 * 证件类型
    	 */
    	setIdType : function(node,idx){
   		 var data = {
					idx : idx,
					list : [ {
						'value' : 'P00',
						'option' : '身份证 '
					}, {
						'value' : 'P01',
						'option' : '军官证 '
					}, {
						'value' : 'P02',
						'option' : '文职干部证'
					}, {
						'value' : 'P03',
						'option' : '警官证 '
					}, {
						'value' : 'P04',
						'option' : '士兵军人证'
					}, {
						'value' : 'P05',
						'option' : '中国护照'
					}, {
						'value' : 'P06',
						'option' : '港澳台居民通行证'
					}, {
						'value' : 'P07',
						'option' : '户口簿'
					}, {
						'value' : 'P08',
						'option' : '边民出入境通行证'
					}, {
						'value' : 'P09',
						'option' : '居民身份证（移植待规范）'
					}, {
						'value' : 'P10',
						'option' : '临时身份证'
					}, {
						'value' : 'P11',
						'option' : '离休干部荣誉证'
					}, {
						'value' : 'P12',
						'option' : '武警警官证誉证补折'
					}, {
						'value' : 'P13',
						'option' : '台湾居民往来通行证'
					}, {
						'value' : 'P14',
						'option' : '军官退休证'
					}, {
						'value' : 'P15',
						'option' : '文职干部退休证'
					}, {
						'value' : 'P16',
						'option' : '军事院校学员证'
					}, {
						'value' : 'P17',
						'option' : '武警士兵证'
					}, {
						'value' : 'P18',
						'option' : '武警文职干部证'
					}, {
						'value' : 'P19',
						'option' : '武警军官退休证'
					}, {
						'value' : 'P20',
						'option' : '武警文职干部退休证'
					}, {
						'value' : 'P21',
						'option' : '驾驶执照'
					}, {
						'value' : 'P22',
						'option' : '旧身份证'
					}, {
						'value' : 'P23',
						'option' : '外国护照'
					}, {
						'value' : 'P24',
						'option' : '外国人永久居留证'
					}, {
						'value' : 'P25',
						'option' : '港澳台居民居住证'
					}, {
						'value' : 'P99',
						'option' : '个人其他'
					}, {
						'value' : 'E01',
						'option' : '组织机构代码证'
					}, {
						'value' : 'E02',
						'option' : '营业执照'
					}, {
						'value' : 'E03',
						'option' : '企业名称核准书'
					}, {
						'value' : 'E04',
						'option' : '政府机构/公共机构批文'
					}, {
						'value' : 'E05',
						'option' : '香港商业登记证'
					}, {
						'value' : 'E06',
						'option' : '开户证明'
					}, {
						'value' : 'E07',
						'option' : '军队开户许可证'
					}, {
						'value' : 'E08',
						'option' : '社会团体'
					}, {
						'value' : 'E09',
						'option' : '非法人组织机构代码证'
					}, {
						'value' : 'E10',
						'option' : '贷款卡号'
					}, {
						'value' : 'E99',
						'option' : '企业其他'
					} ]
				};
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 证件类型（核心）
    	 */
        setIdType2 : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : 'A',
					'option' : '居民身份证'
				}, {
					'value' : 'B',
					'option' : '军官证'
				},{
					'value' : 'C',
					'option' : '解放军文职干部证'
				}, {
					'value' : 'D',
					'option' : '警官证'
				}, {
					'value' : 'E',
					'option' : '解放军士兵证'
				}, {
					'value' : 'F',
					'option' : '港澳台居民居住证'
				}, {
					'value' : 'G',
					'option' : '（港、澳）回乡证、通行证'
				}, {
					'value' : 'H',
					'option' : '（台）通行证、有效旅行证'
				}, {
					'value' : 'I',
					'option' : '（外国）护照'
				}, {
					'value' : 'J',
					'option' : '（中国）护照'
				}, {
					'value' : 'K',
					'option' : '武警文职干部证'
				}, {
					'value' : 'L',
					'option' : '武警士兵证'
				}, {
					'value' : 'M',
					'option' : '户口簿'
				}, {
					'value' : 'X',
					'option' : '其他（对私）'
				}, {
					'value' : 'Y',
					'option' : '居民身份证（移植待规范）'
				}, {
					'value' : 'N',
					'option' : '外国人永久居留证'
				}, {
					'value' : 'P',
					'option' : '全国组织机构代码证'
				}, {
					'value' : 'Q',
					'option' : '预先核准通知书'
				}, {
					'value' : 'R',
					'option' : '营业执照'
				}, {
					'value' : 'T',
					'option' : '社会团体证'
				}, {
					'value' : 'U',
					'option' : '贷款卡号'
				}, {
					'value' : 'Z',
					'option' : '其他（对公）'
				}]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
        /**
    	 * 卡号类型
    	 */
		 settransType : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : 'ALL',
					'option' : '全部转账'
				}, {
					'value' : 'IN',
					'option' : '行内转账'
				},{
					'value' : 'HV',
					'option' : '普通转账'
				}, {
					'value' : 'DP',
					'option' : '快速转账'
				}, {
					'value' : 'SM',
					'option' : '同城转账'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
        /**
    	 * 卡号类型
    	 */
		 setAcType : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : 'PDBC',
					'option' : '圆鼎卡'
				}, {
					'value' : 'PSDP',
					'option' : '存折'
				}, {
					'value' : 'PSAV',
					'option' : '一证通'
				}, {
					'value' : 'PCRC',
					'option' : '圆鼎信用卡'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
    	 * 卡号类型
    	 */
		 setAcType2 : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : 'PDBC',
					'option' : '借记卡'
				}, {
					'value' : 'PSDP',
					'option' : '存折'
				}, {
					'value' : 'PSAV',
					'option' : '一证通'
				}, {
					'value' : 'PCRC',
					'option' : '信用卡'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
        /**
    	 * 动态口令类型
    	 */
        setOtpType: function(node,idx){
        	var data = {
    				idx : idx,
    				list : [ {
    					'value' : '1',
    					'option' : '短信验证'
    				}, {
    					'value' : '2',
    					'option' : '动态口令牌+短信'
    				}, {
    					'value' : '0',
    					'option' : '不验证'
    				} ]
        	};        	
        	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
         * 自动还款设置
         * @param node
         * @param id
         */
        setAutoRepayType : function(node,idx){
        	var data = {
    				idx : idx,
    				list : [ {
    					'value' : 'T',
    					'option' : '全额还款'
    				}, {
    					'value' : 'M',
    					'option' : '最低额度还款'
    				}
    				]
        	};        	
        	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 转账类型
    	 */
        setTransferType: function(node,idx){
        	var data = {
    				idx : idx,
    				list : [ {
    					'value' : '0',
    					'option' : '全部'
    				}, {
    					'value' : '4',
    					'option' : '行内转账'
    				}, {
    					'value' : 'HV',
    					'option' : '行外转账'
    				}, {
    					'value' : 'DP',
    					'option' : '跨行快速转账'
    				}, {
    					'value' : 'EWM',
    					'option' : '二维码转账'
    				} ]
        	};        	
        	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 转帐权限类型
    	 */
        setTransValidType: function(node,sta){
        	if(sta=="Y"){
    			var data = {
        				idx : 1,
        				list : [ {
        					'value' : '0',
        					'option' : '查询 '
        				}, {
        					'value' : '1',
        					'option' : '转账/查询'
        				}]
            	};        	
    			
        	}else{
        		 var data = {
          			   idx : 0,
          			   list : [ {
          				   'value' : '0',
          				   'option' : '查询 '
          			   }]
        		 };
        	  
        	};
        	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 推荐人类型
    	 */
        setRererrerType: function(node,sta){
        	var data = {
    				idx : 0,
    				list : [ {
    					'value' : '',
    					'option' : '无'
    				}, {
    					'value' : '1',
    					'option' : '行员'
    				}, {
    					'value' : '0',
    					'option' : '非行员'
    				} ]
        	};        	
        	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        
        /**
    	 * 手机号码转出账号
    	 */
        setPayNo:function(node,data){
        	var	tpl = require('./DefaultAcNo.tpl').join('');  	
        	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 动态获取省份
    	 */
        displayPro : function(node,data,idx){
    	var	tpl = require('./Provice.tpl').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 动态通过省份获取城市
    	 */
        displayCityByPro : function(node,data,idx){
    	var	tpl = require('./CityByPro.tpl').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 动态获取银行
    	 */
        displayBank : function(node,data,idx){
    	var	tpl = require('./ApsBank.tpl').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 动态同城银行
    	 */
        displayBankByCity : function(node,data,idx){
    	var	tpl = require('./CityBank.tpl').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 动态贷款产品
    	 */
        displayLoadlist : function(node,data,idx){
    	var	tpl = require('./LoadProduct.tpl').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 存期类型
    	 */
		 setTerm : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : 'M3',
					'option' : '三个月'
				}, {
					'value' : 'M6',
					'option' : '六个月'
				}, {
					'value' : 'Y1',
					'option' : '一年'
				}, {
					'value' : 'Y2',
					'option' : '二年'
				}, {
					'value' : 'Y3',
					'option' : '三年'
				}, {
					'value' : 'Y5',
					'option' : '五年'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		 /**
    	 * 存期类型(定活通)
    	 */
		 setDHTTerm : function(node,idx) {
			var data = {
				idx : idx,
				list : [ 
				{
					'value' : 'M3',
					'option' : '三个月'
				}, {
					'value' : 'M6',
					'option' : '六个月'
				}, {
					'value' : 'Y1',
					'option' : '一年'
				}, {
					'value' : 'Y2',
					'option' : '二年'
				}, {
					'value' : 'Y3',
					'option' : '三年'
				}, {
					'value' : 'Y5',
					'option' : '五年'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		/**
    	 * 缴费查询类型
    	 */
    	setPayCostType : function(node){
   		 var data = {
					list : [/* {
						'value' : '',
						'option' : '全部 '
					}, */{
						'value' : '20',
						'option' : '电费'
					}, {
						'value' : '21',
						'option' : '有线电视费'
					}, {
						'value' : '22',
						'option' : '水费 '
					}, {
						'value' : '23',
						'option' : '燃气费'
					}, {
						'value' : '24',
						'option' : '电信费'
					}/*, {
						'value' : '25',
						'option' : '移动费'
					}*/]
				};
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
		
		/**
    	 * 自助缴费地区
    	 */
    	setArea : function(node){
   		 var data = {
					list : [ {
						'value' : '025',
						'option' : '南京 '
					}, {
						'value' : '0510',
						'option' : '无锡 '
					}, {
						'value' : '0511',
						'option' : '镇江'
					}, {
						'value' : '0512',
						'option' : '苏州 '
					}, {
						'value' : '0513',
						'option' : '南通'
					}, {
						'value' : '0514',
						'option' : '扬州'
					}, {
						'value' : '0515',
						'option' : '盐城'
					}, {
						'value' : '0516',
						'option' : '徐州'
					}, {
						'value' : '0517',
						'option' : '淮安'
					}, {
						'value' : '0518',
						'option' : '连云港'
					}, {
						'value' : '0519',
						'option' : '常州'
					}, {
						'value' : '0523',
						'option' : '泰州'
					}, {
						'value' : '0527',
						'option' : '宿迁'
					} ]
				};
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
        
        //非税缴费地区
        setArea2 : function(node){
      		 var data = {
   					list : [ {
   						'value' : '025',
   						'option' : '南京 '
   					}, {
   						'value' : '0510',
   						'option' : '无锡 '
   					}, {
   						'value' : '0511',
   						'option' : '镇江'
   					}, {
   						'value' : '0512',
   						'option' : '苏州 '
   					}, {
   						'value' : '0513',
   						'option' : '南通'
   					}, {
   						'value' : '0514',
   						'option' : '扬州'
   					}, {
   						'value' : '0515',
   						'option' : '盐城'
   					}, {
   						'value' : '0517',
   						'option' : '淮安'
   					}, {
   						'value' : '0518',
   						'option' : '连云港'
   					}, {
   						'value' : '0519',
   						'option' : '常州'
   					}, {
   						'value' : '0523',
   						'option' : '泰州'
   					}, {
   						'value' : '0527',
   						'option' : '宿迁'
   					} ]
   				};
      		 	// 编译内容模版
   			var compiled = Fw.template(tpl);
   			// 得到编译后的HTML
   			var html = compiled.render(data);
   			// 将HTML渲染到页面
   			node.html(html);
           },
        
        /**
    	 * 自助缴费地区
    	 */
    	setPaymentUnit: function(node,data){
    		var	tpl = require('./PaymentUnit.tpl.js').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			console.log(data.length);
			// 将HTML渲染到页面
			node.html(html);
        },
        /**
    	 * 口令牌类型
    	 */
        setDynamicSerialType : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : 'RSA_TIMETOKEN',
					'option' : 'RSA电子令牌'
				}, {
					'value' : 'DC_TIMETOKEN',
					'option' : 'DC电子令牌'
				}, {
					'value' : 'TODOS_EASYTOKEN',
					'option' : 'TODOS双向认证令牌'
				}, {
					'value' : 'TODOS_ONETIMECARDTOKEN',
					'option' : 'TODOS双向认证刮刮卡'
				}, {
					'value' : 'TODOS_SMARTCARDTOKEN',
					'option' : 'TODOS智能卡'
				}, {
					'value' : 'RSA_HY2TOKEN',
					'option' : 'RSA恒银二代口令'
				}, {
					'value' : 'RSA_HB2TOKEN',
					'option' : 'RSA恒宝二代口令'
				}, {
					'value' : 'RSA_HBHHTOKEN',
					'option' : 'RSA恒宝混合口令'
				}, {
					'value' : 'RSA_FTHHTOKEN',
					'option' : 'RSA飞天混合口令'
				}, {
					'value' : 'RSA_FT2TOKEN',
					'option' : 'RSA飞天二代口令'
				}]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
        /**
    	 * pos交易明细查询类型
    	 */
        setPosType : function(node) {
			var data = {
				list : [ {
					'value' : '0',
					'option' : '银联POS收单交易清单'
				},{
					'value' : '1',
					'option' : '本行POS交易明细清单'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		/**
    	 * 扫码收银
    	 */
        setQrMyAcNo : function(node,data) {
        	var	tpl = require('./QrMyAcNo.tpl.js').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		/**
    	 * 扫码收银报表生成
    	 */
        setQrAcForm: function(node,data) {
        	var	tpl = require('./QrAcNoForm.tpl.js').join('');
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		 /**
    	 * 银行账户类型
    	 */
		 setBankAcType : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : '11',
					'option' : '行内借记卡'
				}, {
					'value' : '12',
					'option' : '行内活期'
				}, {
					'value' : '13',
					'option' : '行内信用卡'
				}, {
					'value' : '21',
					'option' : '他行借记卡'
				}, {
					'value' : '22',
					'option' : '他行活期'
				}, {
					'value' : '23',
					'option' : '他行信用卡'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
    	 * 银行账户类型
    	 */
		 setBankAcType2 : function(node,idx) {
			var data = {
				idx : idx,
				
				list : [ {
					'value' : 'PDBC',
					'option' : '借记卡'
				}, {
					'value' : 'PSDP',
					'option' : '存折'
				}, {
					'value' : 'PCRC',
					'option' : '信用卡'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
    	 * 绑定卡账户类别
    	 */
		 setBindCardCategory : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : '1',
					'option' : 'Ⅰ类账户'
				}, {
					'value' : '2',
					'option' : 'Ⅱ类账户'
				}, {
					'value' : '3',
					'option' : 'Ⅲ类账户'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
    	 * 开户账户类别
    	 */
		 setCardCategory : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : '2',
					'option' : 'Ⅱ类账户'
				}, {
					'value' : '3',
					'option' : 'Ⅲ类账户'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
    	 * 社保地区
    	 */
		 setSocialSecurityArea : function(node,idx) {
			 var data = {
						list : [ {
							'value' : '0511',
							'option' : '镇江'
						}, {
							'value' : '0515',
							'option' : '盐城'
						}, {
							'value' : '0516',
							'option' : '徐州'
						},
						{
							'value' : '0523',
							'option' : '泰州'
						}, {
							'value' : '0527',
							'option' : '宿迁'
						}, {
							'value' : '0513',
							'option' : '南通'
						}, {
							'value' : '0518',
							'option' : '连云港'
						}, {
							'value' : '0514',
							'option' : '扬州'
						}, {
							'value' : '0517',
							'option' : '淮安'
						}, {
							'value' : '0510',
							'option' : '无锡 '
						}
						/*{
							'value' : '025',
							'option' : '南京 '
						}, {
							'value' : '0512',
							'option' : '苏州 '
						}, {
							'value' : '0513',
							'option' : '南通'
						}, {
							'value' : '0518',
							'option' : '连云港'
						}, {
							'value' : '0519',
							'option' : '常州'
						},*/
						]
					};
	   		 	// 编译内容模版
				var compiled = Fw.template(tpl);
				// 得到编译后的HTML
				var html = compiled.render(data);
				// 将HTML渲染到页面
				node.html(html);
		},
		
		 /**
	     * 社保种类（id命名规则：地区id+编号***，如：0511001）
	     */
	    getSocialSecurityName: function(area){
	    	var list;
	    	switch(area){
	    		case "0511": //镇江
	    			list=[ 
	    			       {
				    	   id: "0511001",
				    	   name: "扬中金保"
	    				}, {
	 			    	   id: "0511002",
				    	   name: "镇江银社"
	    				}, {
	 			    	   id: "0511003",
				    	   name: "丹阳社保"
	    				}, {
	 			    	   id: "0511004",
				    	   name: "句容社保"
	    				},
	    			];
	    			break;
	    		case "0515": //盐城
	    			list=[ 
	    				{
	    					id: "0515003",
	    					name: "盐城社保缴费"
	    				},
	    				{
	    					id: "0515002",
	    					name: "东台社保缴费"
	    				},
	    				{
	    					id: "0515004",
	    					name: "大丰社保"
	    				},
	    				{
	    					id: "0515005",
	    					name: "响水社保"
	    				},

	    				{
	    					id: "0515006",
	    					name: "射阳社保"
	    				},		    				{
	    					id: "0515007",
	    					name: "建湖社保"
	    				},
	    				{
	    					id: "0515008",
	    					name: "阜宁社保缴费"
	    				},	
	    			];
	    			break;
	    		case "0516": //徐州
	    			list=[ 
	    			       {
				    	   id: "0516001",
				    	   name: "徐州社保缴费"
	    				},
	    			];
	    			break;
	    		case "0523": //泰州
	    			list=[ 
	    				{
	    					id: "0523003",
	    					name: "泰州社保缴费"
	    				},
	    			       {
	    					 id: "0523005",
					    	   name: "兴化社保缴费"
		    				},
	    			       {
				    	   id: "0523001",
				    	   name: "泰兴社保"
	    				},
	    				{
	    					id: "0523002",
	    					name: "姜堰社保"
	    				},
	    				{
	    					id: "0523004",
	    					name: "靖江社保"
	    				} 
	    			];
	    			break;
	    		case "0527": //宿迁
	    			list=[ 
	    			       {
				    	   id: "0527001",
				    	   name: "宿迁社保"
	    				},
	    			];
	    			break;
	    		case "0513": //南通
	    			list=[ 
	    			       {
				    	   id: "0513001",
				    	   name: "如皋社保"
	    				},{
						   id: "0513002",
						   name: "启东社保"
		    			},
	    			];
	    			break;
	    		case "0518": //连云港
	    			list=[ 
	    			       {
					    	   id: "0518001",
					    	   name: "东海社保"
	    			       },
	    			       {
					    	   id: "0518003",
					    	   name: "连云港市区"
	    			       },
	    			       {
				       	   	   id: "0518002",
				    	   	   name: "灌南社保"
	    				   },
	    				   {
			    			   id: "0518004",
							   name: "赣榆社保"
				    	   },
				    	   {
				    			id: "0518005",
							    name: "灌云社保"
				    	   }
	    			];
	    			break;
	    		case "0514": //扬州
	    			list=[
	    				{
	    					id: "0514001",
	    					name: "江都社保"
	    				},
	    				{
	    					id: "0514002",
					    	name: "高邮社保"
		    			},{
		    				id: "0514003",
		    				name: "宝应社保"
		    			},{
		    				id: "0514004",
		    				name: "邗江社保"
		    			},{
		    				id: "0514005",
		    				name: "仪征社保"
		    			}
	    			];
	    			break;
	    		case "0517":// 淮安
	    			list=[ 
	    			       /*{
				    	   id: "0517001",
				    	   name: "涟水社保"
	    				},
	    				{
	    					id: "0517002",
					    	name: "淮安社保"
		    			},*/
	    				{
	    					id: "0517003",
					    	name: "金湖社保"
	    				},
	    				{
	    					id: "0517004",
					    	name: "盱眙社保"
		    			}
	    			];
	    			break;
	    		case "0510":// 无锡
	    			list=[ 
	    			       {
				    	   id: "0510001",
				    	   name: "宜兴社保"
	    				},
	    			];
	    			break;
	    	}
	    	return list;
	    },
	    
	    /**
	     * 子社保菜单（id命名规则：父菜单id+编号***，如：0511001001）
	     */
	    getSocialSecurityFuncName: function(socialType){
	    	var list;
	    	switch(socialType){
	    		case "0511001": //扬中金保
	    			list=[ 
	    			       {
				    	   id: "0511001001",
				    	   name: "客户签约",
				    	   url: "../yangZhongJinBao/jinBaoClientSign.html"
	    				}, {
	 			    	   id: "0511001002",
				    	   name: "医疗保险缴费",
				    	   url: "../yangZhongJinBao/jinBaoPayOutlay.html"
	    				}, {
	 			    	   id: "0511001003",
				    	   name: "通知单缴费",
				    	   url: "../yangZhongJinBao/jinBaoNoticePay.html"
	    				}, {
	 			    	   id: "0511001004",
				    	   name: "养老保险缴费",
				    	   url: "../yangZhongJinBao/jinBaoEndowmentPay.html"
	    				},{
	 			    	   id: "0511001005",
				    	   name: "扬中社保查询",
				    	   url: "../yangZhongMinSheng/socialSercurityLifeQry.html"
	    				},
	    			];
	    			break;
	    		case "0511002": //镇江银社
	    			list=[ 
	    			       {
				    	   id: "0511002001",
				    	   name: "客户签约",
				    	   url: "../zhenJiangYinShe/zhenJiangSign.html"
	    				}, {
	 			    	   id: "0511002002",
	 			    	   name: "缴费",
				    	   url: "../zhenJiangYinShe/zhenJiangPayQry.html"
	     				}, {
	 			    	   id: "0511002003",
	 			    	   name: "状态同步",
				    	   url: "../zhenJiangYinShe/zhenJiangSysQry.html"
	     				},
	    			];
	    			break;
	    		case "0511003": //丹阳社保
	    			list=[ {
					    	   id: "0511003006",
					    	   name: "代扣签约",
					    	   url: "../danYangSheBao/sign/danYangsign.html"
		    				},
	    			       {
				    	   id: "0511003002",
				    	   name: "缴费险种（金额）查询",
				    	   url: "../danYangSheBao/insType/insTypeQuery.html"
	    				}, {
				    	   id: "0511003003",
				    	   name: "参保人员缴费",
				    	   url: "../danYangSheBao/payment/danyangPay.html"
	    				}, {
				    	   id: "0511003004",
				    	   name: "通知单缴费",
				    	   url: "../danYangSheBao/notice/danyangNoticePay.html"
	    				}, 
	    				{
				    	   id: "0511003001",
				    	   name: "个人欠费补缴",
				    	   url: "../danYangSheBao/owe/danyangOwePay.html"
	    				}, 
	    				{
				    	   id: "0511003007",
				    	   name: "单位欠费补缴",
				    	   url: "../danYangSheBao/unitOwe/danyangOwePay.html"
	    				},
	    				{
				    	   id: "0511003005",
				    	   name: "状态同步",
				    	   url: "../danYangSheBao/statusSync/danyangStatusSync.html"
	    				}
	    			];
	    			break;
	    		case "0511004": //句容代收社保
	    			list=[ 
	    			       {
					    	   id: "0511004001",
					    	   name: "医疗保险缴纳",
	    			       },
	    			       {
					    	   id: "0511004002",
					    	   name: "养老保险缴纳 ",
	    			       },{
	    			    	   id: "0511004003",
					    	   name: "社保代扣签约",
					    	   url: "./juRongSocialSecurity/juRongSign.html",
	    			       }
	    			];
	    			break;
	    		case "0511004001": //句容代收社保
	    			list=[ 
	    			       {
				    	   id: "0511004001001",
				    	   name: "企业职工医保",
	    				},
	    				{
				    	   id: "0511004001002",
				    	   name: "城乡居民医保",
	    				}
	    			];
	    			break;
	    		case "0511004002": //句容代收社保
	    			list=[ 
	    				{
	    					id: "0511004002001",
	    					name: "企业职工养老",
	    				},
	    				{
	    					id: "0511004002002",
	    					name: "城乡居民养老",
	    				}
	    				];
	    			break;
	    		case "0511004001001": //句容代收社保
	    			list=[ 
	    				{
	    					id: "0511004001001001",
	    					name: "本人缴费",
	    					url: "./juRongSocialSecurity/businessSelfSocialSecurity.html",
	    					value: "20"
	    				},
	    				{
	    					id: "0511004001001002",
	    					name: "他人代缴",
	    					url: "./juRongSocialSecurity/businessOtherSocialSecurity.html",
	    					value: "20"
	    				}
	    				];
	    			break;
	    		case "0511004001002": //句容代收社保
	    			list=[ 
	    				{
	    					id: "0511004001002001",
	    					name: "本人缴费",
	    					url: "./juRongSocialSecurity/ruralSelfSocialSecurity.html",
	    					value: "24"
	    				},
	    				{
	    					id: "0511004001002002",
	    					name: "他人代缴",
	    					url: "./juRongSocialSecurity/ruralOtherSocialSecurity.html",
	    					value: "24"
	    				}
	    				];
	    			break;
	    		case "0511004002001": //句容代收社保
	    			list=[ 
	    				{
	    					id: "0511004002001001",
	    					name: "本人缴费",
	    					url: "./juRongSocialSecurity/businessSelfSocialSecurity.html",
	    					value: "10"
	    				},
	    				{
	    					id: "0511004002001002",
	    					name: "他人代缴",
	    					url: "./juRongSocialSecurity/businessOtherSocialSecurity.html",
	    					value: "10"
	    				}
	    				];
	    			break;
	    		case "0511004002002": //句容代收社保
	    			list=[ 
	    				{
	    					id: "0511004002002001",
	    					name: "本人缴费",
	    					url: "./juRongSocialSecurity/ruralSelfSocialSecurity.html",
	    					value: "15"
	    				},
	    				{
	    					id: "0511004002002002",
	    					name: "他人代缴",
	    					url: "./juRongSocialSecurity/ruralOtherSocialSecurity.html",
	    					value: "15"
	    				}
	    				];
	    			break;
	    		case "0515002": //东台社保缴费
	    			list=[ 
	    				{
	    					id: "0515002003",
	    					name: "单笔缴费",
	    					url: "./DongTaiSocialSecurity/dongTaiPersonInsuranceQry.html"
	    				}
	    				];
	    			break;
	    		case "0515003": //阜宁社保缴费
	    			list=[ 
	    			    {
	    			       id: "0515001001",
						   name: "盐城保费本人签约",
						   url: "../CustomerService/YCSocialSecuritySign/YCSocialSecuritySelfSign.html"
					    },
	    				{
				    	   id: "0515001001",
					       name: "盐城保费他人代扣签约",
					       url: "../CustomerService/YCSocialSecuritySign/YCSocialSecuritySign.html"
		    		    },
	    				{
	    					id: "0515003001",
	    					name: "个人参保信息查询",
	    					url: "./FuNingSocialSecurity/fuNingPersonInsuranceQry.html"
	    				},
	    				{
	    					id: "0515003002",
	    					name: "居民养老医疗缴费",
	    					url: "./FuNingSocialSecurity/fuNingSocialSecurityPay.html"
	    				}
	    				];
	    			break;
	    		case "0515008": //阜宁社保缴费
	    			list=[ 
	    				{
	    					id: "0515001001",
	    					name: "阜宁保费本人签约",
	    					url: "../CustomerService/FNSocialSecuritySign/FNSocialSecuritySelfSign.html"
	    				},
	    				{
	    					id: "0515001001",
	    					name: "阜宁保费他人代扣签约",
	    					url: "../CustomerService/FNSocialSecuritySign/FNSocialSecuritySign.html"
	    				},
	    				{
	    					id: "0515003001",
	    					name: "个人参保信息查询",
	    					url: "./FuNingSocialSecurity/fuNingPersonInsuranceQry.html"
	    				},
	    				{
	    					id: "0515003002",
	    					name: "居民养老医疗缴费",
	    					url: "./FuNingSocialSecurity/fuNingSocialSecurityPay.html"
	    				}
	    				];
	    			break;
	    		//	 
		    	case "0515004": //大丰社保
		    			list=[ 
		    				{
		    					id: "0515004001",
		    					name: "代扣签约",
		    					url: "./YanCheng/DaFengSocialSecurity/daFengApply.html"
		    				},
		    				{
		    					id: "0515004002",
		    					name: "缴费",
		    					url: "./YanCheng/DaFengSocialSecurity/daFengPay.html"
		    				},
		    				{
		    					id: "0515004003",
		    					name: "状态同步",
		    					url: "./YanCheng/DaFengSocialSecurity/daFengStatuSys.html"
		    				}
		    				];
		    			break;
	    		case "0515005": //响水社保缴费
	    			list=[ 
//	    				{
//				    	   id: "0515001001",
//				    	   name: "盐城保费代扣签约",
//				    	   url: "../CustomerService/YCSocialSecuritySign/YCSocialSecuritySign.html"
//	    				},
	    				{
	    					id: "0515005001",
	    					name: "个人参保信息查询",
	    					url: "./XiangShuiSocialSecurity/XiangShuiPersonInsuranceQry.html"
	    				},
	    				{
	    					id: "0515005002",
	    					name: "居民养老医疗缴费",
	    					url: "./XiangShuiSocialSecurity/XiangShuiSocialSecurityPay.html"
	    				}
	    				];
	    			break;

	    		case "0515006": //射阳社保缴费
	    			list=[ 
	    				{
				    	   id: "0515001001",
				    	   name: "射阳保费代扣签约",
				    	   url: "./YanCheng/SheYangSocialSecurity/sheYangSocialSecuritySign.html"
	    				},
	    				{
	    					id: "0515003001",
	    					name: "个人参保信息查询",
	    					url: "./YanCheng/SheYangSocialSecurity/sheYangPersonInsuranceQry.html"
	    				},
	    				{
	    					id: "0515003002",
	    					name: "居民养老医疗缴费",
	    					url: "./YanCheng/SheYangSocialSecurity/sheYangSocialSecurityPay.html"
	    				}
	    				];
	    			break;
    			case "0515007": //建湖社保缴费
	    			list=[ 
	    				{
	    					id: "0515003002",
	    					name: "社保费缴费",
	    					url: "./YanCheng/JianHuSocialSecurity/jianHuSocialSecurityPay.html"
	    				}
	    				];
	    			break;
	    		case "0516001": //徐州社保缴费
	    			list=[ 
	    			       {
				    	   id: "0516001001",
				    	   name: "徐州社保缴费",
				    	   url: "./SocialSecurity.html"
	    				}
	    			];
	    			break;
	    		case "0523001": //泰兴社保
	    			list=[ 
	    			        {
	    					id:"0523001002",
	    					name:"单笔缴费",
	    					url:"./TXSocialSecurity/payForSocialSecurity.html"
	    				},{
	    					id:"0523001003",
	    					name:"代扣协议签约",
	    					url:"./TXSocialSecurity/signForWithholding.html"
	    				},{
	    					id:"0523001004",
	    					name:"状态同步",
	    					url:"./TXSocialSecurity/stateSynchronizationQry.html"
	    				}
	    			];
	    			break;
	    		case "0527001": //宿迁社保
	    			list=[ 
	    			       {
				    	   id: "0527001001",
				    	   name: "个人参保信息查询",
				    	   url: "./SuQian/suQianPersonInsuranceQry.html"
	    				}, {
				    	   id: "0527001002",
				    	   name: "代扣协议维护",
				    	   url: "./SuQian/suQianWithholdProtocol.html"
	    				}, {
				    	   id: "0527001003",
				    	   name: "单笔缴费",
				    	   url: "./SuQian/suQianSocialSecurityPay.html"
	    				}, {
				    	   id: "0527001004",
				    	   name: "状态同步",
				    	   url: "./SuQian/suQianStatusSyn.html"
	    				}
	    			];
	    			break;
	    		case "0523002" :// 姜堰社保
	    			list=[ 
	    			       {
				    	   id: "0523002001",
				    	   name: "单笔缴费",
				    	   url: "./TaiZhouSocialSecurity/payForSocialSecurity.html"
	    				}, {
	    					id: "0523002002",
					    	name: "代扣协议签约",
					    	url: "./TaiZhouSocialSecurity/signForWithholding.html"
	    				}, {
	    					id: "0523002003",
					    	name: "状态同步",
					    	url: "./TaiZhouSocialSecurity/stateSynchronizationQry.html"
	    				}
	    			];
	    			break;
	    		case "0523003" :// 泰州社保缴费
	    			list=[ 
	    				{
	    					id: "0523003001",
	    					name: "正常缴费",
	    					url: "./TaiZhouPaySocialSecurity/taiZhouNormalPay.html"
	    				}, {
	    					id: "0523003002",
	    					name: "补缴缴费",
	    					url: "./TaiZhouPaySocialSecurity/taiZhouSupplementary.html"
	    				}, {
	    					id: "0523003003",
	    					name: "业务撤销",
	    					url: "./TaiZhouPaySocialSecurity/taiZhouRevocation.html"
	    				}, {
	    					id: "0523003004",
	    					name: "状态同步",
	    					url: "./TaiZhouPaySocialSecurity/taiZhouSocialSecuritySys.html"
	    				}
	    				];
	    			break;
	    		case "0523005" :// 兴化社保缴费
	    			list=[ 
	    				{
	    					id: "0523005001",
	    					name: "正常缴费",
	    					url: "./xingHuaSocialSecurity/xingHuaNormalPay.html"
	    				}, {
	    					id: "0523005002",
	    					name: "补缴缴费",
	    					url: "./xingHuaSocialSecurity/xingHuaSupplementary.html"
	    				}, {
	    					id: "0523005003",
	    					name: "业务撤销",
	    					url: "./xingHuaSocialSecurity/xingHuaRevocation.html"
	    				}, {
	    					id: "0523005004",
	    					name: "状态同步",
	    					url: "./xingHuaSocialSecurity/xingHuaSocialSecuritySys.html"
	    				}
	    				];
	    			break;
	    		case "0523004" :// 靖江社保
	    			list=[ 
	    			       {
				    	   id: "0523004001",
				    	   name: "单笔缴费",
				    	   url: "./JingJiangSocialSecurity/payForSocialSecurity.html"
	    				}, {
	    					id: "0523004002",
					    	name: "代扣协议签约",
					    	url: "./JingJiangSocialSecurity/signForWithholding.html"
	    				}, {
	    					id: "0523004003",
					    	name: "状态同步",
					    	url: "./JingJiangSocialSecurity/stateSynchronizationQry.html"
	    				}
	    			];
	    			break;
	    		case "0513001" :// 如皋社保
	    			list=[ 
	    			       {
				    	   id: "0513001001",
				    	   name: "居民医保代扣签约",
				    	   url: "./NanTong/RuGaoSocialSecurity/ruGaoSign.html"
	    				}, {
	    					id: "0513001002",
	    					name: "城乡居民养老保险缴费",
					    	url: "./NanTong/RuGaoSocialSecurity/ruGaoPay.html"
	    				}
	    			];
	    			break;
	    		case "0513002" :// 启东社保
	    			list=[ 
	    			       {
				    	   id: "0513002001",
				    	   name: "城乡居保代扣签约",
				    	   url: "./NanTong/QiDongSocialSecurity/qiDongSign.html"
	    				}, {
	    					id: "0513002002",
					    	name: "城乡居保缴费",
					    	url: "./NanTong/QiDongSocialSecurity/qiDongPay.html"
	    				}, {
	    					id: "0513002003",
					    	name: "城乡居保状态同步",
					    	url: "./NanTong/QiDongSocialSecurity/qiDongStatuSys.html"
	    				},{
	    					id: "0513002004",
	    					name: "补缴缴费",
	    					url: "./NanTong/QiDongSocialSecurity/qiDongPayAdd.html"
	    				}
	    			];
	    			break;
	    		case "0518001" : //东海社保
	    			list=[ 
	    			       {
				    	   id: "0518001001",
				    	   name: "单笔缴费",
				    	   url: "./LianYunGang/EastChinaSea/payForSocialSecurity.html"
	    				}, {
	    					id: "0518001002",
					    	name: "代扣协议签约",
					    	url: "./LianYunGang/EastChinaSea/signForWithholding.html"
	    				}
	    			];
	    			break;
	    		case "0518002" : //灌南社保
	    			list=[ 
	    			       {
				    	   id: "0518002001",
				    	   name: "单笔缴费",
				    	   url: "./LianYunGang/GuanNan/payForGNSocialSecurity.html"
	    				}, {
	    					id: "0518002002",
					    	name: "代扣协议签约",
					    	url: "./LianYunGang/GuanNan/signForGNWithholding.html"
	    				}
	    			];
	    			break;
	    		case "0518003" : //东方社保
	    			list=[ 
	    			       {
				    	   id: "0518003001",
				    	   name: "单笔缴费",
				    	   url: "./LianYunGang/DongFang/payForSocialSecurity.html"
	    				}, {
	    					id: "0518003002",
					    	name: "代扣协议签约",
					    	url: "./LianYunGang/DongFang/signForWithholding.html"
	    				}
	    			];
	    			break;
	    		 case "0518004" : //赣榆社保
		    		 
		    			list=[
		    			      {
		    					id: "0518004001",
		  				    	name: "赣榆社会保险",
		    				  },{
		  			    	    id: "0518004002",
		  			    	    name: "赣榆城乡居民医疗保险 ",
		    				  }
		    			 ];
	    			    break;
	    		  case "0518004001" : //赣榆社保
	    			  list=[
		    			    {
					    	    id: "0518004001001",
					    	    name: "职工社保缴费状态查询",
					    	    url: "./LianYunGang/GanYu/queryMedicalInsuranceSync.html"
		    				}, {
		    					id: "0518004001002",
						    	name: "职工社保缴费",
						    	url: "./LianYunGang/GanYu/payForMedicalInsurance.html"
		    				}
	    				];
	    				break;
	    		  case "0518004002" : //赣榆社保(连云港统一接口)
	    			  list=[
		    			    {
					    	    id: "0518004002001",
					    	    name: "单笔缴费",
					    	    url: "./LianYunGang/GanYuX/payForSocialSecurity.html"
		    				}, {
		    					id: "0518004002002",
						    	name: "代扣协议签约",
						    	url: "./LianYunGang/GanYuX/signForWithholding.html"
		    				}
	    				];
	    				break;
	    		  case "0518005" : //灌云社保
		    			list=[ 
		    			       {
					    	   id: "0518005001",
					    	   name: "单笔缴费",
					    	   url: "./LianYunGang/GuanYun/payForSocialSecurity.html"
		    				}, {
		    					id: "0518005002",
						    	name: "代扣协议签约",
						    	url: "./LianYunGang/GuanYun/signForWithholding.html"
		    				}
		    			];
		    			break;
	    		case "0514001" : //江都社保
	    			list=[ 
	    			    {
	    			    	id: "0514001001",
	    			    	name: "城乡居民医疗保险缴费",
	    			    	url: "./YangZhou/JiangDu/payForMedicalInsurance.html"
	    				}, 
	    				{
	    					id: "0514001002",
					    	name: "城乡居民医疗缴费查询",
					    	url: "./YangZhou/JiangDu/queryMedicalInsuranceSync.html"
	    				}
	    			];
	    			break;
	    		case "0514002" : //高邮社保
	    			list=[ 
	    			    {
	    			    	id: "0514002001",
	    			    	name: "城乡居民医疗保险缴费",
	    			    	url: "./YangZhou/GaoYou/payForMedicalInsurance.html"
	    				}, 
	    				{
	    					id: "0514002002",
					    	name: "城乡居民医疗缴费状态查询",
					    	url: "./YangZhou/GaoYou/queryMedicalInsuranceSync.html"
	    				}
	    			];
	    			break;
	    		case "0514003"://宝应社保
	    			list=[ 
	    			       {
				    	   id: "0514003001",
				    	   name: "居民医疗保险缴费",
				    	   url: "./YangZhou/BaoYing/payForMedicalInsurance.html"
	    				}, {
				    	   id: "0514003002",
				    	   name: "居民医疗保险缴费查询",
				    	   url: "./YangZhou/BaoYing/queryMedicalInsuranceSync.html"
		    			}, {//
	    				   id: "0514003003",
				    	   name: "居民医疗保险代扣签约",
				    	   url: "./YangZhou/BaoYing/sign.html"
	    				}
	    			];
	    			break;
	    		case "0514004" : //邗江社保
	    			list=[ 
	    			    {
	    			    	id: "0514001001",
	    			    	name: "城乡居民医疗保险缴费",
	    			    	url: "./YangZhou/HanJiang/payForMedicalInsurance.html"
	    				}, 
	    				{
	    					id: "0514001002",
					    	name: "城乡居民医疗缴费查询",
					    	url: "./YangZhou/HanJiang/queryMedicalInsuranceSync.html"
	    				}
	    			];
	    			break;
	    		case "0514005" : //仪征社保
	    			list=[ 
	    				{
	    					id: "0514005001",
	    					name: "新农保缴费",
	    					url: "./YangZhou/yizheng/Payment.html"
	    				}, 
	    				{
	    					id: "0514005002",
	    					name: "状态同步",
	    					url: "./YangZhou/yizheng/statusSync.html"
	    				}
	    				];
	    			break;
				case "0517001" : //涟水社保
	    			list=[ 
                            {
	                            id: "0517001001",
	                            name: "个人参保信息查询",
	                            url: "./HuaiAnSocialSecurity/LianShui/lianShuiPersonInsQry.html"
                            },
                            {
		    					id: "0517001002",
						    	name: "居民社保代扣签约",
						    	url: "./HuaiAnSocialSecurity/LianShui/lianShuiSign.html"
		    				},
		    			    {
		    			    	id: "0517001003",
		    			    	name: "单笔缴费",
		    			    	url: "./HuaiAnSocialSecurity/LianShui/lianShuiSocialSecurityPay.html"
		    				}, 
		    				{
		    					id: "0517001004",
						    	name: "状态同步",
						    	url: "./HuaiAnSocialSecurity/LianShui/lianShuiStateSynQry.html"
		    				} 
		    				
		    			];
		    		break;
				case "0517002" : //淮安社保
	    			list=[ 
                            {
	                            id: "0517002001",
	                            name: "个人参保信息查询",
	                            url: "./HuaiAnSocialSecurity/HuaiAn/PersonInsQry.html"
                            },
                            {
		    					id: "0517002002",
						    	name: "居民社保代扣签约",
						    	url: "./HuaiAnSocialSecurity/HuaiAn/Sign.html"
		    				},
		    			    {
		    			    	id: "0517002003",
		    			    	name: "单笔缴费",
		    			    	url: "./HuaiAnSocialSecurity/HuaiAn/SocialSecurityPay.html"
		    				}, 
		    				{
		    					id: "0517002004",
						    	name: "状态同步",
						    	url: "./HuaiAnSocialSecurity/HuaiAn/StateSynQry.html"
		    				} 
		    				
		    			];
		    		break;
				case "0517003" : //金湖社保
	    			list=[ 
                            {
	                            id: "0517003001",
	                            name: "个人参保信息查询",
	                            url: "./HuaiAnSocialSecurity/JinHu/PersonInsQry.html"
                            },
                            {
		    					id: "0517003002",
						    	name: "居民社保代扣签约",
						    	url: "./HuaiAnSocialSecurity/JinHu/Sign.html"
		    				},
		    			    {
		    			    	id: "0517003003",
		    			    	name: "单笔缴费",
		    			    	url: "./HuaiAnSocialSecurity/JinHu/SocialSecurityPay.html"
		    				}, 
		    				{
		    					id: "0517003004",
						    	name: "状态同步",
						    	url: "./HuaiAnSocialSecurity/JinHu/StateSynQry.html"
		    				} 
		    				
		    			];
		    		break;
				case "0517004" : //盱眙社保
	    			list=[ 
                            {
	                            id: "0517004001",
	                            name: "个人参保信息查询",
	                            url: "./HuaiAnSocialSecurity/XuYi/PersonInsQry.html"
                            },
                            {
		    					id: "0517004002",
						    	name: "居民社保代扣签约",
						    	url: "./HuaiAnSocialSecurity/XuYi/Sign.html"
		    				},
		    			    {
		    			    	id: "0517004003",
		    			    	name: "单笔缴费",
		    			    	url: "./HuaiAnSocialSecurity/XuYi/SocialSecurityPay.html"
		    				}, 
		    				{
		    					id: "0517004004",
						    	name: "状态同步",
						    	url: "./HuaiAnSocialSecurity/XuYi/StateSynQry.html"
		    				} 
		    				
		    			];
		    		break;
				case "0510001": //宜兴社保
	    			list=[ 
	    			       {
				    	   id: "0510001001",
				    	   name: "缴费",
				    	   url: "./YiXingSocialSecurity/payment/Payment.html"
	    				}, {
				    	   id: "0510001002",
				    	   name: "状态同步",
				    	   url: "./YiXingSocialSecurity/statusSync/statusSync.html"
	    				}
	    			];
	    			break;
	    	}
	    	return list;
	    },
	    
		/**
	   	 * 银行账户类型
	   	 */
		 setBankAcType : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : '11',
					'option' : '行内借记卡'
				}, {
					'value' : '12',
					'option' : '行内活期'
				}, {
					'value' : '13',
					'option' : '行内信用卡'
				}, {
					'value' : '21',
					'option' : '他行借记卡'
				}, {
					'value' : '22',
					'option' : '他行活期'
				}, {
					'value' : '23',
					'option' : '他行信用卡'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
	   	 * 绑定卡账户类别
	   	 */
		 setBindCardCategory : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : '1',
					'option' : 'Ⅰ类账户'
				}, {
					'value' : '2',
					'option' : 'Ⅱ类账户'
				}, {
					'value' : '3',
					'option' : 'Ⅲ类账户'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
    	 * 交易渠道
    	 */
	    setTranChannel : function(node){
   		 var data = {
					list : [ {
						'value' : '0',
						'option' : '全部'
					}, {
						'value' : '1',
						'option' : '支付宝 '
					}, {
						'value' : '2',
						'option' : '微信'
					}, {
						'value' : '3',
						'option' : '二维码'
					}, {
						'value' : '4',
						'option' : 'POS'
					}]
				};
   		 	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
        },
		
		/**
	   	 * 开户账户类别
	   	 */
		 setCardCategory : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : '2',
					'option' : 'Ⅱ类账户'
				}, {
					'value' : '3',
					'option' : 'Ⅲ类账户'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
		 * 他行卡转账业务种类修改
		 * */
		changeBussKind: function(node,dataCode){
			 var data = {};
			switch(dataCode){
				 case  "D200": //实时代收
				      data = {
					 		list:[{ 
					 				'value':'00100',
					 				'option':'电费'
					 			},{ 
					 				'value':'00200',
					 				'option':'水暖费'
					 			},{ 
					 				'value':'00300',
					 				'option':'煤气费'
					 			},{ 
					 				'value':'00400',
					 				'option':'电话费'
					 			},{ 
					 				 'value' : '00500',
					 				 'option': '通讯费'
					 			},{ 
					 				 'value' : '00600',
					 				 'option': '保险费'
					 			},{ 
					 				 'value' : '00700',
					 				 'option': '房屋管理费'
					 			},{ 
					 				 'value' : '00800',
					 				 'option': '代理服务费'
					 			},{ 
					 				 'value' : '00900',
					 				 'option': '学教费'
					 			},{ 
					 				 'value' : '01000',
					 				 'option': '有线电视费'
					 			},{ 
					 				 'value' : '01100',
					 				 'option': '企业管理费用' 
					 			},{ 
					 				 'value' : '01200',
					 				 'option': '薪金报酬'
					 			}]
				      };
				      break; 
	       	     case  "D201": //贷款还款 
	       	    	   data = {
						  list :[{
									 'value' : '02025',
									 'option': '贷款还款房贷类'
								},{
									 'value' : '02026',
									 'option': '贷款还款车贷类'
								},{  
									 'value' : '02027',
									 'option': '贷款还款信用卡类'
								}]
	       	    	   };
	       	    	   break; 
	       	     case  "D202":   //其他 
	       	    	 data = {
							list:[{
								     'value' : '09001',
								     'option': '其他'
								 }]
	       	    	 };
	       	    	 break;
		       	 case  "D203": //收款
	   	    	 	data = {
							list:[{
								     'value' : '02029',
								     'option': '收款'
								 }]
	   	    	 	};
	   	    	    break;
	       	     case  "D204": //消费
	       	    	data = {
	       	    		 list:[{
	       	    			 'value' : '02030',
	       	    			 'option': '服装类消费'
	       	    		 }, {
	       	    			 'value' : '02031',
	       	    			 'option': '饰品类消费'
	       	    		 }, {
	       	    			 'value' : '02032',
	       	    			 'option': '家居类消费'
	       	    		 }, {
	       	    			 'value' : '02033',
	       	    			 'option': '生活类消费'
	       	    		 }, {
	       	    			 'value' : '02034',
	       	    			 'option': '食品类消费'
	       	    		 }, {
	       	    			 'value' : '02035',
	       	    			 'option': '虚拟类消费'
	       	    		 }, {
	       	    			 'value' : '02036',
	       	    			 'option': '机票类消费'
	       	    		 }, {
	       	    			 'value' : '02037',
	       	    			 'option': '旅游类消费'
	       	    		 }, {
	       	    			 'value' : '02038',
	       	    			 'option': '美容类消费'
	       	    		 }, {
	       	    			 'value' : '02039',
	       	    			 'option': '数码类消费'
	       	    		 }, {
	       	    			 'value' : '02040',
	       	    			 'option': '电器类消费'
	       	    		 }, {
	       	    			 'value' : '02041',
	       	    			 'option': '文体类消费'
	       	    		 }, {
	       	    			 'value' : '02042',
	       	    			 'option': '酒店类消费'
	       	    		 }, {
	       	    			 'value' : '02043',
	       	    			 'option': '其他类消费'
	       	    		 }]
	       	     	};
	       	    	break;
	       	     case  "D205": //慈善捐款
	   	    	 	data = {
							list:[{
								     'value' : '02024',
								     'option': '慈善捐款'
								 }]
	   	    	 	};
	   	    	    break;
	       	     case  "D206": //投资理财
	   	    	 	data = {
							list:[{
								     'value' : '02002',
								     'option': '理财股票类'
								 },{
								     'value' : '02003',
								     'option': '理财基金类'
								 },{
								     'value' : '02004',
								     'option': '理财保险类'
								 },{
								     'value' : '02005',
								     'option': '理财彩票类'
								 },{
								     'value' : '02006',
								     'option': '理财黄金类'
								 },{
								     'value' : '02007',
								     'option': '理财债券类'
								 },{
								     'value' : '02008',
								     'option': '理财其他类'
								 },
							]
	   	    	 	};
	   	    	    break;
				}
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
		/**
    	 * 手机号码收款业务类型
    	 */
		 setRevBusiType : function(node,idx) {
			var data = {
				idx : idx,
				list : [ {
					'value' : 'D200',
					'option' : '实时代收'
				}, {
					'value' : 'D201',
					'option' : '贷款还款'
				}, {
					'value' : 'D202',
					'option' : '其他'
				}, {
					'value' : 'D203',
					'option' : '收款'
				}, {
					'value' : 'D204',
					'option' : '消费'
				}, {
					'value' : 'D205',
					'option' : '慈善捐款'
				}, {
					'value' : 'D206',
					'option' : '投资理财'
				} ]
			};
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(data);
			// 将HTML渲染到页面
			node.html(html);
		},
		
    };
    
    Fw.Logger.debug('加载页面常用数据');
});
