(function(){
    //是否调试模式，true时，加载/js/ares_src/*.js
    window['_debug'] = false;
	//返回基本路径
	window['_getBasePath'] = function(){
		if(!window.basePath){
			var protocol = document.location.protocol;
			var host = document.location.host;
			var pathname = document.location.pathname;
			var ctxname = pathname.split('/')[1];
            if(pathname === '/' || ctxname === 'page' || ctxname === 'login.html'){
                window.basePath = protocol + '//' + host;
            }
            else{
                window.basePath = protocol + '//' + host + '/' + ctxname;
            }
		}
		return window.basePath;
	};
	//返回URL中的参数
	window['_getParameter'] = function (key, location){
	    var url = String(location || document.location);
	    if(key){
            var value = url.match(new RegExp('[?&]' + key + '=([^&]*)(&?)', 'i'));
            return value ? value[1] : null;
	    }
	    else{
            var start = url.indexOf('?');
            if (start == -1) {
                return null;
            }
            //
            url = url.slice(start + 1);
            var items = url.split('&');
            if(items.length === 0){
                return null;
            }
            //
            var key, value, index, item;
            var values = {};
            for (index = 0; index < items.length; index++) {
                item = items[index].split('=');
                key = item[0];
                value = item[item.length - 1];
                if (key) {
                    values[key] = value ? decodeURIComponent(value) : null;
                }
            }
            return values;
	    }
	};
	//
    //window['_fwPath'] = window['_getBasePath']() + (window['_debug'] ? '/js/ares_src' : '/js/ares');
    //window['_themePath'] = window['_getBasePath']() + (window['_debug'] ? '/theme/src' : '/theme');
    //window['_theme'] = window['_getParameter']('theme') || 'default';
	window['_fwPath'] = window['_getBasePath']() + (window['_debug'] ? '/js/ares_src' : '/js/ares');
    window['_themePath'] = window['_getBasePath']() + '/theme/src';//(window['_debug'] ? '/theme/src' : '/theme');
    window['_theme'] = window['_getParameter']('theme') || 'default';
	
	var vars = [window['_getBasePath'](), window['_themePath'], window['_theme'], window['_fwPath'], window['_getParameter']('v') || 1];
    
	//引导框架脚本、样式
	//框架css需build后才可生效
	document.write(
	   (
	       //框架默认样式
           '<link type="text/css" rel="stylesheet" href="{0}/js/ares/resources/default/css/default.css"/>' +
           //自定义主题样式 
           '<link type="text/css" rel="stylesheet" href="{1}/{2}/css/{2}.css"/>' +
           //框架脚本 
	       '<script type="text/javascript" src="{3}/ares.js?v={4}" charset="utf-8"></script>'
	   ).replace(/\{(\d+)\}/g, function(m, i){
		return vars[i];
	}));
})();