/**
 * 创建应用  查看行情
 */
App.Item2 = function() {
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig1: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '挂失',
            
        },
        viewConfig2: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '恢复',
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record,flag) {
        	//标题栏信息
        	if(	App.cardstatus == "zc"){
        		Fw.apply(App.viewConfig, this.viewConfig1);
        		$("#CardType1view").removeClass("sui-hide");
        		$("#CardType2view").addClass("sui-hide");
        		$("#li2smscode").addClass("sui-hide");
        		$("#li2btn").text("挂失");
        	}else{
        		Fw.apply(App.viewConfig, this.viewConfig2);
        		$("#CardType1view").addClass("sui-hide");
        		$("#CardType2view").removeClass("sui-hide");
        		$("#li2smscode").removeClass("sui-hide");
        		$("#li2btn").text("恢复");
        	};
        	 if(App.data.AcType=='PDBC'){
        		 $("#CardType1").text("借记卡卡号");
        		 $("#CardType2").text("借记卡卡号");
        		 $("#li2password").text("交易密码");
        		 $("[name=li2password]").attr("data-label","交易密码");
        		 $("[name=li2password]").attr("placeholder","请输入交易密码");
        	 }else if(App.data.AcType=='PCRC'){
        		 if(App.cardstatus == "yc"){
        			 this.findPhoneNumForPCRC();
        		 };
        		 $("#CardType1").text("贷记卡卡号");
        		 $("#CardType2").text("贷记卡卡号");
        		 $("#li2password").text("查询密码");
        		 $("[name=li2password]").attr("data-label","查询密码");
        		 $("[name=li2password]").attr("placeholder","请输入查询密码");
        	 }else{
        		 Fw.Msg.info('卡类型获取异常');
        	 };
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initShow(record);
        	};
        	
        	//定义表单，如果form对象存在不重复实例化
        	if(!this.form){
        		//定义表单
        		this.form = new Fw.Form({
                    //EL
                    contentEl : 'form1',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
	        	//绑定监听事件，如果表单对象存在不重复绑定事件
        	};
        	
        	if(!flag){
        		this.initEvents();
        	};
        },
        /**
         * 绑定监听事件
         */
        initEvents: function(){
        	this.form.on('beforesubmit', this.beforeSubmit, this);
            //触发提交事件触发
        	this.form.on('submit',this.doSubmit, this);
        	//点击调用倒计时插件
        	$("#li2btn").on('click',Fw.bind(this.continueClick,this));
        	//点击调用倒计时插件
        	$("#li2smsCountDown").on('click',Fw.bind(this.smsCountDownClick,this));
        	App.params2 = true;
        },
        initShow:function(record){
        	 $("#li2cno").text(Fw.util.Format.fmtAcctNo(record.AcNo,true));
        },
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        continueClick: function(){
        	this.form.submit();
        },
        /**
		 * 执行表单提交前操作
		 */
		beforeSubmit:function(values){
			console.log(values);
		},
		/**
		 * 执行提交操作
		 */
		doSubmit:function(values){
			if(App.cardstatus == "zc"){
				this.cardLost(values);
			}else{
				this.cardUnLost(values);
			};
		},
		
		/**
         * 云闪付卡挂失
         */
		cardLost:function(values){
		        var transPwdzc=values['li2password'];
                Fw.util.Ajax.execute({
                     service: 'cloudPayService',
                     method:'executecardLost',
                     //请求参数
                     params: {
                    	 TokenType : App.TokenType,
             			 TokenPan : App.data.TokenPan,
             			 AcType : App.data.AcType,
             			 AcNo : App.data.AcNo,
             			 TrsPassword : transPwdzc,
                     },
                     //是否自动显示等待层（默认true）
                     //允许自定义等待层提示信息（loadMask: '请稍后...'）
                     //loadMask: true,
                     //是否使用数据挡板（默认false）
                     staticData: false,
                     //请求成功后回调
                     success: function(data, result) {
                    	 App.cardstatus="yc";
                    	 $("#lost").text("恢复");
                    	 if(App.data.AcType=='PDBC'){
                    		 $("[name=li2password]").attr("placeholder","请输入交易密码");
                    	 }else if(App.data.AcType=='PCRC'){
                    		 $("[name=li2password]").attr("placeholder","请输入查询密码");
                    	 };
                    	 Fw.Msg.info("挂失成功", function(){
                    		 App.Item2.form.reset();
                    		 Fw.SmsCountDown.reset();
                    		 App.tab.setActiveItem(0);
                         });
                     },
                     //请求错误后回调
                     failure: function(status, textStatus, error) {
                    	 Fw.Msg.error(error);
                    	 App.Item2.form.reset();
                    	 Fw.SmsCountDown.reset();
                    	 if(App.data.AcType=='PDBC'){
                    		 $("[name=li2password]").attr("placeholder","请输入交易密码");
                    	 }else if(App.data.AcType=='PCRC'){
                    		 $("[name=li2password]").attr("placeholder","请输入查询密码");
                    	 };
                     }
                 });
        },
		
		/**
         * 云闪付卡恢复
         */
		cardUnLost:function(values){
		        var AccNo=values['cardNo'];
		        var transPwdzc=values['li2password'];
		        var pwdCode=values.li2smscode;
                Fw.util.Ajax.execute({
                     service: 'cloudPayService',
                     method:'executecardUnLost',
                     //请求参数
                     params: {
                    	 TokenType : App.TokenType,
             			 TokenPan : App.data.TokenPan,
             			 AcType : App.data.AcType,
             			 acNo : App.data.AcNo,
             			 AcNo : AccNo,
             			 TrsPassword : transPwdzc,
             			 pwdCode:pwdCode
                     },
                     //是否自动显示等待层（默认true）
                     //允许自定义等待层提示信息（loadMask: '请稍后...'）
                     //loadMask: true,
                     //是否使用数据挡板（默认false）
                     staticData: false,
                     //请求成功后回调
                     success: function(data, result) {
                    	 App.cardstatus = "zc";
         			 	 $("#lost").text("挂失");
         			 	 if(App.data.AcType=='PCRC'){
                    		 $("[name=cardNo]").attr("placeholder","请输入实体卡卡号");
                    		 $("[name=li2smscode]").attr("placeholder","请输入短信验证码");
                    		 $("[name=li2password]").attr("placeholder","请输入查询密码");
         			 	 }else if(App.data.AcType=='PDBC'){
                    		 $("[name=cardNo]").attr("placeholder","请输入实体卡卡号");
                    		 $("[name=li2smscode]").attr("placeholder","请输入短信验证码");
                    		 $("[name=li2password]").attr("placeholder","请输入交易密码");
         			 	 }
                    	 Fw.Msg.info("恢复成功", function(){
                    		 Fw.SmsCountDown.reset();
                    		 App.Item2.form.reset();
                    		 App.tab.setActiveItem(0);
                         });
                     },
                     //请求错误后回调
                     failure: function(status, textStatus, error) {
                    	 Fw.Msg.error(error);
                    	 Fw.SmsCountDown.reset();
                    	 if(App.data.AcType=='PDBC'&& status=="validate.cloudcard.not.bind.acno"){
                    		 App.Item2.form.reset();
                    		 $("[name=cardNo]").attr("placeholder","请输入实体卡卡号");
                    		 $("[name=li2smscode]").attr("placeholder","请输入短信验证码");
                    		 $("[name=li2password]").attr("placeholder","请输入交易密码");
                    	 }else if(App.data.AcType=='PCRC' && status=="validate.cloudcard.not.bind.acno"){
                    		 App.Item2.form.reset();
                    		 $("[name=cardNo]").attr("placeholder","请输入实体卡卡号");
                    		 $("[name=li2smscode]").attr("placeholder","请输入短信验证码");
                    		 $("[name=li2password]").attr("placeholder","请输入查询密码");
                    	 }else if(App.data.AcType=='PDBC'&& status!="validate.cloudcard.not.bind.acno" ){
                    		 $("[name=li2smscode]").val("");
                    		 $("[name=li2password]").val("");
                    		 $("[name=li2smscode]").attr("placeholder","请输入短信验证码");
                    		 $("[name=li2password]").attr("placeholder","请输入交易密码");
                    	 }else if(App.data.AcType=='PCRC' && status!="validate.cloudcard.not.bind.acno" ){
                    		 $("[name=li2smscode]").val("");
                    		 $("[name=li2password]").val("");
                    		 $("[name=li2smscode]").attr("placeholder","请输入短信验证码");
                    		 $("[name=li2password]").attr("placeholder","请输入查询密码");
                    	 };
                     }
                 });
        },
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '1',
				    payeeAcNo:App.data.AcNo,
				    payeeAcName:Fw.app.Session.getCustName(),
				    amount:"0",
				    phoneNum :App.data.AcType=="PCRC"?"CCF":"",
					transName :"云闪付卡挂失/恢复"
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
        /**
         * 信用卡手机号查询
         */
		findPhoneNumForPCRC:function(){
                Fw.util.Ajax.execute({
                     service: 'cloudPayService',
                     method:'executePhoneNumForPCRC',
                     //请求参数
                     params: {
                    		AcNo : App.data.AcNo,
                     },
                     //是否自动显示等待层（默认true）
                     //允许自定义等待层提示信息（loadMask: '请稍后...'）
                     //loadMask: true,
                     //是否使用数据挡板（默认false）
                     staticData: false,
                     //请求成功后回调
                     success: function(data, result) {
                     },
                 });
        },
    }
}();
