/**
 * 选项卡#子页面2
 */
App.Item2 = function() {
    
	var smsSecurity = null;
	var form;
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '短信限额修改确认',
            /**
             * 右边按钮（默认显示）
             */
            leftButton: {
            	text: '',
            	handler: function(){
            		App.tab.setActiveItem(0);
            	}
            }
            
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//定义表单
        	if(!this.form){
        		form = new Fw.Form({
                    //EL
                    contentEl : 'form2',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
        		
        		//触发提交事件触发
            	form.on('submit', this.doSubmit, this);
        	}
        	
            
            
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	App.Item2.faceFailCnt = 0;
//        	DynamicPwd
        	var perLimit = $("#SMSCifPerTrsLimitAmount").val();
        	var dayLimit = $("#SMSCifLimitAmount").val();
        	
        	$("#SMSCifPerTrsLimitAmount2").val(perLimit);
        	$("#SMSCifLimitAmount2").val(dayLimit);
        	var perD = Number(Fw.util.Format.unFmtAmt(perLimit))-Number(App.pageParams.SMSCIFperTrslimitValue);
        	var dayD = Number(Fw.util.Format.unFmtAmt(dayLimit))-Number(App.pageParams.SMSlimitValue);
        	var checkWay = $('[name="checkWay"] option:selected').val();
        	if(!(perD>0) && !(dayD>0)){// 调低
        		$('#DynamicPwd').hide();
        		$('#smscodeDiv').show();
        	}else{// 调高
        		if('0' == checkWay){
        			$('#smscodeDiv').hide();
        			$('#DynamicPwd').hide();
        		}else {
        			$('#smscodeDiv').show();
        			$('#DynamicPwd').show();            		
        		}
        		/**
            	 * 调用动态口令初始化start
            	 */
            	//动态口令标志
            	var isOtp=Fw.app.Session.getIsOtp();
            	//动态口令类型
            	var otpType=Fw.app.Session.getOtpType();
            	//动态口令序号
            	var otpNo=Fw.app.Session.getOtpNo();
            	
            	param={
            		'isOtp':isOtp,
            		'otpType':otpType,
            		'otpNo':otpNo,
            		'isChallenge':'0',
            		'coderule':''
            	};
            	
            	//初始话动态口令显示
            	Fw.Otp.initDynamicPwd(param);
        	}
        	App.Item2.certDownType = "0"; //0-芯盾初始化，再下载证书   1-不需要芯盾初始化，先下载证书，在设置限额
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//点击调用倒计时插件
        	$('#smsCountDown').off();
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        	
        	$('[name="checkWay"]').on('change',Fw.bind(this.chageCheckWay,this));

        	$('#submitBtn').off();
        	$('#submitBtn').on('click',Fw.bind(this.checkOpt, this));
        	
        	
        },
        chageCheckWay: function(){
        	var checkWay = $('[name="checkWay"] option:selected').val();
        	if('0' == checkWay){
    			$('#smscodeDiv').hide();
    			$('#DynamicPwd').hide();
    		}else {
    			$('#smscodeDiv').show();
    			$('#DynamicPwd').show();
    		}
        },
        /**
         * 验证动态口令
         * parameters = {otpType : '', otpNo : '', oTPPassword : '', challenge : ''}
         */
		checkOpt : function(){
			form.submit();
			console.log("checkOpt start1 !");			
		},
		
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	var phoneNum=$("#newPhoneNum").val();
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '1',
					modType : 0,
					transName:'短信限额修改',
					phoneNum : phoneNum
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
		/**
		 * 表单提交
		 * @param values
		 * @returns
		 */
		doSubmit:function(values){
			
        	Fw.Msg.cfm('是否确定短信交易限额?', function(code, btn, win){
        		if(code == "yes"){
        			if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
                		var clearData = App.Item2.getSignDataforBluetoothKey();
                		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
                				function(data){
                			bluetoothKeySignatureData = data;
            				App.Item2.submit(values);
                			});
                	}else{
                		App.Item2.submit(values);
                	}
        		}
                
            });
        },
        /**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKey: function(){
        	//交易参数
        	var data = {
        			tradeName: "短信限额修改确认", //交易名
        			tradeId: "MCCommbineChannelLimit", //接口名
	    			labelData: [ 
	    			     {
			            	labelName: "SMSCifPerTrsLimitAmount", labelDesc: "修改后单笔限额: ",labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("[name=SMSCifPerTrsLimitAmount]").val()))
			            },{
			            	labelName: "SMSCifLimitAmount", labelDesc: "修改后日累计限额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("[name=SMSCifLimitAmount]").val()))
			            } ]
        	};
        	return data;
        },
        submit:function(values){
        	var checkWay = $('[name="checkWay"] option:selected').val();
        	var perLimit = $("#SMSCifPerTrsLimitAmount").val();
        	var dayLimit = $("#SMSCifLimitAmount").val();
        	var perD = Number(Fw.util.Format.unFmtAmt(perLimit))-Number(App.pageParams.SMSCIFperTrslimitValue);
        	var dayD = Number(Fw.util.Format.unFmtAmt(dayLimit))-Number(App.pageParams.SMSlimitValue);
        	var checkWay = $('[name="checkWay"] option:selected').val();
        	if(!(perD>0) && !(dayD>0)){// 调低
        		App.Item2.certDownType = "2";
        		App.Item2.submitToService(values);
        	}else if(checkWay=='1'){// 介质
        		App.Item2.submitToServiceByOtp(values);
        	}else{// 人脸识别
        		App.Item2.submitToServiceByFace(values);      		
        	}       	
        },
        // *********************调高限额-介质***********************************************
        submitToServiceByOtp: function(values){
        	// 普通短信客户标志
        	var SmsHFlag = App.smsType;
        	var flag = false;// 不是普通短信客户
        	if(SmsHFlag.indexOf('T')>-1){
        		flag = true;// 普通短信客户
        	}
        	if(flag){
        		// 普通客户介质验证通过需进行初始化
        		App.Item2.submitForTByOtp(values);
        	}else {
        		App.Item2.submitToServiceValues = values;
        		App.Item2.certDownType = "1";
        		if(App.certDownFlag != "0"){ //0-下载   1-不下载
        			App.Item2.submitToService(values);
        		}else{
        			App.Item2.downloadCert();
        		}
        	}
        },
        // *********************调高限额-人脸识别***********************************************
        submitToServiceByFace: function(values){
        	// 普通短信客户标志
        	var SmsHFlag = App.smsType;
        	var flag = false;// 不是普通短信客户
        	if(SmsHFlag.indexOf('T')>-1){
        		flag = true;// 普通短信客户
        	}
        	if(flag){
        		// 普通客户人脸识别通过需进行初始化
        		App.Item2.subParams = values;
        		App.SignChannel = 'MOB-xetg';
        		Fw.device.Device.getCamara('App.Item2.getFaceData');
        	}else {
        		App.Item2.subParams = values;
        		App.SignChannel = 'MOB-xetg';
        		Fw.device.Device.getCamara('App.Item2.getFaceData');
        	}
        },
        // *********************动态口令   E盾初始化************************************************
        submitForTByOtp: function(values){
        	var params = {
        			oTPPassword:values.oTPPassword,
        			SignCert: bluetoothKeySignatureData.signCert, //证书
                	SignatureCleartext: bluetoothKeySignatureData.signatureCleartext, //签名明文
                	SignatureCiphertext: bluetoothKeySignatureData.signatureCiphertext, //签名密文
        	};
        	Fw.SmsCountDown.getSMSParams(values.smscode,function(data){
        		params = Fw.util.Format.jsonAddJson(params,data);
        		// 获得验证码密文
    			Fw.util.Ajax.execute({
    				// 数据源（服务接口）
    				service : 'SMSEncryptionKeyService',
    				method: 'executeCheck',				  
    				params:params,
    		        success: function(data, result) {
    		        	App.HKECertTransferToken = data.HKECertTransferToken;
    		        	App.OTPToken = data.OTPToken||"";
    		        	var param = "";
                		var SmsType = Fw.app.Session.getSmsType()+"";
              			if(SmsType.indexOf("H")!=-1){// 已经签约过E盾，但是客户端未初始化的用户
              				var subParams = App.Item2.submitToServiceForT(App.Item2.subParams);
              				subParams.UpdataCfcaFlag = App.UpdataCfcaFlag;
              				param = {
		            				callback: 'App.Item2.getSmsEncryptionKeyInitData',
		            				userID: '' + Fw.app.Session.getIdNo() + Fw.app.Session.getIdType() + Fw.app.Session.getParentDeptId(),
		            				params: {
		            					mode:"2",
		            					Token:App.OTPToken,
		            					subParams: subParams//修改限额参数
		            				}
		            		};
              			}else {
              				// 进行E盾初始化
		            		param = {
		            				callback: 'App.Item2.getSmsEncryptionKeyInitData',
		            				userID: '' + Fw.app.Session.getIdNo() + Fw.app.Session.getIdType() + Fw.app.Session.getParentDeptId(),
		            				params: {
		            					mode:"1",
		            					CifLimitMessageForPerTrs:Fw.util.Format.unFmtAmt($("#SMSCifPerTrsLimitAmount2").val()),
		            					CifLimitMessageForPerDay:Fw.util.Format.unFmtAmt($('#SMSCifLimitAmount2').val()),
		            					Token:App.OTPToken,
		            					subParams: {
			        						UpdataCfcaFlag: App.UpdataCfcaFlag
			        					}
		            				}
		            		};
              			}
	            		Fw.device.Device.executeSmsEncryptionKeyInit(param);
    		        },		          		
    	          	failure : function(status, textStatus, error) {
    						
    				}
    			});
        	});       	
        },
        // *********************人脸识别（客户端返回数据）修改限额**************************************
        getFaceData: function(data){     		
        	var faceData = {};
        	faceData.Img=data;
        	faceData.Flag='1';// 使用图片比对
      		
        	faceData.SignChannel=App.SignChannel||"";
      		
      		Fw.util.Ajax.execute({
	       		service: 'SMSEncryptionKeyService',
	       		method: 'executeFaceCheck',
		        loadMask: true,
	            //请求参数
	            params: faceData,
	            //请求成功后回调
	            success: function(data, result) {
	            	App.HKECertTransferToken = data.HKECertTransferToken;
	            	Fw.LoadMask.hide();
	            	App.isFaceCheckPass = data.FaceiIdentificationFlag;
	            	if(App.isFaceCheckPass == '0'){//人脸比对成功	     
	            		App.Item2.faceFailCnt = 0;
	            		faceData.Img='';
	            		App.FaceToken = data.FaceToken||"";
	            		// 普通短信客户标志
	                	var SmsHFlag = App.smsType;
	                	var flag = false;// 不是普通短信客户
	                	if(SmsHFlag.indexOf('T')>-1){
	                		var param = "";
	                		var SmsType = Fw.app.Session.getSmsType()+"";
	              			if(SmsType.indexOf("H")!=-1){// 已经签约过E盾，但是客户端未初始化的用户
	              				var subParams = App.Item2.submitToServiceForT(App.Item2.subParams);
	              				subParams.UpdataCfcaFlag = App.UpdataCfcaFlag;
	              				param = {
			            				callback: 'App.Item2.getSmsEncryptionKeyInitData',
			            				userID: '' + Fw.app.Session.getIdNo() + Fw.app.Session.getIdType() + Fw.app.Session.getParentDeptId(),
			            				params: {
			            					mode:"2",
			            					Token:App.FaceToken,
			            					subParams: subParams//修改限额参数
			            				}			            				
			            		};
	              			}else {
	              				// 普通短信客户
		                		// 进行E盾初始化
			            		param = {
			            				callback: 'App.Item2.getSmsEncryptionKeyInitData',
			            				userID: '' + Fw.app.Session.getIdNo() + Fw.app.Session.getIdType() + Fw.app.Session.getParentDeptId(),
			            				params: {
			            					mode:"1",
			            					CifLimitMessageForPerTrs:Fw.util.Format.unFmtAmt($("#SMSCifPerTrsLimitAmount2").val()),
			            					CifLimitMessageForPerDay:Fw.util.Format.unFmtAmt($('#SMSCifLimitAmount2').val()),
			            					Token:App.FaceToken,
			            					subParams: {
				        						UpdataCfcaFlag: App.UpdataCfcaFlag
				        					}
			            				}
			            		};
	              			}
		            		Fw.device.Device.executeSmsEncryptionKeyInit(param);
	                	}else {
	                		App.Item2.submitToServiceValues = App.Item2.subParams;
	                		App.Item2.certDownType = "1";
	                		if(App.certDownFlag != "0"){ //0-下载   1-不下载
	                			App.Item2.submitToService(App.Item2.submitToServiceValues);
	                		}else{
	                			App.Item2.downloadCert();
	                		}
	                	}	            		            		
	            	}else{	            		
	            		App.Item2.faceFailCnt = App.Item2.faceFailCnt+1;
	            		if(App.Item2.faceFailCnt < 3){
	            			var message = data._RejMsg||"";
	            			if(Fw.isEmpty(message)){
	            				message = "人脸识别比对失败。";
	            			}
	            			Fw.Msg.info(message,function(){
	            				Fw.device.Device.getCamara('App.Item2.getFaceData');
	            			});		            			
	            			return false;
	            		}	            		
	            		Fw.Msg.info('人脸比对失败达到3次，限额修改失败！', function(){	            			
	            			Fw.device.Device.gotoIndex();
	                    });
	            	}
	            	
	            },    		
	      		failure: function(status, textStatus, error) {
	      			Fw.LoadMask.hide();
	            }
		    });      		
      	},
        // ****************************获取E盾初始化成功与否数据*********************************
      	getSmsEncryptionKeyInitData: function(data){
      		// 处理数据
      		if("0"==data.status){// 初始化成功
      			if(App.certDownFlag != "0"){ //0-下载   1-不下载
          			Fw.Msg.info('短信交易限额修改成功!', function(){
            	    	Fw.app.Session.clear();
            	    	Fw.redirect("./tansLimitMng.html");
      				});
          		}else{
          			App.Item2.downloadCert();
          		}
      		}else {// 初始化失败
      			var errorMsg = '初始化失败，请重新尝试！';
      			if(!Fw.isEmpty(data.errorMsg)){
      				errorMsg = data.errorMsg + '，请重新尝试！';
      			}
      			Fw.Msg.info(errorMsg, function(){
      				Fw.app.Session.clear();
      				Fw.redirect("./tansLimitMng.html");
                });
      		}
      	},
      	// **************************** 限额修改（发送服务端）普通短信客户***************************
      	submitToServiceForT: function(values){
      		// 限额管理	
      		App.pageParams.checkWay = $('[name="checkWay"] option:selected').val();//验证类型
      		App.pageParams.FaceToken = App.FaceToken||"";// 人脸识别
      		App.pageParams.OTPToken = App.OTPToken||"";
      		
      		App.pageParams.SMSCifPerTrsLimitAmount = Fw.util.Format.unFmtAmt($("#SMSCifPerTrsLimitAmount2").val());
        	App.pageParams.SMSCifLimitAmount = Fw.util.Format.unFmtAmt($('#SMSCifLimitAmount2').val());
        	
        	
        	// 把动态口令限额的值置为空
        	App.pageParams.CifLimitAmount = "";
        	App.pageParams.CifPerTrsLimitAmount = "";
        	App.pageParams.CIFLimitValue="";
        	
        	App.pageParams.CIFCanUseLimitValue="";
        	App.pageParams.CIFHighestLimitValue="";
        	App.pageParams.CIFperTrsHighestLimitValue="";
        	App.pageParams.CIFperTrslimitValue="";
        	if(App.pageParams.LimitLoginType==undefined){
        		App.pageParams.LimitLoginType="";
        	}
        	return App.pageParams;
      	},
      	// **************************** 限额修改（发送服务端）************************************
        submitToService: function(values){
        	// 限额管理
        	App.pageParams.checkWay = $('[name="checkWay"] option:selected').val();
        	App.pageParams.FaceToken = App.FaceToken||"";// 人脸识别
        	App.pageParams.smscode=values.smscode;
        	App.pageParams.smsSecurity = smsSecurity;
//        	App.pageParams.SMSCifPerTrsLimitAmount = values.SMSCifPerTrsLimitAmount;
//        	App.pageParams.SMSCifLimitAmount = values.SMSCifLimitAmount;
        	
        	App.pageParams.oTPPassword=values.oTPPassword;
        	
        	App.pageParams.SMSCifPerTrsLimitAmount = Fw.util.Format.unFmtAmt($("#SMSCifPerTrsLimitAmount2").val());
        	App.pageParams.SMSCifLimitAmount = Fw.util.Format.unFmtAmt($('#SMSCifLimitAmount2').val());
        	
        	
        	// 把动态口令限额的值置为空
        	App.pageParams.CifLimitAmount = "";
        	App.pageParams.CifPerTrsLimitAmount = "";
        	App.pageParams.CIFLimitValue="";
        	
        	App.pageParams.CIFCanUseLimitValue="";
        	App.pageParams.CIFHighestLimitValue="";
        	App.pageParams.CIFperTrsHighestLimitValue="";
        	App.pageParams.CIFperTrslimitValue="";
        	App.pageParams.SignCert=bluetoothKeySignatureData.signCert; //证书
        	App.pageParams.SignatureCleartext=bluetoothKeySignatureData.signatureCleartext; //签名明文
        	App.pageParams.SignatureCiphertext =bluetoothKeySignatureData.signatureCiphertext; //签名密文
        	if(App.pageParams.LimitLoginType==undefined){
        		App.pageParams.LimitLoginType="";
        	}
        	Fw.SmsCountDown.getSMSParams(values.smscode,function(data){
        		App.pageParams = Fw.util.Format.jsonAddJson(App.pageParams,data);
        		// 获得验证码密文
    			Fw.util.Ajax.execute({
    				// 数据源（服务接口）
    				  service : 'clientManagementService',
    				  method: 'executeModifyTransLimit',
    				  /*params: {
    					  	 smsSecurity:smsSecurity,
    					  	 smscode:smscode,
    					  	 newNotice:$("#newInfo").val()
    		                 },*/
    				  params:App.pageParams,
    				// 请求成功后回调
    		          success: function(data, result) {
    		        	  if(App.Item2.certDownType == "1" && App.certDownFlag == "0"){
	  		        	    	Fw.Msg.info('证书下载完成，短信交易限额修改成功!', function(){
	  		          				App.Item2.backFunc();
	  		                    });
	  		          		}else if(App.certDownFlag != "0"){ //0-下载   1-不下载
	  		          			Fw.Msg.info('短信交易限额修改成功!', function(){
	  		          				App.Item2.backFunc();
	                              });
	  		          		}else{
	  		          			App.HKECertTransferToken = data.HKECertTransferToken;
	      		        	  	App.Item2.downloadCert();
	  		          		}
  		          		},
    		          		
    	          		failure : function(status, textStatus, error) {
    						Fw.Msg.warn(error);
    					}
    				});
    		},Fw.app.Session);
        },
        
        /**
      	 * 下载证书
      	 */
      	downloadCert: function(){
  			var params = {
  					CertSource: App.CertSource, //0：cfca、1：农信银
  					operaType: "1", //下载
  					HKECertTransferToken: App.HKECertTransferToken,
  					dynParameters: {
  						CheckFlag: "2", //客户转账参数   1-确认（支付密码）           2-否（支付密码+短信
  	        			SetLimitFlag: "0", //客户是否自己设置限额   0：客户自己设置限额 空或其他，客户未自己设置限额    通过限额设置升级CFCA证书方式时，需要输入
  						CifLimitMessageForPerTrs: Fw.util.Format.unFmtAmt($("#SMSCifPerTrsLimitAmount").val()),
  						CifLimitMessageForPerDay: Fw.util.Format.unFmtAmt($("#SMSCifLimitAmount").val())
  					},
  					reqFunc: "Fw.DevicePlugin.referOfCert",
					resFunc: "App.Item2.returnPluginData",
					certReturnFunc: "App.Item2.returnPluginData"
  			};
  			Fw.DevicePlugin.referDevicePlugin(params);
      	},
      	
      	/**
      	 * 证书回调
      	 */
        returnPluginData: function(data){
  			if(data.certData.ResultCode == "true"){
      			if(App.Item2.certDownType == "1"){ //不需要芯盾初始化，直接调整限额，先进行证书下载
      				App.Item2.submitToService(App.Item2.submitToServiceValues); //证书下载完成后设置限额
          		}else{
          			Fw.Msg.info('短信交易限额修改成功，并成功下载证书!', function(){
          				App.Item2.backFunc();
                    });
          		}
        	}else{
        		if(App.Item2.certDownType == "1"){ //不需要芯盾初始化，直接调整限额，先进行证书下载
        			Fw.Msg.info('短信交易限额时证书下载失败，请稍后尝试下载!', function(){
            	    	App.Item2.backFunc();
                    });
          		}else{
          			Fw.Msg.info('短信交易限额修改失败，证书下载失败，请稍后尝试下载!', function(){
            	    	App.Item2.backFunc();
                    });
          		}
      		}
      	},
      	
      	backFunc: function(){
      		Fw.app.Session.clear();
	    	Fw.redirect("./tansLimitMng.html");
      	},
      	
    };
}();