/**
 * 创建应用
 */
App.Item3 = function() {
	
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '解约结果',
           
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record);
        	}
        	//手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        /**
         * 展示信息
         */
        initInfo: function(record){
        	this.clearinfo();
        	$("#img-result").css("background-image","url(../../images/agentbusi/mobile.png)");
        	$('#jgIdType').text(record.xsIdType);
        	$('#jgUserName').text(record.xsuserName);
        	$('#jgmale').text(record.xskhCall);
        	$('#signInfo').html('');
        	//签约手机
	      	  var MobilePhones = [];
	      	  if(record.MobilePhone1!='' && record.MobilePhone1!=undefined) MobilePhones.push(record.MobilePhone1);
	      	  if(record.MobilePhone2!='' && record.MobilePhone2!=undefined) MobilePhones.push(record.MobilePhone2);
	      	  if(record.MobilePhone3!='' && record.MobilePhone3!=undefined) MobilePhones.push(record.MobilePhone3);
	      	  if(record.MobilePhone4!='' && record.MobilePhone4!=undefined) MobilePhones.push(record.MobilePhone4);
	      	  if(record.MobilePhone5!='' && record.MobilePhone5!=undefined) MobilePhones.push(record.MobilePhone5);
	      	  if(record.MobilePhone6!='' && record.MobilePhone6!=undefined) MobilePhones.push(record.MobilePhone6);	      	  
	      	  var html = "";
	      	  for(var i=1;i<=MobilePhones.length;i++){
	      		html = html + '<div class="sui-form-item-show">';
        		html = html + '<label class="sui-result-label">签约手机'+i+'</label>';
        		html = html + '<p class="sx-display-info">'+MobilePhones[(i-1)]+'</p>';
        		html = html + '</div>';      		          		
	      	  }
	      	//签约账户
        	  var AcNos = [];
        	  if(record.AcNo1!='' && record.AcNo1!=undefined) AcNos.push(record.AcNo1);
        	  if(record.AcNo2!='' && record.AcNo2!=undefined) AcNos.push(record.AcNo2);
        	  if(record.AcNo3!='' && record.AcNo3!=undefined) AcNos.push(record.AcNo3);
        	  if(record.AcNo4!='' && record.AcNo4!=undefined) AcNos.push(record.AcNo4);
        	  for(var i=1;i<=AcNos.length;i++){      		  
          		html = html + '<div class="sui-form-item-show">';
          		html = html + '<label class="sui-result-label">签约账户'+i+'</label>';
          		html = html + '<p class="sx-display-info">'+Fw.util.Format.fmtAcctNo(AcNos[(i-1)],true)+'</p>';
          		html = html + '</div>';       		          		
        	  }
        	  //扣费账户AcNo5
        	  html = html + '<div class="sui-form-item-show">';
        	  html = html + '<label class="sui-result-label">扣费账户</label>';
        	  html = html + '<p class="sx-display-info">'+Fw.util.Format.fmtAcctNo(record.AcNo5,true)+'</p>';
        	  html = html + '</div>'; 
        	  $('#signInfo').html(html);
        },
        
        /**
         * 清除结果数据
         * @returns
         */
        clearinfo: function(){
        	$('#jgIdType').text("");
        	$('#jgUserName').text("");
        	$('#jgmale').text("");
        	$('#jgphoneNum').text("");
        	$('#jgSignNo').text("");
        	$('#jgpayType').text("");
        	$('#jgmealType').text("");
        	/*$('#jgpayFee').text("");*/
       },
    };
}();