/**
 * 创建应用1
 */
App.Item3 = function() {
	
	var list; //短信通结果
	var payAmtY;  //年费
	var payAmtM;  //月费
	
	var acno; //账户
	var acnotype; //账户类型
	
	var phoneNum=1;//签约手机ID
    var acNoNum=1;//签约账户ID
	
	var buttons = $('button');
	
	var form;
	
    return {
    	
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '短信签约信息录入'
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(flag) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//定义表单
        	if(!form){
        		form = new Fw.Form({
                    //EL
                    contentEl : 'form1',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
        		//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
           	 	form.on('change', this.onChange, this);
                //触发提交事件前（校验前）触发
           	 	form.on('beforesubmit', this.beforeSubmit, this);
                //触发提交事件触发
           	 	form.on('submit', this.doSubmit, this);
        	}
    		
        	if(!this.record){
        		//初始化事件
            	this.initEvents();
        	}   		
        	
        	if(!flag){
        		//
	        	this.record = true;
	        	//初始数据
	            this.initDate(flag);
        	}
        	
        
            //手动隐藏等待层
//            Fw.LoadMask.hide(500);
          
        },
        
        /**
         * 初始化数据
         */
		initDate : function(flag) {			
			if(!flag){
				var payeeAcName=Fw.app.Session.getCustName();
				var dePhone = Fw.app.Session.getLoginPhoneNo();
				var deIdType = Fw.app.Session.getIdType();
				//默认回显登录手机号
				$("[name = phoneNum]").val(dePhone);
				$("[name = UserName]").val(payeeAcName);
				//客户性别
				var Male = Fw.app.Session.getGender(); //F 女士
				if("F" == Male){
					$('input[name = male]:eq(1)').attr("checked","checked");
				}else{
					$('input[name = male]:eq(0)').attr("checked","checked");
				}
				//证件类型
				//Fw.ConstantData.setIdType($("[name=IdType]"));
				$("[name=IdType]").val(Fw.util.Format.fmtIdType(deIdType));
				//初始化套餐类型
				this.initMeal();
				
				//初始化账号
		    	this.initCurCard();
			}
		},      		
		//初始化卡号
        initCurCard:function(){
        	var allCards = Fw.app.Session.getAllCards();
        	var data={
        			list:allCards,
        			}
        	Fw.ConstantData.setPayNo($("[name=acNo1]"), data);       	
        	//除去信用卡       	
        	Fw.ConstantData.setPayNo($("[name=payNo]"), data);
        	var acnoinfo = $("[name = acNo1]").val();
        	acnoinfo = acnoinfo.split('|',2);
        	acno = acnoinfo[0];
        	acnotype = acnoinfo[1];
        },
        /**
         * 监听事件
         * @returns
         */
        initEvents: function(){        	
             //点击按钮时触发（保存、重置、重发验证码）
             //buttons.tap(Fw.bind(this.onButtonClick, this));       	 
             $('#lrsubmit-btn').on('click',function(){
                form.submit();
             });
             App.params3 = true;
             
             /**
              * 添加签约手机号码
              */
             $('#addSignPhone').on('click',function(){
             	var phones = $('#signPhoneNo').children('div');
             	var phoneAcount = phones.length+2;
             	if(phoneAcount<=3){//填写手机个数   不能超过3个
             		phoneNum++;
             		if(phoneAcount==2){
             			$('#phone1Div').removeClass('noBorder');
             		}else{
             			$(phones[phoneAcount-3]).removeClass('noBorder');
             		}
             		var html='';
             		html = html + '<div class="sui-form-item sui-border-b noBorder">';
             		html = html + '<label>签约手机</label>';
             		html = html + '<input type="text" name="phone'+phoneNum+'" data-xtype="keyboard,NUM" placeholder="请输入签约手机" data-allowBlank="false" style="position: absolute;top: 12px;right: 48px;">';
             		html = html + '<p class="delete" onclick="App.Item3.deleteItem(this)">删除</p>';
             		html = html + '</div>';
             		$('#signPhoneNo').append(html);
             		Fw.Keyboard.init();
             	}
             });
             $('#addSignAcNo').on('click',function(){            	
             	var acNos = $('#signAcNo').children('div');
             	var acNoAcount = acNos.length+2;
             	if(acNoAcount<=4){
             		acNoNum++;
             		if(acNoAcount==2){
             			$('#acNo1Div').removeClass('noBorder');
             		}else{
             			$(acNos[acNoAcount-3]).removeClass('noBorder');
             		}
             		var html='';
             		html = html + '<div class="sui-form-item sui-border-b">';
             		html = html + '<label>签约账户</label>';
             		html = html + '<div class="sui-select" style="position: absolute;right: 36px;">';
             		html = html + '<select name="acNo'+acNoNum+'" style="padding-right: 20px;font-size: 13px;">';
             		html = html + App.Item3.addAcNoSelect();
             		html = html + '</select></div>';            		
             		html = html + '<p class="delete" onclick="App.Item3.deleteItem(this)">删除</p>';
             		html = html + '</div>';
             		$('#signAcNo').append(html);
             	}
             });
        },
        addAcNoSelect: function(){
        	var html = '';
        	var allCards = Fw.app.Session.getAllCards();
        	for(var i=0;i<allCards.length;i++){
        		if(allCards[i].BankAcType!='PCRC'){
        			html = html + '<option value="'+allCards[i].No+'|'+allCards[i].BankAcType+'">';
        			html = html + Fw.util.Format.fmtAcctNo(allCards[i].No,true) + '|'+Fw.util.Format.fmtCardType(allCards[i].BankAcType)
        			html = html + '</option>';
        		}
        	}
        	return html;
        },
        /**
         * 删除
         * @param e 当前对象
         * @returns
         */
        deleteItem: function(e){
        	var item = $(e).parent('div');
        	$(item).replaceWith('');        	 
        	var phones = $('#signPhoneNo').children('div');
        	if(phones.length==0){
        		$('#phone1Div').addClass('noBorder');
        	}
        	var acNos = $('#signAcNo').children('div');
        	if(acNos.length==0){
        		$('#acNo1Div').addClass('noBorder');
        	}
        },
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
             if("payType" == name){  //收费类型切换
        	      this.payFeeChange(value);
             }else if("mealType" == name){  //套餐类型切换
            	  this.payFeeChange2(value);
             }            
        },
        
        
        /**
         * 收费类型切换
         */
        payFeeChange : function(value){
        	console.log("-------收费类型切换--------",value);
        	if("01"==value){
        		$("[name = payFee]").attr("value",payAmtY+"元/每年");
        	} else {
        		$("[name = payFee]").attr("value",payAmtM+"元/每月");
        	}
        },

        /**
         * 套餐类型切换
         */
        payFeeChange2 : function(value){
        	console.log("-------套餐类型切换--------",value);
        	for(var i=0; i<list.length; i++){
        		if(value==(list[i].packId)){
        			if("01"== $("[name = payType]").val()){
        				payAmtY=list[i].payAmtY;
        				payAmtM=list[i].payAmtM;
        				$("[name = payFee]").attr("value",payAmtY+"元/每年");
        			} else {
        				payAmtY=list[i].payAmtY;
        				payAmtM=list[i].payAmtM;
        				$("[name = payFee]").attr("value",payAmtM+"元/每月");
        			}
        		}
        	}
        },
        
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'lrsubmit-btn':
                    form.submit();
                    break;
                //表单重置
                case 'reset-btn':
                    form.reset();
                    break;
                //重发验证码
                case 'resend-btn':
                    Fw.Tips.info('重发验证码...');
                    break;
            }
        },
        
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        	if("" != $("[name = phoneNum]").val()){
        		values.phoneNum = $("[name = phoneNum]").val();
        	}
            //设置表单值
            //values['XXX'] = 'XXX';
            //
            //if(...){
                //return false;//则不触发提交事件
            //}
        },
        
        /**
         * 提交表单
         */
        doSubmit: function(values){
        	if($("#checkflag").attr("checked")){
        		//签约手机
                var phoneVals = [];
                phoneVals.push(values.phone1);
                var phones = $('#signPhoneNo').children('div');
                for(var i=0;i<phones.length;i++){
                	var c = i+2;
                	var input = $(phones[i]).children('input');
                	var val = $(input[0]).val();
                	//手机号验证
                	if(!Fw.util.VTypes.cellphone(val)){
                		Fw.Tips.info('签约手机必须输入正确的11位手机号码！');
                		return;
                	}
                	if(val!='') phoneVals.push(val);//去空
                }
                //签约账户
                var acNoVals = [];
                acNoVals.push($('[name=acNo1] option:selected').val());
                var acNos = $('#signAcNo').children('div');
                for(var i=0;i<acNos.length;i++){
                	var c = i+2;
                	var selectDiv = $(acNos[i]).children('div');
                	var select = $(selectDiv[0]).children('select');
                	var val = $(select[0]).val();
                	if(val!='') acNoVals.push(val);//去空
                }
                
                //去重  提示 不能重复
                if(phoneVals.length>=2 && this.isRepeat(phoneVals)){
                	Fw.Tips.info('签约手机号码不能重复！');
                	return;
                }
                if(acNoVals.length>=2 && this.isRepeat(acNoVals)){
                	Fw.Tips.info('签约账号不能重复！');
                	return;
                }                        
                
                App.lrdata = values;
                //App.lrdata.lrIdType = $("[name = IdType]").find("option:selected").text();   //证件类型
                App.lrdata.phoneVals = phoneVals;//签约手机
                App.lrdata.acNoVals = acNoVals;//签约账户
                
                //扣费账户
                App.lrdata.payNo = $('[name=payNo] option:selected').val();
                
                App.lrdata.lrIdType = $("[name = IdType]").val();   //证件类型
                App.lrdata.lrUserName = $("[name = UserName]").val();   //客户姓名
                var lrmale;    //客户称谓
                
               if($('#male0').is(':checked')){
            	   lrmale = "男士";
               }
               if($('#male1').is(':checked')){
            	   lrmale = "女士";
               }
                App.lrdata.lrSignNo = $("[name = SignNo]").find("option:selected").text();   //证件类型
                App.lrdata.lrmale = lrmale;
                App.lrdata.lrmealType = $("[name = mealType]").find("option:selected").text();  //套餐类型
                App.lrdata.lrpayType = $("[name = payType]").find("option:selected").text();  //收费类型
                App.lrdata.lrpayFee = $("[name = payFee]").val();    //费用
                App.lrdata.lrUserName = $("[name = UserName]").val();
                App.lrdata.acno = acno;
                App.lrdata.acnotype = acnotype;
                App.lrdata.mealType = $("[name = mealType]").val();           
          
                console.log('lrdata',App.lrdata);
            	App.tab.setActiveItem(3);	
               //this.tab.moveNext();
        	}else{
        		Fw.Msg.info("请勾选上面的提示信息");
        		return false;
        	}
        	
        	
        },
        isRepeat: function(arr){
        	var hash = {};
        	for(var i in arr){
        		if(hash[arr[i]]){
        			return true;
        		}
        		hash[arr[i]] = true;
        	}
        	return false;
        },
        /**
         * 初始化套餐类型
         */ 
        initMeal : function(){
        	Fw.util.Ajax.query({
                service: 'smsSignService',
                method:'executeMeal',
                //请求参数
                params:{},
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                    list = data.List;
                	for(var i=0; i<list.length; i++){
                		//动态加载套餐类型
              			$("[name = mealType]").append(new Option(list[i].name,list[i].packId));
              		}
              		payAmtM=list[0].payAmtM;
              		payAmtY=list[0].payAmtY;
              		$("[name = payFee]").attr("value",payAmtM+"元/每月");
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                   
                }
            });
        },
        
    };
}();
