/**
 * 创建应用
 */
var App = function() {
	var form;
	var buttons = $('button');
	var tab;
	var date;
	var cardList;
	var bankAccType;
	var acNo;
	var currency;
	var today;
	var NO;
	var list1;
	var LnBalence;
	var FlstOpunCod;
	var StrtDtN;
	var enddate;
	var allrbl;
	var currDate1;
	var yue;
	var SvcrblPay_confirm; //应还手续费
	var PenlrblPay_confirm; //应还违约金 
	var IntrblrblPay_confirm; //应还的应收利息
	var OvdLnIntRblPay_confirm; //应还催收贷款利息
	var CrntPrdIntrblPay_confirm; //应还的本期利息
	var PrrblPay_confirm; //应还的本金
	var CrntPrdIntFav_confirm; //优惠利息 

	var parameters;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form',
		// 安全键盘
		'Fw.Keyboard',
		// 日历组件
		'Fw.Calendar',
		// 设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '存单质押贷款列表',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0,
				// 是否锁定tab标题
				fixed : true,
				reload : true
			});
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			form1 = new Fw.Form({
				// EL
				contentEl : 'form1',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});

			// 初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			if(parameters!=null){
	    		var backUrl = parameters.backUrl;
	           	if(backUrl!=null && backUrl!=""){
	           		Fw.redirect(backUrl);
	           		return;
	           	}
	    	}
			
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0 || index == 3) {
				// 返回上级目录
				Fw.device.Device.gotoIndex();
			} else if(index == 1) {
				// 返回上一页
				tab.movePrev();
				$('#pageA').addClass('sui-hide');
				$('#pageB').addClass('sui-hide');
				$('#pageB').removeClass('sui-btn-wrap');				
				
				$("#AmountA").val("0.00");
				$("#bakLab").hide();				
				$("#AmountA1").val("0.00");
				
				$("#AmountAL").show();
				$("#AmountA1L").hide();
				App.viewConfig.title = "存单质押贷款列表";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
			}else if(index == 2){
				App.clearFormData();
				// 返回上一页
				tab.movePrev();
				App.viewConfig.title = "贷款还款确认";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
			}
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			parameters = Fw.decode(Fw.getParameters());
			App.liebiao();
			App.initCurDate();
			App.initAcctNo();
		},
		// 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
				},
			});
		},
		liebiao : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeDepositLoanListQry',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					CustNo : Fw.app.Session.getCifNo(),
					CardFlg : "1"
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					date = result.result;
					App.showDetail();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		showDetail : function() {
			var CustName = date.CustName;
			var list = date.List;
			list1 = list;
			var sb = [];
			if (list.length == 0) {
				sb[sb.length] = "<ul style='margin-top: 15px;color: #949494;'><li class='center' align='center'><label >无相关记录</label></li></ul>";
			}
			for (var i = 0; i < list.length; i++) {
				var arg = list[i];
				var LnAcctNo1 = Fw.util.Format.fmtAcctNo(arg.LnAcctNo, true);
//				if(arg.CardFlg=="3"){
					sb[sb.length] = "<div style='height: 20px; width: 100%; background-color: #eeeeee'></div>";
					sb[sb.length] = "<div style='border-bottom: 1px solid #cccccc;'></div>";
					sb[sb.length] = "<div style='background-color: #ffffff;padding-top: 10px'>";
					sb[sb.length] = "<div class='sui-form-item2'>";
					sb[sb.length] = "<label>客户姓名:</label>";
					sb[sb.length] = "<div class='floatR' style='color:#343434'>"
							+ CustName + "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div class='sui-form-item2'>";
					sb[sb.length] = "<label>贷款账号:</label>";
					sb[sb.length] = "<div class='floatR' style='color:#343434'>"
							+ LnAcctNo1 + "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div class='sui-form-item2'>";
					sb[sb.length] = "<label>贷款余额:</label>";
					sb[sb.length] = "<div class='floatR' style='color:#3a8ff5'>"
							+ "￥" + arg.LnBal + "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div class='sui-form-item2'>";
					sb[sb.length] = "<label>利&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;率:</label>";
					sb[sb.length] = "<div class='floatR' style='color:#fe7001'>"
							+ arg.Intr + "%" + "</div>";
					sb[sb.length] = "</div>";
					var p = '';
					if (arg.AcctSts == '1') {
						p = "正常";
					} else if (arg.AcctSts == '2') {
						p = "逾期";
					} else if (arg.AcctSts == '3') {
						p = "非应计";
					} else if (arg.AcctSts == '5') {
						p = "结清";
					} else if (arg.AcctSts == '6') {
						p = "部分逾期";
					} else if (p == "") {
						p = "预约拨贷";
					}
					sb[sb.length] = "<div class='sui-form-item2'>";
					sb[sb.length] = "<label>账号状态:</label>";
					sb[sb.length] = "<div class='floatR' style='color:#343434'>"
							+ p + "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div class='sui-form-item2'>";
					sb[sb.length] = "<label>合同编号:</label>";
					sb[sb.length] = "<div class='floatR' style='color:#343434'>"
							+ arg.CtrtNo + "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div class='sui-form-item2'>";
					sb[sb.length] = "<label>贷款期限:</label>";
					sb[sb.length] = "<div class='floatR' style='color:#343434'>"
							+ arg.StrtDtN + " ~ " + arg.DueDtN + "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<hr style='border: 1px dashed #cdcdcd; border-bottom: 0; border-right: 0; border-left: 0; width: 90%; margin: 0 auto;margin-top: 10px;'>";
					sb[sb.length] = "<div style='height: 60px;'>";
					if (arg.AcctSts == '5') {
						sb[sb.length] = "<div style='text-align: center;color: #3a8ff5;padding-top: 15px;'>贷款结清</div>";
					} else {
						sb[sb.length] = "<div style='text-align: center;color: #3a8ff5;padding-top: 15px;' onclick='App.goumai("
								+ i + ")'>点击还款</div>";
					}
					sb[sb.length] = "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='border-bottom: 1px solid #cccccc;'></div>";
				}
//			}
			var savePage = document.getElementById("pageSave");
			savePage.innerHTML = sb.join("");
		},
		goumai : function(a) {
			tab.moveNext();
			App.viewConfig.title = "贷款还款确认";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
			$("#AmountA").val("0.00");
			LnBalence = list1[a].LnBal;
			FlstOpunCod = list1[a].FlstOpunCod;
			StrtDtN = list1[a].StrtDtN;
			var obj = list1[a].LnAcctNo;
			enddate = list1[a].DueDtN;
			NO = obj;
			$('#pageA').addClass('sui-hide');
			$('#pageB').addClass('sui-hide');
			$('#pageB').removeClass('sui-btn-wrap');
			//$("#showhk").val(0);
			var showhkHtml = document.getElementById("showhk");
			var sb = [];
			sb[sb.length] = '<option value="0" selected ="true">请选择还款方式</option>';
			sb[sb.length] = '<option value="1">全额还款</option>';
			sb[sb.length] = '<option value="2">当期还款</option>';
			sb[sb.length] ='<option value="3">提前部分还款</option>';
			showhkHtml.innerHTML = sb.join("");
			//初始化还款金额显示
			$("#AmountA").val("0.00");
			$("#AmountA1").val("0.00");
			$("#LnBal").val(LnBalence);
			$("#AmountAL").show();
			$("#AmountA1L").hide();
			$("#bakLab").hide();
		},
		initAcctNo : function() {
			cardList = Fw.app.Session.getAllCards();
			var j = 0;
			for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType != "PCRC") {
					$('[name="cardlist"]').append(
							"<option value=" + i + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if (j == 0) {
						this.changeCard();
					}
					j++;
				}
			}
			if (j == 0) {
				Fw.Tips.info("无可用还款账户");
			}
		},
		/**
		 * 切换卡
		 */
		changeCard : function() {
			var card = cardList[$('[name="cardlist"]').val()];
			acNo = card.No;
			bankAccType = card.BankAcType;
			currency = card.Currency.Code;
			var bz = App.bizhong(currency);
			$('[name="showCurrency"]').val(bz);
			$('[name="showBankAcType"]').val(
					Fw.util.Format.fmtCardType(bankAccType));
			App.queryBalance();// 查询余额
		},
		queryBalance : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchDetail',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					Account_No : acNo,
					Account_BankAcType : bankAccType
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					yue = result.result.AvailBal;
					if (yue == 0 || yue == "") {
						Fw.Tips.info("无可用余额");
						yue = "0.00";
					}
					$("#balance").val(yue);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		huankuan : function(a) {
			$('#pageA').addClass('sui-hide');
			$('#pageB').addClass('sui-hide');
			$('#pageB').removeClass('sui-btn-wrap');
			var currDate = App.StringToDate(today);
			currDate1 = App.StringToDate(currDate);
			if (a != "3" && a!= "2") {
				$("#AmountA").val("0.00");				
			}else {
				$("#AmountA1").val("0.00");				
				$('#pageB').removeClass('sui-hide');
				$('#pageB').addClass('sui-btn-wrap');
			}
			if (a == "3") {
				$("#AmountAL").hide();
				$("#AmountA1L").show();
				$("#bakLab").show();
				return;
			}else if(a == "2"){
				$("#AmountAL").hide();
				$("#AmountA1L").show();
				$("#bakLab").hide();
			}else{
				$("#AmountAL").show();
				$("#AmountA1L").hide();
				$("#bakLab").hide();
			}
			if (a == "0") {
				return;
			}			
			App.executeDepositLoanInfoQry(a);
		},
		executeDepositLoanInfoQry: function(a){
			var Amount = "0";
			if (a=="2"){
				Amount = Fw.util.Format.unFmtAmt($("#AmountA1").val());
			}else if (a == "3") {
				Amount = Fw.util.Format.unFmtAmt($("#AmountA1").val());
				if (Amount == "0.00" || Amount == "" || Amount == "0") {
					Fw.Tips.info("提前部分还款还款金额不能为零!");
					return;
				}
			}
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeDepositLoanInfoQry',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					LnAcctNo : NO, // 贷款账户
					TxDt : currDate1, 
					PayAmt : Amount, // 还款金额,首次调用时置为空
					FunCode : a,
					FlstOpunCod : FlstOpunCod, //贷款入账机构 
					DueDtN :currDate1
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var date = result.result;
					$("#LnAcctNo1").val(Fw.util.Format.fmtAcctNo(NO, true));
					$("#showCustName").val(date.CustName);
					$("#showDueDtN").val(
							enddate.substring(0, 4) + "-"
									+ enddate.substring(4, 6) + "-"
									+ enddate.substring(6, 8));
					allrbl = parseFloat(date.CrntPrdIntrbl)
							+ parseFloat(date.LsacIntRbl)
							+ parseFloat(date.Intrblrbl)
							+ parseFloat(date.OvdLnIntRbl);
					$("#showAllRbl").val(allrbl);
					$("#showSvcrbl").val(date.Svcrbl);
					$("#showPenlrbl").val(date.Penlrbl);
					$("#showPrrbl").val(date.Prrbl);
					$("#showTotlrbl").val(date.Totlrbl);
					if (a == "1") {
						$("#AmountA").val(date.Totlrbl);
					}
					$('#pageA').removeClass('sui-hide');
					$('#pageB').removeClass('sui-hide');
					$('#pageB').addClass('sui-btn-wrap');
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		StringToDate : function(b) {
			var a = b.replace("/", "");
			return a;
		},
		bizhong : function(bz) {
			if (bz = "CNY") {
				return "人民币";
			}
			if (bz = "USD") {
				return "美元";
			}
			if (bz = "AUD") {
				return "澳大利亚元";
			}
			if (bz = "CAD") {
				return "加拿大元";
			}
			if (bz = "CHF") {
				return "瑞士法郎";
			}
			if (bz = "") {
				return "人民币";
			}
			if (bz = "156") {
				return "人民币";
			}
			if (bz = "DKK") {
				return "丹朗";
			}
			if (bz = "EUR") {
				return "欧元";
			}
			if (bz = "GBP") {
				return "英镑";
			}
			if (bz = "HKD") {
				return "港币";
			}
			if (bz = "JPY") {
				return "日元";
			}
			if (bz = "MOP") {
				return "澳币";
			}

			if (bz = "NOK") {
				return "挪朗";
			}
			if (bz = "NZD") {
				return "新西兰元";
			}
			if (bz = "SEK") {
				return "瑞典克朗";
			}
			if (bz = "SGD") {
				return "新加坡元";
			}
		},
		nextstep : function() {
			if ($("#cardlist").val() == "" || acNo == "") {
				Fw.Tips.info("请选择还款账号");
				return;
			}
			var a = $('[name=showhk] option:selected').val();
			var Amount = "0";
			if (a == "3"||a == "2") {
				Amount = Fw.util.Format.unFmtAmt($("#AmountA1").val());	
				$("#allRBlB").hide();
			}else{
				Amount = Fw.util.Format.unFmtAmt($("#AmountA").val());
				$("#allRBlB").show();
			}
			var showTotlrbl = $("#showTotlrbl").val();
			var showhk = $("[name=showhk] option:selected").val();
			var obj = document.getElementById("showhk");
			var index = obj.selectedIndex;
			var showhkValue = obj.options[index].text;
			if (showhk == "1") {
				if (Number(Amount) > Number(yue)) {
					Fw.Tips.info("还款金额大于可用余额！");
					return;
				}
				if (Amount != showTotlrbl) {
					Fw.Tips.info("还款金额应为" + showTotlrbl + "元！");
					return;
				}
			}
			if (showhk == "2") {
				if (Number(Amount) > Number(showTotlrbl)) {
					Fw.Msg.info("还款金额不得超过应收合计,你当期还款应收合计为" + showTotlrbl + "元");
					return;
				}
				if (Number(Amount) > Number(yue)) {
					Fw.Tips.info("还款金额大于可用余额！");
					return;
				}
			}
			if (showhk == "3" && Number(Amount) >= Number(LnBalence)) {
				Fw.Msg.info("还款金额大于本金，请选择全额还款。");
				return;
			}
			if (Amount == "0.00" || Amount == "" || Amount == "0") {
				Fw.Tips.info("还款金额不能为零!");
				return;
			}
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeDepositLoanInfoQry',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					LnAcctNo : NO, // 贷款账户
					TxDt : currDate1, 
					PayAmt : Amount, // //还款金额,必须有值
					FunCode : showhk,
					FlstOpunCod : FlstOpunCod //贷款入账机构 
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var date = result.result;
					$("#payAcNoB").val(Fw.util.Format.fmtAcctNo(acNo, true));
					$("#PayAmountB").val(Amount);
					$("#LnAcctNoBHD").val(Fw.util.Format.fmtAcctNo(NO, true));
					$("#LnAcctNoB").val(NO);
					$("#FunCodeB").val(showhkValue);
					$("#custNameB").val(date.CustName);
					allrbl = parseFloat(date.CrntPrdIntrbl)
					+ parseFloat(date.LsacIntRbl)
					+ parseFloat(date.Intrblrbl)
					+ parseFloat(date.OvdLnIntRbl);
					$("#AllRblB").val(allrbl);
					$("#SvcrblPayB").val(date.SvcrblPay);
					$("#PenlrblPayB").val(date.PenlrblPay);
					$("#PrrblPayB").val(date.PrrblPay);
					//保存还款时请求报文中需要的字段
					SvcrblPay_confirm = date.SvcrblPay; //应还手续费
					PenlrblPay_confirm = date.PenlrblPay; //应还违约金 
					IntrblrblPay_confirm = date.IntrblrblPay; //应还的应收利息
					OvdLnIntRblPay_confirm = date.OvdLnIntRblPay; //应还催收贷款利息
					CrntPrdIntrblPay_confirm = date.CrntPrdIntrblPay; //应还的本期利息
					PrrblPay_confirm = date.PrrblPay; //应还的本金
					CrntPrdIntFav_confirm = date.CrntPrdIntFav; //优惠利息 
					tab.moveNext();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		doSubmit : function(values){
			var TrsPassword = values.TrsPassword;
			var psd = $('[name="TrsPassword"]').val();
			if (psd == "") {
				Fw.Tips.info("请输入交易密码");
				return;
			}
			if (psd.length != 6) {
				Fw.Tips.info("交易密码为6位");
				return;
			}
			Fw.Msg.cfm('是否执行贷款还款操作？', function(code, btn, win) {
				if (code == "yes") {
					Fw.util.Ajax.execute({
						service : 'loadService',
						method : 'executeDepositLoanRepayment',
						// method:
						// 'executeReceiver',//默认为execute，方法名称必须是execute开头
						// 请求参数
						params : {
							LnAcctNo : $("#LnAcctNoB").val(),	  //贷款账号
						    TxDt : currDate1,          //起息日期
						    PayAmt : Fw.util.Format.unFmtAmt($("#PayAmountB").val()),          //还款金额				    
						    DepAcctNo : acNo,	//还款账号
						    DueDtN:enddate,
							SvcrblPay : SvcrblPay_confirm,					//应还手续费
							PenlrblPay : PenlrblPay_confirm,				//应还违约金 	
							IntrblrblPay : IntrblrblPay_confirm,			//应还的应收利息
							OvdLnIntRblPay : OvdLnIntRblPay_confirm,		//应还催收贷款利息
							CrntPrdIntrblPay : CrntPrdIntrblPay_confirm,	//应还的本期利息
							PrrblPay :  PrrblPay_confirm,					//应还的本金	
							CrntPrdIntFav : CrntPrdIntFav_confirm,     		 //优惠利息
							FunCode:$("[name=showhk] option:selected").val(),
							Password : TrsPassword,
							CifSeq :Fw.app.Session.getCifSeq(),	//客户号
							FlstOpunCod : FlstOpunCod, //贷款入账机构 
							StrtDtN: StrtDtN //贷款起始日期
						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							var obj = result.result;
							var allrblPay = parseFloat(IntrblrblPay_confirm) + parseFloat(OvdLnIntRblPay_confirm) + parseFloat(CrntPrdIntrblPay_confirm);
							$("#s1").html(Fw.util.Format.fmtAcctNo(obj.DepAcctNo,true));
							$("#s2").html($("#PayAmountB").val());
							$("#s3").html(Fw.util.Format.fmtAcctNo(obj.LnAcctNo,true));
							$("#s4").html(allrblPay);
							$("#s5").html(obj.SvcRepay);
							$("#s6").html(obj.PenaltyRepay);
							$("#s7").html(obj.PrRepay);
							$("#s8").html(obj.TotlRepay);
							$("#s9").html(obj.DeratePr);
							$("#s10").html(obj.DerateInt);
							App.viewConfig.title = "还款结果";
							Fw.apply(App.viewConfig, this.viewConfig);
							// 设置标题栏
							Fw.device.Device.applyView(App);
							tab.moveNext();
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							
						}
					});
				}
			});
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			form.on('submit', this.doSubmit, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			$('#queryInfo').on('click',function(){
				var a = $('#showhk option:selected').val();
				if(a=="2"||a=="3"){
					App.executeDepositLoanInfoQry(a);//提前还款
				}			
			});
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 提交表单
			case 'submit-btn':
				form.submit();
				break;
			// 表单重置
			case 'reset-btn':
				form.reset();
				break;
			// 重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			}
		},
		clearFormData: function(){
			if(form){
				form.reset("TrsPassword");
           	 	$('[name=TrsPassword]').attr('placeholder','请输入交易密码');
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
