var App = function() {
	var CheckResult = "";
	var BelongInstnCod = "";
	var LnAcctNo = "";
	var buttons = $('button');
	var form;
	var tab;
	var PageNo = "1";
	var listView;
	var tab_l = $('#s-tab-l');
	var tab_r = $('#s-tab-r');
	var tabIf;
	var leftList = [];
	var rightList = [];
	var testList;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', 'Fw.Form',
		// 列表
		'Fw.ListView', 'Fw.Keyboard',
		// 列表
		'Fw.app.Session' ],
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '贷款对账信息',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '返回',
			},
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			this.tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0,
			// 是否锁定tab标题
			// fixed:true,
			// reload: true
			});
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 初始化数据
			this.initData();
			// 初始化事件
			this.initEvents();
			var now = new Date();
        	var year = now.getFullYear()-1; 
        	$('#year').text(year);
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			this.queryMCCreditCheckInfoQry(); // 
		},

		initEvents : function() {
			// 触发提交事件前（校验前）触发
			// form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			//form.on('submit', this.doSubmit, this);
			// 查询下一页
			// 点击按钮时触发（保存、重置、重发验证码）
			$('#s-tab-l').on('click', Fw.bind(this.doTabL, this));
			$('#s-tab-r').on('click', Fw.bind(this.doTabR, this));
			buttons.on('click', Fw.bind(this.onButtonClick, this));
		},

		doTabL : function() {
			tabIf = "left";
			App.queryMCCreditCheckInfoQryNext();
			if (tab_l.hasClass("sui-tab-l")) {
				return false;
			} else {
				tab_l.attr("class", "sui-tab-l");
				tab_r.attr("class", "sui-tab-r");
				$('#page_hebank').removeClass("sui-hide");
				$('#page_transfer').addClass("sui-hide");
			}
		},
		//tabs切换
		doTabR : function() {
			tabIf = "right";
			App.queryMCCreditCheckInfoQryNext();
			if (tab_l.hasClass("sui-tab-ll")) {
				return false;
			} else {
				tab_l.attr("class", "sui-tab-ll");
				tab_r.attr("class", "sui-tab-rr");
				$('#page_hebank').addClass("sui-hide");
				$('#page_transfer').removeClass("sui-hide");
			}
		},
		queryMCCreditCheckInfoQry : function() {
			leftList = [];
			rightList = [];
			var parameters = {
					PageNo : PageNo,
					Option : "1",
				};
			Fw.util.Ajax.query({
                service: 'consumeLoadService',
                method: 'queryCreditCheckInfoQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: parameters,
                loadMask: true,
                success: function(data, result) {
                	for(var i = 0;i < data.List.length;i++){
            			if( "0" == data.List[i].CheckState){
            				leftList.push(data.List[i]);
            			}else if("1" == data.List[i].CheckState){
            				rightList.push(data.List[i]);
                    	};
            		}
                	App.doTabL(); // 
                },
                failure : function(status, textStatus, error) {
                }
			});
		},
		queryMCCreditCheckInfoQryNext : function() {
			if("left" == tabIf){
				App.testList = leftList;
				listPro = "listPro";
				$("#listPro").html("");
			}else if("right" == tabIf){
				App.testList = rightList;
				listPro = "listPro1";
				$("#listPro1").html("");
			}
			this.listView = null;
			if (!this.listView) {
				this.listView = new Fw.ListView(
						{
							// EL
							contentEl : listPro,
							ajax : {
								service : '',
								method : "",// 
								// 请求参数
								params : {},
								// loadMask: true,
								// 是否分页（默认true）
								page : false,
								staticData : false,
							},
							cls : '',
							groupCls : '',
							groupHeaderBaseCls : '',
							groupHeaderCls : '',
							itemBaseCls : 'sx-list-item',
							itemCls : 'sui-border-t',
							pressedCls : '',
							// 向右箭头（默认false）
							disclosure : false,
							// 数据展现模版
							itemTpl : [
									'<div class="list-record" style="padding-right:30px;">',
									'<div class="record-item">',
									'<label class="record-left">贷款行</label>',
									'<p class="record-right">${item.OpunFlnmChn}</p>',
									'</div>',
									'<div class="record-item">',
									'<label class="record-left">户名</label>',
									'<p class="record-right">${item.CustName}</p>',
									'</div>',
									'<div class="record-item">',
									'<label class="record-left">账号</label>',
									'<p class="record-right">${item.LnAcctNo}</p>',
									'</div>',
									'<div class="record-item">',
									'<label class="record-left">余额</label>',
									'<p class="record-right">${item.LnBal|fmtAmt}</p>',
									'</div>', '</div>', ]
						});
			} else {
//				this.listView.ajax.clearParams();
//				this.listView.ajax.setParams(parameters);
			}
			if("left" == tabIf){
				this.listView.on('itemclick', this.onSelect, this);
			};
			this.listView.onLoadData(this.listView.ajax, App.testList);
			App.tab.setActiveItem(0);
		},

		/**
		 * 触发提交事件前触发
		 */
		// beforeSubmit : function(values) {
		//
		// },
		/**
		 * 查看选择卡详情
		 */
		onSelect : function(record, index, item, e, cmp) {
			console.log("record:" + JSON.stringify(record));
			$("#OpunFlnmChn").val(record.OpunFlnmChn);
			$("#CustName").val(Fw.util.Format.fmtName(record.CustName, true));
			$("#CertId").val(Fw.util.Format.fmtAcctNo(record.CertId, true));
			$("#LnBal").val(Fw.util.Format.fmtAmt(record.LnBal, true));
			$("#LnAcctNo").val(Fw.util.Format.fmtAcctNo(record.LnAcctNo, true));
			LnAcctNo = record.LnAcctNo;
			BelongInstnCod = record.BelongInstnCod;
			App.tab.setActiveItem(1);
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			Fw.util.Ajax.execute({
				service : 'consumeLoadService',
				method : 'executeMCCreditCheckResultUpdate',
				// 请求参数
				params : {
					BelongInstnCod : BelongInstnCod,
					LnAcctNo : LnAcctNo,
					CheckResult : CheckResult
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.Msg.info("操作成功", function() {
						if (0 == leftList.length) {
							Fw.redirect("../menu/main_new.html");
						} else {
							// 初始化数据
							App.initData();
							App.tab.setActiveItem(0);
						}
					});
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},

		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 提交表单
			case 'subTrue':
				CheckResult = "T";
				this.doSubmit();
				break;
			case 'subFalse':
				CheckResult = "F";
				this.doSubmit();
				break;
			}
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = this.tab.getActiveItemIndex();
			if (index == 0) {
				Fw.device.Device.gotoIndex();
			} else {
				// 返回上一页
				App.tab.setActiveItem(0);
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);