/**
 * 创建应用
 */
var App = function() {
	var form;
	var buttons = $('button');
	var tab;
	var page;
	var proList;
	var WDSerialno;//额度申请流水
	var BusinessSum;//额度
	var BusinessType;//产品编号
	var BusinessTypeName;//产品名称
	var RelativeSerialNo;//流水号
	var TermMonth;//期限
	var Ratefloat;//利率
	var contractObj;//合同信息
	// 页面跳转参数
	var parameters = null;
	var isOtp;
	var isSms;
	var smsSecurity = null;
	var datastr;
	var datastr2;
	var org_name;
	var fileName;
	var isTurnTabZero = false;
	var smsHFlag;
	var rzType;
	var lastNo = "";
	var deptseqFlag = false;
	var lnPurp = "";
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	var isfaceopen;
	var faceFailCnt;//人脸失败次数

	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		//短信倒计时
		'Fw.SmsCountDown',
		// 动态口令
		'Fw.Otp',
		//表单
		'Fw.Form',
		//安全键盘
		'Fw.Keyboard',
		//日历组件
		'Fw.Calendar',
		//常用数据
        'Fw.ConstantData',
		//设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session',
		//子页面js1
		'./housingfund_item1.js',
		'Fw.BluetoothKey',
		'Fw.SearchBar',
	    'Fw.ListView',
		'../loanToSearchDeptIdName.js'
		],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '公积金自助贷',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : '左边按钮',
			//自定义按钮点击事件（默认App.leftButtonHandler）
			//handler: XXX
			},
		/**
		 * 右边按钮（默认不显示）
		 * rightButton: '右边按钮'
		 */
		/*rightButton : {
		//自定义按钮点击事件（默认App.rightButtonHandler）
		//handler: XXX
		},*/
		/**
		 * 是否自动显示等待层（默认true）
		 * 需手动隐藏等待层
		 */
		//loadMask: false
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			//动态口令标志
			isOtp=Fw.app.Session.getIsOtp();
			//芯盾
			smsHFlag = Fw.app.Session.getSmsHFlag()||"";
			//定义选项卡
			tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0
			});
			//定义表单
			form = new Fw.Form({
				//EL
				contentEl : 'form',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			App.parames = Fw.decode(Fw.getParameters()); //页面跳转请求参数
			console.log("页面跳转参数："+JSON.stringify(App.parames));
			
			//初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
		},
		changeMaturity : function(obj) {
			var mydate = new Date(today);
        	var strYear = mydate.getFullYear();
        	var strMonth = mydate.getMonth()+1;
        	var strDay = mydate.getDate();
        	var limitEnd = $("[name=limitMaturity]").val();
        	var year = parseInt(limitEnd.substring(0,4));
        	var month = parseInt(limitEnd.substring(5,7));
        	var day = parseInt(limitEnd.substring(8,10));
        	var len = (year - strYear) * 12 + (month - strMonth);
        	var dayDiff = day - strDay;
        	if(dayDiff > 0){
        		len += 1;
        	}
        	$("[name=limitTermmonth]").val(len);
		},
		initDtkl : function() {
			isSms = Fw.app.Session.getIsSms();
			if (isSms == "1") {
				//放款短信 显示
				$('#smsValid').removeClass('sui-hide');
				$('#smsValid').addClass('sui-form-item sui-form-item-r sui-border-b');
				//额度申请短信 显示
				$('#smsEdValid').removeClass('sui-hide');
				$('#smsEdValid').addClass('sui-form-item sui-form-item-r sui-border-d');
			} else {
				//放款短信 隐藏
				$('#smsValid').removeClass('sui-form-item sui-form-item-r sui-border-b');
				$('#smsValid').addClass('sui-hide');
				//额度申请短信 隐藏
				$('#smsEdValid').removeClass('sui-form-item sui-form-item-r sui-border-d');
				$('#smsEdValid').addClass('sui-hide');
			}
			//根据客户是否绑定动态口令以及E盾显示
			// E盾、口令
			if((smsHFlag.indexOf("H") != -1 && isSms == "1") && (isOtp!=null && isOtp!="0")){
				$("#way_div").removeClass('sui-hide');
				$('#smsValid').addClass('sui-hide');
				$('#DynamicPwd').removeClass('sui-hide');
				rzType = "H";
			}else if(smsHFlag.indexOf("H") != -1 && isSms == "1"){// E盾、非口令
				$("#way_div").addClass('sui-hide');
				$('#smsValid').removeClass('sui-hide');
				$('#DynamicPwd').addClass('sui-hide');
				rzType = "S";
			}else{// 非E盾、口令
				$("#way_div").addClass('sui-hide');
				$('#smsValid').addClass('sui-hide');
				$('#DynamicPwd').removeClass('sui-hide');
				rzType = "H";
			}
			var deptId = Fw.app.Session.getParentDeptId();
			if(deptId!=undefined && deptId == '321104999'){//判断只有句容展示支持银行选项
				$("#selectBanKName").removeClass('sui-hide');
			}
		},
		
		//查询联社机构名
		MCLianSheAccountQry : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeBankName',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var branchName = result.result.BranchName;
					$("#branchName").html(branchName);
					$("#branchName2").html(branchName);
					$(".org_name").html(branchName);
					org_name = branchName;
					App.org_name = org_name;
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0) {
				//合同信息回显页面，上一级返回主菜单
				Fw.redirect("../menu/main.html");
			}else if (index == 1) {
				// 额度申请页面，上一页返回主菜单
				Fw.redirect("../menu/main.html");
			}else if (index == 2) {
				// 客户信息建立页面
				Fw.redirect("../menu/main.html");
			}else if (index == 3) {
				// 征信协议 返回上一页
				App.viewConfig.title = "金易通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				tab.setActiveItem(1);
			}else if (index == 4) {
				// 无合同，无流水，准备进入额度申请的页面，上一页返回主菜单
				 Fw.redirect("../menu/main.html");
			}else if (index == 5) {
				 $("#fangkuan").addClass("sui-hide");
				 $("#newfangkuan").addClass("sui-hide");
				// 电子银行服务协议，返回上一页
				App.viewConfig.title = "金易通申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				tab.setActiveItem(0);
			}else if (index == 6) {
				// 额度申请正在处理展示页面，上一页返回主菜单
				Fw.redirect("../menu/main.html");
			}else if (index == 7) {
				// 额度申请成功，期限未到的显示界面，上一页返回主菜单
				Fw.redirect("../menu/main.html");
			}else if (index == 8) {
				if(Fw.util.Format.fmtUndefinedData(fileName) != ""){
					App.removeFile();
				}
				// 合同建立成功，上一页返回主菜单
				Fw.redirect("../menu/main.html");
			}else if (index == 9) {
				//申请成功，再次查询合同，可继续借款
				$("#TrsAmount").val("");
				$("#TrsAmount").attr("placeholder","请输入贷款金额");
				$("input[name=oTPPassword]").val("");
				$("input[name=oTPPassword]").attr("placeholder","请输入动态口令");
				$("input[name=smsText]").val("");
				$("input[name=smsText]").attr("placeholder","请输入验证码");
				Fw.SmsCountDown.reset();
				App.queryContract();
			}else if (index == 10) {
				// 上一页返回主菜单
				Fw.redirect("../menu/main.html");
			}else if (index == 11) {
				if(Fw.util.Format.fmtUndefinedData(fileName) != ""){
					App.removeFile();
				}
				// 上一页返回主菜单
				Fw.redirect("../menu/main.html");
			}else if (index == 12) {
				// 贷款合同服务协议，返回上一页
				App.viewConfig.title = "网贷产品合同签署";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				tab.setActiveItem(2);
			}else if(index == 16){
				App.viewConfig.title = "金易通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				tab.setActiveItem(1);
			}else{
				// 上一页返回主菜单
				Fw.redirect("../menu/main.html");
			}
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			var deptseq1 = Fw.app.Session.getParentDeptId();//如果是南通地区则展示公积金密码输入框
			/*启东:320626999南通:320602999如皋:320622999海安:320621999如东:320623999海门:320625999*/
			if(deptseq1=="320626999"||deptseq1=="320602999"||deptseq1=="320622999"||deptseq1=="320621999"||deptseq1=="320623999"||deptseq1=="320625999"){
			    App.deptseqFlag = true;
				$("#newjiyitong").removeClass("sui-hide");
				$("#smsEdValid").addClass("sui-border-b");
			}else{
				 App.deptseqFlag = false;
				$("#newjiyitong").addClass("sui-hide");
				$("#smsEdValid").addClass("sui-border-d");
			}
			//动态口令类型
			var otpType = Fw.app.Session.getOtpType();
			//动态口令序号
			var otpNo = Fw.app.Session.getOtpNo();
			param = {
				'isOtp' : isOtp,
				'otpType' : otpType,
				'otpNo' : otpNo,
				'isChallenge' : '0',
			};
			//初始话动态口令显示
			App.MCLianSheAccountQry();	//查询联社机构名
			Fw.Otp.initDynamicPwd(param);	//初始化动态口令
			App.initDtkl();		//初始化短信显示
			if(!App.parames.returnFlag){
				App.queryContract();	//合同查询
			}else{
				App.org_name = App.parames.org_name;
				App.initCurDate();	//初始化当前日期
			}
		},
		 /**
         * 查询网点信息
         */
        queryBrchInfo: function(){
        	if($('#deptNameX').val() == ""){
        		$("#list").empty();
        		App.searchDeptIdName.init(tab,"金易通额度申请");
        		tab.setActiveItem(16);
        	}else{
        		App.deptIdName = "";
        		$("#deptNameX").on('click', Fw.bind(this.queryBrchInfo, this));
        		$("#search_icon_loan").addClass("search_icon_loan");
        		$("#search_icon_loan").removeClass("delete_icon_loan");
        		$("#deptNameX").val("");
			}
		},
		// 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
					App.getYestoday();
				}
			});
		},
		/**
         * 获取一年后的前一天
         */
        getYestoday : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var strYear = yestday.getFullYear()+1;
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth()+1;
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datastr = strYear+"/"+strMonth+"/"+strDay;
        },
		/**
		 * 初始化查询合同
		 */
		queryContract:function(){
			//查询合同
			Fw.util.Ajax.query({
                service: 'loadService',
                method: 'executeSNetLoanContractQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	protype:"D"	//代表公积金易贷通的类别
                },
                loadMask: true,
                success: function(data, result) {
                	if(!data)
            		{
                		Fw.Msg.info('未查询到相关信息，请稍后再试！', function(){
							Fw.redirect("../menu/main.html");
						});
            		}
                	var code = data.Code;
                	today = data.CurDate;
					App.getYestoday();
					var maskStatus = false;
					//有合同跳转放款流程，无合同但是有流水号进入合同建立，无合同无流水号进入额度申请
					if(code == "A001"){		//存在有效合同-->放款
						if((isOtp==null || isOtp=="0") && (smsHFlag.indexOf("H") < 0)){
							Fw.Msg.info('网贷放款申请仅支持动态口令客户或E盾客户！', function(){
			        			Fw.redirect("../menu/main.html");
			                });
			        		return;
			        	}
						//回显合同信息进入放款流程
						contractObj = data;
						$("#LoanNo").html(data.Bcserialno);
						$("#LoanBusType").html(Fw.util.Format.fmtAcctNo(data.AccountNo, true));
						$("#LoanSerialNo").html(data.CrlmtEndDtN.substring(0, 4) + "-" + data.CrlmtEndDtN.substring(4, 6) + "-" + data.CrlmtEndDtN.substring(6, 8));
						$("#LoanCoreRate").html(data.CoreRate + "%");
						$("#LoanAmount").html(Fw.util.Format.fmtAmt(data.AvlBal));				
						$("#LoanBusinessSum").html(Fw.util.Format.fmtAmt(data.CrlmtAmt));
						//授信期限在当前日期之后的一年之内，则贷款到期日默认为授信期限，否则为当前日期一年之后的时间
						if(datastr.replaceAll("/", "") > data.CrlmtEndDtN){
							$("#endDate").val(data.CrlmtEndDtN.substring(0,4) + "/" + data.CrlmtEndDtN.substring(4,6) + "/" + data.CrlmtEndDtN.substring(6, 8));
						}else{
							$("#endDate").val(datastr);
						}
						var kyje = Fw.util.Format.unFmtAmt(data.AvlBal);	//额度金额
						//低于5000 强制用完
						if(kyje < 5000){
							$("#TrsAmount").val(kyje);
							$("#TrsAmount").attr("disabled","disabled");
						}
						//TAB0页面显示表单和按钮
						$("#form").show();
						$("#contractDiv").show();
						App.onLoadHtml(data);//新增加载贷款用途选项
						App.viewConfig.title = "金易通产品放款申请";
						App.viewConfig.rightButton = true;
						App.viewConfig.rightButton = {text:"addico"};
						Fw.apply(App.viewConfig, this.viewConfig);
						// 设置标题栏
						Fw.device.Device.applyView(App);
						tab.setActiveItem(0);
					}else if(code == "A002"){	//无合同，存在有效申请-->建立合同
						var CreBusinessSum = Fw.util.Format.unFmtAmt(data.CreBusinessSum);//综合授信总额
						var AvailableCreditLimit = Fw.util.Format.unFmtAmt(data.AvailableCreditLimit);//综合授信可用额度
						if(Fw.util.Format.fmtUndefinedData(CreBusinessSum) != "" && CreBusinessSum > 0){
							$("#sx_total").html(Fw.util.Format.fmtAmt(CreBusinessSum));	//综合授信总额
							$("#sx_limit").html(Fw.util.Format.fmtAmt(AvailableCreditLimit));	//授信可用额度
							$("#sx_content").show();
							$("#pro_end").css("border-bottom","");
						}else{
							$("#sx_content").hide();
							$("#pro_end").css("border-bottom","1px solid #ccc");
						}
						//进入合同建立
						App.BusinessSum = Fw.util.Format.unFmtAmt(data.BusinessSum);//额度
						App.BusinessType = data.BusinessType;//产品类型
						App.BusinessTypeName = data.BusinessTypeName;//产品名称
						App.RelativeSerialNo = data.RelativeSerialNo;//申请流水
						App.TermMonth = data.TermMonth;	//期限
						$("#doneSum").html(Fw.util.Format.fmtAmt(data.BusinessSum));	//贷款额度
						$("#limitSxSum").html(Fw.util.Format.fmtAmt(data.BusinessSum));
						$("#limitBusinesssum").val(Fw.util.Format.fmtAmt(data.BusinessSum));
						$("#doneMonth").html(data.TermMonth);		//贷款期限
						$("#donePro").html(data.BusinessTypeName);	//贷款产品
						App.CoreRate = data.CoreRate;
						//添加信息回显字段
						App.RegionCodeName = data.RegionCodeName;//省市县中文
						App.RegionCode = data.RegionCode;//省市县代码
						App.FamilyZip = data.FamilyZip;//邮编
						App.EmailAdd = data.EmailAdd;
						App.PeiTelephone = data.PeiTelephone; 
						//添加信息回显字段
						//下面为查询的额度的产品信息
						App.BusinessTypeX = data.BusinessType;//产品编号
						App.BusinessTypeNameX = data.BusinessTypeName;//产品名称
						App.FlagType = data.FlagType;//产品名称
						App.viewConfig.title = "金易通产品";
						Fw.apply(App.viewConfig, this.viewConfig);
						// 设置标题栏
						Fw.device.Device.applyView(App);
						tab.setActiveItem(7);
					}else if(code == "A003"){	//无合同无申请-->额度申请
						//展示界面并选择是否进入额度申请流程
						App.Item1.init(tab);
						App.Item1.queryLimitStatus(true);
						maskStatus = true;
					}else if(code == "A014"){
						App.Item1.init(tab);
						$("#descDiv").html("很遗憾，您的额度申请已失效，请重新发起申请！");
						tab.setActiveItem(10);
					}else if(code == "A015"){
						App.Item1.init(tab);
						$("#descDiv").html("您的有效额度对应其他产品，请重新申请该产品额度！");
						tab.setActiveItem(10);
					}else if(code == "A011"){
						$("#sh_org").html(data.CiManagerOrgID);
						$("#sh_lxr").html(data.CiManagerUserID);
						$("#sh_mobile").html(data.UiMobileTel);
						tab.setActiveItem(11);
					}else if(code == "AAA"){
						App.Item1.init(tab);
						Fw.Msg.info("网贷产品由客户自主申请，自主使用，不得转移资金用途，本行未与任何中介机构合作，除贷款利息外，不收取任何手续费、中介费，请您确保资金安全，谨防上当受骗!");
						tab.setActiveItem(1);
					}else{
						//不正确的返回信息 返回首页
						Fw.Msg.info("暂无相关合同信息！", function(){
	            			Fw.redirect("../menu/main.html");
	                    });
					}
					if(!maskStatus){
	                	Fw.LoadMask.hide(200);
					}
                },
                failure : function(status, textStatus, error) {
                	Fw.LoadMask.hide();
        			Fw.Msg.error(error, function(){
	        			Fw.redirect("../menu/main.html");
	                });
					return false;
				}
            });
		},
		/**
		 * 合同建立完成后的合同查询
		 */
		queryContractEnd:function(){
			if((isOtp==null || isOtp=="0") && (smsHFlag.indexOf("H") < 0)){
	    		Fw.Msg.info('网贷放款申请仅支持动态口令客户或E盾客户！', function(){
	    			Fw.redirect("../menu/main.html");
	            });
				return;
			}
			if(Fw.util.Format.fmtUndefinedData(App.parames.Bcserialno) == ""){
				//合同建立未返回合同号查询
				App.queryContractNoBcserial();
			}else{
				//根据合同号查询合同信息
				App.queryContractByBcserial();
			}
		},
		//合同建立未返回合同号查询
		queryContractNoBcserial : function(){
			Fw.LoadMask.hide();
			Fw.util.Ajax.query({
                service: 'loadService',
                method: 'executeSNetLoanContractQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {},
                loadMask: true,
                success: function(data, result) {
                	Fw.LoadMask.hide(200);
                	if(!data)
            		{
                		Fw.Msg.info('未查询到相关信息，请稍后再试！', function(){
							Fw.redirect("../menu/main.html");
						});
            		}
                	var code = data.Code;
					//有合同跳转放款流程，无合同但是有流水号进入合同建立，无合同无流水号进入额度申请
					if(code == "A001"){
						isTurnTabZero = true;
						//回显合同信息进入放款流程
						contractObj = data;
						$("#LoanNo").html(data.Bcserialno);
						$("#LoanBusType").html(Fw.util.Format.fmtAcctNo(data.AccountNo, true));
						$("#LoanBusName").html(data.FlstOpunCod);		
						$("#LoanSerialNo").html(data.CrlmtEndDtN.substring(0, 4) + "-" + data.CrlmtEndDtN.substring(4, 6) + "-" + data.CrlmtEndDtN.substring(6, 8));
						$("#LoanTermMonth").html(data.Termmonth);
						$("#LoanCoreRate").html(data.CoreRate + "%");
						$("#LoanAmount").html(Fw.util.Format.fmtAmt(data.AvlBal));				
						$("#LoanBusinessSum").html(Fw.util.Format.fmtAmt(data.CrlmtAmt));	
						//一年超过授信期限，则贷款到期日默认为授信期限
						if(datastr.replaceAll("/", "") > data.CrlmtEndDtN){
							$("#endDate").val(data.CrlmtEndDtN.substring(0,4) + "/" + data.CrlmtEndDtN.substring(4,6) + "/" + data.CrlmtEndDtN.substring(6, 8));
						}else{
							$("#endDate").val(datastr);
						}
						var kyje = Fw.util.Format.unFmtAmt(data.AvlBal);
						//低于500 0强制用完
						if(kyje < 5000){
							$("#TrsAmount").val(kyje);
							$("#TrsAmount").attr("disabled","disabled");
						}
						$("#form").show();
						$("#contractDiv").show();
						App.onLoadHtml(data);//新增加载贷款用途选项
						App.viewConfig.title = "金易通产品放款申请";
						App.viewConfig.rightButton = true;
						App.viewConfig.rightButton = {text:"addico"};
						Fw.apply(App.viewConfig, this.viewConfig);
						// 设置标题栏
						Fw.device.Device.applyView(App);
						tab.setActiveItem(0);
					}else{
						//不正确的返回信息 返回首页
						Fw.Msg.info("未查询到合同信息，请稍后重试！", function(){
	                    });
					}
                },
                failure : function(status, textStatus, error) {
    				Fw.LoadMask.hide();
    				Fw.Msg.error(error);
    				return false;
    			}
            });
		},
		//根据合同号查询合同信息
		queryContractByBcserial : function(){
			Fw.LoadMask.hide();
			Fw.util.Ajax.query({
				service: 'loadService',
				method: 'executeMCNetLoanCreditUsingCheck',//默认为query，方法名称必须是query开头
				//请求参数
				params: {
					Bcserialno : App.parames.Bcserialno,
					transFlag:'HKind'//标志请求贷款合同名称
				},
				loadMask: true,
				//
				success: function(data, result) {
					Fw.LoadMask.hide(200);
					if(!data)
					{
						Fw.Msg.info('未查询到相关信息，请稍后再试！', function(){
							Fw.redirect("../menu/main.html");
						});
					}
					isTurnTabZero = true;
					//回显合同信息进入放款流程
					contractObj = data;
					contractObj.Bcserialno = App.parames.Bcserialno;
					contractObj.AccountNo = App.parames.AccountNo;
					contractObj.Termmonth = App.parames.limitTermmonth;
					$("#LoanNo").html(contractObj.Bcserialno);
					$("#LoanBusType").html(Fw.util.Format.fmtAcctNo(contractObj.AccountNo, true));
					$("#LoanBusName").html(data.FlstOpunCod);		
					$("#LoanSerialNo").html(data.CrlmtEndDtN.substring(0, 4) + "-" + data.CrlmtEndDtN.substring(4, 6) + "-" + data.CrlmtEndDtN.substring(6, 8));
					$("#LoanTermMonth").html(contractObj.Termmonth);
					$("#LoanCoreRate").html(data.CoreRate + "%");
					$("#LoanAmount").html(Fw.util.Format.fmtAmt(data.AvlBal));				
					$("#LoanBusinessSum").html(Fw.util.Format.fmtAmt(data.CrlmtAmt));	
					//一年超过授信期限，则贷款到期日默认为授信期限
					if(datastr.replaceAll("/", "") > data.CrlmtEndDtN){
						$("#endDate").val(data.CrlmtEndDtN.substring(0,4) + "/" + data.CrlmtEndDtN.substring(4,6) + "/" + data.CrlmtEndDtN.substring(6, 8));
					}else{
						$("#endDate").val(datastr);
					}
					var kyje = Fw.util.Format.unFmtAmt(data.AvlBal);
					//低于500 0强制用完
					if(kyje < 5000){
						$("#TrsAmount").val(kyje);
						$("#TrsAmount").attr("disabled","disabled");
					}
					$("#form").show();
					$("#contractDiv").show();
					App.onLoadHtml(data);//新增加载贷款用途选项
					App.viewConfig.title = "金易通产品放款申请";
					App.viewConfig.rightButton = true;
					App.viewConfig.rightButton = {text:"addico"};
					Fw.apply(App.viewConfig, this.viewConfig);
					// 设置标题栏
					Fw.device.Device.applyView(App);
					tab.setActiveItem(0);
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					Fw.Msg.error(error);
					return false;
				}
			});
		},
		/**
		 * 倒计时结束跳转结果页面
		 */
		turnNext : function(){
			App.Item2.init(tab);
		},
		//申请放款阶段 点击申请展示放款协议文本
        showXy:function(){
        	var endDate = $("#endDate").val();
        	var CrlmtEndDtN = contractObj.CrlmtEndDtN;
        	if(endDate == ""){
				Fw.Tips.info("请输入贷款到期日!");
				return;
			}
        	endDate = endDate.replaceAll("/", "");
        	if(endDate <= today.replaceAll("/", "")){
        		Fw.Tips.info("贷款到期日必须大于今天!");
        		return;
        	}
        	if(endDate > datastr.replaceAll("/", "")){
        		Fw.Tips.info("贷款到期日最多为一年!");
        		return;
        	}
        	if(endDate > CrlmtEndDtN){
				Fw.Tips.info("贷款到期日不能大于授信期限!");
				return;
			}
        	var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
			var kyxje = Fw.util.Format.unFmtAmt(contractObj.AvlBal);//可用额度
			var CrlmtAmt = Fw.util.Format.unFmtAmt(contractObj.CrlmtAmt);//授信额度
			if(kyxje == 0){
				Fw.Tips.info("无可用额度，不可申请放款!");
				return;
			}
			if(amount == ""){
				Fw.Tips.info("请输入申请额度!");
				return;
			}
			if(kyxje<5000){
				if(amount>kyxje){
					Fw.Tips.info("申请额度不能大于可用信额度!");
					return;
				}
			}else{
				if(amount<5000){
					Fw.Tips.info("申请额度必须大于等于5000元!");
					return;
				}
				if(amount>kyxje){
					Fw.Tips.info("申请额度不能大于可用信额度!");
					return;
				}
			}
        	var smscode = $("input[name=smsText]").val();
        	var oTPPassword = $("input[name=oTPPassword]").val();
			if(rzType == "S"){
				if(isSms == "1" && smscode ==""){
					Fw.Tips.info("请输入短信验证码");
					return;
				}
			}else{
				if(oTPPassword==""&& isOtp!="0"){
					Fw.Tips.info("请输入动态口令");
					return;
				}	
		    }
			
			//查询放款人脸识别开关
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executefacecheckopen',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					isfaceopen = data.FaceFlag;
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					//Fw.Tips.info("未查到相关信息");
				}
			});
				

        	App.viewConfig.title = "客户自助放款用途承诺书";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
			if(lnPurp == "A3" || lnPurp == "A4" || lnPurp == "A5" || lnPurp == "A6"){
			    $("#fangkuan").removeClass("sui-hide");	
			}else{
				$("#newfangkuan").removeClass("sui-hide");
			}
        	tab.setActiveItem(5);
        },
        /**
         * 额度申请 点击下一步 跳转合同文本
         * @returns
         */
        showZx:function(values){
        	var idNo = Fw.app.Session.getIdNo();
        	if (idNo.length == 15) {
        		//截取身份证判断性别
        		var cutIdNo = idNo.substring(14,15);	
        		if(cutIdNo % 2 == 0){
        			//女
        			values["Sex"] = "2";
        		}else{
        			//男
        			values["Sex"] = "1";
        		}
        		//出生日期
        		var birthday = idNo.substring(6,12);	
        		birthday = "19" + birthday.substring(0,2) + birthday.substring(2,4) + birthday.substring(4,6);  	
        		//验证年龄+产品最大期限不超过65
        		var date = new Date(today);
        		var birthYear = birthday.substring(0,4);//证件年
        		var birthMonth =birthday.substring(4,6);//证件月
        		var birthDay = birthday.substring(6,8);//证件日
        		
        		var birthDate= new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		//产品期限到期日
        		date.setMonth(date.getMonth() + parseInt(App.parames.Maxtermmonth));
        		//男65周岁
        		var birthDateM = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		birthDateM.setFullYear(birthDate.getFullYear() + 65);
        		//女55周岁
        		var birthDateF = new Date(birthYear + "/" + birthMonth + "/" + birthDay);	
        		birthDateF.setFullYear(birthDate.getFullYear() + 55);
        		//22周岁
        		var birthDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);//出生日期       		
        		//24周岁
        		var birthDate2 = new Date(birthYear + "/" + birthMonth + "/" + birthDay);//出生日期       	
        		
        		var nowDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		
        		birthDate.setFullYear(nowDate.getFullYear() + 22);
        		
        		birthDate2.setFullYear(nowDate.getFullYear() + 24);
        		
        		var todayDate = new Date(today);
        		//	年龄22周岁以上
        		if(birthDate < todayDate){		
        			if(values["Sex"]=="1"){
        				if (birthDate2>date) {
        					Fw.Msg.info("您未满24周岁，不符合产品申请条件！");
            				return false;
						}
        				
        				//男
        				if(birthDateM<date){
        					Fw.Msg.info("您超过65周岁，不符合产品申请条件！");
        					return false;
        				}
        			}
        			
        			//女
        			if(values["Sex"]=="2"){ //超过24岁
        				if(birthDate2>date){	//小于24岁
        					Fw.Msg.info("您未满24周岁，不符合产品申请条件！");
            				return false;
        				}
        				if(birthDateF<date){  //超过55岁
        					Fw.Msg.info("您大于55周岁，不符合产品申请条件！");
        					return false;
        				}
        			}

        		}else{
        			Fw.Msg.info("您未满22周岁，不符合产品申请条件！");
        			return false;
        		}
        	}else if (idNo.length == 18) {
        		var cutIdNo = idNo.substring(15,17);
        		if(cutIdNo % 2 == 0){
        			values["Sex"] = "2";
        		}else{
        			values["Sex"] = "1";
        		}
        		//验证年龄+产品最大期限不超过65
        		var date = new Date(today);
        		var birthday = idNo.substring(6,14);
        		var birthYear =birthday.substring(0,4);//证件年
        		var birthMonth =birthday.substring(4,6);//证件月
        		var birthDay = birthday.substring(6,8);//证件日
        		var birthDate= new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		//产品期限到期日
        		date.setMonth(date.getMonth() + parseInt(App.parames.Maxtermmonth));
        		//客户65周岁日期
        		var birthDateM = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		birthDateM.setFullYear(birthDate.getFullYear() + 65);
        		//客户55周岁日期
        		var birthDateF = new Date(birthYear + "/" + birthMonth + "/" + birthDay);      		
        		birthDateF.setFullYear(birthDate.getFullYear() + 55);
        		//22周岁
        		var birthDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);//出生日期
        		//24周岁
        		var birthDate2 = new Date(birthYear + "/" + birthMonth + "/" + birthDay);//出生日期
        		
        		var nowDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		birthDate2.setFullYear(nowDate.getFullYear() + 24);
        		birthDate.setFullYear(nowDate.getFullYear() + 22);
        	
        		var todayDate = new Date(today);
        		//	年龄22周岁以上
        		if(birthDate < todayDate){		
        			if(values["Sex"]=="1"){	//男
        				if(birthDate2>date){
        					Fw.Msg.info("您未满24周岁，不符合产品申请条件！");
            				return false;
        				}
        				if(birthDateM<date){
        					Fw.Msg.info("您超过65周岁，不符合产品申请条件！");
        					return false;
        				}
        			}
        			
        			//女
        			//date--产品期限到期日  birthDate2--24
        			if(values["Sex"]=="2"){ 
        				if(birthDate2>date){	//小于24岁
        					Fw.Msg.info("您未满24周岁，不符合产品申请条件！");
            				return false;
        				}
        				if(birthDateF<date){  //超过55岁
        					Fw.Msg.info("您超过55周岁，不符合产品申请条件！");
        					return false;
        				}
        			}
        		}else{
        			Fw.Msg.info("您未满22周岁，不符合产品申请条件！");
        			return false;
        		}
        	}else{
        		Fw.Tips.info("证件号码不符！");
        		return;
        	}
			var smscode = $("input[name=smsEdText]").val();
			if(isSms == "1" && smscode ==""){
				Fw.Tips.info("请输入短信验证码");
				return;
			}
			if(App.deptseqFlag){
			  var psd = $("input[name=Password]").val();
				if(psd == ""){
					Fw.Tips.info("请输入公积金密码。");
					return;
				}
			}
        	App.viewConfig.title = "客户授权书";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
        	tab.setActiveItem(3);
        },
        
        /**
         * 蓝牙交易加密
         */
		checktrans :function(param){
			if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
        		var clearData = this.getSignDataforBluetoothKey();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        					bluetoothKeySignatureData = data;
        					//蓝牙校验字段
        					param.SignCert = bluetoothKeySignatureData.signCert; //证书
        					param.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext; //签名明文
        					param.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext; //签名密文
        					App.doFormSubmit(param);
        				}
        		);
        	}else{
        		App.doFormSubmit(param);
        	}
		},
		
		/**
		 * 获取蓝牙key验证参数
		 */
		getSignDataforBluetoothKey :function(){
			//交易参数
			var endDate = $("#endDate").val();
        	endDate = endDate.replaceAll("/", "");
        	var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
        	var smscode = $("input[name=smsText]").val();
			var oTPPassword = $("input[name=oTPPassword]").val();
        	var acNo = contractObj.AccountNo;
        	var conNo = contractObj.Bcserialno;
        	var FlstOpunCod = contractObj.FlstOpunCod;
        	var data = {
        			tradeName: "金易通", //交易名
        			tradeId: "MCCreditUsing", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "smsSecurity",labelValue: App.smsSecurity
			            }, {
			            	labelName: "pwdCode",labelValue: smscode
			            }, {
			            	labelName: "IsOtp",labelValue: Fw.app.Session.getIsOtp()
			            }, {
			            	labelName: "otpType",labelValue: Fw.app.Session.getOtpType()
			            }, {
			            	labelName: "otpNo",labelValue: Fw.app.Session.getOtpNo()
			            }, {
			            	labelName: "oTPPassword",labelValue: oTPPassword
			            }, {
			            	labelName: "AccountNo",labelDesc: "账户: ",labelValue: acNo
			            }, {
			            	labelName: "CifNo",labelValue:Fw.app.Session.getCifNo()
			            }, {
			            	labelName: "ContractNo",labelDesc: "合同号: ",labelValue: conNo
			            }, {
			            	labelName: "FlstOpunCod",labelValue: FlstOpunCod
			            }, {
			            	labelName: "ApplyEndDate", labelDesc: "截止日期: ", labelValue: 
			            		endDate
			            }, {
			            	labelName: "rzType",
			            	labelValue: rzType
			            }, {
			            	labelName: "checkED",
			            	labelValue: "checkE"
			            }]
        	};
        	return data;
		},
        
        
        
        //发放贷款
        ApplyForCredit:function(){
        	var endDate = $("#endDate").val();
        	endDate = endDate.replaceAll("/", "");
        	var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
        	var smscode = $("input[name=smsText]").val();
			var oTPPassword = $("input[name=oTPPassword]").val();
        	var acNo = contractObj.AccountNo;	//卡号
        	var conNo = contractObj.Bcserialno;	//合同号
        	var FlstOpunCod = contractObj.FlstOpunCod;	//建档营业单位代码
        	var purp = $("select[name=purp]").val();
        	var param = {
					smsSecurity : App.smsSecurity,
					smscode : smscode,
					IsOtp : Fw.app.Session.getIsOtp(),
					otpType : Fw.app.Session.getOtpType(),
					otpNo : Fw.app.Session.getOtpNo(),
					oTPPassword : oTPPassword,
					AccountNo : acNo,
					CifNo : Fw.app.Session.getCifNo(),
					ContractNo : conNo,
					FlstOpunCod : FlstOpunCod,
					ApplyEndDate : endDate,
					TXAmount : Fw.util.Format.fmtNumber(amount),
					rzType : rzType,
					Purp : purp,
					checkED:"checkE",//判断走E盾标识
					SignCert : bluetoothKeySignatureData.signCert, //证书
        			SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
        			SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
			};
        	App.checktrans(param);
        },
        
        doFormSubmit: function(param){
        	var smscode = $("input[name=smsText]").val();
        	Fw.SmsCountDown.getSMSParams(smscode,function(data){
	        	param = Fw.util.Format.jsonAddJson(param,data);
				Fw.util.Ajax.execute({
					service : 'loadService',
					method : 'executeToApplyForCredit',
					// method:
					// 'executeReceiver',//默认为execute，方法名称必须是execute开头
					// 请求参数
					params : param,
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						var date = result.result;
						var ApplDueDt = date.ApplDueDt.substring(0, 4) + "-"
								+ date.ApplDueDt.substring(4, 6) + "-"
								+ date.ApplDueDt.substring(6, 8);
						$("#s1").html(ApplDueDt);
						$("#s2").html(Fw.util.Format.fmtAcctNo(date.CertNo, true));
						$("#s3").html(date.CtrtNo);
						$("#s4").html(Fw.util.Format.fmtAmt(date.TxAmt));
						$("#s5").html(Fw.util.Format.fmtAcctNo(date.DepAcctNO, true));
						$("#s6").html(Fw.util.Format.fmtAcctNo(date.LnAcctNO, true));
						$("#s7").html(date.Intr+'%');
						App.viewConfig.title = "金易通放款申请成功";
						App.viewConfig.rightButton = false;
						Fw.apply(App.viewConfig, this.viewConfig);
						// 设置标题栏
						Fw.device.Device.applyView(App);
						tab.setActiveItem(9);
					},
					// 请求错误后回调
					failure : function(status, textStatus, error) {
					}
				});
	     	},Fw.app.Session);
        },
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			//form.on('change', this.onChange, this);
			//选项卡切换后触发
            tab.on('tabchange', this.onTabChange);
        	//额度申请提交按钮显示协议文本
        	$("#next-btn").on("click", Fw.bind(this.showZx,this));
			//点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			// 点击调用倒计时插件
			$('#smsCountDown').on('click', Fw.bind(this.smsCountDownClick, this));
			// 点击调用倒计时插件
			$('#smsEdCountDown').on('click', Fw.bind(this.smsEdCountDownClick, this));
			//终结合同
			$('#endContract').on('click', Fw.bind(this.endContract, this));
			//右上角弹框触发事件
			$(document).bind('touchstart',function(e){
				$("#showPanel").hide();
			});
			$("#showPanel").bind('touchstart',function(e){
				if(e.stopPropagation){
					e.stopPropagation();
				}else{
					e.cancelBubble = true;
				}
			});
			//选择认证方式
			$("[name=rzWay]").on('change', Fw.bind(this.changeShow, this));
			//回显推荐人姓名
			$("[name=Remark]").on('blur',Fw.bind(this.queryName,this));
			// 查询网点（区域查询）
        	$("#search_icon_loan").on('click', Fw.bind(this.queryBrchInfo, this));
        	$("#deptNameX").on('click', Fw.bind(this.queryBrchInfo, this));
		},
		/**
         * 认证方式选择
         */
		changeShow : function(){
			var radioVal = $("[name=rzWay]:checked").val();
			//E盾
			if(radioVal == "0"){
				$("#smsValid").removeClass('sui-hide');
				$("#DynamicPwd").addClass('sui-hide');
				rzType = "S";
			}else{
				$("#smsValid").addClass('sui-hide');
				$("#DynamicPwd").removeClass('sui-hide');
				rzType = "H";
			}
		},
		endContract : function(){
			$("#showPanel").hide(100);
			Fw.Msg.cfm('您确定终结此合同吗？', function(code, btn, win) {
				if (code == "yes") {
					Fw.util.Ajax.execute({
						service : 'loadService',
						method : 'executeMCNetLoanEndContractApply',
						// 请求参数
						params : {
							BcSerialNo : contractObj.Bcserialno,
							CustomerName : Fw.app.Session.getCustName(),
							Corporateorgid : Fw.app.Session.getParentDeptId()
						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							$("#noticeText").html(data.Desc);
							App.viewConfig.title = "终结合同结果通知";
							App.viewConfig.rightButton = false;
							Fw.apply(App.viewConfig, this.viewConfig);
							// 设置标题栏
							Fw.device.Device.applyView(App);
							tab.setActiveItem(12);
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							//Fw.Tips.info("未查到相关信息");
						}
					});
				}
			});
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			//放款阶段 申请放款按钮展示贷款合同协议文本
			case 'submit-btn':
				App.showXy();
				break;
			//表单重置
			case 'reset-btn':
				form.reset();
				break;
			//重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			case 'limitNext-btn':
				tab.setActiveItem(1);
				App.showTips();
				break;
			case 'limitcancel-btn':
				Fw.redirect("../menu/main.html");
				break;
			case 'cancel-btn':
				Fw.redirect("../menu/main.html");
				break;
			case 'contractC-btn':
				if(App.BusinessTypeX && App.parames.Businesstypeno != App.BusinessTypeX){
					Fw.Msg.cfm({"msg":"您的额度对应的产品为:"+App.BusinessTypeNameX+"("+App.BusinessTypeX+")"+"，并非当前您选择的产品:"+App.parames.Businesstypename+"("+App.parames.Businesstypeno+")"+"，是否立即前往签署合同？","buttons":[{"code":"YES","text":"立即前往"},{"code":"NO","text":"重新申请额度"}]}, 
		      			 function(code, btn, win){
							if(code == "YES"){
								Fw.redirect("../menu/main.html");
							}else{
								App.Item1.init(tab);
								setTimeout(function(){App.showTips();tab.setActiveItem(1);},500);
							}
		      	 		 }
		    		);
		     	   return;
				}
				var params = {
					BusinessSum : App.BusinessSum,	//额度
					BusinessType : App.BusinessType,	//产品编号
					BusinessTypeName : App.BusinessTypeName,	//产品名称
					RelativeSerialNo : App.RelativeSerialNo,	//申请流水
					TermMonth : App.TermMonth,	//期限
					org_name : org_name,	//联社机构名
					Ratefloat : App.CoreRate,	//利率
					OffLineSymbol : App.parames.OffLineSymbol,	//网贷产品阈值
					Today : today,
					Businesstypename : App.parames.Businesstypename,
					Businesstypeno : App.parames.Businesstypeno,
					Limitsum : App.parames.Limitsum,
					Maxtermmonth : App.parames.Maxtermmonth,
					RegionCodeName : App.RegionCodeName,//省市县中文
					RegionCode : App.RegionCode,//省市县代码
					FamilyZip : App.FamilyZip,//邮编
					EmailAdd : App.EmailAdd,
					PeiTelephone : App.PeiTelephone
				};
				Fw.redirect('./housingfund_userBuild.html', Fw.encode(params));
				break;
			case 'fail-limit-btn':
				App.viewConfig.title = "金易通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				$("[name=smsEdText]").empty();	//清空短信验证码
				//延迟跳转，防止点击到下一页元素
				setTimeout(function(){
					tab.setActiveItem(1);
					App.showTips();
				},500);
				break;
			case 'sx-limit-btn':
				App.viewConfig.title = "金易通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				$("[name=smsEdText]").empty();	//清空短信验证码
				setTimeout(function(){
					tab.setActiveItem(1);
					App.showTips();
				},500);
				break;
			case 'con-error-btn':
				App.viewConfig.title = "金易通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				setTimeout(function(){
					tab.setActiveItem(1);
					App.showTips();
				},500);
				break;
			case 'req-btn':
				App.queryContractEnd();
				break;
			case 'reflesh-btn':
				App.Item1.queryLimitStatus();
				break;
			case 'apply-btn':
				if(isfaceopen == '0'){
					Fw.device.Device.getCamara('App.getFaceData');
				}else{
					App.ApplyForCredit();
				}
				break;
			}
		},
		
		
		getFaceData: function(data){
			var params = {
				ImgData : '',
			    Img : data,
			    DeviceId : '',
			    MacNum : '',
			    Flag : '1',// 使用图片比对
			    IdNo : Fw.app.Session.getIdNo(),
			    IdType : Fw.app.Session.getIdType(),
			    CifName : Fw.app.Session.getCustName(),
			    DeptId : Fw.app.Session.getCifDeptId(),
			    SignChannel : "MOB-fd",
			};
			//人脸识别比对
			Fw.util.Ajax.query({
    		   	service: 'loadService',
    	        method: 'executeFaceDataCheck',
    		    loadMask: true,
    	        //请求参数
    	        params: params,
    	        //请求成功后回调
    	        success: function(data, result) {
	              	Fw.LoadMask.hide();
    	        	if(data.FaceiIdentificationFlag == '1'){//人脸比对失败
    	        		params.Img = "";
    	        		faceFailCnt = faceFailCnt+1;
    	        		if(faceFailCnt < 3){
    	        			var message = data._RejMsg||"";
    	        			if(Fw.isEmpty(message)){
    	        				message = "人脸识别验证不通过或不在服务时间。服务时间为8:00至20:00。";
    	        			}
    	        			Fw.Msg.info(message);
    	        		}
    	        		else{
    	        			Fw.Msg.info("人脸识别失败已超过3次，请稍后重试。",function(){
    		        			  Fw.redirect("../menu/main.html");
    		        		   });
    	        		}
    	        	}else{//人脸比对通过
    	        		App.ApplyForCredit();
    	        	}
    	        },
	    	failure : function(status, textStatus, error) {
	    		Fw.LoadMask.hide();
	    		Fw.Msg.error(error,function(){
	    			//图片置空
	    			params.Img = "";
	    		});
	    		return false;
	    	}
    		});
      	},
		

		
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {

			//console.log(index);
			page = index;
			switch (index) {
			//第一个
			case 0:
				if(!isTurnTabZero){
					if(App.parames.returnFlag){
						var returnData = App.parames;
						App.Item1.init(tab);
						App.viewConfig.title = "签署合同结果通知";
						Fw.apply(App.viewConfig, this.viewConfig);
						// 设置标题栏
						Fw.device.Device.applyView(App);
						//有报错信息需要重新申请额度的，跳转额度申请界面
		            	if(returnData._RejCode){
		            		if(Fw.isEqual(returnData._RejCode,"A018") || Fw.isEqual(returnData._RejCode,"A035") || Fw.isEqual(returnData._RejCode,"A036")){
		                		if(returnData._RejMsg){
		    						$("#waitSp").html(returnData._RejMsg);
		                		}else{
		                			$("#waitSp").html("合同签署失败，请重新进行额度申请！");
		                		}
								tab.setActiveItem(13);
								return;
		                	}
		            		//客户能够重新修改合同到期日
		            		if(Fw.isEqual(returnData._RejCode,"A033")){
		            			if(returnData._RejMsg){
		    						$("#waitSp").html(returnData._RejMsg);
		                		}else{
		                			$("#waitSp").html("期限不得超过产品最大期限"+App.parames.Maxtermmonth+"月！")
		                		}
		            			tab.setActiveItem(13);
								return;
		            		}
		            	}
		            	//是否需要进行线下审批
		            	var code = returnData.Code;
		            	if(Fw.isEqual(code,"A026")){
		            		//进行线下审批
							$("#sh_org").html(returnData.CiManagerOrgID);
							$("#sh_lxr").html(returnData.CiManagerUserID);
							$("#sh_mobile").html(returnData.UiMobileTel);
							tab.setActiveItem(11);
		            	}else if(Fw.isEqual(code,"A001")){
		            		if(App.parames.isEts){
		            			//提示到借钱模块放款
		            			tab.setActiveItem(14);
		            		}else{
		            			//申请放款
			            		tab.setActiveItem(8);
		            		}
		            	}
		            	else if(Fw.isEqual(code,"A002")){
		            		//提示成功,并申请放款
		            		tab.setActiveItem(8);
		            	}else{
		            		$("#waitSp").html("合同签署失败，请重新进行额度申请！");
							tab.setActiveItem(13);
		            	}
					}
				}
				break;
			//第二个
			case 1:
				//执行子页面2初始化方法
				break;
			//第三个
			case 2:
				//执行子页面3初始化方法
				break;
			case 3:
				//执行子页面3初始化方法
				break;
			case 4:
				//执行子页面3初始化方法
				break;
			case 5:
				//执行子页面3初始化方法
				break;
			default:
				;
			}
		},
		removeFile : function(){
			Fw.util.Ajax.query({
                service: 'loadService',
                method: 'executeRemoveFile',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	fileName: fileName
                },
                loadMask: false,
                success: function(data, result) {
                },
                failure : function(status, textStatus, error) {
                	Fw.redirect("../menu/main.html");
				}
            });
		},
		/**
		 * 右边按钮点击事件
		 */
		rightButtonHandler : function() {
			$("#showPanel").show();
		},
		/**
		 * 调用短信统一接口
		 */
		smsCountDownClick : function(e) {
			var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
			if(amount == ""){
				Fw.Tips.info("请输入申请额度!");
				return;
			}
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			// 倒计时配置参数
			var params = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"
				delay : 60,
				// 参数
				param : {
					// 0表示本地获取 1表示 渠道端获取
					socket : '1',
					modType : 'syt',
					amount : amount,
				},
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},
		/**
		 * 调用短信统一接口
		 */
		smsEdCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			// 倒计时配置参数
			var params = {
					// 按钮对象
					contentEl : contentEl,
					// 可配参数：倒计时时间，如果不定义默认是"60秒"
					delay : 60,
					// 参数
					param : {
						// 0表示本地获取 1表示 渠道端获取
						socket : '0',
						modType : 'syted'
					},
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},

		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			App.smsSecurity = data.smsSecurity;
		},
		showTips : function(){
			Fw.Msg.info("网贷产品由客户自主申请，自主使用，不得转移资金用途，本行未与任何中介机构合作，除贷款利息外，不收取任何手续费、中介费，请您确保资金安全，谨防上当受骗!");
		},
		/**
		 * 网贷推荐人姓名查询
		 */
		queryName : function(){
			var thisNo = $("[name=Remark]").val();
			var name = $("[name=XM]").val();
			//当用户没有输入人工号时，不执行此方法
			if(thisNo == ""||thisNo == null){
				return;
			}
			//已经成功查询到推荐人姓名，并且前后两次人工号相同时，不执行此方法
			if((name != ""||name != null)&&(thisNo == lastNo)){
				return;
			}
			Fw.util.Ajax.query({
				service : 'loadService',
				method : 'queryRecommendNamebyNo',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					AtrifiNum : $("[name=Remark]").val(),
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(data.Attribute1 == ""||data.Attribute1 == null){
						$("[name=XM]").val("");
						Fw.Msg.info("查询不到推荐人姓名，请重新输入推荐人工号!");
						return;
					}else{
						$("[name=XM]").val(data.Attribute1);
						lastNo = thisNo;
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					$("[name=XM]").val("");
					Fw.Msg.info("查询不到推荐人姓名，请重新输入推荐人工号!");
					return false;
				}
			});
		},
		//加载放款用途选项
		onLoadHtml:function(data){
			var itemCls =data.Map;
			lnPurp = itemCls.LnPurp;
			$('#purp').empty();
			if(itemCls.LnPurp == "A3" || itemCls.LnPurp == "A4" || itemCls.LnPurp == "A5" || itemCls.LnPurp == "A6"){
				$('[name="purp"]').append("<option selected='selected' value='A4'>房产装修</option>");
				$('[name="purp"]').append("<option value='A5'>汽车消费</option>");
				$('[name="purp"]').append("<option value='A6'>度假旅游</option>");
				$('[name="purp"]').append("<option value='A6'>教育培训</option>");
				$('[name="purp"]').append("<option value='A6'>其他消费</option>");
			}else{
				$('[name="purp"]').append("<option value='A2'>种植业</option>");
				$('[name="purp"]').append("<option value='A2'>养殖业</option>");
				$('[name="purp"]').append("<option value='A2'>加工业</option>");
				$('[name="purp"]').append("<option value='A2'>运输业</option>");
				$('[name="purp"]').append("<option value='A2'>商业</option>");
				$('[name="purp"]').append("<option value='A2'>服务业</option>");
				$('[name="purp"]').append("<option value='A2'>建筑业</option>");
				$('[name="purp"]').append("<option value='B3'>其他</option>");
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
