/**
 * 贷款合同
 * 申请贷款
 */
var App = function() {
	var tab;
	var availListView; //贷款合同列表
	var depositListView; //存单质押合同列表
	var form; //表单
	var buttons = $('button');
	var smsSecurity=null;
	var today;
	var itemCls; //合同数据
	var datestr; //日期  一年后前一天
	var textDate2;
	var textDate1;
	var YesNo;
	var parameters;
	var startPointAmount;
	var smsHFlag;
	var rzType;
	var deptId;
	var isSms;
    var lnPurp;
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	var isfaceopen;
	var faceFailCnt;//人脸失败次数
	var checkdata = '';
	var depositflag = false;
	var depositList;
	var prddata;
	var org_name;
    return {
        /**
         * 依赖组件
         */
        requires: [
			'Fw.Tab',
			'Fw.ListView',
			'Fw.Form',
			// 安全键盘
			'Fw.Keyboard',
			//日历组件
			'Fw.Calendar',
			//短信倒计时
			'Fw.SmsCountDown',
			// 动态口令
			'Fw.Otp',
			//设备
			'Fw.device.Device',
			'Fw.app.Session',
			'Fw.BluetoothKey'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '贷款合同',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: false
        },
        
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	//获取当前选项卡序号
        	var index = tab.getActiveItemIndex();
        	if(depositflag){
        		if(index == 1){
        			tab.setActiveItem(6);
        		}else if(index == 6){
        			tab.setActiveItem(5);
        		}else if(index == 5){
        			Fw.redirect("../menu/main.html");
        		}else if(index == 3 || index == 4){
        			 if(index == 4){
       				    $("#fangkuan").addClass("sui-hide");
       				    $("#newfangkuan").addClass("sui-hide");
       				}
     				App.viewConfig.title = "贷款申请";
     				Fw.apply(App.viewConfig, this.viewConfig);
     				// 设置标题栏
     				Fw.device.Device.applyView(App);
    				tab.setActiveItem(1);
        		}else if(index == 2){
        			if(undefined != parameters.backFlag && parameters.backFlag == "LOAN"){
     	 	    		// Fw.device.Device.gotoIndex();
     	 	    		Fw.redirect("../menu/main.html");
     				}else{
     					Fw.device.Device.gotoIndex();
     				}
        		}
        	}else{
        		if(index == 1) {
        			$("#load_purp").hide();
        			$("#TrsAmount").val("");
        			App.clearSubmitData();
        			isSms = Fw.app.Session.getIsSms();
        			if (isSms == "1") {
        				$('#smsValid').removeClass('sui-hide');
        				$('#smsValid').addClass('sui-form-item sui-form-item-r sui-border-d');
        			} else {
        				$('#smsValid').removeClass('sui-form-item sui-form-item-r sui-border-d');
        				$('#smsValid').addClass('sui-hide');
        			}
        			App.viewConfig.title = "贷款合同";
     				Fw.apply(App.viewConfig, this.viewConfig);
     				// 设置标题栏
     				Fw.device.Device.applyView(App);
     				// 返回上一页
        			tab.setActiveItem(0);
     			} else if(index == 3 || index == 4){
     				$("#fangkuan").addClass("sui-hide");
     				$("#newfangkuan").addClass("sui-hide");
     				App.viewConfig.title = "贷款申请";
     				Fw.apply(App.viewConfig, this.viewConfig);
     				// 设置标题栏
     				Fw.device.Device.applyView(App);
    				tab.setActiveItem(1);
     			}else if(index == 0){
     				if(undefined != parameters.backFlag && parameters.backFlag == "shuiqitong"){
     					Fw.redirect("../menu/main.html");
     				}else{
     					tab.setActiveItem(5);
     				}
     			}else{
     				if(undefined != parameters.backFlag && parameters.backFlag == "LOAN"){
     	 	    		// Fw.device.Device.gotoIndex();
     	 	    		Fw.redirect("../menu/main.html");
     				}else{
     					Fw.device.Device.gotoIndex();
     				}
     			}
        	}
        },
        
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	parameters = Fw.decode(Fw.getParameters()?Fw.getParameters():'{}');
        	
        	//定义选项卡
            tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab'
            });
            
            //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
        	//初始化事件
        	this.initEvents();
        	//初始化数据
        	this.initData();
        	if(parameters && parameters.backFlag!=undefined && parameters.backFlag == "shuiqitong"){//从税企通跳转过来直接展示易贷通合同列表
        		depositflag = false;
        		tab.setActiveItem(0);
        		App.initListView();
        	}else{
	        	setTimeout(function(){
	        		tab.setActiveItem(5);
	        	},500);
        	}
//        	this.initListView();
        },
        
        /**
		 * 查询机构名称
		 */
		MCLianSheAccountQry : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeBankName',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var branchName = result.result.BranchName;
//					$("#branchName").html(branchName);
//					$("#branchName2").html(branchName);
					$("#deptName").html(branchName);
					org_name = branchName;
					App.org_name = org_name;
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
        
        /**
         * 初始化事件
         */
        initEvents:function(){
        	$("#submit-btn").on('click',Fw.bind(this.toSubmit,this));
            //获取短信
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
            //触发提交事件触发  贷款申请提交
        	form.on('submit', this.doSubmit, this);
            //点击按钮时触发（保存、重置、重发验证码）
//            buttons.tap(Fw.bind(this.onButtonClick, this));
            $("#loanRead").on('click', Fw.bind(this.showRead, this));
          //选择认证方式
			$("[name=rzWay]").on('change', Fw.bind(this.changeShow, this));
			//页面跳转
        	// 转账
        	$('#transfer').on('click', Fw.bind(this.totransferpage,this));
        	// 预约取现
            $('#perordercash').on('click', Fw.bind(this.toordercashpage,this));
            
            $('#EasyLoan').on('touchstart',Fw.bind(this.loantouchstart,this));
            $('#DepositLoan').on('touchstart',Fw.bind(this.loantouchstart,this));
            
            $('#EasyLoan').on('touchend',Fw.bind(this.loantouchend,this));
            $('#DepositLoan').on('touchend',Fw.bind(this.loantouchend,this));
            
            //跳转具体放款页面
            $('#EasyLoan').on('click', Fw.bind(this.onclickFunc,this));
            $('#DepositLoan').on('click', Fw.bind(this.onclickFunc,this));
        },
        
        // 转账页面跳转
		totransferpage : function(){
        	Fw.redirect("../../transferAccounts/main.html");
        },
        // 预约取现页面跳转
        toordercashpage : function(){
        	Fw.redirect("../../atm/ATM_Cash_Order.html");
        },
        
        loantouchstart:function(e){
       	 var id = e.currentTarget ? e.currentTarget.id : e;
        	$("#"+id).addClass("sui-hover");
        },
        loantouchend:function(e){
       	 var id = e.currentTarget ? e.currentTarget.id : e;
     		$("#"+id).removeClass("sui-hover");
        },
        
        onclickFunc:function(e){
        	var id = e.currentTarget ? e.currentTarget.id : e;
        	switch(id){
	        	case "EasyLoan": //易贷通
	        		depositflag = false;
	        		tab.setActiveItem(0);
	        		App.initListView();
					break;
				case "DepositLoan": //存单质押
					depositflag = true;
					App.CustomerNumContractQry();
//					this.initDepositListView();
					break;
				default:
					break;
        	};
        },
        
        CustomerNumContractQry :function(){
        	Fw.util.Ajax.query({
        		service: 'depositReceiptService',
                method: 'queryCustomerNumContract',
                //请求参数
                params: {
                	TftCustNo :Fw.app.Session.getCifNo()
                },
                loadMask: true,
                success: function(data, result) {
                	Fw.LoadMask.hide();
                	prddata = data;
                	depositList = data.List;
                	tab.setActiveItem(6);
                	App.initDepositListView();
                },
                failure : function(status, textStatus, error) {
                	Fw.LoadMask.hide();
                	Fw.Msg.error(error);
    			}
        	});
        },
        
        
        toSubmit :function(){
        	form.submit();
        },
        
        /**
         * 认证方式选择
         */
        changeShow : function(){
			var radioVal = $("[name=rzWay]:checked").val();
			//E盾
			if(radioVal == "0"){
				$("#smsValid").removeClass('sui-hide');
				$("#DynamicPwd").addClass('sui-hide');
				rzType = "S";
			}else{
				form.setValues("smscode","");
				$("[name=smscode]").attr("placeholder","请输入验证码");
				$("#smsValid").addClass('sui-hide');
				$("#DynamicPwd").removeClass('sui-hide');
				rzType = "H"
			}
		},
        /**
         * 初始化数据
         */
        initData:function(){
        	App.MCLianSheAccountQry();
        	// 是否验证短信
        	isSms = Fw.app.Session.getIsSms();
			if (isSms == "1") {
				$('#smsValid').removeClass('sui-hide');
				$('#smsValid').addClass('sui-form-item sui-form-item-r sui-border-d');
			} else {
				$('#smsValid').removeClass('sui-form-item sui-form-item-r sui-border-d');
				$('#smsValid').addClass('sui-hide');
			}
			// 初始化动态口令
        	//动态口令标志
			var isOtp = Fw.app.Session.getIsOtp();
			//动态口令类型
			var otpType = Fw.app.Session.getOtpType();
			//动态口令序号
			var otpNo = Fw.app.Session.getOtpNo();
			param = {
				'isOtp' : isOtp,
				'otpType' : otpType,
				'otpNo' : otpNo,
				'isChallenge' : '0',
			};
			//初始话动态口令显示
			Fw.Otp.initDynamicPwd(param);
			App.initCurDate();
        },
        
        //获取当前日期
        initCurDate: function(){
        	Fw.util.Ajax.get({
				service : 'curdateService',
				method:'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
					App.getYestoday();
				},
			});
        },
        
        /**
         * 获取一年后的前一天
         */
        getYestoday : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var strYear = yestday.getFullYear()+1;
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth()+1;
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datestr = strYear+""+strMonth+""+strDay;
        },
        
		
		/**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                  //提交表单
                case 'submit-btn':
                	form.submit();
                    break;
            }
        },
        
        /**
		 * 初始化列表
		 * 存单质押列表
		 */
        initDepositListView :function(){
        	//定义贷款再借列表
        	depositListView = new Fw.ListView({
                contentEl : 'DepositListView',//加载数据
                cls: 'sx-list',
			    groupCls: 'sx-list-group',
			    groupHeaderBaseCls: 'sx-list-group-header',
			    groupHeaderCls: 'sui-border-t',
			    itemBaseCls: 'sx-list-item',
			    itemCls: 'sui-border-t',
			    pressedCls: 'sui-list-active',
                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
			    ajax : {
					service : '',
					method:"",
	            	params:{},
					page: false,
					staticData: false,
				},
                //分组字段（默认null）
				groupField : '',
                groupHeaderTpl : [

          		],
                //向右箭头（默认false）
                disclosure: false,
                //数据展现模版
                itemTpl: [
					'<div class="item-left">',
						'<div>合同号</div>',
						'<div>合同额度</div>',
						'<div>可用额度</div>',
						'<div>合同到期日</div>',
						'<div>放款账号</div>',
						'<div>合同利率</div>',
					'</div>',
					'<div class="item-right">',
						'<div>${item.LnCtrtNo}</div>',
						'<div class="sui-item">${item.LnCrlmtAmt|fmtAmt}</div>',
						'<div class="sui-item-lnbal">${item.LnAvlAmt|fmtAmt}</div>',
						'<div class="sui-item-lnbal">${item.LnCrlmtEndDt|fmtDate}</div>',
						'<div>${item.LnDepAcctNo|fmtAcctNo,true}</div>',
						'<div class="sui-item-intr">${item.LnIntr}%</div>',
					'</div>',
					'<hr class="sui-item-hr">',
					'<div class="sui-item-button">我要借款</div>',
                ]
            });
        	$('#DepositListView').empty();
        	// 贷款合同
        	depositListView.onLoadData(depositListView.ajax, depositList);
        	//选中记录时触发
        	depositListView.on('itemclick', this.onSelectDepositRecord, this);
        },
        
        onSelectDepositRecord : function(record, index, item, e, cmp){
        	itemCls = record;
        	if(e.target.className=="sui-item-button"){// 选中“我要借款”
        		var isOtp = Fw.app.Session.getIsOtp();//是否绑定动态口令
        		smsHFlag = Fw.app.Session.getSmsHFlag();//芯盾
    			if(isOtp=="0" && smsHFlag.indexOf("H") < 0){
    				Fw.Tips.info('请绑定动态口令或开通E盾后使用该功能');
    				return;
    			}
    			if(itemCls.LnAvlAmt.toString() == "0" || itemCls.LnAvlAmt < 0){
    				Fw.Tips.info('可用余额不足，无法进行放款！');
    				return;
    			}
	        	if(itemCls.LnCustDlayFlg==1){ //客户逾期标志    LnCustDlayFlg-客户逾期标志   0-正常；1-有逾期
					Fw.Msg.info('您的贷款信息中存在逾期信息，暂停渠道自助用信！');
					return;
				}
	    		if(itemCls.LnConDlayFlg!=0){ //合同逾期标志    LnConDlayFlg-客户逾期标志   0-正常；1-有逾期
	    			Fw.Msg.info('此合同存在逾期信息，暂停渠道自助用信！');
					return;
				}
				if(Number(itemCls.LnAvlAmt)==0){
					Fw.Tips.info('无可用信金额');
					return;
				}
				//根据客户是否绑定动态口令以及E盾显示
				//口令、E盾客户
				if((smsHFlag.indexOf("H") != -1 && isSms == "1") && (isOtp!=null && isOtp!="0")){
					$("#way_div").removeClass('sui-hide');
					$('#smsValid').addClass('sui-hide');
					$('#DynamicPwd').removeClass('sui-hide');
					rzType = "H";// 口令
				}
				// E盾、非口令客户
				else if(smsHFlag.indexOf("H") != -1 && isSms == "1"){
					$("#way_div").addClass('sui-hide');
					$('#smsValid').removeClass('sui-hide');
					$('#DynamicPwd').addClass('sui-hide');
					rzType = "S";// 非口令
				}
				// 非E盾、口令客户
				else{
					$("#way_div").addClass('sui-hide');
					$('#smsValid').addClass('sui-hide');
					$('#DynamicPwd').removeClass('sui-hide');
					rzType = "H";// 口令
				}
				$("#deptName").html(itemCls.LnOpunCod+"：");
				// 网贷放款合同检验
    			App.queryMCNetLoanContractInspection();
        	}
        },
        
        /**
		 * 初始化列表
		 * 贷款合同列表
		 */
        initListView: function(){
        	//定义贷款再借列表
        	availListView = new Fw.ListView({
                contentEl : 'availListView',//加载数据
			    cls: 'sx-list',
			    groupCls: 'sx-list-group',
			    groupHeaderBaseCls: 'sx-list-group-header',
			    groupHeaderCls: 'sui-border-t',
			    itemBaseCls: 'sx-list-item',
			    itemCls: 'sui-border-t',
			    pressedCls: 'sui-list-active',
                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
                ajax : {
                	//数据源（服务接口）
                    service: 'loadService',
                    method: 'queryLoanAvailDetail',
                    //请求参数
                    params: {
                    	
                    },
                    //是否分页（默认true）
					page: false,
					staticData: false
                },
                //分组字段（默认null）
				groupField : 'LnCtrtNo',
                groupHeaderTpl : [

          		],
                //向右箭头（默认false）
                disclosure: false,
                //数据展现模版
                itemTpl: [
						'<div class="item-left">',
							'<div>贷款产品</div>',
							'<div>账户</div>',
							'<div>合同号</div>',
							'<div>授信额度</div>',
							'<div>可用额度</div>',
							'<div>利率</div>',
							'<div>授信期限</div>',
							'<div>归属机构</div>',
						'</div>',
						'<div class="item-right">',
							'{@if item.LnPdpTyp=="02"}',
								'<div>精英贷</div>',
							'{@else if item.LnPdpTyp=="03"}',
								'<div>存单质押</div>',
							'{@else}',
							    '<div>${item.BusinessTypeName}</div>',
							'{@/if}',
							'<div>${item.LnDepAcctNo|fmtAcctNo}</div>',
							'<div class="sui-item">${item.LnCtrtNo}</div>',
							'<div class="sui-item-lnbal">${item.LnCrlmtAmt|fmtAmt}</div>',
							'<div class="sui-item-lnbal">${item.LnAvlAmt|fmtAmt}</div>',
							'<div class="sui-item-intr">${item.LnIntr}%</div>',
							'<div>${item.LnCrlmtEndDt|fmtDate}</div>',
							'<div>${item.ParentLnOpunCodName}</div>',
						'</div>',
						'<hr class="sui-item-hr">',
						'<div class="sui-item-button">我要借款</div>',
                ]
            });
        	$('#availListView').empty();
        	// 贷款合同
        	availListView.loadData();
        	//选中记录时触发
        	availListView.on('itemclick', this.onSelectRecord, this);
        },
        /**
         * 选中记录
         * 贷款合同列表  选中其中一条
         */
        onSelectRecord: function(record, index, item, e, cmp) {
        	if(e.target.className=="sui-item-button"){// 选中“我要借款”
        		var isOtp = Fw.app.Session.getIsOtp();//是否绑定动态口令
        		smsHFlag = Fw.app.Session.getSmsHFlag()||"";//芯盾
        		//“E盾”规则与动态口令规则一致
    			if(isOtp=="0" && smsHFlag.indexOf("H") < 0){
    				Fw.Tips.info('请绑定动态口令或开通E盾后使用该功能');
    				return;
    			}
    			itemCls = record;
    			if(itemCls.LnCustDlayFlg==1){ //客户逾期标志    LnCustDlayFlg-客户逾期标志   0-正常；1-有逾期
    				Fw.Msg.info('您的贷款信息中存在逾期信息，暂停渠道自助用信！');
    				return;
    			}
        		if(itemCls.LnConDlayFlg!=0){ //合同逾期标志    LnConDlayFlg-客户逾期标志   0-正常；1-有逾期
        			Fw.Msg.info('此合同存在逾期信息，暂停渠道自助用信！');
    				return;
    			}
    			if(Number(itemCls.LnAvlAmt)==0){
    				Fw.Tips.info('无可用信金额');
    				return;
    			}
				//根据客户是否绑定动态口令以及E盾显示
				//口令、E盾客户
				if((smsHFlag.indexOf("H") != -1 && isSms == "1") && (isOtp!=null && isOtp!="0")){
					$("#way_div").removeClass('sui-hide');
					$('#smsValid').addClass('sui-hide');
					$('#DynamicPwd').removeClass('sui-hide');
					rzType = "H";// 口令
				}
				// E盾、非口令客户
				else if(smsHFlag.indexOf("H") != -1 && isSms == "1"){
					$("#way_div").addClass('sui-hide');
					$('#smsValid').removeClass('sui-hide');
					$('#DynamicPwd').addClass('sui-hide');
					rzType = "S";// 非口令
				}
				// 非E盾、口令客户
				else{
					$("#way_div").addClass('sui-hide');
					$('#smsValid').addClass('sui-hide');
					$('#DynamicPwd').removeClass('sui-hide');
					rzType = "H";// 口令
				}
    			// 网贷放款合同检验
    			App.queryMCNetLoanContractInspection();
        	}
        },
        
        /**
         * 网贷放款合同检验
         */
        queryMCNetLoanContractInspection: function(){
        	 Fw.util.Ajax.query({
        		 service: 'loadService',
                 method: 'queryMCNetLoanContractInspection',
                 //请求参数
                 params: {
                	 BCSerialNo: itemCls.LnCtrtNo, //贷款合同号
                	 FlstOpunCod: itemCls.LnOpunCod,
                	 SysFlag:itemCls.SysFlag?itemCls.SysFlag:""
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 //YesNo 是否线上贷款 1是 2否(线下贷款-易贷通    线上贷款-全流程自助贷)
                	 YesNo = data.YesNo;
                	 startPointAmount = data.StartPointAmount;
                	 if(YesNo=="1"){ //线上贷款
                		$("#loanRead").html("客户自助放款用途承诺书");
                 	}else{
                 		$("#loanRead").html("自助贷款用信申请电子银行服务协议");
                 	}
                	// 跳转贷款申请页
                	 if(!depositflag){
                 		$("#undepositsxqx").removeClass("sui-hide");
                 		$("#TrsAmount").attr("disabled","disabled");
                 		var productType = data.ProductType?data.ProductType:"";
                 		if(data.WarnningStatus && data.WarnningStatus == "1"){
                    		Fw.Msg.info("您有预警2.0系统提示信号，请联系银行！",function(){
                    			App.toLoanApply(productType);
                         	}); 
                    	 }else{
                    		 App.toLoanApply(productType);
                    	 }
                 	}else{
                 		$("#undepositsxqx").addClass("sui-hide");
                 		$("#TrsAmount").removeAttr("disabled");
                 		if(data.WarnningStatus && data.WarnningStatus == "1"){
                    		Fw.Msg.info("您有预警2.0系统提示信号，请联系银行！",function(){
                    			App.toDepositLoanApply();
                         	}); 
                    	 }else{
                    		 App.toDepositLoanApply();
                    	 }
                 	}
                 }
             });
        },
        
        toDepositLoanApply :function(){
        	//反显数据
        	$("#hth").val(itemCls.LnCtrtNo);//合同号
        	$("#cardNo").val(Fw.util.Format.fmtAcctNo(itemCls.LnDepAcctNo,true));//放款账号
        	$("#sxje").val(Fw.util.Format.fmtAmt(itemCls.LnCrlmtAmt));//合同额度
        	$("#kyxje").val(Fw.util.Format.fmtAmt(itemCls.LnAvlAmt));//可用额度
        	$("#TrsAmount").val(Fw.util.Format.fmtAmt(itemCls.LnAvlAmt));//放款额度默认为合同额度
        	$("#endDate").val(Fw.util.Format.fmtDate(itemCls.LnCrlmtEndDt));//到期日
        	$("#loanIntr").val(itemCls.LnIntr+"%");
        	//贷款用途
			$('[name="purp"]').html("");
			//处理新增加的贷款用途
			if(itemCls.LnPdpTyp == "01" || itemCls.LnPdpTyp == "02"){
				$("#load_purp").show();
				lnPurp = itemCls.LnLnPurp;
				if(itemCls.LnPurp == "A4" || itemCls.LnPurp == "A5" || itemCls.LnPurp == "A6"){
					$('[name="purp"]').append("<option selected='selected' value='A4'>房产装修</option>");
					$('[name="purp"]').append("<option value='A5'>汽车消费</option>");
					$('[name="purp"]').append("<option value='A6'>度假旅游</option>");
					$('[name="purp"]').append("<option value='A6'>教育培训</option>");
					$('[name="purp"]').append("<option value='A6'>其他消费</option>");
				}else{
					$('[name="purp"]').append("<option value='A2'>种植业</option>");
					$('[name="purp"]').append("<option value='A2'>养殖业</option>");
					$('[name="purp"]').append("<option value='A2'>加工业</option>");
					$('[name="purp"]').append("<option value='A2'>运输业</option>");
					$('[name="purp"]').append("<option value='A2'>商业</option>");
					$('[name="purp"]').append("<option value='A2'>服务业</option>");
					$('[name="purp"]').append("<option value='A2'>建筑业</option>");
					$('[name="purp"]').append("<option value='B3'>其他</option>");
				}
			}
			//查询放款人脸识别开关
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executefacecheckopen',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					isfaceopen = data.FaceFlag;
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					//Fw.Tips.info("未查到相关信息");
				}
			});
			App.viewConfig.title = "贷款申请";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
			// TAB1 贷款申请
			tab.setActiveItem(1);
        },
        /**
         * 贷款申请页
         */
        toLoanApply: function(){
        	$("#cardNo").val(Fw.util.Format.fmtAcctNo(itemCls.LnDepAcctNo, true));
			$("#hth").val(itemCls.LnCtrtNo);
			$("#sxje").val(itemCls.LnCrlmtAmt);
			$("#sxqx").val(Fw.util.Format.fmtStrSubDate(itemCls.LnCrlmtEndDt));
			$("#kyxje").val(itemCls.LnAvlAmt);
			$("#loanIntr").val(itemCls.LnIntr+"%");
			//申请额度
			if(Number(itemCls.LnAvlAmt)<startPointAmount){
				$("#TrsAmount").val(Fw.util.Format.fmtAmt(itemCls.LnAvlAmt));
				$("#TrsAmount").attr("disabled","disabled");
			}else{
				$("#TrsAmount").val("");
				$("#TrsAmount").removeAttr("disabled");
			}
			//贷款用途
			$('[name="purp"]').html("");
			//处理新增加的贷款用途
			lnPurp = itemCls.LnPurp;
			if(itemCls.LnPdpTyp == "01" || itemCls.LnPdpTyp == "02"){
				$("#load_purp").show();
				if(itemCls.LnPurp == "A4" || itemCls.LnPurp == "A5" || itemCls.LnPurp == "A6"){
					$('[name="purp"]').append("<option selected='selected' value='A4'>房产装修</option>");
					$('[name="purp"]').append("<option value='A5'>汽车消费</option>");
					$('[name="purp"]').append("<option value='A6'>度假旅游</option>");
					$('[name="purp"]').append("<option value='A6'>教育培训</option>");
					$('[name="purp"]').append("<option value='A6'>其他消费</option>");
				}else if(itemCls.LnPurp == "A3"){
					$('[name="purp"]').append("<option value='A3'>助学</option>");
				}else{
					$('[name="purp"]').append("<option value='A2'>种植业</option>");
					$('[name="purp"]').append("<option value='A2'>养殖业</option>");
					$('[name="purp"]').append("<option value='A2'>加工业</option>");
					$('[name="purp"]').append("<option value='A2'>运输业</option>");
					$('[name="purp"]').append("<option value='A2'>商业</option>");
					$('[name="purp"]').append("<option value='A2'>服务业</option>");
					$('[name="purp"]').append("<option value='A2'>建筑业</option>");
					$('[name="purp"]').append("<option value='B3'>其他</option>");
				}
			}
			App.initEndDate();
			
			//查询放款人脸识别开关
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executefacecheckopen',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					isfaceopen = data.FaceFlag;
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					//Fw.Tips.info("未查到相关信息");
				}
			});

			App.viewConfig.title = "贷款申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
			// TAB1 贷款申请
			tab.setActiveItem(1);
        },
        
        /**
         * 贷款到期日初始化
         */
        initEndDate : function(){
			var ntime = datestr; //一年后前一天
			var qxtime = $("#sxqx").val(); //授信期限
			var textDate;
			ntime = Fw.util.Format.fmtStrSubDate(ntime);
		    if(new Date(ntime) <= new Date(qxtime)){ //贷款到期日最多为一年
			    	textDate = ntime;
			    }else{
			    	textDate = qxtime;
			    }
			 textDate2 = textDate.replace(/\-/g, "");
			 textDate1 = textDate.replace(/\-/g, "/");
			 $("#endDate").val(textDate1);
		},
		   /**
         * 蓝牙交易加密
         */
		checktrans :function(param,method){
			if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
		       	var clearData = this.getSignDataforBluetoothKey();
		       	Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
		       			function(data){
		       				bluetoothKeySignatureData = data;
		       				//蓝牙校验字段
		       				param.SignCert = bluetoothKeySignatureData.signCert; //证书
		       				param.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext; //签名明文
		       				param.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext; //签名密文
		       				App.executeLoadOrApply(param,method);
		       			}
		       	);
		    }else{
		       	App.executeLoadOrApply(param,method);
		    }
		},
		
		/**
		 * 获取蓝牙key验证参数
		 */
		getSignDataforBluetoothKey :function(){
			if(!$('#agreed').is(':checked')){
        		Fw.Tips.info('您需阅读并同意贷款用信申请协议！');
        		return false;
        	}
			var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
			if(!depositflag){
				var kyxje = Fw.util.Format.unFmtAmt($("#kyxje").val());
				if(kyxje<startPointAmount){
					if(amount>kyxje){
						Fw.Tips.info("申请额度不能大于可用信额度!");
						return;
					}
				}else{
					if(amount<startPointAmount){
						Fw.Tips.info("申请额度必须大于等于" + startPointAmount + "元!");
						return;
					}
					if(amount>kyxje){
						Fw.Tips.info("申请额度不能大于可用信额度!");
						return;
					}
				}
			}
			var enddate = $("#endDate").val();
			var end = $("#endDate").val().replace(/\//g, ""); //贷款到期日
			var nowDate = today.replace(/\//g, "");
			if(datestr<end){
				Fw.Tips.info("贷款时间最多为一年!");
				return;
			}
			if(enddate==""){
				Fw.Tips.info("请选择贷款到期日期");
				return;
			}
			if(end>textDate2){
				Fw.Tips.info("贷款到期日不能大于授信期限!");
				$("#endDate").val(textDate1);
				return;
			}
			if(datestr<end && end<textDate2){
				Fw.Tips.info("贷款时间最多为一年!");
				$("#endDate").val(textDate1);
				return;
			}
			if(end < nowDate){
				Fw.Tips.info("贷款到期日不能小于当前日期!");
				$("#endDate").val(textDate1);
				return;
			}
			var method = 'MCCreditUsing';
			//LnPdpTyp  01 易贷通   02 卡贷宝   03 存单质押
			if(!depositflag){
				if(itemCls.LnPdpTyp=="02"){ // 精英贷（卡贷宝） 公务员贷款用信即精英贷
					method = 'MCPubServantLoanUsing';
				}else{// 用信申请
					method = 'MCCreditUsing';
				}
			}else{
				method = 'MCCreditUsing';
			}
			var transname = '';
			if(!depositflag){
				if(itemCls.LnPdpTyp=="01"){ // 精英贷（卡贷宝） 公务员贷款用信即精英贷
					transname = "易贷通贷款('易贷通')";
				}else if(itemCls.LnPdpTyp=="02"){// 用信申请
					transname = "易贷通贷款('精英贷')";
				}else{
					transname = "易贷通贷款('存单质押')";
				}
			}else{
				transname = '存E贷';
			}
			//交易参数
        	var data = {
        			tradeName: transname, //交易名
        			tradeId: method, //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "LnAcctNo", labelDesc: "贷款账户: ", 
			            	labelValue: itemCls.LnDepAcctNo
			            }, {
			            	labelName: "CifNo",
			            	labelValue: Fw.app.Session.getCifNo()
			            }, {
			            	labelName: "ContractNo", labelDesc: "合同号:", 
			            	labelValue: itemCls.LnCtrtNo
			            }, {
			            	labelName: "FlstOpunCod", 
			            	labelValue: itemCls.LnOpunCod
			            }, {
			            	labelName: "ApplyEndDate", labelDesc: "授信期限: ", 
			            	labelValue: "至"+end.substring(0, 4)+'年'+end.substring(4,6)+'月'+end.substring(6,8)+"日"
			            }, {
			            	labelName: "TXAmount", labelDesc: "申请额度: ", 
			            	labelValue: Fw.util.Format.fmtNumber(amount)
			            }, {
			            	labelName: "rzType",
			            	labelValue: rzType
			            }, {
			            	labelName: "checkED",
			            	labelValue: 'checkE'
			            }, {
			            	labelName: "Purp", labelDesc: "借款用途: ", 
			            	labelValue: $("select[name=purp] option:selected").text()
			            }]
        	};
        	var purpp = $("select[name=purp] option:selected").text();
        	if(purpp!=null||purpp!=""){
        		var purpvalue = {labelName: "Purp", labelDesc: "借款用途: ", labelValue: purpp};
        		data.labelData.push(purpvalue);
        	}
        	return data;
		},
		
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {			
			checkdata = values;
			if(isfaceopen == '0'){
				Fw.device.Device.getCamara('App.getFaceData');
			}else{
				App.ApplyForCredit(checkdata);
			}
		},
	
		getFaceData: function(data){
			var params = {
				ImgData : '',
			    Img : data,
			    DeviceId : '',
			    MacNum : '',
			    Flag : '1',// 使用图片比对
			    IdNo : Fw.app.Session.getIdNo(),
			    IdType : Fw.app.Session.getIdType(),
			    CifName : Fw.app.Session.getCustName(),
			    DeptId : Fw.app.Session.getCifDeptId(),
			    SignChannel : "MOB-fd",
			};
			//人脸识别比对
			Fw.util.Ajax.query({
			   	service: 'loadService',
		        method: 'executeFaceDataCheck',
			    loadMask: true,
		        //请求参数
		        params: params,
		        //请求成功后回调
		        success: function(data, result) {
	              	Fw.LoadMask.hide();
		        	if(data.FaceiIdentificationFlag == '1'){//人脸比对失败
		        		params.Img = "";
		        		faceFailCnt = faceFailCnt+1;
		        		if(faceFailCnt < 3){
		        			var message = data._RejMsg||"";
		        			if(Fw.isEmpty(message)){
		        				message = "人脸识别比对失败";
		        			}
			        			Fw.Msg.info(message);
			        		}
			        		else{
			        			Fw.Msg.info("人脸识别失败已超过3次，请稍后重试。",function(){
				        			  Fw.redirect("../menu/main.html");
				        		   });
			        		}
			        	}else{//人脸比对通过
			        		App.ApplyForCredit(checkdata);
			        	}
			        },
		    	failure : function(status, textStatus, error) {
		    		Fw.LoadMask.hide();
		    		Fw.Msg.error(error,function(){
		    			//图片置空
		    			params.Img = "";
		    		});
		    		return false;
		    	}
			});
	  	},
		
		ApplyForCredit : function(checkdata){
			if(!$('#agreed').is(':checked')){
        		Fw.Tips.info('您需阅读并同意贷款用信申请协议！');
        		return false;
        	}
			if(depositflag){
				var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());//授信额度
	        	if(Fw.isEmpty(amount)){
	        		Fw.Tips.info("授信金额不能为空！");
					return;
	        	}
//	        	var sxje = Fw.util.Format.unFmtAmt($("#sxje").val());//合同额度
//				if(sxje<startPointAmount){//合同额度小于最小申请额度
//					if(amount>sxje){
//						Fw.Tips.info("申请额度不能大于合同额度!");
//						return;
//					}
//				}else{//合同额度不小于最小申请额度
//					if(amount<startPointAmount){
//						Fw.Tips.info("申请额度必须大于等于" + startPointAmount + "元!");
//						return;
//					}
//					if(amount>sxje){
//						Fw.Tips.info("申请额度不能大于合同额度!");
//						return;
//					}
//				}
				var enddate = $("#endDate").val();//到期日
	        	if(enddate ==""){
					Fw.Tips.info("请选择到期日！");
					return;
				}
	        	if(enddate.replace(/\//g, "") > itemCls.LnCrlmtEndDt){
	        		Fw.Tips.info("贷款期限不能大于合同到期日" + itemCls.LnCrlmtEndDt.substring(0,4)+
	            			"/"+itemCls.LnCrlmtEndDt.substring(4,6)+"/"+itemCls.LnCrlmtEndDt.substring(6,8) + "!");
					return;
	        	}
	        	if(enddate.replace(/\//g, "") < today.replace(/\//g, "")){
	        		Fw.Tips.info("贷款期限不得小于当前日期"+today+"!");
					return;
	        	}
	        	var param = {
		       			pwdCode : checkdata.smscode,
						IsOtp : Fw.app.Session.getIsOtp(),
						otpType : Fw.app.Session.getOtpType(),
						otpNo : Fw.app.Session.getOtpNo(),
						oTPPassword : checkdata.oTPPassword,
						
						AccountNo : itemCls.LnDepAcctNo,
						CifNo : Fw.app.Session.getCifNo(),
						ContractNo : itemCls.LnCtrtNo,
						FlstOpunCod : itemCls.LnOpunCod,
						ApplyEndDate : enddate.replace(/\//g, ""),
						TXAmount : Fw.util.Format.fmtNumber(amount),
						Flag : "1",
						Purp : $("select[name=purp]").val(),
						rzType : rzType,
						checkED:'checkE',
						SignCert : bluetoothKeySignatureData.signCert, //证书
	        			SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
	        			SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
				};
//	        	App.executedepositUsing(checkdata);
	        	Fw.SmsCountDown.getSMSParams(checkdata.smscode,function(data){
	    			param = Fw.util.Format.jsonAddJson(param,data);
	    			App.checktrans(param,"executeToApplyForCredit");
	    		},Fw.app.Session);
			}else{
				App.queryMCCreditPawnStateQry(checkdata);
			}
			/*if(!$('#loanAgreed').is(':checked')){
				Fw.Tips.info('请同意每月21日为结息日，并保证账户余额！');
				return false;
			}*/

			/*var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
			var kyxje = Fw.util.Format.unFmtAmt($("#kyxje").val());
			if(kyxje<startPointAmount){
				if(amount>kyxje){
					Fw.Tips.info("申请额度不能大于可用信额度!");
					return;
				}
			}else{
				if(amount<startPointAmount){
					Fw.Tips.info("申请额度必须大于等于" + startPointAmount + "元!");
					return;
				}
				if(amount>kyxje){
					Fw.Tips.info("申请额度不能大于可用信额度!");
					return;
				}
			}
			var enddate = $("#endDate").val();
			var end = $("#endDate").val().replace(/\//g, ""); //贷款到期日
			var nowDate = today.replace(/\//g, "");
			if(datestr<end){
				Fw.Tips.info("贷款时间最多为一年!");
				return;
			}
			if(enddate==""){
				Fw.Tips.info("请选择贷款到期日期");
				return;
			}
			if(end>textDate2){
				Fw.Tips.info("贷款到期日不能大于授信期限!");
				$("#endDate").val(textDate1);
				return;
			}
			if(datestr<end && end<textDate2){
				Fw.Tips.info("贷款时间最多为一年!");
				$("#endDate").val(textDate1);
				return;
			}
			if(end < nowDate){
				Fw.Tips.info("贷款到期日不能小于当前日期!");
				$("#endDate").val(textDate1);
				return;
			}
			var purp = $("select[name=purp]").val();
			var method = 'executeToApplyForCredit';
			//LnPdpTyp  01 易贷通   02 卡贷宝   03 存单质押
			if(itemCls.LnPdpTyp=="02"){ // 精英贷（卡贷宝） 公务员贷款用信即精英贷
				method = 'executeServantLoanUsing';
			}else{// 用信申请
				method = 'executeToApplyForCredit';
			}
	       	var param = {
	       			pwdCode : checkdata.smscode,
					IsOtp : Fw.app.Session.getIsOtp(),
					otpType : Fw.app.Session.getOtpType(),
					otpNo : Fw.app.Session.getOtpNo(),
					oTPPassword : checkdata.oTPPassword,
					
					AccountNo : itemCls.LnDepAcctNo,
					CifNo : Fw.app.Session.getCifNo(),
					ContractNo : itemCls.LnCtrtNo,
					FlstOpunCod : itemCls.LnOpunCod,
					ApplyEndDate : end,
					TXAmount : Fw.util.Format.fmtNumber(amount),
					Purp : purp,
					rzType : rzType,
					checkED:'checkE',
					SignCert : bluetoothKeySignatureData.signCert, //证书
        			SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
        			SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
			};
	       	Fw.SmsCountDown.getSMSParams(checkdata.smscode,function(data){
    			param = Fw.util.Format.jsonAddJson(param,data);
    			App.checktrans(param,method);
    		},Fw.app.Session);*/
		},
		excuHouseLoanDrawApply:function(){
			Fw.util.Ajax.execute({
    		   	service: 'loadService',
    	        method: 'executeHouseLoanDrawApply',
    		    loadMask: true,
    	        //请求参数
    	        params: {
    	        	BCSerialNo:itemCls.LnCtrtNo,
    	        	BusinessSum:Fw.util.Format.unFmtAmt($("#TrsAmount").val())
    	        },
    	        //请求成功后回调
    	        success: function(data, result) {
    	        	Fw.Msg.info("处理成功。");
    	        },
    	        failure : function(status, textStatus, error) {
    	        }
    	     });
		},
		executedepositUsing :function(values){
			var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
			var end = $("#endDate").val().replace(/\//g, ""); //贷款到期日
			var purp = $("select[name=purp]").val();
			var param = {
	       			pwdCode : values.smscode,
					IsOtp : Fw.app.Session.getIsOtp(),
					otpType : Fw.app.Session.getOtpType(),
					otpNo : Fw.app.Session.getOtpNo(),
					oTPPassword : values.oTPPassword,
					
					AccountNo : itemCls.LnDepAcctNo,
					CifNo : Fw.app.Session.getCifNo(),
					ContractNo : itemCls.LnCtrtNo,
					FlstOpunCod : itemCls.LnOpunCod,
					ApplyEndDate : end,
					TXAmount : Fw.util.Format.fmtNumber(amount),
					Flag : "1",
					Purp : purp,
					rzType : rzType,
					checkED:'checkE',	
					SignCert : bluetoothKeySignatureData.signCert, //证书
        			SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
        			SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
			};
			App.executeLoadOrApply(param,"executeToApplyForCredit");
		},
		
		/**
		 * 抵押物状态查询
		 *  A0001 ：允许
		 *	A00021：合同不满足放款条件
		 *	A00022：该法人抵押房产类合同暂未开通放款
		 *	A00023：抵押房产类合同押品状态不满足要求：**
		 *	A00024：此合同暂未开通放款
		 *	A00025: 房产匹配未成功
		 *	A00026: 有在途在途的抵押自助放款申请
		 *	A00027: 抵押房产自助贷提款申请已失效，请重新发起
		 *	A0003 ：无需调用
		 *	：担保合同只有一类，混保不支持
		 *	1、信用、保证、质押-本行存单&易贷通：无需调用。
		 *	2、其他易贷通&非抵押房产（纯）：A00021
		 *	3、其他易贷通&抵押房产（纯）&非泗阳、启东、大丰、射阳、泰兴：拒绝。A00022
		 *	4、其他易贷通&抵押房产（纯）&泗阳、启东、大丰、射阳、泰兴：4.1允许、4.2拒绝A00023
		 *	5、拒绝 A00024
		 *  6、阜宁优化添加，返回金额。
		 */
		queryMCCreditPawnStateQry:function(values){
			Fw.util.Ajax.query({
                service: 'loadService',
                method: 'queryMCCreditPawnStateQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	BcSerialNo: itemCls.LnCtrtNo,
                	SysFlag:itemCls.SysFlag?itemCls.SysFlag:""
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	if("A00027" == data.Status){
                		Fw.Msg.info("抵押房产自助贷提款申请已失效，请重新发起。", function(){
                			App.excuHouseLoanDrawApply();
                			return;
                        });
                		return;
                	}
                	if("A0001"==data.Status || "A0003"==data.Status || "A00011" == data.Status){//Status ： A0001 ：允许 A0002 ：拒绝 A0003 ：无需调用（A0001和A0003走正常放款流程）
                		var amount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());
            			var kyxje = Fw.util.Format.unFmtAmt($("#kyxje").val());
            			if("A00011" == data.Status){
            				if(amount>data.BusinessSum){
            					Fw.Msg.info("申请用信额度不能大于抵押房产自助贷提款申请额度！");
            					return;
            				}
            			}
            			if(kyxje<startPointAmount){
            				if(amount>kyxje){
            					Fw.Tips.info("申请额度不能大于可用信额度!");
            					return;
            				}
            			}else{
            				if(amount<startPointAmount){
            					Fw.Tips.info("申请额度必须大于等于" + startPointAmount + "元!");
            					return;
            				}
            				if(amount>kyxje){
            					Fw.Tips.info("申请额度不能大于可用信额度!");
            					return;
            				}
            			}
            			var enddate = $("#endDate").val();
            			var end = $("#endDate").val().replace(/\//g, ""); //贷款到期日
            			var nowDate = today.replace(/\//g, "");
            			if(datestr<end){
            				Fw.Tips.info("贷款时间最多为一年!");
            				return;
            			}
            			if(enddate==""){
            				Fw.Tips.info("请选择贷款到期日期");
            				return;
            			}
            			if(end>textDate2){
            				Fw.Tips.info("贷款到期日不能大于授信期限!");
            				$("#endDate").val(textDate1);
            				return;
            			}
            			if(datestr<end && end<textDate2){
            				Fw.Tips.info("贷款时间最多为一年!");
            				$("#endDate").val(textDate1);
            				return;
            			}
            			if(end < nowDate){
            				Fw.Tips.info("贷款到期日不能小于当前日期!");
            				$("#endDate").val(textDate1);
            				return;
            			}
            			var purp = $("select[name=purp]").val();
            			var method = 'executeToApplyForCredit';
            			//LnPdpTyp  01 易贷通   02 卡贷宝   03 存单质押
            			if(itemCls.LnPdpTyp=="02"){ // 精英贷（卡贷宝） 公务员贷款用信即精英贷
            				method = 'executeServantLoanUsing';
            			}else{// 用信申请
            				method = 'executeToApplyForCredit';
            			}
            	       	var param = {
            	       			pwdCode : values.smscode,
            					IsOtp : Fw.app.Session.getIsOtp(),
            					otpType : Fw.app.Session.getOtpType(),
            					otpNo : Fw.app.Session.getOtpNo(),
            					oTPPassword : values.oTPPassword,
            					
            					AccountNo : itemCls.LnDepAcctNo,
            					CifNo : Fw.app.Session.getCifNo(),
            					ContractNo : itemCls.LnCtrtNo,
            					FlstOpunCod : itemCls.LnOpunCod,
            					ApplyEndDate : end,
            					TXAmount : Fw.util.Format.fmtNumber(amount),
            					Purp : purp,
            					rzType : rzType,
            					checkED:'checkE',
            					SignCert : bluetoothKeySignatureData.signCert, //证书
                    			SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
                    			SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
            			};
            	       	Fw.SmsCountDown.getSMSParams(values.smscode,function(data){
                			param = Fw.util.Format.jsonAddJson(param,data);
                			App.checktrans(param,method);
                		},Fw.app.Session);
                	}else{
                		if("A00026" == data.Status){
                			Fw.Msg.info("有在途在途的抵押自助放款申请,等待我行处理。", function(){
                    			tab.setActiveItem(1);
                    			return false;
                            });
                    	}
                		Fw.Msg.warn(data.Desc, function(){
                			tab.setActiveItem(1);
                			return false;
                        });
                	}
                },
            });
		},
		
		executeLoadOrApply: function(param,method){
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : method,
				// 请求参数
				params : param,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					if(depositflag){
						$("#ACNOSEND").addClass("sui-hide");
						$("#ACNOLOAD").addClass("sui-hide");
						$("#s1").html(Fw.util.Format.fmtStrSubDate(data.ApplDueDt));
						$("#s2").html(Fw.util.Format.fmtAcctNo(data.DepAcctNO, true));
						$("#s3").html(data.CtrtNo);
						$("#s4").html(data.TxAmt);
						$("#s7").html(data.Intr+'%');
					}else{
						$("#ACNOSEND").removeClass("sui-hide");
						$("#ACNOLOAD").removeClass("sui-hide");
						$("#s1").html(Fw.util.Format.fmtStrSubDate(data.ApplDueDt));
						$("#s2").html(Fw.util.Format.fmtAcctNo(data.CertNo, true));
						$("#s3").html(data.CtrtNo);
						$("#s4").html(data.TxAmt);
						$("#s5").html(Fw.util.Format.fmtAcctNo(data.DepAcctNO, true));
						$("#s6").html(Fw.util.Format.fmtAcctNo(data.LnAcctNO, true));
						$("#s7").html(data.Intr+'%');
					}
					App.viewConfig.title = "贷款结果";
	 				Fw.apply(App.viewConfig, this.viewConfig);
	 				// 设置标题栏
	 				Fw.device.Device.applyView(App);
					tab.moveNext();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				    Fw.LoadMask.hide();
					
				}
			});
		},
        
		clearSubmitData: function(){
			form.reset();
			$('#TrsAmount').attr('placeholder','请输入贷款金额');
	       	$('[name=smsText]').attr('placeholder','请输入验证码');
	       	$('[name=taransPwd]').attr('placeholder','请输入交易密码');
	       	$('[name=optNo]').attr('placeholder','请输入口令序号');
	       	$('[name=oTPPassword]').attr('placeholder','请输入动态口令');
	       	Fw.SmsCountDown.reset();
		},
		
		/**
		 * 显示协议
		 */
		showRead: function(){
        	if(YesNo=="1"){ //线上贷款
            	App.viewConfig.title = "客户自助放款用途承诺书";
            	if(lnPurp == "A3" || lnPurp == "A4" || lnPurp == "A5" || lnPurp == "A6"){
            		if(depositflag){
            			$("#deptName").html(org_name+"：");
            		}else{
            			$("#deptName").html(itemCls.ParentLnOpunCodName+"：");
            		}
            		$("#fangkuan").removeClass("sui-hide");
            	}else{
            		if(depositflag){
            			$("#org_name").html(org_name+"：");
            		}else{
            			$("#org_name").html(itemCls.ParentLnOpunCodName+"：");
            		}
            		$("#newfangkuan").removeClass("sui-hide");
            	}
        		tab.setActiveItem(4);
        	}else{
        		App.viewConfig.title = "自助贷款用信申请电子银行服务协议";
        		if(depositflag){
        			$("#branchName2").html(org_name+"：");
        		}else{
        			$("#branchName2").html(itemCls.ParentLnOpunCodName);
        		}
        		tab.setActiveItem(3);
        	}
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        },
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//参数
				    param : {
				    	//0表示本地获取 1表示 渠道端获取
					    socket: '1',
						modType : 'common',
						phoneNum : '',
						transName : '贷款申请'
				    },
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
        
    };
}();


/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App); 
