/**
 * 创建应用4
 */
App.Item4 = function() {
    return {
    	
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '贷款申请'
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//App.tab.setActiveItem(1);
        	this.initEvnet();
        	this.initData();
        },
        
        initEvnet : function(){
        	$("#agree-btn").on("click",Fw.bind(this.turnLoadApply, this));
        	$("#noAgree-btn").on("click",Fw.bind(this.turnUpCatalog, this));
        },
        
        initData : function(){
        	$("#custName_span").text(Fw.app.Session.get("Name"));
        	var idTypeName = Fw.util.Format.fmtIdType(Fw.app.Session.get("IdType"));
        	$("#cerTypeName").text(idTypeName);
        	$("#cerNo").text(Fw.app.Session.get("IdNo"));
//        	$("#date").text(Fw.app.Session.get("Name"));
        	
        	Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeCreditAuthorizaQry',
				// 请求参数
				params : {
					
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
//					App.tab.setActiveItem(2);
					$("[name=bankNme_span]").text(data.DeptName);
					$("[name=area_span]").text(data.BelongArea);
					$("#date").text(data.CurDate);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
//					Fw.Tips.info("查询失败!");
					Fw.Msg.error(error, function(){
	        			Fw.device.Device.gotoIndex();
	                });
					return false;
				}
			});
        },
        
        turnLoadApply :function(){
        	App.tab.setActiveItem(0);
        },
        
        turnUpCatalog :function(){
        	//返回上级目录
    		Fw.device.Device.gotoIndex();
        }
    };
}();
