/**
 * 选项卡#子页面1
 */
App.Item2 = function() {
    var tab2;
    var form2;
    var proNo;
    var list;
	var smsSecurity = null;
	var today;
	var datastr;
	var datastr2;
	var checkFlag = false;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '合同信息建立',
            /**
             * 右边按钮
             */
            rightButton: false,
            
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: ''
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(parTab) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	tab2 = parTab;
        	form2 = new Fw.Form({
				//EL
				contentEl : 'form2',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
        	//获取选项等
        	App.Item2.initHtml();
        	this.initEvents();
        	App.Item2.parames = Fw.decode(Fw.getParameters());
            //手动隐藏等待层
            Fw.LoadMask.hide(1000);
        },
        // 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.query({
				service : 'curdateService',
				method : 'getCurDate',
                loadMask: true,
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
					App.Item2.getYestoday();
					App.Item2.getTermMonth();
					tab2.setActiveItem(2);
				},
			});
		},
		/**
         * 获取一年后的前一天
         */
        getYestoday : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var strYear = yestday.getFullYear()+3;
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth()+1;
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datastr = strYear+"/"+strMonth+"/"+strDay;
        	$("input[name=limitPutOut]").val(today);
        },
        /**
         * 获取期限截止日期
         */
        getTermMonth : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var monthAdd = parseInt(App.TermMonth);
        	var ma = parseInt(monthAdd % 12);
        	var ya = Math.floor(monthAdd / 12);
        	var strYear = yestday.getFullYear();
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth() + 1;
        	if((12 - strMonth) < ma){
        		ya = ya + 1;
        		ma = ma - (12 - strMonth);
        		strMonth = ma;
        	}else{
        		strMonth = strMonth + ma;
        	}
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datastr2 = (strYear+ ya)+"/"+strMonth+"/"+strDay;
        	$("input[name=limitMaturity]").val(datastr2);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//触发提交事件前（校验前）触发
			form2.on('beforesubmit', this.beforeSubmit, this);
			//触发提交事件触发
			form2.on('submit', this.doSubmit, this);
        	//初始化列表事件
        	$("#create-btn").on("click", Fw.bind(this.submitForm,this));
        	$("#crCancel-btn").on("click", Fw.bind(this.backToIndex,this));
        },
        
        /**
         * 初始化页面
         */
        initHtml: function(){
    		//填充页面可能需要的信息
        	var debitCardNum = 0;
        	var cardList = Fw.app.Session.getAllCards();//客户借记卡
        	$('[name="limitCard"]').html("");//置空
        	$('[name="limitKKCard"]').html("");
        	for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType == "PDBC") {
					debitCardNum++;
					$('[name="limitCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					$('[name="limitKKCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
							+ Fw.util.Format.fmtAcctNo(card.No, true)
							+ "</option>");
				}
        	}
        	if(debitCardNum == 0){
        		Fw.Msg.info("您尚未绑定圆鼎卡，不能进行合同建立操作！", function(){
        			Fw.redirect("../menu/main.html");
                });
    			return;			
    		}
	        $("input[name=Fullname]").val(Fw.app.Session.getCustName());//姓名
        	$('input[name=Certid]').val(Fw.app.Session.getIdNo());//身份证号
        	Fw.ConstantData.setIdType($("[name=Certtype]"),0);
        	$("select[name=Certtype]").val(Fw.app.Session.getIdType());
        	$("input[name=limitBusType]").val(App.BusinessTypeName);
        	$("input[name=limitProNo]").val(App.BusinessType);
        	$("input[name=limitTermmonth]").val(App.TermMonth);//期限
        	this.initCurDate();
        },
        submitForm:function(){  
        	form2.submit();
     	},
     	backToIndex:function(){  
     		Fw.redirect("../menu/main.html");
     	},
     	/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
//			//时间判断
			var limitPutOut = $("input[name=limitPutOut]").val();
			if(limitPutOut ==""){
				Fw.Tips.info("请选择起始日");
				return;
			}
			var limitMaturity = $("input[name=limitMaturity]").val();
			if(limitMaturity ==""){
				Fw.Tips.info("请选择到期日");
				return;
			}
			if(limitMaturity.replaceAll("/", "") > datastr.replaceAll("/", "")){
        		Fw.Tips.info("到期日最多为三年!");
        		return;
        	}
			if(limitMaturity.replaceAll("/", "") > datastr2.replaceAll("/", "")){
				Fw.Tips.info("到期日不能大于期限" + datastr2 + "!");
				return;
			}
			if(limitMaturity.replaceAll("/", "") < limitPutOut.replaceAll("/", "")){
				Fw.Tips.info("到期日不能小于起始日!");
				return;
			}
			values["limitPutOut"] = limitPutOut;//起始日 
			values["limitMaturity"] = limitMaturity;//到期日
//			//期限判断
			var limitTermmonth = $("input[name=limitTermmonth]").val();
			if(limitTermmonth == 0){
				Fw.Tips.info("期限至少为1个月!");
				return;
			}
			limitTermmonth = parseInt(limitTermmonth);
			if(limitTermmonth > App.TermMonth){
				Fw.Tips.info("超出最大期限：" + App.TermMonth + "个月!");
				return;
			}
			values["limitTermmonth"] = limitTermmonth;//期限
			//贷款用途
			var limitPurpose = $("select[name=limitPurpose]").val();
			if(limitPurpose == ""){
				Fw.Tips.info("请选择贷款用途!");
				return;
			}
			values["limitPurpose"] = limitPurpose;
			var paycyc = $("select[name=limitPaycyc]").val();//还款方式
			if(paycyc == ""){
				Fw.Tips.info("请选择还款方式!");
				return;
			}
			values["limitPaycyc"] = paycyc;
//			//确认金额判断
			var limitBusinesssum = Fw.util.Format.unFmtAmt($("input[name=limitBusinesssum]").val());
			if(limitBusinesssum > Fw.util.Format.unFmtAmt(App.BusinessSum)){
				Fw.Tips.info("确认金额不能大于申请额度!" + App.BusinessSum);
				return;
			}
			if(limitBusinesssum < 500){
				Fw.Tips.info("确认金额必须大于500元!");
				return;
			}
			/*if($("input[name=ht_agree]").attr("checked") == false){
        		Fw.Tips.info("请同意合同授权协议");
				return;
        	}*/
			values["limitBusinesssum"] = limitBusinesssum;//确认金额
			values["BusinessType"] = App.BusinessType;//产品编号
			values["WDSerialno"] = App.RelativeSerialNo;//额度申请流水
			var lc = Fw.decode($("select[name=limitCard]").val());
			var lk = Fw.decode($("select[name=limitKKCard]").val());
			values["limitCard"] = lc.No;
			values["limitKKCard"] = lk.No;
			values["Fullname"] = Fw.app.Session.getCustName();//姓名
			values["Certid"] = Fw.app.Session.getIdNo();//身份证号
			values["Certtype"] = Fw.app.Session.getIdType();
			//新增的字段
			//手机号
			values["Mobiletelephone"] = Fw.app.Session.getLoginPhoneNo();
			var idNo = Fw.app.Session.getIdNo();
			if(idNo.length == 15){
				//出生日期
				var birthday = idNo.substring(6,12);
				birthday = "19" + birthday.substring(0,2) + birthday.substring(2,4) + birthday.substring(4,6);
				values["Birthday"] = birthday;
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					values["Sex"] = "1";
				}else if(sex == "F"){
					values["Sex"] = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(14,15);
					if(cutIdNo % 2 == 0){
						values["Sex"] = "2";
					}else{
						values["Sex"] = "1";
					}
				}
			}else if(idNo.length == 18){
				//出生日期
				var birthday = idNo.substring(6,14);
				birthday = birthday.substring(0,4) + birthday.substring(4,6) + birthday.substring(6,8);
				values["Birthday"] = birthday;
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					values["Sex"] = "1";
				}else if(sex == "F"){
					values["Sex"] = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(16,17);
					if(cutIdNo % 2 == 0){
						values["Sex"] = "2";
					}else{
						values["Sex"] = "1";
					}
				}
			}else{
				Fw.Tips.info("证件号码不符！");
				return;
			}
			values["FaceFlag"] = "2";
			values["loadProductName"] = App.BusinessTypeName;//新增上送产品名称
			values["Rate"] = App.Item2.parames.Ratefloat;
			if(checkFlag){//防重复提交判断
				return;
			}
			checkFlag = true ;
			//客户信息建立成功则进入合同建立页面
			Fw.util.Ajax.query({
                service: 'loadService',
                method: 'executeNetLoanUserBuild',//默认为query，方法名称必须是query开头
                //请求参数
                params: values,
                loadMask: true,
                success: function(data, result) {
                	checkFlag = false;
                	Fw.LoadMask.hide();
                	if(!data)
            		{
                		return;
            		}
                	//有报错信息需要重新申请额度的，跳转额度申请界面
                	if(data._RejCode){
                		if(data._RejCode == "A018" || data._RejCode == "A030" || data._RejCode == "A035"){
                    		App.Item1.init(App.tab);
                    		if(data._RejMsg){
        						$("#waitSp").html(data._RejMsg);
                    		}else{
                    			$("#waitSp").html("合同建立失败，请重新进行额度申请！");
                    		}
    						$("#con-err-div").show();
    						App.tab.setActiveItem(11);
    						return;
                    	}
                	}
                	//是否需要进行线下审批
                	var code = data.Code;
                	if(code == "A026"){
                		//进行线下审批
                		$("#waitSp").html("合同已建立，请等待我行审批！");
						$("#con-err-div").hide();
                		tab2.setActiveItem(11);
                	}else{
                		//提示成功,并申请放款
    					tab2.setActiveItem(8);
                	}
                },
                failure : function(status, textStatus, error) {
                	checkFlag = false;
        			Fw.Msg.error(error);
					return false;
				}
            });
		},
    };
}();