/**
 * 选项卡#子页面1
 */
App.Item1 = function() {//额度申请
    var tab1;
    var form1;
    var productList;
	var smsSecurity = null;
	var phoneNum = 0;
	var t1;
	var returnflag = false;
	//var listView;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '阳光E贷额度申请',
            /**
             * 右边按钮
             */
            rightButton: false,
            
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: ''
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(parTab) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	tab1 = parTab;
        	form1 = new Fw.Form({
				//EL
				contentEl : 'form1',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
        	this.initEvents();
        	//初始化数据
        	this.initData();
//        	App.Item1.queryLimitStatus(true);
        },
     // 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
				},
			});
		},
        /**
         * 初始化事件
         */
        initEvents: function(){
        	form1.on('beforesubmit', this.beforeSubmit, this);
			//触发提交事件触发
			form1.on('submit', this.doSubmit, this);
        	//文本最下方同意按钮
        	$("#sign-btn").on("click", Fw.bind(this.submitLimit,this));
        	//产品切换
        	$("#products").on("click", Fw.bind(this.changePro,this));
        	$("#productInfo").on("click", Fw.bind(this.loadProductInfo,this));
        },
        
        loadProductInfo:function(){//点击加载产品信息
    		listView = new Fw.ListView({
				contentEl : 'prodListView',              
				ajax : {
					service : '',
					method:"",
	            	params:{},
					page: false,
					staticData: false,
				},
				cls: '',
                groupCls: '',
                groupHeaderBaseCls: '',
                groupHeaderCls: '',
                itemBaseCls: 'sx-list-item',
                itemCls: 'sui-border-t',
                pressedCls: '',
                disclosure: false,
				itemTpl: [
				    '<div class="radius_text">',
    				    '<div class="text_content">',
	    				    '<div class="text_title">产品名称</div>',
	    				    '<span>${item.Businesstypename}</span>',
    				    '</div>',
    				    '<div class="text_content">',
	    				    '<div class="text_title">产品编号</div>',
	    				    '<span>${item.Businesstypeno}</span>',
    				    '</div>',
				    '</div>',
				]
			});
    		$('#prodListView').empty();
    		listView.onLoadData(listView.ajax, App.parames.List);
    		App.Item1.viewConfig.title = "产品信息";
			Fw.apply(App.viewConfig, this.viewConfig);
			Fw.device.Device.applyView(App);
    		tab1.setActiveItem(19);
        },
        
        /**
         * 初始化页面
         */
        initData: function(){
        	$("input[name=AcName]").val(Fw.app.Session.getCustName());//姓名
        	$('input[name=IdNO]').val(Fw.util.Format.fmtAcctNo(Fw.app.Session.getIdNo(), true));//身份证号
        	$("input[name=IdType]").val(Fw.util.Format.fmtIdType(Fw.app.Session.getIdType()));
        	$("#products").html(App.parames.LoanNameY);
//        	$("#proRate").html(App.parames.Ratefloat + "%");
			$("#proMaxMonth").html(App.parames.Maxtermmonth);
			$("input[name='Score']").val(Fw.util.Format.fmtAmt("300000"));
        },
		//产品选择
		changePro:function(){
			var pro = Fw.decode($("select[name=products]").val());
			$("input[name=proRate]").val(pro.Ratefloat + "%");
			$("input[name=proMaxMoney]").val(Fw.util.Format.fmtAmt(pro.Limitsum));
			$("input[name=proMaxMonth]").val(pro.Maxtermmonth);
        },
		/**
		 * 查询申请进度
		 * @returns
		 */
        queryLimitStatus: function(flag){
			Fw.util.Ajax.query({
              service: 'consumeLoadService',
              method: 'queryNetLoanMultiProdLimitApplyQry',//默认为query，方法名称必须是query开头
              //请求参数
              params: {
            	  FlagType : "GHJ"
              },
              loadMask: true,
              success: function(data, result) {
              	Fw.LoadMask.hide(1000);
              	if(!data)
          		{
              		return;
          		}
              	//查询成功
				clearTimeout(t1);
				if(data.Code == "A002"){
					var CreBusinessSum = Fw.util.Format.unFmtAmt(data.CreBusinessSum);//综合授信总额
					var AvailableCreditLimit = Fw.util.Format.unFmtAmt(data.AvailableCreditLimit);//综合授信可用额度
					if(Fw.util.Format.fmtUndefinedData(CreBusinessSum) != "" && CreBusinessSum > 0){
						$("#sx_total").html(Fw.util.Format.fmtAmt(CreBusinessSum));
						$("#sx_limit").html(Fw.util.Format.fmtAmt(AvailableCreditLimit));
						$("#sx_content").show();
						$("#pro_end").css("border-bottom","");
					}else{
						$("#sx_content").hide();
						$("#pro_end").css("border-bottom","1px solid #ccc");
					}
					//进入合同建立
					App.FlagType = data.FlagType;//产品类别
					App.CreditMaturity = data.CreditMaturity;//合同到期日
					App.BusinessSum = Fw.util.Format.unFmtAmt(data.Businesssum);//额度
					App.BusinessType = data.BusinessType;//产品编号
					App.BusinessTypeName = data.BusinessTypeName;//产品名称
					App.RelativeSerialNo = data.Wdserialno;//流水号
					App.TermMonth = data.TermMonth;
					App.Ratefloat = data.Rate;//利率
					App.Payment = data.Payment;//利随本清标志
					$("#doneSum").html(Fw.util.Format.fmtAmt(data.Businesssum));
					$("#limitSxSum").html(Fw.util.Format.fmtAmt(data.Businesssum));
					$("#limitBusinesssum").val(Fw.util.Format.fmtAmt(data.Businesssum));
					$("#doneMonth").html(App.TermMonth);
					$("#doneRate").html(data.Rate + "%");
					$("#donePro").html(data.BusinessTypeName);
					//新增签署合同字段
					App.RegionCodeName = data.RegionCodeName;//省市县中文
					App.RegionCode = data.RegionCode;//省市县代码
					App.FamilyZip = data.FamilyZip;//邮编
					App.EmailAdd = data.EmailAdd;
					App.PeiTelephone = data.PeiTelephone; 
					if(App.FlagType == 'H'){
						$(".contractC").addClass('sui-hide');
						$(".contractH").removeClass('sui-hide');
					}else if(App.FlagType == 'G'){
						$(".contractC").removeClass('sui-hide');
						$(".contractH").addClass('sui-hide');
					}
					//新增字段结束
					App.viewConfig.title = "阳光E贷产品";
					Fw.apply(App.viewConfig, this.viewConfig);
					// 设置标题栏
					Fw.device.Device.applyView(App);
					tab1.setActiveItem(7);
				}else if(data.Code == "A001"){
					//正在处理，跳转进度查看页面
					tab1.setActiveItem(6);
					//计算额度申请到期时间
//					$(".game_time").css("left",($("#tab").width() - 200) / 2);
//					countDown();
					t1 = setTimeout(function(){App.Item1.queryLimitStatus();},60000);
				}else if(data.Code == "A003"){
					var desc = Fw.util.Format.fmtUndefinedData(data.Desc);
					var bz = desc.split("G");
					if(bz.length == 2 && bz[1] != ""){
						var tipWord = bz[1];
						if(tipWord.indexOf(App.parames.List.Businesstypename) != -1){
							//拆分不一致时的提示可申请产品，如果为当前产品，则直接进行额度申请
							tab1.setActiveItem(1);
						}else{
							//拆分不一致时展示提示界面
							$("#limit-error").html(bz[1]);
							tab1.setActiveItem(17);
						}
						return;
					}
					tab1.setActiveItem(4);
				}else if(data.Code == "A005"){
					if(flag){
						Fw.Msg.info("网贷产品由客户自主申请，自主使用，不得转移资金用途，本行未与任何中介机构合作，除贷款利息外，不收取任何手续费、中介费，请您确保资金安全，谨防上当受骗!");
						//无合同直接申请
						tab1.setActiveItem(1);
					}else{
						//其他状态一致发起额度申请
						$("#descDiv").html("无有效申请进度，请重新发起申请！");
						tab1.setActiveItem(10);
					}
        		}
              },
              failure : function(status, textStatus, error) {
            	  Fw.LoadMask.hide();
            	  Fw.Msg.error(error + "，请稍后重试！", function(){
            		  	App.gobackUrl();
	                });
					return false;
              }
			});
        },
        submitLimit:function(){
        	form1.submit();
        },
        beforeSubmit : function(values) {
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			if(returnflag){
				return;
			}
			returnflag = true;
			var valueObj = new Object();
			valueObj["ApplyOrg"] = App.deptIdName?App.deptIdName:"";
			valueObj["Fullname"] = Fw.app.Session.getCustName();//客户名称
			valueObj["Certid"] = Fw.app.Session.getIdNo();//证件号码
			valueObj["Certtype"] = Fw.app.Session.getIdType();//证件类型
			valueObj["Score"] = Fw.util.Format.unFmtAmt($("[name=Score]").val());//额度
			var smscode = $("input[name=smsEdText]").val();
			valueObj["smscode"] = smscode;
			valueObj["smsSecurity"] = App.smsSecurity;
			valueObj["TelNo"] = Fw.app.Session.getLoginPhoneNo();
			valueObj["TermMonth"] = App.parames.Maxtermmonth_New;
			valueObj["BsTypeList"] = App.parames.Businesstypeno_New;
			//推荐人工号
			valueObj["Remark"] = $("input[name=Remark]").val();
			valueObj["OrgName"] = App.org_name;
			App.BusinessSum = Fw.util.Format.unFmtAmt($("[name=Score]").val());//额度
			App.BusinessType = App.parames.Businesstypeno;//产品编号
			App.BusinessTypeName = App.parames.LoanNameY;//产品名称
			App.TermMonth = App.parames.Maxtermmonth;//期限
			App.Ratefloat = App.parames.Ratefloat;//利率
			App.Producttype_New = App.parames.Producttype_New;
			//提交GH类额度申请
			Fw.util.Ajax.query({
                service: 'consumeLoadService',
                method: 'executeNetLoanHTypeLimitApply',//默认为query，方法名称必须是query开头
                //请求参数
                params: valueObj,
                loadMask: true,
                success: function(data, result) {
                	returnflag = false;
                	if(!data)
            		{
                		return;
            		}
                	App.viewConfig.title = "阳光E贷额度申请";
					Fw.apply(App.viewConfig, this.viewConfig);
					// 设置标题栏
					Fw.device.Device.applyView(App);
                	App.Item1.queryLimitStatus();
                },
                failure : function(status, textStatus, error) {
                	returnflag = false;
                	Fw.LoadMask.hide();
    				if(error != null && error != undefined && (error.indexOf("异常") != -1 ||error.indexOf("超时")!=-1)){
    					Fw.Msg.error(error + "，请稍后重新申请！", function(){
    	            		 Fw.redirect('./sunShineGHLoad.html',Fw.getParameters());
    		            });
    				}else{
    					Fw.Msg.error(error);
    				}
    				return false;
    			}
            });
		},
        //跳转客户建立
        toCreateContract:function(){
        	tab1.setActiveItem(2);
        },
        
        gobackUrl:function(){
			if (undefined != App.parames.backFlag && App.parames.backFlag == "Online") {
				Fw.redirect("../menu/onLineLoan.html");
			} else {
				Fw.redirect("../menu/main.html");
			}
		}
    };
}();