/**
 * 创建应用
 */
var App = function() {
	var form;
	var buttons = $('button');
	var tab;
	var page;
	var contractObj;// 合同信息
	// 页面跳转参数
	var parameters = null;
	var isOtp;
	var isSms;
	var smsSecurity = null;
	var datastr;
	var datastr2;
	var isTurnTabZero = false;
	var smsHFlag;
	var rzType;
	var deptId;// 机构号
	var lastNo = "";
	var lnPurp = "";// 自助贷款放款用途
	var isfaceopen;
	var faceFailCnt;// 人脸失败次数
	var bluetoothKeySignatureData = { // 蓝牙key签名信息
		signCert : "", // 证书
		signatureCleartext : "", // 签名明文
		signatureCiphertext : "" // 签名密文
	};
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 短信倒计时
		'Fw.SmsCountDown',
		// 动态口令
		'Fw.Otp',
		// 表单
		'Fw.Form',
		// 安全键盘
		'Fw.Keyboard',
		// 日历组件
		'Fw.Calendar',
		// 常用数据
		'Fw.ConstantData',
		// 设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session',
		// 子页面js1
		'./taxEnterpriseLinksLoad_item1.js', 'Fw.BluetoothKey'],
		viewConfig : {
			title : '税企通产品',
			leftButton : {
				text : '左边按钮',
			},
		},
		init : function(require) {
			// 动态口令标志
			isOtp = Fw.app.Session.getIsOtp();
			// 芯盾
			smsHFlag = Fw.app.Session.getSmsHFlag() || "";
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0
			});
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			App.parames = Fw.decode(Fw.getParameters())||""; // 页面跳转请求参数 贷款产品信息
			// 初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
		},

		initDtkl : function() {
			isSms = Fw.app.Session.getIsSms();
			if (isSms == "1") {
				// 放款短信
				$('#smsValid').removeClass('sui-hide');
				$('#smsValid').addClass('sui-form-item sui-form-item-r sui-border-b');
				// 额度申请短信
				$('#smsEdStart').removeClass('sui-hide');
				$('#smsEdSet').removeClass('sui-hide');
				$('#smsEdValid').removeClass('sui-hide');
				$('#smsEdValid').addClass('sui-form-item sui-form-item-r sui-border-d');
			} else {
				// 放款短信
				$('#smsValid').removeClass('sui-form-item sui-form-item-r sui-border-b');
				$('#smsValid').addClass('sui-hide');
				// 额度申请短信
				$('#smsEdStart').addClass('sui-hide');
				$('#smsEdSet').addClass('sui-hide');
				$('#smsEdValid').removeClass('sui-form-item sui-form-item-r sui-border-d');
				$('#smsEdValid').addClass('sui-hide');
			}
			deptId = Fw.app.Session.getParentDeptId();
			// 根据客户是否绑定动态口令以及E盾显示
			// E盾、口令
			if ((smsHFlag.indexOf("H") != -1 && isSms == "1") && (isOtp != null && isOtp != "0")) {
				$("#way_div").removeClass('sui-hide');
				$('#smsValid').addClass('sui-hide');
				$('#DynamicPwd').removeClass('sui-hide');
				rzType = "H";
			}
			// E盾、非口令
			else if (smsHFlag.indexOf("H") != -1 && isSms == "1") {
				$("#way_div").addClass('sui-hide');
				$('#smsValid').removeClass('sui-hide');
				$('#DynamicPwd').addClass('sui-hide');
				rzType = "S";
			} else {
				$("#way_div").addClass('sui-hide');
				$('#smsValid').addClass('sui-hide');
				$('#DynamicPwd').removeClass('sui-hide');
				rzType = "H";
			}
		},
		MCLianSheAccountQry : function() {// 查询机构名称
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeBankName',
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var branchName = result.result.BranchName;
					$("#branchName").html(branchName);
					$("#branchName2").html(branchName);
					$(".org_name").html(branchName);
					$("#newbranchName").html(branchName);
					App.org_name = branchName;
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0) {
				// 合同信息回显页面，上一级返回主菜单
				App.goBackUrl();
			} else if (index == 1) {
				// 额度申请页面，上一页返回主菜单
				App.goBackUrl();
			} else if (index == 2) {
				// 客户信息建立页面
				App.goBackUrl();
			} else if (index == 3) {
				// 征信协议 返回上一页
				App.viewConfig.title = "税企通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				tab.setActiveItem(1);
			} else if (index == 4) {
				// 无合同，无流水，准备进入额度申请的页面，上一页返回主菜单
				App.goBackUrl();
			} else if (index == 5) {
				App.viewConfig.title = "税企通申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				Fw.device.Device.applyView(App);
				tab.setActiveItem(0);
			} else if (index == 6) {
				// 额度申请正在处理展示页面，上一页返回主菜单
				App.goBackUrl();
			} else if (index == 7) {
				// 额度申请成功，期限未到的显示界面，上一页返回主菜单
				App.goBackUrl();
			} else if (index == 8) {
				// 合同建立成功，上一页返回主菜单
				App.goBackUrl();
			} else if (index == 9) {
				// 上一页返回主菜单
				App.goBackUrl();
			} else if (index == 10) {
				// 上一页返回主菜单
				App.goBackUrl();
			} else if (index == 11) {
				// 上一页返回主菜单
				App.goBackUrl();
			} else if (index == 17) {
				App.viewConfig.title = "税企通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				tab.setActiveItem(1);
			} else {
				// 上一页返回主菜单
				App.goBackUrl();
			}
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			// 动态口令类型
			var otpType = Fw.app.Session.getOtpType();
			// 动态口令序号
			var otpNo = Fw.app.Session.getOtpNo();
			param = {
				'isOtp' : isOtp,
				'otpType' : otpType,
				'otpNo' : otpNo,
				'isChallenge' : '0',
			};
			// 协议中甲方显示
			App.MCLianSheAccountQry();
			Fw.Otp.initDynamicPwd(param);
			// 验证方式展示
			App.initDtkl();
			if (!App.parames.returnFlag) {
				App.queryContract();
			} else {
				App.org_name = App.parames.org_name;
				App.initCurDate();
			}
		},
		// 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
					App.getYestoday();
				}
			});
		},
		/**
		 * 获取一年后的前一天
		 */
		getYestoday : function() {
			var mydate = new Date(today);
			var yestday_milliseconds = mydate.getTime() - 1000 * 60 * 60 * 24;
			var yestday = new Date();
			yestday.setTime(yestday_milliseconds); // 昨天
			var strYear = yestday.getFullYear() + 1;
			var strDay = yestday.getDate();
			if (strDay < 10) {
				strDay = "0" + strDay;
			}
			var strMonth = yestday.getMonth() + 1;
			if (strMonth < 10) {
				strMonth = "0" + strMonth;
			}
			datastr = strYear + "/" + strMonth + "/" + strDay;
		},
		/**
		 * 初始化查询合同
		 * 小额易贷通自助贷合同信息查询
		 * A001-有效合同查询成功：跳转TAB0信用贷款申请
		 * A002-无合同，存在有效申请：跳转TAB7通过审核，准备签署合同
		 * A003-无合同，无申请: 查询申请进度App.Item1.queryLimitStatus(true)
		 * A014-额度申请失效: TAB10额度申请
		 * A015-额度申请与产品不对应: TAB10额度申请
		 * A011-合同未审批: TAB11合同已建立，请等待我行审批
		 */
		queryContract : function() {
			// 查询合同（税企通）
			Fw.util.Ajax.query({
				service : 'taxAndEnterpriseLinksService',
				method : 'executeSNetLoanContractQry',// 默认为query，方法名称必须是query开头
				// 请求参数
				params : {},
				loadMask : true,
				success : function(data, result) {
					if (!data) {
						Fw.Msg.info('未查询到相关信息，请稍后再试！', function() {
							App.goBackUrl();
						});
					}
					var code = data.Code;
					today = data.CurDate;
					App.getYestoday();
					var maskStatus = false;
					// 有合同跳转放款流程，无合同但是有流水号进入合同建立，无合同无流水号进入额度申请
					if (code == "A001") {// 有效合同查询成功
						tab.setActiveItem(18);
					} else if (code == "A002" || code == "A0002" || code == "A003") {
						App.Item1.init(tab);
						App.Item1.queryLimitStatus(true);
						maskStatus = true;
					} else if (code == "A014") {
						App.Item1.init(tab);
						$("#descDiv").html("很遗憾，您的额度申请已失效，请重新发起申请！");
						tab.setActiveItem(10);
					} else if (code == "A015") {
						App.Item1.init(tab);
						$("#descDiv").html("您的有效额度对应其他产品，请重新申请该产品额度！");
						tab.setActiveItem(10);
					} else if (code == "A011") {
						if(data.CiManagerOrgID){
							$("#jiGouInfo").removeClass("sui-hide");
							$("#sh_org").html(data.CiManagerOrgID);
						}else{
							$("#jiGouInfo").addClass("sui-hide");
						}
						if(data.CiManagerUserID){
							$("#liXiPInfo").removeClass("sui-hide");
							$("#sh_lxr").html(data.CiManagerUserID);
						}else{
							$("#liXiPInfo").addClass("sui-hide");
						}
						if(data.UiMobileTel){
							$("#liXiInfo").removeClass("sui-hide");
							$("#sh_mobile").html(data.UiMobileTel);
						}else{
							$("#liXiInfo").addClass("sui-hide");
						}
						$("#xianxia").html("合同已建立，请等待我行审批！");
						tab.setActiveItem(11);
					} else if (code == "AAA") {
						App.Item1.init(tab);
						Fw.Msg.info("网贷产品由客户自主申请，自主使用，不得转移资金用途，本行未与任何中介机构合作，除贷款利息外，不收取任何手续费、中介费，请您确保资金安全，谨防上当受骗!");
						tab.setActiveItem(1);
					} else {
						// 不正确的返回信息 返回首页
						Fw.Msg.info("暂无相关合同信息！", function() {
							App.goBackUrl();
						});
					}
					if (!maskStatus) {
						Fw.LoadMask.hide(200);
					}
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					Fw.Msg.error(error, function() {
						App.goBackUrl();
					});
					return false;
				}
			});
		},
		/**
		 * 额度申请 点击下一步 跳转合同文本
		 * @returns
		 */
		showZx : function() {
			var sex;
			var idNo = Fw.app.Session.getIdNo();
        	if (idNo.length == 15) {
        		var cutIdNo = idNo.substring(14,15);//截取身份证判断性别
        		if(cutIdNo % 2 == 0){
        			//女
        			sex = "2";
        		}else{
        			//男
        			sex = "1";
        		}
        		//出生日期
        		var birthday = idNo.substring(6,12);	
        		birthday = "19" + birthday.substring(0,2) + birthday.substring(2,4) + birthday.substring(4,6);  	
        		var date = new Date(today);
        		var birthYear = birthday.substring(0,4);//证件年
        		var birthMonth =birthday.substring(4,6);//证件月
        		var birthDay = birthday.substring(6,8);//证件日
        		var birthDate= new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		//男65周岁
        		var birthDateM = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		birthDateM.setFullYear(birthDate.getFullYear() + 65);
        		//女60周岁
        		var birthDateF = new Date(birthYear + "/" + birthMonth + "/" + birthDay);	
        		birthDateF.setFullYear(birthDate.getFullYear() + 60);
        		//20周岁
        		var birthDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);//出生日期       		
        		var nowDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		birthDate.setFullYear(nowDate.getFullYear() + 20);
        		var todayDate = new Date(today);
        		//	年龄20周岁以上
        		if(birthDate < todayDate){		
        			if(sex == "1"){
        				if(birthDateM<date){//男
        					Fw.Msg.info("您超过65周岁，不符合产品申请条件！");
        					return false;
        				}
        			}
        			if(sex == "2"){ //女
        				if(birthDateF<date){  //超过60岁
        					Fw.Msg.info("您大于60周岁，不符合产品申请条件！");
        					return false;
        				}
        			}
        		}else{
        			Fw.Msg.info("您未满20周岁，不符合产品申请条件！");
        			return false;
        		}
        	}else if (idNo.length == 18) {
        		var cutIdNo = idNo.substring(15,17);
        		if(cutIdNo % 2 == 0){
        			sex = "2";
        		}else{
        			sex = "1";
        		}
        		//验证年龄+产品最大期限不超过65
        		var date = new Date(today);
        		var birthday = idNo.substring(6,14);
        		var birthYear =birthday.substring(0,4);//证件年
        		var birthMonth =birthday.substring(4,6);//证件月
        		var birthDay = birthday.substring(6,8);//证件日
        		var birthDate= new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		//客户65周岁日期
        		var birthDateM = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		birthDateM.setFullYear(birthDate.getFullYear() + 65);
        		//客户60周岁日期
        		var birthDateF = new Date(birthYear + "/" + birthMonth + "/" + birthDay);      		
        		birthDateF.setFullYear(birthDate.getFullYear() + 60);
        		//20周岁
        		var birthDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);//出生日期
        		var nowDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
        		birthDate.setFullYear(nowDate.getFullYear() + 20);
        		var todayDate = new Date(today);
        		//	年龄20周岁以上
        		if(birthDate < todayDate){		
        			if(sex == "1"){	//男
        				if(birthDateM<date){
        					Fw.Msg.info("您超过65周岁，不符合产品申请条件！");
        					return false;
        				}
        			}
        			//女
        			if(sex == "2"){ 
        				if(birthDateF<date){  //超过60岁
        					Fw.Msg.info("您超过60周岁，不符合产品申请条件！");
        					return false;
        				}
        			}
        		}else{
        			Fw.Msg.info("您未满20周岁，不符合产品申请条件！");
        			return false;
        		}
        	}else{
        		Fw.Tips.info("证件号码不符！");
        		return;
        	}
			var entpNm = $("input[name=EntpNm]").val();
			if(entpNm == ""){
				Fw.Tips.info("请输入企业名称");
				return;
			}
			var taxpyIdnfNo = $("input[name=TaxpyIdnfNo]").val();
			if(taxpyIdnfNo == ""){
				Fw.Tips.info("请输入纳税人识别号");
				return;
			}
			var smscode = $("input[name=smsEdText]").val();
			if (isSms == "1" && smscode == "") {
				Fw.Tips.info("请输入短信验证码");
				return;
			}
			App.viewConfig.title = "客户授权书";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
			tab.setActiveItem(3);
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			tab.on('tabchange', this.onTabChange);
			// 额度申请提交按钮显示协议文本
			$("#next-btn").on("click", Fw.bind(this.showZx, this));
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			// 点击调用倒计时插件
			$('#smsEdCountDown').on('click', Fw.bind(this.smsEdCountDownClick, this));
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			case 'reset-btn':
				form.reset();
				break;
			// 重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			case 'limitNext-btn':
				App.showTips();
				tab.setActiveItem(1);
				break;
			case 'limitcancel-btn':
				App.goBackUrl();
				break;
			case 'cancel-btn':
				App.goBackUrl();
				break;
			case 'contractC-btn':
				var params = {
					BusinessSum : App.BusinessSum,// 额度
					BusinessType : App.BusinessType,// 产品编号
					RelativeSerialNo : App.RelativeSerialNo,// 授信流水号
					TermMonth : App.TermMonth,// 期限
					org_name : App.org_name,// 机构名称
					Ratefloat : App.CoreRate,// 利率
					Today : today,// 日期
					deptId : deptId,// 机构编号
					IdntNo : App.IdntNo,//订单编号
					EntpNm:App.EntpNm, //企业名称
					TaxpyIdnfNo:App.TaxpyIdnfNo,
					ProductName:App.parames.ProductName||"税企通",
					CrdtAuthNo:App.RelativeSerialNo,
					backFlag:App.parames.backFlag?App.parames.backFlag:"",
				    offLine:App.offLineFlag? App.offLineFlag:""//判断查询状态为07的时候必走线下标志
				};
				Fw.redirect('./taxEnterpriseLinksLoad_userBuild.html', Fw.encode(params));
				break;
			case 'fail-limit-btn':
				App.viewConfig.title = "税企通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				// 延迟跳转，防止点击到下一页元素
				setTimeout(function() {
					App.showTips();
					tab.setActiveItem(1);
				}, 500);
				break;
			case 'sx-limit-btn':
				App.viewConfig.title = "税企通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				setTimeout(function() {
					App.showTips();
					tab.setActiveItem(1);
				}, 500);
				break;
			case 'con-error-btn':
				App.viewConfig.title = "税企通额度申请";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				setTimeout(function() {
					App.showTips();
					tab.setActiveItem(1);
				}, 500);
				break;
			case 'reflesh-btn':
				App.Item1.queryLimitStatus();
				break;
			case 'backFlag':
				setTimeout(function() {
				    App.goBackUrl();
				}, 500);
				break;
			case 'submit-btn-fangkuan':
				var params = {
					backFlag:"shuiqitong"
			     }
				Fw.redirect('../loanTransAction/remainAvailDetail.html', Fw.encode(params));
				break;
			
		    case 'submit-btn-fangkuan1':
			  var params = {
				   backFlag:"shuiqitong"
		       }
			  Fw.redirect('../loanTransAction/remainAvailDetail.html', Fw.encode(params));
			  break;
		}
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			console.log(index);
			page = index;
			switch (index) {
			// 第一个
			case 0:
				if (!isTurnTabZero) {
					if (App.parames.returnFlag) {
						var returnData = App.parames;
						App.Item1.init(tab);
						App.viewConfig.title = "签署合同结果通知";
						Fw.apply(App.viewConfig, this.viewConfig);
						// 设置标题栏
						Fw.device.Device.applyView(App);
						// 有报错信息需要重新申请额度的，跳转额度申请界面
						if (returnData._RejCode) {
							if (returnData._RejCode == "A035" || returnData._RejCode == "A036") {
								if (returnData._RejMsg) {
									$("#waitSp").html(returnData._RejMsg);
								} else {
									$("#waitSp").html("合同签署失败，请重新进行额度申请！");
								}
								tab.setActiveItem(14);
								return;
							}
						}
						// 是否需要进行线下审批
						var code = returnData.Code;
						if (code == "A0026") {
							if(returnData.CiManagerOrgID){
								$("#jiGouInfo").removeClass("sui-hide");
								$("#sh_org").html(returnData.CiManagerOrgID);
							}else{
								$("#jiGouInfo").addClass("sui-hide");
							}
							if(returnData.CiManagerUserID){
								$("#liXiPInfo").removeClass("sui-hide");
								$("#sh_lxr").html(returnData.CiManagerUserID);
							}else{
								$("#liXiPInfo").addClass("sui-hide");
							}
							if(returnData.UiMobileTel){
								$("#liXiInfo").removeClass("sui-hide");
								$("#sh_mobile").html(returnData.UiMobileTel);
							}else{
								$("#liXiInfo").addClass("sui-hide");
							}
							$("#xianxia").html("申请已接收，线下待处理。");
							tab.setActiveItem(11);
						} else if (code == "A001"||code == "A002") {
								tab.setActiveItem(15);
						} else {
							$("#waitSp").html("合同签署失败，请重新进行额度申请！");
							tab.setActiveItem(14);
						}
					}
				}
				break;
			// 第二个
			case 1:
				// 执行子页面2初始化方法
				break;
			// 第三个
			case 2:
				// 执行子页面3初始化方法
				break;
			case 3:
				// 执行子页面3初始化方法
				break;
			case 4:
				// 执行子页面3初始化方法
				break;
			case 5:
				// 执行子页面3初始化方法
				break;
			default:
				;
			}
		},
		/**
		 * 调用短信统一接口
		 */
		smsEdCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			// 倒计时配置参数
			var params = {
				contentEl : contentEl,
				delay : 60,
				param : {
					socket : '0',
					modType : 'syted'
				},
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},
		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			App.smsSecurity = data.smsSecurity;
		},
		showTips : function() {
			Fw.Msg.info("网贷产品由客户自主申请，自主使用，不得转移资金用途，本行未与任何中介机构合作，除贷款利息外，不收取任何手续费、中介费，请您确保资金安全，谨防上当受骗!");
		},
		// 加载放款用途选项
		onLoadHtml : function() {
			$('#purp').empty();
			$('[name="purp"]').append("<option value='A2'>种植业</option>");
			$('[name="purp"]').append("<option value='A2'>养殖业</option>");
			$('[name="purp"]').append("<option value='A2'>加工业</option>");
			$('[name="purp"]').append("<option value='A2'>运输业</option>");
			$('[name="purp"]').append("<option value='A2'>商业</option>");
			$('[name="purp"]').append("<option value='A2'>服务业</option>");
			$('[name="purp"]').append("<option value='A2'>建筑业</option>");
			$('[name="purp"]').append("<option value='B3'>其他</option>");
		},
		goBackUrl : function() {
			if (undefined != App.parames.backFlag && App.parames.backFlag == "Online") {
				Fw.redirect("../menu/onLineLoan.html");
			} else {
				Fw.redirect("../menu/main.html");
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
