/**
 * 选项卡#子页面1
 */
App = function() {
    var tab;
    var form;
	var smsSecurity = null;
	var today;
	var datastr;
	var datastr2;
	var faceFailCnt = 0;//人脸识别失败次数
	var faceOpen = "0";
	var isOtp;
	var OtpTxtUrl;//动态口令存证地址
	var FaceTxtUrl;//人脸识别存证地址
	var FaceJpgUrl;//人脸识别图片地址
	var areaData;
	var selectPoint;
	var selectArea;
	var OffLineSymbolFlag =false;//阀值
	var isInitOtp = false;
	var FaceFlag = 2;//转线下标志，默认为2：否
	var checkFlag=false;
    return {
    	/**
		 * 依赖组件
		 */
		requires : [
		// 动态口令
		'Fw.Otp',
		//表单
		'Fw.Form',
		//安全键盘
		'Fw.Keyboard',
		//日历组件
		'Fw.Calendar',
		//常用数据
        'Fw.ConstantData',
		//设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session'],
        viewConfig: {
            title: '网贷产品合同签署',
            rightButton: false,
            leftButton: {
                text: ''
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(parTab) {
			//动态口令标志
			isOtp=Fw.app.Session.getIsOtp();
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//定义选项卡
			tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0
			});
        	form = new Fw.Form({
				//EL
				contentEl : 'form',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
        	//获取选项等
        	App.parames = Fw.decode(Fw.getParameters()); //页面跳转请求参数
        	App.initHtml();
        	this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide(1000);
        },
        leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0) {
				App.goBackUrl(); 
			}else{
				App.viewConfig.title = "网贷产品合同签署";
	        	Fw.apply(App.viewConfig, this.viewConfig);
	        	// 设置标题栏
	        	Fw.device.Device.applyView(App);
				tab.setActiveItem(0);
			}
		},
		/**
		 * 期限
		 */
		changeMaturity : function(obj) {
			var mydate = new Date(today);
        	var strYear = mydate.getFullYear();
        	var strMonth = mydate.getMonth()+1;
        	var strDay = mydate.getDate();
        	var limitEnd = $("[name=limitMaturity]").val();
        	var year = parseInt(limitEnd.substring(0,4));
        	var month = parseInt(limitEnd.substring(5,7));
        	var day = parseInt(limitEnd.substring(8,10));
        	var len = (year - strYear) * 12 + (month - strMonth);
        	var dayDiff = day - strDay;
        	if(dayDiff > 0){
        		len += 1;
        	}
        	$("[name=limitTermmonth]").val(len);
		},
        faceIsOpen : function(){
        	//查询人脸识别开关
        	Fw.util.Ajax.query({
		       	service: 'loadService',
	            method: 'executeFaceStatusCheck',
		        loadMask: true,
	            //请求参数
	            params: {},
	            //请求成功后回调
	            success: function(data, result) {
	            	if(data.FaceFlag == '0'){// 人脸识别开关开
						//人脸识别开关打开，进行人脸识别
	            		faceOpen = 0;
					}else{ 
						//人脸识别开关关闭,动态口令+拍照方式
						faceOpen = 1;
						//人脸识别关闭，非动态口令用户提示结束
		        		if(isOtp==null || isOtp=="0"){
			        		Fw.Msg.info('网贷签署合同，仅支持动态口令客户！', function(){
			        			App.goBackUrl();
			                });
		        			return;
			        	}
						//动态口令类型
						var otpType = Fw.app.Session.getOtpType();
						//动态口令序号
						var otpNo = Fw.app.Session.getOtpNo();
						param = {
							'isOtp' : isOtp,
							'otpType' : otpType,
							'otpNo' : otpNo,
							'isChallenge' : '0',
						};
						//初始话动态口令显示
						Fw.Otp.initDynamicPwd(param);
						isInitOtp = true;
					}
	            },
    			failure : function(status, textStatus, error) {
    				Fw.LoadMask.hide();
    				Fw.Msg.error(error, function(){
    					App.goBackUrl();
        			});
    				return false;
    			}
		    });
        },
        // 获取当前日期
		initCurDate : function() {
			today = App.parames.Today;
			App.getYestoday();
			App.getTermMonth();
		},
        getYestoday : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var strYear = yestday.getFullYear()+3;
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth()+1;
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datastr = strYear+"/"+strMonth+"/"+strDay;
        	$("input[name=limitPutOut]").val(today);
        },
        /**
         * 获取期限截止日期
         */
        getTermMonth : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var monthAdd = parseInt(App.parames.TermMonth);
        	var ma = parseInt(monthAdd % 12);
        	var ya = Math.floor(monthAdd / 12);
        	var strYear = yestday.getFullYear();
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth() + 1;
        	if((12 - strMonth) < ma){
        		ya = ya + 1;
        		ma = ma - (12 - strMonth);
        		strMonth = ma;
        	}else{
        		strMonth = strMonth + ma;
        	}
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datastr2 = (strYear+ ya)+"/"+strMonth+"/"+strDay;
        	$("input[name=limitMaturity]").val(datastr2);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
			//触发提交事件触发
			form.on('submit', this.doSubmit, this);
        	//初始化列表事件
        	$("#crCancel-btn").on("click", Fw.bind(this.backToIndex,this));
        	//法律文书确认后跳转合同协议
        	$("#address-agree-btn").on("click", Fw.bind(this.toContractText,this));
        	//地址选择
        	$("#myArea").on("click", Fw.bind(this.chooseAddress,this));
        	$("#corpArea").on("click", Fw.bind(this.chooseCorpAddress,this));
            $('#hide').on('click', Fw.bind(this.onHide, this));
            $('#pro_sel').on('click', Fw.bind(this.showPro, this));
            $('#city_sel').on('click', Fw.bind(this.showCity, this));
            $('#area_sel').on('click', Fw.bind(this.showArea, this));
            $('#pro_sel_corp').on('click', Fw.bind(this.showProCorp, this));
            $('#city_sel_corp').on('click', Fw.bind(this.showCityCorp, this));
            $('#area_sel_corp').on('click', Fw.bind(this.showAreaCorp, this));
            $('#c-type-btn').on('click', Fw.bind(this.NextStep, this));
            $('[name=oTPPassword]').on('blur', Fw.bind(this.submitForm, this));
            //卡号切换
            $('[name=limitCard]').on('change', Fw.bind(this.copyAccount, this));
        },
        copyAccount : function(){
        	var lc = Fw.decode($("select[name=limitCard]").val());
        	$("#limitKKCard").val(Fw.util.Format.fmtAcctNo(lc.No, true));
        },
        //选择认证方式
        NextStep : function(){
        	$('#selectWay').css("display","none");
        	var type = $("[name=c_type]:checked").val();
        	switch (type) {
				case '1':
					//人脸识别开关打开，进行人脸识别
            		faceOpen = "0";
					Fw.device.Device.getCamara('App.getFaceData');
					break;
				case '3':
					App.goBackUrl();
					break;
				default:
					App.goBackUrl();
					break;
        	}
        },
      //显示合同协议
        NetSign:function(){
        	//时间判断
			var limitPutOut = $("input[name=limitPutOut]").val();
			var limitMaturity = $("input[name=limitMaturity]").val();
			//期限判断
			var limitTermmonth = $("input[name=limitTermmonth]").val();
			//贷款用途
			var paycyc = $("select[name=limitPaycyc]").val();//还款方式
			//确认金额判断
			var limitBusinesssum = Fw.util.Format.unFmtAmt($("input[name=limitBusinesssum]").val());
			//非网签流程校验
			App.parames.BusinessSum = limitBusinesssum;			
			if(limitPutOut ==""){
				Fw.Tips.info("请选择起始日");
				return;
			}
			if(limitMaturity ==""){
				Fw.Tips.info("请选择到期日");
				return;
			}
			if(limitMaturity.replaceAll("/", "") > datastr.replaceAll("/", "")){
        		Fw.Tips.info("到期日最多为三年!");
        		return;
        	}
			if(limitMaturity.replaceAll("/", "") > datastr2.replaceAll("/", "")){
				Fw.Tips.info("到期日不能大于期限" + datastr2 + "!");
				return;
			}
			if(limitMaturity.replaceAll("/", "") < limitPutOut.replaceAll("/", "")){
				Fw.Tips.info("到期日不能小于起始日!");
				return;
			}
			if(limitTermmonth == 0){
				Fw.Tips.info("期限至少为1个月!");
				return;
			}
			limitTermmonth = parseInt(limitTermmonth);
			if(limitTermmonth > App.parames.TermMonth){
				Fw.Tips.info("超出最大期限：" + App.parames.TermMonth + "个月!");
				return;
			}
			if(paycyc == ""){
				Fw.Tips.info("请选择还款方式!");
				return;
			}
			if(limitBusinesssum > Fw.util.Format.unFmtAmt(App.parames.BusinessSum)){
				Fw.Tips.info("确认金额不能大于申请额度!" + App.parames.BusinessSum);
				return;
			}
			if(limitBusinesssum < 5000){
				Fw.Tips.info("确认金额必须大于5000元!");
				return;
			}
			//住宅地区
			var myArea = $("[name=myArea]").val();
			if(myArea == ""){
				Fw.Tips.info("请选择住宅地区!");
				return;
			}
			//住宅详细地址
			var xxAddress = $("[name=xxAddress]").val();
			if(xxAddress == ""){
				Fw.Tips.info("请输入住宅详细地址!");
				return;
			}
			var reg = /.*[\u4e00-\u9fa5]+.*$/;
			//住宅地址必须包含一个汉字正则判断，去掉换行符后再判断
			if(!reg.test(xxAddress.replace(/[\r\n]/g,""))){
				Fw.Tips.info("请输入正确的住宅详细地址!");
				return;
			}
			//单位地区
			var corpArea = $("[name=corpArea]").val();
			if(corpArea == ""){
				Fw.Tips.info("请选择单位地区!");
				return;
			}
			//单位详细地址
			var corpAddress = $("[name=corpAddress]").val();
			if(corpAddress == ""){
				Fw.Tips.info("请输入单位详细地址!");
				return;
			}
			//单位详细地址必须包含汉字正则判断
			if(!reg.test(corpAddress.replace(/[\r\n]/g,""))){
				Fw.Tips.info("请输入正确的单位详细地址!");
				return;
			}
			//联系人姓名
			var lxrName = $("[name=lxrName]").val();
			if(lxrName == ""){
				Fw.Tips.info("请输入联系人姓名!");
				return;
			}
			//联系人手机号
			var lxrPhone = $("[name=lxrPhone]").val();
			if(lxrPhone == ""){
				Fw.Tips.info("请输入联系人手机号!");
				return;
			}
			if(lxrPhone.length != 11){
				Fw.Tips.info("请输入正确的联系人手机号!");
				return;
			}
			if(App.parames.offLine == "YES"){//查询额度状态为07时直接进行线下签署
				OffLineSymbolFlag = true;
            	$("#contract-agree-btn").on("click", Fw.bind(this.createContract,this));
            	if(faceFailCnt > 0){
    				//人脸识别失败后，后退至合同详细，重新进行选择认证方式
    				$('#selectWay').css("display","-webkit-box");
    			}else{
    				//网签进行人脸识别或拍照
    	    		Fw.device.Device.getCamara('App.getFaceData');
    			}
			}else{
				var OffLineSymbol = 500000.00;//授信金额阀值为50万
	    		var businessSum = Number(App.parames.BusinessSum);
	    		//大于阀值走签署合同流程，低于走网签项目流程
	    		if(businessSum > Number(OffLineSymbol)){//线下给与提示并判断是否走线下流程
	    			Fw.Msg.cfm({
						"msg" : "您的授信金额已大于50万,请选择签署合同方式。",
						"buttons" : [ {"code" : "YES","text" : "转线下获取全部额度"}, {"code" : "NO","text" : "签署50万合同"} ]
					}, function(code, btn, win) {
						if (code == "YES") {
							OffLineSymbolFlag = false;
							App.submitForm();
							return;
						} else {
							App.parames.BusinessSum = '500000.00';
							OffLineSymbolFlag = true;
		                	$("#contract-agree-btn").on("click", Fw.bind(App.createContract,App));
		                	if(faceFailCnt > 0){
		        				//人脸识别失败后，后退至合同详细，重新进行选择认证方式
		        				$('#selectWay').css("display","-webkit-box");
		        			}else{
		        				//网签进行人脸识别或拍照
		        	    		Fw.device.Device.getCamara('App.getFaceData');
		        			}
						}
					});
	    		}else{
	    			OffLineSymbolFlag = true;
	            	$("#contract-agree-btn").on("click", Fw.bind(this.createContract,this));
	            	if(faceFailCnt > 0){
	    				//人脸识别失败后，后退至合同详细，重新进行选择认证方式
	    				$('#selectWay').css("display","-webkit-box");
	    			}else{
	    				//网签进行人脸识别或拍照
	    	    		Fw.device.Device.getCamara('App.getFaceData');
	    			}
	    		}
			}
        },
        toContractText : function(){
        	//通讯地址
        	var familyadd = $("select[name=Familyadd]").val();
        	//住宅地址
        	if(familyadd == "1"){
        		$("#add_address").html($("#myArea").val() + $("#xxAddress").val());
        	}else{
        		$("#add_address").html($("#corpArea").val() + $("#corpAddress").val());
        	}
        	$("#add_lxr").html($("input[name=lxrName]").val());
        	$("#add_phone").html($("input[name=lxrPhone]").val());
        	//合同编号
        	$("#head_no").html(App.parames.IdntNo);
        	//借款人 贷款人
        	$("#dx_name").text(Fw.app.Session.getCustName());
        	$("#orgdep_name").text(App.parames.org_name);
        	//证件号
        	var idTypeName = Fw.util.Format.fmtIdType(Fw.app.Session.getIdType());
        	$("#cerTypeName").text(idTypeName);
        	$("#cerTypeName_e").text(idTypeName);
        	$("#cerNo").text(Fw.app.Session.getIdNo());
        	$("#companyName").text(App.parames.EntpNm);
        	$("#cerNo_e").text(Fw.app.Session.getIdNo());
        	$("#head_phone").text(Fw.app.Session.getLoginPhoneNo());
        	//通讯地址
        	var familyadd = $("select[name=Familyadd]").val();
        	//住宅地址
        	if(familyadd == "1"){
            	$("#head_address").text($("#myArea").val() + $("#xxAddress").val());
            	$("#address_span_e").text($("#myArea").val() + $("#xxAddress").val());
        	}else{
        		//单位地址
        		$("#head_address").text($("#corpArea").val() + $("#corpAddress").val());
            	$("#address_span_e").text($("#corpArea").val() + $("#corpAddress").val());
        	}
        	//文本中内容
        	var conS = $("[name=limitPutOut]").val().replaceAll("/","");
        	conS = conS.substring(0, 4) + "年"
			+ conS.substring(4, 6) + "月"
			+ conS.substring(6, 8) + "日";
        	$("#conStart").html(conS);
        	var conE = $("[name=limitMaturity]").val().replaceAll("/","");
        	conE = conE.substring(0, 4) + "年"
        	+ conE.substring(4, 6) + "月"
        	+ conE.substring(6, 8) + "日";
        	$("#conEnd").html(conE);
        	$("#conMoney").html(Fw.util.Format.fmtAmt2Chinese(App.parames.BusinessSum));
        	$("#CoreRate").html(App.parames.Ratefloat);
        	//借款人账号
        	var lc = Fw.decode($("select[name=limitCard]").val());
        	$("#account_no").html(Fw.util.Format.fmtAcctNo(lc.No,true));
        	//还款类型
        	var hkType = $("#limitPaycyc").val();
        	if(hkType == "03"){
        		hkType = "2.5.1";
        	}else if(hkType == "13"){
        		hkType = "2.5.2";
        	}else{
        		hkType = "2.5.3";
        	}
        	$("#hk_type").text(hkType);
        	var lc = Fw.decode($("select[name=limitCard]").val());
        	$("#account_no").html(lc.No);
        	$("#account_no_next").html(lc.No);
        	$("#jk_account").html(lc.No);
        	var date = today.replaceAll("/","");
        	date = date.substring(0, 4) + "年"
        	+ date.substring(4, 6) + "月"
        	+ date.substring(6, 8) + "日";
        	$("#date").html(date);
        	$("#cerNoCompany").text(App.parames.TaxpyIdnfNo)
        	App.viewConfig.title = "“税企通”个人最高额借款合同";
        	Fw.apply(App.viewConfig, this.viewConfig);
        	// 设置标题栏
        	Fw.device.Device.applyView(App);
        	tab.setActiveItem(1);
        },
        showPro : function(){
        	//清空显示
        	$("#cPro").show(500);
          	$("#cCity").hide();
        	$("#cArea").hide();
        	$("#top_show label").removeClass("bottom-style");
        	$("#pro_sel").addClass("bottom-style");
        	$("#city_sel").html("请选择");
        	$("#area_sel").html("请选择");
        	$("#city_div").empty();
        	$("#area_div").empty();
        },
        showCity : function(){
        	$("#cPro").hide();
        	$("#cCity").show(500);
        	$("#cArea").hide();
        	$("#top_show label").removeClass("bottom-style");
        	$("#city_sel").addClass("bottom-style");
        	$("#area_sel").html("请选择");
        	$("#area_div").empty();
        },
        showArea : function(){
        	$("#cPro").hide();
        	$("#cCity").hide();
        	$("#cArea").show(500);
        	$("#top_show label").removeClass("bottom-style");
        	$("#area_sel").addClass("bottom-style");
        },
        showProCorp : function(){
        	//清空显示
        	$("#cPro_corp").show(500);
        	$("#cCity_corp").hide();
        	$("#cArea_corp").hide();
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#pro_sel_corp").addClass("bottom-style");
        	$("#city_sel_corp").html("请选择");
        	$("#area_sel_corp").html("请选择");
        	$("#city_div_corp").empty();
        	$("#area_div_corp").empty();
        },
        showCityCorp : function(){
        	$("#cPro_corp").hide();
        	$("#cCity_corp").show(500);
        	$("#cArea_corp").hide();
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#city_sel_corp").addClass("bottom-style");
        	$("#area_sel_corp").html("请选择");
        	$("#area_div_corp").empty();
        },
        showAreaCorp : function(){
        	$("#cPro_corp").hide();
        	$("#cCity_corp").hide();
        	$("#cArea_corp").show(500);
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#area_sel_corp").addClass("bottom-style");
        },
        //选择地址
        chooseAddress : function(){
        	if(!areaData){
        		Fw.util.Ajax.query({
                    service: 'clientManagementService',
                    method: 'queryCityArea',//默认为query，方法名称必须是query开头
                    //请求参数
                    params: {},
                    loadMask: true,
                    success: function(data, result) {
    	                  	Fw.LoadMask.hide();
    	                  	if(!data)
    	              		{
    	                  		return;
    	              		}
    	                  	areaData = data;
    	                  	var content = "";
    	                  	$.each(data,function(i,c){
    	                  		if(c.PARENT_ID == 1){
    	                  			content += "<div id='pro_" + c.REGION_ID + "' onclick='App.chooseCity(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
    	                  		}
    	                  	});
    	                  	$("#pro_div").html(content);
    	                  	$("#cPro").show();
    	                  	$("#cCity").hide();
    	                	$("#cArea").hide();
    	                  	App.chooseCity('11');
    	                	$('#cityArea').css("display","-webkit-box");
                    },
                    failure : function(status, textStatus, error) {
	                  	Fw.LoadMask.hide();
	          			Fw.Msg.error(error);
	  						return false;
	  				}
              	});
        	}else{
        		if($("#pro_div div").length == 0){
        			var content = "";
                  	$.each(areaData,function(i,c){
                  		if(c.PARENT_ID == 1){
                  			content += "<div id='pro_" + c.REGION_ID + "' onclick='App.chooseCity(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
                  		}
                  	});
                  	$("#pro_div").html(content);
        			App.chooseCity('11');
        		}
        		$('#cityArea').css("display","-webkit-box");
        	}
        },
        //选择地址
        chooseCity : function(index){
        	$("#pro_sel").html($("#pro_" + index).html());
        	$("#top_show label").removeClass("bottom-style");
        	$("#city_sel").addClass("bottom-style");
        	var content = "";
          	$.each(areaData,function(i,c){
          		if(c.PARENT_ID == index){
          			content += "<div id='city_" + c.REGION_ID + "' onclick='App.chooseArea(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
          		}
          	});
          	$("#cPro").hide();
          	$("#cCity").show(500);
        	$("#cArea").hide();
          	$("#city_div").html(content);
        },
        //选择地址
        chooseArea : function(index){
        	$("#city_sel").html($("#city_" + index).html());
        	$("#top_show label").removeClass("bottom-style");
        	$("#area_sel").addClass("bottom-style");
        	var content = "";
        	$.each(areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='area_" + c.REGION_ID + "' onclick='App.settingArea(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro").hide();
        	$("#cCity").hide();
        	$("#cArea").show(500);
        	$("#area_div").html(content);
        },
        //选择地址
        settingArea : function(index){
        	$("#area_sel").html($("#area_" + index).html());
        	App.onHide();
        },
        onHide: function(){
        	if($("#city_sel").html() == "请选择" || $("#area_sel").html() == "请选择"){
        		Fw.Msg.info("请正确选择所在地区！");
    			return;	
        	}
        	$("[name=myArea]").val($("#pro_sel").html() + $("#city_sel").html() + $("#area_sel").html());
        	$('#cityArea').css("display","none");
        },
      //选择地址
        chooseCorpAddress : function(){
        	if(!areaData){
        		Fw.util.Ajax.query({
        			service: 'clientManagementService',
        			method: 'queryCityArea',//默认为query，方法名称必须是query开头
        			//请求参数
        			params: {},
        			loadMask: true,
        			success: function(data, result) {
        				Fw.LoadMask.hide();
        				if(!data)
        				{
        					return;
        				}
        				areaData = data;
        				var content = "";
        				$.each(data,function(i,c){
        					if(c.PARENT_ID == 1){
        						content += "<div id='pro_corp_" + c.REGION_ID + "' onclick='App.chooseCityCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        					}
        				});
        				$("#pro_div_corp").html(content);
        				$("#cPro_corp").show();
        				$("#cCity_corp").hide();
        				$("#cArea_corp").hide();
        				App.chooseCityCorp('11');
	                	$('#cityArea_corp').css("display","-webkit-box");
        			},
        			failure : function(status, textStatus, error) {
        				Fw.LoadMask.hide();
        				Fw.Msg.error(error);
        				return false;
        			}
        		});
        	}else{
        		if($("#pro_div_corp div").length == 0){
        			var content = "";
    				$.each(areaData,function(i,c){
    					if(c.PARENT_ID == 1){
    						content += "<div id='pro_corp_" + c.REGION_ID + "' onclick='App.chooseCityCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
    					}
    				});
    				$("#pro_div_corp").html(content);
    				App.chooseCityCorp('11');
        		}
            	$('#cityArea_corp').css("display","-webkit-box");
        	}
        },
        //选择地址
        chooseCityCorp : function(index){
        	$("#pro_sel_corp").html($("#pro_corp_" + index).html());
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#city_sel_corp").addClass("bottom-style");
        	var content = "";
        	$.each(areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='city_corp_" + c.REGION_ID + "' onclick='App.chooseAreaCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro_corp").hide();
        	$("#cCity_corp").show(500);
        	$("#cArea_corp").hide();
        	$("#city_div_corp").html(content);
        },
        //选择地址
        chooseAreaCorp : function(index){
        	$("#city_sel_corp").html($("#city_corp_" + index).html());
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#area_sel_corp").addClass("bottom-style");
        	var content = "";
        	$.each(areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='area_corp_" + c.REGION_ID + "' onclick='App.settingAreaCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro_corp").hide();
        	$("#cCity_corp").hide();
        	$("#cArea_corp").show(500);
        	$("#area_div_corp").html(content);
        },
        //选择地址
        settingAreaCorp : function(index){
        	$("#area_sel_corp").html($("#area_corp_" + index).html());
        	App.onHideCorp();
        },
        onHideCorp: function(){
        	if($("#city_sel_corp").html() == "请选择" || $("#area_sel_corp").html() == "请选择"){
        		Fw.Msg.info("请正确选择所在地区！");
        		return;	
        	}
        	$("[name=corpArea]").val($("#pro_sel_corp").html() + $("#city_sel_corp").html() + $("#area_sel_corp").html());
        	$('#cityArea_corp').css("display","none");
        },
        /**
         * 获取到人脸数据并上报
         */
      	getFaceData: function(data){
      		form.values.ImgData='';
      		form.values.Img=data;
      		form.values.DeviceId='';
      		form.values.MacNum='';
      		form.values.Flag='1';// 使用图片比对
      		form.values.IdNo = Fw.app.Session.getIdNo();
      		form.values.IdType = Fw.app.Session.getIdType();
      		form.values.CifName = Fw.app.Session.getCustName();
      		form.values.DeptId=Fw.app.Session.getCifDeptId();
      		form.values.SignChannel = "MOB-dkyx";
      		//开启
      		if(faceOpen == "0"){
        		//人脸识别比对
      			Fw.util.Ajax.query({
    		       	service: 'loadService',
    	            method: 'executeFaceCheck',
    		        loadMask: true,
    	            //请求参数
    	            params: form.values,
    	            //请求成功后回调
    	            success: function(data, result) {
	                  	Fw.LoadMask.hide();
    	            	if(data.FaceiIdentificationFlag == '1'){//人脸比对失败
    	            		//图片置空
    	            		form.values.Img = "";
    	            		faceFailCnt = faceFailCnt+1;
    	            		if(faceFailCnt < 3){
    	            			var message = data._RejMsg||"";
    	            			if(Fw.isEmpty(message)){
    	            				message = "人脸识别验证不通过。";
    	            			}
    	            			Fw.Msg.info(message,function(){
    	            				$('#selectWay').css("display","-webkit-box");
    	            			});
    	            		}
    	            		else{
    	            			Fw.Msg.info("人脸比对失败已达3次！",function(){
    	            				App.goBackUrl();
    	            			});
    	            		}
    	            	}else{//人脸比对通过
    	            		App.toContractText();
    	            	}
    	            },
	    			failure : function(status, textStatus, error) {
	    				Fw.LoadMask.hide();

	    			}
    		    });
      		}
      	},
        /**
         * 初始化页面
         */
        initHtml: function(){
        	$('#choose-div').addClass("dialog-show");
        	$('#select-div').addClass("dialog-show");
    		//填充页面可能需要的信息
        	var debitCardNum = 0;
        	var cardList = Fw.app.Session.getAllCards();//客户借记卡
        	$('[name="limitCard"]').html("");//置空
        	for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType == "PDBC") {
					$('[name="limitCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if(debitCardNum == 0){
						$("#limitKKCard").val(Fw.util.Format.fmtAcctNo(card.No, true));
					}
					debitCardNum++;
				}
        	}
        	if(debitCardNum == 0){
        		Fw.Msg.info("您尚未绑定圆鼎卡，不能进行网贷产品合同签署！", function(){
        			App.goBackUrl();
                });
    			return;			
    		}
        	$("#branchName").html(App.parames.org_name);//加载合同文本中的机构名称
	        $("input[name=Fullname]").val(Fw.app.Session.getCustName());//姓名
        	$('input[name=Certid]').val(Fw.app.Session.getIdNo());//身份证号
        	Fw.ConstantData.setIdType($("[name=Certtype]"),0);
        	$('input[name=limitBusType]').val(App.parames.ProductName);//产品名称
        	$("select[name=Certtype]").val(Fw.app.Session.getIdType());
        	$("input[name=limitProNo]").val(App.parames.BusinessType);
        	$("input[name=limitTermmonth]").val(App.parames.TermMonth);//期限
        	$("#limitSxSum").html(Fw.util.Format.fmtAmt(App.parames.BusinessSum));
        	$("#limitBusinesssum").val(Fw.util.Format.fmtAmt(App.parames.BusinessSum));
        	this.initCurDate();
        	$("#create-btn").on("click", Fw.bind(App.NetSign,this));
        },
        //创建合同
        createContract : function(){
        	if(faceOpen == "0"){
        		form.submit();
        	}
        },
        //提交表单
        submitForm:function(){  
        	form.submit();
     	},
     	backToIndex:function(){  
     		App.goBackUrl();
     	},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			//时间判断
			var limitPutOut = $("input[name=limitPutOut]").val();
			var limitMaturity = $("input[name=limitMaturity]").val();
			//期限判断
			var limitTermmonth = $("input[name=limitTermmonth]").val();
			var paycyc = $("select[name=limitPaycyc]").val();//还款方式
			values["Paycyc"] = paycyc;
			values["BusinessType"] = App.parames.BusinessType;//产品编号
			values["SerialNo"] = App.parames.IdntNo;//额度申请流水
			var lc = Fw.decode($("select[name=limitCard]").val());
			values["BankAccount"] = lc.No;
			values["DeductFlag1"] = lc.No;
			values["PutOutDate"] = limitPutOut;//起始日 
			values["Maturity"] = limitMaturity;//到期日
			values["TermMonth"] = limitTermmonth;//期限
			values["EnterpriseName"] = App.parames.EntpNm;//所述企业名称
			values["EnterpriseCertID"] =App.parames.TaxpyIdnfNo;//企业纳税人识别号
			values["FullName"] = Fw.app.Session.getCustName();//姓名
			values["Fullname"] = Fw.app.Session.getCustName();//姓名
			values["CertID"] = Fw.app.Session.getIdNo();//身份证号
			values["Rate"] = App.parames.Ratefloat;
			values["AddresseeName"] = $("input[name=lxrName]").val();
			values["MobilePhone"] = Fw.app.Session.getLoginPhoneNo();
			values["IdntNo"] = App.parames.IdntNo;
			values["LglprsnIdentId"] = Fw.app.Session.getIdNo();
			values["RelativeSerialNo"] = App.parames.IdntNo;
			values["Purpose"] = '其他';
			
			values["Mobiletelephone"] = Fw.app.Session.getLoginPhoneNo();
			values["Certid"] = Fw.app.Session.getIdNo();//身份证号
			values["limitCard"] = lc.No;
			values["limitKKCard"] = lc.No;
			values["limitPutOut"] = limitPutOut;//起始日 
			values["limitMaturity"] = limitMaturity;//到期日
			values["limitTermmonth"] = limitTermmonth;//期限
			values["limitPaycyc"] = paycyc;
			values["FaceFlag"] = FaceFlag;
			values["WDSerialno"] = App.parames.IdntNo;
			values["limitPurpose"] = '其他';
			values["Certtype"] = Fw.app.Session.getIdType();
			var idNo = Fw.app.Session.getIdNo();
			if(idNo.length == 15){
				//出生日期
				var birthday = idNo.substring(6,12);
				birthday = "19" + birthday.substring(0,2) + birthday.substring(2,4) + birthday.substring(4,6);
				values["Birthday"] = birthday;
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					values["Sex"] = "1";
				}else if(sex == "F"){
					values["Sex"] = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(14,15);
					if(cutIdNo % 2 == 0){
						values["Sex"] = "2";
					}else{
						values["Sex"] = "1";
					}
				}
			}else if(idNo.length == 18){
				//出生日期
				var birthday = idNo.substring(6,14);
				birthday = birthday.substring(0,4) + birthday.substring(4,6) + birthday.substring(6,8);
				values["Birthday"] = birthday;
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					values["Sex"] = "1";
				}else if(sex == "F"){
					values["Sex"] = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(16,17);
					if(cutIdNo % 2 == 0){
						values["Sex"] = "2";
					}else{
						values["Sex"] = "1";
					}
				}
			}else{
				Fw.Tips.info("证件号码不符！");
				return;
			}
			var type = $("[name=c_type]:checked").val();
			//通讯地址
        	var familyadd = $("select[name=Familyadd]").val();
        	//住宅地址
        	if(familyadd == "1"){
        		values["FamilyAdd"] = $("#myArea").val() + $("#xxAddress").val();
        		values["Familyadd"] = $("#myArea").val() + $("#xxAddress").val();
        	}else{
        		//单位地址
        		values["FamilyAdd"] = $("#corpArea").val() + $("#corpAddress").val();
        		values["Familyadd"] = $("#corpArea").val() + $("#corpAddress").val();
        	}
        	var method = "";
        	//确认金额判断
			var limitBusinesssum = Fw.util.Format.unFmtAmt($("input[name=limitBusinesssum]").val());
			values["BusinessSum"] = limitBusinesssum;//确认金额合同存证接口
			values["limitBusinesssum"] = limitBusinesssum;//确认金额合同建立接口
			values["loadProductName"] = App.parames.ProductName;
			if(App.parames.offLine == "YES"){//判断走线下标志
				method = "executeSqtContractRegister";
			}else{
				if(OffLineSymbolFlag){//线上
	        		if(limitBusinesssum > 500000){
	        			values["BusinessSum"] = "500000";//确认金额
	        			values["limitBusinesssum"] = "500000";//确认金额合同建立接口
	        		}
	        		method = "executeSqtContractRegister";
	        	}else{//线下
	        		method = "executeSqtDownlineAuthNotice";
	        	}
			}
        	if(checkFlag){//防重复提交判断
				return;
			}
    		checkFlag = true;
			//客户信息建立成功则进入合同建立页面
			Fw.util.Ajax.query({
                service: 'taxAndEnterpriseLinksService',
                method: method,//默认为query，方法名称必须是query开头
                //请求参数
                params: values,
                loadMask: true,
                success: function(data, result) {
                	checkFlag=false;
                	Fw.LoadMask.hide();
                	if(!data){
                		return;
            		}
                	App.parames.returnFlag = "UB";
                	if("executeSqtDownlineAuthNotice"==method){
                		if(data.RetCd == "0000"){//转线下成功
                			App.parames.Code = "A0026";//转线下的标志
                		}else{
                			Fw.Msg.error(data.RetMsg);
                			return;
                		}
                	}else{
                		App.parames.Code = data.Code;	
                		App.parames._RejCode = data._RejCode;
    					App.parames._RejMsg = data._RejMsg;
    					App.parames.Bcserialno = data.Bcserialno;
    					App.parames.AccountNo = lc.No;
    					var desc = Fw.util.Format.fmtUndefinedData(data.Desc);
    					var bz = desc.split(":");
    					if(bz.length == 2 && bz[1] != ""){
    						if(bz[1] != "F"){
    							App.parames.isEts = true;
    						}
                	    }
					}
					Fw.redirect('./taxEnterpriseLinksLoad.html', Fw.encode(App.parames));
                },
                failure : function(status, textStatus, error) {
                	checkFlag=false;
                	Fw.LoadMask.hide();

				}
            });
		},
		goBackUrl : function() {
			if (undefined != App.parames.backFlag && App.parames.backFlag == "Online") {
				Fw.redirect("../menu/onLineLoan.html");
			} else {
				Fw.redirect("../menu/main.html");
			}
		}
    };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);