/**
 * 选项卡#子页面1
 */
App.Item1 = function() {
    
	var smsSecurity = null;
	//var phoneNum = null;
	//var listView;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '账户增加',
            /**
             * 右边按钮
             */
            rightButton: false,
            
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: ''
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	App.Item1.initHtml();
        	
        	this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//初始化列表事件
        	$("#next-btn").on("click", Fw.bind(this.queryKufarenCheck,this));
        },
        
        /**
         * 初始化页面
         */
        initHtml: function(){
        	
        	params = Fw.decode(Fw.getParameters());
        	if(params && (Fw.isEmpty(params.transType) || "01" != params.transType) && (Fw.isEmpty(params.transType) || "02" != App.param.transType)){
        		$('#AcNo').val(params.acctNo).change();
        		$('#BankAcType').val(params.acctType).change();
        		//form.setValues('AcNo',params.acctNo);
        	}
        	
        	CifNo = Fw.app.Session.getCustName();//客户号	
    		$('#AcName').val(CifNo).change();
    		
	         isSms = Fw.app.Session.getIsSms();//0-未开通短信  1-开通短信
	         otpType = Fw.app.Session.getIsOtp();//动态口令类型 0-未开通动态口令   1,2,3,4都是开通
	         AcName = Fw.app.Session.get("Name");//
   
	         $("#AccLimit").empty();
        	//有动态口令才能使用转账权限
    		if(isSms != "0" || otpType != "0"){
//    			g("userLimit").innerHTML = '<select name="AccLimit" id="AccLimit" ><option value="0">查询</option><option  value="1">转账/查询</option></select>';
    			$("#AccLimit").append("<option value='0'>查询</option>");
    			$("#AccLimit").append("<option  value='1'>转账/查询</option>");
    		}
    		else{
//    			g("userLimit").innerHTML = '<select name="AccLimit" id="AccLimit" ><option value="0">查询</option></select>';
    			$("#AccLimit").append("<option value='0'>查询</option>");
    		}
    		
    		
        },
        
     	
        formValidate:function(){
        	var account = $("#AcNo").val();
        	if(account==''){
        		Fw.Tips.warn("账号不能为空！");
        	}
        },
        
        queryKufarenCheck:function(){  
        	
        	var account = $("#AcNo").val();
        	if(account==''){
        		Fw.Tips.warn("账号不能为空！");
        		return;
        	}
        	
        	var acctType = $("#BankAcType").val();
//        	/*console.log("tab",App.tab);
//        	$("#div_sign").hide();
//        	App.tab.setActiveItem(1);
        	
        	Fw.util.Ajax.query({
        		service : 'accountService',
                method:"queryKuFaRenByAcNo",
                //请求参数
                params: {
                	"AcNo":account,
                	"accountType":acctType
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	// fmtPhoneNum
                	
                	if(data.CheckFlag!='1'){
                		$("#div_sign").hide();
                	}
                	console.log("tab",App.tab);
                	App.tab.setActiveItem(1);
                },
                
                // 请求错误后回调
				failure : function(status, textStatus, error) {
					
					Fw.Msg.error(error, function(){
	        			Fw.device.Device.gotoIndex();
	                });
					return false;
				}
               
            });
        	
     	},
        
    };
}();