/**
 * 选项卡#子页面2
 */
App.Item2 = function() {
    
	var smsSecurity = null;
	var custFlag = null;
	//var form;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '账户增加确认',
            /**
             * 右边按钮（默认显示）
             */
            leftButton: {
            	text: ''
            	/*handler: function(){
            		App.tab.setActiveItem(0);
            	}*/
            }
            
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	
        	if(!this.form){
        		//定义表单
                this.form = new Fw.Form({
                    //EL
                    contentEl : 'form2',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
                
                this.form.on('submit', this.doSubmit, this);
        	}
        	
            
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	
        	$('#smsCountDown').off();
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        	
        	//点击提交按钮验证短信码是否正确
//        	$('#smsCountDownBtn').on('click',Fw.bind(this.smsCountDownBtnClick,this));
        	
        	//点击按钮时触发（保存、重置、重发验证码）
//            buttons.tap(Fw.bind(this.onButtonClick, this));
        	
        	$('#submit-btn').on('click',Fw.bind(this.submit,this));
        	
        },
        
        
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
            //... ...
            
        	if(name=='logidFlag'){
        		$("[name=telFlag]")[0].checked=$("[name=logidFlag]")[0].checked;
        	}
        },
        
        submit: function(){
            //... ...
            
        	this.form.submit();
        },
        
        /**
         * 验证动态口令
         * parameters = {otpType : '', otpNo : '', oTPPassword : '', challenge : ''}
         */
		checkOpt : function(){
			this.form.submit();
			console.log("checkOpt start1 !");			
		},
		
		/**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	var phoneNum=$("#phoneNum").val();
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '0',
					modType : 0,
					transName:'账户增加',
					phoneNum : phoneNum
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn':
                    form.submit();
                    break;
                //表单重置
                case 'reset-btn':
                    form.reset();
                    break;
                //重发验证码
                case 'resend-btn':
                    Fw.Tips.info('重发验证码...');
                    break;
            }
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
		/**
		 * 表单提交
		 * @param values
		 * @returns
		 */
		doSubmit:function(values){
			var isShow = $("#div_sign").is(":visible");
			if(isShow){
				if(!$("[name='isagree']").attr('checked')){
					Fw.Tips.info('请先阅读并同意上面的协议！');
					return;
				}
			}
        	Fw.Msg.cfm('是否确定关联此账户?', function(code, btn, win){
        		if(code == "yes"){
        			App.Item2.MCRabotActAdd(values);
        		}
            });
        },
        
        
        MCRabotActAdd: function(values){
//        	var openMTPay = "1";
//            if($('[name=openMTPay]').is(':checked')){
//            	openMTPay = "1";	//开通美团支付
//            }else{
//            	openMTPay = "0";	//不开通美团支付
//            }
        	var acNo = $('#AcNo').val();
    		var bankAcType = $('#BankAcType').val();
    		var AcName = $('#AcName').val();
    		var Alias = $('#Alias').val();
    		var AccLimit = $('#AccLimit').val();
    		var checkNo = $("#smscode").val(); //短信验证码
    		var numRex = /^\d+$/;//数字正则表达式
 
    		if(isSms == "1" && otpType == "0"){
    			VersionFlag = "1";
    		}else{
    			VersionFlag = "2";
    		}
    		//美团绑卡前端部分的参数
//    		values['openMTPay']= openMTPay;
    		values['IDTp']= App.Item2.fmtIDTp(Fw.app.Session.getIdType());//证件类型
    		values['SgnAcctIssrId']=""	//签约人银行账户所属机构标识
    		values['SgnAcctTp']=$("#BankAcType option:selected").val()=="PDBC"?"2":"1";//账户类型
    		//账户加挂的参数
    		values['smsSecurity']= smsSecurity;
        	values['smscode']= $("#smscode").val();
    		values['AllowedAddAccountType']=bankAcType;
    		values['Alias']=Alias;
    		values['AcName']=AcName;
    		values['InnerTrsFlag']=AccLimit;
    		values['CrossTrsFlag']=AccLimit;
    		values['VersionFlag']=VersionFlag;
    		values.AcNo = acNo;
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCRabotActAdd',//默认为query，方法名称必须是query开头
                //请求参数
                params : values,
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	if(App.param){
                		Fw.redirect("../acc_categoryTotal/acc_categoryTotal.html");
                	}else{
                		Fw.redirect("../downcards/downcards.html");
                	}
//            		Fw.Msg.info('账户增加成功，同步美团支付开通成功', function(){
//            		});
                },
                // 请求错误后回调
				failure : function(status, textStatus, error) {
					if(status=='validation.just.new.customer.can.add.account'){
						Fw.Msg.warn('我行个人网银与手机银行已进行升级优化，不再单独设置账户行内转账、跨行转账、快速转账的限额。身份认证通过后，新的客户限额将生效，转账交易将受新限额控制。', function(){
                			Fw.redirect("../../userCombine/userCombine.html");
                        });
						return false;
					}
				}
            });
        },
        
        fmtIDTp:function(IdType){
        	switch(IdType){
	        	case "P00":  return "1";	//身份证
	        	case "P01":  return "2";	//军官证
	        	case "P02":  return "3";	//文职干部证
	        	case "P03":  return "4";	//警官证
	        	case "P04":  return "5";	//士兵军人证
	        	case "P07":  return "6";	//户口簿
	        	case "P06":  return "7";	//港澳台居民通行证
	        	case "P13":  return "8";	//台湾居民往来通行证
	        	case "P23":  return "9";	//外国护照
	        	case "P05":  return "10";	//中国护照
	        	case "P18":  return "11";	//武警文职干部证
	        	case "P17":  return "12";	//武警士兵证
	        	case "E01":  return "13";	//组织机构代码证
	        	case "P24":  return "14";	//海外客户编号
	        	case "E02":  return "15";	//营业执照
	    		default:   return "16";
        	}
        },
        
    };
}();