/**
 * 创建应用
 */
var App = function() {

	
	var flag= g("flag");
	var acType = "";
	var ac_seq = "";
	var delAcNo="";
	var account2;
	var account;
	var AuthFlag="";//有无验证方式标志
    
	var nowIndex;//当前索引
	var limitFlag;//权限标志
	var pageFlag="0";//页面标识
	var smsSecurity;
    return {
        /**
         * 依赖组件
         */
        requires : [
        'Fw.SmsCountDown',
        //安全键盘
        'Fw.Keyboard',
        'Fw.app.Session'
            
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '关联账户管理',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: {
                //按钮标题
                text: '增加',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	
            //初始化事件
            this.initEvents();
            
         
            App.initAcctNo();
      

            //手动隐藏等待层
            Fw.LoadMask.hide(500);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
         
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        	
        	//点击提交按钮验证短信码是否正确
        	$('#smsCountDownBtn').on('click',Fw.bind(this.smsCountDownBtnClick,this));
        },
        
        /**
         * 初始化页面
         */
        initAcctNo: function(){
        	
        	
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMobileDefaultActsQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(c, result) {
                    var  name = Fw.app.Session.getCustName();
                    $('#acName').val(name) ;
                    $('#AcName').val(name) ;
                    AuthFlag=c.AuthFlag;
                    //账户列表
                  	cards = c.AcList;
                  	//设置账户下拉列表
                  	var sel = g("cardlist");
                  	// 删除之前的opertion
                  	$("#cardlist").empty();
                  	for(var i = 0;i < cards.length;i++){
                  		if(cards[i].BankAcType!='PCRC'){
                  			sel.add(new Option(Fw.util.Format.fmtAcctNo(cards[i].No.trim(),true),JsonToStr(cards[i])));
                  		}
                  	}
                  	
                  	var selectedAcct = $("#cardlist").val();
                  	if(selectedAcct){
                  		selectedAcct=Fw.decode(selectedAcct);
                  		account2=selectedAcct.No;
                  	}
              		
                  	var sb=[];
                  	var sb_1="";
                  	
                  	for(var i=0;i<cards.length;i++){
                  			if(i!=0){
                  				sb_1 +="<hr class='firstHr'>";
                  			}
                  			var accType = cards[i].BankAcType;
                  			var bankType = Fw.util.Format.fmtCardType(accType);
                  			var acNo = cards[i].No;
                  			var acSeq = cards[i].Seq;
                  			sb_1 += "<ul class='wf100 btnBlue after' style='position: relative;top: 7px;' onClick='App.showPopMenus("+i+")'>";
                  			sb_1 +="<li class=' h30'>";
                  			sb_1 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>账&nbsp;&nbsp;号:</label>";
                  			sb_1 += "<span class='hiden  ' id='span"+i+"'>"+acNo+"</span>";
                  			sb_1 += "<span class=''  style='position:  absolute; right: 50px; font-size: 16px;'  id='span1"+i+"'>"+Fw.util.Format.fmtAcctNo(acNo.trim(),true)+"</span>";
                  			sb_1 +="</li>";
                  			sb_1 +="<li class=' h30'>";
                  			sb_1 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>类&nbsp;&nbsp;型:</label>";
                  			sb_1 += "<span class='' style='position:  absolute; right: 50px; font-size: 16px;' id='spa"+i+"'>"+bankType+"</span>";
                  			sb_1 += "<span class='hiden' id='accType"+i+"'>"+accType+"</span>";
                  			sb_1 += "<span class='hiden' id='acSeq"+i+"'>"+acSeq+"</span>";
                  			sb_1 +="</li>";
                  			
                  			sb_1 += "<li class=' h30'>";
                  			sb_1 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>姓&nbsp;&nbsp;名:</label>";
                  			sb_1 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+name+"</span>";
                  			sb_1 += "</li>";
                  			sb_1 += "</ul>";
                  	}
                  	sb[sb.length] = sb_1;
                  	g('pageA_AccList').innerHTML = sb.join("");
                },
               
            });
        	
        },
        
      showPopMenus:function(num){  
	  	  	nowIndex = num;
		    flag.value = 1 ;
		    g('AcctNo').value = cards[num].No;
		    $('#AcctNoHD').val( Fw.util.Format.fmtAcctNo(cards[num].No.trim(),true)) ;
		    $('#BankAcType').val( g('spa'+num).innerHTML) ;
		    $('#AcName').val( Fw.app.Session.getCustName()) ;
			acType = g('accType'+num).innerHTML;
			ac_seq = g('acSeq'+num).innerHTML;
			g('AcNo').value = cards[num].No;
			g('AcPermit').value = cards[num].Properties;
			
			g('userLimit').value = "查询";
			limitFlag="0";
			var permit = cards[num].Properties;
			for(var i=0; i<permit.length; i++){
				if(((permit[i].name=="PMBS.BankInnerTransfer" && permit[i].value=="1")
						|| (permit[i].name=="PMBS.CrossBankTransfer" && permit[i].value=="1")) && AuthFlag!=1){
					g('userLimit').value = "转账/查询";
					limitFlag="1";
					break;
				}
			}
			
			addClass($("#pageA"),"hiden");
			addClass($("#pageC"),"hiden");
			removeClass($("#pageB"),"hiden");
			// 修改页面标识
			pageFlag = "1";

    	},
    	
    	submit:function(){  
    		
    		 flag.value = 2 ;
    	var	 isSms = Fw.app.Session.getIsSms();//0-未开通短信  1-开通短信
          var   otpType = Fw.app.Session.getIsOtp();//动态口令类型 0-未开通动态口令   1,2,3,4都是开通
        	
    		if( otpType == "0" && isSms == "0"){
    			 Fw.Msg.info('您还没有绑定动态口令牌，无法修改账号权限！', function(){
                     
                 });
    			return;
    		}
    		g('acctNo2').value = g('AcNo').value;

    		$('#acctNo2HD').val(Fw.util.Format.fmtAcctNo(g('AcNo').value.trim(),true)) ;
    		var batype =$('#BankAcType').val() ;
    		$('#bankAcType2').val(batype) ;
    		
    		//var pr = g('AcPermit').value;
    		var sel = g('AccLimit');
    		for(var i=0;i<sel.options.length;i++){
    			if(sel.options[i].value == limitFlag){
    				sel.options[i].selected = true;
    				break;
    			}
    		}
    		
    		addClass($("#pageA"),"hiden");
    		addClass($("#pageB"),"hiden");
    		removeClass($("#pageC"),"hiden");
    	//	setWebitEvent("initWebkitTitleBar3()", "02");

    	},
    	
    	confirm:function(){  
    		var smsText = g("smsText").value; //短信验证码
    		var numRex = /^\d+$/;//数字正则表达式
    		if (smsText.trim() == "") {
    			 Fw.Tips.warn('短信验证码不能为空！');
    	
    			return;
    		}
    		
    		if (smsText.length != 6) {
	   			 Fw.Tips.warn('短信验证码必须为6位！');
	   	
	   			return;
	   		}
    		
    		if(!numRex.test(smsText)){
    			
    			 Fw.Tips.warn('短信验证码输入不合法！');
    			return;
    		}
    		
    	
    		
    		Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCTransferOCUpdate',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	  smsCheckNo : g("smsText").value,
                      AcPermit: g("AccLimit").value,		//0是查询1是转账
                      No : g('acctNo2').value,	//账号
          			BankAcType : acType,	//账号类型
          			AcSeq : ac_seq,
          			AcAlias : g("acName").value,	//账号别名
          			BankInnerTransfer : g("AccLimit").value,	//本行转账开关
          			CrossBankTransfer : g("AccLimit").value,	//跨行转账开关
          			smsSecurity:smsSecurity,
          			smscode:smsText
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
   
                	 Fw.Msg.info('账号权限修改成功!', function(){
                        
//                		alert("123");
                		$("#smsText").val("");
                		addClass($("#pageB"),"hiden");
                  		addClass($("#pageC"),"hiden");
                  		removeClass($("#pageA"),"hiden");
                  		
                		App.initAcctNo();
                		Fw.SmsCountDown.reset();
//                		App.showPopMenus(nowIndex);
                		
                     });
                },
                
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	$("#smsText").val("");
                }
            
            });
    		
    		

   	},
   	
   	
   	del:function(){  

		
   		 delAcNo = g('AcNo').value;
   	 
		
   		 Fw.Msg.cfm('您确定要解绑账号:'+delAcNo+'吗？', function(code, btn, win){
            	if(code == "yes")
            		{
            		App.delete_confirm();
                     }
            
            });
		

	},
   	
	
	delete_confirm:function(){  

		Fw.util.Ajax.query({
            service: 'accountService',
            method: 'queryMCRabotActDel',//默认为query，方法名称必须是query开头
            //请求参数
            params: {
            	
                 Account_No : delAcNo,	//账号
 				 Account_BankAcType : acType	//银行账户类型
      			
            },
            //是否自动显示等待层（默认true）
            //允许自定义等待层提示信息（loadMask: '请稍后...'）
            //loadMask: true,
            //是否使用数据挡板（默认false）
            staticData: false,
            //请求成功后回调
            success: function(data, result) {
            
            	 Fw.Msg.info('账号删除成功!', function(){
            		 Fw.redirect("./downcards.html");
                 });
            	
            },
           
        });
		

	},
	
	showCardNo:function(accObj){  

		
		if( typeof accObj ==  'string' ){
			 accObj = eval("("+accObj+")");
		}
		accType = accObj.BankAcType;
		account = accObj.No;
			
  	 
		
  		 Fw.Msg.cfm('是否确定'+Fw.util.Format.fmtAcctNo(accObj.No.trim(),true)+'为默认账户?', function(code, btn, win){
           	if(code == "yes")
           		{
           		App.card_confirm();
                    }
           	else{
           		App.card_cancle();
           	}
           
           });
		

	},
	
	
	card_cancle:function(){  

		if(account2){
			var cardlist = g("cardlist").options;
    		for(var i =0; i<cardlist.length; i++){
    			if(cardlist[i].innerHTML == Fw.util.Format.fmtAcctNo(account2.trim(),true)){
    				cardlist[i].selected=true;
    			}	
    		}	
		}
    	  
	},
	
	
	card_confirm:function(){  

		
		    Fw.util.Ajax.query({
	            service: 'accountService',
	            method: 'queryMCMobileDefaultActsSet',//默认为query，方法名称必须是query开头
	            //请求参数
	            params: {
	            	
	        		Account_BankAcType : accType,	//账号类型
					Account_No : account			//账号
	      			
	            },
	            //是否自动显示等待层（默认true）
	            //允许自定义等待层提示信息（loadMask: '请稍后...'）
	            //loadMask: true,
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	            	if(data._RejCode=="000000"){
	            		
	            	 Fw.Msg.info('默认账号设置成功!', function(){
	            		  Fw.redirect("./downcards.html");
                     });
	            	}
	            	else{
	            		App.card_cancle();
	            	}
	            },
	          
	        });
		

	},
    /**
     * 调用短信统一接口
     */
    smsCountDownClick: function(e){
    	//点击发送验证码按钮
    	var contentEl = $(e.currentTarget);
    	var phoneNum=$("#phoneNum").val();
    	
    	//倒计时配置参数
    	var params = {
    			//按钮对象
    			contentEl:contentEl,
//    			delay:10,
    			//参数
			    param : {
			    //0表示本地获取 1表示 渠道端获取
			    socket: '0',
				modType : 0,
				phoneNum : phoneNum
			    },
    			//业务参数配置待短信接口确定后完善...
//    			AMT:5000,
//    			PHONE:13698888888
    	};
    	//调用倒计时插件
    	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
    },
   	
    /**
	 * 获取短信后触发
	 */
	onRefreshSms : function(data) {
		smsSecurity = data.smsSecurity;
	},
        
        
    	
         leftButtonHandler:function(){  
    		
    		if($("#pageA").hasClass("hiden"))
        	{
    			
        	}
    		else
    			{
    		
    			return history.back();
    			}
    		
     		if (flag.value  == 1) //
     		{
     			removeClass($("#pageA"),"hiden");
        		addClass($("#pageC"),"hiden");
        		addClass($("#pageB"),"hiden");
     			flag.value  = 0;
     		}
     		
     		if (flag.value == 2)//
     		{
     			removeClass($("#pageA"),"hiden");
        		addClass($("#pageB"),"hiden");
        		addClass($("#pageC"),"hiden");
     			flag.value  = 0;
     		
     		}
     		if (flag.value == 3)//活期
     		{
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#pageHq"),'hiden');
     			flag.value  = 0;
     			
     		}
     		if (flag.value == 4)//定期
     		{
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#pageDq"),'hiden');
     			flag.value  = 0;
     			
     		}
     		if (flag == 5)//理财
     		{
//     			removeClass(g('pageMain'),'hiden');
//     			addClass(g('pageHq'),'hiden');
     		}

     	},
     	leftButtonHandler:function(){  
        	if(pageFlag=="1"){
        		addClass($("#pageB"),"hiden");
          		addClass($("#pageC"),"hiden");
          		removeClass($("#pageA"),"hiden");
        		App.initAcctNo();
        		pageFlag="0";
        	}else{
        		Fw.device.Device.gotoIndex();
        	}
        	
        },
     	
     	rightButtonHandler:function(){  
         	

          Fw.redirect("../adddowncard/adddowncard.html");

     	},
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
