var App = function(){

	var accType ="";
	
	var accNo ="";
	var Currency_CRFlag;
	var Currency_Code;
	return {
		/**
         * 依赖组件
         */
		requires : [
		            //表单
		            'Fw.Form',
		            //安全键盘
		            'Fw.Keyboard',
		            //日历组件
		            'Fw.Calendar',
		            'Fw.TimerGlider',
		            //设备
		            'Fw.device.Device'
		            
		            
		          
		        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '时间轴',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回'
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
	
			/**
		     * 右边按钮（默认不显示）
		     * rightButton: '右边按钮'
		     */
		    rightButton: {
		        //按钮标题
		        text: '查询'
		        //自定义按钮点击事件（默认App.rightButtonHandler）
		        //handler: XXX
		    }
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
		init: function(){
			 //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
			
			
            this.initDatas();
            
			
			//初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
		},
		/**
         * 初始化事件
         */
        initEvents: function(){
        	
            $('#submit-button').on('click',Fw.bind(this.doSubmit,this));	
        	
        },
        
        
        /**
         * 初始化数据
         */
        initDatas: function(){

        	App.initAccountType();
        	
        },
        
        initAccountType: function(){


        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCMobileDefaultActsQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	flag: '1',//默认时间
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(c, result) {
       
                console.log(c);
                c = c.AcList;
                  var sel = g("PayerAcNo");
              		var j=0;
              		for(var i = 0;i < c.length;i++){
              			if(c[i].BankAcType != "PCRC"){
              				var qy_account = Fw.util.Format.fmtAcctNo(c[i].No,true)+"/"+Fw.util.Format.fmtCardType(c[i].BankAcType)+"/";
              				sel.add(new Option(qy_account,JsonToStr(c[i])));
              				if(j==0){
              				
              					accType = c[i].BankAcType;
              			
              			
              				}
              				j++;
              			}
              		}
              		accNo = c[0].No;
          			g("AccNo").innerHTML = Fw.util.Format.fmtAcctNo(accNo,true); 
              	
                },
               
            });
       
        },
        
        
        
        /**
         * 提交表单
         */
        doAgreement: function(values){
        	
        
        	addClass(g('pageA'),'sui-hide');
	        removeClass(g('pageB'),'sui-hide');
	        
        },
        
        
        
        /**
         * 提交表单
         */
        doSubmit: function(values){
        	
        
        	addClass(g('pageA'),'sui-hide');
	        removeClass(g('pageB'),'sui-hide');
	        
        },
        
        
     
	   
	    /**
	     * 点击记录触发事件
	     */
	    onItem: function(record, index, item, e, cmp){
			//当前节点
			var currentTarget = $(e.currentTarget);
			//兄弟节点
			var nextTarget = currentTarget.next();
			//动画
			nextTarget.toggle();
			//绑定申请分期事件
			 $('.content-detail button').on('click',Fw.bind(App.applyPay,this,[record],true))
        },

        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        chufa: function(obj){
 	
        	var obj = eval('('+obj.value+')');
        	accNo   = obj.No;
    		accType = obj.BankAcType;
    		Currency_Code = obj.Currency.Code;
    		Currency_CRFlag = obj.Currency.CRFlag;
    		
    		g("AccNo").innerHTML = Fw.util.Format.fmtAcctNo(accNo,true); 
       
        },
        
  
      
   
        
        rightButtonHandler : function(){
        	
        	removeClass(g('pageA'),'sui-hide');
        	addClass(g('pageB'),'sui-hide');
    		
        },
        
        
   
	}
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
