/**
 * 创建应用
 */
var App = function() {
    var form;
    var buttons = $('button');
	var smsSecurity=null;
	var oldPassWoed ="";
	var newPassWoed ="";
	var accType ="";
	var LimitPerTrs ;
	var accNo ="";
	var allAccData;
	var Limit_amount;
	var CIFHighestLimitValue;
	var CIFCanUseLimitValue;
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
//表单
'Fw.Form',
//安全键盘
'Fw.Keyboard',

'Fw.SmsCountDown',

'Fw.app.Session',

//设备
'Fw.device.Device'
            
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '限额管理',
           
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
            this.initData();
            
            var custFlag = Fw.app.Session.getNewFlag();
        	if(custFlag!="1"){
        		Fw.LoadMask.hide();
        		Fw.Msg.info('我行个人网银与手机银行已进行升级优化，不再单独设置账户行内转账、跨行转账、快速转账的限额。身份认证通过后，新的客户限额将生效，转账交易将受新限额控制。', function(){
        			Fw.redirect("../../userCombine/userCombine.html");
            		return;
                });
        		return;
        	}
        	
            //初始化事件
            this.initEvents();
            
            //手动隐藏等待层
            Fw.LoadMask.hide(500);
        },
        
        /**
         * 初始化数据
         */
        initData: function(){
        	
        	
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCMobileDefaultActsQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(c, result) {
                  var sel = g("cardlist");
              		var j=0;
              		for(var i = 0;i < c.length;i++){
              			if(c[i].BankAcType != "PCRC"){
              				sel.add(new Option(Fw.util.Format.fmtAcctNo(c[i].No.trim(),true),JsonToStr(c[i])));
              				if(j==0){
              					accType = c[i].BankAcType;
              					g('BankAcType').value=Fw.util.Format.fmtCardType(accType);;
              				}
              				j++;
              			}
              		}
                	
              		document.getElementById("BankAcType").value =Fw.util.Format.fmtCardType(c[0].BankAcType);
              		accNo = c[0].No;
             
              		
               	App.MCChannelLimitQuery();
      
                },
               
            });
    
        	
        },
        
        /**
         * 初始化事件
         */
        initEvents: function(){
        	
        	
           
            
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        	
        	//点击提交按钮验证短信码是否正确
        	$('#smsCountDownBtn').on('click',Fw.bind(this.smsCountDownBtnClick,this));
          
        },
        
      
        
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
            //设置表单值
            //values['XXX'] = 'XXX';
            //
            //if(...){
                //return false;//则不触发提交事件
            //}
        },
        /**
         * 提交表单
         */
        doSubmit: function(){
        	

        	var newValue = $('#LimitPerTrs').val();
        	if(newValue==""){
        		Fw.Tips.warn("单笔限额的值不允许为空！");
        		return;
        	}
        	 
        	newValue = Fw.util.Format.unFmtAmt(newValue);
        	if (LimitPerTrs <= newValue)
	      	  {
	      		 Fw.Tips.warn("限额只能调低！");
	      		  $('#LimitPerTrs').val(Fw.util.Format.fmtAmt(LimitPerTrs))
	      		  return;   
	      	  }
    	    
    	    
    		
    	    Fw.Msg.cfm('是否确定修改限额?', function(code, btn, win){
             	if(code == "yes")
             		{
             		App.limitMoney();
                      }
             
             });
    	    
    	    
    	
        },
        
        
        
     
        
       
        chengeLimit: function(selectedAcct, transType){
        	
//        	var accList = allAccData;
        	

        	
    		for(var i=0;i<allAccData.length;i++){
    			if(allAccData[i].AccountLimit.AcNo == selectedAcct
    					&& allAccData[i].AccountLimit.Type == "LimitPerTrs"
    					&& allAccData[i].PrdListType == transType){
    				allAccData[i].AccountLimit.Amount = Fw.util.Format.fmtAmt(g("LimitPerTrs").value);
    			}
    		}
    		
    		
      	
      },
      
      
      limitMoney: function(){
      
  	  var newValue = Fw.util.Format.unFmtAmt(g('LimitPerTrs').value);
  	  
  		Fw.util.Ajax.query({
              service: 'accountService',
              method: 'queryMCChannelLimit',//默认为query，方法名称必须是query开头
              //请求参数
              params: {
            	  acNo: accNo,
            	  type: "LimitPerTrs",
            	  amount: newValue,
            	  PrdListType: g('TransType').value,
            	  HighestLimitValue: g('HighestLimitValue').value
              },
              //是否自动显示等待层（默认true）
              //允许自定义等待层提示信息（loadMask: '请稍后...'）
              //loadMask: true,
              //是否使用数据挡板（默认false）
              staticData: false,
              //请求成功后回调
              success: function(c, result) {
            	  Fw.Msg.info('限额管理设置成功', function(){
            		  App.chengeLimit(accNo, g('TransType').value);
            		  App.getLimit();
                  });
            
            	  
            	
              },
            
          });
  		
  	    
      },
      
    
        
        
        getLimit: function(){
        	var cardlist = g("cardlist");
    		var no1 = g("cardlist").options[g("cardlist").selectedIndex];
    		var account1= eval('('+no1.value+')');
    		var acc =  account1.No;
    		
     		var limitType = g("TransType").value
    		var accList = allAccData;
    		for(var i=0;i<accList.length;i++){
    	
    			if(accList[i].AccountLimit.AcNo == acc 
    					&& accList[i].AccountLimit.Type == "LimitPerTrs" 
    					&& accList[i].PrdListType == limitType){
    				
    				g("LimitPerTrs").value = Fw.util.Format.fmtAmt(accList[i].AccountLimit.Amount);
    				
    				 LimitPerTrs = accList[i].AccountLimit.Amount;
    				
    				g("LimitValue").value = accList[i].CIFCanUseLimitValue;
    				g("HighestLimitValue").value = accList[i].AcHighestLimitValue;
    				
    			}
    		}
     
      	
      },
      
      
      MCChannelLimitQuery: function(values){
  
    		Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCChannelLimitQuery',//默认为query，方法名称必须是query开头
                //请求参数
                params : values,
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(c, result) {
                if(!c){
                	return;
                }
            //    	Limit_amount = c.Limit_amount;
           			CIFCanUseLimitValue = c.CIFCanUseLimitValue;
           			CIFHighestLimitValue = c.CIFHighestLimitValue;
           			allAccData =c.List; 
           		
                	App.getLimit();
              	
                },
               
            });
    		
    	    
        },

       
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
      changeCard: function(obj){
    	  
    	    var obj = eval('('+obj.value+')');
  		     accType = obj.BankAcType;
        	document.getElementById("BankAcType").value =Fw.util.Format.fmtCardType(accType); 
        	accNo = obj.No;
        
        },
        
        
        
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn':
                    form.submit();
                    break;
                //表单重置
                case 'reset-btn':
                    form.reset();
                    break;
                //重发验证码
                case 'resend-btn':
                    Fw.Tips.info('重发验证码...');
                    break;
            }
        },
        
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	
        	// 获得验证码密文
			Fw.util.Ajax.get({
				// 数据源（服务接口）
				service : 'smsService/getSms',
				  params: {
					  	 isPhone:"true",
					 
		                 },
				// 请求成功后回调
				success : {
					fn : this.onRefreshSms,
					scope : this
				}
			});
        	
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//可配参数：倒计时时间，如果不定义默认是"60秒"
        			delay:10,
        			//可配置参数：倒计时显示文本，如果不定义默认是(59秒)递减
        			delayText:'还剩{0}秒',
        			//可配参数：倒计时完成后的文本信息，如果不定义默认是"重新发送"
        			delayFinishText:'再次发送',
        			//可配参数：倒计时背景色，如果不定义默认是"灰色",可接受"十六进制颜色值[#000000]、颜色单词[red]"
        			delayBgColor:'gray',
        			//可配参数：倒计时文本颜色，如果不定义默认是"白色",可接受"十六进制颜色值[#000000]、颜色单词[red]"
        			delayTextColor:'#ffffff'
        			
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			
			//alert(Fw.encode(data));
			// 设置短信验证码密文
			smsSecurity = data.smsSecurity;
		},
		
		
		getSmsStatus:function(data,result){
			
		//	alert(data);
		},
        /**
         * 验证短信是否相同
         */
        smsCountDownBtnClick: function(){
        	
        	var smscode=$("#smsText").val();
        	
        	// 获得验证码密文
			Fw.util.Ajax.get({
				// 数据源（服务接口）
				  service : 'smsService/getSmsStatus',
				  params: {
					  	 smsSecurity:smsSecurity,
					  	 smscode:smscode
		                 },
				// 请求成功后回调
				success : {
					fn : this.getSmsStatus,
					scope : this
				}
			});
        },
        
         leftButtonHandler:function(){  
        	
        	Fw.device.Device.gotoIndex();
        },
	
     
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
