/**
 * 创建应用
 */
var App = function() {
    var form;
    var buttons = $('button');

    var smsSecurity=null;

	var AcName = "";
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            //表单
            'Fw.Form',
            //安全键盘
            'Fw.Keyboard',
           
            'Fw.SmsCountDown',
            
            'Fw.app.Session'
            
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '社保卡激活',
          
        
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	
        	
            //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
            
            //初始化事件
            this.initEvents();
            
            
    
             App.MCSSCardActivationPre();

            //手动隐藏等待层
            Fw.LoadMask.hide(500);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
            //表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            form.on('change', this.onChange, this);
            //触发提交事件前（校验前）触发
            form.on('beforesubmit', this.beforeSubmit, this);
            //触发提交事件触发
            form.on('submit', this.doSubmit, this);
            //点击按钮时触发（保存、重置、重发验证码）
            buttons.tap(Fw.bind(this.onButtonClick, this));
            
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        	
        	//点击提交按钮验证短信码是否正确
        	$('#smsCountDownBtn').on('click',Fw.bind(this.smsCountDownBtnClick,this));
     
        },
        
        
        /**
         * 联系人
         */
        onSelectContacts:function(name,mobile){
        	
        },
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
            //... ...
        //    Fw.Tips.info(name + ':' + oldValue + '->' + value);
        },
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
            //设置表单值
            //values['XXX'] = 'XXX';
            //
            //if(...){
                //return false;//则不触发提交事件
            //}
        },
        /**
         * 提交表单
         */
        doSubmit: function(values){
  
        
           		App.submitJh(values);
          
        },
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn':
                    form.submit();
                    break;
                //表单重置
                case 'reset-btn':
                    form.reset();
                    break;
                //重发验证码
                case 'resend-btn':
                    Fw.Tips.info('重发验证码...');
                    break;
            }
        },
        
        
       
        
        MCSSCardActivationPre: function(values){
        	
        	
    	
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCSSCardActivationPre',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                    
                	SysNo: '0001',
                	CustNo: '',
                	CerType: '',
                	CerNo: '',
                	FullName: '',
                	AgtType: '01',
                	AgrSubType: '01',
              	  
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	if(!data)
            		{
            		return;
            		}
                	App.showcard(data.List);
          
                },
               
            });
        	
        },
        
        
        showcard: function(c){
        	
        	var sel=g("cardlist");
			for(var i=0;i<c.length;i++){
				sel.add(new Option(Fw.util.Format.fmtAcctNo(c[i].AgtNo,true),JsonToStr(c[i])));
				
			}
        },
        
        
        Second: function(){
        	
        	var cardlist1 = g("cardlist").options[g("cardlist").selectedIndex];
        	
			var account1= eval('('+cardlist1.value+')');
			var CN=account1.AgtNo;
			
	
			g("cardNo").value=CN;
			g("cardNoHD").value=CN;
			g("transferPsw").value="";
			g("transferPswR").value="";
			transPwdzc="";
			transPwdzcR="";
			
			
			Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCSSCardInfoQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                    
                	CardNo: CN,
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                
                	if(!data)
            		{
            		return;
            		}
                	App.Showdata(data);
          
                },
               
            });
			
			
			
        },
        
        
        Showdata: function(data){
        	
        	switch (data.IdType) {
			case "P00":
				vals = "身份证";
				valn = "P00";
				break;
			case "P01":
				vals = "军官证";
				valn = "P01";
				break;
			case "P02":
				vals = "文职干部证";
				valn = "P02";
				break;
			case "P03":
				vals = "警官证";
				valn = "P03";
				break;
			case "P04":
				vals = "士兵军人证";
				valn = "P04";
				break;
			case "P05":
				vals = "中国护照";
				valn = "P05";
				break;
			case "P06":
				vals = "港澳台居民通行证";
				valn = "P06";
				break;
			case "P07":
				vals = "户口簿";
				valn = "P07";
				break;
			case "P08":
				vals = "边民出入境通行证";
				valn = "P08";
				break;
			case "P09":
				vals = "居民身份证（移植待规范）";
				valn = "P09";
				break;
			case "P10":
				vals = "临时身份证";
				valn = "P10";
				break;
			case "P11":
				vals = "离休干部荣誉证";
				valn = "P11";
				break;
			case "P12":
				vals = "武警警官证誉证补折";
				valn = "P12";
				break;
			case "P13":
				vals = "台湾居民往来通行证";
				valn = "P13";
				break;
			case "P14":
				vals = "军官退休证";
				valn = "P14";
				break;
			case "P15":
				vals = "文职干部退休证";
				valn = "P15";
				break;
			case "P16":
				vals = "军事院校学员证";
				valn = "P16";
				break;
			case "P17":
				vals = "武警士兵证";
				valn = "P17";
				break;
			case "P18":
				vals = "武警文职干部证";
				valn = "P18";
				break;
			case "P19":
				vals = "武警军官退休证";
				valn = "P19";
				break;
			case "P20":
				vals = "武警文职干部退休证";
				valn = "P20";
				break;
			case "P21":
				vals = "驾驶执照";
				valn = "P21";
				break;
			case "P22":
				vals = "旧身份证";
				valn = "P22";
				break;
			case "P23":
				vals = "外国护照";
				valn = "P23";
				break;
			case "P24":
				vals = "外国人永久居留证";
				valn = "P24";
				break;
			case "P25":
				vals = "港澳台居民居住证";
				valn = "P25";
				break;
			case "P99":
				vals = "个人其他";
				valn = "P99";
				break;
			case "E01":
				vals = "组织机构代码证";
				valn = "E01";
				break;
			case "E02":
				vals = "营业执照";
				valn = "E02";
				break;
			case "E03":
				vals = "企业名称核准书";
				valn = "E03";
				break;
			case "E04":
				vals = "政府机构/公共机构批文";
				valn = "E04";
				break;
			case "E05":
				vals = "香港商业登记证";
				valn = "E05";
				break;
			case "E06":
				vals = "开户证明";
				valn = "E06";
				break;
			case "E07":
				vals = "军队开户许可证";
				valn = "E07";
				break;
			case "E08":
				vals = "社会团体";
				valn = "E08";
				break;
			case "E09":
				vals = "非法人组织机构代码证";
				valn = "E09";
				break;
			case "E10":
				vals = "贷款卡号";
				valn = "E09";
				break;
			case "E99":
				vals = "企业其他";
				valn = "E99";
				break;
			default:
				vals = "";
				valn = "";
				break;
			}
			g("certificateType").value = vals;
			g("certificateNo").value = data.IdNo;
			g("clientName").value = data.Name;
			addClass($("#pageS"),'sui-hide');
			removeClass($("#pageA"), 'sui-hide');
		
        },	
        
        submitJh: function(values){
        	
        	
			
			
			values['Func']= "1";
			values['AcNo']= g("cardNo").value;
			values['IdType']= valn;
			values['IdNo']= g("certificateNo").value;
			values['Name']= g("clientName").value;
			values['Kpxx']= "";
			values['Track2']= "";
			values['Track3']= "";
			
			Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCSSCardActivation',//默认为query，方法名称必须是query开头
                //请求参数
                params : values,
              
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                
                	if (result.total == '0') {
                		Fw.Msg.info(result.error, function(){
                             
                         });
                	} else {
                		if(Fw.app.Session.getNewFlag()=="1"){ //新用户
                			Fw.Msg.cfm('社保卡激活成功！该社保卡是否绑定至手机银行？', function(code, btn, win) {
         						if (code == "yes") {
         							App.executeMCRabotActAdd(values);
         						}else{
         							Fw.device.Device.gotoIndex();
         						}
         					});
                		}else{
                			Fw.Msg.info('社保卡激活成功！', function(){
   	                		 	Fw.device.Device.gotoIndex();
                            });
                		}
                	}
                },
               
            });
			
			
			
        },
        
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	var phoneNum=$("#phoneNum").val();
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '0',
					modType : 0,
					phoneNum : phoneNum
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
        
      
		
		  leftButtonHandler:function(){  
	        	
	        	Fw.device.Device.gotoIndex();
	        },
        
	        /**
	         * 账户加挂
	         */
	        executeMCRabotActAdd: function(values){
	        	var isSms = Fw.app.Session.getIsSms();//0-未开通短信  1-开通短信
		        var otpType = Fw.app.Session.getIsOtp();//动态口令类型 0-未开通动态口令   1,2,3,4都是开通
	        	var AccLimit, VersionFlag;
	        	if(isSms != "0" || otpType != "0"){
	    			AccLimit = "1";
	    		}else{
	    			AccLimit = "0";
	    		}
	        	if(isSms == "1" && otpType == "0"){ //短信
	    			VersionFlag = "1";
	    		}else{
	    			VersionFlag = "2";
	    		}
	        	
	        	 Fw.util.Ajax.execute({
	                 service: 'accountService',
	                 method: 'executeMCRabotActAdd',
	                 //请求参数
	                 params: {
	                	 No: values.AcNo,
	                	 AllowedAddAccountType: "PDBC",
	                	 Alias: "",
	                	 TrsPassword: values.transferPsw,
	                	 AcName: values.Name,
	                	 InnerTrsFlag: AccLimit,
	                	 CrossTrsFlag: AccLimit,
	                	 VersionFlag: VersionFlag
	                 },
	                 staticData: false,
	                 //请求成功后回调
	                 success: function(data, result) {
	                	 Fw.Msg.info('社保卡绑定成功!', function(){
	                		 Fw.device.Device.gotoIndex();
                         });
	                 },
	                 //请求错误后回调
	                 failure: function(status, textStatus, error) {
	                	 Fw.Msg.info(error+'！社保卡绑定失败，请使用关联账户管理功能绑定账户！', function(){
	                		 Fw.device.Device.gotoIndex();
                         });
	                	 return false;
	                 }
	             });
	        },
		
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
