/**
 * 创建应用  查看行情
 */
App.Item2 = function() {
	//按钮
	var buttons = $('button');
	//缴费类型
	var transType;
	//业务类型
	var subbusitype;
	//系统id
	var sysid;
	//子系统id
 	var subsysid;
 	//缴费单位
 	var sysOption;
 	//预存和缴费标志
 	var nt1;
 	//欠费查询标志
 	/*电费：04
 	水费：06

 	有线电视费（普通查询）：09
 	有线电视费（缴费前查询）：08
 	有线电视费（预存前查询）：10
 	电信费（普通查询）：01
 	电信费（缴费前查询）：02
 	电信费（预存查询）：03
 	仪征综合缴费：05 */
 	var qtype;
 	//是否可以预存
 	var ispre;
 	//是否可以欠费查询
 	var isquery;
 	
    return {
    	
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig1: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '水费',
            
        },
        
        viewConfig2: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '电费',
            
        },
        
        viewConfig3: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '电信费',
            
        },
        viewConfig4: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '燃气费',
            
        },
        viewConfig5: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '有线电视费',
            
        },
        viewConfig6: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '移动代缴费',
            
        },
        viewConfig7: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '代扣管理',
            
        },
        viewConfig8: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '综合缴费',
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	this.initTitle();
        	//绑定监听事件，不重复绑定事件
        	if(!record){
        		this.initEvents();
        	};
        	//初始化客户信息
        	App.Item2.data=null;
        	
        },
        /**
         * 初始化事件
         */
        initEvents:function(){
            //触发提交事件前（校验前）触发
            App.form.on('beforesubmit', App.Item2.beforeSubmit, this);
            //触发提交事件触发
            App.form.on('submit', App.Item2.doSubmit, this);
          //表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            App.form.on('change', this.onChange, this);
            //点击按钮时触发（保存、重置、重发验证码）
            buttons.tap(Fw.bind(this.onButtonClick, this));
            App.params2 = true;
        },
        
        /**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
         onChange: function(name, value, oldValue, field){
        	//证件类型切换显示赋值
        	 if(name=='paymentunit' && !Fw.isEmpty(value)){
        		 var sysval=$("[name=paymentunit] option:selected").val();
        		 var sysArray=sysval.split('|',2);
        		 	 //公共系统参数赋值
        		 	 sysid=sysArray[0];
        		 	 subsysid=sysArray[1];
        		 	 sysOption=$("[name=paymentunit] option:selected").text();
          			 this.isPayPre();
         	 };
         	 if(name=='position' && !Fw.isEmpty(value)){
         		this.updateZoneQry();
         	 };
         },
         /**
          * 初始化预存缴费按钮【水费】
          */
         isPayPre:function(){
        	 //重置预存按钮
		 	 $('#prepay').attr('class','sui-btn-lg-r sui-btn-primary-gray');
         	 ispre="false";
         	 Fw.util.Ajax.execute({
                  service: 'agentBusiService',
                  method:'executeIsPayPre',
                  //请求参数
                  params: {
                 	 TransType:"0",
                 	 FeeType:"2",
                 	 Type:"01",
                 	 Sysid:sysid,
                 	 Subsysid:subsysid
                  },
                  staticData: false,
                  //请求成功后回调
                  success: function(data, result) {
                 	 var data=data.List;
                 	 for(var i=0;i<data.length;i++){
      					var mename = data[i].Mename;
      					if(/预存/.test(mename) && data[i].Meno == "4"||sysOption=='大丰水费'){
      						$('#prepay').attr('class','sui-btn-lg-r sui-btn-primary-r');
      						ispre="true";
      						break;
      					};
      				};
      				//手动隐藏等待层
      	            Fw.LoadMask.hide();
                  },
              }); 
         },
        /**
         * 初始化标题
         */
        initTitle:function(){
          	isquery="false";
          	ispre="false";
          	//重置预存按钮
  		 	$('#prepay').attr('class','sui-btn-lg-r sui-btn-primary-gray');
        	switch(App.paymenttype){
            //第二个水费
            case "water":
            	//执行子页面2初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig1);
            	$('#paymenttype').text("水费");
            	transType = "02";
            	subbusitype = "003";
                break;
                //第三个电费
            case "elec":
            	//执行子页面3初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig2);
            	$('#paymenttype').text("电费");
            	transType="01";
            	subbusitype = "001";
                break;
              //第四个电信费
            case "tele":
            	//执行子页面3初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig3);
            	$('#paymenttype').text("电信费");
            	transType = "03";
            	subbusitype = "005";
                break;
                //第五个燃气费
            case "gas":
            	//执行子页面4初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig4);
            	$('#paymenttype').text("燃气费");
            	transType = "05";
            	subbusitype = "008";
                break;
                //第六个有线电视费
            case "catv":
            	//执行子页面5初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig5);
            	$('#paymenttype').text("有线电视费");
            	transType = "04";
            	subbusitype = "004";
                break;
                //第七个仪征综合缴费
            case "yzzhjf":
            	//执行子页面5初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig8);
            	$('#paymenttype').text("综合缴费");
            	transType = "06";
            	subbusitype = "012";
                break;
               /* //第七个移动代缴费
            case "mobile":
            	//执行子页面6初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig6);
            	$('#paymenttype').text("移动代缴费");
                break;
                //第八个代扣签约
            case "whm":
            	//执行子页面7初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig7);
            	$('#paymenttype').text("代扣管理");
                break; */
            default:
                ;
        };
    	//设置标题栏
    	Fw.device.Device.applyView(App);
    	this.initZoneQry();
        },
        
        /**
         * 提交表单
         */
        doSubmit:function(values){
        	var userid=values["custnum"];
        	var nt3=$("[name=position] option:selected").val();
        	//欠费查询
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method:'queryABEleQry',
                //请求参数
                params:{
            		Sysid:sysid,	//收款单位系统id
            		Subsysid:subsysid,	//收款单位子系统id
            		Svtranscode:"1",	
            		Userid:userid,	//用户编号
            		Nt1:nt1,	//预存标识
            		Nt3:nt3,	//所在地区
            		QType:qtype,
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	data["sysid"]=sysid;
                	data["subsysid"]=subsysid;
                	data["sysOption"]=sysOption;
                	data["transType"]=transType;
                	data["acNo"]=$('[name=acNo]').val();
                	data["nt3"]=$("[name=position] option:selected").val();
                	data["Sysname"]=sysOption;//20170308--ADD
                	data["UserId"]=userid;//20170308--ADD
                	console.log(App.Item2.opflag);
                	if(App.Item2.opflag=="prepay"){
                		data["opflag"]="prepay";
                		App.Item2.data=data;
                		App.tab.setActiveItem(3);
                	}else{
                		data["opflag"]="querypay";
                		if(parseFloat(data.Payfeesum)=="0"){
                			App.Item2.data1=data;//20170308--ADD
                    		App.tab.setActiveItem(6);
                    	}else{
                    		App.Item2.data=data;
                    		App.tab.setActiveItem(2);
                    	};
                	};
                	console.log(App.Item2.data);
                },
            });
        },
       
       /**
        * 触发提交事件前触发
        */
       beforeSubmit: function(values){
    	   //水费
    	   if(transType=="02"){
    			if(App.Item2.opflag=="prepay"){	//点击预存按钮时
    	       		nt1="4";
    	       	}else{
    	       		nt1="1";
    	       	};
    	       	qtype="06";
    		//电费
    	   }else if(transType=="01"){
    		   	if(App.Item2.opflag=="prepay"){
    	       		nt1="4";
    	       		qtype="12";
    	       	}else{
    	       		nt1="1";
    	       		qtype="04";
    	       	};
    		//电信费
    	   }else if(transType=="03"){
    		   if(App.Item2.opflag=="prepay"){
   	       		nt1="2";
   	       		qtype="10";
   	       	}else{
   	       		nt1="1";
   	       		qtype="02";
   	       	};
    		//燃气费
    	   }else if(transType=="05"){
    		    nt1="0";
    		   	qtype="02";
    		//有线电视费
    	   }else if(transType=="04"){
    		   //预存缴费
    			if(App.Item2.opflag=="prepay"){
    	       		nt1="1";
    	       		qtype="10";
    	       	//欠费缴费
    	       	}else{
    	       		nt1="0";
    	       		qtype="08";
    	       	};
    	   //仪征综合缴费
    	   }else if(transType == "06"){
    		   nt1="";	//可设定为空
	       	   qtype="13";	
    	   }
       },
       
       /**
        * 点击按钮时触发（保存、重置、重发验证码）
        */
       onButtonClick: function(e){
           switch(e.target.id){
               //提交表单
               case 'querypay':
            	   App.Item2.opflag="querypay";
            	   if(isquery=="false"){
            		   return false;
            	   }else{
            		   App.form.submit();
            	   };
                   break;
               //表单重置
               case 'prepay':
            	   App.Item2.opflag="prepay";
            	   if(ispre=="false"){
            		   return false;
            	   }else{
            		   App.form.submit();
            	   };
                   break;
           };
       },
       
        /**
         * 初始化缴费单位
         */
        initZoneQry:function(){
        	Fw.ConstantData.setArea($("[name=position]"));
        	var Area=$("[name=Area] option:selected").val();
			var position=$("[name=position] option");
			for(var i=0;i<position.length;i++){
            	if(position[i].value==Area){
            		position[i].selected=true;
            		break;
            	};
            };
        	var CityFlag=$("[name=position] option:selected").text();
        	if(transType=="03"||transType=="04"){
        		 CityFlag="";
        	};
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method:'queryZoneQry',
                //请求参数
                params:{
                	CityFlag:CityFlag,
        			Subbusitype:subbusitype,
        			Type:transType
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	var datas=data.List;
                	 var data = {
                			length:datas.length,
         					list : datas
         				};
                	Fw.ConstantData.setPaymentUnit($('[name=paymentunit]'),data);
                	if(datas.length>0){
                		sysid=datas[0].Sysid;
                  		subsysid=datas[0].Subsysid;
                  		sysOption=datas[0].Sysname;
                  		if("06"==transType){  //仪征综合缴费不做预存
                  			$('#querypay').attr('class','sui-btn-lg-l sui-btn-primary-l');
                		}else{
                			App.Item2.isPayPre();
                			//重置预存按钮
                			$('#querypay').attr('class','sui-btn-lg-l sui-btn-primary-l');
                		}
	                   	isquery="true";
                	}else{
                		//重置预存按钮
	           		 	$('#querypay').attr('class','sui-btn-lg-l sui-btn-primary-gray');
	                   	isquery="false";
                	};
                	//手动隐藏等待层
                    Fw.LoadMask.hide();
                },
            });
        },
        /**
         * 修改缴费单位
         */
        updateZoneQry:function(){
        	var CityFlag=$("[name=position] option:selected").text();
        	if(transType=="03"||transType=="04"){
        		 CityFlag="";
        	};
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method:'queryZoneQry',
                //请求参数
                params:{
                	CityFlag:CityFlag,
        			Subbusitype:subbusitype,
        			Type:transType
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	var datas=data.List;
                	 var data = {
                			length:datas.length,
         					list : datas
         				};
                	Fw.ConstantData.setPaymentUnit($('[name=paymentunit]'),data);
                	if(datas.length>0){
                		sysid=datas[0].Sysid;
                  		subsysid=datas[0].Subsysid;
                  		sysOption=datas[0].Sysname;
                  		if("06"==transType){  //仪征综合缴费不做预存
                  			$('#querypay').attr('class','sui-btn-lg-l sui-btn-primary-l');
                		}else{
                			App.Item2.isPayPre();
                			//重置预存按钮
                			$('#querypay').attr('class','sui-btn-lg-l sui-btn-primary-l');
                		}
	                   	isquery="true";
                	}else{
                		//重置预存按钮
	           		 	$('#querypay').attr('class','sui-btn-lg-l sui-btn-primary-gray');
	                   	isquery="false";
                	};
                	//手动隐藏等待层
                    Fw.LoadMask.hide();
                },
            });
        }
    };
}();
