/**
 * 创建应用
 */
App.Item6 = function() {
	
	var recordParam = null;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '缴费结果',
           
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	recordParam = record;
        	//console.log("record: " , record);
        	//console.log("recordParam: " , recordParam);
        	
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record);
        	}
        	
        	$("#signWant").on("click", this.turnSignPage);
        	//手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        turnSignPage : function()
        {
        	var AcNoArray=recordParam["acNo"].split("|",2);
        	var paymentType = App.paymenttype;
        	if(App.paymenttype==undefined){
        		
        		switch(recordParam.transType){
	        		case "01":
	        			paymentType="elec";
	                break;
                
	            	case "02":
	            		paymentType="water";
	            	break;
	            	
	            	case "03":
	            		paymentType="tele";
	                break;
	                
	            	case "04":
	            		paymentType="catv";
	                break;
	                
	            	case "05":
	            		paymentType="gas";
	                break;
	                
	             	case "08":
	             		paymentType="mobile";
	             	break;
	             	
	            	default:break;
            	};
        	}
        	
        	
        	var json = {
        			paymenttype:paymentType,
        			userid:recordParam.Userid,
          		    account:AcNoArray[0],
          		    accountType:AcNoArray[1],
          		    transType:recordParam.transType,
          		    cityCode:recordParam.Nt3,
          		    unit:recordParam.sysOption,
          		    sysid:recordParam.sysid,
          		    subsysid:recordParam.subsysid
            };
        	
			if(App.seletedRecord){
				json = {
	        			paymenttype:paymentType,
	        			userid:recordParam.Userid,
	          		    account:AcNoArray[0],
	          		    accountType:AcNoArray[1],
	          		    transType:recordParam.transType,
	          		    cityCode:recordParam.Nt3,
	          		    unit:App.seletedRecord.Sysname,
	          		    sysid:App.seletedRecord.Sysid,
	          		    subsysid:App.seletedRecord.Subsysid
	            };	
			}
			
			//console.log("json: ", json);
            Fw.redirect("./withholding/withholding.html", Fw.encode(json));
        },
        
        /**
         * 展示信息
         */
        initInfo: function(record){
        	this.clearinfo();
        	var imgtype=record.transType;
        	var BusType="";
        	var EventCode="";
        	if(imgtype=="01"){
        		BusType ="c11";
        		EventCode ="p0011";
        		var url="url(../../images/agentbusi/elecric.png)"
            	$("#img-result").css("background-image",url);
        	}else if(imgtype=="02"){
        		BusType ="c10";
        		EventCode ="p0010";
        		var url="url(../../images/agentbusi/water.png)"
            	$("#img-result").css("background-image",url);
        	}else if(imgtype=="03"){
        		BusType ="c12";
        		EventCode ="p0012";
        		var url="url(../../images/agentbusi/telecom.png)"
            	$("#img-result").css("background-image",url);
        	}else if(imgtype=="04"){
        		BusType ="c14";
        		EventCode ="p0014";
        		var url="url(../../images/agentbusi/catvs.png)"
            	$("#img-result").css("background-image",url);
        	}else if(imgtype=="05"){
        		BusType ="c13";
        		EventCode ="p0013";
        		var url="url(../../images/agentbusi/gas.png)"
            	$("#img-result").css("background-image",url);
        	}else if(imgtype=="06"){	//仪征综合缴费不做代扣签约
        		$("#guess").addClass("sui-hide");
        		$("#beSign").addClass("sui-hide");
        	};
        	var AcNoArray=record["acNo"].split("|",2);
        	var acnoinfo=Fw.util.Format.fmtAcctNo(AcNoArray[0],true);
        	var amount=Fw.util.Format.fmtAmt(record.payamount);
        	var name= Fw.app.Session.getCustName();
        	$("#rcustnum").text(record.Userid);
        	if(imgtype=="01"){
        		$("#rcustname").text("*"+record.Username.slice(1)); //电费将户名的姓以星号显示
        	}else{
        		$("#rcustname").text(record.Username);
        	}
        	$("#racno").text(acnoinfo);
        	$("#racname").text(name);
        	$("#ramount").text(amount);
        	//拼接卡券活动
        	var cards = Fw.app.Session.getAllCards();
        	var DeptSeq = "";
        	for(var i=0; i<cards.length; i++){
        		if(AcNoArray[0]==cards[i].No){
        			DeptSeq = cards[i].DeptSeq;
        			break;
        		}
        	}
        	if(Fw.isEmpty(DeptSeq)||Fw.isEmpty(BusType)||Fw.isEmpty(EventCode)){
        		return;
        	}
			var activityParams ={
				BusType	:BusType,
				EventCode:EventCode,
				Amount:record.payamount,
				DeptSeq:DeptSeq,
				FunCode:"7",
				transCheckData:record.transCheckData //手机银行交易流水
			}
        	this.activityQuery(activityParams);
        },
        
        /**
         * 清除结果数据
         * @returns
         */
        clearinfo: function(){
        	$('#rcustnum').text("");
        	$('#racno').text("");
        	$('#racname').text("");
        	$('#ramount').text("");
       },
       	//相关活动查询
		activityQuery:function(activityParams){
			Fw.util.Ajax.query({
               service: 'marketActivityService',
               method: 'queryActyParty',
               //请求参数
               params: activityParams,                
               success: function(data, result) {
               	if(!Fw.isEmpty(data.List)&&data.List.length>0){
               		Fw.Msg.cfm('是否参加活动?', function(code, btn, win){
                           if('yes'==code){
                           	Fw.redirect("../activityList/activityList/activityList.html",Fw.encode(data.List));
                   			return;
                           }
                       });
               	}
               },
               //请求错误后回调
               failure: function(status, textStatus, error) {
               		return false;
               }
			});
		}
    };
}();