/**
 * 创建应用
 */
App.Item3 = function() {
	var buttons = $('button');
	var smsSecurity=null;
	var Item3Date="";
	var payeeAcName;  //客户姓名
	var CifNo;        //核心客户号
	
	//客户证件号码
    var custIdNo;
    //客户证件类型
    var custIdType;
    //开户法人机构号
    var ParentDeptId;
    var form;
    var UserPhone;
	
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '签约信息确认',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record,flag) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	Item3Date = record;
        	this.clearinfo();
        	
        	 payeeAcName = Fw.app.Session.getCustName();       //客户姓名
        	 CifNo = Fw.app.Session.getCifNo();                //核心客户号
        	 custIdNo = Fw.app.Session.getIdNo();              //客户证件号码
        	 custIdType = Fw.app.Session.getIdType();          //客户证件类型
        	 ParentDeptId = Fw.app.Session.getParentDeptId();  //开户法人机构号
        	 UserPhone = Fw.app.Session.getLoginPhoneNo(); 
        	//定义表单，如果form对象存在不重复实例化
        	if(!form){
        		//定义表单
        		form = new Fw.Form({
                    //EL
                    contentEl : 'form2',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
	        	//绑定监听事件，如果表单对象存在不重复绑定事件
        	};
   
        	this.initDate(record);
        	this.initEvents();
        },
        
        /**
         * 初始化数据
         */
        initDate : function(record){
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record);
        	}
        	
        },
        
        /**
         * 监听事件
         * @returns
         */
        initEvents: function(){
        	$(form).off();
        	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
      	     form.on('change', this.onChange, this);
           //触发提交事件前（校验前）触发
      	     form.on('beforesubmit', this.beforeSubmit, this);
           //触发提交事件触发
      	     form.on('submit', this.doSubmit, this);
      	     
      	   $('[name="password"]').data('xtype','keyboard,TPWD');   	
        	//$(buttons).unbind('click');
      	   $('#smsCountDown').off();
        	 //点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
           //点击按钮时触发（保存、重置、重发验证码）
             //buttons.tap(Fw.bind(this.onButtonClick, this));
           
        	$('#submit-qrbtn').off();
        	//继续按钮
             $('#submit-qrbtn').on('click',function(){
   
             	form.submit();
             });
        	 App.params3 = true;
        },
        
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
           
        },
        
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        	
        	if("" == $("[name = smscode]").val()){
        		values.smscode = $("[name = smscode]").val();
        	}
        	
        	if("" == $("[name = password]").val()){
        		values.password = $("[name = password]").val();
        	}
        	
            //设置表单值
            //values['XXX'] = 'XXX';
            //
            //if(...){
                //return false;//则不触发提交事件
            //}
        },
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//var phoneNum=Fw.app.Session.getLoginPhoneNo();  //	用户手机号 Fw.app.Session.getLoginPhoneNo();    "18835947768"
        	var payeeAcName=Fw.app.Session.getCustName();
        	App.lrdata.payeeAcName=payeeAcName;
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '0',
				    phoneNum : "" ,
				    userName : payeeAcName,
					modType : "common",
					transName : "代扣签约"
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
		/**
         * 确认代扣签约
         */
        doSubmit: function(values){
       
        	 switch(App.paymenttype){
             case "water"://水费签约
            	 App.Item3.WaterSign(values);
                 break;
             case "elecric"://电费
            	 App.Item3.ElecSign(values);
                 break;
             case "rqif"://燃气费
            	 App.Item3.RqifSign(values);
                 break;
             case "yxds"://移动电视费
            	 App.Item3.YxdsSign(values);
                 break;
             case "telecom"://电信费
            	 App.Item3.TelecomSign(values);
                 break;
              
             default:;
        	 };
     	
        },
        
        /*
         * 水费签约
         */
        WaterSign : function(values){
        	var TrsPassword = values.password; //密码
        	Fw.util.Ajax.query({
        		 service: 'agentBusiService',
                 method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params:{
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = smscode]").val(),
                
                	     signType : "MCSignWater", //水费签约
                    	 waSignFlag : "1",            //签约标志
                    	 waUserNo : Item3Date.UserNo,                //用户编号  
                    	 waUserName : Item3Date.UserName,                  //用户户名     
                    	 waUserAddr : Item3Date.Address,    //用户地址   
                    	 waSignAcType : Item3Date.lrSignNoType,                     //折卡标志   
                    	 SignAcNo : Item3Date.lrSignNo,     //签约账号   Item3Date.waSignNo
                    	 waRefereeId : Item3Date.RefereeId,     //推荐人工号
                    	 waAccType : "0",                        //签约账号类型    0-对私 1-对公 
                    	 waSignAcName : payeeAcName,                //账号户名    payeeAcName
                    	 waServerNo : CifNo,            //客户号       CifNo
                    	 waCertType : custIdType,                     //证件类型   custIdType
                    	 waCertNo :  custIdNo,        //证件号码   custIdNo
                    	 waPhone : UserPhone,                //联系电话   Item3Date.UserPhone
                    	 waSysId : Item3Date.sysid,                     //系统号       Item3Date.sysid
                    	 PassWd : TrsPassword,          //密码   $("[name = password]").val()   "F1B03B8ECBC5DEED"
        
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(3);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = smscode]").val("");
                	$("[name = password]").val("");
                }
            });
        },
        
        /*
         * ElecSign 电费签约
         */
        ElecSign : function(values){
        	var TrsPassword = values.password; //密码
        	Fw.util.Ajax.query({
        		 service: 'agentBusiService',
                 method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params:{
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = smscode]").val(),
             
                	signType : "MCSignElectric",    //电费签约
               	    elSignFlag : "1",                       //签约标志 1-签约 2-变更 3-注销
               	    elSysId : Item3Date.sysid,                     //系统号     Item3Date.sysid
               	    elUserNo : Item3Date.UserNo,                //用户编号  Item3Date.UserNo
               	    elArea : Item3Date.Rmk1,                     //地区号     Item3Date.Rmk1  (签约解约前接口返回)
               	    elUserName : Item3Date.UserName,                  //用户户名  Item3Date.UserName  (签约解约前接口返回) 
               	    elUserAddr : Item3Date.Address,    //用户地址  Item3Date.Address  (签约解约前接口返回)
               	    elSignAcType : Item3Date.lrSignNoType,                     //签约账号类型   Item3Date.SignNoType
               	    SignAcNo : Item3Date.lrSignNo,     //签约账号          Item3Date.elSignNo
               	    elRefereeId : Item3Date.RefereeId,     //推荐人工号
               	    elSignAcName : payeeAcName,                  //账号户名           (客户户名)  payeeAcName
               	    elPhone : UserPhone,                //联系电话   Item3Date.UserPhone
               	    PassWd : TrsPassword,         //交易密码     "F1B03B8ECBC5DEED"
               	    elSignOrg : ParentDeptId,                //签约机构()   开户法人机构号  ParentDeptId

                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(3);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = smscode]").val("");
                	$("[name = password]").val("");
                }
            });
        },
        
        /*
         * RqifSign 燃气费签约
         */
        RqifSign : function(values){
        	var TrsPassword = values.password; //密码
        	Fw.util.Ajax.query({
       		 service: 'agentBusiService',
                method: 'querySignWithholding',//默认为query，方法名称必须是query开头
               //请求参数
               params:{
               	//短信校验
               	smsSecurity : smsSecurity,
               	smscode : $("[name = smscode]").val(),
          	
               	signType : "MCSignGas",    //燃气费签约
         	    gaSignFlag : "1",                          //签约标志 1-签约 2-变更 3-注销
         	    gaUserNo : Item3Date.UserNo,                   //用户编号  Item3Date.UserNo
         	    gaUserName :  Item3Date.UserName,                     //用户户名   Item3Date.UserName
         	    gaUserAddr : Item3Date.Address,       //用户地址   Item3Date.Address
         	    gaSignAcType : Item3Date.lrSignNoType,                        //折卡标志   Item3Date.SignNoType
         	    SignAcNo : Item3Date.lrSignNo,        //签约账号   Item3Date.gaSignNo
           	    gaRefereeId : Item3Date.RefereeId,     //推荐人工号
         	    gaAccType : "0",                           //签约账号类型    0-对私 1-对公
         	    gaSignAcName : payeeAcName,                     //账号户名   payeeAcName
         	    gaServerNo : CifNo,               //客户号      CifNo
         	    gaCertType : custIdType,                        //证件类型   custIdType
         	    gaCertNo : custIdNo,           //证件号码   custIdNo
         	    gaPhone : UserPhone,                   //联系电话   Item3Date.UserPhone
         	    gaSysId :  Item3Date.sysid,                        //系统号      Item3Date.sysid
         	    PassWd : TrsPassword,             //交易密码$("[name = password]").val()
         	  
               },
               //是否自动显示等待层（默认true）
               //允许自定义等待层提示信息（loadMask: '请稍后...'）
               //loadMask: true,
               //是否使用数据挡板（默认false）
               staticData: false,
               //请求成功后回调
               success: function(data, result) {
               	//重置短信验证码
               	Fw.SmsCountDown.reset();
               	
               	App.tab.setActiveItem(3);	
               },
               //请求错误后回调
               failure: function(status, textStatus, error) {
            	   
            	 //重置短信验证码
               	Fw.SmsCountDown.reset();
               	
               	$("[name = smscode]").val("");
               	$("[name = password]").val("");
               }
           });
        },
        
        /*
         * 移动电视费（广电）
         */
        YxdsSign : function(values){
        	var TrsPassword = values.password; //密码
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = smscode]").val(),
              
                	 signType : "MCSignTV",    //广电费签约
                  	 tvSignFlag : "1",                           //签约标志 1-签约 2-变更 3-注销
                  	 tvUserIdNo : Item3Date.UserNo,                  //客户证号     Item3Date.UserNo
                  	 tvCity : "",                                //城市            
                  	 tvArea : "",                                //地区    Item3Date.Rmk1  (签约解约前接口返回)
                  	 tvAcNoSeq : "",                             //账户编号
                  	 tvUserName : "",                      //户名      Item3Date.UserName  (签约解约前接口返回)
                  	 tvSignAcType : Item3Date.lrSignNoType,                         //签约账号类型 1-卡 2-折    Item3Date.SignNoType
                  	 SignAcNo : Item3Date.lrSignNo,         //签约账号   Item3Date.tvSignNo
                  	 tvRefereeId : Item3Date.RefereeId,     //推荐人工号
                  	 tvSignAcName : payeeAcName,                    //签约户名    payeeAcName
                  	 tvRemark : "",                              //备注           
                  	 tvSysId : Item3Date.sysid,                         //系统号      Item3Date.sysid
                  	 PassWd : TrsPassword,              //交易密码$("[name = password]").val()
                  	 tvCD2 : "",
                  	 tvCD3 : "",
                  	 tvIcData : "",
                  	 tvCertType : custIdType,                         //证件类型     custIdType
                  	 tvCertNo : custIdNo,            //证件号码     custIdNo
                  	 tvIcSeq : "",                               //卡序列号     111133	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(3);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = smscode]").val("");
                	$("[name = password]").val("");
                }
            });
        },
        
        /*
         * 电信费
         */
        TelecomSign : function(values){
        	var TrsPassword = values.password; //密码
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = smscode]").val(),

                	 signType : "MCSignWire",    //电信费签约
                  	 wiSignFlag : "1",                       //签约标志 1-签约 2-变更 3-注销
                  	 wiPhone : Item3Date.UserNo,                //手机号码       Item3Date.UserPhone
                  	 wiUserName : Item3Date.UserName,                  //户名               Item3Date.UserName  (签约解约前接口返回)
                  	 wiSignAcType : Item3Date.lrSignNoType,                     //卡折标志       Item3Date.SignNoType
                  	 SignAcNo : Item3Date.lrSignNo,     //付款人帐号    Item3Date.wiSignNo
                  	 wiRefereeId : Item3Date.RefereeId,     //推荐人工号
                  	 wiSignAcName : payeeAcName,                //付款人名称     payeeAcName
                  	 PassWd : TrsPassword,          //交易密码        $("[name = password]").val()
                  	 wiSysId : Item3Date.sysid,                     //系统号        Item3Date.sysid
                  	 wiPreFlag : "0",                        //付款方式标识
                  	 AreaCode: Item3Date.AreaCode
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(3);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = smscode]").val("");
                	$("[name = password]").val("");
                }
            });
        },
         
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-qrbtn':
                    form.submit();
                    break;
                //表单重置
                case 'reset-btn':
                    form.reset();
                    break;
                //重发验证码
                case 'resend-btn':
                    Fw.Tips.info('重发验证码...');
                    break;
            }
        },

        
        /**
         * 清除li3数据
         * @returns
         */
        clearinfo: function(){
        	$('[name = qrsignType]').val("");
        	$('[name = qrUserName]').val("");
        	$('[name = qrRefereeId]').val("");
        	$('[name = qrSignNo]').val("");
        	$('[name = qrUserNo]').val("");
        	/*$('[name = qrUserPhone]').val("");*/
        	$('[name = smscode]').val("");
        	$('[name = password]').val("");
 	        Item3Date="";
       },
   
        /**
         * 展示信息
         */
       initInfo: function(record){
        	this.clearinfo();
        	Item3Date = record;	
        	 $('[name = qrsignType]').val(Item3Date.lrsignType);   //签约类型
        	// $('[name = qrIdType]').val(Item3Date.lrCityArea);       //证件类型
        	 $('[name = qrIdNo]').val(Item3Date.IdNo);             //证件号码
        	 if(App.paymenttype == "yxds"){	//有线电视费
        		 $('#qrUserName').hide();     //用户户名
        		 $('#homeAddress').hide();
        	 }else if(App.paymenttype == "rqif"){	//燃气费
        		 $('#qrUserName').show();
        		 $('#homeAddress').show();
        		 $('[name = qrUserName]').val(Item3Date.UserName);     //用户户名
        		 $("#homeAddress1").text(Item3Date.Address);	 //用户户名
        	 }else{
        		 $('#qrUserName').show();
        		 $('#homeAddress').hide();
        		 $('[name = qrUserName]').val(Item3Date.UserName);     //用户户名
        	 }
        	
        	 $('[name = qrSignNo]').val(Item3Date.lrSignNo);       //签约账户
        	 $('[name = qrUserNo]').val(Item3Date.UserNo);         //客户号
        	 if(Item3Date.RefereeId == ""){
        		 $("#qrRefereeIdFlag").addClass("sui-hide");
        	 }else{
        		 $("#qrRefereeIdFlag").removeClass("sui-hide");
        		 $('[name = qrRefereeId]').val(Item3Date.RefereeId);   //推荐人工号
        	 }
        }
    };
}();