/**
 * 创建应用
 */
App.Item4 = function() {
	var buttons = $('button');
	var smsSecurity=null;
	var Item4data="";
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '签约结果',
           
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        		//初始化事件
            	this.initEvents();
            	
            	//初始数据
                this.initDate(record);
        
        	//手动隐藏等待层
            Fw.LoadMask.hide();
        	
        },
        
        /**
         * 初始化数据
         */
        initDate : function(record){
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record);
        	}
        },
        
        /**
         * 初始化事件
         */
        initEvents : function(){
        	
        },
      
        /**
         * 展示信息
         */
        initInfo: function(record){
        	this.clearinfo();
        	Item4data = record;
        	console.log("--------Item4data--------",Item4data);
        	//$("#img-result").css("background-image","url(../../../../images/agentbusi/dkqy.png)");
        	$('#rsignType').text(Item4data.lrsignType);
        	$('#rUserNo').text(Item4data.UserNo);
        	$('#rIdType').text(Item4data.lrIdType);
        	$('#rIdNo').text(Item4data.IdNo);
        	if(Item4data.RefereeId == ""){
        		$("#rRefereeIdFlag").addClass("sui-hide");
        	}else{
        		$("#rRefereeIdFlag").removeClass("sui-hide");
        		$('#rRefereeId').text(Item4data.RefereeId);
        	}
        	if(Item4data.lrsignType == "移动电视费"){
        		$("#lrUserName").hide();
        	}else{
        		$('#rUserName').text(Fw.util.Format.fmtContent(Item4data.UserName));
        	}
        	
        	$('#rSignNo').text(Item4data.lrSignNo);
        	$('#rCityArea').text(Item4data.lrCityArea);
        	
       
        },
        
        
        /**
         * 清除结果数据
         * @returns
         */
        clearinfo: function(){
        	$('#rsignType').text("");
        	$('#rUserNo').text("");
        	$('#rIdType').text("");
        	$('#rIdNo').text("");
        	$('#rUserName').text("");
        	$('#rSignNo').text("");
        	$('#rCityArea').text("");
        	
        	$("#lrUserName").show();
        	Item4data="";
       },
    };
}();