/**
 * 创建应用
 */
App.Item7 = function() {
	var buttons = $('button');
	var smsSecurity=null;
	var Item7Date="";
	var payeeAcName;  //客户姓名
	var CifNo;        //核心客户号
    var custIdNo;  //客户证件号码
    var custIdType;  //客户证件类型
    var ParentDeptId; //开户法人机构号
    
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '签约信息确认',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record,flag) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	Item7Date = record;
        	 payeeAcName = Fw.app.Session.getCustName();       //客户姓名
        	 CifNo = Fw.app.Session.getCifNo();                //核心客户号
        	 custIdNo = Fw.app.Session.getIdNo();              //客户证件号码
        	 custIdType = Fw.app.Session.getIdType();          //客户证件类型
        	 ParentDeptId = Fw.app.Session.getParentDeptId();  //开户法人机构号
        	
        	//定义表单，如果form对象存在不重复实例化
        	if(!this.form){
        		//定义表单
        		this.form = new Fw.Form({
                    //EL
                    contentEl : 'form5',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
	        	//绑定监听事件，如果表单对象存在不重复绑定事件
        	};
        	
        	this.initEvents();
    		
    		//初始数据
            this.initDate(record);
        	/*if(!flag){
        		
        	}*/
        },
        
        /**
         * 初始化数据
         */
        initDate : function(record){
        	
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record);
        	}
        },
        
        /**
         * 监听事件
         * @returns
         */
        initEvents: function(){
        	// $(form).off();
        	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
      	     this.form.on('change', this.onChange, this);
           //触发提交事件前（校验前）触发
      	     this.form.on('beforesubmit', this.beforeSubmit, this);
           //触发提交事件触发
      	     this.form.on('submit', this.doSubmit, this);
      	     
      	    // $('[name="tpassword"]').data('xtype','keyboard,TPWD');
      	     $('#tsmsCountDown').off();
      	    //点击调用倒计时插件
        	 $('#tsmsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
           //点击按钮时触发（保存、重置、重发验证码）
             //buttons.tap(Fw.bind(this.onButtonClick, this));
        	 $('#jyqrsubmit-btn').off();
        	 $('#jyqrsubmit-btn').on('click',Fw.bind(this.jyqrSubmit,this));
        	/* $('#jyqrsubmit-btn').on('click',function(){
                 form.submit();
              });*/
        	 App.params7 = true;
        },
        
        jyqrSubmit : function(){
        	this.form.submit();
        },
  
        
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
           
        },
        
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        	
            //设置表单值
            //values['XXX'] = 'XXX';
            //
            //if(...){
                //return false;//则不触发提交事件
            //}
        	if("" == $("[name = tsmscode]").val()){
        		values.tsmscode = $("[name = tsmscode]").val();
        	}
        	
        	/*if("" == $("[name = tpassword]").val()){
        		values.tpassword = $("[name = tpassword]").val();
        	}*/
        	
        },
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//var phoneNum=Fw.app.Session.getLoginPhoneNo();  //	手机号   12312312312
        	//var amount=App.lrdata.payFee;    //费用
        	var payeeAcName=Fw.app.Session.getCustName();
        	//App.lrdata.payeeAcName=payeeAcName;
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '0',
				    phoneNum : "" ,
				    userName : payeeAcName,
					modType : "common",
					transName : "代扣解约"
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
		/**
         * 确认代扣签约
         */
        doSubmit: function(values){
   	
        	switch(Item7Date.termType){
             case "水费解约"://水费签约
            	 App.Item7.WaterTerm(values);
                 break;
             case "电费解约"://电费
            	 App.Item7.ElecTerm(values);
                 break;
             case "燃气费解约"://燃气费
            	 App.Item7.RqifTerm(values);
                 break;
             case "广电费解约"://移动电视费
            	 App.Item7.YxdsTerm(values);
                 break;
             case "电信费解约"://电信费
            	 App.Item7.TelecomTerm(values);
                 break;
              
             default:;
        	 };
	
        },
        
        /*
         * 水费解约
         */
        WaterTerm : function(values){
        	//var TrsPassword = values.tpassword; //密码
        	Fw.util.Ajax.query({
        		 service: 'agentBusiService',
                 method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params:{
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = tsmscode]").val(),
           	
                     signType : "MCSignWater", //水费解约
                  	 waSignFlag : "3",                       //解约标志
                  	 waUserNo : Item7Date.UserNo,                //用户编号  Item7Date.UserNo
                  	 waUserName : Item7Date.UserName,                  //用户户名     Item7Date.UserName
                  	 waUserAddr :  Item7Date.UserAddr,    //用户地址   Item7Date.UserAddr
                  	 waSignAcType : Item7Date.SignAcType,                     //折卡标志   Item7Date.SignAcType
                  	 SignAcNo : Item7Date.SignAcNo,     //签约账号   Item7Date.SignAcNo
                  	 waAccType : "0",                        //签约账号类型    0-对私 1-对公 
                  	 waSignAcName : payeeAcName,                  //账号户名    payeeAcName
                  	 waServerNo : CifNo,            //客户号       CifNo
                  	 waCertType : custIdType,                     //证件类型   custIdType
                  	 waCertNo : custIdNo,        //证件号码   custIdNo
                  	 waPhone : Item7Date.Phone||"",                //联系电话   Item7Date.Phone
                  	 waSysId : Item7Date.SysId,                     //系统号       Item7Date.SysId
                  	 PassWd : "",          //密码   TrsPassword  "F1B03B8ECBC5DEED"
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(7);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = tsmscode]").val("");
                	//$("[name = tpassword]").val("");
                }
            });
        },
        
        /*
         * ElecSign 电费解约
         */
        ElecTerm : function(values){
        	//var TrsPassword = values.tpassword; //密码
        	Fw.util.Ajax.query({
        		 service: 'agentBusiService',
                 method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params:{
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = tsmscode]").val(),
                	
                	//电费解约 
                	signType : "MCSignElectric",    //电费解约
               	    elSignFlag : "3",                       //签约标志 1-签约 2-变更 3-注销
               	    elSysId : Item7Date.SysId,                     //系统号     Item7Date.SysId
               	    elUserNo : Item7Date.UserNo,                //用户编号  Item7Date.UserNo
               	    elArea : Item7Date.Area,                     //地区号     Item7Date.Area  (查询接口返回)
               	    elUserName : Item7Date.UserName,                  //用户户名  Item7Date.UserName  (签约解约前接口返回) 
               	    elUserAddr :  Item7Date.UserAddr,    //用户地址  Item7Date.UserAddr  (签约解约前接口返回)
               	    elSignAcType : Item7Date.SignAcType,                     //签约账号类型   Item7Date.SignAcType
               	    SignAcNo : Item7Date.SignAcNo,     //签约账号          Item7Date.SignAcNo
               	    elSignAcName : payeeAcName,                  //账号户名           (客户户名)  payeeAcName
               	    elPhone : Item7Date.Phone,                //联系电话   Item7Date.Phone
               	    PassWd :  "",          //交易密码   TrsPassword
               	    elSignOrg : ParentDeptId,                //签约机构()   开户法人机构号  ParentDeptId
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(7);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = tsmscode]").val("");
                	//$("[name = tpassword]").val("");
                }
            });
        },
        
        /*
         * RqifSign 燃气费解约
         */
        RqifTerm : function(values){
        	//var TrsPassword = values.tpassword; //密码
        	Fw.util.Ajax.query({
       		 service: 'agentBusiService',
                method: 'querySignWithholding',//默认为query，方法名称必须是query开头
               //请求参数
               params:{
               	//短信校验
               	smsSecurity : smsSecurity,
               	smscode : $("[name = tsmscode]").val(),
            
               	signType : "MCSignGas",    //燃气费解约
         	    gaSignFlag : "3",                          //签约标志 1-签约 2-变更 3-注销
         	    gaUserNo : Item7Date.UserNo,                   //用户编号  Item7Date.UserNo
         	    gaUserName : Item7Date.UserName,                     //用户户名   Item7Date.UserName
         	    gaUserAddr : Item7Date.UserAddr,       //用户地址   Item7Date.UserAddr
         	    gaSignAcType : Item7Date.SignAcType,                        //折卡标志   Item7Date.SignAcType
         	    SignAcNo : Item7Date.SignAcNo,        //签约账号   Item7Date.SignAcNo
         	    gaAccType : "0",                           //签约账号类型    0-对私 1-对公
         	    gaSignAcName : payeeAcName,                     //账号户名   payeeAcName
         	    gaServerNo : CifNo,               //客户号      CifNo
         	    gaCertType : custIdType,                        //证件类型   custIdType
         	    gaCertNo : custIdNo,           //证件号码   custIdNo
         	    gaPhone :  Item7Date.Phone,                   //联系电话   Item7Date.Phone
         	    gaSysId : Item7Date.SysId,                        //系统号      Item7Date.SysId
         	   
         	    PassWd :"",             //交易密码 TrsPassword

               },
               //是否自动显示等待层（默认true）
               //允许自定义等待层提示信息（loadMask: '请稍后...'）
               //loadMask: true,
               //是否使用数据挡板（默认false）
               staticData: false,
               //请求成功后回调
               success: function(data, result) {
               	//重置短信验证码
               	Fw.SmsCountDown.reset();
               	
               	App.tab.setActiveItem(7);	
               },
               //请求错误后回调
               failure: function(status, textStatus, error) {
            	 //重置短信验证码
               	Fw.SmsCountDown.reset();
               	
               	$("[name = tsmscode]").val("");
              // 	$("[name = tpassword]").val("");
               }
           });
        },
        
        /*
         * 移动电视费
         */
        YxdsTerm : function(values){
        	//var TrsPassword = values.tpassword; //密码
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = tsmscode]").val(),
                	
                	 signType : "MCSignTV",    //广电费解约
                 	 tvSignFlag : "3",                           //签约标志 1-签约 2-变更 3-注销
                 	 tvUserIdNo : Item7Date.UserIdNo,                  //客户证号     Item7Date.UserNo
                 	 tvCity : "",                                //城市            
                 	 tvArea : "",                                //地区    Item7Date.Rmk1  (签约解约前接口返回)
                 	 tvAcNoSeq : "",                             //账户编号
                 	 tvUserName : "",                      //户名      Item7Date.UserName  (签约解约前接口返回)
                 	 tvSignAcType : Item7Date.SignAcType,                         //签约账号类型 1-卡 2-折    Item3Date.SignNoType
                 	 SignAcNo :  Item7Date.SignAcNo,         //签约账号   Item7Date.tvSignNo
                 	 tvSignAcName : payeeAcName,                    //签约户名    payeeAcName
                 	 tvRemark : "",                              //备注           
                 	 tvSysId : Item7Date.SysId,                         //系统号      Item7Date.sysid
                 	 PassWd : "",              //交易密码 TrsPassword
                 	 tvCertType : custIdType,                         //证件类型     custIdType
                 	 tvCertNo : custIdNo,            //证件号码     custIdNo
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(7);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = tsmscode]").val("");
                	//$("[name = ]").val("");
                }
            });
        },
        
        /*
         * 电信费
         */
        TelecomTerm : function(values){
        	//var TrsPassword = values.tpassword; //密码
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method: 'querySignWithholding',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	//短信校验
                	smsSecurity : smsSecurity,
                	smscode : $("[name = tsmscode]").val(),
                	
                	 signType : "MCSignWire",    //电信费解约
                 	 wiSignFlag : "3",                       //签约标志 1-签约 2-变更 3-注销
                 	 wiPhone :  Item7Date.Phone,                //手机号码       Item7Date.Phone
                 	 wiUserName :  Item7Date.UserName,                  //户名               Item7Date.UserName  
                 	 wiSignAcType :  Item7Date.SignAcType,                     //卡折标志       Item7Date.SignAcType
                 	 SignAcNo :  Item7Date.SignAcNo,     //付款人帐号    Item7Date.SignAcNo
                 	 wiSignAcName : Item7Date.SignAcName,                  //付款人名称     Item7Date.SignAcName
                 	 PassWd : "",          //交易密码        TrsPassword
                 	 wiSysId : Item7Date.SysId,                     //系统号        Item7Date.SysId
                 	 AreaCode : Item7Date.AreaCode,
                 	 wiPreFlag : Item7Date.PreFlag,                        //付款方式标识 Item7Date.PreFlag
                 	 wiMobilNumber : "",
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	App.tab.setActiveItem(7);	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	//重置短信验证码
                	Fw.SmsCountDown.reset();
                	
                	$("[name = tsmscode]").val("");
                	//$("[name = tpassword]").val("");
                }
            });
        },
    
        /**
         * 清除li5数据
         * @returns
         */
        clearinfo: function(){
        	$("#qrtermSignType").text("");
            $("#qrtermUserNo").text("");
            $("#qrtermUserName").text("");
            $("#qrtermUserAcNo").text("");
            
            $("[name = tsmscode]").val("");
            $("[name = tpassword]").val("");
            $("#qrUName").show();
            Item7Date="";
       },
   
        /**
         * 展示信息
         */
        initInfo: function(record){
        	this.clearinfo();
        	Item7Date = record;
        
        	$("#qrtermSignType").val(Item7Date.termType);  //签约类型
        	
        	 if(Item7Date.termType == "电信费解约"){
                 $("#qrtermUserNo").val(Item7Date.Phone);    //用户号码
              }else if(Item7Date.termType == "广电费解约"){
            	 $("#qrtermUserNo").val(Item7Date.UserIdNo);    //用户号码
              } else{
                 $("#qrtermUserNo").val(Item7Date.UserNo);    //用户号码
              }
        	 if(Item7Date.termType == "广电费解约"){
        		 $("#qrUName").hide();
        	 }else{
        		 $("#qrtermUserName").val(Item7Date.UserName);  //用户姓名
        	 }
            $("#qrtermUserAcNo").val(Item7Date.SignAcNo);  //缴费账户

        },
        

    };
}();