/**
 * 创建应用
 */
App.Item8 = function() {
	var buttons = $('button');
	var Item8data="";
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '解约结果',
           
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        		//初始化事件
            	this.initEvents();
            	
            	//初始数据
                this.initDate(record);
        
        	//手动隐藏等待层
            Fw.LoadMask.hide();
        	
        },
        
        /**
         * 初始化数据
         */
        initDate : function(record){
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record);
        	}
        },
        
        /**
         * 初始化事件
         */
        initEvents : function(){
        	
        },
      
        /**
         * 展示信息
         */
        initInfo: function(record){
        	this.clearinfo();
        	Item8data = record;
        	//$("#img-result-t").css("background-image","url(../../../../images/agentbusi/dkjy.png)");
        	$('#jrsignType').text(Item8data.termType);
        	 if(Item8data.termType == "电信费解约"){
                 $("#jrUserNo").text(Item8data.Phone);    //用户号码
              }else if(Item8data.termType == "广电费解约"){
            	 $("#jrUserNo").text(Item8data.UserIdNo);    //用户号码
            	 $("#jyUserName").hide();
              }else{
                 $("#jrUserNo").text(Item8data.UserNo);    //用户号码
              }
        	 
        	$('#jrUserName').text(Fw.util.Format.fmtContent(Item8data.UserName));
        	
        	$('#jrSignNo').text(Item8data.SignAcNo);
        },
        


        /**
         * 清除结果数据
         * @returns
         */
        clearinfo: function(){
        	$('#jrsignType').text("");
        	$('#jrUserNo').text("");
        	$('#jrUserName').text("");
        	$('#jrSignNo').text("");
        	
        	$("#jyUserName").show();
        	Item8data="";
       },
    };
}();