/**
 * 选项卡#子页面13：理财产品赎回结果
 */
App.backS = function() {
    return {     
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, {title:'理财产品赎回结果'});
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}
        },      
        initData : function(params){
        	$('#backCont').empty();
        	if(!Fw.isEmpty(params.ProdFlag)&&"1"==params.ProdFlag){
        		var backCont = $('#backCont');
            	$('#bGuestName').text(params.card.Name);
            	$('#bAccNo').text(Fw.util.Format.fmtAcctNo(params.card.No,true));
            	$('#bBankAcType').text(Fw.util.Format.fmtCardType(params.card.BankAcType));
            	$('#bProdName').text(params.data.ProdName);
            	$('#bProdCode').text(params.data.ProdCode);
            	$('#backResultWarn').text('赎回成功');
    			$('#resultTit').css('width','168px');
        		$('#resultTit').css('margin-left','-84px');
        		var html = '';
    			//赎回份额
        		html = html + '<div class="ui-form-item-show">';
        		html = html + '<label class="ui-result-label">赎回份额</label>';
        		html = html + '<p class="x-display-info">'+params.data.AppVol1+'</p>';
        		html = html + '</div>';
    			//回款支付日
    			html = html + '<div class="ui-form-item-show">';
        		html = html + '<label class="ui-result-label">回款支付日</label>';
        		html = html + '<p class="x-display-info">'+params.data.ClrPayDate+'</p>';
        		html = html + '</div>';
        		backCont.append(html);
        	}else {
        		var PrebackFlag = params.PrebackFlag;
            	var data = params.data;
        		var backCont = $('#backCont');
            	$('#bGuestName').text(data.CustName);
            	$('#bAccNo').text(Fw.util.Format.fmtAcctNo(data.AcctNo,true));
            	$('#bBankAcType').text(Fw.util.Format.fmtCardType(params.card.BankAcType));
            	$('#bProdName').text(data.ProdName);
            	$('#bProdCode').text(data.ProdCode);
            	var html = '';
            	if(PrebackFlag=='1'){//取消预约
            		$('#backResultWarn').text('取消预约成功');
            		$('#resultTit').css('width','222px');
            		$('#resultTit').css('margin-left','-109px');
            		//撤销金额
            		html = html + '<div class="ui-form-item-show">';
            		html = html + '<label class="ui-result-label">撤销金额</label>';
            		html = html + '<p class="x-display-info">'+data.PrebackAmt+'</p>';
            		html = html + '</div>';
            		//预约赎回日期
            		html = html + '<div class="ui-form-item-show">';
            		html = html + '<label class="ui-result-label">预约赎回日期</label>';
            		html = html + '<p class="x-display-info">'+data.PrebackDate+'</p>';
            		html = html + '</div>';
            	}else{//赎回
            		//赎回本金
            		html = html + '<div class="ui-form-item-show">';
            		html = html + '<label class="ui-result-label">赎回本金</label>';
            		html = html + '<p class="x-display-info">'+data.BackApplAmt+'</p>';
            		html = html + '</div>';       		
            		if(params.YyshFlag=='1'){//预约赎回
            			$('#backResultWarn').text('预约赎回成功');
            			$('#resultTit').css('width','222px');
                		$('#resultTit').css('margin-left','-109px');
            			//预约赎回日期
            			html = html + '<div class="ui-form-item-show">';
                		html = html + '<label class="ui-result-label">预约赎回日期</label>';
                		html = html + '<p class="x-display-info">'+data.PrebackDate+'</p>';
                		html = html + '</div>';
            		}else {//赎回
            			$('#backResultWarn').text('赎回成功');
            			$('#resultTit').css('width','168px');
                		$('#resultTit').css('margin-left','-84px');
            			//赎回利息
                		html = html + '<div class="ui-form-item-show">';
                		html = html + '<label class="ui-result-label">赎回利息</label>';
                		html = html + '<p class="x-display-info">'+data.SumLixi+'</p>';
                		html = html + '</div>';
            			//赎回日期
            			html = html + '<div class="ui-form-item-show">';
                		html = html + '<label class="ui-result-label">赎回日期</label>';
                		html = html + '<p class="x-display-info">'+data.WorkDate+'</p>';
                		html = html + '</div>';
            		}
            	}
            	backCont.append(html);
        	}
        	
        },      
        initEvents: function(){
        	
        }      
    }
}();
