/**
 * 选项卡#子页面6：预约认购
 */
App.buy = function() {    
	var formBuy;
	var nowdate;
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters){        
        	//标题栏信息
        	Fw.apply(App.viewConfig, {title:'理财产品预约认购'});
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!formBuy){
        		//表单
            	formBuy = new Fw.Form({               
                    contentEl : 'formBuy',              
                    resettable: false,               
                    msgTarget: 'tips'
                });
            	formBuy.on('submit',this.toBuyCfm,this);
            	//绑定事件form.on('change', this.onChange, this);
            	formBuy.on('change',this.onChange, this);
        	}
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(!Fw.isEmpty(parameters)){
        		this.record = parameters;
        		this.initData(parameters);
        	}
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	this.initCurDate();
        	this.initBuy(parameters);
        	this.queryMCAReferrerNoQry();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){        	
        	$('#toBuyCmf-btn').on('click',function(){
        		formBuy.submit();
        	});
        	$('#DeptIdQry').on('click',App.queryDept);
        },
        /**
         * 初始化购买页面
         * @param parameters
         * @returns
         */
        initBuy: function(parameters){        
        	var card = parameters.card;
        	var product = parameters.product;
        	var deptId = parameters.deptId;
        	App.DeptId = Fw.app.Session.getCifDeptId();
        	
        	// 渲染页面
        	$('#productDesc').empty();
        	var tpl = [];
        	if("1"==product.ProdFlag){
        		// 新理财产品
        		tpl = Fw.FinancialTpl.productTpl;
        	}else {
        		tpl = Fw.FinancialTpl.productOldTpl;
        	}
        	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(product);
			// 将HTML渲染到页面
			$('#productDesc').html(html);
			Fw.Keyboard.init();
			formBuy.reset();
			// 头部公共部分
        	$('[name=buyPayerName]').val(card.Name);
        	$('[name=buyPayerNo]').val(Fw.util.Format.fmtAcctNo(card.No,true));
        	$('[name=buyCode]').val(Fw.util.Format.fmtCurrency(card.Currency.Code));
			if("1"==product.ProdFlag){
	        	//初始化数据（模板渲染，第二次渲染，表单的setValues不生效）
	        	
	        	//产品内容
	        	$('[name=prd_name]').html(product.ProductName);
	        	$('[name=prd_id]').val(product.ProdCode);
	        	$('[name=buySellDate]').val(product.PurcSDate+"~"+product.PurcEDate);
	        	$('[name=profit_flag]').val(Fw.FinancialHelper.fmtProfitFlag(product.ProfitFlag));
	        	
	        	$('[name=lifecycle]').val(Fw.FinancialHelper.fmtLifeCycle(product.ProdState));
	        	$('[name=buyProDate]').val(product.PurcDate+"天");
	        	$('[name=buyProLev]').val(Fw.FinancialHelper.fmtProRiskLev(product.RiskName));
	        	$('[name=buyPerNetValue]').val(Fw.util.Format.fmtAmt(product.PerAmout||"0"));
	        	$('[name=buyDayNetValue]').val(Fw.util.Format.fmtAmt(product.TotalNav||"0"));
	        	
	        	$('[name=buyProLAmt]').val(Fw.util.Format.fmtAmt(product.Sgpurclper));
	        	$('[name=buyPerAmout]').val(Fw.util.Format.fmtAmt(product.Sgpurcaddper));
			}else {
				var RiskName = parameters.product.RiskName + "";
				RiskName = RiskName.substring(0,RiskName.length-3);
				if(RiskName==""){
					RiskName = parameters.product.RiskName + "";
				}//产品级别
	        	var Sgpurclper = product.Sgpurclper;
				if(Sgpurclper==undefined||Sgpurclper==null){
					if(product.Brpurclper==undefined||product.Brpurclper==null){
						Sgpurclper = "暂无";
					}else{
						Sgpurclper = product.Brpurclper;
					}
				}
				//初始化数据
    			$('[name=buyProName]').html(product.ProductName);
    			$('[name=buyProCode]').val(product.ProdCode);
    			$('[name=buyProCapitFlag]').val(product.CapitFlag);
    			$('[name=limitNum]').val('--');//可以购买的余额（展示最小额度）
    			$('[name=buySellDate]').val(product.PurcSDate+"~"+product.PurcEDate);
    			$('[name=buyProDate]').val(product.ProdSDate+"~"+product.ProdEDate);
    			$('[name=buyProLev]').val(product.RiskName);
    			$('[name=buyNorm]').val(product.Estcustlyr+'%');
    			$('[name=buyEstcustlyr]').val(product.Estcustlyr+'%');
    			$('[name=buyEstcustHyr]').val(product.Estcusthyr+'%');
    			$('[name=buyProLNum]').val(Sgpurclper);
    			$('[name=buyPerAmout]').val(product.PerAmout);
            	if(product.Estcustlyr==product.Estcusthyr){
        			 $('#buyEstcustlyrD').hide();
        			 $('#buyEstcustHyrD').hide();
        			 $('#buyNormD').show();
        		}else{
        			$('#buyNormD').hide();
        			 $('#buyEstcustlyrD').show();
        			 $('#buyEstcustHyrD').show();
        		}
	        	//理财剩余金额查询=0=0
	        	this.queryMCFinancialRemanentAmt(product.ProdCode,card.No);
			}
        	//网点机构加载
        	var parmas = {
        			FunCode:'6',
        			DeptName:'',
        			DeptId: '',
        			DeptSeq:card.DeptSeq
        	};
        	App.tool.getAjax('helperService', 'getWebSites', parmas, function(data){
        		var applyBranch = data.List;
        		if(applyBranch.length>0){
        			$('#DeptIdQry').text(applyBranch[0].DeptName);
        		}
        	});       	
        },
        onChange: function(name, value, oldValue, field){
        	if(name=="buyProNum"){
        		$('[name=buyProAmt]').val(value*$('[name=buyPerAmout]').val());
        	}
        },
        /**
         * 理财剩余金额查询=0=0
         */
        queryMCFinancialRemanentAmt:function(proCode,No){
        	var parmas = {ProdCode:proCode,AcctNo:No};
        	App.tool.queryAjax('FinancialProcService', 'queryMCFinancialRemanentAmt', parmas, function(data){
        		var limitNum = data.RemanentAmt;
        		$('[name=limitNum]').val(limitNum||'--');//可以购买的余额（展示最小额度）
        	});
        },
        /**
         * 购买确认
         * @returns
         */
        toBuyCfm : function(values){
        	//验证
        	if("1"!=this.record.product.ProdFlag){
        		var buyProNum=$('[name=buyProNum]').val();
            	if(buyProNum=="0"){
            		Fw.Msg.info("认购份数不能为0！");
            		return;
    			}else if(!/^([1-9]\d*)$/.test(buyProNum)){
    				Fw.Msg.info("认购份数应为整数！");
    				return;
    			}
        	}
        	
        	if(!$("#agreePro").attr('checked')){
        		Fw.Tips.info("请阅读,充分了解清楚知晓产品风险。");
    			return;
    		}
        	var manageName=$('[name=manageName]').val();
        	if(manageName==""||manageName==undefined){
        		Fw.Tips.info("请输入客户经理号！");
				return;
        	}
        	if(manageName.length>12){
        		Fw.Tips.info("客户经理号长度不能超过12位！");
				return;
        	}
        	var params = this.record;
        	//初始化
			App.params = {
  					card: params.card,
  					product: params.product,
  					deptId: params.deptId,
  					oldPro: params.oldPro,
  					form: values
  			};
        	App.tab.setActiveItem(7);
        },
        /**
         * 获取当前日期yyyy/MM/dd
         * @returns
         */
        initCurDate: function(){
        	Fw.util.Ajax.get({
				service : 'curdateService/getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					nowdate = Fw.util.Format.fmtDate(data['CurDate'],"yyyy-MM-dd");
					$('[name=buyNowDate]').val(nowdate);
				},
			});
        },
        
        /**
         * 推荐人工号查询
         */
        queryMCAReferrerNoQry:function(){
        	 Fw.util.Ajax.query({
        		 service: 'regularCurrentTransService',
                 method: 'queryMCAReferrerNoQry',
                 //请求参数
                 params: {
                 	
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 // $('[name="manageName"]').val(Fw.util.Format.fmtUndefinedData(data.ReferrerNo));
                	 formBuy.setValues("manageName", Fw.util.Format.fmtUndefinedData(data.ReferrerNo));
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
       	           	 formBuy.setValues("manageName", "");
                 }
             });
        },
   };
}();
