/**
 * 选项卡#子页面1 : 我的理财产品（我的持有、产品赎回）
 */
App.list = function() {    
	var listTrans,listBack,tabMain;
	var card,RunFlag;
    return {
    	viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '我的理财产品' ,
            rightButton: {
                //按钮标题
                text: 'searchico',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);        	
        	if(!tabMain){
        		tabMain = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabMain',
                    //默认选项卡（默认0）
                    activeTab: 0,
                    //是否锁定tab标题
                    fixed:false,
                    //是否禁用切换tab
//                    enabled: true
                });
        	} else {
				tabMain.setActiveItem(App.tabMainActiveItem);
        	}   	        	
        	//监听事件绑定
        	if(!this.record){        		
        		this.initEvents();
        	}else {
        		card = this.record.card;
            	RunFlag = this.record.RunFlag;
        	}
        	if(App.tool.isExist(params)){
        		this.record = params;
            	this.initData(params);
        	}
        },  
        /**
         * 初始化列表数据
         * @param parameters
         * @returns
         */
        initData: function(parmas){
        	$('#s-tab-l').removeClass('sui-tab-ll');
    		$('#s-tab-r').removeClass('sui-tab-rr');
			$('#s-tab-l').addClass('sui-tab-l');
			$('#s-tab-r').addClass('sui-tab-r');
        	card = parmas.card
        	RunFlag = parmas.RunFlag;
        	var parameters = {
        			AcctNo:parmas.card.No,
        			SelType:parmas.SelType,
        			StartTime: parmas.StartTime,
        			EndTime: parmas.EndTime,
        			CardFlag:parmas.card.BankAcType,
        			RunFlag:parmas.RunFlag
        	}; 
        	this.initListTrans(parameters);       	
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('#s-tab-l').on('click',function(){
        		$('#s-tab-l').removeClass('sui-tab-ll');
        		$('#s-tab-r').removeClass('sui-tab-rr');
				$('#s-tab-l').addClass('sui-tab-l');
				$('#s-tab-r').addClass('sui-tab-r');
				tabMain.setActiveItem(0);
        	});
        	$('#s-tab-r').on('click',function(){
        		if(RunFlag=='0'){
					Fw.Tips.info("只支持开放式产品的赎回！");
					return;
				}
        		$('#s-tab-l').removeClass('sui-tab-l');
        		$('#s-tab-r').removeClass('sui-tab-r');
				$('#s-tab-l').addClass('sui-tab-ll');
				$('#s-tab-r').addClass('sui-tab-rr');				
				var parameters = {
	        			AcctNo:card.No,
	        			CardFlag:card.BankAcType
	        	};
				App.list.initListBack(parameters);
				tabMain.setActiveItem(1);
        	});
        },
        /**
         * 初始化我的持有
         * @param parameters
         * @returns
         */
        initListTrans: function(parameters){
        	$('#listTrans').html('');    	
	    	//定义列表
        	if(!listTrans){
	        	listTrans = new Fw.ListView({
		            //EL
		            contentEl : 'listTrans',
		            //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
		            ajax : {                 
		                    service: 'FinancialProcService',
		                    method: 'queryFinancialDtl',
		                    //请求参数
		                     params: parameters,                   
		                    loadMask: '查询中',
		                    //是否分页（默认true）
		                    page: false,
	//	                    pageSize: 5,
		                    staticData: false,
		                    listeners : {
		                    	success: App.list.setTransList
		                    }
		            },
		            cls: '',
		            groupCls: '',
		            groupHeaderBaseCls: '',
		            groupHeaderCls: '',
		            itemBaseCls: 'sx-list-item',
		            itemCls: 'sui-border-t',
		            pressedCls: '',
		            itemTpl: [
		            		'{@if item.ProdFlag=="1"}',
		            			// 新理财产品
			            		'<div class="pro-top">',
									'{@if item.RunFlag == "0"}',
										'<i class="pro-close-logo">封闭式</i>',
									'{@else}',
										'<i class="pro-open-logo">开放式</i>',
									'{@/if}',
									'<p>${item.ProdName}</p>',
									'{@if item.TranStatus=="1"||item.TranStatus=="4"}',
										'<p style="position: absolute;color: #3a8ef6;right: -61px;font-size: 16px !important;line-height: 16px;top: 50%;margin-top: -9px;">查看详情</P>',
									'{@/if}',
								'</div>',
								'<div class="trans-content">',
									'<div>',
										'<label>认购金额</label>',
										'<p>${item.ApplAmt}</P>',
									'</div>',
									'<div>',
										'<label>交易日期</label>',
										'<p>${item.OriWorkDate}</P>',
									'</div>',
									'<div>',
										'<label>交易渠道</label>',
										'<p>${item.Channel|fmtChannel}</P>',
									'</div>',
									'<div>',
										'<label>交易类型</label>',
										'<p>${item.ChannelBusiCode|fmtChannelBusiCode}</P>',
									'</div>',
									'<div>',
										'<label>交易状态</label>',
										'<p>${item.TranStatus|fmtTranStatus}</P>',
									'</div>',
								'</div>',
		            		'{@else}',
		            			// 老理财产品
		        	             '<div class="item-top">',
		        	             	'<div class="item-top-logo-l">',
		        	             		'{@if item.selFlag == "0"}',
		        	             			'<i class="close-logo">封闭式</i>',
		        	             		'{@else}',
		        	             			'<i>开放式</i>',
		        	             		'{@/if}',
		        	             	'</div>',
		        	             	'<div class="item-top-cont" style="margin-right: 90px;">',
		        	             		'<h4>${item.ProdName}</h4>',
		        	             	'</div>',
		        	             	'<div style="position: absolute;right: 15px;top: -7px;">',
		        	             		'{@if item.subscribeFlag == "1" || item.cancleFlag == "1"}',
		        	             			'<P class="detail">查看详情</P>',
		        	             		'{@/if}',
		        	             	'</div>',
		        	             '</div>',
		        	             '<div class="item-bom">',
									'<div class="item-bom-left">',
										'{@if item.Estcustlyr == item.Estcusthyr}',
											'<p class="item-bom-left-t">${item.Estcustlyr}<span style="font-size: 18px;">%</span></p>',
										'{@else}',
											'<p class="item-bom-left-t-double">${item.Estcustlyr}~${item.Estcusthyr}<span style="font-size: 18px;">%</span></p>',
										'{@/if}',
										'<p class="item-bom-left-b">预计年化收益率</P>',
									'</div>',
									'<div class="item-bom-hr">',
									'</div>',
									'<div class="item-bom-right">',
										'{@if item.selFlag == "0"}',
											'<p>持有金额<span>${item.ApplAmt}</span></p>',
		        	             		'{@else}',
		        	             			'<p>持有金额<span>${item.LeftAmt}</span></p>',
		        	             		'{@/if}',
										'<p>交易状态<span>${item.CustState|fmtCustState}</span></p>',
										'<p>起息时间<span>',
											'{@if item.ProdSDate == "--"}',
												'--',
											'{@else}',
												'${item.ProdSDate|fmtDate,"yyyy.MM.dd"}',
											'{@/if}',
										'</span></p>',
										'<p>到期时间<span>',
											'{@if item.ProdEDate == "--"}',
												'--',
											'{@else}',
												'${item.ProdEDate|fmtDate,"yyyy.MM.dd"}',
											'{@/if}',
										'</span></p>',
									'</div>',
								'</div>',
								'{@/if}'
		        	             ]
		        });
        	//事件绑定
            listTrans.on('itemclick', App.list.onSelectTrans, this);
        	}else {
        		listTrans.ajax.clearParams();    			
        		listTrans.ajax.setParams(parameters); 
        	}
            //加载数据
        	listTrans.loadData();
        },
        /**
         * 缓存列表数据
         */
        setTransList: function(ajax, data, result){
        	Fw.util.Storage.set(App.transListKey,Fw.encode(data));
        },
        /**
         * 初始化产品赎回
         */
        initListBack : function(parameters){
        	$('#listBack').html('');
         	if(!listBack){
	    		//定义列表
         		listBack = new Fw.ListView({
	                //EL
	                contentEl : 'listBack',
	                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	                ajax : {                 
	                    service: 'FinancialProcService',
	                    method: 'queryMCOpenedFinancialRedeemQry',
	                    //请求参数
	                     params: parameters,                   
	                    loadMask: '查询中',
	                    //是否分页（默认true）
	                    page: false,
//	                    pageSize: 5,
	                    staticData: false
	                },
	                cls: '',
	                groupCls: '',
	                groupHeaderBaseCls: '',
	                groupHeaderCls: '',
	                itemBaseCls: 'sx-list-item',
	                itemCls: 'sui-border-t',
	                pressedCls: '',
	                disclosure: true,
	                itemTpl: [
	                	'{@if item.ProdFlag=="1"}',
		                	'<div  class="ui-tab">',
								'<ul class="ui-list ui-border-tb">',					
									'<li class="x-list-item" style="height: 147px;">',
										'<div class="sub-text">',
											'<label class="li-label">产品名称</label>',
											'<p class="li-p" style="color:#f65246;max-width: 140px;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;">${item.ProdName}</p>',
										'</div>',
										'<div  class="sub-text" style="top:46px;">',
											'<label class="li-label">产品代码</label>',
											'<p class="li-p" >${item.ProdCode}</p>',
										'</div>',
										'<div  class="sub-text" style="top: 77px;">',
											'<label class="li-label">持有金额</label>',
											'<p class="li-p">${item.AppAmt}</p>',
										'</div>',
										'<div  class="sub-text" style="top: 108px;">',
											'<label class="li-label">操作</label>',
											'<p class="li-p" style="color:#3a8ef6;">赎回</p>',
										'</div>',
									'</li>',
								'</ul>',
							'</div>',	                		
	                	'{@else}',
		                	'<div  class="ui-tab">',
								'<ul class="ui-list ui-border-tb">',					
									'<li class="x-list-item" style="height: 147px;">',
										'<div class="sub-text">',
											'<label class="li-label">产品名称</label>',
											'<p class="li-p" style="color:#f65246;max-width: 140px;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;">${item.ProdName}</p>',
										'</div>',
										'<div  class="sub-text" style="top:46px;">',
											'<label class="li-label">产品代码</label>',
											'<p class="li-p" >${item.ProdCode}</p>',
										'</div>',
										'<div  class="sub-text" style="top: 77px;">',
											'<label class="li-label">持有金额</label>',
											'<p class="li-p">${item.SumApplAmt}</p>',
										'</div>',
										'<div  class="sub-text" style="top: 108px;">',
											'<label class="li-label">操作</label>',
											'{@if item.PrebackFlag == "1"}',
												'<p class="li-p" style="color:#3a8ef6;">取消预约</p>',
											'{@else}',
												'<p class="li-p" style="color:#3a8ef6;">赎回</p>',
											'{@/if}',
										'</div>',
									'</li>',
								'</ul>',
							'</div>',
	                	'{@/if}',
	                ]
	            });
         		//事件绑定
             	listBack.on('itemclick', this.onSelectBack, this);
    		}else{
    			listBack.ajax.clearParams();    			
    			listBack.ajax.setParams(parameters); 
    		}        	
            //加载数据
         	listBack.loadData();
        },
        /**
         * 选中记录时触发(我的持有)  分为：可撤销和可预约
         */
        onSelectTrans : function(record, index, item, e, cmp) {
        	var ProdFlag = record.ProdFlag;
        	if("1"==ProdFlag){
        		// 新理财产品
        		if("1"==record.TranStatus||"4"==record.TranStatus){
        			Fw.util.Ajax.query({
                        service: 'FinancialProcService',
                        method: 'queryFinancialProDtl',
                        //请求参数
                        params: {
                        	PrdId: record.ProdCode
                        },
                        staticData: false,
                        //请求成功后回调
                        success: function(data, result) {
                            Fw.apply(record,data);
                            // 跳转新理财详情页
                            App.params = {
                        			card: card,
                        			proInfo:record,
                        	};
                    		App.tabMainActiveItem = 0;
                    		App.tab.setActiveItem(2);
                        },
                        //请求错误后回调
                        failure: function(status, textStatus, error) {
                            
                        }
                    });
        		}
        	}else {
        		// 旧理财产品
        		if(record.subscribeFlag == "1" || record.cancleFlag == "1"){
            		App.params = {
                			card: card,
                			ProductState:'2',       			
                			RunFlag:record.selFlag,
                			proInfo:record,
                			subscribeFlag:record.subscribeFlag,
                			cancleFlag:record.cancleFlag
                	};
            		App.tabMainActiveItem = 0;
            		App.tab.setActiveItem(2);
            	}
        	}        	
        },  
        /**
         * 选中记录时触发(产品赎回)
         */
        onSelectBack : function(record, index, item, e, cmp) {
        	App.params = {
        			card: card,    			
        			RunFlag:RunFlag,
        			product:record,
        	};
        	App.tabMainActiveItem = 1;
        	App.tab.setActiveItem(10);
        }
    };
}();