/**
 * 选项卡#子页面5：预约产品详情
 */
App.orderInfo = function() {    
	var tabDetail,tabDetailSel;
	var tab_l=$('#s-tab-l1');
	var tab_r=$('#s-tab-r1');
	var params;
    return {
    	viewConfig: {           
            title: '预约产品详情',
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) { 
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	if(!tabDetail){
        		tabDetail = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabDetail',
                    //默认选项卡（默认0）
                    activeTab: 0
                });
            	this.tabDetail = tabDetail;
        	}
        	if(!tabDetailSel){
        		tabDetailSel = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabDetailSel',
                    //默认选项卡（默认0）
                    activeTab: 0,
                    //是否锁定tab标题
                    fixed:false,
                    //是否禁用切换tab
//                    enabled: true
                });
        	}
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record=true;
        		this.initData(parameters);
        	}
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	params = parameters;
        	//初始化数据       	
        	$('#proName1').text(parameters.product.ProductName);
        	
        	if("1"==parameters.product.ProdFlag){
        		var startAmt,preAmt;
				var product = parameters.product;
				var startAmt = Fw.FinancialHelper.fmtTurnAmt(product.Sgpurclper);
				var preAmt = Fw.FinancialHelper.fmtTurnAmt(product.Sgpurcaddper);
				$('#proStaredAmt').text(startAmt);
            	$('#proStaredAmtFlag').text('万');
            	$('#PerAmout').text(preAmt);
            	
            	// 新理财产品
        		$('#proLevl').text(Fw.FinancialHelper.fmtProRiskLev(product.RiskName));//产品级别
        		$('#capitFlag').text(Fw.FinancialHelper.fmtProfitFlag(product.ProfitFlag));
        		
        		if(parameters.product.EstcustFlag=='1'){
            		$('#proEstcust').text(parameters.product.Estcustlyr+"%");//预期年收益
            		$('#proEstcust-label').text("预期年收益");
            		$('#income').css({"margin-left":"5%"});
            	}else if(parameters.product.EstcustFlag=='2') {
            		$('#proEstcust').text(parameters.product.PerAmout);
            		$('#proEstcust-label').text("当日净值");
            		$('#income').css({"margin-left":"5%"});
            	}else {
            		$('#proEstcust').text(parameters.product.Estcustlyr+"~"+parameters.product.Estcusthyr+"%");//预期年收益
            		$('#proEstcust-label').text("预期年收益");
            		$('#income').css({"margin-left":"5%"});
            	}
        	}else {
        		var sMoney= parameters.product.sMoney+'';
            	$('#proStaredAmt').text(sMoney.substring(0,sMoney.length-1));
            	$('#proStaredAmtFlag').text('万');
            	$('#PerAmout').text(parseInt(parameters.product.PerAmout)/10000);
            	
            	var RiskName = parameters.product.RiskName + "";
            	$('#proLevl').text(this.getShowRiskName(RiskName));//产品级别
            	$('#capitFlag').text(parameters.product.CapitFlag);
        	}
        	
        	$('#proFinanceType1').text(parameters.product.RunType=='1' ? '封闭式' : '开放式');
        	if(parameters.product.EstcustFlag=='1'){
        		$('#proEstcust1').text(parameters.product.Estcustlyr+"%");//预期年收益
        		$('#proEstcust-label').text("预期年收益");
        		$('#income').css({"margin-left":"5%"});
        	}else if(parameters.product.EstcustFlag=='2') {
        		$('#proEstcust1').text(parameters.product.PerAmout);
        		$('#proEstcust-label').text("当日净值");
        		$('#income').css({"margin-left":"5%"});
        	}else {
        		$('#proEstcust1').text(parameters.product.Estcustlyr+"~"+parameters.product.Estcusthyr+"%");//预期年收益
        		$('#proEstcust-label').text("预期年收益");
        		$('#income').css({"margin-left":"5%"});
        	}       	
        	$('#proLimitDate1').html(parameters.product.PurcDate+'<span style="font-size: 12px">天</span>')//投资期限
        	var format = "yyyy.MM.dd";
        	$('#proSellDate').text('购买时间：'+Fw.util.Format.fmtDate(parameters.product.PurcSDate,format)+'~'+Fw.util.Format.fmtDate(parameters.product.PurcEDate,format));
        	if(parameters.product.RunType=='1'){
        		$('#cycle1').show();
        		$('#proCycleS1').text(Fw.util.Format.fmtDate(parameters.product.PurcSDate,format));//产品购买日
        		$('#proCycleC1').text(Fw.util.Format.fmtDate(parameters.product.ProdSDate,format));//产品起息日
        		$('#proCycleE1').text(Fw.util.Format.fmtDate(parameters.product.ProdEDate,format));//产品到期日
        	}else{
        		$('#cycle1').hide();
        	}
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('#s-tab-l1').on('click',function(){
        		$('#s-tab-l1').removeClass('sui-tab-ll');
        		$('#s-tab-r1').removeClass('sui-tab-rr');
				$('#s-tab-l1').addClass('sui-tab-l');
				$('#s-tab-r1').addClass('sui-tab-r')
				tabDetailSel.setActiveItem(0)
        	});
        	$('#s-tab-r1').on('click',function(){
        		$('#s-tab-l1').removeClass('sui-tab-l');
        		$('#s-tab-r1').removeClass('sui-tab-r');
				$('#s-tab-l1').addClass('sui-tab-ll');
				$('#s-tab-r1').addClass('sui-tab-rr');        	
				tabDetailSel.setActiveItem(1)
        	});
        	$('#detailBuy-btn').on('click',this.toBuyPro);
        },
        getShowRiskName: function(RiskName){
        	var name = RiskName == "" ? "--" : RiskName;
        	if(name.indexOf("型投资者")>-1){
        		name = name.substring(0,name.length-3)
        	}
        	return name;
        },
        toBuyPro : function(){
        	//初始化
			App.params = {
  					card: params.card,
  					product: params.product,
  					deptId: params.deptId,
  					oldPro: params.oldPro
  			};
        	App.tab.setActiveItem(6);
        }
    };
}();