/**
 * 选项卡#子页面4：风险评估
 */
App.risk = function() {
	var listRisk,tabRisk;
	var rskAllCount;
	var rskSelCount = 0;
	var rskResult;
	var card,product,deptId,oldPro;
    return {
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, {title: '风险评估'});
        	//设置标题栏
        	Fw.device.Device.applyView(App); 
        	if(!tabRisk){
        		tabRisk = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabRisk',
                    //默认选项卡（默认0）
                    activeTab: 0
                });
        		this.tabRisk = tabRisk; 
        	}  	       	
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(params)){
        		this.record=true;
        		this.initData(params);
        	}
        },      
        initData : function(params){
        	card = params.card;
        	product = params.product;
        	oldPro = params.oldPro;
        	this.initRiskPro(params);       	
        },
        initEvents: function(){
        	//绑定事件 
        	$('#cleRisk-btn').on('click',function(){
        		App.params = null;
        		App.tab.movePrev();
        	});
        	$('#subRisk-btn').on('click',this.submitRisk);
        	//事件绑定
        	$('#continuePay-btn').on('click',App.risk.toProDetial);
        },
        /**
         * 获取风险评估问题
         * @returns
         */
        initRiskPro : function(params){
        	$('#listRisk').html('');
        	var parameters = {
        			RiskCode: params.product.RiskCode
        	};
        	// queryFinancialRskEval
        	Fw.util.Ajax.query({
                service: 'FinancialProcService',
                method: 'queryFinancialRskEval',//方法名称必须是get开头
                //请求参数
                params: {
                	ProdFlag:params.product.ProdFlag,
                	RiskCode: params.product.RiskCode||""// 老理财系统参数
                },
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	// 渲染风险评估试卷
                	App.risk.showRskEval(data);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });           	
        },
        rskEvalOldTpl:[
        	'<li>',
	    		'<div class="item-risk-pro">',
	    			'<div class="item-risk-pro-t">',
	    				'<label>${item.RiskitNo}、${item.RiskitDesc}</label>',
	    				'{@each item.RskQuestionList as question,j}',
	        				'<label class="ui-radio" onclick="App.risk.onChageRadio()" style="width:100%;">',
	        					'<input type="radio" name="radio${index}" value="${question.RiskOpt}">',
	        					'<span>${question.RiskOpt}、${question.RiskOptDesc}(${question.RiskOptw})</span>',
	        				'</label>',
	        			'{@/each}',
        			'</div>',
        			'<div class="item-risk-pro-b"></div>',
        		'</div>',
	    	'</li>'
        ],
        rskEvalNewTpl:[
        	'<li>',
	    		'<div class="item-risk-pro">',
	    			'<div class="item-risk-pro-t">',
	    				'<label>${item.QuesOrder}、${item.QuesText}</label>',
	    				'{@each item.RskQuestionList as question,j}',
	        				'<label class="ui-radio" onclick="App.risk.onChageRadioNew()" style="width:100%;">',
	        					'<input type="radio" name="radio${index}" quesOrder="${item.QuesOrder}" value="${question.option}">',
	        					'<span>${question.option}、${question.context}</span>',
	        				'</label>',
	        			'{@/each}',
        			'</div>',
        			'<div class="item-risk-pro-b"></div>',
        		'</div>',
	    	'</li>'
        ],
        showRskEval: function(data){
        	var ProdFlag = product.ProdFlag;
        	var rskEvalTpl = [];
        	if("1"==ProdFlag){
        		// 新理财产品
        		rskEvalTpl = this.rskEvalNewTpl;
        	}else {
        		// 老理财产品   
        		rskEvalTpl = this.rskEvalOldTpl;
        	}
        	$('#rskAllCount').empty();
        	rskAllCount = data.length;
        	$('#rskAllCount').text("/"+data.length);
        	$('#listRisk').empty();
			var tplList = [];		
			Fw.each(rskEvalTpl, function(item) {
				tplList.push(item);
			}, this);		
			var itemTpl = Fw.template(tplList);
			$.each(data,function(i,item){
				var html = itemTpl.render({
					item : item,
					index : i,
				});
				$('#listRisk').append(html);
          	});
        },
        onChageRadioNew: function(){
        	var c = 0;
        	var astr = "";
        	for(var i=0;i<rskAllCount;i++){       		
        		var radios = document.getElementsByName("radio"+i);
				for(var j=0;j<radios.length;j++){
					if(radios[j].checked){
						c++;
						astr +=  "|" + $(radios[j]).attr('quesOrder') + ":" + radios[j].value;
					}
				}
        	}
        	rskSelCount = c;
        	rskResult = astr + "|";
        	$('#rskSelCount').text(rskSelCount);
        },
        onChageRadio : function(radio){
        	var c = 0;
        	var astr = "";
        	for(var i=0;i<rskAllCount;i++){       		
        		var radios = document.getElementsByName("radio"+i);
				for(var j=0;j<radios.length;j++){
					if(radios[j].checked){
						c++;
						astr +=  radios[j].value;
						astr=astr.replace("A","1");
						astr=astr.replace("B","2");
						astr=astr.replace("C","3");
						astr=astr.replace("D","4");
						astr=astr.replace("E","5");
					}
				}
        	}
        	rskSelCount = c;
        	rskResult = astr;
        	$('#rskSelCount').text(rskSelCount);
        },      
        /**
         * 获取列表数据，并进行处理
         * @param ajax
         * @param data
         * @param result
         * @returns
         */
        handleListRisk : function (ajax, data, result){       	       
        	rskAllCount = data.length;
        	$('#rskAllCount').text("/"+data.length);
        },
        /**
         * 提交评估卷,跳转结果
         * @returns
         */
        submitRisk: function(){
        	var rskSelCount = Number($('#rskSelCount').text());
        	var N = Number(rskAllCount) - rskSelCount;
        	if(N>0){     		 
        		Fw.Tips.info('请您答完剩余'+N+'题！');
        		return;
        	}
        	Fw.util.Ajax.execute({
                service: 'FinancialProcService',
                method: 'executeFinancialRskEval',//方法名称必须是execute开头
                //请求参数
                params: {
        			AcctNo: card.No,// 老理财系统数据
        			CusName: card.Name,
        			RiskCode: product.RiskCode,// 老理财系统数据
    				ProdCode: product.ProdCode,// 老理财系统数据
    				CardFlag: card.BankAcType,// 老理财系统数据
    				AnswerInfo: rskResult,
    				
    				ProdFlag: product.ProdFlag   				
                },
                success: function(data, result) {
                	// 处理风险评估数据
                	App.risk.handRskEval(data);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });      	      	
        },
        handRskEval: function(data){
        	if("1"==product.ProdFlag&&product.RiskName<=data.CusRiskLev){
        		//初始化
        		var CustRiskLev = App.risk.fmtTypeLev(data.CusRiskLev);
        		var desc = Fw.FinancialHelper.fmtCusRiskLev(data.CusRiskLev);
    			$('#CustRiskLev1').html(CustRiskLev+'级<span style="color: #2da761;">（'+desc+'）</span>');
    			$('#CustRiskLev2').html('属于可以承担低风险产品（'+CustRiskLev+'级）的投资者');
    			//事件绑定
    			$('#continuePay-btn').off();
            	$('#continuePay-btn').on('click',App.risk.toProDetial);
            	$('#rskSelCount').text('0');
            	tabRisk.setActiveItem(1); 
        	}else if("0"==product.ProdFlag&&data.RiskPassFlag == '1'){
    			deptId = data.Id;
    			var CustRiskLev = App.risk.fmtTypeLev(data.CustRiskLev);
    			var RiskName = data.RiskName + "";
    			RiskName = RiskName.substring(0,RiskName.length-3);
    			if(RiskName==""){
    				RiskName = data.RiskName + "";
    			}
    			//初始化
    			$('#CustRiskLev1').html(CustRiskLev+'级<span style="color: #2da761;">（'+RiskName+'）</span>');
    			$('#CustRiskLev2').html('属于可以承担低风险产品（'+CustRiskLev+'级）的投资者');
    			//事件绑定
    			$('#continuePay-btn').off();
            	$('#continuePay-btn').on('click',App.risk.toProDetial);
            	$('#rskSelCount').text('0');
            	tabRisk.setActiveItem(1);        	               	
    		}else{
    			Fw.Msg.info('风险评估等级与产品不符，重新选择产品认购！');
    		}
        },
        /**
         * 详情
         * @returns
         */
        toProDetial: function(){
        	//初始化
			App.params = {
  					card: card,
  					product: product,
  					deptId: deptId||"",
  					oldPro: oldPro
  			};
			App.tab.setActiveItem(5);
        },
        /**
         * 1-99
         * @param v
         * @returns
         */
        fmtTypeLev : function(v){
        	var lev = v;
        	if(v.length==1){
        		return this.fmtTypeL(v);
        	}else if(v.length==2){
        		var s = this.fmtTypeL(v.substirng(0,1));
        		var g = this.fmtTypeL(v.substirng(1,2));
        		if(s=="一"){
        			lev="十"+g;
        		}else{
        			lev=s+"十"+g;
        		}
        	}
        	return lev;
        },
        /**
         * 0-9
         * @param v
         * @returns
         */
        fmtTypeL : function(v){
        	var lev = v;
        	switch (v) {
    		case '0':
    			lev = "零";
    			break;
			case '1':
				lev = "一";
				break;
			case '2':
				lev = "二";
				break;
			case '3':
				lev = "三";
				break;
			case '4':
				lev = "四";
				break;
			case '5':
				lev = "五";
				break;
			case '6':
				lev = "六";
				break;
			case '7':
				lev = "七";
				break;
			case '8':
				lev = "八";
				break;
			case '9':
				lev = "九";
				break;
			default:
				break;
			}
        	return lev;
        }
    };
}();
