/**
 * 创建应用
 */
var App = function() {
	var acNo,acName,bankAccType,CurrencyCode,CRFlag;
	var form,form2;
	var Balance;
	var tab,tab2;
	var lowAtm=5000.00;//起存金额
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form',
		// 安全键盘
		'Fw.Keyboard',
		// 日历组件
		'Fw.Calendar',
		// 设备
		'Fw.device.Device', 
		'Fw.Tab', 
		'Fw.app.Session' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '惠农存转入',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 右边按钮（默认不显示） rightButton: '右边按钮'
		 */
		/*rightButton : {
			// 按钮标题
			text : '设置表单值',
		// 自定义按钮点击事件（默认App.rightButtonHandler）
		// handler: XXX
		},*/
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		 loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			this.tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
			});
			//定义选项卡
			this.tab2 = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab2',
				//默认选项卡（默认0）
				activeTab : 0,
				//是否锁定tab标题
				fixed : true,
				reload : true
			});
			//定义表单
        	this.form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        	//定义表单
        	this.form2 = new Fw.Form({
                //EL
                contentEl : 'form2',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });

			// 初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},

		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			//获取当前选项卡序号
			var index = this.tab2.getActiveItemIndex();
			if (index == 0 || index == 2) {
				//返回上级目录
				Fw.device.Device.gotoIndex();
			}if(index == 1){
				$("[name=TrsPassword]").val('');
	       		$("[name=TrsPassword]").attr("placeholder","请输入交易密码")
				//返回上一页
				this.tab2.movePrev();
			}else {
				//返回上一页
				this.tab2.movePrev();
			}
		},
		
		//初始化卡号
		initData:function(){
			var deptId = Fw.app.Session.getParentDeptId();
        	if("320125999" != deptId){
        		Fw.Msg.warn('只有高淳法人客户才能办理该业务！', function(){
        			Fw.device.Device.gotoIndex();
                });
        	}else{
        		var allCards = Fw.app.Session.getAllCards();
        		var cardsNo = [];
        		for(var k = 0;k < allCards.length;k++){
        			if(allCards[k].BankAcType == "PDBC"){//只支持卡
        				cardsNo.push(allCards[k]);
        			}
        		};
        		if(cardsNo.length>0){
        			for(var j=0; j<cardsNo.length; j++){
        				var card = cardsNo[j];
        				$('#outCardList').append("<option value="+Fw.encode(card)+">"+Fw.util.Format.fmtAcctNo(card.No,true)+"</option>");
        				if(j==0){
        					acNo=cardsNo[0].No;
        					acName=cardsNo[0].Name;
        					bankAccType=cardsNo[0].BankAcType;
        					CurrencyCode=cardsNo[0].Currency.Code;
        					CRFlag=cardsNo[0].Currency.CRFlag;
        					$('[name="bankAccType"]').val(Fw.util.Format.fmtCardType(bankAccType));
        					$('[name="PayerCurrencyCode"]').val(Fw.util.Format.fmtCurrency(CurrencyCode));
        					App.yue();
        				}
        			}
        		}else{
        			$('#outCardList').append('<option value="" selected>无可用账号</option>');
        		}
        	}
        },
        
        onChange: function(name, value, oldValue, field){
        	if(name=="outCardList"){
        		var v = Fw.decode($("[name=outCardList] option:selected").val());
       			acNo=v.No;
       			acName=v.Name;
       			bankAccType=v.BankAcType;
       			CurrencyCode=v.Currency.Code;
				CRFlag=v.Currency.CRFlag;
				$('[name="bankAccType"]').val(Fw.util.Format.fmtCardType(bankAccType));
				$('[name="PayerCurrencyCode"]').val(Fw.util.Format.fmtCurrency(CurrencyCode));
				App.yue();
        	}
        },
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#next-btn1").on('click',Fw.bind(this.toNextPage,this));
			$("#submit-btn").on('click',Fw.bind(this.toSubmit,this));
			 this.form.on('change', this.onChange, this);
			// 触发提交事件触发
			this.form2.on('submit', this.doSubmit, this);
			this.form.on('submit', this.doNextPage, this);
		},
		
		/**
		 * 查询账户余额
		 */
		yue : function() {
			Fw.util.Ajax.execute({
				service : 'yncService',
				method : 'executeBalance',
				// 请求参数
				params : {
					Account_No : acNo,
					Account_BankAcType : bankAccType,
					Currency_Code : CurrencyCode,
					Currency_CRFlag : CRFlag,
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Balance = result.result.Balance;
					$("#yue").val(Fw.util.Format.fmtAmt(Balance));
					$("#QiCunBalance1").val(Fw.util.Format.fmtAmt(lowAtm));
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		
		//转到下一个页面
		toNextPage:function(){
			this.form.submit();
		},
		
		doNextPage:function(values){
			var TrsAmount = Fw.util.Format.unFmtAmt($("#TrsAmount").val());

			if (Number(TrsAmount) > Number(Balance)) {
				Fw.Tips.info("余额不足");
				return;
			}
			if(Number(TrsAmount) < Number(lowAtm)){
				Fw.Tips.info("交易金额不能小于"+lowAtm+"元");
				return;
			}
			
			$("#Product").val("惠农存");
        	$("#PayerAccountNo").val(acNo);
			$("#PayerAccountBankAcType").val(Fw.util.Format.fmtCardType(bankAccType));
			$("#PayerCurrencyCode2").val(Fw.util.Format.fmtCurrency(CurrencyCode));
			$("#yue2").val(Fw.util.Format.fmtAmt(Balance));
			$("#Term").val($('[name=selectTerm] option:selected').text());//termTime
			$("#QiCunBalance2").val($("#QiCunBalance1").val());//起存金额
			$("#ReferrerNo1").val($("#ReferrerNo").val());
			$("#TrsAmount1").val($("#TrsAmount").val());
			App.tab2.moveNext();
		},
		
		toSubmit :function(){
        	this.form2.submit();
        },
		
		//天添惠盈2号存入
		doSubmit : function(values) {
			var TrsAmount = $("#TrsAmount1").val();
			var TrsPassword = values.TrsPassword;;
			var psd = $('[name="TrsPassword"]').val();
			if (psd == "") {
				Fw.Tips.info("请输入交易密码");
				return;
			}
			if (psd.length != 6) {
				Fw.Tips.info("交易密码为6位");
				return;
			}
	         //惠农存利息计算
        	 Fw.util.Ajax.query({
                 service: 'regularCurrentTransService',
                 method: 'querySavToTimInterest', //惠农存利息计算
                 //请求参数
                 params: {
                	CurrCod: CurrencyCode, //币别
 				    Amount: Fw.util.Format.unFmtAmt(TrsAmount), //金额
 				    DepPrd: $('[name=selectTerm] option:selected').val(), //存期
 				    ValDate: '', //起息日
 				    DepTyp: '', //存款种类
 				    DrwDate: '', //支取日期
 				    AccNo: '', //一折通账号
 				    AccPSBKNo: '', //一本通账号
 				    AccSeqNo: '', //本册笔号(ACC1)
 				    PrdCod: '', //产品代码
 					DepDrwCycl: '' //支取周期
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 Fw.Msg.cfm("本次惠农存到期后利息为"+data.TotInt+"元，是否进行惠农存操作？", 
	        			 function(code, btn, win){
							if(code == "yes"){
								App.executeHuiNongCunSave(values);
						 }
                	 });
                 },
                // 请求错误后回调
 				failure : function(status, textStatus, error) {
 					$("[name=TrsPassword]").val('');
 		       		$("[name=TrsPassword]").attr("placeholder","请输入交易密码")
 				}
             });
		},
		
		/**
         * 惠农存存入
         */
		executeHuiNongCunSave:function(values){
        	 Fw.util.Ajax.execute({
                 service: 'tianTianHYService',
                 method: 'executeHuiNongCunSave', 
                 //请求参数
                 params: {
                	 RolloverFlag: '1',//自动转存
                	 Term: $('[name=selectTerm] option:selected').val(),//存期
                	 TimType: 'TLL',//整存整取
                	 TrsAmount : Fw.util.Format.unFmtAmt($("#TrsAmount1").val()), //交易金额
                	 Product : $("#Product").val(),
                	 TrsPassword: values.TrsPassword, //转出账户密码
                	 PwdFlg : "1",
                	 PayerAccountBankAcType : bankAccType,
                	 PayerAccountNo : acNo, //账号
                	 PayerCurrencyCode : CurrencyCode, //代码
                	 PayerCurrencyCRFlag : CRFlag, //钞汇标志
                	 PayeeAccountNo : acNo,
                	 TrsCurrencyCode : CurrencyCode,
                	 TrsCurrencyCRFlag : CRFlag,
 					 PayerAccountName : Fw.app.Session.getCustName(),
 					 PayeeAccountName : Fw.app.Session.getCustName(), //转入方户名
 					 ReferrerNo: $('[name="ReferrerNo"]').val()
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 App.showDetail2(data);
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 $('[name="TransPsw"]').val('');
       	           	 $('[name="TransPsw"]').attr("placeholder","请输入交易密码");
                 }
             });
        },
		
		
		showDetail2 : function(k) {
			$("#PayerAccountNo2").html(Fw.util.Format.fmtAcctNo(acNo, true));
			$("#ZhuanchuBalance2").html(Fw.util.Format.fmtAmt(k.Amount));
			$("#Product2").html($("#Product").val());
			$("#Rate2").html(k.Rate+"%");
			$("#Term2").html(Fw.util.Format.fmtTerm(k.Term));
			$("#PayerCurrencyCode3").html(Fw.util.Format.fmtCurrency(k.Currency));
			var TransDate = k.TransDate;
			var TransDate2 = TransDate.substring(0, 4) + "-"
					+ TransDate.substring(4, 6) + "-"
					+ TransDate.substring(6, 8);
			var EndDate = k.EndDate;
			var EndDate2 = EndDate.substring(0, 4) + "-"
					+ EndDate.substring(4, 6) + "-" + EndDate.substring(6, 8);
			$("#TransDate2").html(TransDate2);
			$("#EndDate2").html(EndDate2);
			App.tab2.moveNext();
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
