App.Item2 = function() {
	var listView; //他行资金归集未签约账户列表
	
    return {
        /**
         * 依赖组件
         */
        requires: [
			
        ],
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            this.initListView();
        	//初始化事件
        	this.initEvents();
        	//初始化数据
        	this.initData();
        },
        
        /**
         * 初始化事件
         */
        initEvents:function(){
        	//加载数据
        	listView.loadData();
        	//载入数据后触发
        	listView.ajax.on('query', this.onQuery, this);
        	//选中记录时触发
         	listView.on('itemclick', this.onSelectRecord, this);
        },
        
        /**
         * 初始化数据
         */
        initData:function(){
        	
        },

        /**
		 * 初始化归集账户listView
		 */
        initListView:function(){
        	var card = Fw.decode($('[name="cardList"]').val());
        	var acNo = card.No;
        	if(!listView){
        		//定义列表
            	listView = new Fw.ListView({
                    //EL
                    contentEl : 'listView2',//加载数据
    			    cls: 'sx-list',
    			    groupCls: 'sx-list-group',
    			    groupHeaderBaseCls: 'sx-list-group-header',
    			    groupHeaderCls: 'sui-border-t',
    			    itemBaseCls: 'sx-list-item5',
    			    itemCls: 'sui-border-t',
    			    pressedCls: 'sui-list-active',
                    //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
                    ajax : {
                        //数据源（服务接口）
                        service: 'cashSweepService',
                        method: 'queryMCFundFocusSignInformationQuery',
                        //请求参数
                        params: {
                        	Type: '3', // 标志位 1:本行；2:他行
        				    Sweeptype: '2', // 归集账户类型  Sweeptype=1，Type=1:本行资金归集签约已签约账户信息查询
        				    				//Sweeptype=2，Type=2:他行资金归集签约已签约账户信息查询
        				    				//Sweeptype=2，Type=3:他行资金归集签约未签约账户信息查询
        				    Payeeacc: acNo, // 归集账号
        				    Pagerownum1: '', // 签约记录每页显示条数
        				    Opertype1: '', // 签约记录操作类型  0 - 首页，1 - 尾页，2 - 前一页，3 - 下一页，4 – 当前页；首次送0（未签约记录翻页时不输）
        				    Currpage1: '', // 签约记录当前页码  Opertype选择2、3、4时，currpage必输，首次送0
        				    Pagerownum2: '5', // 未签约记录每页显示条数 
        				    Opertype2: '0', // 未签约记录操作类型
        				    Currpage2: '0', // 未签约记录当前页码
                        },
    					pageSize: 5,
                    },
                    //分组字段（默认null）
    				groupField : 'Protocolacc',
                    groupHeaderTpl : [
                    
              		],
                    //向右箭头（默认false）
                    disclosure: false,
                    //数据展现模版
                    itemTpl: [
                              App.MCFundFocusSignInformationQueryTpl2
                    ]
                });
        	}
        },
        
        onQuery: function(ajax, data, result) {
        	App.tab.setActiveItem(4);
        },
        
        /**
		 * 选中记录
		 */
        onSelectRecord: function(itemCls){
        	if(itemCls.Serchstat!=1 || itemCls.Paystat!=1){
        		Fw.Tips.info("开通委托查询和委托付款后才能签约");
        		return;
        	}
        	App.otherBankSweepAcc = itemCls;
        	App.changeSweepCycle();
        	App.tab.setActiveItem(5);
        }
        
    };
}();
