/**
 * 选项卡#子页面1
 */
App.list = function() {    
	var listPro;
	var card;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '大额存单查询/支取' ,
            rightButton: {
                //按钮标题
                text: 'searchico',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	       	
        	//判断是否要刷新页面
        	if(App.tool.isExist(params)){
        		this.initData(params);
        	}
            //手动隐藏等待层
//            Fw.LoadMask.hide();
        },  
        /**
         * 初始化列表数据
         * @param parameters
         * @returns
         */
        initData: function(parmas){
        	card = parmas.card;
        	var parameters = {
        			PayerAccountNo:parmas.card.No,
        			ProductState:parmas.ProductState,
        			CardFlag:parmas.card.BankAcType,
        			RunFlag:parmas.RunFlag
        	}; 
        	this.initListView(parameters);
        },
        initListView: function(parameters){
        	$('#listPro').html('');
         	if(!listPro){
	    		//定义列表
        		listPro = new Fw.ListView({
	                //EL
	                contentEl : 'listPro',
	                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	                ajax : {                 
	                    service: 'cerDepositService',
	                    method: 'queryMyCerDeposit',
	                    //请求参数
	                     params: parameters,                   
	                    loadMask: '查询中',
	                    //是否分页（默认true）
	                    page: false,
//	                    pageSize: 5,
	                    staticData: false,
	                    //查询数据后触发
	                    listeners:{
	                    	query: App.list.onQuery,
	                    }
	                },
	                cls: '',
	                groupCls: '',
	                groupHeaderBaseCls: '',
	                groupHeaderCls: '',
	                itemBaseCls: 'sx-list-item',
	                itemCls: 'sui-border-t',
	                pressedCls: '',
	                itemTpl: [
						'<div class="item-bom">',
							'<div class="item-bom-left">',
								'<p class="item-bom-left-t">${item.TdIntr}<span style="font-size: 18px;">%</span></p>',
								'<p class="item-bom-left-b">年利率</P>',
							'</div>',
							'<div class="item-bom-hr">',
							'</div>',
							'<div class="item-bom-right">',
								'<p>存储金额<span>${item.TdTotlAmt}</span></p>',
								'<p>到期日期<span>${item.TdDueDt|fmtDate,"yyyy.MM.dd"}</span></p>',
								'<p>交易日期<span>${item.TdTxDt|fmtDate,"yyyy.MM.dd"}</span></p>',
//								'{@if item.TdClsdIntcTyp == "0"}',
//									'<p>结息方式<span>到期结息</span></p>',
//								'{@else}',
//									'<p>结息方式<span></span></p>',
//								'{@/if}',
//								'{@if item.TdAhdDrwFlg == "1"}',
//									'<p>是否可以提前支取<span>是</span></p>',
//								'{@else}',
//									'<p>是否可以提前支取<span>否</span></p>',
//								'{@/if}',
								'<p>交易渠道<span>${item.TdChanlCod|fmtChanlStr}</span></p>',
								'<p>账号状态<span>${item.TdAcctSts|fmtAcctStatus}</span></p>',
							'</div>',
						'</div>',
	                ]
	            });
        		listPro.on('itemclick', this.onSelect, this);
    		}else{
    			listPro.ajax.clearParams();    			
    			listPro.ajax.setParams(parameters); 
    		}         	
            //加载数据
        	listPro.loadData();
        },
        
        onQuery : function(ajax, data, result) {
        	
        	if(null ==result.result || undefined==result.result){
        		Fw.Tips.warn("您没有大额存单！");
        	}
            
        },
        
        /**
         * 初始化事件
         */
        initEvents: function(){
        	
        },
        /**
         * 选中记录时触发(风险评估)
         */
        onSelect : function(record, index, item, e, cmp) {
        	
        	var parameters = {
        			AcctNo: card.No,
        			CustName: card.Name,
        			RiskCode: record.RiskCode,
    				ProdCode: record.ProdCode,
    				CardFlag: card.BankAcType
        	};
        	
        	// 转到购买大额存单页面
        	App.params = {
  					card: card,
  					product: record
  			};
        	App.tab.setActiveItem(2);
        	
        }
    };
}();