/**
 * 选项卡#子页面1
 */
App.buy = function() {    
	var formBuy;
	var nowdate;
	var params;
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {
            App.viewConfig.title="大额存单认购";
        	//标题栏信息
        	Fw.apply(App.viewConfig, App.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!formBuy){
        		//表单
            	formBuy = new Fw.Form({               
                    contentEl : 'formBuy',              
                    resettable: false,               
                    msgTarget: 'tips'
                });
            	formBuy.on('submit',this.toBuyCfm,this);
            	//绑定事件form.on('change', this.onChange, this);
            	formBuy.on('change',this.onChange, this);
        	}
        	       	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}        	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	params = parameters;
//        	this.initCurDate();
        	this.initBuy(parameters);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){       	
        	$('#toBuyCmf-btn').on('click',function(){
        		formBuy.submit();
        	});
        	$('#DeptIdQry').on('click',App.queryDept);        	
        },
        /**
         * 初始化购买页面
         * @param parameters
         * @returns
         */
        initBuy: function(parameters){        
        	var card = parameters.card;
        	var product = parameters.product;
        	var deptId = parameters.deptId;
        	App.DeptId = Fw.app.Session.getCifDeptId();       	
        	var RiskName = product.RiskName + "";
        	RiskName = RiskName.substring(0,RiskName.length-3)//产品级别
        	var Sgpurclper = product.Sgpurclper;
			if(Sgpurclper==undefined||Sgpurclper==null){
				if(product.Brpurclper==undefined||product.Brpurclper==null){
					Sgpurclper = "暂无";
				}else{
					Sgpurclper = product.Brpurclper;
				}
			}
			
			// 是否可以提前支取
			var isPreTakeShow = "";
			if(product.TdAhdDrwFlg=='1'){
				isPreTakeShow = "是";
			}else{
				isPreTakeShow = "否";
			}
			
			var withdrawMethod = "";
			if(product.TdAhdIntCalMtd=="2"){
				withdrawMethod = "按活期存款利率计算";
			}
			
			var TdIsuFlgShow = "";
			if(product.TdIsuFlg=='1'){
				TdIsuFlgShow = "全部";
			}else{
				TdIsuFlgShow = "个人";
			}
			
        	//初始化数据
        	formBuy.setValues({
        		buyPayerName:card.Name,
        		buyPayerNo:Fw.util.Format.fmtAcctNo(card.No,true),
        		buyCode:Fw.util.Format.fmtCurrency(card.Currency.Code),
        		buyProName:product.TdPdName,
        		buyProCode:product.TdPdNo,
        		rate:product.TdIntr+"%",
        		tdClsdIntcTyp: Fw.util.Format.fmtTdClsdIntcTyp(product.TdClsdIntcTyp),
        		leftAmt:product.TdCiBal,
        		minSaveAmt:product.TdLargeFdepAmt1,
        		perAddAmt:product.TdFdepIncrAmt1,
        		
        		TdIssuStrtDt:product.TdIssuStrtDt,
        		TdIssuCutDt:product.TdIssuCutDt,
        		
        		isPreTake:isPreTakeShow,
        		TdAhdIntCalMtd:withdrawMethod,
        		
        		buyPerAmout:product.PerAmout,
        		TdIsuFlgShow:TdIsuFlgShow,
        		buyProAmt:"",
        		ReferrerNo:""
        	});
        	if(product.Estcustlyr==product.Estcusthyr){
    			 $('#buyEstcustlyrD').hide();
    			 $('#buyEstcustHyrD').hide();
    		}else{
    			$('#buyNormD').hide();
    		}
        	//理财剩余金额查询=0=0
//        	this.queryMCFinancialRemanentAmt(product.ProdCode,card.No);
        	//网点机构加载
        	/*var parmas = {
        			FunCode:'2',
        			DeptName:'',
        			DeptId: Fw.app.Session.getCifDeptId(),
        			DeptSeq:Fw.app.Session.getDeptSeq()
        	};
        	App.tool.getAjax('helperService', 'getWebSites', parmas, function(data){
        		var applyBranch = data.List;
        		if(applyBranch.length>0){
        			$('#DeptIdQry').text(applyBranch[0].DeptName);
        		}
        	});*/
        	
        	
        },
        onChange: function(name, value, oldValue, field){
        	if(name=="buyProNum"){
        		$('[name=buyProAmt]').val(Number(value)*Number($('[name=buyPerAmout]').val()));
        	}
        },
        /**
         * 理财剩余金额查询=0=0
         */
        queryMCFinancialRemanentAmt:function(proCode,No){
        	var parmas = {ProdCode:proCode,AcctNo:No};
        	App.tool.queryAjax('FinancialProcService', 'queryMCFinancialRemanentAmt', parmas, function(data){
        		var limitNum = data.RemanentAmt;
        		$('[name=limitNum]').val(limitNum||'--');//可以购买的余额（展示最小额度）
        	});
        },
        
        /**
         * 购买确认
         * @returns
         */
        toBuyCfm : function(values){
        	//验证
        	var buyProNum=values.buyProAmt;
        	
        	if(Number(buyProNum)<Number(values.minSaveAmt)){
        		Fw.Tips.info("认购金额不能低于起存金额！");
				return;
        	}
        	
        	var minus = Number(buyProNum)-Number(values.minSaveAmt);
        	var data = Number(minus)%Number(values.perAddAmt)
        	if(data != 0){
        		Fw.Tips.info("起存金额不正确！");
				return;
        	}
        	
        	//初始化
			App.params = {
  					card: params.card,
  					product: params.product,
  					deptId: params.deptId,
  					form: values
  			};
        	App.tab.setActiveItem(3);
        },
        
   };
}();