/**
 * 选项卡#子页面1
 */
App.buyCfm = function() {    
	var formBuyCfm;
	var financialInfo;
	var ForceFlag='1';//判断是否强制购买
	var buyProName;
	var buyProCode;
	var buyCode;
	var rate;
	var buyProAmt;
	var tdClsdIntcTyp;
	var bluetoothKeySignatureData = { // 蓝牙key签名信息
		signCert : "", // 证书
		signatureCleartext : "", // 签名明文
		signatureCiphertext : "" // 签名密文
	};
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {       	
        	App.viewConfig.title = '大额存单认购';            
        	//标题栏信息
        	Fw.apply(App.viewConfig, App.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!formBuyCfm){
        		//表单
            	formBuyCfm = new Fw.Form({               
                    contentEl : 'formBuyCfm',              
                    resettable: false,               
                    msgTarget: 'tips'
                });
            	formBuyCfm.on('submit',this.buy,this);
        	}
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}
        	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	this.initBuy(parameters);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));        	
        	       	
        	$('#buySubmit-btn').on('click',function(){
        		formBuyCfm.submit();
        	});
        },
        /**
         * 初始化购买确认页面
         * @param parameters
         * @returns
         */
        initBuy: function(parameters){        
        	financialInfo = parameters;
        	var product = parameters.product;
        	var values = parameters.form;
        	buyProName = values.buyProName;
			buyProCode = values.buyProCode;
			buyCode = values.buyCode;
			rate = values.rate;
			buyProAmt = values.buyProAmt;
			tdClsdIntcTyp = values.tdClsdIntcTyp;
        	var card = financialInfo.card;
       	 	App.queryBalance(card);
       	 
        	//初始化动态口令
        	this.initOtp();
        	//初始化短信验证
        	this.initSms();        	
        	//初始化数据
        	formBuyCfm.setValues({
        		buyPayerName:values.buyPayerName,
        		buyPayerNo:values.buyPayerNo,
        		buyCode:values.buyCode,
        		buyProName:values.buyProName,
        		buyProCode:values.buyProCode,
        		rate:values.rate,
        		tdClsdIntcTyp: values.tdClsdIntcTyp,
        		leftAmt:values.leftAmt,
        		minSaveAmt:values.minSaveAmt,
        		perAddAmt:values.perAddAmt,
        		
        		TdIssuStrtDt:values.TdIssuStrtDt,
        		TdIssuCutDt:values.TdIssuCutDt,
        		
        		isPreTake:values.isPreTake,
        		TdAhdIntCalMtd:values.TdAhdIntCalMtd,
        		TdIsuFlgShow:values.TdIsuFlgShow,
        		buyProAmt:values.buyProAmt,
        		ReferrerNo:values.ReferrerNo
        	});
        	if(product.Estcustlyr==product.Estcusthyr){
    			 $('#buyEstcustlyrCfmD').hide();
    			 $('#buyEstcustHyrCfmD').hide();
    		}else{
    			$('#buyNormCfmD').hide();
    		}
        	if(values.manageName!=''||values.manageName!=undefined){
        		$('[name=manageNameCfm]').val(values.manageName);
        	}else{
        		$('[name=manageNameCfm]').val("")
        	}
        	
        	$('[name=smscode]').val('');
	       	 $('[name=smscode]').attr('placeholder','请输入验证码');
	       	 $('[name=taransPwd]').val('');
	       	 $('[name=taransPwd]').attr('placeholder','请输入交易密码');
	       	 $('[name=optNo]').val('');
	       	 $('[name=optNo]').attr('placeholder','请输入口令序号');
	       	 $('[name=oTPPassword]').val('');
	       	 $('[name=oTPPassword]').attr('placeholder','请输入动态口令');
	       	 $('[name=buyProNum]').val('');
        },
        /**
         * 购买
         * @returns
         */
        buy : function(values){
        	//初始化动态口令
        	var isOtp = Fw.app.Session.getIsOtp();
        	//初始化短信验证
        	var isSms = Fw.app.Session.getIsSms();
        	 Fw.Msg.cfm('确定购买此产品?', function(code, btn, win){
                 if(code=="yes"){               	 
                	 var card = financialInfo.card;
                	 var product = financialInfo.product;
                	 var form = financialInfo.form;
                	 var RunType = '1';
                	 if(product.RunType=='1'){
                		 RunType = '0';
                	 }
                	 var params = {
		             		PayerAccountNo:card.No,
		             		PayerAccountBankAcType:card.BankAcType,
		             		PayerAcName:'',
		             		PayerCurrencyCode:card.Currency.Code,//币种类型
		             		PayerCurrencyCRFlag:card.Currency.CRFlag,//汇钞标志
		             		TrsPassword:values.taransPwd,
		             		
		             		TdPdNo:product.TdPdNo,
                	 		TdPdName:product.TdPdName,
                	 		TdTotlAmt:product.TdTotlAmt,
                	 		TdCiBal:product.TdCiBal,
                	 		TrsAmount:values.buyProAmt,
                	 		TdRedeTotAmt:'',
                	 		
                	 		TdIssuStrtDt:product.TdIssuStrtDt,
                	 		TdIssuCutDt:product.TdIssuCutDt,
                	 		TdIntr:product.TdIntr,
                	 		TdIntrBak:product.TdIntrBak,
                	 		TdClsdIntcTyp:product.TdClsdIntcTyp,
                	 		TdAhdDrwFlg:product.TdAhdDrwFlg,
                	 		TdAhdIntCalMtd:product.TdAhdIntCalMtd,
                	 		TdLargeFdepAmt1:product.TdLargeFdepAmt1,
                	 		TdFdepIncrAmt1:product.TdFdepIncrAmt1,
                	 		TdIsuFlg:product.TdIsuFlg,
                	 		TdCurrCod:product.TdCurrCod,
                	 		ReferrerNo:values.ReferrerNo||"",
                     };
                	 params.isOtp=isOtp;
                	 params.isSms=isSms;
                	 if(isOtp!='0'){//判断是否进行动态口令验证
                		 params.otpType=Fw.app.Session.getOtpType(); 
                		 params.otpNo=Fw.app.Session.getOtpNo();
                		 params.oTPPassword=values.oTPPassword;
                		 params.challenge='0';
                	 }
                	 if(isSms=='1'){//判断是否进行短信验证
                		 params.smscode=values.smscode;
                		 params.smsSecurity=App.buyCfm.smsSecurity;
                	 }
                	 App.buyCfm.encryptTrans(params, values);
                 }
             });
        },
        encryptTrans : function(params, values) {
			if ("5" == Fw.app.Session.getIsOtp()) { // 蓝牙key
				var clearData = App.buyCfm.getSignDataforBluetoothKey();
				Fw.BluetoothKey
						.encryptByBluetoothKey(
								clearData,
								Fw.app.Session,
								function(data) {
									bluetoothKeySignatureData = data;
									params.SignCert = bluetoothKeySignatureData.signCert;
									params.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext;
									params.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext;
									App.tool.queryAjax('cerDepositService',
											'executeCerDepositProductBuy',
											params, function(data) {
												App.buyCfm.executeSucData(data,
														values);
											});
								});
			} else {
				App.tool.queryAjax('cerDepositService',
						'executeCerDepositProductBuy', params, function(data) {
							App.buyCfm.executeSucData(data, values);
						});
			}
		},
		/**
		 * 蓝牙key签名明文参数
		 */
		getSignDataforBluetoothKey : function() {
			var card = financialInfo.card;
			var product = financialInfo.product;
			// 交易参数
			var data = {
				tradeName : "大额存单认购", // 交易名
				tradeId : "MCCertificateDepositSubscribe", // 接口名
				labelData : [
						{
							labelName : "BuyProName",
							labelValue : buyProName
						},
						{
							labelName : "BuyProCode",
							labelValue : buyProCode
						},
						{
							labelName : "BuyPayerNo",
							labelDesc : "账户: ",
							labelValue : card.No
						},
						{
							labelName : "BuyCode",
							labelDesc : "账户币种: ",
							labelValue : Fw.util.Format.fmtCurrency(buyCode)
						},
						{
							labelName : "Rate",
							labelDesc : "年利率: ",
							labelValue : rate
						},
						{
							labelName : "TdClsdIntcTyp",
							labelDesc : "付息方式: ",
							labelValue : tdClsdIntcTyp
						},
						{
							labelName : "BuyProAmt",
							labelDesc : "认购金额: ",
							labelValue : Fw.util.Format.fmtNumber(buyProAmt)
						},
						{
							labelName : "Balance",
							labelDesc : "可用余额: ",
							labelValue : Fw.util.Format
									.fmtNumber(Fw.util.Format.unFmtAmt($(
											'#balance').text()))
						} ]
			};
			return data;
		},
        /**
         * 处理购买成功数据
         */
        executeSucData : function(data,values){ 
        	var card = financialInfo.card;
//       	 	var product = financialInfo.product;
       	 	data.cardDeptSeq = financialInfo.card.DeptSeq;
//       	 	data.activityAmount=product.
        	App.params = data;
    		App.tab.setActiveItem(4);
        },
        /**
    	 * 调用动态口令初始化start
    	 */
        initOtp: function(){   	
        	//动态口令标志
        	var isOtp=Fw.app.Session.getIsOtp();
//        	isOtp = '0';
        	//动态口令类型
        	var otpType=Fw.app.Session.getOtpType();
        	//动态口令序号
        	var otpNo=Fw.app.Session.getOtpNo();
        	//挑战值生成规则
        	var coderule="1234567890azAZ"
        	param={
        		'isOtp':isOtp,
        		'otpType':otpType,
        		'otpNo':otpNo,
        		'isChallenge':'0',
        		'coderule':coderule
        	};
        	//初始话动态口令显示
        	Fw.Otp.initDynamicPwd(param);
        	return isOtp;
        },
        initSms : function(){
        	//初始化短信验证
        	var isSms = Fw.app.Session.getIsSms();
        	if(isSms == "1"){
    			$('#sms').show();
    		}else{
    			$('#sms').hide();
    		}
        	return isSms;
        },        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
					    //0表示本地获取 1表示 渠道端获取
					    socket: '0',
						modType : 0,
						payeeAcNo : financialInfo.card.No,//收款账户
						payeeAcName : financialInfo.card.Name,//收款账户名
						amount : financialInfo.form.buyPerAmout,//金额
						UserSeq : Fw.app.Session.getUserSeq(),//用户序号
						transName : "大额存单产品购买"
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			App.buyCfm.smsSecurity = data.smsSecurity;
		}    
   };
}();