var App = function(){
	var installment,firstForm,formSecond;
    var buttons = $('button');
    var CredNo = null;
    var CurrNum = null;
    var curCreditNo = null;
    var credits = null;
    var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
    return {
    	requires : [
		            'Fw.app.Session',
		            'Fw.Otp',
		            'Fw.Keyboard',
		            'Fw.Form',
		            './installment',
		            'Fw.device.Device',
		            'Fw.BluetoothKey'
		            ],
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '随心分',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        init : function(require) {
        	//加载公共方法
        	installment = Fw.Installment;         	
        	this.initData();
        	this.initEvent();
        	//手动隐藏等待层
            //Fw.LoadMask.hide();
        },
        initHotCardInfo : function(){
        	var params=Fw.decode(Fw.getParameters());
        	$('#acNo').empty();
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMobileDefaultActsQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(c, result) {
                    //账户列表
                  	var cards = c.AcList;
                	credits = [];
                	var j=0;
                	for(var i=0;i<cards.length;i++){
                		var card = cards[i];
            			if(card.BankAcType == "PCRC"){
            				credits.push(card);
            	        	if(!Fw.isEmpty(params)&&params.No==card.No){ 
            	        		$('#acNo').append("<option value="+j+" selected>"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");   	        
            	        	}else {
            	        		$('#acNo').append("<option value="+j+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
            	        	}
            				j++;
            			}
                	}
                	if(j == 0){
            			Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
                   			 function(code, btn, win){
        							if(code == "yes"){
        								Fw.redirect('../../account/adddowncard/adddowncard.html');
        							}else{
        								Fw.device.Device.gotoIndex();
        							}
                   	 		}
            			);
            			Fw.LoadMask.hide();
            		}
                	var curCard = credits[$('#acNo option:selected').val()];
            		curCreditNo = curCard.No;
            		CurrNum = curCard.Currency.Code;
                	$('#CurrNum').text(Fw.util.Format.fmtCurrency(CurrNum));
            		$('.acNo').text(Fw.util.Format.fmtAcctNo(curCreditNo,true));
                	//测试
//                	curCreditNo = '6228168210001101';        	
                	//获取CredNo
                    var currency = "156"; //人民币
                 	if("USD"==CurrNum){
                 		currency="840"; //美元
                 	}
                	var parameters = {
                    		'PayerAcc' :curCreditNo, 'MpType':'W', 'ZoneNo':'', 'Product':'', 'MerType':'', 'MerId':'', 'CurrNum':currency      			     			
                    	};         
                    installment.queryAmortPlan(parameters, function(data){
                    	App.getCredNo(data);
                    }); 
                },
               
            });
        },
        initData : function(){
        	//初始化头部卡片
        	this.initHotCardInfo();

        	if(!firstForm){
        		firstForm = new Fw.Form({
                    //EL
                    contentEl : 'firstForm',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
               }); 
        	}
        },
        initEvent : function(){
        	$('#acNo').on('change',function(){
        		App.onChange();
        	});
        	firstForm.on('submit', App.toCount, this);
        	buttons.on('click', Fw.bind(this.onButtonClick, this));
        },
        /**
         * 试算
         */
        toCount : function(values){
        	var LnAmt = Fw.util.Format.unFmtAmt(values.LnAmt);
        	var MpLRemPpl = Fw.util.Format.unFmtAmt($('#MpLRemPpl').text());
        	if(Number(LnAmt)+Number(MpLRemPpl)>300000){
        		Fw.Msg.info('随心分申请额度超限。');
        		return false;
        	}
        	if(parseFloat(LnAmt)>parseFloat(Fw.util.Format.unFmtNumber($('#MpLBal').text()))){
        		Fw.Tips.info('分期金额不能大于随心分可用额度!');
        		return;
        	}
        	if(parseFloat(LnAmt)<=0){
        		Fw.Tips.info('分期金额不能小于或等于零!');
        		return;
        	}
        	var LnDays = values.LnDays;
        	var parameters = {
				'PayerAcc':curCreditNo, 
				'PinFlag':'0', 
				'Pin':'',
				'Option':'1',
				'PlanId':CredNo,
				'LnAmt':installment.fmtMoneyToPoint(LnAmt),
				'LnDays':LnDays,
				'BranNo':'',
				'OriIntbs':'',
				'LoanFlag':'0',
				'DebitCard':'',
				'isOtp':'0'
			};
        	this.executeCashApplyFeeTrail(parameters, function(data){        		
        		$('#FeePcnt').text((Number(data.FeeRate2)/100).toFixed(2)+"%");
        		$('#FeeAmt').text(Fw.util.Format.formatterMoney(data.FeeAmt));
        	});
        	$('#count').show();
        	$('#apply1').removeClass('sui-hide');
        	$('#count1').addClass('sui-hide');
        },
        /**
         * 确认
         */
        toSecondStep :function(){
        	$('#instAmt2').text($('#LnAmt').val());//分期金额
        	$('#instDay2').text($('#LnDays').val());//分期天数
        	$('#instFeePcnt2').text($('#FeePcnt').text());//最终费率
        	$('#instFee2').text($('#FeeAmt').text());//分期总费用
        	/**
        	 * 调用动态口令初始化start
        	 */
        	//动态口令标志
        	var isOtp='0';//去掉动态令牌验证
        	//动态口令类型
        	var otpType=Fw.app.Session.getOtpType();
        	//动态口令序号
        	var otpNo=Fw.app.Session.getOtpNo();
        	var coderule = '';
        	param={
        		'isOtp':isOtp,
        		'otpType':otpType,
        		'otpNo':otpNo,
        		'isChallenge':'0',
        		'coderule':coderule
        	};
        	//初始话动态口令显示
        	Fw.Otp.initDynamicPwd(param);
        	$('#firstStep').addClass('sui-hide');
        	$('#secondStep').removeClass('sui-hide');
        	if(!formSecond){
        		formSecond = new Fw.Form({
                    //EL
                    contentEl : 'formSecond',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
               });
            	formSecond.on('submit', this.toSubmit, this);
        	}
        },
        /**
         * 申请提交
         */
        toSubmit : function(values){       	
        	Fw.Msg.cfm('您确定进行分期申请操作?', function(code, btn, win){
        		if(code == 'yes'){
		        	var LnAmt = Fw.util.Format.unFmtAmt($('#LnAmt').val());
		        	var LnDays = $('#LnDays').val();
		        	var transPwd = values.transPwd;
		        	var parameters = {
		    				'PayerAcc':curCreditNo, 
		    				'PinFlag':'2', 
		    				'Pin':transPwd,
		    				'Option':'2',
		    				'PlanId':CredNo,
		    				'LnAmt':installment.fmtMoneyToPoint(LnAmt),
		    				'LnDays':LnDays,
		    				'BranNo':'',
		    				'OriIntbs':'0',
		    				'LoanFlag':'0',
		    				'DebitCard':'',
		    				'FundUsage':values.FundUsage
		    			};
		        	parameters.isOtp='0';//去掉动态口令
		        	if(parameters.isOtp != '0'){        		
		        		parameters.otpType=Fw.app.Session.getOtpType(); 
		        		parameters.otpNo=Fw.app.Session.getOtpNo();
		        		parameters.oTPPassword=values.oTPPassword;
		        		parameters.challenge='0';
		        	}
		        	if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
                		var clearData = App.getSignDataforBluetoothKey(values);
                		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
                				function(data){
                			bluetoothKeySignatureData = data;
                			parameters.SignCert = bluetoothKeySignatureData.signCert;
                			parameters.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext;
                			parameters.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext;
                			App.executeCashApplyFeeTrail(parameters, function(data){
        		        		var params = {
                            			instType:"cashApply",
                            	    	data:data 
                            	    };
                            	//跳转结果页
                            	Fw.redirect("./instResult.html", Fw.encode(params));
        		        	});	
                			});
                	}else{
                		App.executeCashApplyFeeTrail(parameters, function(data){
    		        		var params = {
                        			instType:"cashApply",
                        	    	data:data 
                        	    };
                        	//跳转结果页
                        	Fw.redirect("./instResult.html", Fw.encode(params));
    		        	});	
                	}	        	
        		}
        	});
        },
        /**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKey: function(values){
        	//交易参数
        	var data = {
        			tradeName: "随心分", //交易名
        			tradeId: "MCCashAmortApplyFeeTrail", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "PayerAcc", labelDesc: "账号: ", labelValue: curCreditNo
			            },{
			            	labelName: "PlanId", labelValue: CredNo
			            },{
			            	labelName: "LnAmt", labelDesc: "分期金额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('#LnAmt').val()))
			            }, {
			            	labelName: "LnDays", labelDesc: "分期天数: ", labelValue: $('#LnDays').val()
			            },{
			            	labelName: "FeePcnt", labelDesc: "最终费率: ", labelValue: $('#FeePcnt').text()
			            },{
			            	labelName: "FeeAmt", labelDesc: "分期总费用: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('#FeeAmt').text()))
			            } ]
        	};
        	return data;
        },
        /**
         * 获取CredNo
         */
        getCredNo : function(data){
        	CredNo = data.CredNo;
        	//随心分可分期金额查询
       	 	var params = {
            		'CardNo':curCreditNo, 'PinFlag':'0', 'TrsPassword':''
            };
            this.queryCashAmortAmt(params, function(data){
            	$('#MpLLmt').text(Fw.util.Format.fmtNumber(data.MpLLmt));
            	$('#MpLRemPpl').text(Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt(Fw.util.Format.formatterMoney(data.MpLRemPpl))));
            	var MpLBal = (Number(data.MpLLmt) - Number(Fw.util.Format.unFmtAmt(Fw.util.Format.formatterMoney(data.MpLRemPpl)))).toFixed(2);
            	$('#MpLBal').text(Fw.util.Format.fmtNumber(MpLBal));
            	$('#totalAmt').text(Fw.util.Format.fmtNumber(MpLBal));
            });
        },
        /**
         * 头部下拉切换
         */
        onChange : function(node){
        	curCreditNo = credits[$('#acNo option:selected').val()].No;
        	CurrNum = credits[$('#acNo option:selected').val()].Currency.Code;
        	$('.acNo').text($('#acNo option:selected').text());
        	$('#CurrNum').text(CurrNum);
        	var params = {
        			"No" : curCreditNo,
					"Currency" : {
						"Code" : CurrNum
		        	}
        	};
        	Fw.redirect("./cashInstApply.html", Fw.encode(params));
        },
        /**
         * 点击按钮时触发
         */
        onButtonClick: function(e){
            switch(e.target.id){
                case 'count-btn':
                	firstForm.submit();
                    break;
                case 'count1-btn':
                	firstForm.submit();
                    break;
                case 'apply1-btn':
                	App.toSecondStep();
                    break;
                case 'apply2-btn':
                	formSecond.submit();
                    break;
            }
        },
        /**
         * 随心分手续费试算/申请(现金分期)
         * Option  1：贷款试算  2：贷款申请 
         */
        executeCashApplyFeeTrail : function(parameters,callback){
        	Fw.util.Ajax.execute({               
                service: 'installmentService',
                method: 'executeCashApplyFeeTrail',
                //请求参数
                params: parameters,   
                staticData: false,
                //loadMask: true,
                //是否使用数据挡板（默认false）
                success: function(data, result) {
               	 	exeCallback(data,callback);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        /**
         * 随心分可分期金额查询
         */
        queryCashAmortAmt : function(parameters,callback){
        	Fw.util.Ajax.query({               
                service: 'installmentService',
                method: 'queryCashAmortAmt',
                //请求参数
                params: parameters,   
                staticData: false,
                //loadMask: true,
                //是否使用数据挡板（默认false）
                success: function(data, result) {
               	 	exeCallback(data,callback);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        /**
         * 右上角返回键重写
         */
        leftButtonHandler : function(){
        	var list = [
        	            $('#firstStep'), $('#secondStep')
        	            ];
        	installment.handerBack(list);
        }
    }
}();
function exeCallback(data,callback){
	callback(data);
}
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);