/**
 * 选项卡#子页面1
 */
var App = function() {
	var tool;
	var installment;
    return {     
    	requires : [
    	            	'./installment',
    	            	'../util/CardUtil'
		            ],
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '分期申请结果',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        init : function(require) {
        	tool = new Fw.CardUtil();
        	installment = Fw.Installment;
        	var parameters = Fw.decode(Fw.getParameters());
        	if(!tool.isExist(parameters)){
        		Fw.Msg.info('分期申请结果加载失败...',function(){
        			Fw.device.Device.gotoIndex();        			
        		});        	
        	}
        	//标题栏信息
        	var title = '分期申请结果';
        	if('unset' == parameters.instType){
        		title = '灵活分期申请结果';
        	}else if('repay' == parameters.instType){
        		title = '提前还款结果';
        	}else if('cashApply' == parameters.instType){
        		title = '随心分申请结果';
        	}else if('cancle' == parameters.instType){
        		title = '撤销结果';
        	}else if('haveInst' == parameters.instType){
        		title = '账单分期申请结果';
        	}
        	Fw.apply(App.viewConfig, {title:title});
        	//设置标题栏
        	Fw.device.Device.applyView(App);        
        	this.initData(parameters); 
        	this.initEvents();
        	Fw.LoadMask.hide();
        },      
        initData : function(params){
        	var orderCont = $('#orderCont');
        	var html = '';
        	if('unset' == params.instType||'unset1' == params.instType){
	        	var data = params.data;	        	
	        	//网银流水号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">网银流水号</label>';
	    		html = html + '<p class="x-display-info">'+data._MCSJnlNo+'</p>';
	    		html = html + '</div>';
	    		//申请日期
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">申请日期</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.WorkDate,"yyyy-MM-dd")+'</p>';
	    		html = html + '</div>';
	    		//申请卡号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">申请卡号</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtAcctNo(data.PayerAcc,true)+'</p>';
	    		html = html + '</div>';
	    		//分期期数
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">分期期数</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.unFmtNumber(data.MonthNbr)+'期'+'</p>';
	    		html = html + '</div>';
	    		//每月还款额
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">每月还款额</label>';
	    		html = html + '<p class="x-display-info">'+installment.formatterMoney(data.InstalAmt)+'</p>';
	    		html = html + '</div>';
	    		//手续费
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">手续费</label>';
	    		html = html + '<p class="x-display-info">'+installment.formatterMoney(data.FeeAmt)+'</p>';
	    		html = html + '</div>';
        	}else if('repay' == params.instType){
        		$('#title').text('还款成功');
	        	var data = params.data;	        	
	        	//网银流水号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">网银流水号</label>';
	    		html = html + '<p class="x-display-info">'+data._MCSJnlNo+'</p>';
	    		html = html + '</div>';
	    		//交易日期
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">交易日期</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.WorkDate,"yyyy-MM-dd")+'</p>';
	    		html = html + '</div>';
	    		//还款来源卡号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">还款来源卡号</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtAcctNo(data.PayerAcc,true)+'</p>';
	    		html = html + '</div>';
	    		//提前还款手续费
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">提前还款手续费</label>';
	    		html = html + '<p class="x-display-info">'+installment.formatterMoney(data.AcceFee)+'</p>';
	    		html = html + '</div>';	    		
        	}else if('cashApply' == params.instType){
        		$('#title').text('分期成功');
	        	var data = params.data;	        	
	        	//网银流水号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">网银流水号</label>';
	    		html = html + '<p class="x-display-info">'+data._MCSJnlNo+'</p>';
	    		html = html + '</div>';
	    		//申请日期
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">申请日期</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.WorkDate,"yyyy-MM-dd")+'</p>';
	    		html = html + '</div>';
	    		//申请卡号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">申请卡号</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtAcctNo(data.PayerAcc,true)+'</p>';
	    		html = html + '</div>';
	    		//分期金额
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">分期金额</label>';
	    		html = html + '<p class="x-display-info">'+installment.formatterMoney(data.LnAmt)+'</p>';
	    		html = html + '</div>';
	    		//分期天数
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">分期天数</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtNumber(data.LnDays,'0')+'天</p>';
	    		html = html + '</div>';
	    		//最终费率
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">最终费率</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtNumber(parseFloat(Fw.util.Format.fmtNumber(data.FeeRate2))/100)+'%</p>';
	    		html = html + '</div>';
	    		//分期费用
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">分期费用</label>';
	    		html = html + '<p class="x-display-info">'+installment.formatterMoney(data.FeeAmt)+'</p>';
	    		html = html + '</div>';
	    		//分期到期日
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">分期到期日</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.PaycfDay,"yyyy-MM-dd")+'</p>';
	    		html = html + '</div>';
        	}else if('cancle' == params.instType){
        		$('#title').text('撤销成功');
	        	var data = params.data;	        	
	        	//网银流水号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">网银流水号</label>';
	    		html = html + '<p class="x-display-info">'+data._MCSJnlNo+'</p>';
	    		html = html + '</div>';
	    		//交易日期
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">交易日期</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.WorkDate,"yyyy-MM-dd")+'</p>';
	    		html = html + '</div>';
	    		//撤销卡号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">还款来源卡号</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtAcctNo(data.PayerAcc,true)+'</p>';
	    		html = html + '</div>';	    		
        	}else if('haveInst' == params.instType){
        		var data = params.data;	        	
	        	//网银流水号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">网银流水号</label>';
	    		html = html + '<p class="x-display-info">'+data._MCSJnlNo+'</p>';
	    		html = html + '</div>';
	    		//申请日期
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">申请日期</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.WorkDate,"yyyy-MM-dd")+'</p>';
	    		html = html + '</div>';
	    		//申请卡号
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">申请卡号</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtAcctNo(data.PayerAcc,true)+'</p>';
	    		html = html + '</div>';
	    		//分期期数
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">分期期数</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.unFmtNumber(data.MonthNbr)+'期'+'</p>';
	    		html = html + '</div>';
	    		//分期金额
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">分期金额</label>';
	    		html = html + '<p class="x-display-info">'+installment.formatterMoney(data.Amt)+'</p>';
	    		html = html + '</div>';	    		
        	}
        	orderCont.append(html);
        },      
        initEvents: function(){
        	$('#submit-btn').on('click',function(){
        		Fw.device.Device.gotoIndex();
        	});
        },
        leftButtonHandler: function(){
        	Fw.device.Device.gotoIndex();
        }
    }
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);