var App = function(){
	var listView,form;//列表
	var installment;//公共js（工具）
	var curAmt = 0;//当前分期金额
	var curCreditNo = null;//当前信用卡卡号
	var CurrNum = null;//当前信用卡货币	
	var CredNo = null;//信用计划编号
	var transSelected = null;//当前选中的交易 
	var credits = null;
	var backUrl = null;
	var TransJNL = null;//交易流水号
	var DESLINE = null;//产品描述
	var List = null;
	var MpType = null;
	var CredNo = null;
	return {
		requires : [
		            'Fw.ListView',
		            'Fw.app.Session',
		            'Fw.Keyboard',
		            'Fw.Form',
		            './installment',
		            //设备
		            'Fw.device.Device',
		            './js/periods.js'
		            ],
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '灵活分期',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        init : function(require) {
        	//加载公共方法
        	installment = Fw.Installment;
        	if(!form){
        		form = new Fw.Form({
        			cls : '',
                    //EL
                    contentEl : 'form',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
        		form.on('submit', App.doSubmit, this); 
        	}
        	if(!this.Periods){
        		this.Periods = new Fw.Periods({
            		contentEl:'dialog',
            		itemTpl:[
            			'<li class="dialog-periods-li-border-d ${index==0 ? "dialog-periods-ul-selected" : "dialog-periods-ul-noselected"}" value="${index}">',
        				'<div class="dialog-periods-left">',
        					'<i class="radio-dialog-periods radio-select-icon"></i>',
        					'<label>${item.MpMbr|unFmtNumber}期</label>',
        				'</div>',
        				'<div class="dialog-periods-right">',
        					'<p>每月还款额${item.InStalAmt|formatterMoney}</p>',
        					'<p class="dialog-periods-right-fee">分期手续费${item.FeeAmt|formatterMoney}</p>',
        					'<p class="dialog-periods-right-fee">费率${item.FeePcnt|fmtPercent2}</p>',
        					'<p class="dialog-periods-right-fee">年化费率${item.FeeYe|fmtPercent2}</p>',
        				'</div>',
        			'</li>'
            		]
            	});
            	this.Periods.on('itemclick', this.onSelectMpMbr, this);
        	}
        	this.initData();
        	this.initEvent();
        	Fw.LoadMask.hide();
        },
        initEvent : function(){   
        	$('.footer-right').on('click', this.toSecondStep);
        	$('#acNo').on('change',function(){
        		App.onChange();
        	});
        	
        	//绑定事件
        	$('#apply2-btn').on('click',Fw.bind(App.toThirdStep,this));
        	
        	//绑定事件         	
        	$('#apply3-btn').on('click',function(){
        		form.submit();
        	});
        	
        	$('[name=period]').on('click', Fw.bind(this.onShow, this));
        },
        //显示期数
        onShow: function(){
        	this.Periods.onShow();
        },
        
        //选择期数
        onSelectMpMbr : function(record, index, item, e, cmp) {
            $('[name=period]').val(Fw.util.Format.unFmtNumber(record.MpMbr)+'期');
            App.setTrialShow(record);
        },
        
        
        /**
         * 头部下拉切换
         */
        onChange : function(node){
        	curCreditNo = credits[$('#acNo option:selected').val()].No;
        	CurrNum = credits[$('#acNo option:selected').val()].Currency.Code;
        	$('#CurrNum').text(Fw.util.Format.fmtCurrency(CurrNum));
    		$('.acNo').text(Fw.util.Format.fmtAcctNo(curCreditNo,true));
        	var params = {
        			"No" : curCreditNo,
					"Currency" : {
						"Code" : CurrNum
		        	}
        	};
        	Fw.redirect("./unsettledBillInstApply.html", Fw.encode(params));
        },
        initHotCardInfo : function(){
        	$('#acNo').empty();
        	var params=Fw.decode(Fw.getParameters());
        	var cards = Fw.app.Session.getAllCards();
        	credits = [];
        	var j=0;
        	for(var i=0;i<cards.length;i++){
        		var card = cards[i];
    			if(card.BankAcType == "PCRC"){
    				credits.push(card);
    	        	if(!Fw.isEmpty(params)&&params.No==card.No){
    	        		backUrl = params.backUrl;
                		TransJNL = params.TransJNL; 
    	        		$('#acNo').append("<option value="+j+" selected>"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");   	        
    	        	}else {
    	        		$('#acNo').append("<option value="+j+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
    	        	}
    				j++;
    			}
        	}
        	if(j == 0){
        		Fw.LoadMask.hide();
        		Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
              			 function(code, btn, win){
   							if(code == "yes"){
   								Fw.redirect('../../account/adddowncard/adddowncard.html');
   							}else{
   								Fw.device.Device.gotoIndex();
   							}
              	 		}
       			);
    		}
        	var curCard = credits[$('#acNo option:selected').val()];
    		curCreditNo = curCard.No;
    		CurrNum = curCard.Currency.Code;
        	$('#CurrNum').text(Fw.util.Format.fmtCurrency(CurrNum));
    		$('.acNo').text(Fw.util.Format.fmtAcctNo(curCreditNo,true));
        },
        initData : function(){
        	// 初始化页面头部信息
        	this.initHotCardInfo();
        	var parameters = {
        		'PayerAcc' :curCreditNo, 'MpType':'A', 'ZoneNo':'113', 'Product':'0015', 'MerType':'', 'MerId':'', 'CurrNum':CurrNum      			     			
        	};        	 
        	//获取CredNo
        	installment.queryAmortPlan(parameters, function(data){
        		List = data.List;
        		MpType = data.MpType;
        		CredNo = data.CredNo;
        		App.getCredNo(data);
        	});      	
        	//初始化list上下滑动
        	$('body').height($(window).height());
        	$('#firstStep').height($('body').height()-115);
        	$('#ui-list').height($('body').height()-173);	
        	$('#list').css({'overflow-y': 'auto','height':$('#ui-list').height()-58,'overflow-x': 'hidden'});
        },
        toSecondStep : function(){
        	// 分期申请金额
        	if(curAmt == 0){
        		Fw.Tips.info('请选择分期商品!');
        		return;
        	}
        	$('#firstStep').addClass('sui-hide');
        	$('#secondStep').removeClass('sui-hide'); 
        	App.setCurAmtShow();
        	// PayerAcc卡号
        	var PayerAcc = curCreditNo;
        	// CurrNum币种
        	var currency = "156"; //人民币
         	if("USD"==CurrNum){
         		currency="840"; //美元
         	}
         	// 分期金额
         	var BillAmt = installment.fmtMoneyToPoint(curAmt);
         	var paramTrial = {
         		PayerAcc : curCreditNo,
         		MpType : MpType,
         		CredNo : CredNo,
         		BillAmt : BillAmt,
         		CurrNum :currency,
         		List : List,
         	};
         	Fw.util.Ajax.execute({
                service: 'installmentService',
                method: 'executeBillInstApplyFeeInit',//默认为query，方法名称必须是query开头
                //请求参数
                params:paramTrial,
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	// 加载期数
                	App.Periods.loadData(data.List);
                	
                	// 跳转 试算界面
                	App.setTrialShow(App.Periods.getSelectedItemData());
    
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        
        
        toThirdStep : function(){
        	//初始化数据
        	$('[name=instAmt]').val(curAmt);//分期金额
        	$('[name=instPro]').val(DESLINE);//分期产品
        	$('[name=instEveryAmt]').val($('#InStalAmt').text());//每期偿还本金
        	$('[name=instEveryFee]').val($('#FeeAmt').text());//每期偿还手续费
        	$('[name=FeePcnt]').val($('#FeePcnt').text());//费率
        	$('[name=FeeYe]').val($('#FeeYe').text());//费率
        	$('[name=instToatlAmt]').val($('#totalRepayAmt').text());//还款总额
        	$('#secondStep').addClass('sui-hide');
        	$('#thirdStep').removeClass('sui-hide');        	      	
        },
        doSubmit : function(values){  
        	Fw.Msg.cfm('您确定进行分期申请操作?', function(code, btn, win){
        		if(code == 'yes'){
        			var TrsPassword = values.transPwd;//取款密码
        			var indexData = App.Periods.getSelectedItemData();
                    var NbrmtHs = indexData.MpMbr;//期数
                    // var NbrmtHs = $('[name=period]').val();//期数
                    var ValDate = transSelected.ValDate.replace(/\-/g ,"");
                    var InpDate = transSelected.TransDate.replace(/\-/g ,"");
                    var InpTime = transSelected.TransTime;
                    var Tranno = transSelected.TransJNL;
                    var TranTp = transSelected.TransType;
                    var parameters = {
                    		'PayerAcc' : curCreditNo, 'IdNo' : '', 'Option':'1', 'PinFlag':'2', 'Pin':TrsPassword, 'OperTp':'0', 'CredNo':CredNo, 'NbrmtHs' : NbrmtHs, 'ValDate':ValDate, 'InpDate':InpDate, 'InpTime':InpTime, 'Tranno':Tranno, 'TranTp':TranTp, 'FeePcnt':''
                    };
                    App.applyFlexAmort(parameters, function(data){
                    	var params = {
                    			instType:"unset",
                    	    	data:data 
                    	    };
                    	//跳转结果页
                    	Fw.redirect("./instResult.html", Fw.encode(params));
                    });
        		}
            });                 
        },
        /**
         * 页面数据初始化
         * parameters = {
         * 	amortPlanQryParams : {'PayerAcc' :'', 'MpType':'', 'ZoneNo':'', 'Product':'', 'MerType':'', 'MerId':'', 'CurrNum':''}, 
         * 	flexAmortDtlQryParams : {'PayerAcc':'', 'MpSts':'', 'CustrNbr':'', 'Option':'', 'CredNo':'', 'PinFlag':'', 'TrsPassword':''}
         * }
         */
        queryUnsettledInitData : function(parameters){
        	console.log("queryPageData start!");
        	parameters.TransJNL = TransJNL;//交易流水号
        	//定义列表
        	if(!listView){
	            listView = new Fw.ListView({
	            	contentEl : 'list',
	                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	                ajax : {                   
	                    service: 'installmentService',
	                    method: 'queryUnsettledInitData',
	                    //请求参数
	                    params:parameters,                   
	                    //loadMask: true,
	                    //是否分页（默认true）
	                    page: false,
	                    //分页参数
	//                    pageSize: 3,
	                    //是否使用数据挡板（默认false）
	                    staticData: false,
	                    listeners : {
	                    	success: App.setTotalAmt
	                    }
	                },
	                cls: '',
	                groupCls: '',
	                groupHeaderBaseCls: '',
	                groupHeaderCls: '',
	                itemBaseCls: 'x-list-item',
	                itemCls: 'ui-border-t',
	                pressedCls: '',
	                //分组字段（默认null）
	                groupField: null,              
	                disclosure: false,
	                //数据展现模版
	                itemTpl: [
	                          '<div class="ui-list-icon">',
	                          	'{@if item.isSelect == "0"}',
	                          		'<i class="x-icon x-icon-yes_select"></i>',
	                          	'{@else}',
	                          		'<i class="x-icon x-icon-no_select"></i>',
	                          	'{@/if}',
							  '</div>',
	                          '<ul class="ui-list list-second">',
	                          	'<li>交易日期<span>${item.TransDate}</span></li>',
	                          	'<li>入账日期<span>${item.ValDate}</span></li>',
	                          	'<li>交易时间<span>${item.TransTime}</span></li>',
	                          	'<li>交易金额<span style="color:RGB(255,111,0);">${item.TransAmt}</span></li>',
	                          	'<li>交易摘要<span>${item.DESLINE1}</span></li>',
	                          '</ul>',
	                          ]
	            });
	            listView.on('itemclick', this.onSelect, this);
        	}else{
        		listView.ajax.clearParams();    			
    			listView.ajax.setParams(parameters); 
    		}
            listView.loadData();
        },
        /**
         * 选择分期交易(单选)
         */
        onSelect : function(record, index, item, e, cmp) {
            var i = (item.find('i'))[0];
            var isSelected = $(i).hasClass('x-icon-yes_select');
            curAmt = Fw.util.Format.unFmtAmt(curAmt);
            if(isSelected){
//            	curAmt = curAmt - Fw.util.Format.unFmtAmt(record.TransAmt);            	
            	$(i).removeClass('x-icon-yes_select');
            	$(i).addClass('x-icon-no_select');
            }else{
//            	curAmt = curAmt + Fw.util.Format.unFmtAmt(record.TransAmt);
            	DESLINE = (record.DESLINE1 == "" ? (record.DESLINE2 == "" ? "--" : record.DESLINE2) : record.DESLINE1);
            	transSelected = record;
            	curAmt = Fw.util.Format.unFmtAmt(record.TransAmt); 
            	$(i).removeClass('x-icon-no_select');
            	$(i).addClass('x-icon-yes_select');
            }
            //单选
            var list = $('#list').find('li.x-list-item.ui-border-t');
            for(var i=0; i<list.length; i++){
            	if(index != i){
            		var ii = $(($(list[i]).find('i'))[0]);
            		var is = ii.hasClass('x-icon-yes_select');
            		if(is){
//            			curAmt = curAmt - Fw.util.Format.unFmtAmt(record.TransAmt); 
            			ii.removeClass('x-icon-yes_select');
            			ii.addClass('x-icon-no_select');
            		}
            	}
            }
            //this.setCurAmtShow();
        },
        /**
         * 全选
         */
        onSelectAll : function(sel){       	
        	if(sel == 1){
        		curAmt = this.resetSelectAll('x-icon-no_select','x-icon-yes_select');       		
        		$('.footer-icon').on('click', function(){
            		App.onSelectAll(0);
            	});
        	}
        	if(sel == 0){
        		curAmt = this.resetSelectAll('x-icon-yes_select','x-icon-no_select');
        		curAmt = 0;
        		$('.footer-icon').on('click', function(){
            		App.onSelectAll(1);
            	});
        	}
        	//this.setCurAmtShow();
        },
        /**
         * 重置选择状态(全选)
         */
        resetSelectAll :function(p1, p2){
        	curAmt = 0;
        	var ls = $('#list').find('i');
        	for(var i=0; i<ls.length; i++){
        		var a =ls[i];
        		var TransAmt = $($(($(a).parent('div').parent('li').find('li'))[3]).find('span')[0]).text();
        		curAmt = curAmt + Fw.util.Format.unFmtAmt(TransAmt);
        		$(a).removeClass(p1);
            	$(a).addClass(p2);
        	}
        	$(($('.footer-icon').find('i'))[0]).removeClass(p1);
        	$(($('.footer-icon').find('i'))[0]).addClass(p2);
        	return curAmt;
        },
        /**
         * 获取CredNo
         */
        getCredNo : function(data){
        	CredNo = data.CredNo;
        	// 初始化页面期数
        	var MpMbr = $('[name=period]').val();
        	$('[name=period]').html($('[name=period]').text()+'<i class="sub-item-p1-i"></i>');
        	var parameters = {
				'PayerAcc':curCreditNo, 'CredNo':CredNo, 'MpSts':'2', 'CustrNbr':'', 'Option':'1', 'PinFlag':'0', 'TrsPassword':''
			};
        	this.queryUnsettledInitData(parameters);        	
        },
        /**
         * 试算展现处理
         */
        setTrialShow :function(data){
        	$('[name=period]').val(Fw.util.Format.unFmtNumber(data.MpMbr)+'期');
        	$('#InStalAmt').text(installment.formatterMoney(data.InStalAmt));//每期偿还本金
    		$('#FeeAmt').text(installment.formatterMoney(data.FeeAmt));//分期手续费
    		$('#FeePcnt').text(""+installment.formatterMoney(data.FeePcnt)+"%");//费率%
    		$('#FeeYe').text(""+installment.formatterMoney(data.FeeYe)+"%");//费率%
    		$('#totalRepayAmt').text(installment.formatterMoney(data.totalRepayAmt))//还款总额
        },
        /**
         * 设置当前分期金额显示
         */
        setCurAmtShow : function(){
        	var curAmtShow = Fw.util.Format.fmtAmt(curAmt,2,false,'') + '';
        	$('#curAmt').html(curAmtShow.substring(0,curAmtShow.indexOf('.'))+'<span>.'+curAmtShow.substring(curAmtShow.indexOf('.')+1) +'</span>');
        },
        /**
         * 灵活分期申请
         * parameters = {
         * 	'PayerAcc' : PayerAcc, 'IdNo' : '', 'Option':'1', 'PinFlag':'2', 'TrsPassword':TrsPassword, 'OperTp':'0', 'CredNo':CredNo, 'NbrmtHs' : NbrmtHs, 'ValDate':ValDate, 'InpDate':InpDate, 'InpTime':InpTime, 'Tranno':Tranno, 'TranTp':TranTp, 'FeePcnt':''
         * }
         */
        applyFlexAmort : function(parameters,callback){
        	Fw.util.Ajax.execute({               
                service: 'installmentService',
                method: 'executeFlexAmortApply',
                //请求参数
                params: parameters,   
                staticData: false,
                //loadMask: true,
                //是否使用数据挡板（默认false）
                success: function(data, result) {
               	 	exeCallback(data,callback);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    form.reset();
                }
            });
        },
        setTotalAmt: function(ajax, data, result){
        	var amt = 0;
        	for(var i=0; i<data.length; i++){
        		if(TransJNL!=null && TransJNL == data[i].TransJNL){
            		TransJNL = data[i].TransJNL,
        			curAmt = data[i].TransAmt,
        			curAmt = Fw.util.Format.unFmtAmt(curAmt);
        			DESLINE = (data[i].DESLINE1 == "" ? (data[i].DESLINE2 == "" ? "--" : data[i].DESLINE2) : data[i].DESLINE1);
        			transSelected = data[i];
        		}
        		amt= amt + Fw.util.Format.unFmtAmt(data[i].TransAmt);
        	}
        	$('#totalAmt').text(Fw.util.Format.fmtAmt(amt,2,false,''));
        },
        /**
         * 右上角返回键重写
         */
        leftButtonHandler : function(){
        	if(form&&(($('#thirdStep').attr("class") == null || $('#thirdStep').attr("class").indexOf('sui-hide') == -1))){
        		form.reset("transPwd");
    			$("[name=transPwd]").attr("placeholder","请输入交易密码");
        	}
        	var list = [
        	            $('#firstStep'), $('#secondStep'), $('#thirdStep')
        	            ];
        	installment.handerBack(list);
        }
	}
}();
function exeCallback(data,callback){
	callback(data);
}
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);