var App = function(){
	var indexData = 0;//展示期数取值按钮
	var checkFlag = false;//判断是否已查询期数标识
	var dreamCode = "";//当code为A002提示客户申请是否申请圆梦金  "不存在圆梦金共享额度，是否立即申请。"
	var dreamMsg = "不存在圆梦金共享额度，是否立即申请。";
	return {
		requires : [
		            'Fw.Keyboard',
		            'Fw.Form',
		            'Fw.Tab',
		            'Fw.app.Session',
		            //设备
		            'Fw.device.Device',
		            'Fw.SmsCountDown',
		            '../installment/js/periods.js'
		            ],
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '圆梦金',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        init : function(require) {
        	// 分页  选项卡
        	if(!this.tab){
        		//定义选项卡
                this.tab = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tab',
                    //默认选项卡（默认0）
                    activeTab: 4
                });
        	}
        	if(!this.formQry){
        		this.formQry = new Fw.Form({
                    //EL
                    contentEl : 'formQry',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
        		this.formQry.on('beforesubmit', this.beforeTrial, this);
        		this.formQry.on('submit', this.doTrial, this);
        	}
    		
        	if(!this.formInst){
        		this.formInst = new Fw.Form({
                    //EL
                    contentEl : 'formInst',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
        		this.formInst.on('beforesubmit', this.beforeSubmit, this);
        		this.formInst.on('submit', this.doSubmit, this);
        	}
        	this.initData();
        	this.initEvent();
        },
        //初始化账户信息
        initData: function(){ 
        	Fw.LoadMask.show();
        	// 获取I类账户信息
        	Fw.util.Ajax.query({
                service: 'helperService',
                method: 'queryMCRegistAcNoQry',
                //请求参数
                params:{},
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	var list = data.List||[];
                	var listStr = "";
                	for(var j=0;j<list.length;j++){
                		var Type = list[j].Type;
                		var AcctLevel = list[j].AcctLevel;
                		if("PDBC"==Type && "1" == AcctLevel){ //I类账户
                			listStr = listStr + "," + list[j].AcNo;
    					}
                	}
                	var cards = Fw.app.Session.getAllCards();
                	// 初始化入款账户（转账卡卡号）
                	$('[name="CardnbrC"]').empty();
                	App.cards = [];// 转账卡卡号
                	var count = 0;
                	// 信用卡账户初始化
                	$('#PayerAcc').empty();
                	App.credits = [];// 客户信用卡账户数据
                	var index = 0;
                	for(var i=0;i<cards.length;i++){
                		if("PCRC"==cards[i].BankAcType){
                			App.credits.push(cards[i]);
                			$('#PayerAcc').append('<option value="'+index+'">'+Fw.util.Format.fmtAcctNo(cards[i].No,true)+'</option>');
                			index++;
                		}else if("PDBC"==cards[i].BankAcType && listStr.indexOf(cards[i].No)>-1){
                			App.cards.push(cards[i]);
                			$('[name="CardnbrC"]').append('<option value="'+count+'">'+Fw.util.Format.fmtAcctNo(cards[i].No,true)+'</option>');
                			count++;
                		}       		
                	}
                	
                	if(index<=0){//判断有没有信用卡
                		Fw.LoadMask.hide();
                		Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
        	      			 function(code, btn, win){
        						if(code == "yes"){
        							Fw.redirect('../../account/adddowncard/adddowncard.html');
        						}else{
        							Fw.device.Device.gotoIndex();
        						}
        	      	 		 }
               			 );
                		return;
                	}
                	if(count<=0){
                		Fw.LoadMask.hide();
                		Fw.Msg.info("请绑定一类户后再使用。", function(){
           					Fw.device.Device.gotoIndex();
                      	 }
               		   );
                		return;
                	}
                	App.selectCard();//开始初始化复制操作
                	var card = Fw.decode(Fw.getParameters());//开始判断信用卡选择方法
                	if(Fw.isEmpty(card)){
                		card = App.credits[0];
                	}else{
                		for(var i = 0;i < App.credits.length;i++){
                			if(card.No == App.credits[i].No){
                				$('#PayerAcc').val(i);
                			}
                		}
                	}
                	// 查询圆梦金额度查询
                	Fw.LoadMask.hide();
                	App.checkInstallment(card,"");//判断状态是否能够进行圆梦金申请
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                }
            });
        },
        //查询是否有圆梦金申请的权限
        checkInstallment:function(card,flag){
        	Fw.LoadMask.show();
        	Fw.util.Ajax.query({
        		service:'dreamGoldSeivice',
        		method: 'queryInstallmentStatus',//默认为query，方法名称必须是query开头
        		//请求参数
        	    params:{
        	    	PayerAcc:card.No,
        	    	ymkFlag:flag//提醒后发圆梦金额度申请标志
        	    	},
        		//是否自动显示等待层（默认true）
        		//允许自定义等待层提示信息（loadMask: '请稍后...'）
        		loadMask: true,
        		//是否使用数据挡板（默认false）
        		staticData: false,
        		//请求成功后回调
        		success: function(data, result) {
        			Fw.LoadMask.hide();
    				$('#dream_limit').text(Fw.util.Format.formatterMoney(data.CashCredit)); // 预借现金额度
    				// 查询出数据赋值（头部信息）
    				$('#AvLimt').text(Fw.util.Format.formatterMoney(data.AvLimt));// 可用额度
    				$('#PayerAccLab').text(Fw.util.Format.fmtAcctNo(card.No,true));
    				$('#CurrNum').text(Fw.util.Format.fmtCurrency(card.Currency.Code));
    				
        			if(!Fw.isEmpty(data.errorCode)&&"A002"==data.errorCode){//当code为A002提示客户申请是否申请圆梦金
        				dreamCode = data.errorCode;
        				dreamMsg = data.errorMsg;
        				
        				// 展示额度取消按钮
	    				$('#dream_double_ctn').addClass("sui-hide");
	    				$('#dream_single_ctn').removeClass("sui-hide");
        			}else if(data.CalLmtYn == "0"){
	    				if(!(Fw.isEmpty(App.formQry))){
	    					$("input[name=CalAval]").val(Fw.util.Format.formatterMoney(data.CalAval));// 圆梦金可用额度
	    				}
	    					    				
	    				//App.calLimit = data.CalLimit;
	    				// 展示额度取消按钮
	    				$('#dream_double_ctn').removeClass("sui-hide");
	    				$('#dream_single_ctn').addClass("sui-hide");
	    				
	    				if("SQED" == flag){
        					App.tab.setActiveItem(0);
        				}
        			}else{
        				// 展示额度取消按钮
	    				$('#dream_double_ctn').addClass("sui-hide");
	    				$('#dream_single_ctn').removeClass("sui-hide");
	    				
        				Fw.Msg.error("返回异常，无法进行圆梦金业务操作", function(){
    	        			Fw.device.Device.gotoIndex();
    	                });
        			}
        		},
        		//请求错误后回调，返回菜单界面
        		failure: function(status, textStatus, error) {
        			Fw.LoadMask.hide();
        		    Fw.Msg.error(error, function(){
    		    		Fw.device.Device.gotoIndex();
    		    	});
					return false;
        		}
        	});
        },
        
        initEvent:function(){
        	// 我要申请（圆梦金下一步）
        	$('#dream_inst_apply').on('click',Fw.bind(this.dreamInstApply,this));
        	$('#dream_inst_apply_single').on('click',Fw.bind(this.dreamInstApply,this));
        	$('#dream_limit_cancle').on('click',Fw.bind(this.dreamLimitCancle,this));
        	
        	// 切换账号（借记卡）
        	$('[name="CardnbrC"]').on('change',Fw.bind(this.selectCard,this));
        	//切换信用卡账号
        	$('#PayerAcc').on('change',Fw.bind(this.selectCreditCard,this));
        	//输入分期金额后，开始进行试算方法
        	$('[name="BillAmt"]').on('blur',Fw.bind(this.queryCashAmortNum,this));
        	//点击下一步开始判断
        	$('#next-btn').on('click',Fw.bind(this.nextStep,this));
        	//确认圆梦金分期
        	$('#apply-btn').on('click',Fw.bind(this.toSubmit,this));
        	// 短信
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        	//选择分期后对收费税率进行展示
        	$('#selectMpMbr').on('click',Fw.bind(this.showFeePcnt,this));
        	//点击条款查看业务细则
        	$('#sign-title').on('click',Fw.bind(this.checkAgreement,this));
        	//点击同意相关协议按钮
        	$('#apply-btn1').on('click',Fw.bind(this.applyAgreement,this));
        	
        },
        /**
         * 跳转tab 0页
         * tab 0 页面添加额度取消按钮
         */
        dreamInstApply:function(){
        	var card = App.credits[$("#PayerAcc").val()];//获取信用卡账号
        	if(!Fw.isEmpty(dreamCode)&&"A002"==dreamCode){
        		Fw.Msg.cfm(dreamMsg,function(code, btn, win){
					if(code == "yes"){
						dreamCode = "";
        				dreamMsg = "";
						App.checkInstallment(card,"SQED");
					}
		        });
        	}else {
        		App.tab.setActiveItem(0);
        	}
        },
        
        dreamLimitCancle: function(){
        	Fw.Msg.cfm("请确认是否取消圆梦金额度？",function(code, btn, win){
                if('yes'==code){
                	var credit = App.credits[$('#PayerAcc').val()];
                	Fw.util.Ajax.execute({
                		service:'dreamGoldSeivice',
                		method: 'executeYmjLimitCancel',//默认为query，方法名称必须是query开头
                		//请求参数
                	    params:{
                	    	PayerAcc:credit.No,
                	    },
                		//是否自动显示等待层（默认true）
                		//允许自定义等待层提示信息（loadMask: '请稍后...'）
                		loadMask: true,
                		//是否使用数据挡板（默认false）
                		staticData: false,
                		//请求成功后回调
                		success: function(data, result) {
                			Fw.Msg.info('圆梦金额度取消成功！', function(){
                				Fw.device.Device.gotoIndex();
                            });
                		},
                		//请求错误后回调，返回菜单界面
                		failure: function(status, textStatus, error) {
                			
                		}
                	});
                }
            });
        },
        //初始化给账户名称赋值
        selectCard:function(){
        	this.formQry.setValues("CustName",this.cards[$('[name="CardnbrC"]').val()].Name);
        },
        //信用卡初始化查询
        selectCreditCard:function(){
        	var creditAccountNo = this.credits[$("#PayerAcc").val()];//获取信用卡账号
        	Fw.redirect('./dreammoneyapply.html',Fw.encode(creditAccountNo));
        },
        //输入金额后进行查询分期及试算
        queryCashAmortNum:function(){
        	App.queryFlag=false;
        	var billAmt = $("input[name=BillAmt]").val();
        	if(billAmt != ""){//判断开始提交试算费率
        		App.formQry.submit();
        	}else{
        		$('#FeeAllMoney').text("--");//分期手续费
        		$('#FeePcnt').text("--");//费率%
        	}
        },
        
        beforeTrial:function(values){
        	if(App.error){
        		App.error = "";
        	}
        	// 当前信用卡
        	var card = this.credits[$('#PayerAcc').val()];
        	// PayerAcc卡号
        	var PayerAcc = card.No;
        	// MpType分期类型,圆梦金同现金分期，上送B
        	// CurrNum币种
        	var CurrNum = "156"; //人民币
         	if("USD"==card.Currency.Code){
         		CurrNum="840"; //美元
         	}
         	// 分期金额
         	var BillAmt = Fw.util.Format.fmtMoneyToPoint(values.BillAmt);
         	this.paramTrial = {
         			PayerAcc:PayerAcc,
         			CurrNum:CurrNum,
         			BillAmt:BillAmt
         	};
        },
        //进行试算操作
        doTrial: function(values){
        	var billAmt = values.BillAmt;
        	if(billAmt > 300000|| billAmt < 1000){
        		$('#FeeAllMoney').text("--");//分期手续费
        		$('#FeePcnt').text("--");//费率%
        		return;
        	}
        	Fw.util.Ajax.execute({
                service: 'dreamGoldSeivice',
                method: 'executeCashAmortApplyFeeInit',//默认为query，方法名称必须是query开头
                //请求参数
                params:App.paramTrial,
                loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	App.periods = data.List; // 期数数据
                	App.CpNo = data.CpNo;
                	$('#selectMpMbr').val(Fw.util.Format.unFmtNumber(App.periods[0].MpMbr)+'期');
            		$('#FeeAllMoney').text(Fw.util.Format.formatterMoney(App.periods[0].FeeAmt));//分期手续费
            		var FeePcnt = (Fw.util.Format.fmtNumber(App.periods[0].FeePcnt,'0.00')/100).toFixed(2);
            		$('#FeePcnt').text(""+FeePcnt+"%");//费率%
            		var FeeYe = (Fw.util.Format.fmtNumber(App.periods[0].FeeYe,'0.00')/100).toFixed(2);
            		$('#FeeYe').text(""+FeeYe+"%");//费率%
            		App.queryFlag = true;//判断是试算结果是否已经成功
            		Fw.LoadMask.hide();
            		App.loadDataSelect();//加载选择框数据
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	App.queryFlag = false;//判断是试算结果是否已经成功
                	App.error = error;
                	Fw.LoadMask.hide();
                }
            });
        },
        loadDataSelect:function(){
        	checkFlag = true;//已加载选择数据标识
        	$("#dialog").empty();
        	this.Periods = new Fw.Periods({
        		contentEl:'dialog',
        		itemTpl:[
        			'<li class="dialog-periods-li-border-d ${index==0 ? "dialog-periods-ul-selected" : "dialog-periods-ul-noselected"}" value="${index}">',
        				'<div class="dialog-periods-left">',
        					'<i class="radio-dialog-periods radio-select-icon"></i>',
        					'<label>${item.MpMbr|unFmtNumber}期</label>',
        				'</div>',
        				'<div class="dialog-periods-right">',
        					'<p>每月还款额${item.InStalAmt|formatterMoney}</p>',
        					'<p class="dialog-periods-right-fee">分期手续费${item.FeeAmt|formatterMoney}</p>',
        					'<p class="dialog-periods-right-fee">费率${item.FeePcnt|fmtPercent2}</p>',
        					'<p class="dialog-periods-right-fee">年化费率${item.FeeYe|fmtPercent2}</p>',
        				'</div>',
        			'</li>'
        		]
        	});
        	this.Periods.loadData(App.periods);
        	this.Periods.on('itemclick', this.onSelect, this);
        },
        // ************2、弹出框选择**********************************************
        showFeePcnt: function(){
        	var billAmt = $("input[name=BillAmt]").val();
        	if(billAmt == ""){
        		Fw.Tips.info("请输入分期金额!");
        		return;
        	}
        	var unFmtAmtBillAmt = Fw.util.Format.unFmtAmt(billAmt);
        	if(unFmtAmtBillAmt < 1000){
        		Fw.Tips.info("圆梦金分期起始金额为1000元!");
        		return;
        	}
        	
        	if(unFmtAmtBillAmt >  300000){
        		Fw.Tips.info("圆梦金分期金额最高为300000元!");
        		return;
        	}

        	this.Periods.onShow();
        },
        
        onSelect : function(record, index, item, e, cmp) {
        	indexData = index;
            $('#selectMpMbr').val(Fw.util.Format.unFmtNumber(record.MpMbr)+'期');
            $('#FeeAllMoney').text(Fw.util.Format.formatterMoney(record.FeeAmt));//分期手续费
    		var FeePcnt = (Fw.util.Format.fmtNumber(record.FeePcnt,'0.00')/100).toFixed(2);
    		$('#FeePcnt').text(""+FeePcnt+"%");//费率%
        },
        //下一步
        nextStep:function(){
        	var billAmt = $("input[name=BillAmt]").val();
        	var calAval = $("input[name=CalAval]").val();
        	/*if(Fw.util.Format.fmtNumber(this.calLimit) != 0){
        		Fw.Tips.info("已申请现金分期客户不可申请圆梦金!");
        		return;
        	}*/
        	if(billAmt == ""){
        		Fw.Tips.info("请输入分期金额!");
        		return;
        	}
        	var unFmtAmtBillAmt = Fw.util.Format.unFmtAmt(billAmt);
        	if(unFmtAmtBillAmt < 1000){
        		Fw.Tips.info("圆梦金分期起始金额为1000元!");
        		return;
        	}
        	
        	if(unFmtAmtBillAmt >  300000){
        		Fw.Tips.info("圆梦金分期金额最高为300000元!");
        		return;
        	}
        	
        	if(unFmtAmtBillAmt >  Fw.util.Format.unFmtAmt(calAval)){
        		Fw.Tips.info("分期额度已超过可分期额度！");
        		return;
        	}
        	if(!(this.queryFlag)){
        		var msg = App.error || "手续费及税率试算中！";
        		Fw.Tips.info(msg);
        		return;
        	}
        	$('#allmoney').text(billAmt);//本金总金额
        	$('#FeePcnt1').text((Fw.util.Format.fmtNumber(App.periods[indexData].FeePcnt,'0.00')/100).toFixed(2)+"%");//手续费费率
        	$('#FeeYe1').text((Fw.util.Format.fmtNumber(App.periods[indexData].FeeYe,'0.00')/100).toFixed(2)+"%");//手续费费率
        	$('#InStalAmt').text(Fw.util.Format.formatterMoney(App.periods[indexData].InStalAmt));//每月还款本金
        	$('#MpMbr').text(Fw.util.Format.unFmtNumber(App.periods[indexData].MpMbr)+"期");//分期数
        	$('#FeeAmt').text(Fw.util.Format.formatterMoney(App.periods[indexData].FeeAmt));//手续费总额
        	$('#smartAmt').text(App.getUserType($('#useFind').val()));//用途类型
        	$('#accountName').text(this.cards[$('[name="CardnbrC"]').val()].Name);//
        	$('#accountNo').text("("+Fw.util.Format.fmtAcctNo(this.cards[$('[name="CardnbrC"]').val()].No,true)+")");
        	App.tab.setActiveItem(1);
        },
        // ****************************分期申请**************************************************
        toSubmit: function(){
        	var isShow = $("#sign-title").is(":visible");
        	if(isShow){
				if(!$("[name='isagree']").attr('checked')){
					Fw.Tips.info('请先仔细阅读并同意相关协议！');
					return;
				}
			}
        	App.formInst.submit();
        },
        beforeSubmit: function(values){
        	// 信用卡卡
        	var credit = this.credits[$('#PayerAcc').val()];
        	var PayerAcc = credit.No;
        	// 转账卡
        	var card = this.cards[$('[name="CardnbrC"]').val()];
        	var CardnbrC = card.No;
        	var NameC = card.Name;
        	var BankC = "6524";// 固定值
        	// 分期期数
        	var Period = this.periods[indexData];
        	var NbrMths = Fw.util.Format.unFmtNumber(Period.MpMbr);
        	// 信用计划编号
        	var CredNo = this.CpNo;
        	// 分期金额(单位：分)
        	var Amt = this.paramTrial.BillAmt;  
        	var Pin = values.Pin;// 交易密码
        	var userFind = $("#useFind").val();
        	this.paramApply = {
        			PayerAcc:PayerAcc,
        			Pin:Pin,
        			Opertp:"0",//0－申请1－撤销
        			CredNo:CredNo,
        			NbrMths:NbrMths,
        			Amt:Amt,
        			MpappPre:"",
        			CardnbrC:CardnbrC,
        			NameC:NameC,
        			BankC:BankC,
        			Desc:"",
        			Usage:userFind,
        			LoannowFl:"1",//实时放款
        			
        			//短信校验字段
        			phoneNum : "",
					payeeAcNo: PayerAcc,
					payeeAcName: credit.Name,
					amount: Amt,
					pwdCode: values.smsText
        	};
        },
        doSubmit: function(values){
        	Fw.util.Ajax.execute({
                service: 'installmentService',
                method: 'executeCashAmortApply',
                //请求参数
                params:App.paramApply,
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	// 跳转申请结果界面
                	App.showApplyResult(data);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	if(!Fw.isEmpty(this.formInst)){// 申请确认界面  清空数据
            			this.formInst.reset("Pin");
            			$('[name=Pin]').attr('placeholder','请输入交易密码');
            			this.formInst.reset("smsText");
            			$('[name=smsText]').attr('placeholder','请输入验证码');
            		}
                }
            });
        },
 // *****************************短信获取*******************************************
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	// 信用卡卡
        	var credit = this.credits[$('#PayerAcc').val()];
        	// 分期金额(单位：分)
        	var Amt = this.paramTrial.BillAmt;
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//参数
				    param : {
					    //0表示本地获取 1表示 渠道端获取
					    socket: '1',
						modType : 0,
						phoneNum : "",
						payeeAcNo: credit.No,
						payeeAcName: credit.Name,
						amount: Amt,
						transName : "圆梦金申请"
				    },
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			
		},
  // ***********************************申请圆梦协议查看界面****************************************	
		checkAgreement : function(){//查看相关协议
			$("#instTop").hide();
			App.tab.setActiveItem(3);
		},
		applyAgreement:function(){//点击同意相关协议
			$("#instTop").show();
			App.tab.setActiveItem(1);
		},
 // ***********************************申请圆梦金结果界面****************************************
        showApplyResult: function(data){
        	$('#instTop').hide();// 隐藏头部信息（信用卡信息）
        	$('#PayerAccR').text(data.PayerAcc);
        	$('#WorkDateR').text(data.WorkDate);
        	$('#CardnbrCR').text(data.CardnbrC);
        	$('#NameCR').text(data.NameC);
        	$('#MpappPreR').text(data.MpappPre);
        	$('#useFindR').text(App.getUserType($('#useFind').val()));
        	App.tab.setActiveItem(2);
        	Fw.LoadMask.hide();//关闭等待层
        },
        
        leftButtonHandler: function(){
        	//获取当前选项卡序号
        	var index = this.tab.getActiveItemIndex();
        	if(index == 4 || index == 2) { // 初始界面、申请结果界面
        		//返回上级目录
        		Fw.device.Device.gotoIndex();
        	}else if(index == 0){
        		App.tab.setActiveItem(4);
        	}else if(index == 3){
        		$("#instTop").show();
        		App.tab.setActiveItem(1);
        	}else{
        		if(index == 1 && !Fw.isEmpty(this.formInst)){// 申请确认界面  清空数据
        			this.formInst.reset("Pin");
        			$('[name=Pin]').attr('placeholder','请输入交易密码');
        			this.formInst.reset("smsText");
        			$('[name=smsText]').attr('placeholder','请输入验证码');
        		}
        		//返回上一页
	        	this.tab.movePrev();
        	}
        },
        /**获取用途类型*/
        getUserType: function(code){
        	switch(code){
        		case '01':return '家用电器消费';
        		case '02':return '家庭消费';
        		case '03':return '医疗消费';
        		case '04':return '购车消费';
        		case '05':return '婚庆消费';
        		case '06':return '助学消费';
        		case '07':return '旅游消费';
        		case '08':return '其他';
        		default: return code;
        	}
        }
	 }
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);