var App = function(){
	var form;//列表
	var curAmt = 0;//当前分期金额
	var curCreditNo = null;//当前信用卡卡号
	var CurrNum = null;//当前信用卡货币	
	var CredNo = null;//信用计划编号
	var transSelected = null;//当前选中的交易 
	var credits = null;
	var backUrl = null;
	var TransJNL = null;//交易流水号
	var DESLINE = null;//产品描述
	var List = null;
	var MpType = null;
	var CredNo = null;
	return {
		requires : [
		            'Fw.app.Session',
		            'Fw.Keyboard',
		            'Fw.Form',
		            //设备
		            'Fw.device.Device',
		            '../installment/js/periods.js'
		            ],
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '商城分期',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        init : function(require) {
        	//加载公共方法
        	if(!form){
        		form = new Fw.Form({
        			cls : '',
                    //EL
                    contentEl : 'form',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
        		form.on('submit', App.doSubmit, this); 
        	}
        	if(!this.Periods){
        		this.Periods = new Fw.Periods({
            		contentEl:'dialog',
            		itemTpl:[
            			'<li class="dialog-periods-li-border-d ${index==0 ? "dialog-periods-ul-selected" : "dialog-periods-ul-noselected"}" value="${index}">',
        				'<div class="dialog-periods-left">',
        					'<i class="radio-dialog-periods radio-select-icon"></i>',
        					'<label>${item.MpMbr|unFmtNumber}期</label>',
        				'</div>',
        				'<div class="dialog-periods-right">',
        					'<p>每月还款额${item.InStalAmt|formatterMoney}</p>',
        					'<p class="dialog-periods-right-fee">分期手续费${item.FeeAmt|formatterMoney}</p>',
        					'<p class="dialog-periods-right-fee">费率${item.FeePcnt|fmtPercent2}</p>',
        					'<p class="dialog-periods-right-fee">年化费率${item.FeeYe|fmtPercent2}</p>',
        				'</div>',
        			'</li>'
            		]
            	});
            	this.Periods.on('itemclick', this.onSelectMpMbr, this);
        	}
        	this.initData();
        	this.initEvent();
        	Fw.LoadMask.hide();
        },
        
        initData : function(){
        	// 初始化页面头部信息
        	this.initHotCardInfo();
        	var parameters = {
        		'PayerAcc' :curCreditNo, 
        		'MpType':'A',
        		'ZoneNo':'113', 
        		'Product':'0015',
        		'MerType':'', 
        		'MerId':'', 
        		'CurrNum':CurrNum      			     			
        	};        	 
        	//获取CredNo
        	App.queryAmortPlan(parameters, function(data){
        		List = data.List;
        		MpType = data.MpType;
        		CredNo = data.CredNo;
        		App.getCredNo(data);
        	});      	
        },
        
        /**
         * 头部下拉切换
         */
        initHotCardInfo : function(){
        	$('#acNo').empty();
        	var params=Fw.decode(Fw.getParameters());
        	var cards = Fw.app.Session.getAllCards();
        	credits = [];
        	var j=0;
        	var n = 0;
        	for(var i=0;i<cards.length;i++){
        		var card = cards[i];
    			if(card.BankAcType == "PCRC"){
    				credits.push(card);
    				if(!Fw.isEmpty(params)&&params.No==card.No){
    	        		n++;
    	        		$('#acNo').append("<option value="+j+" selected>"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");   	        
    	        	}else {
    	        		$('#acNo').append("<option value="+j+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
    	        	}
    				j++;
    			}
        	}
        	if(j == 0||n==0){
        		Fw.LoadMask.hide();
        		Fw.Msg.cfm("未绑定此信用卡，是否立即绑定", 
              			 function(code, btn, win){
   							if(code == "yes"){
   								Fw.redirect('../../account/adddowncard/adddowncard.html');
   							}else{
   								Fw.device.Device.gotoIndex();
   							}
              	 		}
       			);
        		return;
    		}
        	var curCard = credits[$('#acNo option:selected').val()];
    		curCreditNo = curCard.No;
    		CurrNum = curCard.Currency.Code;
        	$('#CurrNum').text(Fw.util.Format.fmtCurrency(CurrNum));
    		$('.acNo').text(Fw.util.Format.fmtAcctNo(curCreditNo,true));
        },
        
        /**
    	 * 行内分期计划及期数查询 parameters = {'PayerAcc':PayerAcc, 'MpType':'A',
    	 * 'ZoneNo':'113', 'Product':'0015', 'MerType':'', 'MerId':'',
    	 * CurrNum:currency}
    	 */
    	queryAmortPlan : function(parameters, callback) {
    		Fw.util.Ajax.query({
    			service : 'installmentService',
    			method : 'queryAmortPlan',
    			params : parameters,
    			loadMask : true,
    			staticData : false,
    			// 请求成功后回调
    			success : function(data, result) {
    				exeCallback(data, callback);
    			},
    			// 请求错误后回调
    			failure : function(status, textStatus, error) {
    			}
    		});
    	},
    	
    	 /**
         * 获取CredNo
         */
        getCredNo : function(data){
        	CredNo = data.CredNo;
        	// 初始化页面期数
        	var MpMbr = $('[name=period]').val();
        	$('[name=period]').html($('[name=period]').text()+'<i class="sub-item-p1-i"></i>');
        	var parameters = {
				'PayerAcc':curCreditNo, 
				'CredNo':CredNo, 
				'MpSts':'2', 
				'CustrNbr':'', 
				'Option':'1', 
				'PinFlag':'0', 
				'TrsPassword':''
			};
        	this.queryUnsettledInitData(parameters);        	
        },
        
        /**
         * 页面数据初始化
         * parameters = {
         * 	amortPlanQryParams : {'PayerAcc' :'', 'MpType':'', 'ZoneNo':'', 'Product':'', 'MerType':'', 'MerId':'', 'CurrNum':''}, 
         * 	flexAmortDtlQryParams : {'PayerAcc':'', 'MpSts':'', 'CustrNbr':'', 'Option':'', 'CredNo':'', 'PinFlag':'', 'TrsPassword':''}
         * }
         */
        queryUnsettledInitData : function(parameters){
        	parameters.TransJNL = TransJNL;//交易流水号
        	Fw.util.Ajax.query({
                service: 'installmentService',
                method: 'queryUnsettledInitData',
                //请求参数
                params:parameters,
                staticData: false,
                //请求成功后回调
                success: function(data,result) {//判断取值今天的最后一笔
                	//下面判断取值最后一笔数据
                	if(data.length==0){//此处为弹窗
                		Fw.Msg.info("暂无可分期数据。", function(){
           					Fw.device.Device.gotoIndex();
                      	 });
                	}else if(data.length==1){//直接取值为当前一笔数据进行分期
                		transSelected = data[0];
                	}else{
                		transSelected = data[0];
                		//判断取值今天最后一笔数据
                		for(var i = 1;i<data.length;i++){//取当前日期最后一笔交易
                			transDate0 = Fw.util.Format.fmtStrSubDate(transSelected.TransDate);
                			transDate1 = Fw.util.Format.fmtStrSubDate(data[i].TransDate);
                			if(transDate1 > transDate0){//判断如果时间相等或者大于再次比对时分秒
                				transSelected = data[i];
                			}else if(transDate0 == transDate1){
                				if(data[i].TransTime > transSelected.TransTime){
                					transSelected = data[i];
                				}
                			}
                		}
                	}
                	App.setTotalAmt(data,transSelected);
                	setTimeout(
                			function(){App.toSecondStep();},
                			200);
                },
                failure: function(status, textStatus, error) {
                	
                }
           });
        },
        
        toSecondStep : function(){
        	App.setCurAmtShow();
        	var PayerAcc = curCreditNo;
        	// CurrNum币种
        	var currency = "156"; //人民币
         	if("USD"==CurrNum){
         		currency="840"; //美元
         	}
         	// 分期金额
         	var BillAmt = App.fmtMoneyToPoint(curAmt);
         	var paramTrial = {
         		PayerAcc : curCreditNo,
         		MpType : MpType,
         		CredNo : CredNo,
         		BillAmt : BillAmt,
         		CurrNum :currency,
         		List : List,
         	};
         	Fw.util.Ajax.execute({
                service: 'installmentService',
                method: 'executeBillInstApplyFeeInit',//默认为query，方法名称必须是query开头
                //请求参数
                params:paramTrial,
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	// 加载期数
                	App.Periods.loadData(data.List);
                	// 跳转 试算界面
                	App.setTrialShow(App.Periods.getSelectedItemData());
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        /**
         * 试算展现处理
         */
        setTrialShow :function(data){
        	$('[name=period]').val(Fw.util.Format.unFmtNumber(data.MpMbr)+'期');
        	$('#InStalAmt').text(App.formatterMoney(data.InStalAmt));//每期偿还本金
    		$('#FeeAmt').text(App.formatterMoney(data.FeeAmt));//分期手续费
    		$('#FeePcnt').text(""+App.formatterMoney(data.FeePcnt)+"%");//费率%
    		$('#FeeYe').text(""+App.formatterMoney(data.FeeYe)+"%");//费率%
    		$('#totalRepayAmt').text(App.formatterMoney(data.totalRepayAmt))//还款总额
        },
        
        /**
         * 设置当前分期金额显示
         */
        setCurAmtShow : function(){
        	var curAmtShow = Fw.util.Format.fmtAmt(curAmt,2,false,'') + '';
        	$('#curAmt').html(curAmtShow.substring(0,curAmtShow.indexOf('.'))+'<span>.'+curAmtShow.substring(curAmtShow.indexOf('.')+1) +'</span>');
        },
        
        initEvent : function(){   
        	//绑定事件
        	$('#apply2-btn').on('click',Fw.bind(App.toThirdStep,this));
        	//绑定事件         	
        	$('#apply3-btn').on('click',function(){form.submit();});
        	$('[name=period]').on('click', Fw.bind(this.onShow, this));
        },
        //显示期数
        onShow: function(){
        	this.Periods.onShow();
        },
        
        //选择期数
        onSelectMpMbr : function(record, index, item, e, cmp) {
            $('[name=period]').val(Fw.util.Format.unFmtNumber(record.MpMbr)+'期');
            App.setTrialShow(record);
        },
        
        toThirdStep : function(){
        	//初始化数据
        	$('[name=instAmt]').val(curAmt);//分期金额
        	$('[name=instPro]').val(DESLINE);//分期产品
        	$('[name=instEveryAmt]').val($('#InStalAmt').text());//每期偿还本金
        	$('[name=instEveryFee]').val($('#FeeAmt').text());//每期偿还手续费
        	$('[name=FeePcnt]').val($('#FeePcnt').text());//费率
        	$('[name=FeeYe]').val($('#FeeYe').text());//费率
        	$('[name=instToatlAmt]').val($('#totalRepayAmt').text());//还款总额
        	$('#secondStep').addClass('sui-hide');
        	$('#thirdStep').removeClass('sui-hide');        	      	
        },
        
        doSubmit : function(values){  
        	Fw.Msg.cfm('您确定进行分期申请操作?', function(code, btn, win){
        		if(code == 'yes'){
        			var TrsPassword = values.transPwd;//取款密码
                    var indexData = App.Periods.getSelectedItemData();
                    var NbrmtHs = indexData.MpMbr;//期数
                    var ValDate = transSelected.ValDate.replace(/\-/g ,"");
                    var InpDate = transSelected.TransDate.replace(/\-/g ,"");
                    var InpTime = transSelected.TransTime;
                    var Tranno = transSelected.TransJNL;
                    var TranTp = transSelected.TransType;
                    var parameters = {
                    		'PayerAcc' : curCreditNo, 
                    		'IdNo' : '', 
                    		'Option':'1', 
                    		'PinFlag':'2', 
                    		'Pin':TrsPassword, 
                    		'OperTp':'0', 
                    		'CredNo':CredNo, 
                    		'NbrmtHs' : NbrmtHs, 
                    		'ValDate':ValDate, 
                    		'InpDate':InpDate, 
                    		'InpTime':InpTime, 
                    		'Tranno':Tranno, 
                    		'TranTp':TranTp, 
                    		'FeePcnt':''
                    };
                    App.applyFlexAmort(parameters, function(data){
                    	var params = {
                    			instType:"unset1",
                    	    	data:data 
                    	    };
                    	//跳转结果页
                    	Fw.redirect("../installment/instResult.html", Fw.encode(params));
                    });
        		}
            });                 
        },
       
        /**
         * 灵活分期申请
         * parameters = {
         * 	'PayerAcc' : PayerAcc, 'IdNo' : '', 'Option':'1', 'PinFlag':'2', 'TrsPassword':TrsPassword, 'OperTp':'0', 'CredNo':CredNo, 'NbrmtHs' : NbrmtHs, 'ValDate':ValDate, 'InpDate':InpDate, 'InpTime':InpTime, 'Tranno':Tranno, 'TranTp':TranTp, 'FeePcnt':''
         * }
         */
        applyFlexAmort : function(parameters,callback){
        	Fw.util.Ajax.execute({               
                service: 'installmentService',
                method: 'executeFlexAmortApply',
                //请求参数
                params: parameters,   
                staticData: false,
                //loadMask: true,
                //是否使用数据挡板（默认false）
                success: function(data, result) {
               	 	exeCallback(data,callback);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    form.reset();
                }
            });
        },
        
        setTotalAmt: function(data,transSelected){
        	var amt = 0;
        	for(var i=0; i<data.length; i++){
        		amt= amt + Fw.util.Format.unFmtAmt(data[i].TransAmt);
        	}
        	$('#totalAmt').text(Fw.util.Format.fmtAmt(amt,2,false,''));
    		TransJNL = transSelected.TransJNL,
			curAmt = transSelected.TransAmt,
			curAmt = Fw.util.Format.unFmtAmt(curAmt);
			DESLINE = (transSelected.DESLINE1 == "" ? (transSelected.DESLINE2 == "" ? "--" : transSelected.DESLINE2) : transSelected.DESLINE1);
        },
    	
    	/**
    	 * 金额单位分转元
    	 */
    	formatterMoney : function(money) {
    		var moneyNum = "0.00";
    		if (Number(money) != 0) {
    			moneyNum = (Fw.util.Format.fmtNumber(money, '0.00') / 100)
    					.toFixed(2);
    		}
    		return moneyNum;
    	},
    	/**
    	 * 金额单位元转分 格式 100000
    	 */
    	fmtMoneyToPoint : function(money) {
    		var moneyNum = Fw.util.Format.fmtNumber(money, '0.00') + "";
    		moneyNum = moneyNum.replace(".", "");
    		return moneyNum;
    	},/**
         * 右上角返回键重写
         */
        leftButtonHandler : function(){
        	if(form&&(($('#thirdStep').attr("class") == null || $('#thirdStep').attr("class").indexOf('sui-hide') == -1))){
        		form.reset("transPwd");
    			$("[name=transPwd]").attr("placeholder","请输入交易密码");
    			$('#thirdStep').addClass('sui-hide');
            	$('#secondStep').removeClass('sui-hide'); 
        	}else{
        		Fw.device.Device.gotoIndex();
        	}
        }
	}
}();
function exeCallback(data,callback){
	callback(data);
}
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);