/**
 * 选项卡#子页面0：展现
 */
App.Show = function() {
	var formShow;
	var RemainedDate=null;//提醒时间
	var RemainedType=null;//提醒类型
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	if(!formShow){
        		formShow = new Fw.Form({
                    contentEl : 'formShow',                    
                    resettable: false,                    
                    msgTarget: 'tips'
                });
        		formShow.on('submit', this.doSubmit, this);
        		formShow.on('change', this.onChange, this);
        	}
        	//绑定监听事件，不重复绑定事件
        	if(!this.cards){
        		this.initEvents();
        	}
        	if(Fw.isEmpty(params)){
//        		this.cards = App.tool.getCardsByBankAcType(Fw.app.Session.getAllCards(),'PCRC','无可用信用卡！',true);
//            	App.tool.appendOptionToSelect($('[name=AcNo]'),this.cards,'No','fmtAcctNo');
        		this.initAccount();
        		this.initData();
        	}
        },
        initAccount : function(){             	              	
        	//初始化账户
        	$('[name="AcNo"]').empty();
        	var cards = Fw.app.Session.getAllCards();
        	this.cards = [];
        	var j=0;
        	for(var i=0;i<cards.length;i++){
        		var card = cards[i];
    			if(card.BankAcType == "PCRC"){
    				this.cards.push(card);
    				$('[name="AcNo"]').append("<option value="+j+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
    				j++;
    			}
        	}
        	if(j == 0){
        		Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
             			 function(code, btn, win){
  							if(code == "yes"){
  								Fw.redirect('../../account/adddowncard/adddowncard.html');
  							}else{
  								Fw.device.Device.gotoIndex();
  							}
             	 		}
      			);
    		}
        },
        initData: function(){       	
        	this.getShowMissage(this.cards[0]);
//        	this.toModify();
        },      
        initEvents: function(){
        	$('#back0-btn').on('click',function(){
        		Fw.device.Device.gotoIndex();
        	});
        	$('#modify-btn').on('click',this.toModify);
        },
        onChange: function(name, value, oldValue, field){
            if(name=='AcNo'){
            	App.Show.getShowMissage(App.Show.cards[value]);
            }
        },
        getShowMissage: function(card){
        	App.tool.queryAjax('creditCardManageService', 'queryRemindRepaySettting', {AcNo:card.No}, function(data){
        		RemainedDate = data.RemainedDate;
        		if(!RemainedDate||RemainedDate==null||RemainedDate==undefined||RemainedDate==''){
        			RemainedDate=null;
        		}
        		var RemainedDateShow = '每月'+RemainedDate+'日';
        		RemainedType = data.RemainedType;
        		var RemainedTypeArr;
        		var RemainedTypeShow='';
        		if(RemainedType&&RemainedType!=null&&RemainedType!=undefined&&RemainedType!=''){
        			RemainedTypeArr = RemainedType.split('');
        			for(var i=0;i<RemainedTypeArr.length;i++){
            			if(RemainedTypeArr[i]=='1'){
            				if(i==0){
            					RemainedTypeShow = RemainedTypeShow + '\\微信';
            				}else if(i==1){
            					RemainedTypeShow = RemainedTypeShow + '\\短信';
            				}else if(i==2){
            					RemainedTypeShow = RemainedTypeShow + '\\App';
            				}
            			}
            		}
            		if(RemainedType.indexOf('\\')==-1){
            			RemainedTypeShow = RemainedTypeShow.substring(1);
            		}else{
            			RemainedTypeShow='--';
            		}           		
        		}else {
        			RemainedType=null;
        			RemainedTypeArr = [];
        		}
        		formShow.setValues({
        			'remainedTime':RemainedDateShow,
        			'remainedTypeShow':RemainedTypeShow
        		});
        		if(RemainedType==null&&RemainedType==null){
        			App.firstSet = true;
        			App.Show.toModify();
        		}    		
        	});
        },
        toModify: function(){
        	App.params={
    				card: App.Show.cards[$('[name=AcNo]').val()],
    				RemainedDate:RemainedDate,
    				RemainedType:RemainedType
    				
    		};
    		App.tab.setActiveItem(1);
        }
    };
}();