/**
 * 选项卡#子页面2
 */
App.Item2 = function() {
    
	//var form;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '缴费险种（金额）查询结果',
            /**
             * 右边按钮（默认显示）
             */
            /*leftButton: {
            	text: '',
            	handler: function(){
//            		App.tab.setActiveItem(0);
            		Fw.device.Device.gotoIndex();
            	}
            }*/
            
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
//        	this.initEvents();
        	this.initData(App.notifyData);
        },
        
		/**
         * 初始化事件
         */
        initEvents: function(){
        	//初始化列表事件
//        	$('#submit-btn').on('click',Fw.bind(this.doSubmit,this));
        	// 触发提交事件前（校验前）触发
//			this.form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
        	this.form.on('submit', this.doSubmit, this);
        	//点击按钮时触发（保存、重置、重发验证码）
        	var buttons = $('button');
            buttons.tap(Fw.bind(this.onButtonClick, this));
        },
        
        initData:function(data){
        	console.log("通知单查询结果:", App.notifyData);
        	$("#PeopId").val(data.PeopId);
        	$("#IdCode").val(data.IdCode);
        	$("#PeopName").val(data.PeopName);
        	this.showInslist(data);
        },
        
		showInslist : function(data){
        	var	tpl = App.tpl;
       		 	// 编译内容模版
    			var compiled = Fw.template(tpl);
    			// 得到编译后的HTML
    			var html = compiled.render(data);
    			// 将HTML渲染到页面
    			$("#insTypeList").html(html);
        },
        
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			// 设置表单值
			// values['XXX'] = 'XXX';
			//
			// if(...){
			// return false;//则不触发提交事件
			// }
		},
        
		/**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn':
                    this.form.submit();
                    break;
                
            }
        },
        
    };
}();