/**
 * 选项卡#子页面3
 */
App.Item3 = function() {
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	//var form;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '通知单缴费',
            /**
             * 右边按钮（默认显示）
             */
            /*leftButton: {
            	text: '',
            	handler: function(){
            		App.tab.setActiveItem(0);
            	}
            }*/
            
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!this.form){
        		this.form = new Fw.Form({
    				// EL
    				contentEl : 'form2',
    				// 是否激活重置事件（默认false）
    				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
    				resettable : false,
    				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
    				msgTarget : 'tips'
    			});
        		this.form.on('submit', this.doSubmit, this);
        	}
        	
        	this.initEvents();
        	this.initData();
        	 //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        initData:function(){
        	console.log("通知单查询结果:", App.notifyData);
        	var data = App.notifyData;
        	var custTypeShow = '';
        	if(data.CustType=='1'){
        		custTypeShow = '参保人员缴费';
        	}else{
        		custTypeShow = '参保人员缴费';
        	}
        	var jsdbh = $("#jsdbh").val();
        	jsdbh=jsdbh.trim();
        	this.form.setValues({
        		Amount: Fw.util.Format.fmtAmt(data.Amount),
        		IdNo: data.IdNo,
        		PeopId: data.PeopId,
        		PeopName: data.PeopName,
        		UnitNo: data.UnitNo,
        		UnitName: data.UnitName,
        		CustTypeShow:custTypeShow,
        		showjsdbh:jsdbh,
        		TrsPassword:''
            });
        	
        	this.initAcctNo();
        	
        	
        },
        
        initAcctNo : function() {
			
        	$('[name="AcNo"]').empty();
			var cardList = Fw.app.Session.getAllCards();
			var j = 0;
			for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType != "PCRC") {
					$('[name="AcNo"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if (j == 0) {
						this.changeCard();
					}
					j++;
				}
			}
			if (j == 0) {
				Fw.Tips.info("无可用账户");
			}
		},
        
		changeCard : function() {
			var card = Fw.decode($('[name="AcNo"]').val());
			acNo = card.No;
			bankAccType = card.BankAcType;
		},
		
		/**
         * 初始化事件
         */
        initEvents: function(){
        	//初始化列表事件
//        	$('#submit-btn').on('click',Fw.bind(this.doSubmit,this));
        	// 触发提交事件前（校验前）触发
//			this.form.on('beforesubmit', this.beforeSubmit, this);
			
        	//点击按钮时触发（保存、重置、重发验证码）
        	var buttons = $('button');
        	buttons.off();
            buttons.on('click', Fw.bind(this.onButtonClick, this));
            
            
//            $("#span_detail").on('click', function(){
//                console,log("span_detail");
//            });
            // 点击调用倒计时插件
			$('#smsCountDown').on('click',
					Fw.bind(this.smsCountDownClick, this));

        },
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	var acName=Fw.app.Session.getCustName();
        	var data = App.notifyData;
        	var mount=Number(data.Amount);
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '1',
					modType : '0', //交易id
					phoneNum : '',
					payeeAcNo: acNo,
        			payeeAcName: acName,
        			transName:"参保人员缴费",
					amount: mount //交易金额
				},
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			
		},
		
		/**
         * 蓝牙交易加密
         */
		checktrans :function(values){
			if("5" == App.notifyData.IsOtp){ //蓝牙key
        		var clearData = this.getSignDataforBluetoothKey();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        					bluetoothKeySignatureData = data;
        					//蓝牙校验字段
        					values.SignCert = bluetoothKeySignatureData.signCert, //证书
        					values.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext, //签名明文
        					values.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext //签名密文
        					App.Item3.doFormSubmit(values);
        				}
        		);
        	}else{
        		App.Item3.doFormSubmit(values);
        	}
		},
		
		/**
		 * 获取蓝牙key验证参数
		 */
		getSignDataforBluetoothKey :function(){
			//交易参数
    		var custTypeShow = '';
	    	if(App.notifyData.CustType=='1'){
	    		custTypeShow = '参保人员缴费';
	    	}else{
	    		custTypeShow = '单位缴费';
	    	}
        	var data = {
        			tradeName: "丹阳社保通知单缴费", //交易名
        			tradeId: "MCSocialSecurityDYNoticePay", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "UnitNo", labelDesc: "单位编号: ", labelValue: App.notifyData.UnitNo
			            }, {
			            	labelName: "UnitName", labelDesc: "单位名称: ", labelValue: App.notifyData.UnitName
			            }, {
			            	labelName: "custTypeShow", labelDesc: "缴费类型:", labelValue: custTypeShow
			            }, {
			            	labelName: "jsdbh", labelDesc: "缴费单编号:", labelValue: $("#jsdbh").val().trim()
			            }, {
			            	labelName: "Amount", labelDesc: "交易金额: ", labelValue: App.notifyData.Amount+'元'
			            }, {
			            	labelName: "PayerAcNo",labelValue: acNo
			            }, {
			            	labelName: "PeopId",labelValue: App.notifyData.PeopId
			            }]
        	};
        	return data;
		},
		
		doSubmit : function(values) {
			var pwdCode=$('[name="smscode"]').val();
			var oTPPassword = $("input[name=oTPPassword]").val();

			values.PayerAcNo = acNo;
			values.bankAccType = bankAccType;

			var data = App.notifyData;
			values.OworkDate = data.OworkDate;
			values.OagentSerialNo = data.OagentSerialNo;
			values.PeopId = data.PeopId;
			values.Amount = data.Amount;
			//短信校验字段
			values.payeeAcNo= acNo;
			values.payeeAcName=Fw.app.Session.getCustName();
			values.amount= data.Amount;
			values.pwdCode= pwdCode;
			//口令校验字段
			values.oTPPassword=oTPPassword;
			//蓝牙校验字段
        	values.SignCert = bluetoothKeySignatureData.signCert; //证书
        	values.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext; //签名明文
        	values.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext; //签名密文
			App.Item3.checktrans(values);
		},
		
		doFormSubmit: function(values){
			Fw.util.Ajax.query({
				service : 'jinBaoService',
				method : 'executeDyNoticePay',// 默认为query，方法名称必须是query开头
				// 请求参数
				params : values,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					console.log('data', data);
					App.payResult = data;
					App.tab.setActiveItem(3);
					// App.Item2.init(data);
				}
			// 请求错误后回调
			/*
			 * failure: function(status, textStatus, error) { alert(textStatus); }
			 */
			});
		},
		
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			// 设置表单值
			// values['XXX'] = 'XXX';
			//
			// if(...){
			// return false;//则不触发提交事件
			// }
		},
        
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'pay-btn':
                	this.form.submit();
                    break;
                
            }
        },
        
    };
}();