/**
 * 选项卡#子页面1
 */
App.Item1 = function() {
    
	var bankAccType = null; //账号类型
//	var form = null; //表单
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '应缴费查询',
            /**
             * 右边按钮
             */
            rightButton: false,
            
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
           /* leftButton: {
                //自定义按钮标题（默认'返回'）
                text: ''
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },*/
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!this.form){
        		this.form = new Fw.Form({
    				// EL
    				contentEl : 'form1',
    				// 是否激活重置事件（默认false）
    				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
    				resettable : false,
    				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
    				msgTarget : 'tips'
    			});
        	}
        	
        	
//        	this.initData();
        	
        	this.initEvents();
        	
        	//点击调用倒计时插件
//        	$('#smsCountDown1').on('click',Fw.bind(this.smsCountDownClick,this));
        	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//初始化列表事件
//        	$('#submit-btn').on('click',Fw.bind(this.doSubmit,this));
        	// 触发提交事件前（校验前）触发
//			this.form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
        	this.form.on('submit', this.doSubmit, this);
        	//点击按钮时触发（保存、重置、重发验证码）
        	var buttons = $('button');
            buttons.tap(Fw.bind(this.onButtonClick, this));
        },
        
		doSubmit:function(values){
			
			values.IdNo = $("[name='IdNo']").val();
			var idNo = values.IdNo;
			idNo=String(idNo).trim(false);
			values.IdNo=idNo;
			
			var begMon = values.BegMon;
			begMon=String(begMon).trim(false);
			
			var reg=/^\d{4}((0[1-9])|(1[0-2]))$/;
			if(!reg.test(begMon)){
				Fw.Tips.info("开始年月不合法！");
				return;
			}
			values.BegMon=begMon;
			
			var endMon = values.EndMon;
			endMon=String(endMon).trim(false);
			if(!reg.test(endMon)){
				Fw.Tips.info("结束年月不合法！");
				return;
			}
			
			values.EndMon=endMon;
			
			
			Fw.util.Ajax.query({
                service: 'jinBaoService',
                method: 'executeDyPaymentQuery',//默认为query，方法名称必须是query开头
                //请求参数
                params:values,
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	console.log('data',data);
                	App.notifyData = data;
                	App.tab.setActiveItem(1);
//                	App.Item2.init(data);
                }
            });
		},
		
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			// 设置表单值
			// values['XXX'] = 'XXX';
			//
			// if(...){
			// return false;//则不触发提交事件
			// }
		},
        
		/**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn1':
                    this.form.submit();
                    break;
                
            }
        },
    };
}();