/**
 * 选项卡#子页面2
 */
App.Item2 = function() {
    
	//var form;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '缴费信息确认',
            /**
             * 右边按钮（默认显示）
             */
            /*leftButton: {
            	text: '',
            	handler: function(){
            		App.tab.setActiveItem(0);
//            		Fw.device.Device.gotoIndex();
            	}
            }*/
            
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!this.form){
        		this.form = new Fw.Form({
    				// EL
    				contentEl : 'form',
    				// 是否激活重置事件（默认false）
    				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
    				resettable : false,
    				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
    				msgTarget : 'tips'
    			});
        	}
        	this.initEvents();
        	this.initData();
        	 //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        initData:function(){
        	console.log("通知单查询结果:", App.notifyData);
        	var data = App.notifyData;
        	var custTypeShow = '';
        	if(data.CustType=='1'){
        		custTypeShow = '参保人员缴费';
        	}else{
        		custTypeShow = '参保人员缴费';
        	}
//        	var jsdbh = $("#jsdbh").val();
//        	jsdbh=jsdbh.trim();
//        	var rate=Fw.util.Format.fmtToRate(0.2);
        	this.form.setValues({
        		Amount: Fw.util.Format.fmtAmt(data.Amount),
        		PeopId: data.PeopId,
        		PeopName: data.PeopName,
        		TrsPassword: '',
        		IdCode: data.IdCode
            });
        	
        	this.initAcctNo();
        	
        },
        
        initAcctNo : function() {
        	$('[name="AcNo"]').empty();
			var cardList = Fw.app.Session.getAllCards();
			var j = 0;
			for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType != "PCRC") {
					$('[name="AcNo"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if (j == 0) {
						this.changeCard();
					}
					j++;
				}
			}
			if (j == 0) {
				Fw.Tips.info("无可用账户");
			}
		},
        
		changeCard : function() {
			var card = Fw.decode($('[name="AcNo"]').val());
			acNo = card.No;
			bankAccType = card.BankAcType;
		},
		
		/**
         * 初始化事件
         */
        initEvents: function(){
        	//初始化列表事件
//        	$('#submit-btn').on('click',Fw.bind(this.doSubmit,this));
        	// 触发提交事件前（校验前）触发
//			this.form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
        	
        	//点击按钮时触发（保存、重置、重发验证码）
        	var buttons = $('button');
        	buttons.off();
        	buttons.on('click', Fw.bind(this.onButtonClick, this));
            if(App.notifyData.List.length>0){
            	$("#span_detail").on('click', Fw.bind(this.showInsList,this));
            }else{
            	$("#span_detail").text("无");
            }
//            $("#span_detail").on('click', function(){
//                console,log("span_detail");
//            });
        },
       
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			// 设置表单值
			// values['XXX'] = 'XXX';
			//
			// if(...){
			// return false;//则不触发提交事件
			// }
		},
        
		/**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn':
                	 App.Item2.danyangPaySubmit();
                    break;
                
            }
        },
        /**
         * 提交
         */
        
        danyangPaySubmit: function(){
        	App.Item2.queryTransLimit();
        },
        /**
         * 交易限额查询与验证方式判断
         */
        queryTransLimit: function(){
        	var data = App.notifyData;
        	var mount=Number(data.Amount);
        	var isOtp = Fw.app.Session.getIsOtp();
        	Fw.util.Ajax.query({
        		service: 'transferLimitService',
                method: 'queryTransLimit',
                //请求参数
                params: {
                	No: acNo,
                	BankAcType: bankAccType,
                	TxnType: "NT",
                	amount: mount
                },
                //请求成功后回调
                success: function(data, result) {
                	if(data.IsSms == "0"){ //短信校验
                		$("#smsValidDiv").addClass("sui-hide");
                	}else{
                		$("#smsValidDiv").removeClass("sui-hide");
                	}
                	App.Item2.initDynamicPwdValid(data.IsOtp);
                	App.notifyData.IsOtp = data.IsOtp;
                	App.tab.setActiveItem(2);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                }
            });
       },
       /**
        * 动态口令验证初始化
        */
		initDynamicPwdValid : function(isOtp) {
			var otpType = Fw.app.Session.getOtpType();
			var otpNo = Fw.app.Session.getOtpNo();
			var param = {
				'isOtp' : isOtp,
				'otpType' : otpType,
				'otpNo' : otpNo,
				'isChallenge' : '0',
			};
			// 初始话动态口令显示
			Fw.Otp.initDynamicPwd(param);
		},
        showInsList:function(){
        	App.tab.setActiveItem(4);
//        	App.Item4.showInslist(App.notifyData);
        },
        
    };
}();