/**
 * 创建应用
 */
var App = function() {
	var phoneNum = null;
    return {
        /**
         * 依赖组件
         */
        requires: [
        	//选项卡
            'Fw.Tab',
            //子页面1
            './danYangsign.item1.js',
            //子页面2
            './danYangsign.item2.js',
            'Fw.app.Session',
            //短信统一接口
            'Fw.SmsCountDown',
            //安全键盘
            'Fw.Keyboard',
            'Fw.Otp',
            //表单
            'Fw.Form',
            'Fw.OcrUtil'
        ],
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	
            //定义选项卡
            this.tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab',
                //默认选项卡（默认0）
                activeTab: 0
            });
            //初始化事件
            this.initEvents();
            
            //this.initData();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
     	
        /**
         * 初始化事件
         */
        initEvents: function(){
            //选项卡切换前触发
            this.tab.on('beforetabchange', Fw.bind(this.onBeforeTabChange, this));
            //选项卡切换后触发
            this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
            
            //$("#nextBtn").on("click", App.turnTab2);
            
            
        },
        
        turnTab2:function(){
        	
        	//console.log("App.Item1.smsSecurity: "+App.Item1.smsSecurity);
        	/*Fw.util.Ajax.get({
				// 数据源（服务接口）
				  service : 'smsService',
				  method: 'getSmsStatus',
				  params: {
					  	 smsSecurity:App.Item1.smsSecurity,
					  	 smscode:$("[name=smscode1]").val()
		                 },
				  //params:values,
				// 请求成功后回调
		          success: function(data, result) {
		        	  
		        	  		App.tab.setActiveItem(1);
		          		},
		          		
	          		failure : function(status, textStatus, error) {
						Fw.Tips.warn(error);
					}
				});*/
        	App.Item1.validateSmsCode();
        	
        	//App.tab.setActiveItem(1);
        },
        
        /**
         * 选项卡切换前触发
         */
        onBeforeTabChange: function(tab, newIndex, oldIndex){
        },
        /**
         * 选项卡切换后触发
         */
        onTabChange: function(tab, index){
        	switch(index){
                //第一个
                case 0:
                	//执行子页面1初始化方法
                    App.Item1.init();
                    break;
                //第二个
                case 1:
                	//执行子页面2初始化方法
                    App.Item2.init(this.params);
                    break;
                default:
                    ;
            }
        },
        
        
		
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	//获取当前选项卡序号
        	var index = this.tab.getActiveItemIndex();
        	if(index == 0) {
        		//返回上级目录
        		Fw.redirect("../../socialSecurity/menu.html", Fw.getParameters());
        	} else {
        		//返回上一页
	        	this.tab.movePrev();
        	}
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
