var App = function() {
    //
    return {
        /**
         * 依赖组件
         */
        requires: [
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: 'DEMO',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            //手动显示等待层
            //Fw.LoadMask.show();

            //手动隐藏等待层
            Fw.LoadMask.hide(1000);
            
            //传参-json
//            var json = {
//            		a:'1',
//            		b:'333'
//            };
//            Fw.redirect("./socket/main.html", Fw.encode(json));
            
        },
        /**
         * 右边按钮点击事件
         */
        rightButtonHandler: function(){
            Fw.Tips.info('点击右边按钮...');
        }
    };
}();


/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App); 