/**
 * 创建应用
 */
var App = function() {
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            'Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '会话信息',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: {
                //按钮标题
                text: '右边按钮',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	var m=Fw.app.Session.getAllCards();
        	console.log(m[0])
        	console.log("sssssss"+m[0].No);
           /* var msg = [];
            msg.push('登录账号:' + Fw.app.Session.getAccount());
            msg.push('客户号:' + Fw.app.Session.getCustNo());
            // msg.push('客户信息:' + Fw.app.Session.getCustInfo());
            // msg.push('客户信息中的客户姓名:' + Fw.app.Session.getCustInfo('name'));
            // msg.push('客户信息中的客户手机号:' + Fw.app.Session.getCustInfo('mobilephone'));
            // msg.push('客户端App版本号:' + Fw.app.Session.getVersion());
            // msg.push('客户端设备类型:' + Fw.app.Session.getPlatform());/
            alert(msg.join('\n'));*/
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
