/**
 * 创建应用  查看行情
 */
App.Item2 = function() {
	
	
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '查看行情',
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//绑定监听事件，不重复绑定事件
        	if(!this.record){
        		this.initEvents();
        	}
        	//
        	if(!Fw.isEmpty(record)){
        		//
	        	this.record = record;
	        	//第一个tab传入的数据
	        	this.initBankInfo(record);
        	}
        },
        /**
         * 请求数据
         */
        initBankInfo: function(record){
        	
        	//清空值
        	$('.ui-form-item-View div p').val('');
        	//行情数据渲染
        	$("#HYDM1").html('合约代码');
    		$("#MJ1").html(11+"/"+22);
    		$("#MJ2").html(33+"/"+44);
    		$("#MJ3").html(55+"/"+66);
    		$("#MJ4").html(77+"/"+88);
    		$("#MJ5").html(99+"/"+00);
    		
    		$("#MJ11").html(111+"/"+222);
    		$("#MJ22").html(333+"/"+444);
    		$("#MJ33").html(555+"/"+666);
    		$("#MJ44").html(777+"/"+888);
    		$("#MJ55").html(999+"/"+000);
        	
        },
        /**
         * 绑定监听事件
         */
        initEvents: function(){
        	//查看详情点击
        	$('#selectinfoViewEl').on('click',Fw.bind(this.selectinfoElClick,this));
        },
        /**
         *刷新详情点击
         */
        selectinfoElClick: function(e){
        	//刷新查看详情页面
        	this.initBankInfo(this.record);
        }
    };
}();
