/**
 * 创建应用
 */
var App = function() {
	var form, listView;
	var acNo, bankAccType;
	var tab;
	var params = {};
	var buttons = $('button');
	var AvailBal = "";
	var itemClsFlag = "";
	var trueFlag ="";
	var flagFlag="";
	var zfbzFlag="";
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', 'Fw.ListView',
		// 安全键盘
		'Fw.Keyboard',
		// 设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session',
		// 短信统一接口
		'Fw.SmsCountDown', ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : 'ETC保证金存入',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 右边按钮（默认不显示） rightButton: '右边按钮'
		 */
		/*
		 * rightButton : { // 按钮标题 text : '设置表单值', //
		 * 自定义按钮点击事件（默认App.rightButtonHandler） // handler: XXX },
		 */
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			this.tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0,
				// 是否锁定tab标题
				fixed : true,
				reload : true
			});
			// 定义表单
			this.form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			this.form1 = new Fw.Form({
				// EL
				contentEl : 'form1',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = this.tab.getActiveItemIndex();
			if (index == 0) {
				// 返回上级目录
				Fw.device.Device.gotoIndex();
			} else if (index == 1) {
				$("#list").html("");
				App.tab.setActiveItem(0);
			} else if (index == 2) {
				App.tab.setActiveItem(1);
			} else if (index == 3) {
				App.tab.setActiveItem(2);
			} else {
				// 返回上级目录
				Fw.device.Device.gotoIndex();
			}
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#search-btn").on('click', Fw.bind(this.toSearch, this));
			$("#submit-btn").on('click', Fw.bind(this.toSubmit, this));
			// 表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			this.form.on('change', this.onChange, this);
			// 触发提交事件触发
			this.form.on('submit', this.doSearch, this);
			this.form1.on('submit', this.onSelectRecord0, this);
			// 操作结束
			$('#reflesh-btn').on('click', Fw.bind(this.goBackUrl, this));
			// 获取短信
			$('#smsCountDown').on('click',
					Fw.bind(this.smsCountDownClick, this));
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.on('click', Fw.bind(this.onButtonClick, this));
		},
		queryAvailBal : function() {
			var AccountNo0 = cardList[$("[name=outCardList] option:selected")
					.val()].No;// 签约账户
			Fw.util.Ajax.query({
				service : 'ETCOrderService',
				method : 'queryMCYlAcCategoryQry',
				// 请求参数
				params : {
					AcNo : AccountNo0
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					AvailBal = data.AvlBal;
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},
		toSearch : function() {
			this.form.submit();
		},

		// 操作结束
		goBackUrl : function() {
			Fw.device.Device.gotoIndex();
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			var parameters = {
				Flag : "0",
				Zonoe : "",
			}
			Fw.util.Ajax.query({
				service : 'ETCOrderService',
				method : 'queryMCETCQXParameterMaintain',
				// 请求参数
				params : parameters,
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if ("err001" == data._RejCode) {
						trueFlag = "0";
						// 不可以绑定借记卡（不用保证金） trueFlag = "0";
						App.initAcctNo1();
						return;
					} else {
						for (var j = 0; j < data.List.length; j++) {
							// 借记卡未开通==============不可以绑定（不用保证金） trueFlag =
							// "1";yes
							if (data.List[j].Debitbz == "1") {
								trueFlag = "1";
								App.initAcctNo1();
								return;
							}
							;
							// 借记卡开通 - 是 - 空 =====不可以绑定 （不用保证金）trueFlag =
							// "2";yes
							if (data.List[j].Debitbz == "0"
									&& data.List[j].Usebzj1 == "0"
									&& Fw.isEmpty(data.List[j].Debitbjz1)) {
								trueFlag = "2";
								App.initAcctNo1();
								return;
							}
							;
							// 借记卡开通 -是 - 非空 ======可以绑定（需要保证金） trueFlag = "3";
							if (data.List[j].Debitbz == "0"
									&& data.List[j].Usebzj1 == "0"
									&& !Fw.isEmpty(data.List[j].Debitbjz1)) {
								trueFlag = "3";
								params.Debitbjz = data.List[j].Debitbjz1;
								App.initAcctNo();
								return;
							}
							;
							// 借记卡开通 -否 =============可以绑定（不用保证金）trueFlag =
							// "4";yes
							if (data.List[j].Debitbz == "0"
									&& data.List[j].Usebzj1 == "1") {
								trueFlag = "4";
								App.initAcctNo();
								return;
							}
							;
						}
						;
					}
					;
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},
		// 贷记卡
		initAcctNo1 : function() {
			$('[name="outCardList"]').empty();
			cardList = Fw.app.Session.getAllCards();
			var j = 0;
			for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType == "PCRC") {
					$('[name="outCardList"]').append(
							"<option value=" + i + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ '|信用卡' + "</option>");
					j++;
				}
			}
			if (j == 0) {
				Fw.Msg.info("无可用信用卡，请先添加", function() {
					Fw.device.Device.gotoIndex();
				});
			}
		},
		// 贷记卡+借记卡一类户
		initAcctNo : function() {
			// 获取I类账户信息
			Fw.util.Ajax.query({
				service : 'helperService',
				method : 'queryMCRegistAcNoQry',
				// 请求参数
				params : {},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var list = data.List || [];
					var listStr = "";
					for (var j = 0; j < list.length; j++) {
						var Type = list[j].Type;
						var AcctLevel = list[j].AcctLevel;
						if ("PDBC" == Type && "1" == AcctLevel) { // I类账户
							listStr = listStr + "," + list[j].AcNo;
						}
					}
					$('[name="outCardList"]').empty();
					cardList = Fw.app.Session.getAllCards();
					var g = 0;
					for (var i = 0; i < cardList.length; i++) {
						var card = cardList[i];
						if (card.BankAcType == "PCRC") {
							$('[name="outCardList"]').append(
									"<option value="
											+ i
											+ ">"
											+ Fw.util.Format.fmtAcctNo(card.No,
													true) + '|信用卡'
											+ "</option>");
							g++;
						} else if ("PDBC" == card.BankAcType
								&& listStr.indexOf(card.No) > -1) {
							$('[name="outCardList"]').append(
									"<option value="
											+ i
											+ ">"
											+ Fw.util.Format.fmtAcctNo(card.No,
													true) + '|借记卡'
											+ "</option>");
							g++;
						}
					}
					if (g == 0) {
						Fw.Msg.info("无可用银行卡，请先添加信用卡或借记卡I类账户", function() {
							Fw.device.Device.gotoIndex();
						});
					}
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},

		/**
		 * ETC保证金查询
		 */
		doSearch : function() {
			var acnoinfo = cardList[$("[name=outCardList] option:selected")
					.val()];
			params.AccountNo = acnoinfo.No;// 签约账户
			var parameters = {
				Cardnbr : params.AccountNo,
				Flag : "2"
			};
			if ("PCRC" == acnoinfo.BankAcType) {
				Fw.Msg.info("该银行卡无需缴纳保证金", function() {
					Fw.device.Device.gotoIndex();
				});
				return;
			}
			;
			if (!this.listView) {
				this.listView = new Fw.ListView({
					// EL
					contentEl : 'list',
					cls : 'sx-list',
					groupCls : 'sx-list-group',
					// groupHeaderBaseCls: 'sx-list-group-header',
					groupHeaderCls : 'sui-border-t',
					itemBaseCls : 'sx-list-item-a',
					itemCls : 'sui-border-t',
					pressedCls : 'sui-list-active',
					// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
					ajax : {
						service : 'ETCOrderService',
						method : 'queryMCETCBondStopPay',
						// 请求参数
						params : parameters,
						loadMask : '查询中',
						// 是否分页（默认true）
						page : true,
						pageSize : 10,
						staticData : false,
						listeners : {
							success : function(ajax, data, result) {
								// console.log("dataHand",data);
								App.listView.ajax.clearParams();
								App.listView.ajax.setParams('StartKey',
										data.StartKey || "");
								App.listView.ajax.setParams('EndKey',
										data.EndKey || "");
							}
						},
					},
					// 向右箭头（默认false）
					disclosure : false,
					groupField : 'SubAcSeq',
					groupHeaderTpl : [],
					itemTpl : [ '<div class="item-left-label">',
							'<div>车牌号</div>', '<div>止付金额</div>',
							'<div>银行卡号</div>', '</div>',
							'<div class="item-right-value">',
							'<div>${item.Licensetag}</div>',
							'<div>${item.OwnerName|fmtAmt}</div>',
							'<div>${item.Account|fmtAcctNo,true}</div>',
							'</div>',
							'<div class="sx-list-content-arr sx-arr"></div>', ]
				});
			} else {
				this.listView.ajax.clearParams();
				this.listView.ajax.setParams(parameters);
			}
			this.listView.on('itemclick', this.onSelectRecord, this);
			this.listView.loadData();
			App.tab.setActiveItem(1);
		},
		onSelectRecord : function(itemCls) {
			$('input[name=AcctNo]').val(
					Fw.util.Format.fmtAcctNo(cardList[$(
							"[name=outCardList] option:selected").val()].No,
							true));// 反显银行卡号
			itemClsFlag = itemCls;
			var b = itemCls.OwnerName;// 剩余金额
			var c = Number(params.Debitbjz) - Number(b);// 欠费
			var re = /^[0-9]+.?[0-9]*$/;
			if(!re.test(c)){
				c = 0;
			};
			if (c < 0) {
				c = 0;
			};
			$("[name=money]").text(c);
			// 可用余额查询
			App.queryAvailBal();
			zfbzFlag = itemCls.ZFBZ;
			App.tab.setActiveItem(2);
		},
		onSelectRecord0 : function(values) {//1-止付 直接做续存  0-初始直接做止付 3-待同步
			if("0" == zfbzFlag){
				flagFlag = "0";
				App.onSelectRecord2();
			}else if("1" == zfbzFlag){
				flagFlag = "1";
				App.onSelectRecord2();
			}else if("3" == zfbzFlag){
				App.onSelectRecord1();
			}else{
				flagFlag = "1";
				App.onSelectRecord2();
			};
		},
		/**
		 * ETC保证金同步
		 */
		onSelectRecord1 : function(values) {
			var format = "yyyyMMdd";
			var itemCls = itemClsFlag;
			var acnoinfo = cardList[$("[name=outCardList] option:selected")
					.val()];
			if ("PCRC" == acnoinfo.BankAcType) {
				var BankType1 = "1";// 贷记卡
			} else if ("PDBC" == acnoinfo.BankAcType) {
				var BankType1 = "2";// 借记卡
			}
			;
			params.Cardnbr = itemCls.Account;
			params.Cardnbr = itemCls.Account;
			params.CutName = itemCls.CustName;
			params.IdType = itemCls.IdType;
			params.IdNo = itemCls.IdCard;
			params.EtcNo = itemCls.CardId;
			params.Licentag = itemCls.Licensetag;
			params.CarType = itemCls.CarType;
			params.OwnerName = itemCls.OwnerName;
			params.ZfSeq = itemCls.Seats;
			var dateInfo = itemCls.CONTACT.split('-', 3);
			var year = dateInfo[0];
			var month = dateInfo[1];
			var day = dateInfo[2];
			params.ZfDate = year + month + day;
			if("PDBC" == acnoinfo.BankAcType){
				if ("3" == trueFlag) {
					var a = $("[name=Debitbjz]").val();// 补缴金额
					var b = params.OwnerName;// 剩余金额
					var c = Number(params.Debitbjz) - Number(b);// 欠费
					if (c < 0) {
						c = 0;
					}
					$("[name=money]").text(c);
					if (Number(a) + Number(b) < Number(params.Debitbjz)) {
						Fw.Msg.info("保证金金额存入不应小于" + c + "元！");
						return;
					}
					;
					if (Number(a) > AvailBal) {
						Fw.Msg.info("保证金金额不应大于银行卡可用余额" + AvailBal + "元！");
						return;
					}
					;
					if (!(/\d/.test(a) && a % 100 == 0)) {
						Fw.Msg.info("保证金金额只能是100的整数位！");
						return;
					}
					;
					params.Zfamt = $("[name=Debitbjz]").val();
					params.AccType = "2";
				} else {
					Fw.Msg.info("该银行卡无需缴纳保证金", function() {
						Fw.device.Device.gotoIndex();
					});
					return;
				}
				;
			}else{
				Fw.Msg.info("该银行卡无需缴纳保证金", function() {
					Fw.device.Device.gotoIndex();
				});
				return;
			};
			Fw.util.Ajax.query({
				 service : 'ETCOrderService',
				 method : 'executeMCETCBondStopPay',
				params : {
					Flag : "4",
					ZoneNo : "",
					TrsPassword : this.form1.values.TrsPassword,
					CutName : params.CutName,
					IdType : params.IdType,
					IdNo : params.IdNo,
					Cardnbr : params.Cardnbr,
					EtcNo : params.EtcNo,
					Licentag : params.Licentag,
					CarType : params.CarType,
					Zfamt : params.Zfamt,
					ZfDate : params.ZfDate,
					ZfSeq : params.ZfSeq,
					AccType : params.AccType,
				},
				loadMask : true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					// 跳转结果页
					if(0 == data.ZFBZ){//0初始态 直接调止付  1续存  2-解止付  就是已经注销了  3待同步还需要再做同步
						flagFlag = "0";
						App.onSelectRecord2();
					}else{
						flagFlag = "1";
						App.onSelectRecord2();
					}
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * ETC保证金补缴
		 */
		onSelectRecord2 : function(values) {
			var format = "yyyyMMdd";
			var itemCls = itemClsFlag;
			var acnoinfo = cardList[$("[name=outCardList] option:selected")
				.val()];
			if ("PCRC" == acnoinfo.BankAcType) {
				var BankType1 = "1";// 贷记卡
			} else if ("PDBC" == acnoinfo.BankAcType) {
				var BankType1 = "2";// 借记卡
			}
			;
			params.Cardnbr = itemCls.Account;
			params.Cardnbr = itemCls.Account;
			params.CutName = itemCls.CustName;
			params.IdType = itemCls.IdType;
			params.IdNo = itemCls.IdCard;
			params.EtcNo = itemCls.CardId;
			params.Licentag = itemCls.Licensetag;
			params.CarType = itemCls.CarType;
			params.OwnerName = itemCls.OwnerName;
			params.ZfSeq = itemCls.Seats;
			var dateInfo = itemCls.CONTACT.split('-', 3);
			var year = dateInfo[0];
			var month = dateInfo[1];
			var day = dateInfo[2];
			params.ZfDate = year + month + day;
			if("PDBC" == acnoinfo.BankAcType){
				if ("3" == trueFlag) {
					var a = $("[name=Debitbjz]").val();// 补缴金额
					var b = params.OwnerName;// 剩余金额
					var c = Number(params.Debitbjz) - Number(b);// 欠费
					if (c < 0) {
						c = 0;
					}
					$("[name=money]").text(c);
					if (Number(a) + Number(b) < Number(params.Debitbjz)) {
						Fw.Msg.info("保证金金额存入不应小于" + c + "元！");
						return;
					}
					;
					if (Number(a) > AvailBal) {
						Fw.Msg.info("保证金金额不应大于银行卡可用余额" + AvailBal + "元！");
						return;
					}
					;
					if (!(/\d/.test(a) && a % 100 == 0)) {
						Fw.Msg.info("保证金金额只能是100的整数位！");
						return;
					}
					;
					params.Zfamt = $("[name=Debitbjz]").val();
					params.AccType = "2";
				} else {
					Fw.Msg.info("该银行卡无需缴纳保证金", function() {
						Fw.device.Device.gotoIndex();
					});
					return;
				}
				;
			}else{
				Fw.Msg.info("该银行卡无需缴纳保证金", function() {
					Fw.device.Device.gotoIndex();
				});
				return;
			};
			Fw.util.Ajax.query({
				service : 'ETCOrderService',
				method : 'executeMCETCBondStopPay',
				params : {
					Flag : flagFlag,
					ZoneNo : "",
					TrsPassword : this.form1.values.TrsPassword,
					CutName : params.CutName,
					IdType : params.IdType,
					IdNo : params.IdNo,
					Cardnbr : params.Cardnbr,
					EtcNo : params.EtcNo,
					Licentag : params.Licentag,
					CarType : params.CarType,
					Zfamt : params.Zfamt,
					ZfDate : params.ZfDate,
					ZfSeq : params.ZfSeq,
					AccType : params.AccType,
				},
				loadMask : true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					// 跳转结果页
					App.tab.setActiveItem(3);
					// 手动隐藏等待层
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * 调用短信统一接口
		 */
		smsCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			// 倒计时配置参数
			var params = {
				// 按钮对象
				contentEl : contentEl,
				// 参数
				param : {
					// 0表示本地获取 1表示 渠道端获取
					socket : '1',
					modType : '', // 交易id
					phoneNum : '',
					transName : 'ETC保证金存入',
					payeeAcNo : '',
					payeeAcName : '',
					amount : '' // 交易金额
				},
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},
		/**
		 * 个人账户状态
		 */
		fmtDealFlagStatues : function(v) {
			switch (String(v)) {
			case '0':
				return '订单处理成功';
			case '1':
				return '订单处理失败';
			case '2':
				return '订单处理中';
			default:
				return v;
			}
		},
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 提交表单
			case 'pay-btn':
				this.form1.submit();
				break;
			}
		},
		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {

		},

	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
