var App = function() {
	var date;
	var acNo; //账号
	var accType; //账号类型
	var data;
	var BRCHS="";  //网点号
	var BRNAMES=""; //网点名称
	var allCards =[];//获取下挂账户
	var curDate = "";
	return {
		  requires : [
			'Fw.app.Session',
			  //日历组件
			'Fw.Calendar',
			 //安全键盘
            'Fw.Keyboard',
          ], 
          /**
           * 视图设置
           * 设置标题栏、按钮等
           * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
           */
          viewConfig: {
              /**
               * 标题栏标题
               * 如果为空或未设置，则标题栏不显示、左右按钮不显示
               */
              title: '大额提现预约',
              /**
               * 左边按钮（默认显示）
               * 如果为false，则左边按钮不显示
               * leftButton: '左边按钮'
               */
              leftButton: {
                  //自定义按钮标题（默认'返回'）
                  text: '左边按钮',
                  //自定义按钮点击事件（默认App.leftButtonHandler）
                  //handler: XXX
              },
           
        },
		init : function(require) {
	        this.initData();
	        this.initEvents();
	        Fw.LoadMask.hide(1000);
		},
		//初始化页面数据
		initData : function() {
			var params = Fw.getParameters();
			BRCHS = params.BRCHS;
			BRNAMES = params.BRNAMES;
			this.deptIdQry();
			this.initAcctNo();
			this.initCurDate();
			/*var currentDate = new Date();
			date = new Date(currentDate.setDate(currentDate.getDate()+2));
			g("bookingDate").innerHTML = myformatter(date);*/
		},
	
		initEvents : function() {
			$("#sumbitBtn").on("click",Fw.bind(this.sumbitBtn,this));
			$("#sumbitBtnOk").on("click",Fw.bind(this.sumbitBtnOk,this));

		},
		//初始化网点
		deptIdQry :function(){
			 Fw.util.Ajax.get({
		            service: 'netWorkOrderService',
		            method: 'getDeptIdQry',
		            //请求参数
		            params: {
						FunCode : "2",
						DeptId : BRCHS.substring(0,9),
						DeptSeq : "",
		            },
		            //是否使用数据挡板（默认false）
		            staticData: false,
		            //请求成功后回调
		            success: function(data, result) {
		            	var list = data.List;
		    			if(list.length > 0){
		    				$("#bookingBank").val(list[0].DeptName);
		    			}else{
		    				Fw.Msg.info("未搜索到可提现银行!",function(){
		    					var params = Fw.getParameters();
		    					var url="../networkOrder/largeAmountQuery.html";
		    					Fw.redirect(url,params);
		    				});
		    			}
		            },
		            //请求错误后回调
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        }); 
		},
		//初始化账号
		initAcctNo :function(){
			//获取下挂账户
		    allCards =  Fw.app.Session.getAllCards();//卡所有信息
			var sel = document.getElementById("cardlist");
			var j = 0;
			var sb = [];
			for(var i = 0;i < allCards.length;i++){
				if(allCards[i].BankAcType != "PCRC"){
					//sel.add(new Option(allCards[i].No));
					sb[sb.length] = "<option  value='"+allCards[i].No+"'>"+Fw.util.Format.fmtAcctNo(allCards[i].No,true)+"</option>";
					if(j==0){
						acNo = allCards[i].No;
						accType = allCards[i].BankAcType;
						App.queryBalance();
					}
					j++;
				}
			}
			sel.innerHTML = sb.join("");
		},
		//查询账号余额
		queryBalance :function(){
			$('#balance').val("查询中...");
			Fw.util.Ajax.query({
	            service: 'netWorkOrderService',
	            method: 'queryBalance',
	            //请求参数
	            params: {
	            	Account_No:acNo,
					Account_BankAcType:accType,
	            },
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	            	var amount = data.AvailBal;
	    			$('#balance').val(amount);
	            },
	            //请求错误后回调
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info("查询失败!"+error);
	            	$('#balance').val("");
	            }
	        });
		},
		//提交事件
		sumbitBtn :function(){
			if($("#amount").val()==''||parseFloat(Fw.util.Format.unFmtAmt($("#amount").val()))<50000){
				Fw.Msg.info("预约金额必须大于等于50000元");
				return;
			}
			var date = new Date(curDate);
		    var todayTime = date.getTime() + 2*24*60*60*1000;
		    var selDate = new Date($("#bookingDate").val());	    		    
		    var selTime = selDate.getTime();
			if(selTime-todayTime<0){
				Fw.Msg.info("预约日期必须大于等于当前日期两天以上");
				return;
			};
			var cardlist=document.getElementById("cardlist");
			$("#cardNo").val(cardlist.options[cardlist.selectedIndex].text);
			$("#bookingDate2").val($("#bookingDate").val());
			$("#amount2").val($("#amount").val());
			$("#upperAmount2").val($("#upperAmount").val());
			$("#bookingBank2").val($("#bookingBank").val());
			$("#balance2").val($("#balance").val());
			$("#pageA").addClass("hide");
			$("#pageB").removeClass("hide");
		},
		//确认提交提示
		sumbitBtnOk :function(){
			Fw.Msg.cfm('是否确定进行大额提现预约操作??', function(code, btn, win){
                if(code == 'yes'){
                	App.confirm();
                }
            });
		},
		//确认提交接口
		confirm :function(){
			Fw.util.Ajax.execute({
	            service: 'netWorkOrderService',
	            method: 'executeLargeAmountApply',
	            //请求参数
	            params: {
					AccountNo : acNo,
					BankAcType : accType,
					ScheduleRule : $("#bookingDate").val().replace(/\//g,"-"),
					Amount : parseFloat(Fw.util.Format.unFmtAmt($("#amount").val())),
					DeptId : BRCHS.substring(0,9),
					DeptName : $("#bookingBank").val(),
					OperateType : "1", //预约
					AcName : Fw.app.Session.getCustName(),
	            },
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	            	Fw.Msg.info("您的大额提现预约成功",function(){
	            		var params = Fw.getParameters();
	        			var url="../networkOrder/largeAmountQuery.html";
	        			Fw.redirect(url,params);
	            	});
	            },
	            //请求错误后回调
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            	return false;
	            }
	        }); 
		},
		//选择账户触发事件
		chufa :function (obj){
			var cardlist=document.getElementById("cardlist");
			acNo = cardlist.options[cardlist.selectedIndex].value;
			for(var i = 0;i < allCards.length;i++){
				if(allCards[i].BankAcType != "PCRC"){
					if(allCards[i].No == acNo){
						accType = allCards[i].BankAcType;
					}
				}
			}
			App.queryBalance();
		},
		//获取当前日期
        initCurDate:function(){
        	Fw.util.Ajax.get({
				service : 'curdateService',
				method:'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					 curDate = data['CurDate'];
					 var date = new Date(curDate);
				     var time = date.getTime() + 2*24*60*60*1000;
					 $('#bookingDate').val(Fw.util.Format.fmtDate(new Date(time),'yyyy/MM/dd'));
				},
			});
        },
		leftButtonHandler:function(){
			var params = Fw.getParameters();
			var url="../networkOrder/largeAmountQuery.html";
			Fw.redirect(url,params);
     	},
	  };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);