var App = function() {
	var list =[]; //预约列表
	var acNo =""; //账号
	var bookingAcNo =""; //预约账号
	var BRCHS = "";
	var BRNAMES = "";
	var longitude ="";
	var latitude ="";
	var bankAddress="";
	return {
		  requires : [
			'Fw.app.Session',
			  //日历组件
			'Fw.Calendar',
          ], 
          /**
           * 视图设置
           * 设置标题栏、按钮等
           * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
           */
          viewConfig: {
              /**
               * 标题栏标题
               * 如果为空或未设置，则标题栏不显示、左右按钮不显示
               */
              title: '大额预约',
              /**
               * 左边按钮（默认显示）
               * 如果为false，则左边按钮不显示
               * leftButton: '左边按钮'
               */
              leftButton: {
                  //自定义按钮标题（默认'返回'）
                  text: '左边按钮',
                  //自定义按钮点击事件（默认App.leftButtonHandler）
                  //handler: XXX
              },
              /**
               * 右边按钮（默认不显示）
               * rightButton: '右边按钮'
               */
              rightButton: {
                  //按钮标题
                  text: 'addico',
                  //自定义按钮点击事件（默认App.rightButtonHandler）
                  //handler: XXX
              },
              /**
               * 是否自动显示等待层（默认true）
               * 需手动隐藏等待层
               */
              //loadMask: false
           
        },
		init : function(require) {
	        this.initData();
	        this.initEvents();
	        Fw.LoadMask.hide(1000);
		},
		//初始化页面数据
		initData : function() {
			var params = Fw.getParameters();
			BRCHS = params.BRCHS;
			BRNAMES = params.BRNAMES;
			longitude  = params.longitude;//经度
		    latitude = params.latitude;//纬度
		    bankAddress= params.bankAddress;//地址
			
			//获取下挂账户
			var allCards =  Fw.app.Session.getAllCards();//卡所有信息	
			var sel = document.getElementById("cardlist");
			var j = 0;
			var sb = [];
			for(var i = 0;i < allCards.length;i++){
				if(allCards[i].BankAcType != "PCRC"){
					//sel.add(new Option(allCards[i].No));
					sb[sb.length] = "<option  value='"+allCards[i].No+"'>"+Fw.util.Format.fmtAcctNo(allCards[i].No,true)+"</option>";
					if(j==0){
						acNo = allCards[i].No;
					}
					j++;
				}
			}
			sel.innerHTML = sb.join("");
			App.initCurDate();
		},
	
		initEvents : function() {
			$("#searchBtn").on("click",Fw.bind(this.searchBtn,this));
			/*$("#applyCancel").on("click",Fw.bind(this.applyCancel,this));*/

		},
		//查询触发事件
		searchBtn :function(){
			var startdate = new Date($("#startdate").val()).getTime();
			var enddate =  new Date($("#enddate").val()).getTime();
			if(startdate > enddate){
				Fw.Msg.info("起始日期必须小于终止日期");
				return;
			}
			 Fw.util.Ajax.query({
		            service: 'netWorkOrderService',
		            method: 'queryReserveQry',
		            //请求参数
		            params: {
		            	AccountNo : acNo,
						BeginDate : $("#startdate").val().replace(/\//g,"-"),
						EndDate : $("#enddate").val().replace(/\//g,"-"),
						CifSeq : Fw.app.Session.getCifSeq(),//电子银行客户号
		            },
		            //是否使用数据挡板（默认false）
		            staticData: false,
		            //请求成功后回调
		            success: function(data, result) {
		            	list = data.List;
		          		App.showBookingList();
		            },
		            //请求错误后回调
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        });
		},
		
		showBookingList:function(){
			var sb = [];
			var today = new Date();
			var bookingList = document.getElementById("bookingList");
			bookingList.innerHTML = "";
			if(list.length==0){
				sb[sb.length]="<ul style='height: 100px;margin-top: 60px;}'><li class='center'><label >无相关预约信息</label></li></ul>";
			}else{
				for(var i=0; i<list.length; i++){
					var data = list[i];
					if(new Date(data.ScheduleRule).getTime() > today.getTime()){
						//sb[sb.length]='<div class="radius_text" onclick="App.bookingCancel('+i+')">';
						sb[sb.length]='<div class="radius_text" onclick="App.toDetail('+i+')">';
					}else{
						sb[sb.length]='<div class="radius_text">';
					}
					sb[sb.length]='<div class="text_content">';
					sb[sb.length]='<div class="text_title">预约日期:</div>';
					sb[sb.length]='<span>'+ data.ScheduleRule +'</span>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="text_content">';
					sb[sb.length]='<div class="text_title">预约金额:</div>';
					sb[sb.length]='<span>'+ data.Amount +'</span>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="text_content">';
					sb[sb.length]='<div class="text_title">预约银行:</div>';
					sb[sb.length]='<span>'+ data.DeptName +'</span>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="text_content">';
					sb[sb.length]='<div class="text_title">预约编号:</div>';
					sb[sb.length]='<span>'+ data.BookNo +'</span>';
					sb[sb.length]='</div>';
					if(new Date(data.ScheduleRule).getTime() > today.getTime()){
						sb[sb.length]='<div style="padding-right: 13px;"><img class="imgStyle" src="../../images/networkOrder/40-40.png"></div>';
					}
					sb[sb.length]='</div>';
					
					
					
					/*sb[sb.length]='<div class="cardmodel-bj">';
					sb[sb.length]='<div id="account_list" class="card-inner">';
					sb[sb.length]='<div class="cardmodel-x">';
					sb[sb.length]='<div class="cardmodel-x-l">';
					sb[sb.length]='<div class="cardmodel-x-l-x">';
					sb[sb.length]='<label class="cardmodel-x-l-x-l">预约日期:</label>';
					sb[sb.length]='<p name="balance" id="balance" data-label="预约日期" data-allowblank="false" class="cardmodel-x-l-x-r">'+ data.ScheduleRule +'</p>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="cardmodel-x-l-x">';
					sb[sb.length]='<label class="cardmodel-x-l-x-l">预约金额:</label>';
					sb[sb.length]='<p name="balance" id="balance" data-label="预约金额" data-allowblank="false" class="cardmodel-x-l-x-r">'+ data.Amount +'</p>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="cardmodel-x-l-x">';
					sb[sb.length]='<label class="cardmodel-x-l-x-l">预约银行:</label>';
					sb[sb.length]='<p name="balance" id="balance" data-label="预约银行" data-allowblank="false" class="cardmodel-x-l-x-r">'+ data.DeptName +'</p>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="cardmodel-x-l-x">';
					sb[sb.length]='<label class="cardmodel-x-l-x-l">预约编号:</label>';
					sb[sb.length]='<p name="balance" id="balance" data-label="预约编号" data-allowblank="false" class="cardmodel-x-l-x-r">'+ data.BookNo +'</p>';
					sb[sb.length]='</div>';
					sb[sb.length]='</div>';
					sb[sb.length]='</div>';
					sb[sb.length]='</div>';
					sb[sb.length]='</div>';
				    sb[sb.length]='</div> ';*/

				}
			}
			bookingList.innerHTML += sb.join("");
			var hg = $(".icon_bg").parent(".radius_text").height()/2-17+"px";
			$(".icon_bg").css("top",hg);
			$("#pageA").removeClass("hiden");
			$("#pageB").removeClass("hiden");
			$("#pageC").addClass("hiden");
		},
		//详情页面
		toDetail :function(i){
			$("#AccountNoC").val(Fw.util.Format.fmtAcctNo(list[i].AccountNo,true));
			$("#AccountNoHidenC").val(list[i].AccountNo)
			$("#ScheduleRuleC").val(list[i].ScheduleRule);
			$("#AmountC").val(list[i].Amount);
			$("#DeptNameC").val(list[i].DeptName);
			$("#BookNoC").val(list[i].BookNo);
			
			$("#pageA").addClass("hiden");
			$("#pageB").addClass("hiden");
			$("#pageC").removeClass("hiden");
			$("#rightBtn-fw-gen-10001").css("display","none");
		},
		//取消预约
		bookingCancel :function(){
			Fw.Msg.cfm('是否确定进行大额提现预约取消操作?', function(code, btn, win){
                if(code == 'yes'){
                	App.bookingCancelOk();
                }
            }); 
		},
		//确认取消预约
		bookingCancelOk :function(){		
			 Fw.util.Ajax.execute({
		            service: 'netWorkOrderService',
		            method: 'executeReserveCancel',
		            //请求参数
		            params: {
						AccountNo : $("#AccountNoHidenC").val(),
						ScheduleRule : $("#ScheduleRuleC").val(),
						Amount : $("#AmountC").val(),
						CifSeq : Fw.app.Session.getCifSeq(),
						DeptName : $("#DeptNameC").val(),
						OperateType : "4", //取消标志
						AcName : Fw.app.Session.getCustName(),
						BookNo : $("#BookNoC").val()
		            },
		            //是否使用数据挡板（默认false）
		            staticData: false,
		            //请求成功后回调
		            success: function(data, result) {
		            	Fw.Msg.info("取消预约成功",App.searchBtn())
		            },
		            //请求错误后回调
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        });
		},
		/*//取消预约
		bookingCancel :function(i){
			Fw.Msg.cfm('是否确定进行大额提现预约取消操作?', function(code, btn, win){
                if(code == 'yes'){
               		App.bookingCancelOk(i);
                }
            }); 
		},*/
		/*//确认取消预约
		bookingCancelOk :function(i){		
			 Fw.util.Ajax.execute({
		            service: 'netWorkOrderService',
		            method: 'executeReserveCancel',
		            //请求参数
		            params: {
						AccountNo : list[i].AccountNo,
						ScheduleRule : list[i].ScheduleRule,
						Amount : list[i].Amount,
						CifSeq : Fw.app.Session.getCifSeq(),
						DeptName : list[i].DeptName,
						OperateType : "4", //取消标志
						AcName : Fw.app.Session.getCustName(),
						BookNo : list[i].BookNo
		            },
		            //是否使用数据挡板（默认false）
		            staticData: false,
		            //请求成功后回调
		            success: function(data, result) {
		            	Fw.Msg.info("取消预约成功",App.searchBtn())
		            },
		            //请求错误后回调
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        });
		},*/
		//选择账户触发事件
		chufa:function (obj){
			var cardlist=document.getElementById("cardlist");
			acNo = cardlist.options[cardlist.selectedIndex].value;
		},
		//获取当前日期
        initCurDate:function(){
        	Fw.util.Ajax.get({
				service : 'curdateService',
				method:'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					$('#startdate').val(Fw.util.Format.fmtSomeMonth(data['CurDate'],-1));
					$('#enddate').val(data['CurDate']);
				},
			});
        },
		leftButtonHandler:function(){
			var page = $("#pageC");
			if(!page.hasClass("hiden")){
				$("#pageA").removeClass("hiden");
				$("#pageB").addClass("hiden");
				$("#pageC").addClass("hiden");
				$("#rightBtn-fw-gen-10001").css("display","")
			}
			else{
				var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
				Fw.redirect(url);
			}
     	},
     	//跳转大额预约页面
     	rightButtonHandler:function(){  
     		var params = Fw.getParameters();
			var url="../networkOrder/largeAmountApply.html";
			Fw.redirect(url,params);
     	},
	  };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);