var App = function() {
	var useEnc = "";
	var BRCHS="";  //网点号
	var BRNAMES=""; //网点名称
	var rpdata1;
	var cifNo="";//客户号
	var longitude ="";
	var latitude ="";
	var bankAddress="";
	var WorkDate="";
	
	return {
		  requires : [
  	        'Fw.app.Session',
          ], 
		 /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '我的预约',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            //    handler: 'App.leftButtonHandler'
            },
           
        },
		init : function(require) {
	        this.initData();
	        this.initEvents();
	        Fw.LoadMask.hide(1000);
		},
		//初始化页面数据
		initData : function() {
			var params = Fw.getParameters();
			BRCHS = params.BRCHS;
			BRNAMES = params.BRNAMES;
			longitude  = params.longitude;//经度
        	latitude = params.latitude;//纬度
        	bankAddress= params.bankAddress;//地址

			//BRCHS=BRCHS.substring(0,9);
			//setWebitEvent("initWebkitTitleBar()", "02");
			//initBeginAndEndtime();
			//clearWaitPanel();
		},
	
		initEvents : function() {
			$("#searchByReservId").on("click",Fw.bind(this.searchByReservId,this));
			$("#applyCancel").on("click",Fw.bind(this.applyCancel,this));
			$("#applyId").on("click",Fw.bind(this.showApplyCont,this));
		},
		showApplyCont : function(){
			var displayName = $("#applyCont").css("display");
			if(displayName=="none"){
				$("#applyCont").show();
			}else{
				$("#applyCont").hide();
			}
		}, 
		searchByReservId:function(){
			var ReservId=$("#ReservId").val();
			 if(Fw.isEmpty(ReservId.replace(/\s/g,""))){
				 Fw.Msg.info("请输入预约号");
			 } 
			 else{
				 Fw.util.Ajax.get({
		            service: 'netWorkOrderService',
		            method: 'getOrderLoginInQry',
		            //请求参数
		            params: {
		            	OrderBranch:BRCHS,
		    			ReservId:ReservId.replace(/\s/g,""),
		    			CifNo:Fw.app.Session.getCifNo(),
		            },
		            //是否使用数据挡板（默认false）
		            staticData: false,
		            //请求成功后回调
		            success: function(data, result) {
		            	App.searchsuccess(data);
		            	$("#pageA").addClass("sui-hide");
		    			$("#pageB").removeClass("sui-hide");
		            },
		            //请求错误后回调
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        }); 
			 }
		},
		//查找成功后回调
		searchsuccess:function (data){
			var all1="";
			if(data.WorkDate!="" && data.WorkDate!=null){
				WorkDate=data.WorkDate;
				all1="";
				var date1=data.WorkDate;
				var y=date1.substring(0,4);
				var m=date1.substring(4,6);
				var d=date1.substring(6,8);
				all1=y+"-"+m+"-"+d;
			}
			$("#WorkDate").val(all1);
			//g("OrderSeq").value=data.OrderSeq;
			//g("OrderChannel").value=data.OrderChannel;
			$("#ReservId1").html(data.ReservId);
			//g("OrderId").value=data.OrderId;
			
			if(data.ReservLoginDate!="" && data.ReservLoginDate!=null){
				all1="";
				var date1=data.ReservLoginDate;
				var y=date1.substring(0,4);
				var m=date1.substring(4,6);
				var d=date1.substring(6,8);
				all1=y+"-"+m+"-"+d;
			}
			var all2="";
			
			if(data.ReservLoginTime!="" && data.ReservLoginTime!=null){
				var time1=data.ReservLoginTime;
				var h=time1.substring(0,2);
				var m=time1.substring(2,4);
				var s=time1.substring(4,6);
				all2=h+":"+m+":"+s;
			}
			$("#ReservLoginTime").val(all1+"   "+all2); 
			
			if(data.OrderBgDate!="" && data.OrderBgDate!=null){				
				all1="";
				var date1=data.OrderBgDate;
				var y=date1.substring(0,4);
				var m=date1.substring(4,6);
				var d=date1.substring(6,8);
				all1=y+"-"+m+"-"+d;
			}
			
			//g("OrderEdDate").value=rpdata.OrderEdDate;
			//g("OrderBgTime").value=rpdata.OrderBgTime;
			var time2="";
			var time4="";
			if(data.OrderEdTime!=null && data.OrderEdTime!=""){
				var time1=data.OrderEdTime;
				
				var time2=time1.substring(0,2);
			}
			if(data.OrderBgTime!=null && data.OrderBgTime!=""){
				var time3=data.OrderBgTime;
				var time4=time3.substring(0,2);
			}
			$("#OrderBgDate").val(all1+"  "+time4+":00-"+time2+":00");
			
			//g("OrderEdTime").value=rpdata.OrderEdTime;
			
			//g("OrderZone").value=rpdata.OrderZone;
			//g("OrderBranch").value=data.OrderBranch;
			//g("OrderStatus").value=rpdata.OrderStatus;
			switch (data.OrderStatus){
				case "0":
					$("#OrderStatus").val("已登记");
					break;
				case "1":
					$("#OrderStatus").val("已激活");
					break;
				case "2":
					$("#OrderStatus").val("已取消");
					break;
				case "3":
					$("#OrderStatus").val("已过期");
					break;
			}
			$("#Name").val(data.Name);
			$("#PhoneNo").val(Fw.util.Format.fmtPhoneNum(data.PhoneNo));
		},
		applyCancel :function(){
			 Fw.Msg.cfm('是否确认进行预约取消操作?', function(code, btn, win){
                 if(code == 'yes'){
                	App.applyCancelOk();
                 }
             });       	
		},
		applyCancelOk :function(){
			Fw.util.Ajax.execute({
	            service: 'netWorkOrderService',
	            method: 'executeOrderCancel',
	            //请求参数
	            params: {
	            	ReservId:$('#ReservId1').html(),
	            	WorkDate:WorkDate,
	            	BRCHS:BRCHS.substring(0,9),
	            },
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	            	Fw.Msg.info("取消预约成功",function(){
	            		var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
	        			Fw.redirect(url);
	            	});
	            },
	            //请求错误后回调
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error,function(){
	            		var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
	        			Fw.redirect(url);
	            	});
	            }
	        }); 
		},
		closeReservId :function(){
			$("#ReservId").val("");
		},
		leftButtonHandler:function(){ 
			var page = $("#pageB");
			if(!page.hasClass("sui-hide")){
				$("#pageA").removeClass("sui-hide");
				$("#pageB").addClass("sui-hide");
			}else{
				var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
				Fw.redirect(url);
			}
     	},
	  };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);