/**
 * 修改
 */
App.modify = function() {
	var smsSecurity=null;
	var PContentOne;
	var PContentCom;
    return {
        init : function(record){
        	if(!this.modifyForm){
      		  this.modifyForm = new Fw.Form({
                      contentEl : 'modifyForm',
                      resettable: false,
                      msgTarget: 'tips'
                  });
          		this.modifyForm.on('change', this.onChange, this);
          		this.modifyForm.on('submit', this.doSubmit, this);
          		this.modifyForm.on('beforesubmit', this.beforeSubmit, this);
          	}
        	
        	if(!Fw.isEmpty(record)){
        		// 清空页面元素
        		if(!Fw.isEmpty(this.modifyForm)){
        			this.modifyForm.reset();
        			Fw.SmsCountDown.reset();
        		}
        		this.Flag = record.Flag || "";
        		if("1"==this.Flag)
        		{//签约
            		// 设置标题栏
            		Fw.apply(App.viewConfig, {title: '小额免密签约(借记卡)'});
                	//设置标题栏
                	Fw.device.Device.applyView(App);
        		}
        		else
        		{
        			//标题栏信息
                	Fw.apply(App.viewConfig, {title: '小额免密修改(借记卡)'});
                	//设置标题栏
                	Fw.device.Device.applyView(App);
        		}    	
            	App.modify.initOneLimit(record);//查询单笔法人限额
              	
        	}
        },
        initOneLimit : function(record){
       	 Fw.util.Ajax.query({
       		 	 service: 'pettyImmunityManageService',
       		 	 method: 'queryOnceLimitCommonPM',
     	 		 params: {
 	 		 		 AcNo: record.card["No"],
    	 			 BankAcType:record.card["BankAcType"],
     	 			 PType: App.modify.PType,
     	 			 PCode: App.modify.PCode,
     	 			 EDate: App.modify.EDate	
     	 		 },  
               loadMask: false,
               //请求成功后回调
              success: function(data, result) {
            	 PContentOne =  data.PContent
             	 App.modify.initLimit(record);//查询日累计法人限额  
               },	      		
           });	
      },
      /**
       * App.query.initLimit();//查询日累计法人限额
       */
      initLimit : function(record){
    	  Fw.util.Ajax.query({
	 		 	service: 'pettyImmunityManageService',
	 		 	method: 'queryLimitCommonPM',
	 		 	params: {
	 		 		AcNo: record.card["No"],
    	 			BankAcType:record.card["BankAcType"],
	 		 		PType: App.modify.PType,
	 		 		PCode: App.modify.PCode,
	 		 		EDate: App.modify.EDate		 
	 		 	},  
	 		 	success: function(data, result) {
	 		 		PContentCom = data.PContent
	 		 		App.modify.initData(record);
	 		 	}
          });
      },
      initData: function(record){
        	//初始化值
        	this.cardNo = record.card["No"];
        	this.DeptSeq = record.card["DeptSeq"];
        	this.AccountBankAcType = record.card["BankAcType"];
        	this.modifyForm.setValues("cardMod",this.cardNo);
        	var data = record.record;
        	this.curAccInfo = data;//当前账户信息
        	//0-未签约 1-签约 2-暂停 3-解约  4-默认
        	var AgreementStatus = data.AgreementStatus;
        	var funcode = "1";
        	if("1"==AgreementStatus)
        	{
        		if(!Fw.isEmpty(data.EndDt1)){
        			$('#EcSignDateModDiv').show();
        			this.modifyForm.setValues("EcSignDateMod",Fw.util.Map.fmtDate(data.SignDate));
        		}
        		if(!Fw.isEmpty(data.SignDate)){
        			$('#EcCancleDateModDiv').show();
        			this.modifyForm.setValues("EcCancleDateMod",Fw.util.Map.fmtDate(data.EndDt1));
        		}
        		// 限额赋值
        		if(!Fw.isEmpty(data.LimitAmt)){
        			var LimitAmt = Fw.util.Format.formatterMoney(data.LimitAmt);
        			this.modifyForm.setValues("LimitAmt",LimitAmt);	
            		$("#PContentCom").html(Fw.util.Format.unFmtAmt(LimitAmt));
        		}
        		if(!Fw.isEmpty(data.OnceLimitAmt)){
        			var OnceLimitAmt = Fw.util.Format.formatterMoney(data.OnceLimitAmt);
        			this.modifyForm.setValues("OnceLimitAmt",OnceLimitAmt);
        			$("#PContentOne").html(Fw.util.Format.unFmtAmt(OnceLimitAmt));
        		}  
        		funcode = "3";
        		$('[name=OnceLimitAmt]').attr('disabled','disabled');
        		$('[name=LimitAmt]').attr('disabled','disabled');
        	}else
        	{	if(!Fw.isEmpty(PContentOne)){
	        		this.modifyForm.setValues("LimitAmt",PContentCom);
	        		this.modifyForm.setValues("OnceLimitAmt",PContentOne);
	        		$('#EcSignDateModDiv').hide();
	        		$('#EcCancleDateModDiv').hide();
	        		$("#PContentOne").html(Fw.util.Format.unFmtAmt(PContentOne));
	        		$("#PContentCom").html(Fw.util.Format.unFmtAmt(PContentCom));
	        	}	else{
	        		PContentCom = 600;
	        		PContentOne = 300;
	        		this.modifyForm.setValues("LimitAmt",PContentCom);
	        		this.modifyForm.setValues("OnceLimitAmt",PContentOne);
	        		$('#EcSignDateModDiv').hide();
	        		$('#EcCancleDateModDiv').hide();
	        		$("#PContentOne").html(Fw.util.Format.unFmtAmt(PContentOne));
	        		$("#PContentCom").html(Fw.util.Format.unFmtAmt(PContentCom));
	        	}
	        	$('[name=OnceLimitAmt]').removeAttr('disabled');
	        	$('[name=LimitAmt]').removeAttr('disabled');
        	}
        	this.modifyForm.setValues("FunCode",funcode);
        	//this.modifyForm.setValues("AgreementStatus",Fw.util.Map.fmtEcAgreementStatus(data.AgreementStatus));
        },
        //初始化修改界面事件
        initEvents: function(){
        	$('#submit-btn').on('click',Fw.bind(this.toSubmit,this));
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        },
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	var contentEl = $(e.currentTarget);
        	var params = {
        			contentEl:contentEl,
        			//参数
				    param : {
				    	//0表示本地获取 1表示 渠道端获取
				    	socket: '1',
				    	modType : '',
				    	phoneNum : '',
				    	transName : "小额免密修改（借记卡）"
				    }
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
        onChange: function(name, value, oldValue, field){
        	if("FunCode"==name){
        		if("1"==value){// 开通
        			// 限额
        			$('#limitTip').show();
            		$('#LimitAmtDiv').show();
            		$('#OnceLimitAmtDiv').show();
            		$('#FunCodeDiv').addClass("sui-border-b");
            		$('#FunCodeDiv').removeClass("sui-border-d");
        		}else{
        			// 限额
        			$('#limitTip').hide();
            		$('#LimitAmtDiv').hide();
            		$('#OnceLimitAmtDiv').hide();
            		$('#FunCodeDiv').removeClass("sui-border-b");
            		$('#FunCodeDiv').addClass("sui-border-d");            	
        		}
        	}
        },
        toSubmit: function(){
        	this.modifyForm.submit();
        },
        beforeSubmit: function(values){
        	var AgreementStatus = App.modify.curAccInfo.AgreementStatus;// 当前状态
        	var funcode = values.FunCode;
        	// App.modify.Flag // 1: 签约  2:修改
        	if("1"==App.modify.Flag&&"3"==funcode){
        		Fw.Tips.info("签约请选择开通");return false;
        	}else if("2"==App.modify.Flag&&("1"==AgreementStatus&&"1"==funcode)){
        		Fw.Tips.info("小额免密已开通");return false;
        	}else if("2"==App.modify.Flag&&("1"!=AgreementStatus&&"3"==funcode)){
        		Fw.Tips.info("小额免密已关闭");return false;
        	}
        	// 开通：限额不能为空
        	if("1"==funcode){// 开通
        		if(Fw.isEmpty(values.OnceLimitAmt)){
        			Fw.Tips.info("请输入单笔限额");return false;
        		}else if(Number(Fw.util.Format.unFmtAmt(values.OnceLimitAmt))>PContentOne){
        			Fw.Tips.info("单笔限额不能超过上限");return false;
        		}else if(Fw.isEmpty(values.LimitAmt)){
        			Fw.Tips.info("请输入日累计限额");return false;
        		}else if(Number(Fw.util.Format.unFmtAmt(values.LimitAmt))>PContentCom){
        			Fw.Tips.info("日累计限额不能超过上限");return false;
        		}else if(Number(Fw.util.Format.unFmtAmt(values.LimitAmt))<Number(Fw.util.Format.unFmtAmt(values.OnceLimitAmt))){
        			Fw.Tips.info("单笔限额不能大于日累计限额");return false;
        		}
        	}
        },
        doSubmit: function(values){        	
        	Fw.SmsCountDown.getSMSParams(values.smscode,function(data){
        		var LimitAmt = "";
            	var OnceLimitAmt = "";
            	if("1"==values.FunCode){//开通
            		LimitAmt = Fw.util.Format.unFmtAmt(values.LimitAmt);
            		LimitAmt = Fw.util.Format.fmtMoneyToPoint(LimitAmt);
            		OnceLimitAmt = Fw.util.Format.unFmtAmt(values.OnceLimitAmt);
            		OnceLimitAmt = Fw.util.Format.fmtMoneyToPoint(OnceLimitAmt);
            	}else {// 修改
            		LimitAmt = "0";
            		OnceLimitAmt = "0";
            	}
            	var param = {
        				Flag:App.modify.Flag,// 1：签约  2：修改
                    	AcctNo:App.modify.cardNo,//	帐号
                    	deptseq:App.modify.DeptSeq,
                    	AgreementStatus:values.FunCode,//小额免密签约操作	协议状态  
                    	ChnlNo:App.modify.curAccInfo.ChnlNo,//	交易渠道全部为99
                    	AgtTyp:App.modify.curAccInfo.AgtTyp,//	交易方式 
                    	LimitAmt:LimitAmt,//	日累计限额
                    	NetFlg:App.modify.curAccInfo.NetFlg,//	受理行网络标志
                    	EndDt1:App.modify.curAccInfo.EndDt1,//	失效日期
                    	OnceLimitAmt:OnceLimitAmt,//	单笔限额
                    	TrsPassword:values.transPwd,
                    	BankAcType:App.modify.AccountBankAcType	

                };
        		param = Fw.util.Format.jsonAddJson(param,data);// data:短信验证参数
        		Fw.util.Ajax.execute({               
                    service: 'pettyImmunityManageService',
                    method: 'executeDebitCardPettyImmunity',
                    params: param,               
                    success: function(data, result) {
                    	var message = "修改成功！";
                    	if("1"==App.modify.Flag){
                    		message = "签约成功！";
                    	}
                    	Fw.Msg.info(message,function(){
                    		Fw.redirect('./main.html');
                    	});
                    }
                });
        	},Fw.app.Session);
        }
    };
}();