/**
 * 创建应用
 */
var App = function() {
	//var searchbar;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 查询工具条
		'Fw.app.Session' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '收款人管理',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮'
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			rightButton : {
				// 按钮标题
				text : 'addico'
			// 自定义按钮点击事件（默认App.rightButtonHandler）
			// handler: XXX
			}
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义查询工具条
			/*searchBar = new Fw.SearchBar({
				// EL
				contentEl : 'searchbar',
				// 最少输入字符个数（默认4）
				// 满足该参数时，触发查询事件
				minChars : 1,
				// 最大输入长度
				maxLength : 15,
				// 输入框占位信息
				placeholder : '关键字搜索(收款人或账户)'
			});*/

			// 初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 初始化查询工具条事件
			// 触发查询事件前触发
			//searchBar.on('beforesearch', this.onBeforeSearch);
			$('#btnDelete').on('click', Fw.bind(this.DelReceiver, this));
			// 触发查询事件（直接将查询事件桥接到listView）
			// searchBar.on('search', listView.loadData, listView);

			// 初始化列表事件
			// 选中记录时触发
			// listView.on('itemclick', this.onSelect, this);
			// 渲染到页面前触发
			// listView.on('beforeitemadd', this.onBeforeAddItem, this);
			// 查询数据前触发
			// listView.ajax.on('beforequery', this.onBeforeQuery, this);
			// 查询数据后触发
			// listView.ajax.on('query', this.onQuery, this);
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			App.submit();

		},
		rightButtonHandler : function() {
			Fw.redirect("../receiver/receiver_add.html");
		},
		submit : function() {
			Fw.util.Ajax
					.query({
						service : 'receiverService',
						method : 'queryReceiverList',
						// method:
						// 'executeReceiver',//默认为execute，方法名称必须是execute开头
						// 请求参数
						params : {
							PayeeAcNo : "",// 收款账户
							PayeeAcName : "",// 收款账户名
							CityCode : "",// 金额
							UseType : "A",
							transTyp:"02"
						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							var sb = [];
							var receivers = data.List;
							for (var i = 0; i < receivers.length; i++) {
								PayeeAcName = receivers[i].PayeeAcName;
								PayeeAcNo = receivers[i].PayeeAcNo;
								PayeeDeptName = receivers[i].PayeeDeptName;
								PayeeNo = receivers[i].PayeeNo;
								PayeeType = receivers[i].PayeeType;
								BankCode = receivers[i].BankCode;
								PayeeBankId = receivers[i].PayeeBankId;
								PayeeBankName = receivers[i].PayeeBankName;
								ProvinceCode = receivers[i].ProvinceCode;
								ProvinceName = receivers[i].ProvinceName;
								CityCode = receivers[i].CityCode;
								CityName = receivers[i].CityName;
								PayeeDeptId  = receivers[i].PayeeDeptId;
								sb[sb.length] = "<div style='height: 16px;'></div>";
								sb[sb.length] = "<div style='border: 1px solid #cccccc;border-radius:10px;margin-left: 16px;margin-right: 16px;background-color: white;'>";
								sb[sb.length] = "<div style='height: 45px;'>";
								sb[sb.length] = "<div style='width: 17%;float: left;height: 45px;'>";
								if (PayeeType == "I") {
									sb[sb.length] = "<img  src='../../images/system/banklogo/mybank.png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
								} else if (PayeeType == "D") {
									if (PayeeBankId == "102"
											|| PayeeBankId == "103"
											|| PayeeBankId == "104"
											|| PayeeBankId == "105"
											|| PayeeBankId == "301"
											|| PayeeBankId == "302"
											|| PayeeBankId == "303"
											|| PayeeBankId == "304"
											|| PayeeBankId == "305"
											|| PayeeBankId == "306"
											|| PayeeBankId == "307"
											|| PayeeBankId == "308"
											|| PayeeBankId == "309"
											|| PayeeBankId == "310"
											|| PayeeBankId == "315"
											|| PayeeBankId == "316"
											|| PayeeBankId == "318"
											|| PayeeBankId == "319"
											|| PayeeBankId == "403") {

										sb[sb.length] = "<img  src='../../images/system/banklcond/"
												+ PayeeBankId
												+ ".png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									} else {
										sb[sb.length] = "<img  src='../../images/system/banklogo/bank.PNG' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									}
								} else if (PayeeType == "P") {
									if (BankCode == "102100099996"
											|| BankCode == "103100000026"
											|| BankCode == "104100000004"
											|| BankCode == "105100000017"
											|| BankCode == "301290000007"
											|| BankCode == "302100011000"
											|| BankCode == "303100000006"
											|| BankCode == "304100040000"
											|| BankCode == "305100000013"
											|| BankCode == "306581000003"
											|| BankCode == "307584007998"
											|| BankCode == "308584000013"
											|| BankCode == "309391000011"
											|| BankCode == "310290000013"
											|| BankCode == "313100000013"
											|| BankCode == "313222080002"
											|| BankCode == "313301008887"
											|| BankCode == "313301099999"
											|| BankCode == "313305066661"
											|| BankCode == "313332082914"
											|| BankCode == "315456000105"
											|| BankCode == "316331000018"
											|| BankCode == "318110000014"
											|| BankCode == "319361000013"
											|| BankCode == "325290000012"
											|| BankCode == "403100000004") {
										sb[sb.length] = "<img  src='../../images/system/banklconp/"
												+ BankCode
												+ ".png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									} else {
										sb[sb.length] = "<img  src='../../images/system/banklogo/bank.PNG' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									}
								} else if (PayeeType == "S") {
									if (PayeeBankId == "810000"
											|| PayeeBankId == "811000"
											|| PayeeBankId == "81200"
											|| PayeeBankId == "81300"
											|| PayeeBankId == "81400"
											|| PayeeBankId == "81500"
											|| PayeeBankId == "81600"
											|| PayeeBankId == "81700"
											|| PayeeBankId == "81800"
											|| PayeeBankId == "8200"
											|| PayeeBankId == "8300"
											|| PayeeBankId == "8410"
											|| PayeeBankId == "8501"
											|| PayeeBankId == "8600"
											|| PayeeBankId == "8810"
											|| PayeeBankId == "8820"
											|| PayeeBankId == "883000"
											|| PayeeBankId == "884000"
											|| PayeeBankId == "885000"
											|| PayeeBankId == "886000"
											|| PayeeBankId == "8900") {

										sb[sb.length] = "<img  src='../../images/system/banklcons/"
												+ PayeeBankId
												+ ".png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									} else {
										sb[sb.length] = "<img  src='../../images/system/banklogo/bank.PNG' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									}
								}
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='width: 83%;float: right;height: 45px;'>";
								sb[sb.length] = "<div style='font-size: 15px;text-align: left;margin-top: 12px;color: #333333;'>"
										+ Fw.util.Format.fmtAcctNo(PayeeAcNo,
												true) + "</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='border-bottom: 1px solid #e7e7e7;'></div>";
								sb[sb.length] = "<div style='height: 45px;'>";
								sb[sb.length] = "<div style='width: 3%;float: left;height: 45px;'></div>";
								sb[sb.length] = "<div style='width: 20%;float: left;height: 45px;'>";
								sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #949494;'>收款人</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='width: 74%;float: left;height: 45px;'>";
								sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #333333;text-align: right;'>"
										+ PayeeAcName + "</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='width: 3%;float: right;height: 45px;'></div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='border-bottom: 1px solid #e7e7e7;width: 97%;float: right;'></div>";
								sb[sb.length] = "<div style='height: 45px;'>";
								sb[sb.length] = "<div style='width: 3%;float: left;height: 45px;'></div>";
								sb[sb.length] = "<div style='width: 20%;float: left;height: 45px;'>";
								sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #949494;'>开户行</div>";
								sb[sb.length] = "</div>";
								if (PayeeType == "I") {
									sb[sb.length] = "<div style='width: 74%;float: left;height: 45px;'>";
									sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #333333;text-align: right;'>江苏省农村信用社</div>";
									sb[sb.length] = "</div>";
								} else {
									sb[sb.length] = "<div style='width: 74%;float: left;height: 45px;'>";
									sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #333333;text-align: right;'>"
											+ App.fmtContent(PayeeDeptName)
											+ "</div>";
									sb[sb.length] = "</div>";
								}
								sb[sb.length] = "<div style='width: 3%;float: right;height: 45px;'></div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='border-bottom: 1px solid #e7e7e7;'></div>";
								sb[sb.length] = "<div style='height: 40px;background-color: #f4f4f4;border-bottom-left-radius:10px;border-bottom-right-radius:10px;'>";
								sb[sb.length] = "<div style='height: 40px;width: 33%;float: left;text-align: center;margin-top: 8px;'><a onclick='App.toTransfer(\""
										+ PayeeNo
										+ "\",\""
										+ PayeeType
										+ "\",\""
										+ PayeeAcName
										+ "\",\""
										+ PayeeAcNo
										+ "\",\""
										+ PayeeDeptName
										+ "\",\""
										+ PayeeBankId
										+ "\",\""
										+ PayeeBankName
										+ "\",\""
										+ PayeeDeptId
										+ "\",\""
										+ BankCode
										+ "\",\""
										+ ProvinceCode
										+ "\",\""
										+ ProvinceName
										+ "\",\""
										+ CityCode
										+ "\",\""
										+ CityName
										+ "\")'>转账</a></div>";
								sb[sb.length] = "<div style='width: 1px;float: left;background-color: #e7e7e7;height: 20px;margin-top: 10px;'></div>";
								sb[sb.length] = "<div style='height: 40px;width: 33%;float: left;text-align: center;margin-top: 8px;'><a onclick='App.toUpdateReceiver(\""
										+ PayeeNo
										+ "\",\""
										+ PayeeType
										+ "\",\""
										+ PayeeAcName
										+ "\",\""
										+ PayeeAcNo
										+ "\",\""
										+ PayeeDeptName
										+ "\",\""
										+ PayeeBankId
										+ "\",\""
										+ PayeeBankName
										+ "\",\""
										+ ProvinceCode
										+ "\",\""
										+ ProvinceName
										+ "\",\""
										+ CityCode
										+ "\",\""
										+ CityName
										+ "\",\""
										+ PayeeDeptId
										+ "\")'>修改</a></div>";
								sb[sb.length] = "<div style='width: 1px;float: left;background-color: #e7e7e7;height: 20px;margin-top: 10px;'></div>";
								sb[sb.length] = "<div style='height: 40px;width: 33%;float: right;text-align: center;margin-top: 8px;'><a onclick='App.DelReceiver(\""
										+ PayeeNo
										+ "\",\""
										+ PayeeType
										+ "\")'>删除</a></div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "</div>";
							}
							var savePage = document.getElementById("pageSave");
							savePage.innerHTML = sb.join("");
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.Tips.info("查询失败");
						}
					});

		},
		DelReceiver : function(PayeeNo, PayeeType) {
			// alert(PayeeNo+" "+PayeeType)
			Fw.Msg.cfm('是否执行删除操作？', function(code, btn, win) {
				if (code == "yes") {
					Fw.util.Ajax.del({
						service : 'receiverService',
						method : 'deleteReceiver',
						// method:
						// 'executeReceiver',//默认为execute，方法名称必须是execute开头
						// 请求参数
						params : {
							PayeeNo : PayeeNo,
							PayeeType : PayeeType
						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							Fw.Tips.info("删除成功");
							App.submit();
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.Tips.info("删除失败");
						}
					});
				}
			});
		},
		toTransfer : function(PayeeNo, PayeeType, PayeeAcName, PayeeAcNo,
				PayeeDeptName, PayeeBankId, PayeeBankName, PayeeDeptId, 
				BankCode, ProvinceCode, ProvinceName, CityCode, CityName) {
			if (PayeeType == "I") {
				var receiver = "1";
				parameters = {
					"PayeeAcName" : PayeeAcName,
					"PayeeAcNo" : PayeeAcNo,
					"receiver" : receiver
				};
				Fw.redirect("../transfer/trans_acc_inner/trans_acc_inner.html",
						Fw.encode(parameters));
			} else {
				var params = (Fw.app.Session.getAllCards())[0]; // 从session获取数据
				var No = params.No;
				var BankAcType = params.BankAcType;// 卡类型转换
				var channle = "TransAccPayeeName";
				var ParentDeptId = Fw.app.Session.getParentDeptId();
				if (ParentDeptId != "320623999") {
					var divFlag = "2";
					if (PayeeType == "P") {
						var changeValue = "4";
					} else if (PayeeType == "D") {
						var changeValue = "3";
					}
				} else {
					var divFlag = "1";
					if (PayeeType == "P") {
						var changeValue = "1";
					} else if (PayeeType == "D") {
						var changeValue = "0";
					} else
						(PayeeType == "S")
					{
						var changeValue = "2";
					}
				}
				parameters = {
					"PayeeAcName" : PayeeAcName,
					"PayeeAcNo" : PayeeAcNo,
					"PayeeDeptName" : PayeeDeptName,
					"divFlag" : divFlag,
					"transType" : PayeeType,
					"No" : No,
					"BankAcType" : BankAcType,
					"channle" : channle,
					"changeValue" : changeValue,
					
					"PayeeBankId" :PayeeBankId,
					"PayeeBankName" :PayeeBankName,
					"PayeeDeptId" :PayeeDeptId,
					"BankCode" :BankCode,
					"ProvinceCode" :ProvinceCode,
					"ProvinceName" :ProvinceName,
					"CityCode" :CityCode,
					"CityName" :CityName
				};
				Fw.redirect("../transfer/trans_acc_outer/trans_acc_outer.html",
						Fw.encode(parameters));
			}
		},
		toUpdateReceiver : function(PayeeNo, PayeeType, PayeeAcName, PayeeAcNo,
				PayeeDeptName,PayeeBankId,PayeeBankName,ProvinceCode,ProvinceName,CityCode,CityName,PayeeDeptId) {
			if (PayeeType == "I") {
				PayeeDeptName = "江苏省农村信用社";
			}
			// alert(PayeeNo+" "+PayeeType+" "+PayeeAcName+" "+PayeeAcNo+"
			// "+PayeeDeptName)
			parameters = {
				"PayeeNo" : PayeeNo,
				"PayeeType" : PayeeType,
				"PayeeAcName" : PayeeAcName,
				"PayeeAcNo" : PayeeAcNo,
				"PayeeDeptName" : PayeeDeptName,
				"PayeeBankId" : PayeeBankId,
				"PayeeBankName" : PayeeBankName,
				"ProvinceCode" : ProvinceCode,
				"ProvinceName" : ProvinceName,
				"CityCode" : CityCode,
				"CityName" : CityName,
				"PayeeDeptId" : PayeeDeptId,
				"BANKCODE" : PayeeDeptId
			};
			Fw.redirect("../receiver/receiver_update.html", Fw
					.encode(parameters));
		},
		/*
		 * listReceiver : function(data){ var sb = []; var receivers =
		 * data.list; alert(receivers) for(var i=0;i<receivers.length;i++){
		 * PayeeAcName = receivers[i].PayeeAcName; PayeeAcNo =
		 * receivers[i].PayeeAcNo; PayeeDeptName = receivers[i].PayeeDeptName; } },
		 */
		/**
		 * 隐藏过长字符串内容
		 */
		fmtContent : function(c, m) {
			if (Fw.isEmpty(c)) {
				return '';
			}
			str = String(c).trim(true);
			var tmpStr = '';
			if (str.length > 12) {
				var start = str.length - 4;
				tmpStr = tmpStr + str.substring(0, 4) + '***'
						+ str.substring(str.length - 8, str.length);
			} else {
				tmpStr = c;
			}

			return tmpStr;
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			// alert(Fw.encode(record));
			alert(record.name);
		},
		/**
		 * 渲染到页面前触发
		 */
		onBeforeAddItem : function(record, index, cmp) {
			// 不显示向右箭头
			// this.disclosure = false;
			// 不渲染当前记录
			// return false;
		},
		/**
		 * 触发查询事件前触发
		 */
	/*	onBeforeSearch : function(value) {
			// 查询条件为空
			if (Fw.isEmpty(value.replace(/\s/g,""))) {
				App.submit();
			} else {
				// 设置查询条件
				App.search(value.replace(/\s/g,""));
			}
		},*/
		showSearch : function(){
			$("#cancelBtn").css("display","block");
			$("#closeBtn").css("display","block");
		},
		showCancel :function(){
			$("#searchBtn").css("display","block");
		},
		closeNameOrAcc :function(){
			$("#nameOrAcc").val("");
			$("#searchBtn").css("display","none");
		},
		searchBtn:function(){
			var nameOrAcc = $("#nameOrAcc").val();
			// 查询条件为空
			if (Fw.isEmpty(nameOrAcc.replace(/\s/g,""))) {
				App.submit();
			} else {
				// 设置查询条件
				App.search(nameOrAcc.replace(/\s/g,""));
			}
		},
		cancelBtn:function(){
			$("#nameOrAcc").val("");
			$("#searchBtn").css("display","none");
			$("#cancelBtn").css("display","none");
			$("#closeBtn").css("display","none");
			App.submit();
		},
		search : function(value) {
			Fw.util.Ajax
					.query({
						service : 'receiverService',
						method : 'queryReceiverListbyNameOrNub',
						// method:
						// 'executeReceiver',//默认为execute，方法名称必须是execute开头
						// 请求参数
						params : {
							Ret : value

						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							var sb = [];
							var receivers = data.List;
							for (var i = 0; i < receivers.length; i++) {
								PayeeAcName = receivers[i].PayeeAcName;
								PayeeAcNo = receivers[i].PayeeAcNo;
								PayeeDeptName = receivers[i].PayeeDeptName;
								PayeeNo = receivers[i].PayeeNo;
								PayeeType = receivers[i].PayeeType;
								BankCode = receivers[i].BankCode;
								PayeeBankId = receivers[i].PayeeBankId;
								PayeeBankName = receivers[i].PayeeBankName;
								ProvinceCode = receivers[i].ProvinceCode;
								ProvinceName = receivers[i].ProvinceName;
								CityCode = receivers[i].CityCode;
								CityName = receivers[i].CityName;
								PayeeDeptId  = receivers[i].PayeeDeptId;
								sb[sb.length] = "<div style='height: 16px;'></div>";
								sb[sb.length] = "<div style='border: 1px solid #cccccc;border-radius:10px;margin-left: 16px;margin-right: 16px;background-color: white;'>";
								sb[sb.length] = "<div style='height: 45px;'>";
								sb[sb.length] = "<div style='width: 17%;float: left;height: 45px;'>";
								if (PayeeType == "I") {
									sb[sb.length] = "<img  src='../../images/system/banklogo/mybank.png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
								} else if (PayeeType == "D") {
									if (PayeeBankId == "102"
											|| PayeeBankId == "103"
											|| PayeeBankId == "104"
											|| PayeeBankId == "105"
											|| PayeeBankId == "301"
											|| PayeeBankId == "302"
											|| PayeeBankId == "303"
											|| PayeeBankId == "304"
											|| PayeeBankId == "305"
											|| PayeeBankId == "306"
											|| PayeeBankId == "307"
											|| PayeeBankId == "308"
											|| PayeeBankId == "309"
											|| PayeeBankId == "310"
											|| PayeeBankId == "315"
											|| PayeeBankId == "316"
											|| PayeeBankId == "318"
											|| PayeeBankId == "319"
											|| PayeeBankId == "403") {

										sb[sb.length] = "<img  src='../../images/system/banklcond/"
												+ PayeeBankId
												+ ".png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									} else {
										sb[sb.length] = "<img  src='../../images/system/banklogo/bank.PNG' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									}
								} else if (PayeeType == "P") {
									if (BankCode == "102100099996"
											|| BankCode == "103100000026"
											|| BankCode == "104100000004"
											|| BankCode == "105100000017"
											|| BankCode == "301290000007"
											|| BankCode == "302100011000"
											|| BankCode == "303100000006"
											|| BankCode == "304100040000"
											|| BankCode == "305100000013"
											|| BankCode == "306581000003"
											|| BankCode == "307584007998"
											|| BankCode == "308584000013"
											|| BankCode == "309391000011"
											|| BankCode == "310290000013"
											|| BankCode == "313100000013"
											|| BankCode == "313222080002"
											|| BankCode == "313301008887"
											|| BankCode == "313301099999"
											|| BankCode == "313305066661"
											|| BankCode == "313332082914"
											|| BankCode == "315456000105"
											|| BankCode == "316331000018"
											|| BankCode == "318110000014"
											|| BankCode == "319361000013"
											|| BankCode == "325290000012"
											|| BankCode == "403100000004") {
										sb[sb.length] = "<img  src='../../images/system/banklconp/"
												+ BankCode
												+ ".png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									} else {
										sb[sb.length] = "<img  src='../../images/system/banklogo/bank.PNG' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									}
								} else if (PayeeType == "S") {
									if (PayeeBankId == "810000"
											|| PayeeBankId == "811000"
											|| PayeeBankId == "81200"
											|| PayeeBankId == "81300"
											|| PayeeBankId == "81400"
											|| PayeeBankId == "81500"
											|| PayeeBankId == "81600"
											|| PayeeBankId == "81700"
											|| PayeeBankId == "81800"
											|| PayeeBankId == "8200"
											|| PayeeBankId == "8300"
											|| PayeeBankId == "8410"
											|| PayeeBankId == "8501"
											|| PayeeBankId == "8600"
											|| PayeeBankId == "8810"
											|| PayeeBankId == "8820"
											|| PayeeBankId == "883000"
											|| PayeeBankId == "884000"
											|| PayeeBankId == "885000"
											|| PayeeBankId == "886000"
											|| PayeeBankId == "8900") {

										sb[sb.length] = "<img  src='../../images/system/banklcons/"
												+ PayeeBankId
												+ ".png' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									} else {
										sb[sb.length] = "<img  src='../../images/system/banklogo/bank.PNG' style='width: 30px;height: 30px;padding-top: 7px;padding-left: 15px;'></img>";
									}
								}
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='width: 83%;float: right;height: 45px;'>";
								sb[sb.length] = "<div style='font-size: 15px;text-align: left;margin-top: 12px;color: #333333;'>"
										+ Fw.util.Format.fmtAcctNo(PayeeAcNo,
												true) + "</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='border-bottom: 1px solid #e7e7e7;'></div>";
								sb[sb.length] = "<div style='height: 45px;'>";
								sb[sb.length] = "<div style='width: 3%;float: left;height: 45px;'></div>";
								sb[sb.length] = "<div style='width: 20%;float: left;height: 45px;'>";
								sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #949494;'>收款人</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='width: 74%;float: left;height: 45px;'>";
								sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #333333;text-align: right;'>"
										+ App.fmtContent(PayeeAcName)
										+ "</div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='width: 3%;float: right;height: 45px;'></div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='border-bottom: 1px solid #e7e7e7;width: 97%;float: right;'></div>";
								sb[sb.length] = "<div style='height: 45px;'>";
								sb[sb.length] = "<div style='width: 3%;float: left;height: 45px;'></div>";
								sb[sb.length] = "<div style='width: 20%;float: left;height: 45px;'>";
								sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #949494;'>开户行</div>";
								sb[sb.length] = "</div>";
								if (PayeeType == "I") {
									sb[sb.length] = "<div style='width: 74%;float: left;height: 45px;'>";
									sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #333333;text-align: right;'>江苏省农村信用社</div>";
									sb[sb.length] = "</div>";
								} else {
									sb[sb.length] = "<div style='width: 74%;float: left;height: 45px;'>";
									sb[sb.length] = "<div style='margin-top: 12px;font-size: 15px;color: #333333;text-align: right;'>"
											+ PayeeDeptName + "</div>";
									sb[sb.length] = "</div>";
								}
								sb[sb.length] = "<div style='width: 3%;float: right;height: 45px;'></div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "<div style='border-bottom: 1px solid #e7e7e7;'></div>";
								sb[sb.length] = "<div style='height: 40px;background-color: #f4f4f4;border-bottom-left-radius:10px;border-bottom-right-radius:10px;'>";
								sb[sb.length] = "<div style='height: 40px;width: 33%;float: left;text-align: center;margin-top: 8px;'><a onclick='App.toTransfer(\""
										+ PayeeNo
										+ "\",\""
										+ PayeeType
										+ "\",\""
										+ PayeeAcName
										+ "\",\""
										+ PayeeAcNo
										+ "\",\""
										+ PayeeDeptName
										+ "\",\""
										+ PayeeBankId
										+ "\",\""
										+ PayeeBankName
										+ "\",\""
										+ PayeeDeptId
										+ "\",\""
										+ BankCode
										+ "\",\""
										+ ProvinceCode
										+ "\",\""
										+ ProvinceName
										+ "\",\""
										+ CityCode
										+ "\",\""
										+ CityName
										+ "\")'>转账</a></div>";
								sb[sb.length] = "<div style='width: 1px;float: left;background-color: #e7e7e7;height: 20px;margin-top: 10px;'></div>";
								sb[sb.length] = "<div style='height: 40px;width: 33%;float: left;text-align: center;margin-top: 8px;'><a onclick='App.toUpdateReceiver(\""
									+ PayeeNo
									+ "\",\""
									+ PayeeType
									+ "\",\""
									+ PayeeAcName
									+ "\",\""
									+ PayeeAcNo
									+ "\",\""
									+ PayeeDeptName
									+ "\",\""
									+ PayeeBankId
									+ "\",\""
									+ PayeeBankName
									+ "\",\""
									+ ProvinceCode
									+ "\",\""
									+ ProvinceName
									+ "\",\""
									+ CityCode
									+ "\",\""
									+ CityName
									+ "\",\""
									+ PayeeDeptId
									+ "\")'>修改</a></div>";
								sb[sb.length] = "<div style='width: 1px;float: left;background-color: #e7e7e7;height: 20px;margin-top: 10px;'></div>";
								sb[sb.length] = "<div style='height: 40px;width: 33%;float: right;text-align: center;margin-top: 8px;'><a onclick='App.DelReceiver(\""
										+ PayeeNo
										+ "\",\""
										+ PayeeType
										+ "\")'>删除</a></div>";
								sb[sb.length] = "</div>";
								sb[sb.length] = "</div>";
							}
							var savePage = document.getElementById("pageSave");
							savePage.innerHTML = sb.join("");
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.Tips.info("查询失败");
						}
					});
		},
		/**
		 * 查询数据前触发
		 * 
		 * @param {Object}
		 *            Ajax对象
		 * @param {Object}
		 *            请求报文
		 * @param {String}
		 *            请求路径
		 */
		onBeforeQuery : function(ajax, message, url) {
			// 设置查询条件
			// ajax.setParams('p1', '11123');
			// 设置排序方式
			// ajax.setSorts('col12', 'asc');
			// return false; //则不加载
		},
		/**
		 * 查询数据后触发
		 * 
		 * @param {Object}
		 *            Ajax对象
		 * @param {Object}
		 *            响应数据（result[Fw.Ajax.rootProperty]部分）
		 * @param {Object}
		 *            响应数据（全部）
		 */
		onQuery : function(ajax, data, result) {
			// alert(Fw.encode(data));
		},
		/**
		 * 返回首页
		 */
		leftButtonHandler : function() {
			Fw.device.Device.gotoIndex();
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
