/**
 * 创建应用
 */
var App = function() {
    var form;
    var form2; //注册提交表单
    var buttons = $('button');
    var smsSecurity=null;
    var custInfo;
    var acnoLength=0;
    var phoneNum1=null;
//    var faceFailCnt = 0; //人脸识别失败次数
    
    return {
        /**
         * 依赖组件
         */
        requires : [
            //表单
            'Fw.Form',
            'Fw.Tab',
            //安全键盘
            'Fw.Keyboard',
            //常用数据
            'Fw.ConstantData',
            'Fw.device.Device',
//            './register.item1.js',
//            './register.item2.js',
            //短信统一接口
            'Fw.SmsCountDown',
            'Fw.OcrUtil'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '自助注册',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
 	    	 //获取当前选项卡序号
 	       	var index = this.tab.getActiveItemIndex();
 	       	if(index == 0) {
 	       		//返回上级目录
 	       		Fw.device.Device.gotoIndex();
 	       	}else if(index == 1) {
 	       		$("[name='acNo2']").off('change');
	       		$("[name=email]").val('');
 	       		$('[name="email"]').attr("placeholder","请输入电子邮箱");
 	       		$("[name=customLabel]").val('');
 	       		$('[name="customLabel"]').attr("placeholder","请输入预留信息");
 	       		$("[name=trsPassword]").val('');
	       		$('[name="trsPassword"]').attr("placeholder","请输入交易密码");
	       		$("[name=loginPassword]").val('');
 	       		$('[name="loginPassword"]').attr("placeholder","请设置登录密码");
 	       		$("[name=loginPasswordpre]").val('');
	       		$('[name="loginPasswordpre"]').attr("placeholder","请确认登录密码");
	       		$("[name=rererrerName]").val('');
 	       		$('[name="rererrerName"]').attr("placeholder","请输入推荐人姓名");
 	       		$("[name=rererrerNo]").val('');
	       		$('[name="rererrerNo"]').attr("placeholder","请输入推荐人工号");
	       		$("[name=oTPPassword]").val('');
 	       		$('[name="oTPPassword"]').attr("placeholder","请输入动态口令");
 	       		$("[name=smscode]").val('');
	       		$('[name="smscode"]').attr("placeholder","请输入验证码");
	       		if(!App.newCustInfo){
	       			this.tab.setActiveItem(0);
	       		}else{
	       			Fw.Tips.info("注册过程未完成，请不要回退！");
	       		}
	       		
 	       	}else if(index == 2) {
 	        	this.tab.setActiveItem(0);
 	       	}else if(index==3){
 	       		Fw.device.Device.gotoIndex();
 	       	}else if(index==4){
 	       		App.newCustInfo = null;
 	       		this.tab.setActiveItem(0);
 	       	}
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require){
        	App.params = Fw.decode(Fw.getParameters()); //页面跳转请求参数
        	App.faceFailCnt = 0;
        	App.isFaceCheckPass = '1';//初始认为人脸比对未通过
        	/*
        	Fw.util.Storage.set('faceFailCnt',0);
        	Fw.util.Storage.get('faceFailCnt');*/
        	//定义选项卡
        	if(!this.tab){
	            this.tab = new Fw.Tab({
	                //选项卡EL
	                contentEl: 'tab',
	                //默认选项卡（默认0）
	                activeTab: 0
	            });
            //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            //初始化表单
            form2 = new Fw.Form({
                //EL
                contentEl : 'form2',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
            //初始化表单
            form3 = new Fw.Form({
                //EL
                contentEl : 'form3',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
	            
	            //绑定监听事件
	        	this.initEvents();
        	}
            //初始数据
            this.initData(require);
            //手动隐藏等待层
            Fw.LoadMask.hide(500);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            form.on('change', this.onChange, this);
            $("#lucky-btn").on('click', Fw.bind(this.jumpLucky, this));
            //触发提交事件前（校验前）触发
            form.on('beforesubmit', this.beforeSubmit, this);
            //触发提交事件触发
            form.on('submit', this.doNext, this);
            //点击协议标题
            $("#sign-title").on('click', Fw.bind(this.titledetail, this));
            //点击隐私保密声明跳转页面
            $("#privacy-title").on('click', Fw.bind(this.toPrivacy, this));
            //动态口令类型绑定change事件
            $("[name=otpType]").on('change', Fw.bind(this.changeOtpType, this));
            //选项卡切换后触发
            this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
            //点击按钮时触发（保存、重置、重发验证码）
//            buttons.tap(Fw.bind(this.onButtonClick, this));
            buttons.on("click", Fw.bind(this.onButtonClick, this));
            //触发提交事件触发
            form2.on('submit', this.registerBefore, this);
            //动态口令类型绑定change事件
            $("[name=rererrerType]").on('change', Fw.bind(this.changRererrerType, this));
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
        	 //触发提交事件前（校验前）触发
            form2.on('beforesubmit', this.beforeSubmitForm2, this);
            $("#lucky-btn").on('click', Fw.bind(this.jumpLucky, this));
            $("[name='acNo']").on('change', Fw.bind(this.queryMCReturnBinByAcNo, this));
            
//            $("[name='otherBankNo']").on('change', Fw.bind(this.queryOpenBankByAcNo, this));
            
            $("[name='userName']").on('blur', Fw.bind(this.checkPhoneAndUserName, this));
//            $("[name=cifName]").on('blur', Fw.bind(this.getCifInfo, this));
            $("#query_icon").on('click', Fw.bind(this.queryBrchInfo, this));
//            register-btn
            form3.on('beforesubmit', this.beforeSubmitForm3, this);
            form3.on('submit', this.openAcctFeeQry, this);
//            $("[name='bindAcNo']").on('blur', Fw.bind(this.queryOpenBankByAcNo, this));
            $('#smsCountDown2').on('click',Fw.bind(this.smsCountDownClick2,this));
        },
        
        
        /**
         * 初始化数据
         */
		initData : function() {
			// 初始化页面证件类型
			Fw.ConstantData.setIdType($("[name=idType]"));
			// 初始化页面卡号类型
			Fw.ConstantData.setAcType2($("[name=acType]"));
			Fw.ConstantData.setAcType2($("[name=acType2]"));
			
			Fw.ConstantData.setBankAcType2($("[name=BindAcType]"));
			// 初始化页面验证类型
			Fw.ConstantData.setOtpType($("[name=otpType]"), 0);
			if(App.params){
				form.setValues({
					idType : App.params.idType,
					idNo : App.params.idNo,
					cifName : App.params.cifName,
					acType : App.params.acType,
					acNo : App.params.acNo,
					otpNo : App.params.otpNo,
				});
				$("[name=otpType]").val(App.params.otpType);
			}
			$("[name=otpType]").attr("disabled", true);
			
			$("#otpHead").hide();
			$("#otpHeadtop").attr("class","sui-hide sx-form-start");
//			$("#acType").hide();
//			$("#acNo").hide();
			$("#otpNo").hide();
			$("#bootline").hide();
			App.searchType = '0';
			this.getBrchInfo();
		},
		/**
         * 选项卡切换后触发
         */
        onTabChange: function(tab, index){
        	switch(index){
	            case 0:
                    break;
                    //第三个
                case 1:
                    break;
                case 2:
                    break;
                default:
                    ;
	        }
        },
        /**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
         onChange: function(name, value, oldValue, field){
        	//证件类型切换显示赋值
        	 if(name=='idType'){
         		var idType=$("[name=idType] option:selected").val();
         		 if(idType=="P00"){
         			 $('[name="idNo"]').data('xtype','keyboard,IDC');
         			 $("#ocrIdCard").show();
            		 $("[name=idNo]").addClass("sx-account-field");
             	 }else{
             		 $('[name="idNo"]').data('xtype','keyboard,QWER');
             		 $("#ocrIdCard").hide();
             		 $("[name=idNo]").removeClass("sx-account-field");
             	 };
         	 };
         },
         /**
          * 隐私保密声明
          */
         toPrivacy:function(){
      	   var params = form.getValues();
      	   params["idType"] = $("[name='idType']").val();
      	   params["acType"] = $("[name='acType']").val();
      	   params["otpType"] = $("[name='otpType']").val();
      	   params["url"] = window.location.href;
      	   Fw.redirect("../privacyNotice/privacyNotice.html", Fw.encode(params));
         },
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        	values["idType"]=$("[name=idType] option:selected").val();
        	values["idNo"]=$("[name=idNo]").val();
        	values["cifName"]=$("[name=cifName]").val();
        	values["acNo"]=Fw.util.Format.unFmtAcctNo($("[name=acNo]").val());
        	values["acType"]=$("[name=acType] option:selected").val();
        	values["otpType"]=$("[name=otpType] option:selected").val();
        },
        /**
         * 提交表单
         */
        doNext: function(values){
        	//验证是否成年
        	var idType=$("[name=idType] option:selected").val();
    		if(idType=="P00"){
	        	//今天
	        	var date = new Date();
	        	//证件
	        	var idNo = values.idNo;
	        	if (idNo.length == 15) {
	        		var birthday = idNo.substring(6,12);	
	        		birthday = "19" + birthday.substring(0,2) + birthday.substring(2,4) + birthday.substring(4,6);//证件生日号码		
	        	}else if (idNo.length == 18){
	        		var birthday = idNo.substring(6,14);//证件生日号码
	    		}
	        	var birthYear = parseInt(birthday.substring(0,4));//证件年
				var birthMonth = parseInt(birthday.substring(4,6));//证件月
				var birthDay = parseInt(birthday.substring(6,8));//证件日
				//注册人生日
				var birthDate= new Date(birthYear + "/" + birthMonth + "/" + birthDay);
	        	//成年日期
				var nowDate = new Date(birthYear + "/" + birthMonth + "/" + birthDay);
				nowDate.setFullYear(nowDate.getFullYear() + 18);
				if(nowDate > date){
					this.queryMCMobileWhiteListQry(idType,idNo,values);//18岁以下的客户，白名单查询
					/*Fw.Msg.info("未成年客户，请在监护人的陪同下携带双方有效证件前往柜面办理！");
					return;*/
	        	}else{
	        		var isagree=$("[name=isagree]").is(":checked");
	    			var privacyagree=$("[name=privacyagree]").is(":checked");
	    			if(isagree&&privacyagree){
	    				$("[name=otpType]").attr("disabled", false);
	    				this.registCheck(values);
//	        		Fw.device.Device.getCamara('App.getFaceData');
//	        		App.getFaceData("");
	    			}else if(!isagree){
	    				Fw.Tips.info("请阅读并同意服务协议!");
	    				return;
	    			}else if(!privacyagree){
	    				Fw.Tips.info("请阅读并同意隐私政策!");
	    				return;
	    			};
	    		}
    		}else{
    			var isagree=$("[name=isagree]").is(":checked");
    			var privacyagree=$("[name=privacyagree]").is(":checked");
    			if(isagree&&privacyagree){
    				$("[name=otpType]").attr("disabled", false);
    				this.registCheck(values);
//        		Fw.device.Device.getCamara('App.getFaceData');
//        		App.getFaceData("");
    			}else if(!isagree){
    				Fw.Tips.info("请阅读并同意服务协议!");
    				return;
    			}else if(!privacyagree){
    				Fw.Tips.info("请阅读并同意隐私政策!");
    				return;
    			};
    		}
    		
        },
        
        //白名单查询
        queryMCMobileWhiteListQry: function(idType,idNo,values){
        	Fw.util.Ajax.query({
				service : 'registerService/queryMCMobileWhiteListQry',
				// 请求参数
				params :{
		         	IdType:idType,
		        	IdNo:idNo
		         },
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if("0" == data.Flag){
						var isagree=$("[name=isagree]").is(":checked");
		    			var privacyagree=$("[name=privacyagree]").is(":checked");
		    			if(isagree&&privacyagree){
		    				$("[name=otpType]").attr("disabled", false);
		    				App.registCheck(values);
//		        		Fw.device.Device.getCamara('App.getFaceData');
//		        		App.getFaceData("");
		    			}else if(!isagree){
		    				Fw.Tips.info("请阅读并同意服务协议!");
		    				return;
		    			}else if(!privacyagree){
		    				Fw.Tips.info("请阅读并同意隐私政策!");
		    				return;
		    			};
					}else{
						Fw.Msg.info("未成年客户，请在监护人的陪同下携带双方有效证件前往柜面办理！");
						return false;
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			}); 
        	
       },
        
        /*doNext: function(values){
        	Fw.Tips.info("doNext in");
        	Fw.device.Device.getCamara('App.getFaceData');
        },*/
        
        
        /**
         * 核心预留信息查询
         */
        registCheck : function(values) {
        	/*if(App.isNeedOpen == '1'){
        		values.SecondAccountFlag = '0';
        		values.Opnbank = App.openBankNo;
        		values.DeptId = "320623033";
        		App.DeptId = "320623033";
        	}else{
        		values.SecondAccountFlag = '1';
        		values.DeptId = "";
        		values.Opnbank = "";
        		values.otherBankNo = "";
        		values.Pin="";
        		values.MobilePhoneNo = "";
        	}*/
        	
			Fw.util.Ajax.execute({
				service : 'registerService/registCheck',
				// 请求参数
				params : values,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(data.operFlag=='thirdCard'){
						
						Fw.Msg.info("目前暂不支持使用他行卡注册，请使用本行卡注册！");
//						App.userExist='0';
//						Fw.Msg.cfm('卡号非本行账号，是否继续使用他行卡开户并注册?', function(code, btn, win){
//		                 	if(code == "yes")
//	                 		{
//		                 		App.tab.setActiveItem(4);
//		                 		$("[name=bindAcNo]").attr("readonly", "readonly");
//		                 		$('[name="phoneNumThird"]').attr("placeholder","请输入预留手机号");
//		    					$('[name="TransPsw"]').attr("placeholder","请输入交易密码");
//		    					$('[name="TransPswQr"]').attr("placeholder","请输入交易密码");
//		    					$('[name="accOpenPhoneNum"]').attr("placeholder","请输入开户手机号码");
//		    					$('[name="smscode2"]').attr("placeholder","请输入验证码");
//		                 		form3.setValues({
//		                 			bindAcNo:$("[name=acNo]").val(),
//		                 			TransPsw: '',
//		                 			TransPswQr: '',
//		                 			phoneNumThird:'',
//		                 			accOpenPhoneNum:'',
//		                 			smscode2:''
//		            			});
//		                 		var acType = $("[name=acType]").val();
//		                 		App.BindAcType = acType;
//		                 		$("[name=BindAcType]").val(acType);
//		                 		$("[name=BindAcType]").attr("disabled", "disabled");
//		                 		
//		                 		App.openBankNo = data.bankNo;
//				            	App.openBankName = data.bankName;
//				            	$("#bankName").html(data.bankName);
//				            	
//		                 		App.isNeedOpen = '1';
//	                        }
//		                 
//		                 });
						
					}else{
						App.userExist='1';
						App.custInfo=data;
						App.DeptId = data.DeptId;
						App.userId = data.UserId;
						App.UnionpayFlag = data.UnionpayFlag;
//						data.faceSwitch = '1';
						if(values.idType == 'P00' && data.faceSwitch == '0'){// 人脸识别开关开
							Fw.device.Device.getCamara('App.getFaceData');
						}else{ //人脸识别开关关闭
							App.isFaceCheckPass = '1';// 人脸识别未通过
			            	App.setForm2Data(data);
						}
					}
					
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
//					
					
				}
			});
		},
		
		/**
         * 开户费用查询
         */
		openAcctFeeQry : function(values) {
        	if(App.newCustInfo){
        		Fw.Msg.info("你已开户成功，请勿重复操作！", function(){
        			var checkJson = {};
    				checkJson.cifName = App.newCustInfo.CifName;
    				checkJson.idType = App.newCustInfo.IdType;
    				checkJson.idNo = App.newCustInfo.IdNo;
    				App.registCheck(checkJson);
        		});
        		
        	}
        	if(!App.DeptId){
        		Fw.Tips.warn("请选择开户网点！");
        		return;
        	}
			values.CifNo = '';
			values.CifName = $("[name=cifName]").val();
			values.IdType = $("[name=idType]").val();
			values.IdNo = $("[name=idNo]").val();
			values.BranchId = App.openBankNo;
			values.BranchName = App.openBankName;
			values.DeptId = App.DeptId;
			
			/*var bindAcType = "";
     		if(App.BindAcType=='PDBC'){
     			bindAcType = '21';
     		}else{
     			bindAcType = '23';
     		}*/
			values.BindAcType = App.BindAcType;
			values.smsSecurity = smsSecurity;
			values.smscode = $("[name=smscode2]").val();
			Fw.util.Ajax.query({
				service : 'registerService/queryOpenAcctFee',
				// 请求参数
				params : values,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.Msg.cfm('开户费用为'+data.AllFee+'元，是否继续?', function(code, btn, win){
	                 	if(code == "yes")
                 		{
	                 		App.openAcct(values);
                        }
	                 
	                 });
					
					
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
					form3.setValues({
						bindAcNo:$("[name=acNo]").val(),
             			TransPsw: '',
             			TransPswQr: '',
             			phoneNumThird:'',
             			accOpenPhoneNum:'',
             			smscode2:''
        			});
					
					$('[name="phoneNumThird"]').attr("placeholder","请输入预留手机号");
					$('[name="TransPsw"]').attr("placeholder","请输入交易密码");
					$('[name="TransPswQr"]').attr("placeholder","请输入交易密码");
					$('[name="accOpenPhoneNum"]').attr("placeholder","请输入开户手机号码");
					$('[name="smscode2"]').attr("placeholder","请输入验证码");
				}
			});
		},
		
		beforeSubmitForm3: function(values){
       		var psw=values['TransPsw'];
       		var pswQr=values['TransPswQr'];
       		
			if (psw!=pswQr) {
				Fw.Tips.info("两次输入的密码不一致，请重新输入!");
				return false;
			};
			
       },
       
		/**
         * 开户费用查询
         */
		openAcct : function(values) {
        	
			values.DeptSeq = '';
			Fw.util.Ajax.query({
				service : 'registerService/executeOpenAcct',
				// 请求参数
				params : values,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.custInfo=data;
					App.DeptId = data.DeptId;
					App.UnionpayFlag = data.UnionpayFlag;
					
					var checkJson = {};
					checkJson.cifName = data.CifName;
					checkJson.idType = data.IdType;
					checkJson.idNo = data.IdNo;
					checkJson.acType = 'PDBC';
					checkJson.acNo = data.AcNo;
					App.registCheck(checkJson);
					
					App.newCustInfo = data;
					
					/*if($([name=idType]).val() == 'P00' && data.faceSwitch == '0'){// 人脸识别开关开
						Fw.device.Device.getCamara('App.getFaceData');
					}else{ //人脸识别开关关闭
						App.isFaceCheckPass = '1';// 人脸识别未通过
		            	App.setForm2Data(data);
					}*/
					
					
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		getCifInfo : function() {
			
			var cifName = $("[name=cifName]").val();
			cifName = cifName.replace(/\s/g, '')
			if(cifName==""){
				Fw.Tips.info("请输入客户名称!");
				return false;
			}
			
			var idNo = $("[name=idNo]").val();
			idNo = idNo.replace(/\s/g, '');
			if(idNo==""){
				Fw.Tips.info("请输入证件号码!");
				return false;
			}
			
			Fw.util.Ajax.get({
				service : 'registerService/getCifPhone',
				// 请求参数
				params : {
					cifName:cifName,
					idType:$("[name=idType]").val(),
					idNo:idNo
				},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					
					App.isNeedOpen = '0';
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
//					if(status=="EC0001"){
						/*Fw.Msg.cfm('客户信息不存在，是否使用他行卡开户并注册?', function(code, btn, win){
		                 	if(code == "yes")
	                 		{
//		                 		App.tab.setActiveItem(1);
		                 		App.isNeedOpen = '1';
//		                 		App.acctOpenPage();
		                 		
		                 		$("otherBank_start_div").show();
		                 		$("otherBank_head_div").show();
		                 		$("otherBank_div").show();
	                        }
		                 
		                 });*/
						App.isNeedOpen = '1';
						Fw.Tips.info("客户信息不存在，请使用他行卡开户并注册！");
						$("#otherBank_start_div").show();
                 		$("#otherBank_head_div").show();
                 		$("#otherBank_div").show();
                 		
                 		$("#openAcct_start_div").show();
                 		$("#openAcct_head_div").show();
                 		$("#openAcct_div").show();
                 		
						return false;
//					}
					
				}
			});
		},
		
		checkPhoneAndUserName: function(){
			var reg = /^[0-9A-Za-z]{4,20}$/;
			var userName = $("[name=userName]").val();
			if(userName.replace(/\s/g, '')==""){
				Fw.Tips.info("请输入用户名!");
				return false;
			}
			if (!reg.test(userName)) {
				Fw.Tips.info("用户名只支持4至20位字母或数字!");
				return false;
			};
			
			Fw.util.Ajax.query({
				service : 'registerService/checkUserNameAndPhone',
				// 请求参数
				params : {
					UserId:userName,
					MobilePhoneNo:$("[name=phoneNum]").val(),
					IdNo:$("[name=idNo]").val(),
					IdType:$("[name=idType]").val()
				},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					
//					Fw.Msg.info("手机号码和用户名未被占用");
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
        /**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'next-btn':
                    form.submit();
                    break;
                  //提交表单
                case 'register-btn':
                    form2.submit();
                    break;
                case 'openAcctBtn':
                	$("[name=BindAcType]").attr("disabled", "");
//                	$("[name=bindAcNo]").attr("disabled", "");
                    form3.submit();
                    break;
                 //取消抽奖
                case 'cancel-luckBtn':
                	$('#dialog').hide();
                    break;
                //抽奖
                case 'confirm-luckBtn':
                	$('#dialog').hide();
                	App.jumpLucky();
                    break;
            };
        },
        
        /**
         * 切换动态口令校验类型触发
         */
       changeOtpType:function(){
    	   $("[name=acType]").val('PDBC');
		   $("[name=acNo]").val('');
		   $("[name=otpNo]").val('');
		   $('[name="acNo"]').attr("placeholder","请输入账号");
		   $('[name="otpNo"]').attr("placeholder","请输入口令编号");
    	   if($("[name=otpType]").val()=='2'){
    		   $("#otpHead").show();
    		   $("#otpHeadtop").attr("class","sx-form-start")
    		   $("#acType").show();
    		   $("#acNo").show();
    		   $("#otpNo").show();
    		   $("#bootline").show();
    	   }else{
    		   $("#otpHead").hide();
    		   $("#otpHeadtop").attr("class","sui-hide sx-form-start");
    		   $("#acType").hide();
    		   $("#acNo").hide();
    		   $("#otpNo").hide();
    		   $("#bootline").hide();
    	   };
       },
       
       /**
        * 协议
        */
       titledetail:function(){
    	   this.tab.setActiveItem(2);
       },
       
       /**
        * 触发提交事件前触发
        */
       beforeSubmitForm2: function(values){
       		var pwd1=values['loginPassword'];
       		var pwd2=values['loginPasswordpre'];
       		if (pwd1=="") {
				Fw.Tips.info("请输入登录密码");
				return false;
			};
			if (pwd2=="") {
				Fw.Tips.info("请确认登录密码");
				return false;
			};
			if (pwd1!=""&& pwd2!=""&& pwd1!=pwd2) {
				Fw.Tips.info("两次输入的密码不一致，请重新输入!");
				return false;
			};
			if($("[name=customLabel]").val().replace(/[^\x00-\xff]/g,"**").length>60){
				Fw.Msg.info("预留信息不能超过60个字符（或30个汉字）!");
				return false;
			}
       },
       /**
        * 校验是否需要注册前查询手机实名认证
        */
       registerBefore: function(values) {
    	   if($("[name=phoneNum]").val() != phoneNum1){
    		   App.registerNext(values);
    	   }else{
    		   App.register(values);
    	   }
       },
       /**
        * 注册前查询手机实名认证
        */
       registerNext: function(values) {
    	   Fw.util.Ajax.execute({
				service : 'registerService/executeMobileAuthtication',
				// 请求参数
				params : {
					IdNo:$("[name=idNo]").val(),
					CifName:$("[name=cifName]").val(),
					MobilePhone:$("[name=phoneNum]").val(),
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.register(values);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
       },
       /**
        * 注册
        */
       register : function(values) {
	       	//配置表单数据
	       	values['cifName']=$("[name=cifName]").val();
	       	values['idNo']=$("[name=idNo]").val();
	       	values['idType']=$("[name=idType]").val();
	       	values['acType']=$("[name=acType2]").val();
	       	values['acNo']=$("[name=acNo2]").val().replace(/\s/g, '');
	       	values['phoneNum']=$("[name=phoneNum]").val();
	    	values['userName']=App.userId;
	    	values['email']='';
	       	try{
	       		values['otpNo']=App.custInfo.UserOTP.No;
	           	values['otpType']=App.custInfo.UserOTP.IssueCode;
	       	}catch(e){
	       		Fw.Logger.debug("无法获取动态口令");
	       	};
	       	values['oTPFlag']=$("[name=otpType] option:selected").val(); //验证类型
	       	values['cifNo']=App.custInfo.CifNo;
	       	values['gender']=App.custInfo.Gender;
	       	values['transValidType']=$("[name=transValidType] option:selected").val();
	       	values['smsSecurity']=smsSecurity;
	       	/*var Devbind = "1";
            if($('[name=Devbind]').is(':checked')){
            	Devbind = "1";
            }else{
            	Devbind = "0";
            }*/
            values["Devbind"] = "1";
            App.data=values;
//            values.UnionpayFlag = '1';// 不需要开通二三类账户
            
//            if(App.brchInfo != undefined)
//        	{
//            	values.DeptId = App.brchInfo.bankId;
//        	}else{
//        		values.DeptId = '';
//        	}
//            values.DeptId = App.DeptId;
            
            values.FaceiIdentificationFlag = App.isFaceCheckPass;
            
            App.faceFailCnt=0;
            $("#next-btn").attr("disable", "disable");
            
//            if(App.newCustInfo){
//            	values.trsPassword=$("[name=TransPsw]").val();
//            }
			Fw.util.Ajax.execute({
				service : 'registerService/executeRegister',
				// 请求参数
				params : values,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.data.userName = data.userName;
					App.DeptSeq =data.DeptSeq;
					App.transCheckData = data._MCHJnlNo;
					App.custNo = data.custNo;
					App.toResult();
					/*Fw.Msg.info('注册成功!', function(){
              			Fw.device.Device.gotoIndex();
                	});*/
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					$("#next-btn").removeAttr("disable");
				}
			});
		},
		toResult:function(){
			$("#rphoneNum").text(App.data["phoneNum"]);
			$("#ruserName").text(App.data["userName"]);
//			$("#rcustomLabel").text(App.data["customLabel"]);
			$("#rtransValidType").text($("[name=transValidType] option:selected").text());
			this.tab.setActiveItem(3);
//			this.isLuckyTrans();
        	this.activityQuery();//查询送券活动
		},
		
		registerCheck : function() {
			Fw.util.Ajax.execute({
				service : 'registerService/executeRegister',
				// 请求参数
				params : values,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.DeptSeq =data.DeptSeq;
					App.transCheckData = data._MCHJnlNo;
					App.custNo = data.custNo;
					App.toResult();
					/*Fw.Msg.info('注册成功!', function(){
              			Fw.device.Device.gotoIndex();
                	});*/
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		/**
         * 判断抽奖交易
         */
        isLuckyTrans:function(){
        	Fw.util.Ajax.execute({
        		service : 'luckyService/getLuckyTrans',
				// 请求成功后回调
        		params:{
        			Trs:"Trs_A"
	        	},
				success : function(data, result) {
					App.Luckydata=data.LotteryNo;
					$('#dialog').show();
					$('#dialog').attr("style", "display: -webkit-box;");
					$("#lucky").removeClass("sui-hide");
				},
				 //请求错误后回调
                failure: function(status, textStatus, error) {
               	 	return false;
                }
			});
        },
        /**
         * 跳转抽奖
         */
        jumpLucky:function(){
        	var card = Fw.decode($('[name="cardList"]').val());
        	Fw.util.Ajax.execute({
        		service : 'luckyService/getLuckyPre',
				// 请求成功后回调
        		params:{
        			LotteryNo:App.Luckydata,
        			acNo:App.data["acNo"]
	        	},
				success : function(data, result) {
					//手动隐藏等待层
		            Fw.LoadMask.hide();
					data.acNo=App.data["acNo"];
					Fw.device.Device.gotoLucky(data);
				}
			});
        },
		
		/**
        * 调用短信统一接口
        */
       smsCountDownClick: function(e){
    	var acType=$("[name=acType2]").val();
    	var acNo=$("[name=acNo2]").val().replace(/\s/g, '');
    	if(acNo==""){
    		Fw.Tips.info("请输入账号");
    		return;
    	}
       	var phoneNum=$("[name=phoneNum]").val();
       	var userName=$("[name='cifName']").val();
       	var cifNo=App.custInfo.CifNo;
       	//点击发送验证码按钮
       	var contentEl = $(e.currentTarget);
       	//倒计时配置参数
       	var params = {
       			//按钮对象
       			contentEl:contentEl,
       			//可配参数：倒计时时间，如果不定义默认是"60秒"
       			//delay:10,
       			//参数
			    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '0',
					modType : 'register',
					phoneNum : phoneNum,
					userName:userName,
					cifNo:cifNo,
					No: acNo,
					NoType: acType,
					isManual: '1',
			    },
       	};
       	//调用倒计时插件
       	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
       },
       
       /**
        * 调用短信统一接口
        */
       smsCountDownClick2: function(e){
    	
       	var phoneNum=$("[name=accOpenPhoneNum]").val();
       	if(phoneNum==""){
       		Fw.Tips.info("请输入开户手机号码！");
       		return;
       	}
       	if(phoneNum.length!=11){
       		Fw.Tips.info("开户手机号码不是11位，请修改！");
       		return;
       	}
       	var userName=$("[name='cifName']").val();
       	//点击发送验证码按钮
       	var contentEl = $(e.currentTarget);
       	//倒计时配置参数
       	var params = {
       			//按钮对象
       			contentEl:contentEl,
       			//可配参数：倒计时时间，如果不定义默认是"60秒"
       			//delay:10,
       			//参数
			    
			    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '0',
					modType : 0,
					transName:'他行卡开户',
					phoneNum : phoneNum,
					userName:userName,
					isManual : '1'
				    },
       	};
       	//调用倒计时插件
       	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
       },
       
       /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
	       
       /**
        * 推荐类型触发
        */
      changRererrerType:function(){
    	   var Rerval= $("[name=rererrerType]").val();
    	   var rererrerName=$("#rererrerName");
    	   var rererrerNo=$("#rererrerNo");
		   if(Rerval=='1'){
		   $("#reType").attr("class","sui-form-item sui-border-b");
			   rererrerName.hide();
			   rererrerNo.show();
		   }else if(Rerval=="0"){
			   $("#reType").attr("class","sui-form-item sui-border-b");
			   rererrerName.show();
			   rererrerNo.hide();
		   }else{
			   $("#reType").attr("class","sui-form-item sui-border-d");
			   rererrerName.hide();
			   rererrerNo.hide();
		   };
      	},
      	
      	/**
         * 判断数据是否为空
         */
      	isEmpty: function(param){
      		if(param == "" || param == undefined || param == null){
				return true;
			}else{
				return false;
			}
      	},
      	
      	/**
         * 查询附近默认网点
         */
        queryNearBrch: function(parameters){
        	 Fw.util.Ajax.query({
        		 service: 'subAccountService/queryNearBrch',
                 //请求参数
        		 params: {
                	 posX: parameters.posX, //"31.98729",
                	 posY: parameters.posY  //"118.71465"
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 $("#deptName").html(Fw.util.Format.fmtSubStr(data.bankName, 0, 12));
                	 App.brchInfo = data;
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 return false;
                 }
             });
        },
        
        /**
         * 查询网点信息
         */
        queryBrchInfo: function(){
        	App.searchType = "1";
        	this.getBrchInfo();
        },

        /**
         * 获取定位信息或网点信息
         */
        getBrchInfo: function(){
        	var parameters = {searchType: App.searchType};
        	try{
        		Fw.device.Device.toGetBrchInfo(parameters);
        	}catch(e){
        		Fw.Msg.info("此客户端版本暂不支持选择开户网点，请更新客户端！", function(){
     				Fw.device.Device.gotoIndex();
                 });
        	}finally{
        		Fw.LoadMask.hide();
        	}
        	
        },
        
        /**
         * 定位信息或网点信息回调
         */
        showBrchInfo: function(data){
        	if(typeof(data)=="string"){ //android数据
        		data = Fw.decode(data);
        	}
        	if(App.searchType=="0"){
        		this.queryNearBrch(data); //定位信息  posX posY
        	}else{
        		
        		App.brchInfo = data;
//        		Fw.Msg.info("网点名称：" + data.bankName);
        		$("#deptName").html(Fw.util.Format.fmtSubStr(data.bankName, 0, 12)); //网点信息 bankName bankId
        		App.DeptId = data.bankId.substring(0, 9);
        	}
        },
        
        /**
         * 获取到人脸数据并上报
         */
      	getFaceData: function(data){
      		
      		form.values.ImgData='';
      		
      		// 安卓
      		form.values.Img=data;
      		
      		form.values.DeviceId='';
      		form.values.MacNum='';
      		form.values.Flag='1';// 使用图片比对
      		
      		form.values.DeptId=App.DeptId;
      		form.values.SignChannel='MOB-zzzc';
      		
      		Fw.util.Ajax.query({
	       		service: 'registerService/faceCheck',
		        loadMask: true,
	            //请求参数
	            params: form.values,
	            //请求成功后回调
	            success: function(data, result) {
	            	Fw.LoadMask.hide();
	            	App.isFaceCheckPass = data.FaceiIdentificationFlag;
//	            	App.isFaceCheckPass = '0';
	            	if(App.isFaceCheckPass == '1'){//人脸比对失败
	            		
	            		App.faceFailCnt = App.faceFailCnt+1;
	            		if(App.faceFailCnt < 3){
	            			Fw.Msg.info("人脸比对失败，请重新识别！",function(){
	            				Fw.device.Device.getCamara('App.getFaceData');
	            			});		            			
	            			return;
	            		}
	            		
	            		Fw.Msg.cfm('人脸比对失败，是否继续注册?', function(code, btn, win){
	                     	if(code == "yes")
                     		{
	                     		App.setForm2Data(App.custInfo);
                            }
	                     	
	                     	App.faceFailCnt = 0;
                     		form.values.Img='';
	                     
	                     });
	            		
	            	}else{
	            		
	            		App.setForm2Data(App.custInfo);
	            		App.faceFailCnt = 0;
                 		form.values.Img='';
	            	}
	            	
	            },
	            
	            failure: function(status, textStatus, error) {
	            	Fw.LoadMask.hide();
                }
		    });
      		
//      		App.isFaceCheckPass = '1';
//        	if(App.isFaceCheckPass == '1'){
//        		
//        		faceFailCnt = faceFailCnt+1;
//        		if(faceFailCnt < 3){
//        			
//        			Fw.Msg.info('人脸比对失败，请重新采集！', function(){
//        				Fw.device.Device.getCamara('App.getFaceData');
//                    });
//        			
//        		}
//        	}
      	},
      	
      	setForm2Data: function(custInfo){
      		//赋值表单数据给data
			var phoneNum = null;
			if(!App.isEmpty(custInfo.MobilePhoneNo)){
//				$("[name=phoneNum]").val(data.MobilePhoneNo);
				phoneNum = custInfo.MobilePhoneNo;
			}else{
//				$("[name=phoneNum]").val("");
				phoneNum = "";
				$('[name="phoneNum"]').attr("placeholder","请输入手机号码");
			}
			
			var email = null;
			if(!App.isEmpty(custInfo.Email)){
//				$("[name=email]").val(data.Email);
				email = custInfo.Email;
			}else{
//				$("[name=email]").val("");
				email = "";
				$('[name="email"]').attr("placeholder","请输入电子邮箱");
			}
//			$("[name=acNo2]").val($("[name=acNo]").val());
			if($("[name=acNo]").val()==""){
				$('[name="acNo2"]').attr("placeholder","请输入账号");
			}
			
			$("[name=acType2]").attr("readonly", "readonly");
			
			$("[name='acNo2']").attr("readonly", "readonly");
			$("#acctType_div").hide();
			// 如果是使用他行账号开户注册，进行特殊处理
			var confimAcct = '';
			if(App.newCustInfo){
				confimAcct = App.newCustInfo.AcNo;
				$("[name=acType2]").val("PDBC");
			}else{
				confimAcct = $("[name='acNo']").val();
				$("[name='acType2']").val($("[name='acType']").val());
			}
			
			form2.setValues({
				acNo2:confimAcct,
				phoneNum:phoneNum,
				email:email,
				MchannelLmtAmtPerTrs:custInfo.MchannelLmtAmtPerTrs,
				MchannelLmtAmt:custInfo.MchannelLmtAmt,
				CifLimitMessageForPerTrs:custInfo.CifLimitMessageForPerTrs,
				CifLimitMessageForPerDay:custInfo.CifLimitMessageForPerDay
			});
			phoneNum1 = phoneNum;
			var otpTypeindex=$("[name=otpType]").val();
			if(otpTypeindex=="2"){
	            var IssueCode;
            	try{
            		IssueCode=custInfo.UserOTP.IssueCode;
            	}catch(e){
            	    IssueCode="";
            	};
	             //此类动态口令不需要动态口令输入框
	             var otpcode=$("#otpcode");
	             if(IssueCode == 'N' 
	 				|| IssueCode == "TODOS_ONETIMECARDTOKEN" 
	 				|| IssueCode == "TODOS_EASYTOKEN"
	 				|| IssueCode == "TODOS_SMARTCARDTOKEN"){
	            	 otpcode.hide();
	 			}else{
	 				 otpcode.show();
	 			};
            }else{
	             //初始化页面转账权限类型
	             Fw.ConstantData.setTransValidType($("[name=transValidType]"),"N");
	             $("[name=transValidType]").val('1');
            };
            if(otpTypeindex!="0"){
            	 //初始化页面转账权限类型
                Fw.ConstantData.setTransValidType($("[name=transValidType]"),"Y");
            }
            //初始化页面推荐人类型
            Fw.ConstantData.setRererrerType($("[name=rererrerType]"),0);
//            $("[name='acNo2']").on('change', Fw.bind(App.queryMCReturnBinByAcNo, this));
            App.tab.setActiveItem(1);
      	},
      	
      	/**
         * 根据卡号返回卡类型
         */
      	queryMCReturnBinByAcNo: function(){
      		var acno="";
      		if($("[name=otpType]").val()=='2'){
      			acno = $("[name=acNo]").val().replace(/\s/g, '');
	 		}else{
	 			acno = $("[name=acNo2]").val().replace(/\s/g, '');
	 		};
	 		if(acno.length<=acnoLength || acno.length != 6){
	 			acnoLength = acno.length; //记录上次长度
  				return;
  			}
  			acnoLength = acno.length; //记录上次长度
	       	 Fw.util.Ajax.query({
	       		service: 'accountService/queryMCReturnBinByAcNo',
		        loadMask: false,
	            //请求参数
	            params: {
	            	AcNo: acno
	            },
	            //请求成功后回调
	            success: function(data, result) {
	            	if(data.AcType != ""){
	            		$("[name='acType']").val(data.AcType);
	            	}else{
	            		$("[name='acType']").val("PSDP");
	            	}
	            }
		    });
	    },
	    
	    /**
         * 根据卡号返回卡类型
         */
      	queryOpenBankByAcNo: function(){
      		
      		var acno = $("[name=bindAcNo]").val().replace(/\s/g, '');
      		if(acno==''){
      			Fw.Tips.info("请输入账号！");
      			return;
      		}
      		
	 		if(acno.length=9){
	 			Fw.util.Ajax.query({
		       		service: 'registerService/queryBankNoByAcct',
			        loadMask: false,
		            //请求参数
		            params: {
		            	AcNo: acno
		            },
		            //请求成功后回调
		            success: function(data, result) {
		            	
		            	App.openBankNo = data.bankNo;
		            	App.openBankName = data.bankName;
		            	$("#bankName").html(data.bankName);
		            }
			    });
  			}
	       	 
	    },
      	//相关活动查询
		activityQuery:function(){
			var activityParams ={
				BusType	:"c1",
				EventCode:"p0001",
				Amount:"",
				DeptSeq:App.DeptSeq,
				FunCode:"7",
				transCheckData:App.transCheckData,
				custNo:App.custNo
			}
			Fw.util.Ajax.query({
              service: 'marketActivityService/queryActyParty',
              //请求参数
              params: activityParams,                
              success: function(data, result) {
              	if(!Fw.isEmpty(data.List)&&data.List.length>0){
              		Fw.Msg.cfm('是否参加活动?', function(code, btn, win){
                          if('yes'==code){
	                          	Fw.redirect("../activityList/activityList/activityList.html",Fw.encode(data.List));
	                  			return;
                          }else{
                        	  App.isLuckyTrans();
                          }
                      });
              	}else{
              		App.isLuckyTrans();
              	}
              },
              //请求错误后回调
              failure: function(status, textStatus, error) {
              		App.isLuckyTrans();
              		return false;
              }
			});
		}
	    
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
