/**
 * 创建应用
 */
var App = function() {
	var form;
	var form3;
	var buttons = $('button');
	var tab;
	var levelno;//类型
	var yjfamt;//月应缴金额
	var oworkdate;//查询日期
	var oagentserialno;//查询流水号
	var peopname;//姓名
	var jfyear;//缴费年份
	var IdNO;//身份证号
	var idCode;//社保个人编码
	var peopId;//个人识别号
	var rownum;//缴费总笔数
	var amount;//缴费总金额
	var listView;
	var tab_l=$('#s-tab-l');
	var tab_r=$('#s-tab-r');
	var selectIndex = 0;
	var smsSecurity;
	var isSms;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		//短信倒计时
		'Fw.SmsCountDown',
		// 动态口令
		'Fw.Otp',
		//表单
		'Fw.Form',
		//安全键盘
		'Fw.Keyboard',
		//日历组件
		'Fw.Calendar',
		//常用数据
        'Fw.ConstantData',
		//设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session','Fw.OcrUtil'],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '代收社保',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : '左边按钮',
			//自定义按钮点击事件（默认App.leftButtonHandler）
			//handler: XXX
			},
		/**
		 * 右边按钮（默认不显示）
		 * rightButton: '右边按钮'
		 */
		/*rightButton : {
			//按钮标题
			text : '设置表单值',
		//自定义按钮点击事件（默认App.rightButtonHandler）
		//handler: XXX
		},*/
		/**
		 * 是否自动显示等待层（默认true）
		 * 需手动隐藏等待层
		 */
		//loadMask: false
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			//定义选项卡
			tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0
			});
			//定义表单
			form = new Fw.Form({
				//EL
				contentEl : 'form',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			//定义表单
			form3 = new Fw.Form({
				//EL
				contentEl : 'form3',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			//初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
			this.initDtkl();
			//手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0) {
				Fw.redirect("../menu.html", Fw.getParameters());
			}else if (index == 1) {
				tab.setActiveItem(0);
			}else if (index == 2) {
				var instype = $("#instype").val();
				if(instype == "10"){
					tab.setActiveItem(1);
				}else{
					tab.setActiveItem(0);
				}
			}else if (index == 3) {
				tab.setActiveItem(2);
			}else if (index == 4) {
				Fw.redirect("../menu.html", Fw.getParameters());
			}
		},
		initDtkl : function() {
			isSms = Fw.app.Session.getIsSms();
			if (isSms == "1") {
				$('#smsValid').removeClass('sui-hide');
				$('#smsValid').addClass(
						'sui-form-item sui-form-item-r sui-border-b');
			} else {
				$('#smsValid').removeClass(
						'sui-form-item sui-form-item-r sui-border-b');
				$('#smsValid').addClass('sui-hide');
			}
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			$('input[name=IdNO]').val(Fw.app.Session.getIdNo());//身份证号
			var year = new Date().format("yyyy");
			var start = year - 10;
			for(var i = 0;i < 20;i++){
					$("select[name=jf_year]").append(
							"<option value=" + (start + i) + ">"
									+ (start + i)
									+ "</option>");
			}
			$("select[name=jf_year]").val(year);
			//$("input[name=jf_year]").val(new Date().format("yyyy"));
		},
		submit : function(){
		},
        //缴费标准select切换
		jfbz:function(obj){
        	var v = $(obj).val();
        	if(v == "00"){
        		$("#jfje_div").show();
        	}else{
        		$("#jfje_div").hide();
        	}
        },
        //跳转缴费页
        toJf:function(){
        	var debitCardNum = 0;
        	var cardList = Fw.app.Session.getAllCards();//客户借记卡
        	$('[name="jfCard"]').html("");//置空
        	for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType != "PCRC") {
					debitCardNum++;
					$('[name="jfCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
				}
        	}
        	if(debitCardNum == 0){
        		Fw.Msg.info("您尚未绑定卡或存折，不能进行缴费操作！", function(){
        			Fw.redirect("../menu.html", Fw.getParameters());
                });
    			return;			
    		}
        	$("input[name=idNo_3]").val(Fw.util.Format.fmtAcctNo(App.IdNO,true));
        	$("input[name=jfCount_3]").val(App.rownum);
        	$("input[name=jfAmount_3]").val(Fw.util.Format.fmtAmt(App.amount));
        	tab.setActiveItem(3);
        },
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			//form.on('change', this.onChange, this);
			//选项卡切换后触发
            tab.on('tabchange', this.onTabChange);
			//触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			//触发提交事件触发
			form.on('submit', this.doSubmit, this);
			//触发提交事件前（校验前）触发
			form3.on('beforesubmit', this.beforeFormSubmit, this);
			//触发提交事件触发
			form3.on('submit', this.doFormSubmit, this);
			//点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			// 点击调用倒计时插件
			$('#smsCountDown').on('click', Fw.bind(this.smsCountDownClick, this));
			$('#next-btn').on('click', Fw.bind(this.secondQuery, this));
			$('#sub-btn').on('click', Fw.bind(this.toJf, this));
			$('#s-tab-l').on('click',Fw.bind(this.doTabL,this));
        	$('#s-tab-r').on('click',Fw.bind(this.doTabR,this));
		},
		//tabs切换
        doTabR:function(){
        	if(tab_l.hasClass("sui-tab-ll")){
        		return false;
        	}else{
        		tab_l.attr("class","sui-tab-ll");
            	tab_r.attr("class","sui-tab-rr");
            	$("#codeH").hide();
            	$("#peopH").show();
            	selectIndex = 1;
        	}
        },
        
    
        doTabL:function(){
        	if(tab_l.hasClass("sui-tab-l")){
        		return false;
        	}else{
        		tab_l.attr("class","sui-tab-l");
            	tab_r.attr("class","sui-tab-r");
            	$("#codeH").show();
            	$("#peopH").hide();
            	selectIndex = 0;
        	}
        },
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeFormSubmit : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		showList : function(data) {
			$("#jfCount").html(data.RowNum);
			$("#jfTotal").html(Fw.util.Format.fmtAmt(data.Amount / 100));
			$("#pageSave").html("");
			var list = data.List;
			var sb2=[];
			var sb_2 = "";
			for (var i = 0; i < list.length; i++) {
				var arg = list[i];
				/*sb_2 += "<div class='ma12' >";
				sb_2 += "<div class='wf100 rounded bgGray'>";
				sb_2 += "<ul>";
				sb_2 += "<li class='line '>";
    			sb_2 += '<span class="ground ">借记卡</span>';
    			sb_2 += '<span class="debitCard"  style="float: left;left:5%;"  >';
    	        sb_2 += "464646466464646";
    	        sb_2 += "</span>";
    	        sb_2 += "</li>";
				sb_2 += '<li class="lineList f-left wf100 mt5">';
				sb_2 += '<div class="sui-form-item sui-form-item-r sui-border-b">';
				sb_2 += '<label class="wf50">应缴月份</label>';
				sb_2 += '<span class="currentRight"  style="float: right;">';
				sb_2 += arg.month;  
				sb_2 += '</span>';
				sb_2 += '</div>';  
				sb_2 += "</li>";
				sb_2 += '<li class="lineList f-left wf100 mt5">';
				sb_2 += '<div class="sui-form-item sui-form-item-r sui-border-d">';
				sb_2 += '<label class="wf50">应缴金额</label>';
				sb_2 += '<span class="currentRight"  style="float: right;">';
				sb_2 += arg.yyjamt;
				sb_2 += '</span>';
				sb_2 += '</div>';  
				sb_2 += "</li>";
				sb_2 += '<div class="wf100 bgGray center" style="background-color:#f4f4f4;line-height: 40px;overflow:hidden;height:40px;text-align:center;">';
				sb_2 += '查看详情</div><ul>';
				sb_2 += '</div></div><div class="clear"> </div>';*/
				sb_2 += '<div id="account_list" class="card-inner">';
				sb_2 += '<div class="cardmodel-img">';
				sb_2 += '<div id="img-card" class="card-img" style="background-image:url(../../../images/transfer/ydCard.png)"><div id="font" class="font-span">' + arg.Month + '</div></div>';
				sb_2 += '</div>';
				sb_2 += '<div class="cardmodel-x">';
				sb_2 += '<div class="cardmodel-x-l">';
//				sb_2 += '<div class="cardmodel-x-l-s">';
//				sb_2 += '<label class="cardmodel-x-l-s-l">付款账号:</label>';
//				sb_2 += '<p name="No" id="No" data-label="付款账号" data-allowblank="false" data-format="fmtAcctNo,true" class="cardmodel-x-l-s-p"></p>';
//				sb_2 += '<img src="../../../images/transfer/logo.png" style="height: 28px; width: 28px; right: 0px; position: relative; top:0px; float: right;">';
//				sb_2 += '</div>';
				sb_2 += '<div class="cardmodel-x-l-s">';
				sb_2 += '<label class="cardmodel-x-l-s-l">应缴金额:</label>';
				sb_2 += '<p name="balance" id="balance" data-label="应缴金额" data-allowblank="false" class="cardmodel-x-l-s-p" style="float: right;color:#3a8ff5;">' + Fw.util.Format.fmtAmt(parseFloat(arg.YyjAmt) / 100) + '</p>';
				sb_2 += '</div></div></div></div>';
			}
			sb2[sb2.length] = sb_2;
			$("#pageSave").append(sb2.join(""));
		},
		/**
		 * 养老第二次查询
		 */
		secondQuery : function(values) {
			var levelno = $("#levelno").val();
			var famt = Fw.util.Format.unFmtAmt($("#yjfamt").val());
			if(levelno == "00"){
				if(famt == ""){
					Fw.Tips.info("请输入月应缴金额!");
					return;
				}
			}
			if(levelno != "00"){
				famt = "";
			}
          //加载数据
			//发送养老第二次查询接口
			Fw.util.Ajax.execute({
				service : 'juRongSocialSecurityService',
				method : 'executeYlQuerySecond',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					levelno : levelno,
					yjfamt : App.fmtMoneyToPoint(famt),
					oworkdate : App.oworkdate,
					oagentserialno : App.oagentserialno,
					jfyear : App.jfyear,
					instype : $("#instype").val()
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					console.log(data);
					App.yjfamt = parseFloat(data.YjfAmt) / 100;
					App.rownum = data.RowNum;
					App.amount = parseFloat(data.Amount) / 100;
					$("#jfName").html(App.peopname);
					App.showList(data);
		            tab.setActiveItem(2);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					//Fw.Tips.info("未查到相关信息");
				}
			});
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			var idNo = $("input[name=IdNO]").val();
			var code = $("input[name=idCode]").val();
			var ppId = $("input[name=peopId]").val();
			if(idNo == ""){
				Fw.Tips.info("请输入证件号码!");
				return;
			}
			App.IdNO = idNo;
			//只传其中一个值
			if(selectIndex == 0){
				if(code == ""){
					Fw.Tips.info("请输入社保编号!");
					return;
				}
				ppId = "";
			}else{
				if(ppId == ""){
					Fw.Tips.info("请输入个人识别号!");
					return;
				}
				code = "";
			}
			App.idCode = code;
			App.peopId = ppId;
			var instype = $("select[name=instype]").val();
			var year = $("select[name=jf_year]").val();
			App.jfyear = year;
			if(instype == "10"){
				//发送养老查询接口
				Fw.util.Ajax.execute({
					service : 'juRongSocialSecurityService',
					method : 'executeYlQuery',
					// method:
					// 'executeReceiver',//默认为execute，方法名称必须是execute开头
					// 请求参数
					params : {
						IdNO : idNo,
						idCode : code,
						peopId : ppId,
						instype : instype,
						jfyear : year
					},
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						console.log(data);
						$("input[name=peopname]").val(data.PeopName);
						App.oworkdate = data.OworkDate;
						App.oagentserialno = data.OagentSerialNo;
						App.peopname = data.PeopName;
						tab.setActiveItem(1);
					},
					// 请求错误后回调
					failure : function(status, textStatus, error) {
						//Fw.Tips.info("未查到相关信息");
					}
				});
			}else{
				//发送医疗查询接口
				Fw.util.Ajax.execute({
					service : 'juRongSocialSecurityService',
					method : 'executeMedicalQuery',
					// method:
					// 'executeReceiver',//默认为execute，方法名称必须是execute开头
					// 请求参数
					params : {
						IdNO : idNo,
						idCode : code,
						peopId : ppId,
						instype : instype,
						jfyear : year
					},
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						console.log(data);
						App.oworkdate = data.OworkDate;
						App.oagentserialno = data.OagentSerialNo;
						App.peopname = data.PeopName;
						App.yjfamt = parseFloat(data.YjfAmt) / 100;
						App.rownum = data.RowNum;
						App.amount = parseFloat(data.Amount) / 100;
						$("#jfName").html(data.PeopName);
						App.showList(data);
						tab.setActiveItem(2);
					},
					// 请求错误后回调
					failure : function(status, textStatus, error) {
						//Fw.Tips.info("未查到相关信息");
					}
				});
			}
		},
		/**
		 * 提交表单
		 */
		doFormSubmit : function(values) {
			var smscode = $('#smsText').val();
			if(isSms == "1" && smscode ==""){
				Fw.Tips.info("请输入短信验证码");
				return;
			}
			if (isSms == "1" && smscode.length < 6) {
				Fw.Tips.info("短信验证码为6位，请重新输入");
				return;
			}
			var TrsPassword = $("input[name=TrsPassword]").val();
			if(TrsPassword ==""){
				Fw.Tips.info("请输入交易密码");
				return;
			}
			if(TrsPassword.length!=6){
				Fw.Tips.info("交易密码为6位");
				return;
			}
			var card = Fw.decode($("#jfCard").val());
			var cardType = card.BankAcType;
			var cardFlag = "";
			if(cardType == "PSDP"){
				cardFlag = "2";
			}else{
				cardFlag = "1";
			}
			values["oworkdate"] = App.oworkdate;
			values["oagentserialno"] = App.oagentserialno;
			values["IdNO"] = App.IdNO;
			values["idCode"] = App.idCode;
			values["peopId"] = App.peopId;
			values["rownum"] = App.rownum;
			values["amount"] = App.amount * 100;
			values["transflag"] = 2;
			values["cardflag"] = cardFlag;
			values["acctno"] = card.No;
			values["term_id"] = Fw.app.Session.getCtMobilePhone();
			values["instype"] = $("#instype").val();
			values["isSms"] = isSms;
			values["smsSecurity"] = smsSecurity;
			values["smscode"] = smscode;
			//加载数据
			Fw.util.Ajax.query({
				service : 'juRongSocialSecurityService',
				method : 'executeSocialJf',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : values,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(result.error == "BASS001"){
						Fw.Msg.info("该笔流水信息已缴费", function(){
							tab.setActiveItem(0);
		                });
						return;
					}
					$("#succ_oworkdate").html(data.OworkDate);
					//$("#succ_oagentserialno").html(data.OagentSerialNo);
					$("#succ_peopname").html(data.PeopName);
					$("#succ_rownum").html(data.RowNum);
					$("#succ_amount").html(Fw.util.Format.fmtAmt(parseFloat(data.Amount) / 100));
					tab.setActiveItem(4);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					//Fw.Tips.info("未查到相关信息");
				}
			});
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			//提交表单
			case 'submit-btn':
				form.submit();
				break;
			case 'end-btn':
				form3.submit();
				break;
			//表单重置
			case 'reset-btn':
				form.reset();
				break;
			//重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			}
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			page = index;
			switch (index) {
			//第一个
			case 0:
				break;
			//第二个
			case 1:
				//执行子页面2初始化方法
				break;
			//第三个
			case 2:
				//执行子页面3初始化方法
				break;
			case 3:
				//执行子页面3初始化方法
				break;
			case 4:
				//执行子页面3初始化方法
				break;
			case 5:
				//执行子页面3初始化方法
				break;
			default:
				;
			}
		},
		/**
		 * 右边按钮点击事件
		 */
		rightButtonHandler : function() {
			//设置表单值
			form.setValues({
				field0 : '6222021322221111633',
				field1 : '1',
				field2 : '6222021322221111633',
				field3 : 'field3',
				field4 : 'CCC',
				field5 : Date.now(),
				field6 : Date.now(),
				field7 : '',
				field8 : '',
				field9 : '1',
				field10 : [ '1', '2' ],

				field11 : '',
				field11Caps : '',
				field12 : '',
				field13 : '340111111111111111',
				field14 : '',
				field15 : '',
				field16 : '',

				field17 : '13955185661',
				field18 : '1',
				field19 : 'field9',
				field20 : '1',
				field21 : [ '1', '2' ]
			});
		},
		/**
		 * 调用短信统一接口
		 */
		smsCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			// 倒计时配置参数
			var params = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"
				delay : 60,
				// 参数
				param : {
					// 0表示本地获取 1表示 渠道端获取
					socket : '0',
					modType : 'judksb',
					Amount : App.amount
				},
			// 业务参数配置待短信接口确定后完善...
			// AMT:5000,
			// PHONE:13698888888
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},

		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
        fmtMoneyToPoint: function(money){
        	var moneyNum = Fw.util.Format.fmtNumber(money,'0.00')+"";
        	moneyNum = moneyNum.replace(".","");
        	return moneyNum;
        }	
		
		
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
