


/**
 * 创建应用
 */
var App = function() {
	var  CifNo = "";
	var saveCardsOk = false;
	var dCardsOk = false;
	var creditCardsOk = false;
	var funcFlag = true;
	var today = "";
	// 账号信息
	var cards = null;
    return {
        /**
         * 依赖组件
         */
        requires : [
          'Fw.device.Device',
          'Fw.app.Session',
          'Fw.Tab'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '境外磁条卡交易',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            //    handler: 'App.leftButtonHandler'
            },
          loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//定义选项卡
			tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0
			});
        	this.require=require;
            //初始化事件
            this.initEvents();
            //初始化数据
            this.initData();     
            //手动隐藏等待层
//            Fw.LoadMask.hide();
          
          
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
     //   	$('#show_sava_btn').on('click',Fw.bind(this.showAllSaveAcct,this));	
        },
        hideMask:function(){
        	if(saveCardsOk&&dCardsOk&&creditCardsOk){
        		Fw.LoadMask.hide();
   		 	}
        },
        /**
         * 初始化数据
         */
        initData:function(){
        	CifNo = Fw.app.Session.get("CifNo");//客户号
        	App.initCurDate();
      	    App.doQueryCard();   // 借记卡
//         	App.doQueryDkCard(); //贷款账户
//        	App.doQueryCreidCard(); //信用卡
        },
        // 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					console.log(data);
					// $('[name=enddate]').val(data['CurDate']);
					today = data['CurDate'];
				},
			});
		},
        /**
         * 账号汇总查询
         */
        doQueryCard: function(){
        	
            
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCActPandectQuery',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
               	 CifNo: CifNo
                },
                loadMask: true,
                success: function(data, result) {
                	Fw.LoadMask.hide();
                	if(!data)
            		{
            		return;
            		}
                	var debitCardNum = 0;
                	var cardList = data.List;
                	for (var i = 0; i < cardList.length; i++) {
        				if (cardList[i].BankAcType == "PDBC") {
        					debitCardNum++;
        				}
                	}
                	if(debitCardNum == 0){
                		Fw.Msg.info("您尚未绑定圆鼎卡，不能进行境外磁条卡交易操作！", function(){
                			Fw.device.Device.gotoIndex();
                        });
            			return;			
            		}
               	 	App.showSavePage(data);//圆鼎卡
                },
             
            });
        },
    	showSavePage:function(data){  //
    		cards = data.List;
    		var param = 0;
    		App.queryInfo(param,cards.length);
     	},
     	queryInfo:function(param,length){
     		if(param < length){
				setTimeout(function(){
					var at = cards[param].BankAcType;
	    			var an = cards[param].AcNo;
					if(at == "PDBC"){
	    				App.queryStatus(at,an);
	    			}
					App.queryInfo(param + 1,length);
				},500);
			}
     	},
     	queryStatus:function(acctType,acctNo){
     		Fw.util.Ajax.query({
                service: 'transferService',
                method: 'executeForeignTradeSign',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	AccountNo:acctNo,
                	BankAcType:acctType
                },
                loadMask: false,
                success: function(data, result) {
                	console.log(result);
                	Fw.LoadMask.hide();
                	if(!data)
            		{
                		Fw.Msg.info("系统繁忙！");
                		return;
            		}
                	var status = data.Status;
                	var sb2=[];
            		var sb_2 ="";
                	//暂时赋值
        			sb_2 += "<div class='ma12' >";
        			sb_2 += "<div class='wf100 rounded bgGray'>";
        			sb_2 += '<input type="text" class="hiden" value="'+data.AcNo+'" />';
        			sb_2 += '<input type="text" class="hiden" value="'+data.BankAcType+'"/>';
        			sb_2 += "<ul>";
        			sb_2 += "<li class='line '>";
        			sb_2 += '<span class="ground ">借记卡</span>';
        			sb_2 += '<span class="debitCard"  style="float: left;left:5%;"  >';
        	        sb_2 += Fw.util.Format.fmtAcctNo(data.AcNo.trim(),true);
        	        sb_2 += "</span>";
        	        sb_2 += "</li>";
        	        sb_2 += '<hr class="firstHr">';
        			sb_2 += '<li class="line f-left wf100 mt5">';
        			sb_2 += '<label class="wf50">境外磁条卡交易</label>';
        			sb_2 += '<span class="current "  style="float: right;">';
        			//还有个目前状态的取值没做 需要调用接口判断
        			sb_2 += '<div class="sui-form-item sui-form-item-r sui-border-b">';
        			//开启
        			if(status == "1"){
        				if(data.EndDate < today.replaceAll("/", "")){
        					sb_2 += '<button class="sui-border-l" type="button" style="border-radius:49px;top:0px;border:1px solid #3a8ef6;color:#3a8ef6;" onclick="App.toOpen(' + false + ',\'' + data.AcNo + '\',\'' + data.BankAcType + '\')">开启</button>';
        	        	}else{
        	        		sb_2 += '<button class="sui-border-l" type="button" style="border-radius:49px;top:0px;" onclick="App.toOpen(' + true + ',\'' + data.AcNo + '\',\'' + data.BankAcType + '\')">关闭</button>';
        	        	}
        			}else if(status == "0"){
        				sb_2 += '<button class="sui-border-l" type="button" style="border-radius:49px;top:0px;border:1px solid #3a8ef6;color:#3a8ef6;" onclick="App.toOpen(' + false + ',\'' + data.AcNo + '\',\'' + data.BankAcType + '\')">开启</button>';
        			}
        			sb_2 += '</div>';    
        			sb_2 += '</span>';
        			sb_2 += "</li>";
        			if(status == "1"){
        				sb_2 += '<li class="line f-left wf100 mt5">';
	        			sb_2 += '<label class="wf50">开通截止日期</label>';
	        			sb_2 += '<span class="current "  style="float: right;">';
	        			sb_2 += '<label class="wf30">';
	        			sb_2 += data.EndDate;
	        			sb_2 += '</label>';    
	        			sb_2 += '</span>';
	        			sb_2 += "</li>";
	        			if(data.EndDate < today.replaceAll("/", "")){
	        				sb_2 += '<li class="line f-left wf100 mt5">';
		        			sb_2 += '<label class="wf100" style="color:red;">开通截止日期已过期，请重新开启。</label>';
		        			sb_2 += "</li>";
	        			}
        			}	
        			sb_2 += '<div class="wf100 bgGray center" style="background-color:#f4f4f4;display:inline-block;line-height: 40px;overflow:hidden;height:40px;">';
        			sb_2 += '</div><ul>';
        			sb_2 += '</div></div><div class="clear"> </div>';
        			sb2[sb2.length] = sb_2;
        			$("#pageSave").append(sb2.join(""));
//            		var savePage = document.getElementById("pageSave");
//            		savePage.innerHTML = sb2.join("");
                },
                failure : function(status, textStatus, error) {
                	console.log(error);
					Fw.Msg.error(error, function(){
	        			Fw.device.Device.gotoIndex();
	                });
					return false;
				}
            });
     	},
      	//境外降级交易开关
      	toOpen:function(flag,No,AcType){  //
      		if(flag){
      			Fw.Msg.cfm('您确认关闭此卡境外磁条卡交易吗？', function(code, btn, win) {
    				if (code == "yes") {
    					//调用接口 暂无
    					Fw.util.Ajax.query({
    		                service: 'transferService',
    		                method: 'executeForeignTradeSign',//默认为query，方法名称必须是query开头
    		                //请求参数
    		                params: {
    		                	AccountNo: No,
    		                	flag: 0
    		                },
    		                loadMask: true,
    		                success: function(data, result) {
    		                	Fw.LoadMask.hide();
    		                	if(!data)
    		            		{
    		                		return;
    		            		}
    		                	Fw.redirect("./offstore.html", null);
    		                },
    		            });
    				}
      			});
      		}else{
      			var param={
          				acctNo:No,
          				acctType:AcType,
          				backUrl:'./offstore.html'
          		};
          		Fw.redirect("./offstore_open.html", Fw.encode(param));
      		}
      	},
    	
    	
        
    	
    	leftButtonHandler:function(){  
			 Fw.device.Device.gotoIndex();
     	},
    	
      
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);



