/**
 * 创建应用
 */
var App = function() {
    var form;
    var buttons = $('button');
    //付款账户相关 
    var isSms,BankAcType,No,AvailBal,phone,currency,CRFlag;
    var pageInitInfo = null;
    var CifSeq;
    var transType,transValue;//交易类型
    var changeValue;  //选中项
    
    var PayeeBankId = "";
    var PayeeBankName = "";
    var PayeeBranchId = "";
    var PayeeBranchName = "";
    //var PayeeClearingBankId = "";
    var PayeeCityCode = "";
    var PayeeCityName = "";
    var PayeeProvinceCode = "";
    var PayeeProvinceName = "";
    var dreccode = "";
    var PayeeClearingBankId = "";
    var InterbankType = "";
    var qrflag = "";  //二维码转账标志
    var QrcodeType = "";//二维码转账类型
    //标志位
    var divFlag = "2";//默认第一个div
    var parameType;//页面跳转参数
    var Covalue=0;
    var Copy = ""; //复制账号跳转赋值为1
    return {
        /**
         * 依赖组件
         */
        requires : [
            //表单
            'Fw.Form',
            //安全键盘
            'Fw.Keyboard',
            //日历组件
            'Fw.Calendar',
            'Fw.device.Device',
            //OCR组件
    		'Fw.OcrUtil',
            //登录成功后可通过session获取信息
            'Fw.app.Session',
            //
            'Fw.ConstantData',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '跨行转账',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton:false,
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	parameType = Fw.decode(Fw.getParameters()); //页面跳转数据
        	
        	var parentDeptId = Fw.app.Session.getParentDeptId();//开户法人机构号
        	if(parentDeptId&&parentDeptId=="320623999"){
        		changeValue = "1";// 快速
        		$("#payeeAddress").css("display","none");
        	}else{
        		changeValue = "4";// 快速
        		$("#payeeAddress").css("display","none");
        	}
        	
        	if(!Fw.isEmpty(parameType)){
             	divFlag = parameType.divFlag;
             	changeValue = parameType.changeValue;
             	//设置选中项目
             	if(divFlag == "1"){
    				//带有同城转账
     		    	$("#info_normal_fast_tc").css("display","block");
     		    	$("#info_normal_fast").css("display","none");
     		    	transType = parameType.transType;
    			}else if(divFlag == "2"){
    				$("#info_normal_fast_tc").css("display","none");
     		    	$("#info_normal_fast").css("display","block");
     		    	/*if(changeValue == "0"){
     		    		changeValue = "3";
     		    	}*/
     		    	transType = parameType.transType;
     		    	$("#payeeAddress").css("display","block");
     		    	if("P" == transType){
     		    		$("#payeeAddress").css("display","none");
     		    	}
    			}
             }
        	
        	//设置选中项目
         	App.CheckedChange(changeValue);
            //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            try{
            	 Fw.device.Device.getCodeInfo();
            }catch(e){
            	alert(e);
            };
            
            //判断是否由复制账号跳转
            var copyFlag = this.getQryString("copyFlag");
   		    if(!Fw.isEmpty(copyFlag)){
   	            try {
   	            	Copy = "1";
   	            	Fw.device.Device.getCopyNo();
   				} catch (e) {
   					alert(e);
   				}
   			}else{
   			    // 初始化事件
   				App.initEvents();
   			    // 初始化数据
				App.initData();
				// 手动隐藏等待层
				Fw.LoadMask.hide(500);
   			}
        },
        
		/**
		 * 获取复制账户
		 */
		getPayNo:function(data){
			//var copyNo = Fw.decode(data);
			if(!Fw.isEmpty(data)){
				$("[name=payNo]").val(data);
			}
			//初始化事件
			App.initEvents();
			// 初始化数据
			App.initData();
		    // 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		
		/**
		 * 获取url后缀参数
		 */
		getQryString : function(name){
			var reg = new RegExp("(^|&)"+name+"=([^&]*)(&|$)");
			var r = window.location.search.substr(1).match(reg);
			if(Fw.isEmpty(r)||r.length<2){
				return null;
			}else {
				return unescape(r[2]);
			}
		},
        
      //设置选中项目
        CheckedChange : function(changeValue){
        	$('[name="tran_Type"]').each(function(){
        		if(this.value == changeValue){
        			this.checked = true;
        			if(changeValue == "0"){
        				$("#infoNormal").css("display","block");
     		    		$("#infoFast").css("display","none");
     		    		$("#infoTc").css("display","none");
     		    		$(".pt_zz").removeClass("pt_zz_2");
     		    		$("#tranNormal").next("span").addClass("pt_zz_2");
     		    		$('.pt_zz').next('.arrow-top ').css('display','none');
     					$("#tranNormal").next('.arrow-top').css('display','block');
        			}else if(changeValue == "1"){
        				$("#infoNormal").css("display","none");
     		    		$("#infoFast").css("display","block");
     		    		$("#infoTc").css("display","none");
     		    		$(".pt_zz").removeClass("pt_zz_2");
     		    		$("#tranFast").next("span").addClass("pt_zz_2");
     		    		$('.pt_zz').next('.arrow-top ').css('display','none');
     					$("#tranFast").next('.arrow-top').css('display','block');
        			}else if(changeValue == "2"){
        				$("#infoNormal").css("display","none");
     		    		$("#infoFast").css("display","none");
     		    		$("#infoTc").css("display","block");
     		    		$(".pt_zz").removeClass("pt_zz_2");
     		    		$("#tranTc").next("span").addClass("pt_zz_2");
     		    		$('.pt_zz').next('.arrow-top ').css('display','none');
     					$("#tranTc").next('.arrow-top').css('display','block');
        			}else if(changeValue == "3"){
        				$("#info_normal").css("display","block");
     		    		$("#info_fast").css("display","none");
     		    		$(".pt_zz").removeClass("pt_zz_2");
     		    		$("#tran_normal").next("span").addClass("pt_zz_2");
     		    		$('.pt_zz').next('.arrow-top ').css('display','none');
     					$(".pt_zz pt_zz_2").next('.arrow-top').css('display','block');
        			}else if(changeValue == "4"){
        				$("#info_normal").css("display","none");
     		    		$("#info_fast").css("display","block");
     		    		$(".pt_zz").removeClass("pt_zz_2");
     		    		$("#tran_fast").next("span").addClass("pt_zz_2");
     		    		$('.pt_zz').next('.arrow-top ').css('display','none');
     					$(".pt_zz pt_zz_2").next('.arrow-top').css('display','block');
        			}
        		}
        	});
        },
        
        
        
        /**
         * 初始化事件
         */
        initEvents: function(){
            //表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            form.on('change', this.onChange, this);
            //触发提交事件前（校验前）触发
            form.on('beforesubmit', this.beforeSubmit, this);
            //触发提交事件触发
            form.on('submit', this.doSubmit, this);
            //点击按钮时触发（保存、重置、重发验证码）
            buttons.tap(Fw.bind(this.onButtonClick, this));
            //点击跳转到付款账户选择
            $('#account_list').on('click', Fw.bind(this.toTransAccPayList,this));
           
            $('#payNo').on('change', Fw.bind(this.toQueryFastKhh,this));
            //点击跳转到收款人选择
         /*   $('#payeeNameList').on('click', function(){
         	   App.toTransAccPayeeNameList(pageInitInfo);
            });*/
            $('#payeeNameList').on('click', Fw.bind(this.toTransAccPayeeNameList,this));
            //选中转账类型
            $(".pt_zz").click(function(){
            	$(".pt_zz").removeClass("pt_zz_2");
            	$(this).addClass("pt_zz_2");
            	$('.pt_zz').next('.arrow-top ').css('display','none');
				$(this).next('.arrow-top').css('display','block');
            });
            //点击跳转到开户行页面
            $('#PayeeDeptName').on('click', Fw.bind(this.queryBank, this));
            $('#ScheduleBtn').on('click', Fw.bind(this.toCheckSchedule, this));
        },
        
	     //获取I的客户信息
		      GetReInfoI:function (id,type){
		    	    qrflag="QR";
		        	Fw.util.Ajax.query({
		        		service : 'qrcodeService',
		        		method:'queryPayerInfo',
						// 请求成功后回调
		        		params:{
		        			payeeNo : id,//收款账户
		    				payeeType:type,//收款账类型
			        	},
						success : function(data, result) {
							var re =data['Payee'];
							 QrcodeType = re.payeeType;
							 transType = re.payeeType;
							 $("[name=payeeName]").val(re.payeeAcName);
							 $("[name=payNo]").val(re.payeeAcNo);
							 $("[name=PayeeDeptName]").val(re.payeeDeptName);
							 
							 var parentDeptId = Fw.app.Session.getParentDeptId();//开户法人机构号
							 if(parentDeptId&&parentDeptId=="320623999"){
								 if(QrcodeType == "D"){
									 changeValue = "0";
								 }else if(QrcodeType == "P"){
									 changeValue = "1";
								 }else if(QrcodeType == "S"){
									 changeValue = "2";
								 }
							 }else{
								 if(QrcodeType == "D"){
									 changeValue = "3";
								 }else if(QrcodeType == "P"){
									 changeValue = "4";
								 }
							 }
							 App.CheckedChange(changeValue);
							 if(re.payeeType == "D"){ //跨行普通
		            				Fw.util.Ajax.execute({
		                                service: 'transferService',
		                                method: 'executeDRECCODE',//默认为query，方法名称必须是query开头
		                                params: { 
		                                	BankCode : re.bankCode,
		                                },
		                                staticData: false,
		                                success: function(data, result) {
		                                	dreccode = data.DRECCODE;
		                                	 App.TransQrcode(re);
		                                },
		                                //请求错误后回调
		                                failure: function(status, textStatus, error) {
		                                    alert(status);
		                                }
		                            });
		                		   
							 }else if(re.payeeType == "P"){ //跨行快速
								    PayeeBranchId = re.payeeDeptId;
			        				PayeeBranchName = re.payeeDeptName;
			        				PayeeBankId = "";
			        			    PayeeBankName = "";
							 }else if(re.payeeType == "S"){//跨行同城
								 
							 }
						},
					});
		       },
		       
		       TransQrcode : function(re){
		    	   PayeeBankId = re.payeeBankId;
   				   PayeeBankName = re.payeeBankName;
   				   PayeeBranchId = re.bankCode;
   				   PayeeBranchName = re.payeeDeptName;
		    	   PayeeClearingBankId = dreccode;
   				   PayeeCityCode = re.cityCode;
   				   PayeeCityName = re.cityName;
       		       PayeeProvinceCode = re.provinceCode;
       		       PayeeProvinceName = re.provinceName; 
		       },
		       
		       
		       /*
		        * 跨行快速开户行
		        */
		       toQueryFastKhh : function(){
		    	   if("P" == transType){
		    		    var payNo = Fw.util.Format.unFmtAcctNo($('#payNo').val());
		    		    if(payNo.length == 0 || payNo == ""){
		    		    	$('#PayeeDeptName').val("");
		    		    	$('#PayeeDeptName').attr("placeholder","请选择开户行");
		    		    }
		    		    //由复制账号跳转至跨行
		    		    if(!Fw.isEmpty(Copy)){
		    		    	if(payNo.length > 9){
			    		    	payNo = payNo.substring(0, 9);
			    		    }
		    		    }
		            	if(payNo.length == 9){
		            		Fw.util.Ajax.query({
		        				service : 'openBankService',
		        				method : 'queryOpenBankKs',// 默认为query，方法名称必须是query开头
		        				// 请求参数
		        				params : {
		        					PayeeAcNo : payNo
		        				},
		        				success : function(data, result) {
		        					if(data.BANKID != null && data.BANKID != "" && data.BANKID != undefined){
		        						$('#PayeeDeptName').val(data.BANKNAME);
		        						PayeeBranchId = data.BANKID;
		                				PayeeBranchName = data.BANKNAME;
		                				PayeeBankId = "";
				        			    PayeeBankName = "";
		        					}else{
		        					}
		        				},
		        				failure : function(status, textStatus, error) {
		        				}
		        			});
		            		 Fw.LoadMask.hide(); 
		            	}
		            }
		       },

        /**
		 * 查询数据 
		 */
		queryBank : function() {
			var innerOut = transType;
			var PayeeAcName = $("#payeeName").val();//收款人户名payeeName
			var PayeeAcNo = Fw.util.Format.unFmtAcctNo($("#payNo").val());//收款人账户payNo
			var title = "1";
			
			var parameters = {
				"PayeeAcName" : PayeeAcName,
				"PayeeAcNo" : PayeeAcNo,
				"innerOut" : innerOut,
				"title" : title,
				"key" : "2", // key=2 表示从跨行跳过去

				"No" : CardNo,
				"CardBankAcType" : CardBankAcType,
				"balance" : AvailBal,
				"payeeName" : $("#payeeName").val(),
				"payNo" : $("#payNo").val(),
				// "PayeeDeptName" : $("#PayeeDeptName").val(),
				"payeeAddress" : $("[name = payeeAddress]").val(),
				"payMoney" : $("#payMoney").val(),
				"transType" : transType,
				"divFlag" : divFlag,
				"changeValue" : changeValue,
				"CardNo" : CardNo,
				"CRFlag" : CRFlag,
				"Code" : Code,
				"channle" : "khh",
				"BANKID" : PayeeBranchId,
				"BANKNAME" : PayeeBranchName
			};
			if (innerOut == "P") {
				Fw.redirect("../../openBank/bank_list.html",Fw.encode(parameters));  //跨行快速
			}else if(innerOut == "D"){
				Fw.redirect("../../receiver/receiver_add_typeD.html",Fw.encode(parameters));  //普通转账
			}else if(innerOut == "S"){
				Fw.redirect("../../receiver/receiver_add_typeS.html",Fw.encode(parameters));  //同城转账
			}
		},

        /**
         * 初始化数据
         */
        initData:function(){
        	$('[name=nextDayAccount]')[0].checked = false; //次日受理默认取消
        	/**
        	 * otpType
        	 * 0 : 无动态口令
        	 * 1 : 确认信息时，验证动态口令
        	 * 2 : 点击下一步时获取动态口令，确认信息时校验动态口令
        	 * 3 : 确认信息页面展示获取口令序号，输入动态口令
        	 * 4 : 下一步时，获取图形验证码
        	 */
        	
        	    phone = Fw.app.Session.getLoginPhoneNo(); //登录手机号
        		var parameters = Fw.decode(Fw.getParameters()); //页面跳转数据
        		//var params = (Fw.app.Session.getAllCards())[0]; //从session获取数据 
        		
        		var params = Fw.app.Session.getAllCards();
    			if(params){
    				for(var i=0;i<params.length;i++){
    					if(params[i].BankAcType == "PCRC"){
    						params.splice(i,1);
    					}
    				}
    				if (params.length == 0) {
    					Fw.Msg.info('您尚未绑定借记账户，无法使用转账功能。', function() {
    						Fw.device.Device.gotoIndex();
    					});
    					return;
    				}
    				params = Fw.app.Session.getAllCards()[0];
    				Name = params.Name;
    			}
        		if(parameters != null){
        			if(parameters.No){
        				$("#No").html(Fw.util.Format.fmtAcctNo(parameters.No,true));//格式化账户
        				var aparams = Fw.app.Session.getAllCards();
        				for (var i = 0; i < aparams.length; i++) {
							 payerAcNo = aparams[i].No;
							if (parameters.No == payerAcNo) {
								CardBankAcType = aparams[i].BankAcType;
								var Currency = aparams[i].Currency;
			    				CRFlag = Currency.CRFlag;
			         		    Code = Currency.Code;
								break;
							}
						}
        				
        				CardNo = parameters.No;
            		  /*  CardBankAcType =parameters.BankAcType;//卡类型CardBankAcType
            		    CRFlag = parameters.CRFlag;
            		    Code = parameters.Code;*/
            		    App.changeImg(CardBankAcType);
        			}
        	
        			if(parameters.transType == "P"){ //跨行快速
        				if (parameters.channle == "TransAccPayeeName") //跨行转账选择收款人页面跳转
	       				{
        					PayeeBranchId = parameters.PayeeDeptId;
        					PayeeBranchName = parameters.PayeeDeptName;
	       				}
        				else if(parameters.task == "confirm"){ //确认页返回
        					PayeeBranchId = parameters.PayeeBranchId;
        					PayeeBranchName = parameters.PayeeBranchName;
        				}
        				else 
        				{
        					PayeeBranchId = parameters.BANKID;
            				PayeeBranchName = parameters.BANKNAME;
        				}
        				PayeeBankId = "";
        			    PayeeBankName = "";
        			}
        			if(parameters.transType == "D"){ //跨行普通
        				if (parameters.channle == "TransAccPayeeName") //跨行转账选择收款人页面跳转
        				 {
        					//选择收款人
        					PayeeBankId = parameters.PayeeBankId;
            				PayeeBankName = parameters.PayeeBankName;
            				PayeeBranchId = parameters.BankCode;
            				PayeeBranchName = parameters.PayeeDeptName;
            				PayeeClearingBankId = parameters.dreccode;    //查询数据库
            				PayeeCityCode = parameters.CityCode;
            				PayeeCityName = parameters.CityName;
                		    PayeeProvinceCode = parameters.ProvinceCode;
                		    PayeeProvinceName = parameters.ProvinceName; 
                		    
                		    if(PayeeClearingBankId == null || PayeeClearingBankId == "" || PayeeClearingBankId == undefined ){
                		    	App.executeDreccode(PayeeBranchId);
                		    }
        				  }
        				else if(parameters.task == "confirm"){ //确认页返回
        		        	PayeeBankId = parameters.PayeeBankId;
            				PayeeBankName = parameters.PayeeBankName;
            				PayeeBranchId = parameters.PayeeBranchId;
            				PayeeBranchName = parameters.PayeeBranchName;
            				PayeeClearingBankId = parameters.PayeeClearingBankId;
            				PayeeCityCode = parameters.PayeeCityCode;
            				PayeeCityName = parameters.PayeeCityName;
                		    PayeeProvinceCode = parameters.PayeeProvinceCode;
                		    PayeeProvinceName = parameters.PayeeProvinceName;
                		    $("[name = payeeAddress]").val(parameters.payeeAddress||"");
        				}
        				else
    					  {
        					//选择开户行
        					PayeeBankId = parameters.bankid;
            				PayeeBankName = parameters.PayeeBankName;
            				PayeeBranchId = parameters.BANKCODE;
            				PayeeBranchName = parameters.LNAME;
            				PayeeClearingBankId = parameters.DRECCODE;
            				PayeeCityCode = parameters.CITYCODE;
            				PayeeCityName = parameters.CityName;
                		    PayeeProvinceCode = parameters.ProvinceCode;
                		    PayeeProvinceName = parameters.ProvinceName;        					
    					  }
    				
        			}
        			if(parameters.transType == "S"){  //同城转账
        				if (parameters.channle == "TransAccPayeeName") //跨行转账选择收款人页面跳转
       				 {
       					//选择收款人
       					PayeeBankId = parameters.PayeeBankId;
           				PayeeBankName = parameters.PayeeBankName;
           				PayeeBranchId = parameters.BankCode;
           				PayeeBranchName = parameters.PayeeDeptName;
           				PayeeCityCode = parameters.CityCode;
           				PayeeCityName = parameters.CityName;
               		    PayeeProvinceCode = parameters.ProvinceCode;
               		    PayeeProvinceName = parameters.ProvinceName; 
       				  }
        			else if(parameters.task == "confirm"){ //确认页返回
        		        PayeeBankId = parameters.PayeeBankId;
            			PayeeBankName = parameters.PayeeBankName;
            			PayeeBranchId = parameters.PayeeBranchId;
            			PayeeBranchName = parameters.PayeeBranchName;
            			PayeeCityCode = parameters.PayeeCityCode;
            			PayeeCityName = parameters.PayeeCityName;
                		PayeeProvinceCode = parameters.PayeeProvinceCode;
                		PayeeProvinceName = parameters.PayeeProvinceName;
        			}
       				else
   					  {
       					//选择开户行
       					PayeeBankId = parameters.bankid;
           				PayeeBankName = parameters.PayeeBankName;
           				PayeeBranchId = parameters.BANKCODE;
           				PayeeBranchName = parameters.LNAME;
           				PayeeCityCode = "3063";
           				PayeeCityName = "如东";
               		    PayeeProvinceCode = "32";
               		    PayeeProvinceName = "江苏省";        					
   					  }
        				
        			}
        			if(parameters.payeeAddress){
        				$("[name=payeeAddress]").val(parameters.payeeAddress);
        			}
        			if(parameters.payMoney){
        				$("#payMoney").val(Fw.util.Format.fmtAmt(parameters.payMoney));
        			}
				if(parameters.task == "confirm"){
					parameters.PayeeAcName = parameters.payeeName;
					parameters.PayeeAcNo = parameters.payNo;
					PayeeBranchName = parameters.PayeeBranchName;
					if(parameters.addPeople != "1"){//添加联系人
						$("#addPeople").removeAttr("checked");
					}
					if(parameters.ScheduleFlag == "1"){//次日到账
						$("#ScheduleSwitch").removeClass("sui-hide");
						$("#ScheduleMsg").removeClass("sui-hide");
						$('[name=nextDayAccount]').attr("checked","checked");
						$('[name=nextDayAccount]')[0].checked = true;
					}
				}
        			//this.initDivInfo();
        			
        			var CovName = App.CovArea(PayeeBranchName);
        			
        			pageInitInfo = {
            				Name : Name,
            				No : CardNo, 
                            BankAcType : CardBankAcType,
                            phone : phone,
                            CRFlag : CRFlag,
                            Code : Code,
                            payeeName : parameters.PayeeAcName,
        			        payNo : parameters.PayeeAcNo,
        			        PayeeDeptName : CovName, //开户行
        			        payeeAddress : $('[name = "payeeAddress"]').val(),
        			        payMoney : $("#payMoney").val()
            		};	
        			//查询账户余额
                    this.initBalance();
        		}else{
        		    $("#No").html(Fw.util.Format.fmtAcctNo(params.No,true));//格式化账户
        		    CardNo = params.No;
        		    CardBankAcType = params.BankAcType;//卡类型转换
            		CRFlag = params.Currency.CRFlag;
            		Code = params.Currency.Code;
        		    App.changeImg(CardBankAcType);//更改样式
        		    
        		    this.initDivInfo();
        		    
	        		var payNo = $("#payNo").val();
        		    pageInitInfo = {
        				Name : Name,
        				No : CardNo, 
                        BankAcType : CardBankAcType,
                        phone : phone,
                        payNo : payNo,
                        CRFlag : CRFlag,
                        Code : Code
        		};	
        		    console.log("pageInitInfo",pageInitInfo);
                    this.initBalance();
        	}
        	
    		if(parameters != null && parameters.channle == "TransAccPayeeName"
    			&& !Fw.isEmpty(parameters.PayeeAcNo) && Fw.isEmpty(PayeeBranchId)){
        		pageInitInfo.PayeeDeptName = "";
        		PayeeBranchName = "";
        		PayeeBranchId = "";
        		Fw.Tips.info('开户行无效，请重新选择！');
        	}
            //设置表单值
           form.setValues(pageInitInfo);
        }, 
        
        CovArea : function(BankName){
        	if(BankName==undefined){
        		BankName="";
        	}
        	var Blength = BankName.length;
        	if(Blength > 15){
        		$("#PayeeDeptName").removeClass('area-Cov-line');
        		Covalue = 1;
        	}
        	return BankName;
        },
        
        initDivInfo:function(){
        	var parentDeptId = Fw.app.Session.getParentDeptId();//开户法人机构号
 		    if("320623999" == parentDeptId){
 		    	//带有同城转账
 		    	$("#info_normal_fast_tc").css("display","block");
 		    	$("#info_normal_fast").css("display","none");
 		    	divFlag = 1;
 		    	transType = "P";
 		    	$("#tranFast").attr("checked",true);
 	 		    $("#infoFast").css("display","block");
 		    }else{
 		    	$("#info_normal_fast_tc").css("display","none");
 		    	$("#info_normal_fast").css("display","block");
 		    	divFlag = 2;
 		    	transType = "P";
 		    	$("#tran_fast").attr("checked",true);
 	 		    $("#info_fast").css("display","block");
 		    }
        },
        /**
         * 动态更改卡类型背景图
         */
        changeImg : function(CardBankAcType){
        	if(CardBankAcType == "PDBC"){  //圆鼎卡
        		$("#img-card").css("background-image","url(../../../images/transfer/ydCard.png)");
        	}else if(CardBankAcType == "PSAV"){ //一证通
        		$("#img-card").css("background-image","url(../../../images/transfer/through.png)");
        	}else if(CardBankAcType == "PSDP"){ //存折
        		$("#img-card").css("background-image","url(../../../images/transfer/passbook.png)");
        	}else if(CardBankAcType == "PDAC"){ //二三类
        		$("#img-card").css("background-image","url(../../../images/transfer/passbook.png)");
        	}
        	CardType = Fw.util.Format.fmtCardType(CardBankAcType);
        	$("#font").html(CardType);
        },
        /**
         * 默认账户的余额查询
         */
        initBalance:function(){
        	 Fw.util.Ajax.query({
                 service: 'transferService.queryBalance',
                // method: 'queryBalance',//默认为query，方法名称必须是query开头
                 //请求参数
                 params: { 
                	 No : CardNo,
                	 BankAcType : CardBankAcType
                 },
                 //是否使用数据挡板（默认false）
                 staticData: false,
                 //请求成功后回调
                 success: function(data, result) {
                	 //金额格式转换
                	 AvailBal = data.AvailBal;
                	 balance = Fw.util.Format.fmtAmt(AvailBal); 
                	 //设置p标签的文本内容
                	 $("#balance").text(balance);
			 //查询账户当日剩余限额
			 App.initLimit();
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                     
                 }
             });
        },
        /**
	 * 默认账户的余额查询
	 */
	initLimit : function() {
		var TxnType = 'OBNT';
		if (transType == "P") { // 跨行快速汇款
			TxnType = 'QT';
		}
		Fw.util.Ajax.query({
			service : 'transferService.queryAccountlimit',
			params : {
				BankAcType:pageInitInfo.BankAcType,
				No: pageInitInfo.No,
				TxnType:TxnType,
				NewFlag:Fw.app.Session.getNewFlag()
			},
			// 是否使用数据挡板（默认false）
			staticData : false,
			// 请求成功后回调
			success : function(data, result) {
				var newFlag = Fw.app.Session.getNewFlag();
				//新客户展示
				if(newFlag == "1"){
					var LimitPerTrsNewT = parseFloat(data.LimitPerTrsNewT); // 短信单笔限额
					var LimitPerDayNewT = parseFloat(data.LimitPerDayNewT); // 短信日累计限额
					var CifLimitAmountNewT = parseFloat(data.CifLimitAmountNewT); // 短信已用限额
					var CifLimitAmount = parseFloat(data.CifLimitAmount); // 客户本日已用限额
					var LimitPerTrsNewO = parseFloat(data.LimitPerTrsNewO); // 口令单笔限额
					var LimitPerDayNewO = parseFloat(data.LimitPerDayNewO); // 口令日累计限额
					var perDayTotAmt = parseFloat(data.perDayTotAmt); // 日累计限额
					var content = "";
					var smstype = App.getSmsType();
					if(!isNaN(LimitPerDayNewT) && !isNaN(CifLimitAmountNewT) && !isNaN(CifLimitAmount) && !isNaN(LimitPerDayNewO)){
						var limitSy = Fw.util.Format.fmtNumber(LimitPerDayNewO - CifLimitAmount,'0.00'); 
					    var msgSy = Fw.util.Format.fmtNumber(LimitPerDayNewT - CifLimitAmountNewT,'0.00'); 
					    limitSy = Number(limitSy)<0 ? 0 : limitSy;
					    msgSy = Number(msgSy)<0 ? 0 : msgSy;
						content = "您今日最多还可以转账" + limitSy + "元，其中使用短信验证最多" + msgSy + "元。";
						if(!isNaN(perDayTotAmt)&&smstype.indexOf('T')>-1){
							content += "本账户自助渠道最多可以使用短信验证转账" + perDayTotAmt + "元。";
						}
					}else if(!isNaN(LimitPerDayNewT) && !isNaN(CifLimitAmountNewT)){
						var msgSy = Fw.util.Format.fmtNumber(LimitPerDayNewT - CifLimitAmountNewT,'0.00'); 
					        msgSy = Number(msgSy)<0 ? 0 : msgSy;
						content = "您今日最多还可以使用短信验证转账" + msgSy + "元。";
						if(!isNaN(perDayTotAmt)&&smstype.indexOf('T')>-1){
							content += "本账户自助渠道最多可以使用短信验证转账" + perDayTotAmt + "元。";
						}
					}
					else if(!isNaN(CifLimitAmount) && !isNaN(LimitPerDayNewO)){
						var limitSy = Fw.util.Format.fmtNumber(LimitPerDayNewO - CifLimitAmount,'0.00');  
						limitSy = Number(limitSy)<0 ? 0 : limitSy;
						content = "您今日最多还可以转账" + limitSy + "元。";
					}else{
						return;
					}
					$("#hidDiv").show();
//					$("#money_pay").removeClass().addClass("sui-form-item sui-border-d");
					$("#floatR").html(content);
					$("#floatR1").html(content);
				}
			},
			// 请求错误后回调
			failure : function(status, textStatus, error) {
				
			}
		});
	},
        /*
         * 查询清算行
         */
        executeDreccode : function(PayeeBranchId){
        	Fw.util.Ajax.execute({
                service: 'transferService',
                method: 'executeDRECCODE',//默认为query，方法名称必须是query开头
                params: { 
                	BankCode : PayeeBranchId,
                },
                
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	PayeeClearingBankId = data.DRECCODE;
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    alert(status);
                }
            });
        },
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
            //... ...
        	if(name == "tran_Type"){
        		App.clearInfo();
        		
        		if(Covalue == 1){
        			$("#PayeeDeptName").addClass("area-Cov-line");	
        		}
        		
        		switch(value){
                case '0':
                	$('#infoNormal').css("display","block");
                	$('#infoFast').css("display","none");
                	$('#infoTc').css("display","none");
                	transType = "D";
                	changeValue = value;
                	$("#payeeAddress").css("display","block");
                    break;
                case '1':
                	$('#infoNormal').css("display","none");
                	$('#infoFast').css("display","block");
                	$('#infoTc').css("display","none");
                	transType = "P";
                	changeValue = value;
                	$("#payeeAddress").css("display","none");
                	break;
                
                case '2':
                	$('#infoNormal').css("display","none");
                	$('#infoFast').css("display","none");
                	$('#infoTc').css("display","block");
                	transType = "S";
                	changeValue = value;
                	$("#payeeAddress").css("display","block");
                    break;
              
                case '3':
                	$('#info_normal').css("display","block");
                	$('#info_fast').css("display","none");
                	transType = "D";
                	changeValue = value;
                	$("#payeeAddress").css("display","block");
                    break;
                 
                case '4':
                	$('#info_normal').css("display","none");
                	$('#info_fast').css("display","block");
                	transType = "P";
                	changeValue = value;
                	$("#payeeAddress").css("display","none");
                    break;
                 }
        	}
            //Fw.Tips.info(name + ':' + oldValue + '->' + value);
        },
        
        /*
         * 清除信息
         */
        clearInfo : function(){
        	$("[name = payeeName]").val("");
        	if(Fw.isEmpty(Copy)){
        		$("[name = payNo]").val("");
            	$("[name = payNo]").attr("placeholder","请输入收款账号");
        	}
        	$("[name = PayeeDeptName]").val("");
        	$("[name = payeeAddress]").val("");
        },
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        	values.payeeName = $('[name = payeeName]').val();
        	values.payNo = $('[name = payNo]').val();
        	values.PayeeDeptName = $("[name=PayeeDeptName]").val();
        	
        	var payMoney = Fw.util.Format.unFmtAmt($("[name = payMoney]").val());
        	if(payMoney == "0" || payMoney == "0.00"){
        		Fw.Tips.info('交易金额不能为零');
				return false;
        	}
        	if(transType == "P"){ //跨行快速汇款
        		if(payMoney && Number(payMoney)>50000){
        			Fw.Msg.info('快速转账单笔金额不能超过5万元！');
        			return false;
        		}
        	}
        	var balance = $("#balance").text();
        	if($('[name=nextDayAccount]').is(':checked') && balance!=""
        		&& payMoney > Fw.util.Format.unFmtAmt(balance)){ //次日到账金额不能大于余额
        		Fw.Tips.info('交易金额不能大于余额');
				return false;
        	}
        	var strP = /^[\-0-9]*$/;
        	if (!strP.test(Fw.util.Format.unFmtAcctNo(values.payNo))) {
        		Fw.Tips.info('收款账号不合法');
        		return false;
        	}
        	if(/['":\(\)\{\}\[\]]+/.test($("[name = payeeAddress]").val())){
        		Fw.Tips.info("收款人地址不合法");
        		return false;
        	}
        },
        /**
         * 提交表单
         * 1, 圆鼎e支付判断 (预留)
         * 2, 根据otpType判断动态口令的选择 (预留)
         * 3, 电信防诈骗黑名单查询  MCCheckAcctsValidity() (预留)
         * 4, 校验限额 	checkSubmit() 
         */
    
        doSubmit: function(values){
        	//1.圆鼎e支付判断
        	//2.根据otpType判断动态口令的选择
		//电信黑名单 this.MCCheckAcctsValidity();
        	var addPeople = "1";
		if($('[name=addPeople]').is(':checked')){
			addPeople = "1";
		}else{
			addPeople = "0";
		}
		values.addPeople = addPeople;
		
		var ScheduleFlag="0"; //次日到账标志 0-否 1-是
		var ScheduleSelect=""; //次日到账
		var ScheduleBeginDt=""; //次日到账日期
		if($('[name=nextDayAccount]').is(':checked')){
			ScheduleFlag="1"; //次日到账
				ScheduleSelect="T";
				ScheduleBeginDt="";
		}else{
			ScheduleFlag="0";
				ScheduleSelect="";
				ScheduleBeginDt="";
		}
		values.ScheduleFlag = ScheduleFlag;
		values.ScheduleSelect = ScheduleSelect;
		values.ScheduleBeginDt = ScheduleBeginDt;
            
		values.qrflag = qrflag;  //二维码转账标志
		var payNoSub=CardNo.substring(0,9);//付款账户
	        var payNoIf= App.ifKeyAccount(CardNo, payNoSub);
	        if((payNoIf) & ScheduleFlag=='1'){
	        	Fw.Tips.info('二三类账户不支持次日到账');
	        	return false;
	        }
        	this.ToNext(values);
        },
        
        
        //点击下一步
        executeOuterNext : function(values){
        	//校验限额,校验圆鼎e支付
        	CifSeq = Fw.app.Session.getCifSeq();//电子银行客户号
        	var TxnType = 'OBNT';
        	if(transType == "S"){ //同城汇款
        		InterbankType = "INCITY";
        	}else if(transType == "P"){ //跨行快速汇款
        		InterbankType = "PAY2G";
        		TxnType = 'QT';
        	}else{
        		InterbankType = "INTERCITY"; //跨行普通
        	}
        	
        	payMoney = Fw.util.Format.unFmtAmt($("#payMoney").val());
            values.payMoney = payMoney;
        	Fw.util.Ajax.execute({
                service: 'transferService',
                method: 'executeOuterNext',//默认为query，方法名称必须是query开头
                //请求参数
                params: { 
                	No : CardNo,     //付款账户
                	BankAcType : CardBankAcType,  //账户类型
               	    TxnType : TxnType,
               	    CifSeq : CifSeq,  
               	    payMoney : payMoney,  //转账金额

               	    CRFlag : CRFlag,
     		        Code : Code,
     		        TrsAmount : payMoney+"",
     		        InterbankType : InterbankType,//跨行类型 INTERCITY:跨行普通转账;PAY2G:跨行快速转账;INCITY:同城转账
     		        ChrgCod : "",
     		        
     		        payeeAcNo : Fw.util.Format.unFmtAcctNo($("#payNo").val()), //收款账户
     		        payeeName : $("#payeeName").val()//收款人姓名
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	if(data.isOutLimit == "0"){
						Fw.Msg.cfm(result.message+"！是否前往限额管理中进行限额修改？", function(code, btn, win){
		                 	if(code == "yes"){
		                 		Fw.redirect("../../CustomerService/limit/tansLimitMng.html");
		                 	}
		    			});
					}else{
                		  values.IsSms = data.IsSms;
						  values.IsOtp = data.IsOtp;
		                  values.otpType = data.otpType;
		                  values.otpNo = data.otpNo;
		                  values.FeeAmount = data.FeeAmount+"";
		                  values.FeeCode = data.ChrgCod;
		            	  values.FeeName = data.FeeName;
		            	  values.InterbankType = InterbankType;
		                  Fw.Msg.cfm(data.Msg_info, function(code, btn, win){
		                      if(code == "yes"){
		                      	 App.ToConfirm(values); 
		                      }else{
		                      }
		                  });
					}
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                }
            });
        },
        
        /*
         * 校验黑名单后
         */
        ToNext : function(values){
        	//executeOuterVal
        	
        	//校验限额,校验圆鼎e支付
        	CifSeq = Fw.app.Session.getCifSeq();//电子银行客户号
        	var TxnType = 'OBNT';
        	if(transType == "S"){ //同城汇款
        		InterbankType = "INCITY";
        	}else if(transType == "P"){ //跨行快速汇款
        		InterbankType = "PAY2G";
        		TxnType = 'QT';
        	}else{
        		InterbankType = "INTERCITY"; //跨行普通
        	}
        	payMoney = Fw.util.Format.unFmtAmt($("#payMoney").val());
        	values.payMoney = payMoney;
        	 Fw.util.Ajax.query({
                 service: 'transferService',
                 method: 'executeOuterVal',//默认为query，方法名称必须是query开头
                 //请求参数
                 params: { 
	                	No : CardNo,     //付款账户
	                 	BankAcType : CardBankAcType,  //账户类型
		                TxnType : TxnType,
		                CifSeq : CifSeq,  
		                payMoney : payMoney+"",  //转账金额
		
		                CRFlag : CRFlag,
	      		        Code : Code,
	      		        TrsAmount : payMoney+"",
	      		        InterbankType : InterbankType,//跨行类型 INTERCITY:跨行普通转账;PAY2G:跨行快速转账;INCITY:同城转账
	      		        ChrgCod : "",
      		        
      		            payeeAcNo : Fw.util.Format.unFmtAcctNo($("#payNo").val()), //收款账户
      		            payeeName : $("#payeeName").val()//收款人姓名
                 },
                 //是否使用数据挡板（默认false）
                 staticData: false,
                 //请求成功后回调
                 success: function(data, result) {
                	 if(data.transFlag == "1"){
						  Fw.Msg.cfm(data.Msg_info, function(code, btn, win){
		                      if(code == "yes"){
		                      	 App.executeOuterNext(values); 
		                      }else{
		                      }
		                  });
					}else{
						if(data.isOutLimit == "0"){
							Fw.Msg.cfm(result.message+"！是否前往限额管理中进行限额修改？", function(code, btn, win){
			                 	if(code == "yes"){
			                 		Fw.redirect("../../CustomerService/limit/tansLimitMng.html");
			                 	}
			    			});
						}else{
						  values.IsSms = data.IsSms;
						  values.IsOtp = data.IsOtp;
		                  values.otpType = data.otpType;
		                  values.otpNo = data.otpNo;
		                  values.FeeAmount = data.FeeAmount+"";
		                  values.FeeCode = data.ChrgCod;
		            	  values.FeeName = data.FeeName;
		            	  values.InterbankType = InterbankType;
		                  Fw.Msg.cfm(data.Msg_info, function(code, btn, win){
		                      if(code == "yes"){
		                      	 App.ToConfirm(values); 
		                      }else{
		                      }
		                  });
						}
					}
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                     
                 }
             });
        },
        
        
        //跳到信息确认页面
        ToConfirm : function(values){
        	values.transType = transType;
        	values.PayeeBankId = PayeeBankId;
        	values.PayeeBankName = PayeeBankName;
        	values.PayeeBranchId = PayeeBranchId;
        	values.PayeeBranchName = PayeeBranchName;
        	values.PayeeClearingBankId = PayeeClearingBankId;
        	values.PayeeCityCode = PayeeCityCode;
        	values.PayeeCityName = PayeeCityName;
        	values.PayeeProvinceCode = PayeeProvinceCode;
        	values.PayeeProvinceName = PayeeProvinceName;
        	
        	values.PayeeDeptName = $("#PayeeDeptName").val();       //收款行
        	values.payeeAddress = $("[name = payeeAddress]").val();  //收款地址
        	values.changeValue = changeValue;
        	values.divFlag = divFlag;
        	Fw.redirect('../trans_acc_outer/trans_acc_confirm.html', Fw.encode(values));
        },
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn':
                    form.submit();
                    break;
                case 'transfer-btn':
                	form.submit();
                	break;
                //表单重置
                case 'reset-btn':
                    form.reset();
                    break;
                //重发验证码
                case 'resend-btn':
                    Fw.Tips.info('重发验证码...');
                    break;
            }
        },   
        //跳到账户选择页面
        toTransAccPayList:function(values){
        	if(transType == "P"){	//跨行快速
        		var params = {
            			No : CardNo,
            			CardBankAcType :CardBankAcType,
            			balance : AvailBal,
            			payeeName : $("#payeeName").val(),
            			payNo : $("#payNo").val(),
            			//PayeeDeptName : $("#PayeeDeptName").val(),
            			payeeAddress : $("[name = payeeAddress]").val(),
            			payMoney : $("#payMoney").val(),
            			changeValue : changeValue,
            			divFlag : divFlag, 
            			transType : transType,
            			transValue :transValue,
            			channle : "TransAccPay",
            			PayeeBranchId : PayeeBranchId,
        				PayeeBranchName : PayeeBranchName,
            	};
        	}else if(transType == "D"){	//跨行普通
        		var params = {
            			No : CardNo,
            			CardBankAcType :CardBankAcType,
            			balance : AvailBal,
            			payeeName : $("#payeeName").val(),
            			payNo : $("#payNo").val(),
            			//PayeeDeptName : $("#PayeeDeptName").val(),
            			payeeAddress : $("[name = payeeAddress]").val(),
            			payMoney : $("#payMoney").val(),
            			changeValue : changeValue,
            			divFlag : divFlag, 
            			transType : transType,
            			transValue :transValue,
            			channle : "TransAccPay",
            			PayeeBankId : PayeeBankId,
    			        PayeeBankName : PayeeBankName,
    			        PayeeBranchId : PayeeBranchId,
    			        PayeeBranchName : PayeeBranchName,
    			        PayeeClearingBankId : PayeeClearingBankId,  
    			        PayeeCityCode : PayeeCityCode,
    			        PayeeCityName : PayeeCityName,
    		            PayeeProvinceCode : PayeeProvinceCode,
    		            PayeeProvinceName : PayeeProvinceName 
            	};
        	}else if(transType == "S"){		//同城转账
        		var params = {
            			No : CardNo,
            			CardBankAcType :CardBankAcType,
            			balance : AvailBal,
            			payeeName : $("#payeeName").val(),
            			payNo : $("#payNo").val(),
            			//PayeeDeptName : $("#PayeeDeptName").val(),
            			payeeAddress : $("[name = payeeAddress]").val(),
            			payMoney : $("#payMoney").val(),
            			changeValue : changeValue,
            			divFlag : divFlag, 
            			transType : transType,
            			transValue :transValue,
            			channle : "TransAccPay",
            			PayeeBankId : PayeeBankId,
           				PayeeBankName : PayeeBankName,
           				PayeeBranchId : PayeeBranchId,
           				PayeeBranchName : PayeeBranchName,
            			
            	};
        	}
        	Fw.redirect('../trans_acc_outer/trans_acc_pay_list.html',Fw.encode(params));
        },
      
        /**
         * 返回二维码首页
         */
        leftButtonHandler: function(){
        	if(parameType!=null){
        		var backUrl = parameType.backUrl;
               	if(backUrl!=null && backUrl!=""){
               		Fw.redirect(backUrl,Fw.encode(parameType));
               		return;
               	}
        	}
        	
        	Fw.device.Device.gotoIndex();
        },
        //跳到联系人页面
        toTransAccPayeeNameList:function(values){
        	var params = {
        			No : CardNo,
        			CardBankAcType :CardBankAcType,
        			CRFlag : CRFlag,
        		    Code : Code,
        			balance : AvailBal,
        			payeeName : $("#payeeName").val(),
        			payNo : $("#payNo").val(),
        			PayeeDeptName : $("#PayeeDeptName").val(),
        			payeeAddress : $("[name = payeeAddress]").val(),
        			payMoney : $("#payMoney").val(),
        			changeValue : changeValue,
        			divFlag : divFlag,
        			transType : transType,
        			transValue : transValue,
        			channle : "TransAccPayeeName"
        	};
          	Fw.redirect("../trans_acc_outer/trans_acc_payeeName.html",Fw.encode(params));
        },
        
        toCheckSchedule: function(){
        	$("#ScheduleSwitch").removeClass("sui-hide");
        	$("#ScheduleMsg").removeClass("sui-hide");
        },
        /*
    	* 老核心卡号区分的时候需要先判断一下前9位卡bin是不是村镇银行的，
    	* 如果在村镇银行的卡bin表里面，则第10,11位为44，如果不在，则还是9,10位为44 需要注意两点：
    	* 1.也有一些村镇银行的卡bin是8位的，这种情况下，还是判断9,10位为44；
    	* 2.后期业务上有新增9位村镇银行卡bin的时候，需要个渠道同步变更配置
    	*/
    	ifKeyAccount : function(cardNub, cardSub) {
    		if (cardSub == '623609001' || cardSub == '623609002' || cardSub == '623609005' || cardSub == '623609006' ||
        	    		cardSub == '623609003' || cardSub == '621386003' || cardSub == '621386002' || cardSub == '621386001' ||
        	    		cardSub == '621386004' || cardSub == '623512001' || cardSub == '623604001' || cardSub == '621265001' || 
        	    		cardSub == '621368001' || cardSub == '623532001') {
    				if (cardNub.substring(9, 11) == '44') {
    					return true;
    				} else {
    					return false;
    				}
    			} else {
    				if (cardNub.substring(8, 10) == '44') {
    					return true;
    				} else {
    					return false;
    				}
    			}   		
    	},
    	// *****************************短信类型************************************************
    	getSmsType : function(){
    		// 芯盾客户标志
    		var SmsHFlag = Fw.app.Session.getSmsHFlag()+"";
    		var SmsType = Fw.app.Session.getSmsType()+"";
    		var smsTypeDesc = "";
    		if(SmsType.indexOf('H')>-1){
    			smsTypeDesc = "H";
    		}else if(SmsType.indexOf('D')>-1){
    			smsTypeDesc = "D";//方付通
    		}else if(SmsType.indexOf('T')>-1){
    			smsTypeDesc = "T";
    		}
    		if(SmsType.indexOf('H')>-1&&SmsHFlag.indexOf('H')==-1){
    			smsTypeDesc = "T";
    		}
    		return smsTypeDesc;
    	}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
