Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
	require('{fwPath}/widget/SearchBar');
	require('{fwPath}/widget/CatalogueIndex');
	require('{fwPath}/widget/Tab');
	require('{fwPath}/widget/Form');
	require('{fwPath}/widget/ListView');
	var	tpl = require('./BrchPage.tpl').join('');
	var JSNXBANK = {BANKID:'JSNX',BANKNAME:'江苏辖区农商银行'};
	Fw.BrchPage = Fw.extend(Fw.Component, {
		index: 0,
		AppObj:null,
		flag:false,
		backTabIndex:0,
		viewConfig:{},
		isAddInner:true,
		initComponent : function() {
			Fw.BrchPage.superclass.initComponent.call(this);
			this.initRequires(this.index);
			if(this.AppObj){
				this.viewConfig = {
						title:this.AppObj.viewConfig.title
				};
			}
		},
		initEvents : function() {
			
		},
		initTpl : function() {
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render({tabEl:this.contentEl});
			// 将HTML渲染到页面
			this.el.html(html);
		},
		/**
		 * 初始化组件
		 */
		initRequires: function(index){
			if(!this.tab){
				this.tab = new Fw.Tab({
	                //选项卡EL
	                contentEl: "tab"+this.contentEl,
	                //默认选项卡（默认0）
	                activeTab: index
	            });
				//选项卡切换前触发
	            this.tab.on('beforetabchange', Fw.bind(this.onBeforeTabChange, this));
				//选项卡切换后触发
	            this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
			}
		},
		/**
         * 选项卡切换前触发
         */
        onBeforeTabChange: function(tab, newIndex, oldIndex){
        	this.callBack = function(data,BrchPage){
        		if(newIndex==3&&BrchPage.index!=3&&JSNXBANK.BANKID!=data.BANKID){
        			BrchPage.item0.setBank(data);
        			BrchPage.tab.setActiveItem(0);       			
        		}else {
        			if(newIndex==3){
        				BrchPage.item0.setBank(data);
        			}
        			BrchPage.callBackPage(data,BrchPage.AppObj,BrchPage,BrchPage.backTabIndex,newIndex);
        		} 					
    		}
        },
        callBackPage: function(record,app,brch,backIndex,index){
        	if(this.fireEvent('callBack',record,app,brch,backIndex,index) !== false){
        		//标题栏信息
            	Fw.apply(app.viewConfig, brch.viewConfig);
            	//设置标题栏
            	Fw.device.Device.applyView(app);
            	app.tab.setActiveItem(backIndex);
        	}
        },
        /**
         * 选项卡切换后触发
         */
        onTabChange: function(tab, index){
        	switch(index){
                //tab0 银行  网点列表查询界面
                case 0:
                	if(!this.item0){
                		this.item0 = new item0(this.contentEl,this);
                		this.item0.initEvents();
                	}
                	if(this.flag){
                		//标题栏信息
                    	Fw.apply(this.AppObj.viewConfig, {title:"选择开户网点"});
                    	//设置标题栏
                    	Fw.device.Device.applyView(this.AppObj);
                	}
                	this.item0.init();
                    break;
                //tab1 银行  网点列表   省份选择
                case 1:
                	if(!this.item1){
                		this.item1 = new item1(this.contentEl,this);
                	}
                	if(this.flag){
                		//标题栏信息
                    	Fw.apply(this.AppObj.viewConfig, {title:"选择省份"});
                    	//设置标题栏
                    	Fw.device.Device.applyView(this.AppObj);
                	}               	
                	this.item1.init();
                    break;
                //tab2 银行  网点列表   城市选择
                case 2:
                	if(!this.item2){
                		this.item2 = new item2(this.contentEl,this);
                	}
                	if(this.flag){
                		//标题栏信息
                    	Fw.apply(this.AppObj.viewConfig, {title:"选择城市"});
                    	//设置标题栏
                    	Fw.device.Device.applyView(this.AppObj);
                	}
                	this.item2.init();
                    break;
                // tab3 银行列表（+江苏农信）
                case 3:
                	if(!this.item3){
                		this.item3 = new item3(this.contentEl,this);
                	}
                	if(this.flag){
                		//标题栏信息
                    	Fw.apply(this.AppObj.viewConfig, {title:"选择银行"});
                    	//设置标题栏
                    	Fw.device.Device.applyView(this.AppObj);
                	}
                	this.item3.init();
                    break;
                // tab4 跨行银行  网点列表   网点选择
                case 4:
                	if(!this.item4){
                		this.item4 = new item4(this.contentEl,this);
                	}
                	if(this.flag){
                		//标题栏信息
                    	Fw.apply(this.AppObj.viewConfig, {title:"选择网点"});
                    	//设置标题栏
                    	Fw.device.Device.applyView(this.AppObj);
                	}
                	this.item4.init();
                    break;
                // tab5 同城银行列表
                case 5:
                	if(!this.item5){
                		this.item5 = new item5(this.contentEl,this);
                	}
                	if(this.flag){
                		//标题栏信息
                    	Fw.apply(this.AppObj.viewConfig, {title:"选择银行(同城)"});
                    	//设置标题栏
                    	Fw.device.Device.applyView(this.AppObj);
                	}
                	this.item5.init();
                    break;
                // tab6 同城银行  网点列表   网点选择
                case 6:
                	if(!this.item6){
                		this.item6 = new item6(this.contentEl,this);
                	}
                	if(this.flag){
                		//标题栏信息
                    	Fw.apply(this.AppObj.viewConfig, {title:"选择网点(同城)"});
                    	//设置标题栏
                    	Fw.device.Device.applyView(this.AppObj);
                	}
                	this.item6.init();
                    break;
                default:
                    ;
            }
        },
        callBack: Fw.emptyFn,
        loadCatalogue: function(data){        	
        	var list = data;
        	var contents = [];
        	//数据分组        	
        	for(var i=0;i<list.length;i++){
        		if(list[i]['isHigh']=="1"){
        			list[i]['FIRSTCHAR']='a';        			
        		}
        		contents.push(list[i]);
        	}       	
        	return contents;
        },
        /**
		 * {"CHARORDER":1,"ORDERNUM":1,"GRADE":"1","AUDITSTATUS":"4","BANKID":"102","isHigh":"1","BANKNAME":"\u4e2d\u56fd\u5de5\u5546\u94f6\u884c","FIRSTCHAR":"a","STATUS":"1"}
		 */
		setBank: function(data){
			if(!Fw.isEmpty(this.item0)){
				this.item0.setBank(data);
			}			
		},
		setBrch: function(data){
			if(!Fw.isEmpty(this.item0)){
				this.item0.setBrch(data);
			}
		},
		setCity: function(data){
			if(!Fw.isEmpty(this.item0)){
				this.item0.setCity(data);
			}
		},
		setProvice: function(data){
			if(!Fw.isEmpty(this.item0)){
				this.item0.setProvice(data);
			}
		},
        leftButtonHandler: function(){
        	//获取当前选项卡序号
        	var pageIndex = this.tab.getActiveItemIndex();
        	if(pageIndex == this.index) {
        		if(pageIndex==0){
        			this.item0.setProvice(null);
            		this.item0.setCity(null);
            		this.item0.setBrch(null);
        		}
        		this.flag = false;
        		//标题栏信息
            	Fw.apply(this.AppObj.viewConfig, this.viewConfig);
            	//设置标题栏
            	Fw.device.Device.applyView(this.AppObj);
        		this.AppObj.tab.setActiveItem(this.backTabIndex);
        	} else if(pageIndex==1||pageIndex==2||pageIndex==3||pageIndex==4){
        		this.tab.setActiveItem(0);
        	} else {
        		//返回上一页
	        	this.tab.movePrev();
        	}
        },
		/**
		 * 跳转第几页
		 */
		goIntoPage: function(v,i){
			this.flag = true;
			this.index = v;
			this.backTabIndex = i;
			this.tab.setActiveItem(v);
		}
	});

	/**
	 * tab0 银行  网点列表查询界面
	 */
	var item0 = function(tabEl,obj){
		var BrchPage = obj;
		var tab = obj.tab;
		var bankForm = 'bankForm'+tabEl;
		var submit = 'submit-btn'+tabEl;
		var province = 'province'+tabEl;
		var city = 'city'+tabEl;
		var bank = 'bankname'+tabEl;
		var brch = 'brchname'+tabEl;
		return {
			init: function(){				
				this.initRequires();
			},
			initRequires: function(){
				if(!this.form){
					this.form = new Fw.Form({
		                contentEl : bankForm,
		                resettable: false,
		                msgTarget: 'tips'
		            });
					this.form.on('submit', this.doSubmit, this);
				}				
			},
			initEvents: function(){
				$('#'+submit).on('click',Fw.bind(this.toSubmit,this));
				$('[name='+province+']').on('click',Fw.bind(this.selectProvince,this));
				$('[name='+city+']').on('click',Fw.bind(this.selectCity,this));
				$('[name='+bank+']').on('click',Fw.bind(this.selectBank,this));
				$('[name='+brch+']').on('click',Fw.bind(this.selectBrch,this));
			},
			toSubmit: function(){
				this.form.submit();
			},
			doSubmit: function(values){
				var data = {
					provice: BrchPage.item0.getProvice(),
					city: BrchPage.item0.getCity(),
					bank: BrchPage.item0.getBank(),
					brch: BrchPage.item0.getBrch()
				};
				BrchPage.item0.setProvice(null);
				BrchPage.item0.setCity(null);
				BrchPage.item0.setBrch(null);
				BrchPage.callBackPage(data,BrchPage.AppObj,BrchPage,BrchPage.backTabIndex,0);
			},
			selectProvince: function(){
				tab.setActiveItem(1);
			},
			selectCity: function(){
				if(Fw.isEmpty(this.getProvice())){
					Fw.Tips.info("请先选择省份");
				}else {
					tab.setActiveItem(2);
				}		
			},
			selectBank: function(){
				tab.setActiveItem(3);
			},
			selectBrch: function(){
				if(Fw.isEmpty(this.getProvice())){
					Fw.Tips.info("请先选择省份");
				}else if(Fw.isEmpty(this.getCity())){
					Fw.Tips.info("请先选择城市");
				}else if(Fw.isEmpty(this.getBank())){
					Fw.Tips.info("请先选择银行");
				}else {
					tab.setActiveItem(4);
				}
			},
			/**
			 * provice = {PROVINCENAME: "北京市", PROVINCECODE: "11"}
			 */
			setProvice: function(data){
				if(!Fw.isEmpty(data)){
					this.form.setValues(province,data.PROVINCENAME);
				}else {
					this.form.setValues(province,"");
					$('[name='+province+']').attr('placeholder','请选择省份');
				}	
				this.provice = data;
			},
			getProvice: function(){
				return this.provice;
			},
			/**
			 * city = {CITYNAME: "北京市", CITYCODE: "1000"}
			 */
			setCity: function(data){
				if(!Fw.isEmpty(data)){
					this.form.setValues(city,data.CITYNAME);
				}else {
					this.form.setValues(city,"");
					$('[name='+city+']').attr('placeholder','请选择城市');
				}				
				this.city = data;
			},
			getCity: function(){
				return this.city;
			},
			/**
			 * {"CHARORDER":1,"ORDERNUM":1,"GRADE":"1","AUDITSTATUS":"4","BANKID":"102","isHigh":"1","BANKNAME":"\u4e2d\u56fd\u5de5\u5546\u94f6\u884c","FIRSTCHAR":"a","STATUS":"1"}
			 */
			setBank: function(data){
				if(!Fw.isEmpty(data)){
					this.form.setValues(bank,data.BANKNAME);
				}else {
					this.form.setValues(bank,'');
					$('[name='+bank+']').attr('placeholder','请选择银行');
				}				
				this.bank = data;
			},
			getBank: function(){
				return this.bank;
			},
			/**
			 * {"CATEGORY":"07","INVDATE":"29991231","TEL":"010-64013016","DRECCODE":"102100099996","BANKCODE":"102100020270","CLSCODE":"102","NODECODE":"1000","EFFDATE":"20141115","STATUS":"1","LNAME":"\u4e2d\u56fd\u5de5\u5546\u94f6\u884c\u5317\u4eac\u6d77\u8fd0\u4ed3\u652f\u884c","ALTDATE":"20170315","CITYCODE":"1000"}
			 */
			setBrch: function(data){
				if(!Fw.isEmpty(data)){
					this.form.setValues(brch,data.LNAME);
				}else {
					this.form.setValues(brch,'');
					$('[name='+brch+']').attr('placeholder','请选择银行网点');
				}			
				this.brch = data;
			},
			getBrch: function(){
				return this.brch;
			}
		};
	};
	/**
	 * tab1 银行  网点列表   省份选择
	 */
	var item1 = function(tabEl,obj){
		var BrchPage = obj;
		var tab = obj.tab;
		var provinceSearchBar = 'provinceSearchBar'+tabEl;
		var provincelist = 'provincelist'+tabEl;
		var city = 'city'+tabEl;
		var brch = 'brchname'+tabEl;
		return {
			init:function(){
				this.initRequires();
				this.initData();
			},
			initEvents: function(){
				
			},
			initRequires: function(){
				// 定义省份列表
				if(!this.list){
					this.list = new Fw.CatalogueIndex({
	        			contentEl : provincelist,
	        			isMore	: true,
	        			labels : ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'],
	        			icons : ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'],
	        			isSearch : true,
	        			searchbarEl:provinceSearchBar,
	        			itemTpl : [       				
	    		     	       		'<label id="'+provincelist+'${item.FIRSTCHAR}-index">',
	    		     	       			 '${item.FIRSTCHAR}',
	    		     	       		'</label>',
	    				     	    '{@each item.data as sub,index}',
	    				     	    	'{@if index==0}',
	    		     	       				'<p index=${index} firstchar=${item.FIRSTCHAR}>${sub.PROVINCENAME}</p>',
	    		     	       			'{@else}',
	    		     	       				'<p class="catalogIndex-border" index=${index} firstchar=${item.FIRSTCHAR}>${sub.PROVINCENAME}</p>',
	    		     	       			'{@/if}',
	    		     	       		'{@/each}',
	        			]
	        		});
					this.list.on('itemclick', this.onSelectProvince, this);
				}
				if(!this.searchBar){
					this.searchBar= new Fw.SearchBar({
		                //EL
		                contentEl : provinceSearchBar,
		                //最少输入字符个数（默认4）
		                //满足该参数时，触发查询事件
		                minChars: 1,
		                //最大输入长度
		                maxLength:15,
		                //输入框占位信息
		                placeholder: '请输入您要搜索的省份关键字'
		            });
					//触发查询事件前触发
					this.searchBar.on('beforesearch', this.onBeforeSearchProvince,this);
		            //触发查询事件（直接将查询事件桥接到listView）
					this.searchBar.on('search', this.doSearchProvince, this);
				}
							
			},
			initData: function(){
				this.getProvinceListData({act : "provice",provinceName : ""},function(data){
					if(!Fw.isArray(data)){
	        			data = [];
	        		}		
					var contents = BrchPage.item1.list.groupByIndex(data,'FIRSTCHAR');
	        		BrchPage.item1.list.loadData(contents);
	        	});
			},
			/**
	         * 触发省份查询事件前触发
	         */
			onBeforeSearchProvince : function(value) {
	            //查询条件值类型校验
	            if(/[""#$%&\^*]/.test(value)){
	                Fw.Tips.info('查询条件不允许含有%');
	                return false; //则不触发查询事件
	            }
	        },
	        doSearchProvince: function(value){
	        	var params = {act : "provice"};
	        	if (!Fw.isEmpty(value)) {
	        		params.provinceName = value;
				}
	        	BrchPage.item1.getProvinceListData(params,function(data){
	        		if(!Fw.isArray(data)){
	        			data = [];
	        		}		
	        		var contents = BrchPage.item1.list.groupByIndex(data,'FIRSTCHAR');
	        		BrchPage.item1.list.loadData(contents);
	        	});
	        },
	        onSelectProvince: function(record, index, item, e, cmp){
	        	var oldRecord = BrchPage.item0.getProvice();
	        	if(!Fw.isEmpty(oldRecord)&&oldRecord.PROVINCECODE!=record.PROVINCECODE){
	        		BrchPage.item0.form.setValues(city,"");
	        		BrchPage.item0.form.setValues(brch,"");
					BrchPage.item0.setCity(null);
					BrchPage.item0.setBrch(null);
	        	}
	        	BrchPage.item0.setProvice(record);
				tab.setActiveItem(0);
	        },
	        /**
			 * 获取银行列表数据
			 * {act : "provice",provinceName : ""}
			 */
			getProvinceListData : function(paramster,callback){
				Fw.util.Ajax.query({
	                service: 'openBankService',
	                method: 'queryProvinceList',
	                params: paramster,
	                staticData: false,
	                //请求成功后回调
	                success: function(data, result) {
	                	callback(data);
	                },
	                //请求错误后回调
	                failure: function(status, textStatus, error) {
	                }
	            });
			},
		};
	};
	/**
	 * tab2 银行  网点列表   城市选择
	 */
	var item2 = function(tabEl,obj){
		var BrchPage = obj;
		var tab = obj.tab;
		var citySearchBar = 'citySearchBar'+tabEl;
		var citylist = 'citylist'+tabEl;
		var brch = 'brchname'+tabEl;
		return {
			init:function(){
				this.initRequires();
				this.initData();
			},
			initEvents: function(){
				
			},
			initRequires: function(){
				// 定义省份列表
				if(!this.list){
					this.list = new Fw.CatalogueIndex({
	        			contentEl : citylist,
	        			isMore	: true,
	        			labels : ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'],
	        			icons : ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'],
	        			isSearch : true,
	        			searchbarEl:citySearchBar,
	        			itemTpl : [       				
	    		     	       		'<label id="'+citylist+'${item.FIRSTCHAR}-index">',
	    		     	       			'${item.FIRSTCHAR}',
	    		     	       		'</label>',
	    				     	    '{@each item.data as sub,index}',
	    				     	    	'{@if index==0}',
	    		     	       				'<p index=${index} firstchar=${item.FIRSTCHAR}>${sub.CITYNAME}</p>',
	    		     	       			'{@else}',
	    		     	       				'<p class="catalogIndex-border" index=${index} firstchar=${item.FIRSTCHAR}>${sub.CITYNAME}</p>',
	    		     	       			'{@/if}',
	    		     	       		'{@/each}',
	        			]
	        		});
					//选中记录时触发
					this.list.on('itemclick', this.onSelectCity, this);
				}
				
				if(!this.searchBar){
					this.searchBar= new Fw.SearchBar({
		                //EL
		                contentEl : citySearchBar,
		                //最少输入字符个数（默认4）
		                //满足该参数时，触发查询事件
		                minChars: 1,
		                //最大输入长度
		                maxLength:15,
		                //输入框占位信息
		                placeholder: '请输入您要搜索的城市关键字'
		            });
					//触发查询事件前触发
					this.searchBar.on('beforesearch', this.onBeforeSearchCity,this);
		            //触发查询事件（直接将查询事件桥接到listView）
					this.searchBar.on('search', this.doSearchCity, this);
				}
							
			},
			initData: function(){
				this.getCityListData("",function(data){
					if(!Fw.isArray(data)){
	        			data = [];
	        		}						
	        		var contents = BrchPage.item2.list.groupByIndex(data,'FIRSTCHAR');
	        		BrchPage.item2.list.loadData(contents);
	        	});
			},
			/**
	         * 触发省份查询事件前触发
	         */
			onBeforeSearchCity : function(value) {
	            //查询条件值类型校验
	            if(/[""#$%&\^*]/.test(value)){
	                Fw.Tips.info('查询条件不允许含有%');
	                return false; //则不触发查询事件
	            }
	        },
	        doSearchCity: function(value){
	        	var params = "";
	        	if (!Fw.isEmpty(value)) {
	        		params = value;
				}
	        	BrchPage.item2.getCityListData(params,function(data){
	        		if(!Fw.isArray(data)){
	        			data = [];
	        		}		
	        		var contents = BrchPage.item2.list.groupByIndex(data,'FIRSTCHAR');
	        		BrchPage.item2.list.loadData(contents);
	        	});
	        },
	        onSelectCity: function(record, index, item, e, cmp){
	        	var oldRecord = BrchPage.item0.getCity();
	        	if(!Fw.isEmpty(oldRecord)&&oldRecord.CITYCODE!=record.CITYCODE){
	        		BrchPage.item0.form.setValues(brch,"");
					BrchPage.item0.setBrch(null);
	        	}
	        	BrchPage.item0.setCity(record);
				tab.setActiveItem(0);
	        },
	        /**
			 * 获取银行列表数据
			 * {cityName: ""}
			 */
			getCityListData : function(name,callback){
				Fw.util.Ajax.query({
	                service: 'openBankService',
	                method: 'queryCityListByProvice',
	                params: {act : "selCityByPro",provinceCode : BrchPage.item0.getProvice().PROVINCECODE,cityName: name},
	                staticData: false,
	                //请求成功后回调
	                success: function(data, result) {
	                	callback(data);
	                },
	                //请求错误后回调
	                failure: function(status, textStatus, error) {
	                }
	            });
			},
		};
	};
	/**
	 * tab3 银行列表（+江苏农信）
	 */
	var item3 = function(tabEl,obj){
		var BrchPage = obj;
		var tab = obj.tab;
		var searchBar = 'bankSearchBar'+tabEl;
		var list = 'banklist'+tabEl;
		var brch = 'brchname'+tabEl;
		return {
			init: function(){
				this.initRequires();
				this.initData();
			},
			initRequires: function(){
				// 定义银行列表
				if(!this.list){
					this.list = new Fw.CatalogueIndex({
	        			contentEl : list,
	        			isMore	: true,
	        			labels : ['a','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'],
	        			isSearch : true,
	        			searchbarEl:searchBar,
	        			itemTpl : [       				
	    		     	       		'<label id="'+list+'${item.FIRSTCHAR}-index">',
	    			     	       		'{@if item.FIRSTCHAR=="a"}',
	    			 	       				'#',
	    			 	       			'{@else}',
	    			 	       				'${item.FIRSTCHAR}',
	    			 	       			'{@/if}',
	    		     	       		'</label>',
	    				     	    '{@each item.data as sub,index}',
	    				     	    	'{@if index==0}',
	    		     	       				'<p index=${index} firstchar=${item.FIRSTCHAR}>${sub.BANKNAME}</p>',
	    		     	       			'{@else}',
	    		     	       				'<p class="catalogIndex-border" index=${index} firstchar=${item.FIRSTCHAR}>${sub.BANKNAME}</p>',
	    		     	       			'{@/if}',
	    		     	       		'{@/each}',
	        			]
	        		});
					this.list.on('itemclick', this.onSelect, this);
	        	}  
				if(!this.SearchBar){
					this.SearchBar = new Fw.SearchBar({
	                    //EL
	                    contentEl : searchBar,
	                    //最少输入字符个数（默认4）
	                    //满足该参数时，触发查询事件
	                    minChars: 1,
	                    //最大输入长度
	                    maxLength:15,
	                    //输入框占位信息
	                    placeholder: '请输入您要搜索的银行关键字'
	                });
					this.SearchBar.on('beforesearch', this.onBeforeSearch);
	                //触发查询事件（直接将查询事件桥接到listView）            	
					this.SearchBar.on('search', this.doSearch);
				}
			},
			initData: function(){
				this.getBankListData({ act : "bank",bankName: ""},function(data){
					/*添加  江苏农信*/
					if(!Fw.isArray(data)){
	        			data = [];
	        		}
					if(BrchPage.isAddInner){
						data.unshift({isHigh:"1",BANKNAME:JSNXBANK.BANKNAME,BANKID:JSNXBANK.BANKID});
					}			
	        		var contents = BrchPage.loadCatalogue(data);        		
	        		contents = BrchPage.item3.list.groupByIndex(contents,'FIRSTCHAR');
	        		BrchPage.item3.list.loadData(contents);
	        	});
			},
			/**
	         * 触发银行查询事件前触发
	         */
			onBeforeSearch : function(value) {
				if (/[""#$%&\^*]/.test(value)) {
					Fw.Tips.info('查询条件不允许含有%');
					return false; // 则不触发查询事件
				}
	        },
	        doSearch: function(value){
	        	var params = {act : "bank"};
	        	if (!Fw.isEmpty(value)) {
	        		params.bankName = value;
				}
	        	BrchPage.item3.getBankListData(params,function(data){
	        		/*添加  江苏农信*/
	        		if(!Fw.isArray(data)){
	        			data = [];
	        		}
	        		if(BrchPage.isAddInner){
	        			if(Fw.isEmpty(value)||(!Fw.isEmpty(value)&&(JSNXBANK.BANKNAME).indexOf(value.toString())!=-1)){
							data.unshift({isHigh:"1",BANKNAME:JSNXBANK.BANKNAME,BANKID:JSNXBANK.BANKID});
						}
	        		}
	        		var contents = BrchPage.loadCatalogue(data);        		
	        		contents = BrchPage.item3.list.groupByIndex(contents,'FIRSTCHAR');
	        		BrchPage.item3.list.loadData(contents);
	        	});
	        },
	        /**
			 * 获取银行列表数据
			 * { act : zbank,bankName : ""}
			 */
			getBankListData : function(paramster,callback){
				Fw.util.Ajax.query({
	                service: 'openBankService',
	                method: 'queryAllBank',
	                params: paramster,
	                staticData: false,
	                //请求成功后回调
	                success: function(data, result) {
	                	callback(data);
	                },
	                //请求错误后回调
	                failure: function(status, textStatus, error) {
	                }
	            });
			},
			/**
	         * 选择银行
	         */
			onSelect : function(record, index, item, e, cmp) {
				var oldRecord = BrchPage.item0.getBank();
	        	if(!Fw.isEmpty(oldRecord)&&oldRecord.BANKID!=record.BANKID){
	        		BrchPage.item0.form.setValues(brch,"");
					BrchPage.item0.setBrch(null);
	        	}
				BrchPage.callBack(record,BrchPage);
	        },
		};
	};
	/**
	 * tab4 跨行银行  网点列表   网点选择
	 */
	var item4 = function(tabEl,obj){
		var BrchPage = obj;
		var tab = obj.tab;
		var searchBar = 'brchSearchBar'+tabEl;
		var list = 'brchlist'+tabEl;
		return {
			init: function(){
				this.initRequires();
				this.initData();
			},
			initRequires: function(){
				if(!this.list){
					this.list = new Fw.ListView({
		                contentEl : list,
		                ajax : {
		                	service: 'openBankService',
		                    method: 'queryOpenBankList',//默认为query，方法名称必须是query开头
		                    //请求参数
		                     params: {
		                    	 act: "selectbank",
		                    	 cityid: BrchPage.item0.getCity().CITYCODE,
		         	    		 bankid:BrchPage.item0.getBank().BANKID,
		         	    		 bankname:""
		                     },
		                    page: false,
		                    //是否使用数据挡板（默认false）
		                    staticData: false
		                },
		                disclosure: true,
		                //数据展现模版
		                itemTpl: [
		                    '<div>',
		                    	'<p style="font-size: 14px;padding-top: 3px;">${item.LNAME}</p>',
		                    '</div>'
		                ]
		            });
					this.list.on('itemclick', this.onSelect, this);
				}else{
					this.list.ajax.clearParams("cityid");
					this.list.ajax.clearParams("bankid");
					this.list.ajax.setParams("cityid",BrchPage.item0.getCity().CITYCODE);
					this.list.ajax.setParams("bankid",BrchPage.item0.getBank().BANKID);
	    		}
				if(!this.searchBar){
					this.searchBar = new Fw.SearchBar({
		                //EL
		                contentEl : searchBar,
		                //最少输入字符个数（默认4）
		                //满足该参数时，触发查询事件
		                minChars: 1,
		                //最大输入长度
		                maxLength:15,
		                //输入框占位信息
		                placeholder: '请输入您要搜索的开户行关键字'
		            });
					//触发查询事件前触发
					this.searchBar.on('beforesearch', this.onBeforeSearch,this);
		            //触发查询事件（直接将查询事件桥接到listView）
					this.searchBar.on('search', this.list.loadData, this.list);
				}				
			},
			initData: function(){
				this.list.loadData();
			},
			/**
	         * 触发查询事件前触发
	         */
	        onBeforeSearch : function(value) {
	            //查询条件为空
	            if(Fw.isEmpty(value)){
	            	this.list.ajax.clearParams('bankname');//清除指定key的查询条件	                
	            }
	            //查询条件值类型校验
	            else if(/[""#$%&\^*]/.test(value)){
	                Fw.Tips.info('查询条件不允许含有%');
	                return false; //则不触发查询事件
	            }
	            else{
	                //设置查询条件
	            	this.list.ajax.setParams('bankname', value);
	            }
	        },
	        onSelect : function(record, index, item, e, cmp) {
	        	BrchPage.item0.setBrch(record);
				tab.setActiveItem(0);
	        }
		};
	};
	
	/**
	 * tab5 同城银行列表
	 */
	var item5 = function(tabEl,obj){
		var BrchPage = obj;
		var tab = obj.tab;
		var list = 'Sbanklist'+tabEl;
		return {
			init: function(){
				this.initRequires();
				this.initData();
			},
			initRequires: function(){
				if(!this.list){
					this.list = new Fw.ListView({
		                contentEl : list,
		                ajax : {
		                	service: 'openBankService',
		                    method: 'queryBankListByTypeS',//默认为query，方法名称必须是query开头
		                    //请求参数
		                    params: {
		                    	act : "queryCityBanks",
		     					orgLevel:"1"
		                    },
		                    page: false,
		                    //是否使用数据挡板（默认false）
		                    staticData: false
		                },
		                disclosure: true,
		                //数据展现模版
		                itemTpl: [
		                    '<div>',
		                    	'<p style="font-size: 14px;padding-top: 3px;">${item.ORGABBR}</p>',
		                    '</div>'
		                ]
		            });
					this.list.on('itemclick', this.onSelect, this);
				}
			},
			initData: function(){
				this.list.loadData();
			},
			/**
			 * {"DRECCODE":"8810","BANKCODE":"8810","ORGABBR":"\u5357\u901a\u6d66\u53d1","LNAME":"\u4e0a\u6d77\u6d66\u4e1c\u53d1\u5c55\u94f6\u884c\u80a1\u4efd\u6709\u9650\u516c\u53f8\u5357\u901a\u5206\u884c"}
			 */
			onSelect: function(record, index, item, e, cmp){
				this.setBank(record);
				BrchPage.callBack(record,BrchPage);
			},
			setBank:function(record){
				this.bank = record;
			},
			getBank:function(){
				return this.bank;
			}
		};
	};
	/**
	 * tab6 同城银行  网点列表   网点选择
	 */
	var item6 = function(tabEl,obj){
		var BrchPage = obj;
		var tab = obj.tab;
		var searchBar = 'SbrchSearchBar'+tabEl;
		var list = 'Sbrchlist'+tabEl;
		return {
			init: function(){
				this.initRequires();
				this.initData();
			},
			initRequires: function(){
				if(!this.list){
					if(Fw.isEmpty(BrchPage.item5)||Fw.isEmpty(BrchPage.item5.getBank())){
						Fw.Logger.warn("请先选择银行，bankId不能为空");
					}
					this.list = new Fw.ListView({
		                contentEl : list,
		                ajax : {
		                	service: 'openBankService',
		                    method: 'queryBankListByTypeS',//默认为query，方法名称必须是query开头
		                    //请求参数
		                     params: {
		                    	 act: "queryCityBanks",
		         	    		 bankid:BrchPage.item5.getBank().BANKCODE,
		         	    		 bankname:""
		                     },
		                    page: false,
		                    //是否使用数据挡板（默认false）
		                    staticData: false
		                },
		                disclosure: true,
		                //数据展现模版
		                itemTpl: [
		                    '<div>',
		                    	'<p style="font-size: 14px;padding-top: 3px;">${item.LNAME}</p>',
		                    '</div>'
		                ]
		            });
					this.list.on('itemclick', this.onSelect, this);
				}else{
					this.list.ajax.clearParams("bankid");    			
					this.list.ajax.setParams("bankid",BrchPage.item5.getBank().BANKCODE);
	    		}
				if(!this.searchBar){
					this.searchBar = new Fw.SearchBar({
		                //EL
		                contentEl : searchBar,
		                //最少输入字符个数（默认4）
		                //满足该参数时，触发查询事件
		                minChars: 1,
		                //最大输入长度
		                maxLength:15,
		                //输入框占位信息
		                placeholder: '请输入您要搜索的开户行关键字'
		            });
					//触发查询事件前触发
					this.searchBar.on('beforesearch', this.onBeforeSearch,this);
		            //触发查询事件（直接将查询事件桥接到listView）
					this.searchBar.on('search', this.list.loadData, this.list);
				}				
			},
			initData: function(){
				this.list.loadData();
			},
			/**
	         * 触发查询事件前触发
	         */
	        onBeforeSearch : function(value) {
	            //查询条件为空
	            if(Fw.isEmpty(value)){
	            	this.list.ajax.clearParams('bankname');//清除指定key的查询条件	                
	            }
	            //查询条件值类型校验
	            else if(/[""#$%&\^*]/.test(value)){
	                Fw.Tips.info('查询条件不允许含有%');
	                return false; //则不触发查询事件
	            }
	            else{
	                //设置查询条件
	            	this.list.ajax.setParams('bankname', value);
	            }
	        },
	        /**
	         * BANKCODE: "6810"DRECCODE: "8810"LNAME: "浦发银行启东支行"ORGABBR: "启东浦发"
	         */
	        onSelect : function(record, index, item, e, cmp) {
	        	BrchPage.callBack(record,BrchPage);
	        }
		};
	};
	
	Fw.Logger.debug('加载网点选择列表页');
});