Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
	require('{fwPath}/widget/SearchBar');
	require('{fwPath}/widget/CatalogueIndex');
	require('{fwPath}/widget/Tab');
	require('{fwPath}/widget/Form');
	require('{fwPath}/widget/ListView');
	var	tpl = require('./BankPage.tpl').join('');
	var JSNXBANK = {BANKID:'402301099998',BANKNAME:'江苏农信'};
	
	Fw.BankPage = Fw.extend(Fw.Component, {
		AppObj: null,
		backTabIndex: 0,
		viewConfig: {},
		isAddInner:true,
		initComponent : function() {
			Fw.BankPage.superclass.initComponent.call(this);
			this.initRequires();
			if(this.AppObj){
				this.viewConfig = {
						title:this.AppObj.viewConfig.title
				};
			}
		},
		initEvents : function() {
			
		},
		initTpl : function() {
			// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render({tabEl:this.contentEl});
			// 将HTML渲染到页面
			this.el.html(html);
		},
		/**
		 * 初始化组件
		 */
		initRequires: function(){
			if(!this.tab){
				this.tab = new Fw.Tab({
	                //选项卡EL
	                contentEl: "tab"+this.contentEl,
	                //默认选项卡（默认0）
	                activeTab: 0
	            });
			}	
			if(!this.item0){
        		this.item0 = new item0(this.contentEl,this);
        	}
		},
        callBack: function(data, BankPage){
			BankPage.callBackPage(data, BankPage.AppObj, BankPage, BankPage.backTabIndex);
    	},
    	/**
         * 返回交易主页面
         */
        callBackPage: function(record, app, brch, backIndex){
        	if(this.fireEvent('callBack', record, app, brch, backIndex) !== false){
        		//标题栏信息
            	Fw.apply(app.viewConfig, brch.viewConfig);
            	//设置标题栏
            	Fw.device.Device.applyView(app);
            	app.tab.setActiveItem(backIndex);
        	}
        },
        /**
         * 加载字母索引
         */
        loadCatalogue: function(data){        	
        	var list = data;
        	var contents = [];
        	//数据分组        	
        	for(var i=0;i<list.length;i++){
        		if(list[i]['isHigh']=="1"){
        			list[i]['FIRSTCHAR']='a';        			
        		}
        		contents.push(list[i]);
        	}       	
        	return contents;
        },
        leftButtonHandler: function(){
    		//标题栏信息
        	Fw.apply(this.AppObj.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(this.AppObj);
    		this.AppObj.tab.setActiveItem(this.backTabIndex);
        },
        /**
		 * 跳转银行列表页面
		 */
		gotoBankPage: function(i){
			this.backTabIndex = i;
			//标题栏信息
        	Fw.apply(this.AppObj.viewConfig, {title:"选择银行"});
        	//设置标题栏
        	Fw.device.Device.applyView(this.AppObj);
        	this.item0.init();
        	this.item0.SearchBar.searchIpt.val('');
        	//关闭查询按钮
        	this.item0.SearchBar.el.removeClass('focus');
		}
	});
	
	/**
	 * tab0 银行列表
	 */
	var item0 = function(tabEl,obj){
		var BankPage = obj;
		var tab = obj.tab;
		var searchBar = 'bankSearchBar'+tabEl;
		var list = 'banklist'+tabEl;
		var brch = 'brchname'+tabEl;
		return {
			init: function(){
				this.initRequires();
				this.initData();
			},
			initRequires: function(){
				// 定义银行列表
				if(!this.list){
					this.list = new Fw.CatalogueIndex({
	        			contentEl : list,
	        			labels : ['a','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'],
	        			isSearch : true,
	        			searchbarEl:searchBar,
	        			itemTpl : [       				
	    		     	       		'<label id="${item.FIRSTCHAR}-index">',
	    			     	       		'{@if item.FIRSTCHAR=="a"}',
	    			 	       				'#',
	    			 	       			'{@else}',
	    			 	       				'${item.FIRSTCHAR}',
	    			 	       			'{@/if}',
	    		     	       		'</label>',
	    				     	    '{@each item.data as sub,index}',
	    				     	    	'{@if index==0}',
	    		     	       				'<p index=${index} firstchar=${item.FIRSTCHAR}>${sub.BANKNAME}</p>',
	    		     	       			'{@else}',
	    		     	       				'<p class="catalogIndex-border" index=${index} firstchar=${item.FIRSTCHAR}>${sub.BANKNAME}</p>',
	    		     	       			'{@/if}',
	    		     	       		'{@/each}',
	        			]
	        		});
					this.list.on('itemclick', this.onSelect, this);
	        	}  
				if(!this.SearchBar){
					this.SearchBar = new Fw.SearchBar({
	                    //EL
	                    contentEl : searchBar,
	                    //最少输入字符个数（默认4）
	                    //满足该参数时，触发查询事件
	                    minChars: 1,
	                    //最大输入长度
	                    maxLength:15,
	                    //输入框占位信息
	                    placeholder: '请输入您要搜索的银行关键字'
	                });
					this.SearchBar.on('beforesearch', this.onBeforeSearch);
	                //触发查询事件（直接将查询事件桥接到listView）            	
					this.SearchBar.on('search', this.doSearch);
				}
			},
			initData: function(){
				this.getBankListData({ act : "zbank",bankName: ""},function(data){
					if(!Fw.isArray(data)){
	        			data = [];
	        		}
					/*添加  江苏农信*/
	        		if(BankPage.isAddInner){
						data.unshift({isHigh:"1",BANKNAME:JSNXBANK.BANKNAME,BANKID:JSNXBANK.BANKID});
					}
	        		var contents = BankPage.loadCatalogue(data);        		
	        		contents = BankPage.item0.list.groupByIndex(contents,'FIRSTCHAR');
	        		BankPage.item0.list.loadData(contents);
	        	});
			},
			/**
	         * 触发银行查询事件前触发
	         */
			onBeforeSearch : function(value) {
				if (/[""#$%&\^*]/.test(value)) {
					Fw.Tips.info('查询条件不允许含有%');
					return false; // 则不触发查询事件
				}
	        },
	        doSearch: function(value){
	        	var params = {act : "zbank"};
	        	if (!Fw.isEmpty(value)) {
	        		params.bankName = value;
				}
	        	BankPage.item0.getBankListData(params,function(data){
	        		if(!Fw.isArray(data)){
	        			data = [];
	        		}
	        		if(BankPage.isAddInner){
	        			if(Fw.isEmpty(value)||(!Fw.isEmpty(value)&&(JSNXBANK.BANKNAME).indexOf(value.toString())!=-1)){
							data.unshift({isHigh:"1",BANKNAME:JSNXBANK.BANKNAME,BANKID:JSNXBANK.BANKID});
						}
	        		}
	        		var contents = BankPage.loadCatalogue(data);        		
	        		contents = BankPage.item0.list.groupByIndex(contents,'FIRSTCHAR');
	        		BankPage.item0.list.loadData(contents);
	        	});
	        },
	        /**
			 * 获取银行列表数据
			 * { act : zbank,bankName : ""}
			 */
			getBankListData : function(paramster,callback){
				Fw.util.Ajax.query({
	                service: 'openBankService',
	                method: 'queryBankList',
	                params: paramster,
	                staticData: false,
	                //请求成功后回调
	                success: function(data, result) {
	                	callback(data);
	                },
	                //请求错误后回调
	                failure: function(status, textStatus, error) {
	                }
	            });
			},
			/**
	         * 选择银行
	         */
			onSelect : function(record, index, item, e, cmp) {
				BankPage.callBack(record,BankPage);
	        }
			
		};
	};
	
});