Fw.define(function(require){
    Fw.TplTool = Fw.extend(Fw.Component, {
    	//11
    	drug_catalogue_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">药品名称</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">剂型</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">规格</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">等级</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">自付比例</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">生产企业</label>',
				'<p class="ui-item-p">${item.Sin6}</p>',
				'</div>',    
    		];
    		return tpl;
    	},
    	
    	//12
    	treatment_catalogue_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">项目编码</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">名称</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">等级</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">自付比例</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">限价</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',    
    		];
    		return tpl;
    	},
    	
    	//13
    	material_catalogue_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">材料名称</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">等级</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">自付比例</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">限价</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',    
    		];
    		return tpl;
    	},
    	
    	//41
    	swipeCard_result_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">姓名</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">刷卡时间</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">费用总计</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">医保支付</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">个人支付</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">医疗类型</label>',
				'<p class="ui-item-p">${item.Sin6}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">就诊单位</label>',
				'<p class="ui-item-p">${item.Sin7}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">医保中心支付</label>',
				'<p class="ui-item-p">${item.Sin8}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">其中账户总支付</label>',
				'<p class="ui-item-p">${item.Sin9}</p>',
				'</div>',
    		];
    		return tpl;
    	},
    	
    	//51
    	payment_count_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">姓名</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">所在单位</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">险种类型</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">参保状态</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">单位缴费</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">个人缴费</label>',
				'<p class="ui-item-p">${item.Sin6}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">缴费基数</label>',
				'<p class="ui-item-p">${item.Sin7}</p>',
				'</div>',    
    		];
    		return tpl;
    	},
    	
    	//52
    	payment_detail_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">姓名</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">参保险种</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">应缴年月</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">业务年月</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">缴纳金额</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">缴费类型</label>',
				'<p class="ui-item-p">${item.Sin6}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">到账标志</label>',
				'<p class="ui-item-p">${item.Sin7}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">单位缴纳</label>',
				'<p class="ui-item-p">${item.Sin8}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">个人缴纳</label>',
				'<p class="ui-item-p">${item.Sin9}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">所在单位</label>',
				'<p class="ui-item-p">${item.Sin10}</p>',
				'</div>',    
    		];
    		return tpl;
    	},
    	
    	//61
    	retire_treatment_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">姓名</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">应发年月</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">支付总额</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">支付类型</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">支付方式</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">支付标志</label>',
				'<p class="ui-item-p">${item.Sin6}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">支付账号</label>',
				'<p class="ui-item-p">${item.Sin7}</p>',
				'</div>',    
    		];
    		return tpl;
    	},
    	
    	//62
    	bear_treatment_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">姓名</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">单位名称</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">支付时间</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">办理时间</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">类型</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">医疗补助</label>',
				'<p class="ui-item-p">${item.Sin6}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">生育津贴</label>',
				'<p class="ui-item-p">${item.Sin7}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">检查费</label>',
				'<p class="ui-item-p">${item.Sin8}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">营养费</label>',
				'<p class="ui-item-p">${item.Sin9}</p>',
				'</div>',
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">合计金额</label>',
				'<p class="ui-item-p">${item.Sin10}</p>',
				'</div>',    
    		];
    		return tpl;
    	},
    	
    	//63
    	injury_treatment_tpl: function(){
    		var tpl=[
				'<div class="ui-item-line">',
				'<label class="ui-item-label">姓名</label>',
				'<p class="ui-item-p">${item.Sin1}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">单位名称</label>',
				'<p class="ui-item-p">${item.Sin2}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">支付时间</label>',
				'<p class="ui-item-p">${item.Sin3}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">办理时间</label>',
				'<p class="ui-item-p">${item.Sin4}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">伤残等级</label>',
				'<p class="ui-item-p">${item.Sin5}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">工伤医疗费</label>',
				'<p class="ui-item-p">${item.Sin6}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">辅助器具费</label>',
				'<p class="ui-item-p">${item.Sin7}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">一次性伤残补助金</label>',
				'<p class="ui-item-p">${item.Sin8}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">一次性医疗补助金</label>',
				'<p class="ui-item-p">${item.Sin9}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">生活护理费</label>',
				'<p class="ui-item-p">${item.Sin10}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">劳动能力鉴定费</label>',
				'<p class="ui-item-p">${item.Sin11}</p>',
				'</div>',
				'<div class="ui-item-line">',
				'<label class="ui-item-label">合计金额</label>',
				'<p class="ui-item-p">${item.Sin12}</p>',
				'</div>',    
				'<div class="ui-item-line-hide">',
				'<label class="ui-item-label">其他</label>',
				'<p class="ui-item-p">${item.Sin13}</p>',
				'</div>',
    		];
    		return tpl;
    	},
    	/**
    	 * 获取相应模板
    	 */
    	getTransTpl: function(id){
    		switch (id) {
			case "11":
				return this.drug_catalogue_tpl();	//药品目录
				break;
			case "12":
				return this.treatment_catalogue_tpl();		//诊疗目录
				break;
			case "13":
				return this.material_catalogue_tpl();	//材料目录
				break;
			case "41":
				return this.swipeCard_result_tpl();		//医保卡刷卡查询
				break;
			case "51":
				return this.payment_count_tpl();	//社保缴费汇总
				break;
			case "52":
				return this.payment_detail_tpl();	//社保缴费明细
				break;
			case "61":
				return this.retire_treatment_tpl();	//退休待遇查询
				break;
			case "62":
				return this.bear_treatment_tpl();	//生育待遇查询
				break;
			case "63":
				return this.injury_treatment_tpl();	//工伤待遇查询
				break;
			default:
				return "";
				break;
			}
    	}
    });
    Fw.TplTool = new Fw.TplTool();
    Fw.Logger.debug('加载社保类详细信息模板');
});

