/**
 * 安全键盘（android phone实现）
 */
Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
    //安全键盘（公共）
    require('{fwPath}/widget/Keyboard');
    
    //重写安全键盘
    Fw.apply(Fw.Keyboard, {
        /**
         * 显示安全键盘
         */
        show: function(el, type,currencySign){
            var methodName = null, config = this.getConfig(el, type,currencySign);
            
            //
            switch(type){
                //金额键盘
                case 'AMT':
                    methodName = 'showMoneyKeyboard';
                    break;
                //数字键盘
                case 'NUM':
                    methodName = 'showNumberKeyboard';
                    break;
                //身份证键盘
                case 'IDC':
                    methodName = 'showIDCKeyboard';
                    break;
                //交易密码键盘
                case 'TPWD':
                    methodName = 'showTPwdKeyboard';
                    break;
                  //数字密码键盘
                case 'NPWD':
                	methodName = 'showNumberPwdKeyboard';
                	break;
                //登录密码键盘
                case 'LPWD':
                    methodName = 'showLPwdKeyboard';
                    break;
                //全键盘
                case 'QWER':
                    methodName = 'showQwerKeyboard';
                    break;
                  //登录密码键盘
                case 'LPWDS':
                    methodName = 'showLPwdVcKeyboard';
                    break;
                case 'ACCOUNT':
                	methodName = 'showAccountKeyboard';
                    break;
            }
            
            //sm 是否重启动键盘
            if(Fw.Keyboard.showKeyboard !== false){
	            //键盘显示前触发，sm 客户端调用onShow方法时调用该方法...
	//            this.onBeforeShow();
	            //显示键盘
	            KeyboardJs[methodName](Fw.encode(config));
	            
	            //
                Fw.Keyboard.showKeyboard = false;
                
	            //
	            Fw.Logger.debug('显示安全键盘（%s）...', type);
            }
        }
        
    });
    
    //
    Fw.Logger.debug('加载安全键盘（Android Phone实现）');
});
