/**
 * 等待层（android phone实现）
 */
Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
    //等待层（公共）
    require('{fwPath}/widget/LoadMask');
    
    //重写等待层
    var LoadMask = Fw.extend(Fw.LoadMask, {
        /**
         * 显示等待层
         * 桥接IOS客户端原生组件
         */
        show: function(msg){
            if(this.hidden !== false){
                SysClientJs.showWaitPanel(msg || this.msg);
                this.hidden = false;
            }
        },
        /**
         * 隐藏等待层
         */
        hide: function(){
            if(this.hidden === false){
                SysClientJs.hideWaitPanel();
                this.hidden = true;
            }
        }
    });
    
    //
    Fw.LoadMask = new LoadMask();

    //
    Fw.Logger.debug('加载等待层组件（Android Phone实现）');
});