/**
 * Session组件（Web实现）
 */

Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
    //Session组件（公共）
    require('{fwPath}/widget/app/Session');
    
    //重写Session组件
    Fw.apply(Fw.app.Session, {
        /**
         * 重载会话信息
         */
        reload: function(callback){
            Fw.util.Ajax.get({
                service: 'loginService',
                method: 'getCurrentSession',
                loadMask: false,
                //请求成功后回调
                success: Fw.app.Session[callback]
            });
        }
    });

    //
    Fw.Logger.debug('加载Session组件（Web实现）');
});
