/**
 *	统一短信验证码组件
 *	@author:SM
 *	@example：
 */
Fw.define(function(require){
    'require:nomunge,exports:nomunge,module:nomunge';

    var e;
    var delay;
	//倒计时的文本
	var delayText;
	//倒计时完成后的文本信息
	var delayFinishText;
	//倒计时背景色
	var delayBgColor;
	//倒计时文字颜色
	var delayTextColor;
	//倒计时边框颜色
	var delayBorderColor ;
	//倒计时完成后的背景色
	var delayFinishBgColor ;
	//倒计时完成后的文本颜色
	var delayFinishTextColor;
	//倒计时完成后边框颜色
	var delayFinishBorderColor;
    /**
     * 统一短信验证码组件
     */
    var SmsCountDown = Fw.extend(Fw.Component, {
    	
    	
    	/**
    	 * 
    	 */
    	initTpl: function(settings){
    		
    	},
    	/**
    	 * 短信验证码倒计时
    	 */
    	showSmsCountDown: function(config,callback){
    		//按钮对象
    		var that = this;
    		//
    		e = config.contentEl;
    		//
    		e.attr('disabled','disabled');
    		//添加当前全局变量App.smsEle [当前短信输入框对象]
    		App.smsEle=e[0].previousElementSibling;
    		
    		var param = config.param;
    		Fw.SmsCountDown.param = param;
    		//倒计时时间
    		 delay = config.delay || 60;
    		//倒计时的文本
    		 delayText = config.delayText || '{0}秒';
    		//倒计时完成后的文本信息
    		 delayFinishText = config.delayFinishText || '获取';
    		//倒计时背景色
    		 delayBgColor = config.delayBgColor || '#fff';
    		//倒计时文字颜色
    		 delayTextColor = config.delayTextColor || 'grey';
    		//倒计时边框颜色
    		 delayBorderColor = config.delayBorderColor || 'grey';
    		//倒计时完成后的背景色
    		 delayFinishBgColor = config.delayFinishBgColor || '#fff';
    		//倒计时完成后的文本颜色
    		 delayFinishTextColor = config.delayFinishTextColor || '#ff6f00';
    		//倒计时完成后边框颜色
    		 delayFinishBorderColor = config.delayFinishBorderColor || '#ff6f00';
    		//
    		e.css({'background-color':delayBgColor,'color':delayTextColor,'border-color':delayBorderColor});
    		that.timeAction(that);
    		//调用后台发送短信接口....
    		if(!Fw.isEmpty(param)&&param['socket']=='0'){
    			//发送短信
    			Fw.util.Ajax.get({
    				service: 'smsService/getSms',
    				params: param,
    				staticData: false,
    				success: function(data, result) {
    					Fw.Tips.success("短信发送成功!");
    					Fw.SmsCountDown.smsSecurity = data.smsSecurity;
    					callback(data);
    					//手动隐藏等待层
    		            Fw.LoadMask.hide();
    				},
    				failure: function(status, textStatus, error) {
    					that.timeAction(that);
    				}
    			});
    			//
    		}//end if
    		
    		if(!Fw.isEmpty(param)&&param['socket']=='1'){
    			//发送短信
    			Fw.util.Ajax.get({
    				service: 'smsService',
    				method:'getSmsSocket',
    				params: param,
    				staticData: false,
    				success: function(data, result) {
    					Fw.Tips.success("短信发送成功!");
    					callback(data);
    					//手动隐藏等待层
    		            Fw.LoadMask.hide();
    				},
    				failure: function(status, textStatus, error) {
    					that.timeAction(that);
    				}
    			});
    			//
    		}//end if
    		
    		if(!Fw.isEmpty(param)&&param['socket']=='2'){
    			//发送短信
    			Fw.util.Ajax.get({
    				service: 'smsService/getSmsCode',
    				params: param,
    				staticData: false,
    				success: function(data, result) {
    					//手动隐藏等待层
    		            Fw.LoadMask.hide();
    					Fw.Tips.success("短信发送成功!");
    					Fw.SmsCountDown.smsSecurity = data.smsSecurity;
    					callback(data);				
    				},
    				failure: function(status, textStatus, error) {
    					that.timeAction(that);
    				}
    			});
    		}
    		
    		//返回对象
    		//return this;
    	},
    	/**
    	 * 取消
    	 */
    	cancel: function(){
    		if(this.timer){
                clearInterval(this.timer);
                this.timer = null;
            }
    	},
    	reset:function(){
    		//clearInterval(this.timer);
    		this.cancel();
			//
    		if(e==undefined || e==null){
    			return;
    		}
			e.removeAttr("disabled");
			//
			e.css({'background-color':delayFinishBgColor,'color':delayFinishTextColor,'border-color':delayFinishBorderColor});
			//
			e.html(delayFinishText);
    	},
    	/**
    	 * 
    	 */
    	timeAction:function(that){
    		//启动定期器
    		var me = that;
    		me.cancel();
    		//开始时间
    		var date1 = new Date();
    		//启动定期器
    		this.timer = setInterval(function(){
    			
    			//结束时间
    			var date2 = new Date();
    			//时间差的毫秒数
        		var date3 = (date2.getTime() - date1.getTime());
        		//计算相差秒数
        		var seconds = Math.round(date3/1000);
        		//
        		var fmtDelayText = new String(delayText).format((delay - seconds));
        		var count=delay - seconds;
    			//
    			if(seconds <= 0 || seconds == delay||count<0){
    				//clearInterval(this.timer);
    				me.cancel();
    				//
    				e.removeAttr("disabled");
    				//
    				e.css({'background-color':delayFinishBgColor,'color':delayFinishTextColor,'border-color':delayFinishBorderColor});
    				//
    				e.html(delayFinishText);
    			}else{
    				e.html(fmtDelayText);
    			}
    			
    		},1000);
    	},
    	getSMSParams: function(pwdCode,callback,sessionObj){
    		// Fw.SmsCountDown.smsSecurity 本地获取短信
    		Fw.SmsCountDown.pwdCode = pwdCode;
    		Fw.SmsCountDown.callback = callback;
    		if(Fw.isEmpty(pwdCode)){// 短信验证码为空时   空校验前台验证，如果没校验且传的空值则默认传空
    			callback({});
    			return false;
    		}
    		// 本地验证
    		if(!Fw.isEmpty(Fw.SmsCountDown.smsSecurity)){
    			callback({
    					smscode: pwdCode,
    					smsSecurity: Fw.SmsCountDown.smsSecurity
    			});
    		}else { // 渠道验证
    			var session = sessionObj;
    			var SMSHFlag = "";
    			var userID = "";
    			if(!Fw.isEmpty(session)){
    				SMSHFlag = session.getSmsHFlag();
    				userID = '' + session.getIdNo() + session.getIdType() + session.getParentDeptId();
    			}else {// 若没传就查询缓存session
    				session = Fw.decode(Fw.util.Storage.get('_CURRENT_SESSION')); 
    				session = Fw.isEmpty(session) ? Fw.decode(Fw.util.Storage.get('_CURRENT_WEBSESSION')) : session;
    				SMSHFlag = Fw.isEmpty(session) ? "" : session['SMSHFlag'];
    				userID = Fw.isEmpty(session) ? "" : '' + session['IdNo'] + session['IdType'] + session['ParentDeptId'];
    			}
        		if(!Fw.isEmpty(session) && !Fw.isEmpty(SMSHFlag) && (SMSHFlag+"").indexOf("H")>-1){
        			var param = {
                			userID:userID,
                			encryptNo: pwdCode,
                			callback: 'Fw.SmsCountDown.getSmsStatusSocket'
                	};
        			if(Fw.isEmpty(userID)){
        				Fw.Msg.info("E盾短信加密出错:标识参数为空");
               			return false;
        			}else if(Fw.isEmpty(pwdCode)){
        				Fw.Msg.info("E盾短信加密出错:验证码参数为空");
               			return false;
        			}
                	Fw.device.Device.smsEncryptedByKey(param);
        		}else {
        			Fw.SmsCountDown.getSmsStatusSocket("");
        		}
    		}
    	},
    	getSmsStatusSocket: function(data){
    		var pwdCode = Fw.SmsCountDown.pwdCode;//用户输入的验证码
    		var phoneNum = "";       
        	var PayeeAcNo = "";
       		var PayeeAcName = "";
       		var Amount = "";
           	var Appid = "";
           	var Appkey_version = "";
           	var Ukey = "";
    		if(!Fw.isEmpty(Fw.SmsCountDown.param)){
            	phoneNum = Fw.SmsCountDown.param.phoneNum||"";
            	PayeeAcNo = Fw.SmsCountDown.param.payeeAcNo||"";
           		PayeeAcName = Fw.SmsCountDown.param.payeeAcName||"";
           		Amount = Fw.SmsCountDown.param.amount||"";
               	Appid = "";
               	Appkey_version = "";
               	Ukey = "";
    		}       	
           	var SMSParams;
           	if(!Fw.isEmpty(data)){
           		if(!Fw.isEmpty(data.status)&&data.status == '0'){
           			var info = Fw.decode(data.info); 
           			SMSParams = {
       						pwdCode:info.uToken,
       						Appid:info.appid,
       						Appkey_version:info.appkey_version,
       						Ukey:info.ukid
       				};          			
           		}else {
           			Fw.Msg.info("E盾短信加密出错");
           			return false;
            	}
            }else {
           		SMSParams = {
   						pwdCode:pwdCode
   				};
           	}
           	if(Fw.isEmpty(SMSParams)){
           		Fw.Msg.info("短信验证参数获取出错");
       			return false;
           	}
           	if(!Fw.isEmpty(phoneNum)){
   				SMSParams['phoneNum'] = phoneNum;
   			}
       		if(!Fw.isEmpty(Amount)){
   				SMSParams.amount = Amount;
   			}
       		if(!Fw.isEmpty(PayeeAcNo)){
   				SMSParams.payeeAcNo = PayeeAcNo;
   			}
       		if(!Fw.isEmpty(PayeeAcName)){
   				SMSParams.payeeAcName = PayeeAcName;
   			}
           	Fw.SmsCountDown.callback(SMSParams);
    	}
    });
    
    //
    Fw.SmsCountDown = new SmsCountDown();
    //
    Fw.Logger.debug('加载统一短信验证码组件');
});
