Fw.define(function(require){
	'require:nomunge,exports:nomunge,module:nomunge';
	 var smsParams;//发送短信参数
	 var TransRemind = Fw.extend(Fw.Component, {
		smsSecurity: "",
		/**
		 * 展示转账提示框
		 */
		show: function(config){
			smsParams = config.smsParams;
			var params = {
				title:config.title ||"转账提醒",
				msg:config.msg || "该账户当日转账已超过30万，请确认是否继续交易？",
				isSms:config.isSms ||"1",
				ok_btn:"true",
				ok_text:"确定",
				ok_func:config.ok_func || "Fw.TransRemind.doSubmit",
				cancle_text:"取消",
				cancle_func:"",
				send_sms:"获取",
				ok_sms:"Fw.TransRemind.sendSMSCode"	
			};
			Fw.device.Device.showTransRemindDialog(params);
		},
		sendSMSCode: function(){
			//调用后台发送短信接口....
    		if(!Fw.isEmpty(smsParams)&&smsParams['socket']=='0'){
    			//发送短信
    			Fw.util.Ajax.get({
    				service: 'smsService/getSms',
    				params: smsParams,
    				staticData: false,
    				success: function(data, result) {
    					Fw.Tips.success("短信发送成功!");
    					Fw.TransRemind.smsSecurity = data.smsSecurity;
    					//手动隐藏等待层
    		            Fw.LoadMask.hide();
    				},
    				failure: function(status, textStatus, error) {
    					
    				}
    			});   			
    		}else if(!Fw.isEmpty(smsParams)&&smsParams['socket']=='1'){
    			//发送短信
    			Fw.util.Ajax.get({
    				service: 'smsService',
    				method:'getSmsSocket',
    				params: smsParams,
    				staticData: false,
    				success: function(data, result) {
    					Fw.Tips.success("短信发送成功!");
    					Fw.TransRemind.smsSecurity = data.smsSecurity;
    					//手动隐藏等待层
    		            Fw.LoadMask.hide();
    				},
    				failure: function(status, textStatus, error) {
    					
    				}
    			});
    		}
		}
	 });
	Fw.Logger.debug('加载转账提示框');
	Fw.TransRemind = new TransRemind();
	Fw.Logger.debug('初始化转账提示框');
});