/**
 * 创建应用
 */
var App = function() {
//	var listDevices;
	var DeviceNo;//设备号
    return {
        /**
         * 依赖组件
         */
        requires : [
          'Fw.app.Session',
//          'Fw.ListView'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '设备绑定管理',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {   
        	DeviceNo = Fw.app.Session.getDeviceNo();
        	this.initCurDeviceInfo();
//        	this.initListView();
        	this.initEvents();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
//        	listDevices.on('itemclick', this.onSelect, this);
//        	//查询数据后触发
//        	listDevices.ajax.on('query', this.onQuery, this);
        },
        initCurDeviceInfo: function(){
        	Fw.device.Device.getDeviceInfo("App.getDeviceInfo");
        },
        getDeviceInfo: function(data){
    		if(data==null||data==undefined){
    			Fw.Tips.info("获取当前设备失败！");
    		}else{
    			$('#curType').text(data.deviceType);
        		$('#curNo').text(Fw.util.Format.fmtDeviceNo(data.deviceNo));
        		$('#curDate').text(Fw.util.Format.fmtDate(new Date(),"yyyy-MM-dd HH:mm:ss"));
    		}
    	},
        /*initListView: function(){
        	if(!listDevices){
	    		//定义列表
         		listDevices = new Fw.ListView({
	                //EL
	                contentEl : 'listDevices',
	                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	                ajax : {                 
	                    service: 'clientManagementService',
	                    method: 'queryDevices',
	                    //请求参数
	                    params: {},                   
	                    loadMask: '查询中',
	                    //是否分页（默认true）
	                    page: false,
	                    staticData: false
	                },
	                cls: '',
	                groupCls: '',
	                groupHeaderBaseCls: '',
	                groupHeaderCls: '',
	                itemBaseCls: 'sx-list-item',
	                itemCls: 'sui-border-t',
	                pressedCls: '',
	                disclosure: false,
	                itemTpl: [
							'<div  class="ui-tab" style="position: relative;">',
								'<ul class="ui-list ui-border-tb" style="position: relative;">',					
									'<li class="x-list-item" style="height: 126px;">',
										'<div class="sub-text">',
											'<label class="li-label">设备类型</label>',
											'<p class="li-p">${item.DeviceType}</p>',
										'</div>',
										'<div  class="sub-text" style="top:46px;">',
											'<label class="li-label">设备序列号</label>',
											'<p class="li-p" >${item.DeviceNo|fmtDeviceNo}</p>',
										'</div>',
										'<div  class="sub-text" style="top: 77px;">',
											'<label class="li-label">绑定日期</label>',
											'<p class="li-p">${item.Date|fmtDate,"yyyy-MM-dd HH:mm:ss"}</p>',
										'</div>',									
									'</li>',
								'</ul>',
								'<div class="delBg"><p style="position: absolute;top: 41px;width: 100%;" name="delDevecie">删除</p></div>',
							'</div>'
	                ]
	            });     
    		}else{
    			listDevices.ajax.clearParams();    			
    			listDevices.ajax.setParams({}); 
    		}
            //加载数据
         	listDevices.loadData();
        },*/
        /**
         * 数据处理（获取当前在线设备信息）
         */
        /*handleData: function(ajax, data, result){
        	for(var i=0;i<data.length;i++){
        		if(DeviceNo == data[i].DeviceNo){
            		$('#curType').text(data[i].DeviceType);
            		$('#curNo').text(Fw.util.Format.fmtDeviceNo(DeviceNo));
            		$('#curDate').text(Fw.util.Format.fmtDate(data[i].Date,"yyyy-MM-dd HH:mm:ss"));
            	}
        	}       	
        },*/
        /**
         * 查询数据后触发
         * @param {Object} Ajax对象
         * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
         * @param {Object} 响应数据（全部）
         */
        /*onQuery : function(ajax, data, result) {
        	var lis = $('#listDevices').find('li.sx-list-item');
        	for(var i=0;i<lis.length;i++){
	        	$(lis[i]).swipe({
	        		fingers:'all',
	        		swipeLeft : function(event,direction,distance, duration, fingerCount){
	        			 var div = $(event.currentTarget).find('div')[0];
	        			    var ul = $(div).find('ul')[0];
	        			    var delBg = $(div).find('.delBg')[0];
	        			  var rightDelBg =$(delBg).css('right');
	                      if(rightDelBg == "0px"){
	                          return;
	                      }
	                      var rightUl = 0;
	                      rightUl = parseInt(Fw.util.Format.unFmtNumber(rightUl));
	                      $(ul).animate({"right": rightUl + 85 + "px"},100);
	                      rightDelBg = rightDelBg.substring(0,rightDelBg.length-2);
	                      rightDelBg = parseInt(Fw.util.Format.unFmtNumber(rightDelBg));
	                      $(delBg).animate({"right": rightDelBg + 85 + "px"},100);
	        		},
	        		swipeRight : function(event,direction,distance, duration, fingerCount){
	        				var div = $(event.currentTarget).find('div')[0];
		        			    var ul = $(div).find('ul')[0];
		        			    var delBg = $(div).find('.delBg')[0];
		        			    var rightDelBg =$(delBg).css('right');
		                        if(rightDelBg == "-85px"){
		                            return;
		                        }
		                        var rightUl = $(ul).css('right');
		                        rightUl = rightUl.substring(0,rightUl.length-2);
		                        rightUl = parseInt(Fw.util.Format.unFmtNumber(rightUl));
		                        $(ul).animate({"right": rightUl - 85 + "px"},100);
		                        rightDelBg = rightDelBg.substring(0,rightDelBg.length-2);
		                        rightDelBg = parseInt(Fw.util.Format.unFmtNumber(rightDelBg));
		                        $(delBg).animate({"right": rightDelBg - 85 + "px"},100);
	        		}
	        		
	        		
	        	});
        	}
        },*/
        /**
         * 选中记录时触发
         */
        /*onSelect : function(record, index, item, e, cmp) {
        	//点击删除
        	var cur = e.target; 
        	var div = $(e.currentTarget).find('div')[0];
        	var ul = $(div).find('ul')[0];
        	var delBg = $(div).find('.delBg')[0];
        	var rightDelBg =$(delBg).css('right');
            if(rightDelBg == "0px" && (cur==$(delBg).find('p')[0] || cur == delBg)){
            	Fw.Msg.cfm('是否要删除该设备？', function(code, btn, win){
	                if('yes'==code){
	                	App.delDevecie(record);
	                }
	            });
            }else if(rightDelBg != "0px"){
	        	Fw.Msg.cfm('是否要删除该设备？', function(code, btn, win){
	                if('yes'==code){
	                	App.delDevecie(record);
	                }
	            });
        	}
        },*/
        /*delDevecie: function(record){
        	Fw.util.Ajax.execute({               
                service: 'clientManagementService',
                method: 'executeDeviceByNo',
                params: {
                	ManType : "unbind",								
                	DeviceNo : record.DeviceNo,
                	DeviceType: record.DeviceType
                },              
                success: function(data, result) {
                	Fw.Msg.info('删除成功！', function(){
                        App.init();
                    });
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                   
                }
            });
        },*/
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){       
        	//返回上级目录
        	Fw.device.Device.gotoIndex();        	
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
