/**
 * 创建应用
 */
App.Item3 = function() {
	var IdType;   //证件类型
	
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '修改结果',
           
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record,record2,flag) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	IdType=Fw.app.Session.getIdType();   //证件类型
        	//
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record,record2);
        	}
        	//手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        /**
         * 展示信息
         */
        initInfo: function(record,record2){
        	this.clearinfo();
        	$("#img-result").css("background-image","url(../../images/agentbusi/mobile.png)");
        	Fw.util.Ajax.query({
                service: 'smsSignService',
                method:'executeSmsQuery',
                //请求参数
                params:{
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                    App.Item3.showQueryInfo(data,record,record2);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                }
            });
        },
        showQueryInfo: function(data,record,record2){          	
         	$('#jgIdType').text(Fw.util.Format.fmtIdType(IdType));   //证件类型 
        	$('#jgUserName').text(data.Name);  //户名
        	$('#jgmale').text(this.converKcall(data.CName));   //客户称谓
        	$('#jgpayType').text(App.xgdata.xspayType);  //收费类型
        	$('#jgmealType').text(App.xgdata.xsmealType);  //套餐类型
        	if(Fw.isEqual(record.Code,"A002")){
        		$('#jgstatus').addClass("result_css");
        		$('#jgstatus').text(record.Desc);  //状态
        	}else if(Fw.isEqual(record.Code,"A001")){
        		$("#rtrans").text("修改失败");
        		$('#jgstatus').addClass("result_css");
        		$('#jgstatus').text(record.Desc);  //状态
        	}else{
        		$('#jgstatus').text(this.converStatus(data.BookStatus));  //状态       	
        	}
        	$('#signInfo').html('');
        	//签约手机
	      	  var MobilePhones = [];
	      	  if(data.MobilePhone1!='') MobilePhones.push(data.MobilePhone1);
	      	  if(data.MobilePhone2!='') MobilePhones.push(data.MobilePhone2);
	      	  if(data.MobilePhone3!='') MobilePhones.push(data.MobilePhone3);
	      	  if(data.MobilePhone4!='') MobilePhones.push(data.MobilePhone4);
	      	  if(data.MobilePhone5!='') MobilePhones.push(data.MobilePhone5);
	      	  if(data.MobilePhone6!='') MobilePhones.push(data.MobilePhone6);	      	  
	      	  var html = "";
	      	  for(var i=1;i<=MobilePhones.length;i++){
	      		html = html + '<div class="sui-form-item-show">';
        		html = html + '<label class="sui-result-label">签约手机'+i+'</label>';
        		html = html + '<p class="sx-display-info">'+MobilePhones[(i-1)]+'</p>';
        		html = html + '</div>';      		          		
	      	  }
	      	//签约账户
        	  var AcNos = [];
        	  if(data.AcNo1!='') AcNos.push(data.AcNo1);
        	  if(data.AcNo2!='') AcNos.push(data.AcNo2);
        	  if(data.AcNo3!='') AcNos.push(data.AcNo3);
        	  if(data.AcNo4!='') AcNos.push(data.AcNo4);
        	  for(var i=1;i<=AcNos.length;i++){      		  
          		html = html + '<div class="sui-form-item-show">';
          		html = html + '<label class="sui-result-label">签约账户'+i+'</label>';
          		html = html + '<p class="sx-display-info">'+Fw.util.Format.fmtAcctNo(AcNos[(i-1)],true)+'</p>';
          		html = html + '</div>';       		          		
        	  }
        	  //扣费账户AcNo5
        	  html = html + '<div class="sui-form-item-show">';
        	  html = html + '<label class="sui-result-label">扣费账户</label>';
        	  html = html + '<p class="sx-display-info">'+Fw.util.Format.fmtAcctNo(record2.payNo.split("|")[0],true)+'</p>';
        	  html = html + '</div>'; 
        	  $('#signInfo').html(html);
        },
        /**
         * 转换客户称谓
         */
        converKcall : function(value){
        	var sta;
        	if(value=="1"){
        		sta = "先生";
        	}else{
        		sta = "女士";
        	}
        	return sta;
        },
        
        /**
         * 转换套餐类型
         */
        converStatus : function(status){
        	var sta;
        	if(status=="0"){
        		sta = "正常";
        	}else{
        		sta = "冻结";
        	}
        	return sta;
        },
        
        /**
         * 转换收费类型
         */
        converPay : function(pay){
        	var cpay;
        	if(pay=="02"){
        		cpay="按月";
        	}else if(pay=="01"){
        		cpay="按年";
        	}else{ //03-免费
        		cpay="免费";
        	}
        	return cpay;
        },
        
        /**
         * 转换账号类型
         */
        converType : function(BankAcType){
        	var BankAcTypeName = "";
        	if(BankAcType=="01"){
        		BankAcTypeName="存折";
        	}else if(BankAcType=="03"){
        		BankAcTypeName="一证通";
        	}else if(BankAcType=="04"){
        		BankAcTypeName="圆鼎卡";
        	}else if(BankAcType=="4100"){
        		BankAcTypeName="个人结算户";
        	}else if(BankAcType=="4200"){
        		BankAcTypeName="个人储蓄户";
        	}else {
        		BankAcTypeName=Fw.util.Format.fmtCardType(BankAcType);
        	}
        	return BankAcTypeName;
        },
        
        /**
         * 清除结果数据
         * @returns
         */
        clearinfo: function(){
        	$('#jgIdType').text("");
        	$('#jgUserName').text("");
        	$('#jgmale').text("");
        	$('#jgphoneNum').text("");
        	$('#jgSignNo').text("");
        	$('#jgpayType').text("");
        	$('#jgmealType').text("");
        	$('#jgstatus').text("");
       },
    };
}();