App = function() {
	var buttons = $('button');
	var RelativeSerialNo = "";
	var familyadd;
	var SerialNo = "";//准入流水号
	var today;
	var datastr;
	var tab,form2;
	var maxavlamount;//最大可用额度
	var lastNo;
	var org_name;
	var Img;
	var startdate;
	var enddate;
	var contractAmt;
	return {
		/**
		 * 依赖组件
		 */
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Otp', 
			'Fw.Form', 
			'Fw.Keyboard', 
			'Fw.Calendar',
			'Fw.SmsCountDown', 
			'Fw.device.Device',
			'Fw.Tab',
			'Fw.app.Session' ,
			'../contractShowLpr.js'
		],
		
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: "质押申请",
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
		
		/**
		 * 初始化 应用入口
		 */
		init : function() {
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0
			});
			/*
			 * 页面跳转请求参数 当前存单信息
			 */
			this.depositdata = Fw.decode(Fw.getParameters());
			Fw.LoadMask.hide();
			this.initEvents();
			this.initData();
		},
		
		leftButtonHandler: function(){
			//获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if(index == 0 || index == 2) {
				App.goBackUrl();
			}else if(index==1){
				tab.setActiveItem(0);
			}
	    },
		
	    /**
		 * 查询机构名称
		 */
		MCLianSheAccountQry : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeBankName',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var branchName = result.result.BranchName;
					$(".org_name").html(branchName);
					org_name = branchName;
					App.org_name = org_name;
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
	    
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			buttons.tap(Fw.bind(this.onButtonClick, this));
			
			$("#crCancel-btn").on('click',Fw.bind(this.tomainpage,this));
			$("#confitm-btn").on('click',Fw.bind(this.tomainpage,this));
			//卡号切换
            $('[name=limitCard]').on('change', Fw.bind(this.copyAccount, this));
			// 地址选择
        	$("#myArea").on("click", Fw.bind(this.chooseAddress,this));
        	$("#corpArea").on("click", Fw.bind(this.chooseCorpAddress,this));
            $('#hide').on('click', Fw.bind(this.onHide, this));
            $('#pro_sel').on('click', Fw.bind(this.showPro, this));
            $('#city_sel').on('click', Fw.bind(this.showCity, this));
            $('#area_sel').on('click', Fw.bind(this.showArea, this));
            $('#pro_sel_corp').on('click', Fw.bind(this.showProCorp, this));
            $('#city_sel_corp').on('click', Fw.bind(this.showCityCorp, this));
            $('#area_sel_corp').on('click', Fw.bind(this.showAreaCorp, this));
            $("#contract-btn").on("click", Fw.bind(this.doSubmit,this));
            
            $("#contract-agree-btn").on("click", Fw.bind(this.depositAttest,this));
		},
		
		//返回主界面
		tomainpage : function(){
			App.goBackUrl();
		},
		
		copyAccount : function(){
        	var lc = Fw.decode($("select[name=limitCard]").val());
        	$("#limitKKCard").val(Fw.util.Format.fmtAcctNo(lc.No, true));
        },

		/**
		 * 初始化页面数据
		 */
		initData : function() {
			// 初始化日期
			this.initDate();
			// 初始化页面需要渲染的数据
			this.initHtml();
		},
		initDate : function() {
			today = App.depositdata.Today;
			this.getTermMonth();
		},
		
		
		/**
         * 获取期限截止日期
         */
        getTermMonth : function(){
        	var mydate = new Date(App.depositdata.Today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var monthAdd = parseInt(App.depositdata.Maxtermmonth);
        	var ma = parseInt(monthAdd % 12);
        	var ya = Math.floor(monthAdd / 12);
        	var strYear = yestday.getFullYear();
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth() + 1;
        	if((12 - strMonth) < ma){
        		ya = ya + 1;
        		ma = ma - (12 - strMonth);
        		strMonth = ma;
        	}else{
        		strMonth = strMonth + ma;
        	}
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	this.datastr2 = (strYear+ ya)+"/"+strMonth+"/"+strDay;
        },
		
        /**
		 * 期限
		 */
		changeMaturity : function(obj) {
			var mydate = new Date(App.depositdata.Today);
        	var strYear = mydate.getFullYear();
        	var strMonth = mydate.getMonth()+1;
        	var strDay = mydate.getDate();
        	var limitEnd = $("[name=limitMaturity]").val();
        	var year = parseInt(limitEnd.substring(0,4));
        	var month = parseInt(limitEnd.substring(5,7));
        	var day = parseInt(limitEnd.substring(8,10));
        	var len = (year - strYear) * 12 + (month - strMonth);
        	var dayDiff = day - strDay;
        	if(dayDiff > 0){
        		len += 1;
        	}
        	$("[name=limitTermmonth]").val(len);
		},
        
		initHtml : function() {
			App.tomakeContract();
		},
		
		doSubmit : function(values) {
			var limitPutOut = $("input[name=limitPutOut]").val();
			var limitMaturity = $("input[name=limitMaturity]").val();
			//期限判断
			var limitTermmonth = $("input[name=limitTermmonth]").val();
			var paycyc = $("select[name=limitPaycyc]").val();//还款方式
			if(limitPutOut ==""){
				Fw.Tips.info("请选择起始日");
				return;
			}
			if(limitMaturity ==""){
				Fw.Tips.info("请选择到期日");
				return;
			}
			if(limitMaturity.replaceAll("/", "") > this.datastr2.replaceAll("/", "")){
				Fw.Tips.info("到期日不能大于期限" + this.datastr2 + "!");
				return;
			}
			if(limitMaturity.replaceAll("/", "") < limitPutOut.replaceAll("/", "")){
				Fw.Tips.info("到期日不能小于起始日!");
				return;
			}
			if(App.depositdata.EcAgtDueDt < limitMaturity.replaceAll("/", "")){
				Fw.Tips.info("存单到期日不能小于合同到期日!");
				return;
			}
			limitTermmonth = parseInt(limitTermmonth);
			if(limitTermmonth > App.depositdata.Maxtermmonth){
				Fw.Tips.info("超出最大期限：" + App.depositdata.Maxtermmonth + "个月!");
				return;
			}
			if(paycyc == ""){
				Fw.Tips.info("请选择还款方式!");
				return;
			}
			if(limitBusinesssum > Fw.util.Format.unFmtAmt(App.depositdata.BusinessSum)){
				Fw.Tips.info("确认金额不能大于申请额度!" + App.depositdata.BusinessSum);
				return;
			}
			//住宅地区
			var myArea = $("[name=myArea]").val();
			if(myArea == ""){
				Fw.Tips.info("请选择住宅地区!");
				return;
			}
			//住宅详细地址
			var xxAddress = $("[name=xxAddress]").val();
			if(xxAddress == ""){
				Fw.Tips.info("请输入住宅详细地址!");
				return;
			}
			//单位地区
			var corpArea = $("[name=corpArea]").val();
			if(corpArea == ""){
				Fw.Tips.info("请选择单位地区!");
				return;
			}
			//单位详细地址
			var corpAddress = $("[name=corpAddress]").val();
			if(corpAddress == ""){
				Fw.Tips.info("请输入单位详细地址!");
				return;
			}
			//联系人姓名
			var lxrName = $("[name=lxrName]").val();
			if(lxrName == ""){
				Fw.Tips.info("请输入联系人姓名!");
				return;
			}
			//联系人手机号
			var lxrPhone = $("[name=lxrPhone]").val();
			if(lxrPhone == ""){
				Fw.Tips.info("请输入联系人手机号!");
				return;
			}
			if(lxrPhone.length != 11){
				Fw.Tips.info("请输入正确的联系人手机号!");
				return;
			}
			//通讯地址
	    	familyadd = $("select[name=Familyadd]").val();
	    	//住宅地址
	    	if(familyadd == "1"){
	    		familyadd = $("#myArea").val() + $("#xxAddress").val();
	    	}else{
	    		//单位地址
	    		familyadd = $("#corpArea").val() + $("#corpAddress").val();
	    	}
			Fw.device.Device.getCamara('App.getFaceData');
		},

		tomakeContract :function(){
			// 结算卡号及扣款卡号
        	var debitCardNum = 0;
        	this.cards = Fw.app.Session.getAllCards();
        	$('[name="limitCard"]').html("");//置空
        	for (var i = 0; i < this.cards.length; i++) {
				var card = this.cards[i];
				if (card.BankAcType == "PDBC") {
					$('[name="limitCard"]').append(
							"<option value=" + i + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if(debitCardNum == 0){
						//	扣款卡号  this.cards[0]
						$("#limitKKCard").val(Fw.util.Format.fmtAcctNo(card.No, true));
					}
					debitCardNum++;
				}
        	}
        	if(debitCardNum == 0){
        		Fw.Msg.info("您尚未绑定圆鼎卡，不能进行网贷产品合同签署！", function(){
        			App.goBackUrl();
                });
    			return false;			
    		}
        	maxavlamount = parseFloat(App.depositdata.EcAvlBal*App.depositdata.GuarantyRate)/100;
			var a = parseInt(maxavlamount);
        	contractAmt = parseInt(a/100)*100;
        	startdate = Fw.util.Format.fmtDate(App.depositdata.EcAgtOpeNDt);
			enddate = Fw.util.Format.fmtDate(App.depositdata.EcAgtDueDt);
			$("input[name=limitBusType]").val(App.depositdata.Businesstypename);//产品名称
        	$("input[name=limitPutOut]").val(today);//起始日
        	$("[name=limitMaturity]").val(this.datastr2);//到期日
        	$("input[name=limitTermmonth]").val(App.depositdata.Maxtermmonth);//期限
        	$("#limitSxSum").html(Fw.util.Format.fmtAmt(Math.min(contractAmt,App.depositdata.Limitsum)));//授信金额
        	$("#limitBusinesssum").val(Fw.util.Format.fmtAmt(Math.min(contractAmt,App.depositdata.Limitsum)));
        	//初始化判断是否展示用途选项
        	if(App.depositdata.Purpoes=="020"){
        		$("#productKind").removeClass("sui-hide");
        	}else{
        		$("#productKind").addClass("sui-hide");
        	}
			$("#lilv").html(Fw.util.Format.fmtNumber(App.depositdata.Ratefloat)+"%");
			App.viewConfig.title = "合同签署";
			Fw.apply(App.viewConfig, this.viewConfig);
			Fw.device.Device.applyView(App);
			tab.setActiveItem(0);
		},
		
		getFaceData : function(data) {
			Img = data;
			var paramas = {
				ImgData : '',
				Img : data,
				DeviceId : '',
				MacNum : '',
				Flag : '1',
				IdNo : '',
				IdType : '',
				CifName : '',
				DeptId : Fw.app.Session.getCifDeptId(),
				SignChannel : 'MOB-dkyx',//采集渠道待确认
			}
			Fw.util.Ajax.query({
				service : 'faceIdentificationService',
				method : 'executeFaceCheck',
				loadMask : true,
				// 请求参数
				params : paramas,
				// 请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					if ('0' == data.FaceiIdentificationFlag)// 人脸比对通过
					{
						Fw.Msg.info("人脸识别成功，即将预览合同文本!", function() {
							App.toContractText();//合同文本展示
						});
					} else // 比对失败
					{
						var message = data._RejMsg || "";
						Fw.Msg.info(message);
					}
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					if ("MBF001" == status)// 人脸比对失败已达3次
					{
						Fw.Msg.info("人脸比对失败已达3次！请稍后再试！", function() {
							App.goBackUrl();
						});
					} else {
						Fw.Msg.info(error + ",人脸比对失败!");// 人脸比对失败
					}
					return false;
				}
			});
		},
		
		toContractText:function(){//先查询基点赋值后再跳转合同信息接口
        	App.contractShowLpr.showLPR(App.depositdata.Businesstypeno,App.depositdata.Ratefloat,App.showContractInfo);
        },
		
		//展示合同文本信息
		showContractInfo :function(){
			this.cards = Fw.app.Session.getAllCards();
			$("#contract_No").html(App.depositdata.SerialNo);
        	$("#custName_span").text(Fw.app.Session.get("Name"));
        	$(".org_name").text(App.depositdata.org_name);
        	var idTypeName = Fw.util.Format.fmtIdType(Fw.app.Session.get("IdType"));
        	$("#cerTypeName").text(idTypeName);
        	$("#cerNo").text(Fw.app.Session.get("IdNo"));
        	$("#transAddress").text(familyadd);
        	$("#Telno").text(Fw.app.Session.getLoginPhoneNo());
        	var conS = $("[name=limitPutOut]").val().replaceAll("/","");
        	conS = conS.substring(0, 4) + "年"
			+ conS.substring(4, 6) + "月"
			+ conS.substring(6, 8) + "日";
        	$("#startDate").html(conS);
        	var conE = $("[name=limitMaturity]").val().replaceAll("/","");
        	conE = conE.substring(0, 4) + "年"
        	+ conE.substring(4, 6) + "月"
        	+ conE.substring(6, 8) + "日";
        	$("#endDate").html(conE);
        	$("#BigNumber").html(Fw.util.Format.fmtAmt2Chinese(Fw.util.Format.unFmtAmt($("#limitBusinesssum").val())));
        	var lc = Fw.decode($("select[name=limitCard]").val());
        	$("#CoreRate").html(App.depositdata.Ratefloat);
        	$("#receiveAccountNo").html("账户名称："+Fw.app.Session.get("Name")+"账号："+Fw.util.Format.fmtAcctNo(this.cards[lc].No, true))
        	$("#giveAccountNo").html(Fw.util.Format.fmtAcctNo(this.cards[lc].No, true));
        	//还款类型
        	var hkType = $("[name=limitPaycyc] option:selected").val();
//        	02利随本清
//        	03按固定周期付息，到期还本
//          13等额本息
//          14等额本金
        	if(hkType == "03"){
        		hkType = "2.5.1";
        	}else if(hkType == "13"){
        		hkType = "2.5.2";
        	}else{
        		hkType = "2.5.3";
        	}
        	$("#hk_type").html(hkType);
        	var date = today.replaceAll("/","");
        	date = date.substring(0, 4) + "年"
        	+ date.substring(4, 6) + "月"
        	+ date.substring(6, 8) + "日";
        	$("#date").html(date);
        	
        	//展示存单信息
        	$("#CifNo").html(Fw.app.Session.get("Name"));
        	$("#contractAcno").html(Fw.util.Format.fmtAcctNo(App.depositdata.EcAgtNo,true));
        	$("#contractAmt").html(Fw.util.Format.fmtAmt(App.depositdata.EcOpacAmt));
        	$("#contractstartdate").html(startdate);
        	$("#contractenddate").html(enddate);
        	tab.setActiveItem(1);
		},
		
		
		
		//存单质押网签存证
		depositAttest :function(){
			var time = Fw.util.Format.fmtDate(new Date(),'yyyy/MM/dd');
			var acctime = time.replace(/[/]/g,'');
			var lc = this.cards[$("select[name=limitCard]").val()];
			var parames = {
				Img : Img,
				Date : acctime,
				CorporateOrgID : "",
				SerialNo : App.depositdata.SerialNo,
				OrgID : "",
				BusinessType : App.depositdata.Businesstypeno,
				BusinessSum : Fw.util.Format.unFmtAmt($("#limitBusinesssum").val()),
				PutOutDate : $("input[name=limitPutOut]").val(),
				Maturity : $("input[name=limitMaturity]").val(),
				TermMonth : $("input[name=limitTermmonth]").val(),
				Rate : App.depositdata.Ratefloat,
				Paycyc : $("select[name=limitPaycyc]").val(),
				BankAccount : lc.No,
				BankAccountName: lc.Name,
				DeductFlag1 : lc.No,
				DeductFlag1Name: lc.Name,
				MobilePhone : Fw.app.Session.getLoginPhoneNo(),
				FamilyAdd : familyadd,
				DepositAccountName : Fw.app.Session.get("Name"),//户名暂时不知
				DepositAccountCurrency : App.depositdata.EcCurrCod,
				DepositAccount : App.depositdata.EcAgtNo,
				DepositAccountSum : App.depositdata.EcOpacAmt,
				DepositAccountOpenDate : startdate,
				DepositAccountMaturity : enddate,
				Remark1 : "",
				Remark2 : "",
			};
			Fw.util.Ajax.execute({
				service : 'depositReceiptService',
				method : 'executeCDPledgeContractNetSignAttest',
				loadMask : true,
				//请求参数
				params : parames,
				//请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					if (data.Code == "000000") {//存单质押存证成功
						//签署主合同
						//合同登记
						App.userbuild();
					}
				},
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error + '请重新操作！');
					return false;
				}
			});
		},
		
		//客户新建
		userbuild : function(){
			var lc = this.cards[$("select[name=limitCard]").val()];
			//时间判断
			var limitPutOut = $("input[name=limitPutOut]").val();
			var limitMaturity = $("input[name=limitMaturity]").val();
			//期限判断
			var limitTermmonth = $("input[name=limitTermmonth]").val();
			var paycyc = $("select[name=limitPaycyc]").val();//还款方式
			var productKind = App.depositdata.purpose;
			if(productKind == "00"){
				productKind = "其他消费";
			}else{
				productKind = "其他经营";
			}
			var idNo = Fw.app.Session.getIdNo();
			if(idNo.length == 15){
				//出生日期
				var birthday = idNo.substring(6,12);
				birthday = "19" + birthday.substring(0,2) + birthday.substring(2,4) + birthday.substring(4,6);
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					sex = "1";
				}else if(sex == "F"){
					sex = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(14,15);
					if(cutIdNo % 2 == 0){
						sex = "2";
					}else{
						sex = "1";
					}
				}
			}else if(idNo.length == 18){
				//出生日期
				var birthday = idNo.substring(6,14);
				birthday = birthday.substring(0,4) + birthday.substring(4,6) + birthday.substring(6,8);
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					sex = "1";
				}else if(sex == "F"){
					sex = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(16,17);
					if(cutIdNo % 2 == 0){
						sex = "2";
					}else{
						sex = "1";
					}
				}
			}else{
				Fw.Tips.info("证件号码不符！");
				return;
			}
        	var parames = {
        			limitPutOut: limitPutOut,//起始日 
					limitMaturity: limitMaturity,//到期日
					limitTermmonth: limitTermmonth,//期限
					limitPaycyc: paycyc,//还款方式
					Certid : Fw.app.Session.getIdNo(),//身份证号
					Certtype : Fw.app.Session.getIdType(),
					Fullname : Fw.app.Session.getCustName(),
					Sex : sex,
					Birthday : birthday,
					Familyadd : familyadd,
					Mobiletelephone : Fw.app.Session.getLoginPhoneNo(),
					BusinessType : App.depositdata.Businesstypeno,
					WDSerialno : App.depositdata.SerialNo,
					limitPurpose : productKind,
					limitCard : lc.No,
					limitKKCard : lc.No,
					limitBusinesssum : Fw.util.Format.unFmtAmt($("#limitBusinesssum").val()),
					FaceFlag : "2",
					Rate : App.depositdata.Ratefloat,
					DepositFlag : "0"
        	};
        	Fw.util.Ajax.execute({
        		service: 'loadService',
                method: 'executeNetLoanUserBuild',
				loadMask : true,
				//请求参数
				params : parames,
				//请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					if(data.Code.toString() == "000000"){
						//签署主合同
						//合同登记
						App.LoanContract();
					}
				},
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error + '请重新操作！');
					return false;
				}
			});
		},
		
		//存单质押合同登记
		LoanContract :function(){
			var productKind = App.depositdata.purpose;
			if(productKind == "00"){
				productKind = "其他消费";
			}else{
				productKind = "其他经营";
			}
			var lc = this.cards[$("select[name=limitCard]").val()];
			var parames = {
				CorporateOrgID : "",
				RelativeSerialno : App.depositdata.SerialNo,//不确定
				OrgID : "",
				Purpose : productKind,
				BusinessType : App.depositdata.Businesstypeno,
				BusinessSum :  Fw.util.Format.unFmtAmt($("#limitBusinesssum").val()),
				PutOutDate : $("input[name=limitPutOut]").val(),
				Maturity : $("input[name=limitMaturity]").val(),
				TermMonth : $("input[name=limitTermmonth]").val(),
				Rate : App.depositdata.Ratefloat,
				Paycyc : $("select[name=limitPaycyc]").val(),
				BankAccount : lc.No,
				DeductFlag1 : lc.No,
				DepositAccountName : Fw.app.Session.get("Name"),//户名暂时不知
				DepositAccountCurrency : App.depositdata.EcCurrCod,
				DepositAccount : App.depositdata.EcAgtNo,
				DepositAccountSum : App.depositdata.EcOpacAmt,
				DepositAccountOpenDate : startdate,
				DepositAccountMaturity : enddate,
				DepositConfirmValue  : maxavlamount ,//未知
				GuarantyValue : Fw.util.Format.unFmtAmt($("#limitBusinesssum").val()),//质押存单抵质押金额
				GuarantyRatio : App.depositdata.GuarantyRate,//质押比例
				MFCustomerID : Fw.app.Session.getCifNo(),
				Remark1 : App.depositdata.EcAvlBal,
				Remark2 : "",
				Remark3 : "",
				Remark4 : "",
				Remark5 : "",
			};
			Fw.util.Ajax.execute({
				service : 'depositReceiptService',
				method : 'executeCDPledgeSelfHelpLoanContract',
				loadMask : true,
				//请求参数
				params : parames,
				//请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					if (data.Code == "000000") {//合同登记成功
						//提示&跳转借钱模块放款
						tab.setActiveItem(2);
					}
				},
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error + '请重新操作！');
					return false;
				}
			});
		},
		
		/**
         * =========================================Begin选择地址=======================================
         */
		showPro : function(){
        	//清空显示
        	$("#cPro").show(500);
          	$("#cCity").hide();
        	$("#cArea").hide();
        	$("#top_show label").removeClass("bottom-style");
        	$("#pro_sel").addClass("bottom-style");
        	$("#city_sel").html("请选择");
        	$("#area_sel").html("请选择");
        	$("#city_div").empty();
        	$("#area_div").empty();
        },
        showCity : function(){
        	$("#cPro").hide();
        	$("#cCity").show(500);
        	$("#cArea").hide();
        	$("#top_show label").removeClass("bottom-style");
        	$("#city_sel").addClass("bottom-style");
        	$("#area_sel").html("请选择");
        	$("#area_div").empty();
        },
        showArea : function(){
        	$("#cPro").hide();
        	$("#cCity").hide();
        	$("#cArea").show(500);
        	$("#top_show label").removeClass("bottom-style");
        	$("#area_sel").addClass("bottom-style");
        },
        showProCorp : function(){
        	//清空显示
        	$("#cPro_corp").show(500);
        	$("#cCity_corp").hide();
        	$("#cArea_corp").hide();
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#pro_sel_corp").addClass("bottom-style");
        	$("#city_sel_corp").html("请选择");
        	$("#area_sel_corp").html("请选择");
        	$("#city_div_corp").empty();
        	$("#area_div_corp").empty();
        },
        showCityCorp : function(){
        	$("#cPro_corp").hide();
        	$("#cCity_corp").show(500);
        	$("#cArea_corp").hide();
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#city_sel_corp").addClass("bottom-style");
        	$("#area_sel_corp").html("请选择");
        	$("#area_div_corp").empty();
        },
        showAreaCorp : function(){
        	$("#cPro_corp").hide();
        	$("#cCity_corp").hide();
        	$("#cArea_corp").show(500);
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#area_sel_corp").addClass("bottom-style");
        },
        //选择地址
        chooseAddress : function(){
        	if(!App.areaData){
        		//手机银行数据库：表名MB_REGION
        		Fw.util.Ajax.query({
                    service: 'clientManagementService',
                    method: 'queryCityArea',
                    //请求参数
                    params: {},
                    loadMask: true,
                    success: function(data, result) {
    	                  	Fw.LoadMask.hide();
    	                  	if(!data)
    	              		{
    	                  		return;
    	              		}
    	                  	App.areaData = data;
    	                  	var content = "";
    	                  	$.each(data,function(i,c){
    	                  		if(c.PARENT_ID == 1){
    	                  			content += "<div id='pro_" + c.REGION_ID + "' onclick='App.chooseCity(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
    	                  		}
    	                  	});
    	                  	$("#pro_div").html(content);
    	                  	$("#cPro").show();
    	                  	$("#cCity").hide();
    	                	$("#cArea").hide();
    	                  	App.chooseCity('11');
    	                	$('#cityArea').css("display","-webkit-box");
                    },
                    failure : function(status, textStatus, error) {
	                  	Fw.LoadMask.hide();
    	          			Fw.Msg.error(error);
    	  						return false;
    		  				}
    	              });
        	}else{
        		if($("#pro_div div").length == 0){
        			var content = "";
                  	$.each(App.areaData,function(i,c){
                  		if(c.PARENT_ID == 1){
                  			content += "<div id='pro_" + c.REGION_ID + "' onclick='App.chooseCity(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
                  		}
                  	});
                  	$("#pro_div").html(content);
                  	App.chooseCity('11');
        		}
        		$('#cityArea').css("display","-webkit-box");
        	}
        },
        //选择地址
        chooseCity : function(index){
        	$("#pro_sel").html($("#pro_" + index).html());
        	$("#top_show label").removeClass("bottom-style");
        	$("#city_sel").addClass("bottom-style");
        	var content = "";
          	$.each(App.areaData,function(i,c){
          		if(c.PARENT_ID == index){
          			content += "<div id='city_" + c.REGION_ID + "' onclick='App.chooseArea(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
          		}
          	});
          	$("#cPro").hide();
          	$("#cCity").show(500);
        	$("#cArea").hide();
          	$("#city_div").html(content);
        },
        //选择地址
        chooseArea : function(index){
        	$("#city_sel").html($("#city_" + index).html());
        	$("#top_show label").removeClass("bottom-style");
        	$("#area_sel").addClass("bottom-style");
        	var content = "";
        	$.each(App.areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='area_" + c.REGION_ID + "' onclick='App.settingArea(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro").hide();
        	$("#cCity").hide();
        	$("#cArea").show(500);
        	$("#area_div").html(content);
        },
        //选择地址
        settingArea : function(index){
        	$("#area_sel").html($("#area_" + index).html());
        	App.onHide();
        },
        onHide: function(){
        	if($("#city_sel").html() == "请选择" || $("#area_sel").html() == "请选择"){
        		Fw.Msg.info("请正确选择所在地区！");
    			return;	
        	}
        	$("[name=myArea]").val($("#pro_sel").html() + $("#city_sel").html() + $("#area_sel").html());
        	$('#cityArea').css("display","none");
        },
        //选择地址
        chooseCorpAddress : function(){
        	if(!App.areaData){
        		Fw.util.Ajax.query({
        			service: 'clientManagementService',
        			method: 'queryCityArea',//默认为query，方法名称必须是query开头
        			//请求参数
        			params: {},
        			loadMask: true,
        			success: function(data, result) {
        				Fw.LoadMask.hide();
        				if(!data)
        				{
        					return;
        				}
        				App.areaData = data;
        				var content = "";
        				$.each(data,function(i,c){
        					if(c.PARENT_ID == 1){
        						content += "<div id='pro_corp_" + c.REGION_ID + "' onclick='App.chooseCityCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        					}
        				});
        				$("#pro_div_corp").html(content);
        				$("#cPro_corp").show();
        				$("#cCity_corp").hide();
        				$("#cArea_corp").hide();
        				App.chooseCityCorp('11');
	                	$('#cityArea_corp').css("display","-webkit-box");
        			},
        			failure : function(status, textStatus, error) {
	                  	Fw.LoadMask.hide();
        				Fw.Msg.error(error);
        				return false;
        			}
        		});
        	}else{
        		if($("#pro_div_corp div").length == 0){
        			var content = "";
    				$.each(App.areaData,function(i,c){
    					if(c.PARENT_ID == 1){
    						content += "<div id='pro_corp_" + c.REGION_ID + "' onclick='App.chooseCityCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
    					}
    				});
    				$("#pro_div_corp").html(content);
    				App.chooseCityCorp('11');
        		}
            	$('#cityArea_corp').css("display","-webkit-box");
        	}
        },
        //选择地址
        chooseCityCorp : function(index){
        	$("#pro_sel_corp").html($("#pro_corp_" + index).html());
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#city_sel_corp").addClass("bottom-style");
        	var content = "";
        	$.each(App.areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='city_corp_" + c.REGION_ID + "' onclick='App.chooseAreaCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro_corp").hide();
        	$("#cCity_corp").show(500);
        	$("#cArea_corp").hide();
        	$("#city_div_corp").html(content);
        },
        //选择地址
        chooseAreaCorp : function(index){
        	$("#city_sel_corp").html($("#city_corp_" + index).html());
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#area_sel_corp").addClass("bottom-style");
        	var content = "";
        	$.each(App.areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='area_corp_" + c.REGION_ID + "' onclick='App.settingAreaCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro_corp").hide();
        	$("#cCity_corp").hide();
        	$("#cArea_corp").show(500);
        	$("#area_div_corp").html(content);
        },
        //选择地址
        settingAreaCorp : function(index){
        	$("#area_sel_corp").html($("#area_corp_" + index).html());
        	App.onHideCorp();
        },
        onHideCorp: function(){
        	if($("#city_sel_corp").html() == "请选择" || $("#area_sel_corp").html() == "请选择"){
        		Fw.Msg.info("请正确选择所在地区！");
        		return;	
        	}
        	$("[name=corpArea]").val($("#pro_sel_corp").html() + $("#city_sel_corp").html() + $("#area_sel_corp").html());
        	$('#cityArea_corp').css("display","none");
        },
        /**
         * =========================================End选择地址=======================================
         */
        goBackUrl : function() {
			if (undefined != App.depositdata.backFlag && App.depositdata.backFlag == "Online") {
				Fw.redirect("../menu/onLineLoan.html");
			} else {
				Fw.redirect("../menu/main.html");
			}
		}
	};
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);