var App = function() {
	var prdList;//产品列表
	var prddata;//产品信息
	var xiaofeiList = [];
	var jingyingList = [];
	var selectedprddata;//选中的产品信息
	var xiaofeilistView;
	var jingyinglistView;
	var elelistView;
	var paperlistView;
	var paperList = [];//纸质存款
	var electricList = [];//电子存款
	var today;
	var org_name;
	var itemCls;
	var RelativeSerialNo;
	var SerialNo;
	var lastNo;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab', 'Fw.ListView', 'Fw.app.Session'],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '质押申请',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : '返回',
			},
			/**
			 * 是否自动显示等待层（默认true）
			 * 需手动隐藏等待层
			 */
			loadMask : false
		},

		/**
	        * 左边按钮点击事件
	        */
	       leftButtonHandler: function(){
	    	  //获取当前选项卡序号
	          var index = tab.getActiveItemIndex();
	       	  if(index == 0) {
	       		  App.goBackUrl();
	       	  }else if(index==1){
	      		  tab.setActiveItem(0);
	          }else if(index==2){
	        	  tab.setActiveItem(1);
	          }else if(index==3){
	        	  tab.setActiveItem(2);
	          }else if(index==4){
	        	  tab.setActiveItem(3);
	          }
	       },

		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			//定义选项卡
			tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0,
			});
			//获取选项等
        	App.parames = Fw.decode(Fw.getParameters()); //页面跳转请求参数
			//初始化事件
			this.initEvents();
			//初始化数据
			this.initData();
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 回显推荐人姓名
			$("[name=Remark]").on('blur', Fw.bind(this.queryName, this));
			//电子存款
			$("#electricFlag").on('click', Fw.bind(this.onconsumLoad, this));
			//纸质存款
			$("#paperFlag").on('click', Fw.bind(this.onconsumLoad, this));
			$("#depositapply").on('click', Fw.bind(this.loadProductInfoqry, this));
			$("#contractanddisabled").on('click', Fw.bind(this.todisabledpage, this));
			$("#Cancel-btn").on('click',Fw.bind(this.toprevpage,this));
			$("#create-btn").on('click',Fw.bind(this.doagecheck,this));
			$("#sign-btn").on('click',Fw.bind(this.ZXinfoAttest,this));
		},
		
		/**
		 * 网贷推荐人姓名查询
		 */
		queryName : function() {
			var thisNo = $("[name=Remark]").val();
			var name = $("[name=XM]").val();
			// 当用户没有输入人工号时，不执行此方法
			if (thisNo == "" || thisNo == null) {
				return;
			}
			// 已经成功查询到推荐人姓名，并且前后两次人工号相同时，不执行此方法
			if ((name != "" || name != null) && (thisNo == lastNo)) {
				return;
			}
			Fw.util.Ajax.query({
				service : 'loadService',
				method : 'queryRecommendNamebyNo',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					AtrifiNum : $("[name=Remark]").val(),
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (data.Attribute1 == "" || data.Attribute1 == null) {
						$("[name=XM]").val("");
						// Fw.Msg.info("查询不到推荐人姓名，请重新输入推荐人工号!");
						return;
					} else {
						$("[name=XM]").val(data.Attribute1);
						lastNo = thisNo;
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					$("[name=XM]").val("");
					Fw.Msg.info("查询不到推荐人姓名，请重新输入推荐人工号!");
					return false;
				}
			});
		},
		
		toprevpage : function(){
			tab.setActiveItem(2);
		},
		
		doagecheck :function(){
			var idNo = Fw.app.Session.getIdNo();
			if (idNo.length == 15) {
				// 出生日期
				var birthday = idNo.substring(6, 12);
				birthday = "19" + birthday.substring(0, 2)
						+ birthday.substring(2, 4) + birthday.substring(4, 6); // 19XX/XX/XX
				// 验证年龄期限 不超过65
				var date = new Date(today);
				var birthYear = birthday.substring(0, 4);// 证件年
				var birthMonth = birthday.substring(4, 6);// 证件月
				var birthDay = birthday.substring(6, 8);// 证件日

				var birthDate = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);
				// 添加产品期限到期日
				date.setMonth(date.getMonth()
						+ parseInt(selectedprddata.Maxtermmonth));

				// 男/女65周岁
				var birthDateMF = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);
				birthDateMF.setFullYear(birthDate.getFullYear() + 65);

				var birthDate = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);// 出生日期

				// 18周岁
				var nowDate = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);
				birthDate.setFullYear(nowDate.getFullYear() + 18);
				var todayDate = new Date(today);
				// 年龄18周岁以上,男/女65岁以下
				if (birthDate < todayDate) {
					if (birthDateMF < date) {// 年龄大于65
						Fw.Msg.info("您大于65周岁，您不符合产品申请条件！");
						return false;
					}
				} else {// 18周岁以下
					Fw.Msg.info("您未满18周岁，不符合产品申请条件！");
					return false;
				}
			} else if (idNo.length == 18) {
				// 验证年龄+产品最大期限不超过65
				var date = new Date(today);
				var birthday = idNo.substring(6, 14);
				var birthYear = birthday.substring(0, 4);// 证件年
				var birthMonth = birthday.substring(4, 6);// 证件月
				var birthDay = birthday.substring(6, 8);// 证件日
				var birthDate = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);
				// 添加产品期限到期日
				date.setMonth(date.getMonth()
						+ parseInt(selectedprddata.Maxtermmonth));
				// 男/女65周岁
				var birthDateMF = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);
				birthDateMF.setFullYear(birthDate.getFullYear() + 65);

				// 18周岁
				var birthDate = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);// 出生日期
				var nowDate = new Date(birthYear + "/" + birthMonth + "/"
						+ birthDay);
				birthDate.setFullYear(nowDate.getFullYear() + 18);

				var todayDate = new Date(today);
				// 年龄18周岁以上,男/女65岁以下
				if (birthDate < todayDate) {
					if (birthDateMF < date) {// 年龄大于65
						Fw.Msg.info("您大于65周岁，您不符合产品申请条件！");
						return false;
					}
				} else {// 18周岁以下
					Fw.Msg.info("您未满18周岁，不符合产品申请条件！");
					return false;
				}
			} else {
				Fw.Tips.info("证件号码不符！");
				return;
			}
			tab.setActiveItem(4);
		},

		ZXinfoAttest : function() {
			Fw.util.Ajax.execute({
				service : 'depositReceiptService',
				method : 'executeZXInfoAttest',
				loadMask : true,
				//请求参数
				params : {
					OrgName : org_name
				},
				//请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					//征信授权成功流水
					RelativeSerialNo = data.RelativeSerialNo;//征信授权成功流水
					Fw.Msg.info('征信授权' + data.Desc + ',即将进行准入!',
							function() {
								App.BZLoanCustAccess();
							});
				},
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error);
					return false;
				}
			});
		},
		
		BZLoanCustAccess : function() {
			var data = {
				AccessCustType : "01",//借款人
				FullName : Fw.app.Session.getCustName(),
				WdSerialNo : "",
				CertId : Fw.app.Session.getIdNo(),
				CertType : Fw.app.Session.getIdType(),
				ModelType : selectedprddata.Producttype,//产品类型
				BusinessType : selectedprddata.Businesstypeno,//产品编号
				Telno : Fw.app.Session.getLoginPhoneNo(),
				AuthSerialNo : RelativeSerialNo,//征信授权流水
				Address : "",
			}
			Fw.util.Ajax.execute({
				service : 'loadProductService',
				method : 'executeMCBZLoanCustAccess',
				loadMask : true,
				//请求参数
				params : data,
				//请求成功后回调
				success : function(data, result) {
					SerialNo = data.SerialNo;//准入接口返回的准入流水号
					itemCls.EcOpacAmt = Fw.util.Format.unFmtAmt(Fw.util.Format.fmtAmt(itemCls.EcOpacAmt)); 
					itemCls.EcAvlBal = Fw.util.Format.unFmtAmt(Fw.util.Format.fmtAmt(itemCls.EcAvlBal));
					itemCls.SerialNo = SerialNo;
					itemCls.Today = today;//当前日期
					itemCls.org_name = org_name;//机构名称
					itemCls.GuarantyRate = selectedprddata.GuarantyRate;//质押比例
					itemCls.backFlag = App.parames.backFlag;
					itemCls = Fw.util.Format.jsonAddJson(itemCls,selectedprddata);
					Fw.LoadMask.hide();
					if (data.Code == "000000") {//成功准入
						//展示额度
						Fw.Msg.info("" + data.Desc + "即将签署合同!", function() {
							Fw.redirect("./DepositReceiptLoan_userBuild.html", Fw.encode(itemCls))
						});
					}
				},
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error + '请重新操作！');
					return false;
				}
			});
		},
		
		
		
		
		todisabledpage : function(){
			Fw.redirect("./Depositanddisabled.html",Fw.encode(App.parames));
		},
		
		/**
		 * 查询机构名称
		 */
		MCLianSheAccountQry : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeBankName',
				params : {},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var branchName = data.BranchName;//联社机构名
					org_name = branchName;//联社机构名
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},

		/**
		 * 初始化数据
		 */
		initData : function() {
			App.MCLianSheAccountQry();
			this.initCurDate();
			//查询贷款产品列表
//			App.loadProductInfoqry();
			//			 存款质押信息查询
			//			App.queryinfoaboutreceipt();
		},

		 // 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
				},
			});
		},
		
		
		loadProductInfoqry : function() {
			var params = {
				LoanPrdType : "ALL",
				protype : "M"
			};
			Fw.util.Ajax.query({
				service : 'consumeLoadService',
				method : 'queryProductData',//默认为query，方法名称必须是query开头
				//请求参数
				params : params,
				loadMask : true,
				success : function(data, result) {
					prdList = data.List;
					jingyingList = [];
					xiaofeiList = [];
					for(var i=0;i<prdList.length;i++){
						if(prdList[i].Businesstypeno.substring(0,7) == "2050060"){//暂定为经营类
							prdList[i]["purpose"] = "01";//经营
							jingyingList.push(prdList[i]);
						}else if(prdList[i].Businesstypeno.substring(0,7) == "2040020"){//暂定为消费类
							prdList[i]["purpose"] = "00";//经营
							xiaofeiList.push(prdList[i]);
						}
					}
					prddata = data;
					tab.setActiveItem(1);
					App.loadxiaofeiProductInfo();
					App.loadjingyingProductInfo();
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},

		loadxiaofeiProductInfo : function() {//点击加载产品信息
			xiaofeilistView = new Fw.ListView({
				contentEl : 'xiaofeilistView',
				ajax : {
					service : '',
					method : "",
					params : {},
					page : false,
					staticData : false,
				},
				cls : '',
				groupCls : '',
				groupHeaderBaseCls : '',
				groupHeaderCls : '',
				itemBaseCls : 'sx-list-item',
				itemCls : 'sui-border-t',
				pressedCls : '',
				disclosure : false,
				itemTpl : [ '<div class="radius_text">',
						'<div class="text_content">',
						'<div class="text_title">产品名称</div>',
						'<span>${item.Businesstypename}</span>',
						'</div>',
						'<div class="text_content">',
						'<div class="text_title">利率</div>',
						'<span>${item.Ratefloat|fmtNumber}%</span>',
						'</div>',
						'<div class="text_content">',
						'<div class="text_title">限额</div>',
						'<span>${item.Limitsum|fmtAmt}</span>', 
						'</div>',
						'</div>', ]
			});
			$('#xiaofeilistView').html("");
			xiaofeilistView.onLoadData(xiaofeilistView.ajax, xiaofeiList);
			//选中记录时触发
			xiaofeilistView.on('itemclick', this.onSelectRecord, this);
		},
		
		loadjingyingProductInfo : function() {//点击加载产品信息
			jingyinglistView = new Fw.ListView({
				contentEl : 'jingyinglistView',
				ajax : {
					service : '',
					method : "",
					params : {},
					page : false,
					staticData : false,
				},
				cls : '',
				groupCls : '',
				groupHeaderBaseCls : '',
				groupHeaderCls : '',
				itemBaseCls : 'sx-list-item',
				itemCls : 'sui-border-t',
				pressedCls : '',
				disclosure : false,
				itemTpl : [ '<div class="radius_text">',
						'<div class="text_content">',
						'<div class="text_title">产品名称</div>',
						'<span>${item.Businesstypename}</span>', 
						'</div>',
						'<div class="text_content">',
						'<div class="text_title">利率</div>',
						'<span>${item.Ratefloat|fmtNumber}%</span>', 
						'</div>',
						'<div class="text_content">',
						'<div class="text_title">限额</div>',
						'<span>${item.Limitsum|fmtAmt}</span>', 
						'</div>',
						'</div>', ]
			});
			$('#jingyinglistView').html("");
			jingyinglistView.onLoadData(jingyinglistView.ajax, jingyingList);
			//选中记录时触发
			jingyinglistView.on('itemclick', this.onSelectRecord, this);
		},
		
		
		

		onSelectRecord: function(record, index, item, e, cmp) {
			selectedprddata = record;
			if(record.GuarantyRate == undefined || record.GuarantyRate == "" || record.GuarantyRate == null){
				Fw.Msg.info("此产品暂未配置质押比例，请重新选择贷款产品！");
				return false;
			}
			App.queryinfoaboutreceipt();
        },
		
		queryinfoaboutreceipt : function() {
			var parames = {
				TftCustNo : Fw.app.Session.getCifNo()
			};
			Fw.util.Ajax.query({
				service : 'depositReceiptService',
				method : 'queryMCProductSnapshotInfoQry',
				loadMask : true,
				//请求参数
				params : parames,
				//请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
					var List = data.List;
					electricList = [];
					paperList = [];
					for (var i = 0; i < List.length; i++) {
						List[i].EcOpacAmt = parseFloat(List[i].EcOpacAmt)/100;
						List[i].EcAvlBal = parseFloat(List[i].EcAvlBal)/100;
						if (List[i].EcElecFlg == "Y") {
							electricList.push(List[i]);
						} else if (List[i].EcElecFlg == "N") {
							paperList.push(List[i]);
						}
					}
					//止付&冻结
					for(var j = 0;j<electricList.length; j++){
						if((electricList[j].EcStpSts != "" && electricList[j].EcStpSts != undefined)
								&&(electricList[j].EcFrzSts != "" && electricList[j].EcFrzSts != undefined) ){
							if(electricList[j].EcStpSts.toString() == "0" && electricList[j].EcFrzSts.toString() == "0"){
								electricList[j]["status"] = '正常';
							}else{
								electricList[j]["status"] = '不正常';
							}
						}else{
							electricList[j]["status"] = '未知';
						}
						//部提
						if(electricList[j].EcPartDrwFlg  != "" && electricList[j].EcPartDrwFlg  != undefined){
							if(electricList[j].EcPartDrwFlg.toString() == "0"){
								electricList[j]["partLoanFlag"] = '否';
							}else{
								electricList[j]["partLoanFlag"] = '是';
							}
						}else{
							electricList[j]["partLoanFlag"] = '未知';
						}
						//挂失
						if(electricList[j].EcDlSts  != "" && electricList[j].EcDlSts  != undefined){
							if(electricList[j].EcDlSts.toString() == "0"){
								electricList[j]["LostFlag"] = '正常';
							}else{
								electricList[j]["LostFlag"] = '挂失';
							}
						}else{
							electricList[j]["LostFlag"] = '未知';
						}
						//是否质押
						if(electricList[j].EcLhypoFlg  != undefined){
							if(electricList[j].EcLhypoFlg.toString() == "0" || electricList[j].EcLhypoFlg.toString() == " "){
								electricList[j]["IfFlag"] = '正常';
							}else if(electricList[j].EcLhypoFlg.toString() == "1"){
								electricList[j]["IfFlag"] = '质权设定';
							}else if(electricList[j].EcLhypoFlg.toString() == "2"){
								electricList[j]["IfFlag"] = '质权预设定';
							}
						}else{
							electricList[j]["IfFlag"] = '未知';
						}
					}
					for(var j = 0;j<paperList.length; j++){
						if((paperList[j].EcStpSts != "" && paperList[j].EcStpSts != undefined)
								&&(paperList[j].EcFrzSts != "" && paperList[j].EcFrzSts != undefined) ){
							if(paperList[j].EcStpSts.toString() == "0" && paperList[j].EcFrzSts.toString() == "0"){
								paperList[j]["status"] = '正常';
							}else{
								paperList[j]["status"] = '不正常';
							}
						}else{
							paperList[j]["status"] = '未知';
						}
						if(paperList[j].EcPartDrwFlg  != "" && paperList[j].EcPartDrwFlg  != undefined){
							if(paperList[j].EcPartDrwFlg.toString() == "0"){
								paperList[j]["partLoanFlag"] = '是';
							}else{
								paperList[j]["partLoanFlag"] = '否';
							}
						}else{
							paperList[j]["partLoanFlag"] = '未知';
						}
						//挂失
						if(paperList[j].EcDlSts  != "" && paperList[j].EcDlSts  != undefined){
							if(paperList[j].EcDlSts.toString() == "0"){
								paperList[j]["LostFlag"] = '正常';
							}else{
								paperList[j]["LostFlag"] = '挂失';
							}
						}else{
							paperList[j]["LostFlag"] = '未知';
						}
						//是否质押
						if(paperList[j].EcLhypoFlg  != undefined){
							if(paperList[j].EcLhypoFlg.toString() == "0" || paperList[j].EcLhypoFlg.toString() == " "){
								paperList[j]["IfFlag"] = '正常';
							}else if(electricList[j].EcLhypoFlg.toString() == "1"){
								paperList[j]["IfFlag"] = '质权设定';
							}else if(electricList[j].EcLhypoFlg.toString() == "2"){
								paperList[j]["IfFlag"] = '质权预设定';
							}
						}else{
							paperList[j]["IfFlag"] = '未知';
						}
					}
					tab.setActiveItem(2);
					App.showelectricinfo();
					App.showpaperinfo();
				},
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error + '请重新操作！');
					return false;
				}
			});
		},

		showelectricinfo : function() {
			elelistView = new Fw.ListView({
				contentEl : 'elelistView',
				ajax : {
					service : '',
					method : "",
					params : {},
					page : false,
					staticData : false,
				},
				cls : '',
				groupCls : '',
				groupHeaderBaseCls : '',
				groupHeaderCls : '',
				itemBaseCls : 'sx-list-item',
				itemCls : 'sui-border-t',
				pressedCls : '',
				disclosure : false,
				itemTpl : [ '<div class="radius_text">',
						'<div class="text_content">',
						'<div class="text_title">存款金额</div>',
						'<span>${item.EcOpacAmt|fmtAmt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">可用余额</div>',
						'<span>${item.EcAvlBal|fmtAmt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">开户日期</div>',
						'<span>${item.EcAgtOpeNDt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">到期日期</div>',
						'<span>${item.EcAgtDueDt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">存款状态</div>',
						'<span>${item.status}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">是否部提过</div>',
						'<span>${item.partLoanFlag}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">挂失状态</div>',
						'<span>${item.LostFlag}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">质权状态</div>',
						'<span>${item.IfFlag}</span>', '</div>',
						'</div>', ]
			});
			$('#elelistView').empty();
			elelistView.onLoadData(elelistView.ajax, electricList);
			elelistView.on('itemclick', this.onSelecteleRecord, this);
		},

		showpaperinfo : function() {
			paperlistView = new Fw.ListView({
				contentEl : 'paperlistView',
				ajax : {
					service : '',
					method : "",
					params : {},
					page : false,
					staticData : false,
				},
				cls : '',
				groupCls : '',
				groupHeaderBaseCls : '',
				groupHeaderCls : '',
				itemBaseCls : 'sx-list-item',
				itemCls : 'sui-border-t',
				pressedCls : '',
				disclosure : false,
				itemTpl : [ '<div class="radius_text">',
						'<div class="text_content">',
						'<div class="text_title">存款金额</div>',
						'<span>${item.EcOpacAmt|fmtAmt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">可用余额</div>',
						'<span>${item.EcAvlBal|fmtAmt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">开户日期</div>',
						'<span>${item.EcAgtOpeNDt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">到期日期</div>',
						'<span>${item.EcAgtDueDt}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">存款状态</div>',
						'<span>${item.status}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">是否部提过</div>',
						'<span>${item.partLoanFlag}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">挂失状态</div>',
						'<span>${item.LostFlag}</span>', '</div>',
						'<div class="text_content">',
						'<div class="text_title">质权状态</div>',
						'<span>${item.IfFlag}</span>', '</div>',
						'</div>', ]
			});
			$('#paperlistView').empty();
			paperlistView.onLoadData(paperlistView.ajax, paperList);
			paperlistView.on('itemclick', this.onSelectPaperRecord, this);
		},

		onSelectPaperRecord : function(record, index, item, e, cmp) {
			Fw.Msg.info("请至开户网点将该存款转化为电子存款!");
			return false;
		},

		/**
		 * 选中记录
		 * 电子存单列表  选中其中一条
		 */
		onSelecteleRecord : function(record, index, item, e, cmp) {
			//电子存款参数
			itemCls = record;
			if (today.replace(/\//g, '') == itemCls.EcAgtDueDt) {
				Fw.Tips.warn("当日到期存款不可选取!");
				return false;
			}
			if(today.replace(/\//g, '') > itemCls.EcAgtDueDt){
				Fw.Tips.warn("过期存款不可进行质押!");
				return false;
			}
			if (itemCls.EcStpSts.toString() != "0" || itemCls.EcFrzSts.toString() != "0") {
				Fw.Tips.warn("存款状态不正常，暂不可选取!");
				return false;
			}
			if (itemCls.EcAgtSubtyp == "01") {
				Fw.Tips.warn("活期存款状态不可取!");
				return false;
			}
			if (itemCls.EcDlSts.toString() == "1") {
				Fw.Tips.warn("此存单已挂失，请重新选择!");
				return false;
			}
			if (itemCls.EcLhypoFlg.toString() == "1" || itemCls.EcLhypoFlg.toString() == "2") {
				Fw.Tips.warn("此存单属于质权设定/预设定状态，请重新选择!");
				return false;
			}
        	maxavlamount = parseFloat(itemCls.EcAvlBal*selectedprddata.GuarantyRate)/100;
			$("[name=DepositAcno]").val(Fw.util.Format.fmtAcctNo(itemCls.EcAgtNo,true));
			$("[name=DepositAmount]").val(Fw.util.Format.fmtAmt(itemCls.EcOpacAmt));
			var startdate = itemCls.EcAgtOpeNDt;
			$("[name=DepositStartDate]").val(startdate.substring(0,4)+"/"+
					startdate.substring(4,6)+"/"+startdate.substring(6,8));
			var enddate = itemCls.EcAgtDueDt;
			$("[name=DepositEndDate]").val(enddate.substring(0,4)+"/"+
					enddate.substring(4,6)+"/"+enddate.substring(6,8));
			$("[name=DepositMostAvail]").val(Fw.util.Format.fmtAmt(maxavlamount));
			tab.setActiveItem(3);
		},

		loantouchstart : function(e) {
			var id = e.currentTarget ? e.currentTarget.id : e;
			$("#" + id).addClass("sui-hover");
		},
		loantouchend : function(e) {
			var id = e.currentTarget ? e.currentTarget.id : e;
			$("#" + id).removeClass("sui-hover");
		},
		goBackUrl : function() {
			if (undefined != App.parames.backFlag && App.parames.backFlag == "Online") {
				Fw.redirect("../menu/onLineLoan.html");
			} else {
				Fw.redirect("../menu/main.html");
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);