/**
 * 选项卡#子页面1
 */
App = function() {
	var tab;
	var areaData;
	var estateList;// 楼盘名称
	var buildingList;// 楼栋列表
	var floorListQuery;// 楼层列表
	var roomNumberList;// 房号列表
	var buildingId;// 楼栋编号
	var estateListData;// 选中数据
	var buildingListData;// 选中数据
	var floorListData;// 选中数据
	var roomNumberData;// 选中数据
	var baseData = "";//基础数据
	var cityId = "";//城市id
	var araesId = "";
	var form;
	var form2;
	var houseData;//房屋数据
	var checkQueryFlag = true;
	var dataAreList = 0;//省市列表
	var lastNo = "";//推荐人工号
	var returnFlag =false;//判断控制延时1.5后发交易
	return {
		/**
		* 依赖组件
		*/
		requires : [ 'Fw.Tab', 'Fw.ListView', 'Fw.app.Session', 'Fw.Form', 'Fw.Keyboard' ],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '爱房估值',
			/**
			 * 右边按钮
			 */
			/* rightButton : false, */
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : ''
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			}, /*
				 * rightButton: { //自定义按钮标题（默认'返回'） text: '完成'
				 * //自定义按钮点击事件（默认App.leftButtonHandler） //handler: XXX },
				 */
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
			// 默认选项卡（默认0）
			});
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			form2 = new Fw.Form({
				// EL
				contentEl : 'form2',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			this.initEvents();
			this.initListView();
			this.initchooseAddress();
			form.setValues("aresPhoneNum", Fw.util.Format.fmtPhoneNum(Fw.app.Session.getLoginPhoneNo()));
		},

		initEvents : function() {
			$('#aresFlag').on('click', Fw.bind(this.chooseAddress, this));
			$('#pro_sel').on('click', Fw.bind(this.showPro, this));
			$('#city_sel').on('click', Fw.bind(this.showCity, this));
			$('#area_sel').on('click', Fw.bind(this.showArea, this));
			$('#aresAddrDetail').on('click', Fw.bind(this.searchHouseArea, this));
			$('#aresAddrDetailSearch').on('input', Fw.bind(this.controlQuery, this));
			form.on('submit', this.queryOnlinePrice, this);
			$('#submit-btn').on('click', Fw.bind(function() {form.submit();}, this));
			$("#deleteSearch").on('click', Fw.bind(this.deleteSearch, this));
			$('#submit-btnLoan').on('click', Fw.bind(function() {form2.submit();}, this));
			form2.on('submit', this.toOrderLoan, this);
			$("[name=Remark]").on('blur', Fw.bind(this.queryName, this));
			$('#submit-btn1').on('click', Fw.bind(this.initData, this));
			$('#agree-btn').on('click', Fw.bind(this.initLoan, this));
		},
		/*控制判断请求延时1.5s后发送*/
		controlQuery:function(){
			if(returnFlag){
			   return;
			}
			returnFlag =true;
			setTimeout(function(){
				returnFlag = false;
				App.queryHouseInfo();
			},1500)
		},
		/**
		* 初始化列表
		*/
		initListView : function() {
			// 楼盘列表
			estateListQry = new Fw.ListView({
				// EL
				contentEl : 'addrDetailInfo',// 加载数据
				cls : 'sx-list',
				groupCls : 'sx-list-group',
				groupHeaderBaseCls : 'sx-list-group-header',
				groupHeaderCls : 'sui-border-t',
				itemBaseCls : 'sx-list-item',
				itemCls : 'sui-border-t',
				pressedCls : 'sui-list-active',
				// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
				ajax : {
					// 数据源（服务接口）
					service : 'realEstateValuationService',
					method : 'queryEstateList',
					// 请求参数
					params : {},
					// 是否分页（默认true）
					page : false,
					staticData : false
				},
				// 分组字段（默认null）
				groupField : 'ProjectId',
				groupHeaderTpl : [

				],
				// 向右箭头（默认false）
				disclosure : false,
				// 数据展现模版
				itemTpl : [ '<div class="item-left">', '<div>${item.ProjectName}</div>', '</div>', '<div class="sx-arr"></div>', ]
			});

			// 楼栋列表
			buildingList = new Fw.ListView({
				// EL
				contentEl : 'addrDetailInfo',// 加载数据
				cls : 'sx-list',
				groupCls : 'sx-list-group',
				groupHeaderBaseCls : 'sx-list-group-header',
				groupHeaderCls : 'sui-border-t',
				itemBaseCls : 'sx-list-item1',
				itemCls : 'sui-border-t',
				pressedCls : 'sui-list-active',
				// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
				ajax : {
					// 数据源（服务接口）
					service : 'realEstateValuationService',
					method : 'queryBuildingList',
					// 请求参数
					params : {
						CityId : "",
						ProjectId : "",
						Key : ""
					},
					// 是否分页（默认true）
					page : false,
					staticData : false
				},
				// 分组字段（默认null）
				groupField : 'BuildingId',
				groupHeaderTpl : [

				],
				// 向右箭头（默认false）
				disclosure : false,
				// 数据展现模版
				itemTpl : [ '<div class="item-left">', '<div>${item.BuildingName}</div>', '</div>', '<div class="sx-arr"></div>', ]
			});

			// 楼层列表
			floorListQuery = new Fw.ListView({
				// EL
				contentEl : 'addrDetailInfo',// 加载数据
				cls : 'sx-list',
				groupCls : 'sx-list-group',
				groupHeaderBaseCls : 'sx-list-group-header',
				groupHeaderCls : 'sui-border-t',
				itemBaseCls : 'sx-list-item2',
				itemCls : 'sui-border-t',
				pressedCls : 'sui-list-active',
				// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
				ajax : {
					// 数据源（服务接口）
					service : 'realEstateValuationService',
					method : 'queryFloorList',
					// 请求参数
					params : {},
					// 是否分页（默认true）
					page : false,
					staticData : false
				},
				// 分组字段（默认null）
				groupField : 'Floor',
				groupHeaderTpl : [

				],
				// 向右箭头（默认false）
				disclosure : false,
				// 数据展现模版
				itemTpl : [ '<div class="item-left">', '<div>${item.Floor}</div>', '</div>', '<div class="sx-arr"></div>', ]
			});
			// 房号列表
			roomNumberList = new Fw.ListView({
				// EL
				contentEl : 'addrDetailInfo',// 加载数据
				cls : 'sx-list',
				groupCls : 'sx-list-group',
				groupHeaderBaseCls : 'sx-list-group-header',
				groupHeaderCls : 'sui-border-t',
				itemBaseCls : 'sx-list-item3',
				itemCls : 'sui-border-t',
				pressedCls : 'sui-list-active',
				// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
				ajax : {
					// 数据源（服务接口）
					service : 'realEstateValuationService',
					method : 'queryRoomNumberList',
					// 请求参数
					params : {},
					// 是否分页（默认true）
					page : false,
					staticData : false
				},
				// 分组字段（默认null）
				groupField : 'HouseName',
				groupHeaderTpl : [

				],
				// 向右箭头（默认false）
				disclosure : false,
				// 数据展现模版
				itemTpl : [ '<div class="item-left">', '<div>${item.HouseName}</div>', '</div>', '<div class="sx-arr"></div>', ]
			});
			estateListQry.on('itemclick', App.selectEstateListQry, this);
			buildingList.on('itemclick', App.selectBuildingList, this);
			floorListQuery.on('itemclick', App.selectFloorList, this);
			roomNumberList.on('itemclick', App.selectRoomNumberList, this);
		},
		deleteSearch : function() {
			$('#aresAddrDetailSearch').val("");
			$("#studentInfo").addClass("sui-hide");
			buildingId = '';// 楼栋编号
			estateListData = '';// 选中数据
			buildingListData = '';// 选中数据
			floorListData = '';// 选中数据
			roomNumberData = '';// 选中数据
			baseData = "";
		},
		/**开始查询楼盘信息*/
		searchHouseArea : function() {
			if (cityId == "" || (araesId == "" && dataAreList != 0)) {
				Fw.Msg.info('请先选择需要估值的地区');
				return;
			}
			App.viewConfig.rightButton = true;
			App.viewConfig.rightButton = {text : "完成"};
			Fw.apply(App.viewConfig, this.viewConfig);
			Fw.device.Device.applyView(App);
			tab.setActiveItem(1);
		},
		queryHouseInfo : function() {
			var info = $("#aresAddrDetailSearch").val();
			if (info.trim() == "") {
				return;
			} else {
				var tail = baseData.split("|");
				if ((tail.length > 0 && info.indexOf(tail[0]) == -1) || baseData == "") {
					checkQueryFlag = false;
					baseData = "";
					$('#addrDetailInfo').empty();
					$("#studentInfo").removeClass("sui-hide");
					$("#houseInfo").html("楼盘信息");
					estateListQry.ajax.clearParams();// 清除所有查询条件
					estateListQry.ajax.setParams("CityId", cityId);
					estateListQry.ajax.setParams("AreaId", araesId);
					estateListQry.ajax.setParams("Key", info);
					estateListQry.loadData();
					estateListQry.ajax.on('query', this.onQuerySchoolList, this);
					return;
				}
				if ((tail[1] == "" || (tail[1] != "" && info.indexOf(tail[1]) == -1)) && info.indexOf(tail[0]) != -1) {
					baseData = tail[0] + "|";
					$("#aresAddrDetailSearch").val(App.replaceAllStr(info));
					var key = info.substring(info.indexOf(tail[0]) + tail[0].length, info.length);
					App.selectEstateListQry("", key);
					return;
				}
				if (info.indexOf(tail[1]) != -1 && ((tail[2] != "" && info.indexOf(tail[2]) == -1) || tail[2] == "")) {
					baseData = tail[0] + "|" + tail[1] + "|";
					$("#aresAddrDetailSearch").val(info);
					var key = info.substring(info.indexOf(tail[1]) + tail[1].length, info.length);
					App.selectBuildingList("", key);
					return;
				}
				if (info.indexOf(tail[2]) != -1 && ((info.indexOf(tail[3]) == -1 && tail[3] != "") || tail[3] == "")) {
					baseData = tail[0] + "|" + tail[1] + "|" + tail[2] + "|";
					$("#aresAddrDetailSearch").val(App.replaceAllStr(info));
					var key = info.substring(info.indexOf(tail[2]) + tail[2].length, info.length);
					App.selectFloorList("", key);
					return;
				}
			}
		},
		selectEstateListQry : function(item, key) {
			$('#addrDetailInfo').empty();
			$("#studentInfo").removeClass("sui-hide");
			$("#houseInfo").html("楼栋信息");
			if (item != "") {
				estateListData = item;
				baseData = estateListData.ProjectName + "|";
				$("#aresAddrDetailSearch").val(App.replaceAllStr(baseData));
			}
			buildingList.ajax.clearParams();// 清除所有查询条件
			buildingList.ajax.setParams("CityId", cityId);
			buildingList.ajax.setParams("ProjectId", estateListData.ProjectId);
			buildingList.ajax.setParams("Key", item == "" ? (key == undefined ? "" : key) : "");
			buildingList.loadData();
			buildingList.ajax.on('query', this.onQuerySchoolList, this);
		},

		selectBuildingList : function(item, key) {
			$("#studentInfo").removeClass("sui-hide");
			$("#houseInfo").html("楼层信息");
			$('#addrDetailInfo').empty();
			if (item == undefined) {
				return;
			}
			if (item != "") {
				buildingListData = item;
				baseData = baseData + buildingListData.BuildingName + "|";
				$("#aresAddrDetailSearch").val(App.replaceAllStr(baseData));
			}
			floorListQuery.ajax.clearParams();// 清除所有查询条件
			floorListQuery.ajax.setParams("CityId", cityId);
			floorListQuery.ajax.setParams("BuildingId", buildingListData.BuildingId);
			floorListQuery.ajax.setParams("Key", item == "" ? (key == undefined ? "" : key) : "");
			floorListQuery.loadData();
			floorListQuery.ajax.on('query', this.onQuerySchoolList, this);
		},

		selectFloorList : function(item, key) {
			$("#studentInfo").removeClass("sui-hide");
			$("#houseInfo").html("房号信息");
			$('#addrDetailInfo').empty();
			if (item != "") {
				floorListData = item;
				baseData = baseData + floorListData.Floor + "|";
				$("#aresAddrDetailSearch").val(App.replaceAllStr(baseData));
			}
			roomNumberList.ajax.clearParams();// 清除所有查询条件
			roomNumberList.ajax.setParams("CityId", cityId);
			roomNumberList.ajax.setParams("BuildingId", buildingListData.BuildingId);
			roomNumberList.ajax.setParams("Floor", floorListData.Floor);
			roomNumberList.ajax.setParams("Key", item == "" ? (key == undefined ? "" : key) : "");
			roomNumberList.loadData();
			roomNumberList.ajax.on('query', this.onQuerySchoolList, this);
		},

		selectRoomNumberList : function(item) {
			checkQueryFlag = true;
			$("#studentInfo").addClass("sui-hide");
			roomNumberData = item;
			baseData = baseData + roomNumberData.HouseName;
			$('#addrDetailInfo').empty();
			$("#aresAddrDetailSearch").val(App.replaceAllStr(baseData));
			form.setValues("ares", roomNumberData.BuildArea);
		},
		/**
		* 列表加载完成触发
		*/
		onQuerySchoolList : function(ajax, data, result) {
			var endmsg = [];
			if (data.List.length == 0) {
				endmsg[endmsg.length] = '<div class="x-loadmore ui-border-t" style="background-color:#fff">';
				endmsg[endmsg.length] = '<p class="x-loadmore-text" style="color: #aaaaa9;padding:10px 0px 10px 10px">请输入（楼盘、栋、单元、室）</p>';
				endmsg[endmsg.length] = '</div>';
				endmsg[endmsg.length] = '<div class="x-loadmore ui-loading-wrap ui-border-t">';
				endmsg[endmsg.length] = '<p class="x-loadmore-text">查无记录</p>';
			} else {
				endmsg[endmsg.length] = '<div class="x-loadmore ui-loading-wrap ui-border-t">';
				endmsg[endmsg.length] = '<p class="x-loadmore-text">加载完成</p>';
			}
			endmsg[endmsg.length] = '</div>';
			$('#addrDetailInfo').append(endmsg.join(""));
		},
		/**楼盘信息查询结束*/

		/**地区选择框代码开始*/
		initchooseAddress : function() {
			Fw.util.Ajax.query({
				service : 'realEstateValuationService',
				method : 'queryCityArea',// 默认为query，方法名称必须是query开头
				// 请求参数
				params : {
					PFlag : '0'
				},
				loadMask : true,
				success : function(data, result) {
					Fw.LoadMask.hide();
					if (!data) {
						return;
					}
					if(data.List.length > 0){
						areaData = data.List;
					}else{
						Fw.Msg.info("查询支持估值地区信息为空,请稍后重试。");
					}
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		chooseAddress : function() {
			//重新初始化搜索界面
			araesId = "";
			$("#aresAddrDetail").val("");
			$("#aresAddrDetailSearch").val("");
			$("#ares").val("");
			$('#addrDetailInfo').empty();
			var endmsg = [];
			endmsg[endmsg.length] = '<div class="x-loadmore ui-border-t" style="background-color:#fff">';
			endmsg[endmsg.length] = '<p class="x-loadmore-text" style="color: #aaaaa9;padding:10px 0px 10px 10px">请输入（楼盘、栋、单元、室）</p>';
			endmsg[endmsg.length] = '</div>';
			$('#addrDetailInfo').append(endmsg.join(""));
			if (!areaData) {
				Fw.util.Ajax.query({
					service : 'realEstateValuationService',
					method : 'queryCityArea',// 默认为query，方法名称必须是query开头
					// 请求参数
					params : {
						PFlag : '0'
					},
					loadMask : true,
					success : function(data, result) {
						Fw.LoadMask.hide();
						if (!data) {
							return;
						}
						if(data.List.length > 0){
							areaData = data.List;
						}else{
							Fw.Msg.info("查询支持估值地区信息为空,请稍后重试。");
							return;
						}
						var content = "";
						var provinceId = "";
						$.each(data.List, function(i, c) {
							if (c.ProvinceName.indexOf("江苏") != -1) {
								provinceId = c.ProvinceId;
							}
							content += "<div id='pro_" + c.ProvinceId + "' onclick='App.chooseCity(\"" + c.ProvinceId + "\")'>" + c.ProvinceName + "</div>";
						});
						$("#pro_div").html(content);
						$("#cPro").show();
						$("#cCity").hide();
						$("#cArea").hide();
						if (provinceId != "") {
							App.chooseCity(provinceId);
						} else {
							$("#pro_sel").html("请选择");
							App.showPro();
						}
						$('#cityArea').css("display", "-webkit-box");
					},
					failure : function(status, textStatus, error) {
						Fw.LoadMask.hide();
						Fw.Msg.error(error);
						return false;
					}
				});
			} else {
				if ($("#pro_div div").length == 0) {
					var content = "";
					$.each(areaData, function(i, c) {
						if (c.ProvinceName.indexOf("江苏") != -1) {
							provinceId = c.ProvinceId;
						}
						content += "<div id='pro_" + c.ProvinceId + "' onclick='App.chooseCity(\"" + c.ProvinceId + "\")'>" + c.ProvinceName + "</div>";
					});
					$("#pro_div").html(content);
					if (provinceId != "") {
						App.chooseCity(provinceId);
					} else {
						$("#pro_sel").html("请选择");
						App.showPro();
					}
				}
				$('#cityArea').css("display", "-webkit-box");
			}
		},
		// 选择地址
		chooseCity : function(index) {
			$("#pro_sel").html($("#pro_" + index).html());
			$("#top_show label").removeClass("bottom-style");
			$("#city_sel").addClass("bottom-style");
			Fw.util.Ajax.query({
				service : 'realEstateValuationService',
				method : 'queryCityArea',// 默认为query，方法名称必须是query开头
				// 请求参数
				params : {
					PFlag : '1',
					ProvinceId : index
				},
				loadMask : true,
				success : function(data, result) {
					Fw.LoadMask.hide();
					if (!data) {
						return;
					}
					var content = "";
					$.each(data.List, function(i, c) {
						content += "<div id='city_" + c.CityId + "' data-cityId ='" + c.CityId + "' onclick='App.chooseArea(\"" + c.CityId + "\")'>" + c.CityName + "</div>";
					});
					$("#cPro").hide();
					$("#cCity").show(500);
					$("#cArea").hide();
					$("#city_div").html(content);
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					Fw.Msg.error(error);
					return false;
				}
			});
		},
		// 选择地址
		chooseArea : function(index) {
			cityId = $("#city_" + index).attr("data-cityId");
			$("#city_sel").html($("#city_" + index).html());
			$("#top_show label").removeClass("bottom-style");
			$("#area_sel").addClass("bottom-style");
			Fw.util.Ajax.query({
				service : 'realEstateValuationService',
				method : 'queryCityArea',// 默认为query，方法名称必须是query开头
				// 请求参数
				params : {
					PFlag : '2',
					CityId : index
				},
				loadMask : true,
				success : function(data, result) {
					Fw.LoadMask.hide();
					dataAreList = data.List.length;
					if (!data) {
						return;
					}
					if (dataAreList == 0) {
						dataAreList = 0
						araesId = '';
						App.onHide();
						return;
					}
					var content = "";
					$.each(data.List, function(i, c) {
						content += "<div id='area_" + c.AreaId + "'  data-areaId ='" + c.AreaId + "' onclick='App.settingArea(\"" + c.AreaId + "\")'>" + c.AreaName + "</div>";
					});
					$("#cPro").hide();
					$("#cCity").hide();
					$("#cArea").show(500);
					$("#area_div").html(content);
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					Fw.Msg.error(error);
					return false;
				}
			});
		},
		// 选择地址
		settingArea : function(index) {
			araesId = $("#area_" + index).attr("data-areaId");
			$("#area_sel").html($("#area_" + index).html());
			App.onHide();
		},
		onHide : function() {
			if ($("#city_sel").html() == "请选择" || ($("#area_sel").html() == "请选择" && dataAreList != 0)) {
				Fw.Msg.info("请正确选择所在地区！");
				return;
			}
			if(dataAreList != 0){
				$("[name=aresAddr]").val($("#pro_sel").html() + $("#city_sel").html() + $("#area_sel").html());
			}else{
				$("[name=aresAddr]").val($("#pro_sel").html() + $("#city_sel").html());
			}
			$('#cityArea').css("display", "none");
		},
		showPro : function() {
			$("#cPro").show(500);
			$("#cCity").hide();
			$("#cArea").hide();
			$("#top_show label").removeClass("bottom-style");
			$("#pro_sel").addClass("bottom-style");
			$("#city_sel").html("请选择");
			$("#area_sel").html("请选择");
			$("#city_div").empty();
			$("#area_div").empty();
		},
		showCity : function() {
			$("#cPro").hide();
			$("#cCity").show(500);
			$("#cArea").hide();
			$("#top_show label").removeClass("bottom-style");
			$("#city_sel").addClass("bottom-style");
			$("#area_sel").html("请选择");
			$("#area_div").empty();
		},
		showArea : function() {
			$("#cPro").hide();
			$("#cCity").hide();
			$("#cArea").show(500);
			$("#top_show label").removeClass("bottom-style");
			$("#area_sel").addClass("bottom-style");
		},
		/**地区选择框代码结束*/
		/**在线查价*/
		queryOnlinePrice : function() {
			if (cityId == "" || (araesId == "" && dataAreList != 0)) {
				Fw.Tips.info('请先选择需要估值的地区');
				return;
			}
			if (!checkQueryFlag) {
				Fw.Tips.info("请选择完整的详细地址！");
				return;
			}
			var aresAddrDetail = $("#aresAddrDetail").val();
			if (aresAddrDetail=="") {
				Fw.Tips.info("请选择详细地址！");
				return;
			}
			var ares = $("#ares").val();
			if (ares=="") {
				Fw.Tips.info("请输入房产面积！");
				return;
			}
			var buildArea = roomNumberData.BuildArea ? $("#ares").val() : roomNumberData.BuildArea;
			Fw.util.Ajax.execute({
				service : 'realEstateValuationService',
				method : 'executeOnlinePriceCheck',
				params : {
					CityId : cityId,
					AreaId : araesId,
					PropertyType : "1031001",
					ProjectId : estateListData.ProjectId,
					ProjectName : estateListData.ProjectName,
					BuildingId : buildingListData.BuildingId,
					BuildingName : buildingListData.BuildingName,
					Floor : floorListData.Floor,
					HouseId : roomNumberData.HouseId,
					HouseName : roomNumberData.HouseName,
					BuildArea : buildArea,
					PropertyName : "",// 物业名称
					TotalFloor : buildingListData.TotalFloor,// 总楼层
					FrontCode : "",
					NeedPriceType : "0",
					IsTransferToManual : "0",
					BuildCompleteTime : "",
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#totalPrice").html(Fw.util.Format.fmtAmt(data.totalPrice));
					App.viewConfig.title = "评估结果";
					Fw.apply(App.viewConfig, this.viewConfig);
					Fw.device.Device.applyView(App);
					tab.setActiveItem(2);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},
		toOrderLoan : function() {
			var address = $("#Address").val();
			var buildArea = Fw.util.Format.unFmtAmt($("#houseValue").val());
			Fw.util.Ajax.execute({
				service : 'realEstateValuationService',
				method : 'executeLoanBookingFYD',
				params : {
					Address : address,
					HouseValue : buildArea,
					ManualNo : lastNo
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					App.viewConfig.title = "预约成功";
					Fw.apply(App.viewConfig, this.viewConfig);
					Fw.device.Device.applyView(App);
					tab.setActiveItem(5);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {

				}
			});
		},
		/**在线查价结束*/
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0  ) {
				App.gobackUrl();
			} else if (index == 1) {
				App.viewConfig.rightButton = false;
				Fw.apply(App.viewConfig, this.viewConfig);
				Fw.device.Device.applyView(App);
				tab.setActiveItem(0);
			} else if (index == 4) {
				tab.movePrev();
			} else if(index == 2){
                App.deleteSearch();
				$("#aresAddrDetail").val("");
				$("#ares").val("");
				App.viewConfig.title = "爱房估值";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				tab.setActiveItem(0);
			}else{
				App.gobackUrl();
			}
		},
		rightButtonHandler : function() {
			var index = tab.getActiveItemIndex();
			if (index == 1) {
				if ($('#aresAddrDetailSearch').val() != "") {
					form.setValues('aresAddrDetail', $('#aresAddrDetailSearch').val());
				}
				App.viewConfig.rightButton = false;
				Fw.apply(App.viewConfig, this.viewConfig);
				Fw.device.Device.applyView(App);
				tab.setActiveItem(0);
			}
		},
		replaceAllStr : function(str) {
			if (str) {
				return str.replace(/\|/g, "");
			} else {
				return '';
			}
		},
		initLoan : function() {
			$("#CertId").val(Fw.app.Session.getIdNo());
			$("#certType").val(Fw.util.Format.fmtIdType(Fw.app.Session.getIdType()));
			$("#Address").val($("#aresAddr").val() + "" + $("#aresAddrDetail").val());
			$("#houseValue").val($("#totalPrice").html());
			$("#CustomerName").val(Fw.app.Session.getCustName());
			tab.setActiveItem(4);
		},
		initData : function() {// 查询征信授权信息
			App.viewConfig.title = "贷款预约";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
			$("#custName_span").text(Fw.app.Session.get("Name"));
			var idTypeName = Fw.util.Format.fmtIdType(Fw.app.Session.get("IdType"));
			$("#cerTypeName").text(idTypeName);
			$("#cerNo").text(Fw.app.Session.get("IdNo"));
			tab.setActiveItem(3);
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeCreditAuthorizaQry',
				// 请求参数
				params : {

				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("[name=bankNme_span]").text(data.DeptName);
					$("[name=area_span]").text(data.BelongArea);
					$("#date").text(data.CurDate);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error, function() {
						App.gobackUrl();
					});
					return false;
				}
			});
		},
		/**
		 * 网贷推荐人姓名查询
		 */
		queryName : function() {
			var thisNo = $("[name=Remark]").val();
			var name = $("[name=XM]").val();
			// 当用户没有输入人工号时，不执行此方法
			if (thisNo == "" || thisNo == null) {
				return;
			}
			// 已经成功查询到推荐人姓名，并且前后两次人工号相同时，不执行此方法
			if ((name != "" || name != null) && (thisNo == lastNo)) {
				return;
			}
			Fw.util.Ajax.query({
				service : 'loadService',
				method : 'queryRecommendNamebyNo',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					AtrifiNum : $("[name=Remark]").val(),
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (data.Attribute1 == "" || data.Attribute1 == null) {
						$("[name=XM]").val("");
						lastNo = "";
						return;
					} else {
						$("[name=XM]").val(data.Attribute1);
						lastNo = thisNo;
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					lastNo = "";
					$("[name=XM]").val("");
					Fw.Msg.info("查询不到推荐人姓名，请重新输入推荐人工号!");
					return false;
				}
			});
		},
		gobackUrl:function(){
			var param = Fw.decode(Fw.getParameters()?Fw.getParameters():'{}');
			if(undefined != param.backFlag && param.backFlag == "Online"){
				Fw.redirect("../menu/onLineLoan.html");
			}else if(undefined != param.backFlag && param.backFlag == "LOAN"){
				Fw.redirect("../menu/main.html");
			}else{
				Fw.device.Device.gotoIndex();
			}
		}
	};
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);