/**
 * 选项卡#子页面1
 */
App.Item1 = function() {
    var tab1;
    var form1;
	var t1;
	var Photo;
	var applyreturn=false;//判断额度申请防重复提交
	var listView;
    return {
        
        viewConfig: {
            title: '额度申请',
            rightButton: false,
            leftButton: {
                text: ''
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(parTab) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	tab1 = parTab;
        	form1 = new Fw.Form({
				contentEl : 'form1',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
        	this.initEvents();
        	//初始化数据
        	this.initData();
        },
     // 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
				},
			});
		},
        /**
         * 初始化事件
         */
        initEvents: function(){
        	form1.on('beforesubmit', this.beforeSubmit, this);
			form1.on('submit', this.beforeDoSubmit, this);
        	$("#sign-btn").on("click", Fw.bind(this.submitLimit,this));
        	$("#productInfo").on("click", Fw.bind(this.loadProductInfo,this));
        },
        
        loadProductInfo:function(){//点击加载产品信息
        		listView = new Fw.ListView({
    				contentEl : 'prodListView',              
    				ajax : {
    					service : '',
    					method:"",
		            	params:{},
    					page: false,
    					staticData: false,
    				},
    				cls: '',
	                groupCls: '',
	                groupHeaderBaseCls: '',
	                groupHeaderCls: '',
	                itemBaseCls: 'sx-list-item',
	                itemCls: 'sui-border-t',
	                pressedCls: '',
	                disclosure: false,
    				itemTpl: [
    				    '<div class="radius_text">',
	    				    '<div class="text_content">',
		    				    '<div class="text_title">产品名称</div>',
		    				    '<span>${item.Businesstypename}</span>',
	    				    '</div>',
	    				    '<div class="text_content">',
		    				    '<div class="text_title">产品编号</div>',
		    				    '<span>${item.Businesstypeno}</span>',
	    				    '</div>',
    				    '</div>',
    				]
    			});
        		$('#prodListView').empty();
        		listView.onLoadData(listView.ajax, App.parames.List);
        		App.viewConfig.title = "产品信息";
				Fw.apply(App.viewConfig, this.viewConfig);
				Fw.device.Device.applyView(App);
        		tab1.setActiveItem(17);
        },
        /**
         * 初始化页面
         */
        initData: function(){
        	$("input[name=AcName]").val(Fw.app.Session.getCustName());//姓名
        	$('input[name=IdNO]').val(Fw.util.Format.fmtAcctNo(Fw.app.Session.getIdNo(), true));//身份证号
        	$("input[name=IdType]").val(Fw.util.Format.fmtIdType(Fw.app.Session.getIdType()));
        	$("#products").html(App.parames.LoanNameX);
			$("#proMaxMoney").html("30");
        },
		
		/**
		 * 查询申请进度
		 * @returns
		 */
        queryLimitStatus: function(flag){
			Fw.util.Ajax.query({
              service: 'consumeLoadService',
              method: 'queryNetLoanMultiProdLimitApplyQry',//默认为query，方法名称必须是query开头
              //请求参数
              params: {
            	  FlagType: 'DEIL'
              },
              loadMask: true,
              success: function(data, result) {
              	Fw.LoadMask.hide(1000);
              	if(!data)
          		{
              		return;
          		}
              	//查询成功
				clearTimeout(t1);
				if(data.Code == "A002"){	//有额度申请信息，跳转到合同建立页面
					var CreBusinessSum = Fw.util.Format.unFmtAmt(data.CreBusinessSum);//综合授信总额
					var AvailableCreditLimit = Fw.util.Format.unFmtAmt(data.AvailableCreditLimit);//综合授信可用额度
					if(Fw.util.Format.fmtUndefinedData(CreBusinessSum) != "" && CreBusinessSum > 0){
						$("#sx_total").html(Fw.util.Format.fmtAmt(CreBusinessSum));
						$("#sx_limit").html(Fw.util.Format.fmtAmt(AvailableCreditLimit));
						$("#sx_content").show();
						$("#pro_end").css("border-bottom","");
					}else{
						$("#sx_content").hide();
						$("#pro_end").css("border-bottom","1px solid #ccc");
					}
					//进入合同建立
					App.BusinessSum = Fw.util.Format.unFmtAmt(data.Businesssum);//额度
					App.RelativeSerialNo = data.Wdserialno;//流水号
					App.TermMonth = data.TermMonth;
					$("#doneSum").html(Fw.util.Format.fmtAmt(data.Businesssum));
					$("#limitSxSum").html(Fw.util.Format.fmtAmt(data.Businesssum));
					$("#limitBusinesssum").val(Fw.util.Format.fmtAmt(data.Businesssum));
					$("#doneMonth").html(data.TermMonth);
					$("#donePro").html(data.BusinessTypeName);
					$("#doneRate").html(data.Rate + "%");
					//新增签署合同字段
					App.RegionCodeName = data.RegionCodeName;//省市县中文
					App.RegionCode = data.RegionCode;//省市县代码
					App.FamilyZip = data.FamilyZip;//邮编
					App.EmailAdd = data.EmailAdd;
					App.PeiTelephone = data.PeiTelephone; 
					App.CoreRate = data.Rate;//利率
					App.BusinessTypeX = data.BusinessType;//产品编号
					App.BusinessTypeNameX = data.BusinessTypeName;//产品名称
					App.FlagType = data.FlagType;//产品名称
					App.viewConfig.title = "网贷产品";
					Fw.apply(App.viewConfig, this.viewConfig);
					Fw.device.Device.applyView(App);
					tab1.setActiveItem(7);
				}else if(data.Code == "A001"){	//正在处理，跳转进度查看页面
					tab1.setActiveItem(6);
					t1 = setTimeout(function(){App.Item1.queryLimitStatus();},60000);
				}else if(data.Code == "A003"){
					var dataMsg = data.Desc||"";
					if(dataMsg.indexOf("异常") != -1||dataMsg.indexOf("超时")!=-1){
					    $("#baocuoXinxi").html("很遗憾....");
					    $("#baocuoXinxi1").html("系统可能暂时不稳定，请稍后重新申请");
   				    }else{
                        $("#baocuoXinxi").html("很遗憾，您的额度申请未获通过！");
   					    $("#baocuoXinxi1").html("请您至我行网点咨询办理");
   				    }
					tab1.setActiveItem(4);
				}else if(data.Code == "A005"){
					if(flag){
						$("[name=smsEdText]").empty();	//清空短信验证码
						Fw.Msg.info("网贷产品由客户自主申请，自主使用，不得转移资金用途，本行未与任何中介机构合作，除贷款利息外，不收取任何手续费、中介费，请您确保资金安全，谨防上当受骗!");
						tab1.setActiveItem(1);
					}else{
						//其他状态一致发起额度申请
						$("#descDiv").html("无有效申请进度，请重新发起申请！");
						tab1.setActiveItem(10);
					}
        		}
              },
              failure : function(status, textStatus, error) {
            	  Fw.LoadMask.hide();
            	  Fw.Msg.error(error, function(){
            		   App.goBackUrl();
	                });
					return false;
              }
			});
        },
        submitLimit:function(){
        	form1.submit();
        },
        beforeSubmit : function(values) {
		},
		
		//判断如果EI类型存在则进行人脸识别操作不存在则不进行人脸
		beforeDoSubmit : function(values) {
			Fw.device.Device.getCamara('App.Item1.getFaceData');
		},
        /**
         * 获取到人脸数据并上报
         */
      	getFaceData: function(data){
      		form1.values.ImgData='';
      		form1.values.Img=data;
      		form1.values.DeviceId='';
      		form1.values.MacNum='';
      		form1.values.Flag='1';// 使用图片比对
      		form1.values.IdNo = Fw.app.Session.getIdNo();
      		form1.values.IdType = Fw.app.Session.getIdType();
      		form1.values.CifName = Fw.app.Session.getCustName();
      		form1.values.DeptId=Fw.app.Session.getCifDeptId();
      		form1.values.SignChannel = "MOB-dkyx";
        	//人脸识别比对
      		Fw.util.Ajax.query({
    		     service: 'loadService',
    	         method: 'executeFaceCheck',
    		     loadMask: true,
    	         //请求参数
    	         params: form1.values,
    	         //请求成功后回调
    	         success: function(data, result) {
	                 Fw.LoadMask.hide();
    	            	if(data.FaceiIdentificationFlag == '1'){//人脸比对失败
    	            		//图片置空
    	            		form1.values.Img = "";
    	            			var message = data._RejMsg||"";
    	            			if(Fw.isEmpty(message)){
    	            				message = "人脸识别比对失败。";
    	            			}
    	            			Fw.Msg.info(message,function(){
    	            			});
    	            	}else{//人脸比对通过
    	            		Photo = form1.values.Img;
    	            		App.Item1.doSubmit();
    	            	}
    	        },
	    		failure : function(status, textStatus, error) {
	    				Fw.LoadMask.hide();
	    				Fw.Msg.error(error,function(){
	    					//图片置空
    	            		form1.values.Img = "";
	    				});
	    				return false;
	    		}
    		 });
      	},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			if(applyreturn){
				return;
			}
			applyreturn = true;
			
			var psd = form1.getValues("Password");
			var valueObj = new Object();
			valueObj["Password"] = psd;
			valueObj["Certid"] = Fw.app.Session.getIdNo();//证件号码
			valueObj["Certtype"] = Fw.app.Session.getIdType();//证件类型
			valueObj["Fullname"] = Fw.app.Session.getCustName();//客户名称
			valueObj["TelNo"] = Fw.app.Session.getLoginPhoneNo();
			valueObj["TermMonth"] = App.parames.Maxtermmonth_New;//最大的产品期限
			valueObj["BsTypeList"] = App.parames.Businesstypeno_New;//拼接后的产品名称
			var smscode = $("input[name=smsEdText]").val();
			valueObj["smscode"] = smscode;
			valueObj["smsSecurity"] = App.smsSecurity;
			valueObj["ApplyOrg"] = App.deptIdName?App.deptIdName:"";
			valueObj["Photo"] = Photo;
			valueObj["OrgName"] = App.org_name;
			valueObj["Remark"] = $("input[name=Remark]").val();	//推荐人工号
			valueObj["Address"] = $("input[name=Address]").val();
			valueObj["ProductFlag"] = "DEI";//拼接后的产品名称
			//提交额度申请
			Fw.util.Ajax.query({
                service: 'consumeLoadService',
                method: 'executeNetLoanDTypeLimitApply',//默认为query，方法名称必须是query开头
                //请求参数
                params: valueObj,
                loadMask: true,
                success: function(data, result) {
                	applyreturn = false;
                	if(!data){
                		return;
            		}
                	App.viewConfig.title = "网贷额度申请";
					Fw.apply(App.viewConfig, this.viewConfig);
					Fw.device.Device.applyView(App);
                	App.Item1.queryLimitStatus();
                },
                failure : function(status, textStatus, error) {
                	applyreturn = false;
                	Fw.Msg.error(error);
     				return false;
    			}
            });
		}
    };
}();