/**
 * 贷款还款数据
 */
var App = function() {
	var tab;
	var loanRemainListView; //贷款列表
	var cardlist; //卡列表
	var today; //当前日期
	var ydtLoanItemCls; //易贷通贷款卡数据
	var yue; //卡余额
	var ydtLoanData; //易贷通贷款还款数据
	var loanDataPT; //普通贷款还款数据
	var form; //易贷通还款表单
	var buttons = $('button');
	var TotlrblPT; //普通贷款本期应收合计
	var lnVarCont = "0"//普通贷款默认为0不支持提前还款，1为支持
	var loadType;
	var baseData;//界面携带参数
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	var itemCls;//存单质押还款合同数据
	var depositflag = false;
    return {
        /**
         * 依赖组件
         */
        requires: [
			'Fw.Tab',
			'Fw.ListView',
			'Fw.Form',
			// 安全键盘
			'Fw.Keyboard',
			'Fw.app.Session',
			'Fw.BluetoothKey'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '贷款详情',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: false
        },
        
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	//获取当前选项卡序号
        	var index = tab.getActiveItemIndex();
        	if(depositflag){
        		if(index == 6 || index == 4) {
        			Fw.redirect("../menu/main.html");
        		}else if(index == 5){
        			tab.setActiveItem(4);
        		}else if(index == 1){
        			tab.setActiveItem(5);
        			$('#pageA').addClass('sui-hide');
     				$('#nextBtnDiv').addClass('sui-hide');
     				$('#nextBtnDiv').removeClass('sui-btn-wrap');				
     				
     				$("#AmountA").val("0.00");
     				$("#bakLab").hide();				
     				$("#AmountA1").val("0.00");
     				
     				$("#AmountAL").show();
     				$("#AmountA1L").hide();
     				
     				
     				
     				App.viewConfig.title = "贷款详情";
     				Fw.apply(App.viewConfig, this.viewConfig);
     				// 设置标题栏
     				Fw.device.Device.applyView(App);
        		}else if(index == 2){
        			App.clearFormData();
        			tab.setActiveItem(1);
        		}else{
        			Fw.device.Device.gotoIndex();
        		}
        	}else{
        		if(index == 1) {
        			/*判断携带参数返回跳转至账户总览界面*/
        			if(undefined != baseData.backFlag && baseData.backFlag == "AAA"){//判断跳转至合同界面
        				Fw.redirect(baseData.backUrl);
        				return;
        			}
     				// 返回上一页
        			tab.setActiveItem(0);
     				$('#pageA').addClass('sui-hide');
     				$('#nextBtnDiv').addClass('sui-hide');
     				$('#nextBtnDiv').removeClass('sui-btn-wrap');				
     				
     				$("#AmountA").val("0.00");
     				$("#bakLab").hide();				
     				$("#AmountA1").val("0.00");
     				
     				$("#AmountAL").show();
     				$("#AmountA1L").hide();
     				
     				App.viewConfig.title = "贷款详情";
     				Fw.apply(App.viewConfig, this.viewConfig);
     				// 设置标题栏
     				Fw.device.Device.applyView(App);
     			}else if(index == 2){
     				App.clearFormData();
     				// 返回上一页
     				tab.setActiveItem(1);
     			}else if(index == 0){
     				tab.setActiveItem(4);
     			}else if(undefined != baseData.backFlag && (baseData.backFlag == "LOAN"||baseData.backFlag == "AAA")){
     				/*判断还款成功后返回账户总览界面*/
     				if(undefined != baseData.backFlag && baseData.backFlag == "AAA"){//判断跳转至合同界面
        				Fw.redirect(baseData.backUrl);
        				return;
        			}
     				Fw.redirect("../menu/main.html");
     			}else{
     				Fw.device.Device.gotoIndex();
     			}
        	}
        },
        
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//定义选项卡
            tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab',
            });
            
            //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
        	//初始化事件
        	this.initEvents();
        	//初始化数据
        	this.initData();
        	//获取从从账户总览所传数据
        	baseData = Fw.decode(Fw.getParameters()?Fw.getParameters():'{}');//界面携带参数
        	if(undefined != baseData.backFlag && baseData.backFlag == "AAA"){//判断跳转至合同界面)
        		App.queryPreRePayable();
        	}else{
	        	setTimeout(function(){
	        		tab.setActiveItem(4);
	        	},500);
        	}
        },
        //查询是否支持提前还本
        queryPreRePayable:function(){
        	 Fw.util.Ajax.query({
        		 service: 'loadService',
                 method: 'queryPreRePayableQry',
                 //请求参数
                 params: {},
                 //请求成功后回调
                 success: function(data, result) {
                	 lnVarCont = data.LnVarCont;//是否可以提前还本标志
                	 if(baseData.backFlag == "AAA"){
                		 App.onSelectRecord(baseData.data);
                	 }else{
                		 if(depositflag){
                			 App.PledgeLoanRecord()
                		 }else{
                			 tab.setActiveItem(0);
                			 App.initListView(); 
                		 }
                	 }
                 },
                 failure : function(status, textStatus, error) {
                	//查询是否支持提前还本，交易报错默认不支持提前还本
                	 if(baseData.backFlag == "AAA"){
                		 App.onSelectRecord(baseData.data);
                	 }else{
                		 if(depositflag){
                			 App.PledgeLoanRecord()
                		 }else{
                			 tab.setActiveItem(0);
                			 App.initListView(); 
                		 }
                	 }
                	 return false;
 				}
             });
        },
        /**
         * 初始化事件
         */
        initEvents:function(){
        	$("#balanceBtn").on('click', Fw.bind(this.queryBalance, this));
        	$("[name=cardlist]").on('change', Fw.bind(this.changeCard, this));
        	$("[name=showhk]").on('change', Fw.bind(this.huankuan, this));
        	$("[name=depositselect]").on('change', Fw.bind(this.huankuan, this));
        	$("[name=deposithkway]").on('change', Fw.bind(this.deposittypechange, this));
            //触发提交事件触发  还款提交
        	form.on('submit', this.doSubmit, this);
            //点击按钮时触发（保存、重置、重发验证码）
            buttons.tap(Fw.bind(this.onButtonClick, this));
            $('#queryInfo').on('click',function(){
				var a = $('#showhk option:selected').val();
				if(a=="2"||a=="3"){
					App.executeSearchRefundAccountInfo(a);//提前还款
				}
			});
            
            $('#EasyLoan').on('touchstart',Fw.bind(this.loantouchstart,this));
            $('#DepositLoan').on('touchstart',Fw.bind(this.loantouchstart,this));
            
            $('#EasyLoan').on('touchend',Fw.bind(this.loantouchend,this));
            $('#DepositLoan').on('touchend',Fw.bind(this.loantouchend,this));
            
            //跳转具体还款页面
            $('#EasyLoan').on('click', Fw.bind(this.onclickFunc,this));
            $('#DepositLoan').on('click', Fw.bind(this.onclickFunc,this));
        },
        
        //存E贷还款方式选择
        deposittypechange : function(){
        	var a = $('[name=deposithkway] option:selected').val();
        	$("[name=depositselect]").html("<option value='0'>请选择还款类型</option>");
        	if(a == "1"){
        		$("[name=depositselect]").append("<option value='1'>全额还款</option>");
        	}else if(a == "2"){
        		$("[name=depositselect]").append("<option value='1'>结清还款</option>");
        		$("[name=depositselect]").append("<option value='2'>当期还款</option>");
        		$("[name=depositselect]").append("<option value='3'>提前部分还款</option>");
        	}
        },
        
        onclickFunc:function(e){
        	var id = e.currentTarget ? e.currentTarget.id : e;
        	switch(id){
	        	case "EasyLoan": //易贷通还款
	        		depositflag = false;
	        		this.queryPreRePayable();
					break;
				case "DepositLoan": //存单质押还款
					depositflag = true;
					this.queryPreRePayable();
//					App.PledgeLoanRecord();
					break;
				default:
					break;
        	};
        },
        
        PledgeLoanRecord :function(){
        	Fw.util.Ajax.query({
        		service: 'depositReceiptService',
                method: 'queryCDPledgeLoanRecord',
                //请求参数
                params: {
                	TftFunCode : "1",
                	TftCustTyp : "1",
                	TftCustNO : Fw.app.Session.getCifNo(),
                	TftDesiBrh : Fw.app.Session.getParentDeptId(),
                	TftCurrCod : "01",
                	TftChkMethod : "01"
                },
                loadMask: true,
                success: function(data, result) {
                	Fw.LoadMask.hide();
                	depositList = data.List;
                	App.initDepositListView();
                	tab.setActiveItem(5);
                },
                failure : function(status, textStatus, error) {
                	Fw.LoadMask.hide();
                	Fw.Msg.error(error);
    			}
        	});
        },
        
        /**
		 * 初始化列表
		 * 存单质押列表
		 */
        initDepositListView :function(){
        	//定义贷款再借列表
        	depositListView = new Fw.ListView({
                contentEl : 'DepositListView',//加载数据
			    cls: 'sx-list',
			    groupCls: 'sx-list-group',
			    groupHeaderBaseCls: 'sx-list-group-header',
			    groupHeaderCls: 'sui-border-t',
			    itemBaseCls: 'sx-list-item',
			    itemCls: 'sui-border-t',
			    pressedCls: 'sui-list-active',
                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
			    ajax : {
					service : '',
					method:"",
	            	params:{},
					page: false,
					staticData: false,
				},
                //分组字段（默认null）
				groupField : '',
                groupHeaderTpl : [

          		],
                //向右箭头（默认false）
                disclosure: false,
                //数据展现模版
                itemTpl: [
                	'<div class="item-left">',
						'<div>账号</div>',
						'<div>合同号</div>',
						'<div>贷款余额</div>',
						'<div>起始日期</div>',
						'<div>到期日期</div>',
						'<div>贷款利率</div>',
					'</div>',
					'<div class="item-right">',
						'<div class="sui-item">${item.LnLnAcctNo|fmtAcctNo,true}</div>',
						'<div class="sui-item">${item.LnCtrtNo}</div>',
						'<div class="sui-item-lnbal">${item.LnLnBal|fmtAmt}</div>',
						'<div class="sui-item">${item.LnStatDtN|fmtStrSubDate}</div>',
						'<div class="sui-item">${item.LnDueDtN|fmtStrSubDate}</div>',
						'<div class="sui-item-intr">${item.LnIntr}%</div>',
					'</div>',
					'<hr class="sui-item-hr">',
					'<div class="sui-item-button">我要还款</div>',
                ]
            });
        	$('#DepositListView').empty();
        	// 贷款合同
        	depositListView.onLoadData(depositListView.ajax, depositList);
        	//选中记录时触发
        	depositListView.on('itemclick', this.onSelectDepositRecord, this);
        },
        
        onSelectDepositRecord : function(record, index, item, e, cmp){
        	ydtLoanItemCls = record;
//        	if(lnVarCont == "0"){
//				App.showLoanCardInfo();
//				$('#pageYDT').addClass("sui-hide");
//				$('#pageA').removeClass('sui-hide');
//			}else{
				if(today.replace(/\//g, '') == ydtLoanItemCls.LnStatDtN){
	        		Fw.Tips.info("借款当日不得归还贷款!");
					return;
	        	}
	        	this.initAcctNo();
	        	$('#pageA').addClass('sui-hide');
				$('#nextBtnDiv').addClass('sui-hide');
				$('#nextBtnDiv').removeClass('sui-btn-wrap');
				$('#pageYDT').removeClass("sui-hide");
				$('#pagePT').addClass("sui-hide");
	        	// 跳转还款界面  TAB1
				$("#LnBal").val(Fw.util.Format.fmtAmt(ydtLoanItemCls.LnLnBal));
				$("#AmountA1").val(Fw.util.Format.fmtAmt(ydtLoanItemCls.LnTotlLnAmtHypoAmt));
				$("#select").addClass("sui-hide");
				$("#deposithkwaydiv").removeClass("sui-hide");
				$("#depositselectdiv").removeClass("sui-hide");
				tab.setActiveItem(1);
				// 修改标题
				App.viewConfig.title = "贷款还款";
				Fw.apply(App.viewConfig, this.viewConfig);
				Fw.device.Device.applyView(App);
//			}
        },
        
        /**
         * 初始化数据
         */
        initData:function(){
        	this.initCurDate();
        },
        
        // 获取当前日期
		initCurDate : function() {
			Fw.util.Ajax.get({
				service : 'curdateService',
				method : 'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today = data['CurDate'];
				},
			});
		},
		
		initAcctNo : function() {
			$('[name="cardlist"]').empty();
			cardlist = Fw.app.Session.getAllCards();
        	var j = 0;
        	for(var i=0; i<cardlist.length; i++){
    			var card = cardlist[i];
    			if(card.BankAcType != "PCRC"){
    				$('[name="cardlist"]').append("<option value="+i+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
    				if(j == 0){
    					this.changeCard();
    				}
    				j++;
    			}
    		}
    		if(j == 0){
    			Fw.Msg.info('无可用还款账户', function(){
    				Fw.device.Device.gotoIndex();
                });
    		}
		},
		/**
		 * 切换卡
		 */
		changeCard : function() {
			var card = cardlist[$('[name="cardlist"]').val()];
			$('[name="showCurrency"]').val(Fw.util.Format.fmtCurrency(card.Currency.Code));
			$('[name="showBankAcType"]').val(Fw.util.Format.fmtCardType(card.BankAcType));
			App.queryBalance();// 查询余额
		},
		
		/**
		 * 查询余额
		 */
		queryBalance : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchDetail',
				// 请求参数
				params : {
					Account_No : cardlist[$('[name="cardlist"]').val()].No,
					Account_BankAcType : cardlist[$('[name="cardlist"]').val()].BankAcType
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					yue = data.AvailBal;
					if (yue == 0 || yue == "") {
						Fw.Tips.info("无可用余额");
						yue = "0.00";
					}
					$("#balance").val(Fw.util.Format.fmtAmt(yue));
				},
			});
		},
		
		/**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'next-btn':
                	this.nextstep();
                    break;
                  //提交表单
                case 'submit-btn':
                	form.submit();
                    break;
            }
        },
        
        /**
		 * 初始化列表
		 */
        initListView: function(){
        	//定义贷款详情列表
        	loanRemainListView = new Fw.ListView({
                contentEl : 'loanRemainListView',//加载数据
			    cls: 'sx-list',
			    groupCls: 'sx-list-group',
			    groupHeaderBaseCls: 'sx-list-group-header',
			    groupHeaderCls: 'sui-border-t',
			    itemBaseCls: 'sx-list-item',
			    itemCls: 'sui-border-t',
			    pressedCls: 'sui-list-active',
                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
                ajax : {
                	//数据源（服务接口）
                    service: 'loadService',
                    method: 'queryLoanRemainDetail',
                    //请求参数
                    params: {
                    	
                    },
                    //是否分页（默认true）
					page: false,
					staticData: false
                },
                //分组字段（默认null）
				groupField : 'LnAcctNo',
                groupHeaderTpl : [

          		],
                //向右箭头（默认false）
                disclosure: false,
                //数据展现模版
                itemTpl: [
						'<div class="item-left">',
							'<div>账号</div>',
							'<div>合同金额</div>',
							'<div>贷款余额</div>',
							'<div>利率</div>',
							'<div>到期日期</div>',
							'<div>归属机构</div>',
						'</div>',
						'<div class="item-right">',
							'<div>${item.LnAcctNo}</div>',
							'<div class="sui-item-lnbal">${item.TotlLnAmtHypoAmt|fmtAmt}</div>',
							'<div class="sui-item-lnbal">${item.LnBal|fmtAmt}</div>',
							'<div class="sui-item-intr">${item.Intr}%</div>',
							'<div>${item.DueDtN|fmtDate}</div>',
							'<div>${item.FlstOpunCodName}</div>',
						'</div>',
						'<hr class="sui-item-hr">',
						'<div class="sui-item-button">我要还款</div>',
                ]
            });
        	$('#loanRemainListView').empty();
           	//加载数据
        	loanRemainListView.loadData();
        	//载入数据后触发
        	//loanRemainListView.ajax.on('query', this.onQuery, this);
        	//loanRemainListView.onLoadData(loanRemainListView.ajax, Fw.decode(Fw.getParameters()));
        	//选中记录时触发
        	loanRemainListView.on('itemclick', this.onSelectRecord, this);
        },

        /**
         * 列表加载完成触发
         */
        onQuery: function(ajax, data, result) {
        	var endmsg=[];
        	endmsg[endmsg.length]='<div class="x-loadmore ui-loading-wrap ui-border-t">',
        	endmsg[endmsg.length]='<p class="x-loadmore-text">没有更多数据</p>',
        	endmsg[endmsg.length]='</div>'
        	$('#loanRemainListView').append(endmsg.join(""));
        },
        
        /**
         * 选中记录
         */
        onSelectRecord: function(record, index, item, e, cmp) {//itemCls
        	if(baseData.backFlag == "AAA" || e.target.className=="sui-item-button"){// 选中“我要还款”
        		$("#select").removeClass("sui-hide");
    			$("#deposithkwaydiv").addClass("sui-hide");
    			$("#depositselectdiv").addClass("sui-hide");
        		// 贷款还款列表   选中的一条数据
        		ydtLoanItemCls = record;
        		this.initAcctNo();
        		// CardFlg   借据类别 1-易贷通 0-非易贷通
        		loadType = ydtLoanItemCls.CardFlg;//借据类别
    			if(ydtLoanItemCls.CardFlg==0){ //普通贷款
    				if(lnVarCont == "0"){
    					App.showLoanCardInfo();
    					$('#pageYDT').addClass("sui-hide");
    					$('#pageA').removeClass('sui-hide');
    				}else{
    					// 选择还款方式
    					var showhkHtml = document.getElementById("showhk");
    					var sb = [];
    					sb[sb.length] = '<option value="0" selected ="true">请选择还款方式</option>';
            			sb[sb.length] = '<option value="1">全额还款</option>';
            			sb[sb.length] = '<option value="2">当期还款</option>';
            			sb[sb.length] ='<option value="3">提前部分还款</option>';
    					showhkHtml.innerHTML = sb.join("");
    					//初始化还款金额显示
            			$("#AmountA").val("0.00");
            			$("#AmountA1").val("0.00");
            			$("#LnBal").val(ydtLoanItemCls.LnBal);
            			$("#AmountAL").show();
            			$("#AmountA1L").hide();
            			$("#bakLab").hide();
            			
            			$('#pageA').addClass('sui-hide');
            			$('#nextBtnDiv').addClass('sui-hide');
            			$('#nextBtnDiv').removeClass('sui-btn-wrap');
            			$('#pageYDT').removeClass("sui-hide");
    					$('#pagePT').addClass("sui-hide");
    				}
    			}else{ //易贷通
    				var showhkHtml = document.getElementById("showhk");
        			var sb = [];
        			sb[sb.length] = '<option value="0" selected ="true">请选择还款方式</option>';
        			sb[sb.length] = '<option value="1">全额还款</option>';
        			sb[sb.length] = '<option value="2">当期还款</option>';
        			sb[sb.length] ='<option value="3">提前部分还款</option>';
        			showhkHtml.innerHTML = sb.join("");
        			
        			//初始化还款金额显示
        			$("#AmountA").val("0.00");
        			$("#AmountA1").val("0.00");
        			$("#LnBal").val(ydtLoanItemCls.LnBal);
        			$("#AmountAL").show();
        			$("#AmountA1L").hide();
        			$("#bakLab").hide();
        			
        			$('#pageA').addClass('sui-hide');
        			$('#nextBtnDiv').addClass('sui-hide');
        			$('#nextBtnDiv').removeClass('sui-btn-wrap');
        			$('#pageYDT').removeClass("sui-hide");
					$('#pagePT').addClass("sui-hide");
    			}
    			tab.setActiveItem(1);
    			App.viewConfig.title = "贷款还款";
    			Fw.apply(App.viewConfig, this.viewConfig);
    			// 设置标题栏
    			Fw.device.Device.applyView(App);
        	}
        },
		
		/**
		 * 易贷通还款类型选择
		 */
		huankuan : function() {
			var a;
			if(depositflag){
				a = $('[name=depositselect] option:selected').val();
			}else{
				a = $('[name=showhk] option:selected').val();
			}
			$('#pageA').addClass('sui-hide');
			$('#nextBtnDiv').addClass('sui-hide');
			$('#nextBtnDiv').removeClass('sui-btn-wrap');
			if (a != "3" && a!= "2") {
				$("#AmountA").val("0.00");
			}else {
				$("#AmountA1").val("0.00");				
				$('#nextBtnDiv').removeClass('sui-hide');
				$('#nextBtnDiv').addClass('sui-btn-wrap');
			}
			if (a == "3") {
				$("#AmountAL").hide();
				$("#AmountA1L").show();
				$("#bakLab").show();
				return;
			}else if(a == "2"){
				$("#AmountAL").hide();
				$("#AmountA1L").show();
				$("#bakLab").hide();
			}else{
				$("#AmountAL").show();
				$("#AmountA1L").hide();
				$("#bakLab").hide();
			}
			if (a == "0") {
				return;
			}
			App.executeSearchRefundAccountInfo(a);
		},
		
		/**
		 * 易贷通还款费用信息查询
		 */
		executeSearchRefundAccountInfo: function(a){
			var Amount = "0";
			if (a=="2"){
				Amount = Fw.util.Format.unFmtAmt($("#AmountA1").val());
			}else if (a == "3") {
				Amount = Fw.util.Format.unFmtAmt($("#AmountA1").val());
				if (Amount == "0.00" || Amount == "" || Amount == "0") {
					Fw.Tips.info("提前部分还款还款金额不能为零!");
					return;
				}
			}
			var LnAcctNo;
			var DueDtN;
			if(depositflag){
				LnAcctNo = ydtLoanItemCls.LnLnAcctNo;
				DueDtN = ydtLoanItemCls.LnDueDtN;
			}else{
				LnAcctNo = ydtLoanItemCls.LnAcctNo;
				DueDtN = ydtLoanItemCls.DueDtN;
			}
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchRefundAccountInfo',
				// 请求参数
				params : {
					LnAcctNo : LnAcctNo, // 贷款账户
					TxDt : today.replace(/\//g, ''), 
					PayAmt : Fw.util.Format.unFmtAmt(Amount), // 还款金额,首次调用时置为空
					FunCode : a,
					FlstOpunCod : ydtLoanItemCls.FlstOpunCod, //贷款入账机构 
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#LnAcctNo1").val(Fw.util.Format.fmtAcctNo(LnAcctNo, true));
					$("#showCustName").val(data.CustName);
					$("#showDueDtN").val(Fw.util.Format.fmtDate(DueDtN));
					var allrbl = parseFloat(data.CrntPrdIntrbl)
							+ parseFloat(data.LsacIntRbl)
							+ parseFloat(data.Intrblrbl)
							+ parseFloat(data.OvdLnIntRbl);
					$("#showAllRbl").val(allrbl);
					$("#showSvcrbl").val(data.Svcrbl);
					$("#showPenlrbl").val(data.Penlrbl);
					$("#showPrrbl").val(data.Prrbl);
					$("#showTotlrbl").val(data.Totlrbl);
					if (a == "1") {
						$("#AmountA").val(data.Totlrbl);
					}
					$('#pageA').removeClass('sui-hide');
					$('#nextBtnDiv').removeClass('sui-hide');
					$('#nextBtnDiv').addClass('sui-btn-wrap');
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		/**
		 * 还款下一步
		 */
		nextstep : function() {
			if ($("#cardlist").val() == "") {
				Fw.Tips.info("请选择还款账号");
				return;
			}
			if(depositflag){
				this.submitYDT();
			}else{
				if(ydtLoanItemCls.CardFlg==0){ //普通贷款
					if(lnVarCont == "0"){//不支持提前还本
						this.submitPT();
					}else{
						this.submitYDT();//支持提前还本走易贷通流程
					}
				}else{ //易贷通
					this.submitYDT();
				}
			}
		},
		
		/**
		 * 易贷通下一步
		 */
		submitYDT: function(){
			var a;
			if(depositflag){
				a = $('[name=depositselect] option:selected').val();
			}else{
				a = $('[name=showhk] option:selected').val();
			}
			var Amount = "0";
			if (a == "3"||a == "2") {
				Amount = Fw.util.Format.unFmtAmt($("#AmountA1").val());
				$("#allRBlB").hide();
			}else{
				Amount = Fw.util.Format.unFmtAmt($("#AmountA").val());
				$("#allRBlB").show();
			}
			var showTotlrbl = $("#showTotlrbl").val();
			var showhk;
			if(depositflag){
				showhk = $('[name=depositselect] option:selected').val();
				var obj = document.getElementById("depositselect");
				var index = obj.selectedIndex;
				var showhkValue = obj.options[index].text;
			}else{
				showhk = $("[name=showhk] option:selected").val();
				var obj = document.getElementById("showhk");
				var index = obj.selectedIndex;
				var showhkValue = obj.options[index].text;
			}
			if (showhk == "1") {
				if (Number(Amount) > Number(yue)) {
					Fw.Tips.info("还款金额大于可用余额！");
					return;
				}
				if (Amount != showTotlrbl) {
					Fw.Tips.info("还款金额应为" + showTotlrbl + "元！");
					return;
				}
			}
			if (showhk == "2") {
				if (Number(Amount) > Number(showTotlrbl)) {
					Fw.Msg.info("还款金额不得超过应收合计,你当期还款应收合计为" + showTotlrbl + "元");
					return;
				}
				if (Number(Amount) > Number(yue)) {
					Fw.Tips.info("还款金额大于可用余额！");
					return;
				}
			}
			if (showhk == "3" && Number(Amount) >= Number(ydtLoanItemCls.LnBal)) {
				Fw.Msg.info("还款金额大于本金，请选择全额还款。");
				return;
			}
			if (Amount == "0.00" || Amount == "" || Amount == "0") {
				Fw.Tips.info("还款金额不能为零!");
				return;
			}
			var LnAcctNo;
			if(depositflag){
				LnAcctNo = ydtLoanItemCls.LnLnAcctNo;
			}else{
				LnAcctNo = ydtLoanItemCls.LnAcctNo;
			}
			// 贷款还款账户信息查询
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchRefundAccountInfo',
				// 请求参数
				params : {
					LnAcctNo : LnAcctNo, // 贷款账户
					TxDt : today.replace(/\//g, ''), 
					PayAmt : Amount, // //还款金额,必须有值
					FunCode : showhk,
					FlstOpunCod : ydtLoanItemCls.FlstOpunCod //贷款入账机构 
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#payAcNoB").val(Fw.util.Format.fmtAcctNo(cardlist[$('[name="cardlist"]').val()].No, true));
					$("#PayAmountB").val(Amount);
					$("#LnAcctNoB").val(Fw.util.Format.fmtAcctNo(LnAcctNo, true));
					$("#FunCodeB").val(showhkValue);
					$("#custNameB").val(data.CustName);
					var allrbl = parseFloat(data.CrntPrdIntrbl)
									+ parseFloat(data.LsacIntRbl)
									+ parseFloat(data.Intrblrbl)
									+ parseFloat(data.OvdLnIntRbl);
					$("#AllRblB").val(allrbl);
					$("#SvcrblPayB").val(data.SvcrblPay);
					$("#PenlrblPayB").val(data.PenlrblPay);
					$("#PrrblPayB").val(data.Prrbl);
					ydtLoanData = data;
					$("#FunCodeDiv").removeClass("sui-hide");
					tab.setActiveItem(2);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		depositrepayment :function(param){
			var DlayLnRfnRsn;
			if(ydtLoanItemCls.LnAcctSts == "1"){
				DlayLnRfnRsn = "";
			}else{
				DlayLnRfnRsn = "01";
			}
			var a = $('[name=deposithkway] option:selected').val();
			if(a == "1"){
				Fw.util.Ajax.execute({
					service : 'depositReceiptService',
					method : 'executeYdtRefund',
					// 请求参数
					params : param,
					// 是否使用数据挡板（默认false）
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						App.todepositResultPage(data);
					},
					// 请求错误后回调
					failure : function(status, textStatus, error) {
						
					}
				});
			}else if(a == "2"){
				App.executeYdtRefund(param);
			}
		},
		
		
		
		
		
		/**
		 * 提交还款
		 */
		doSubmit : function(values){
			if(depositflag){
				var DlayLnRfnRsn;
				if(ydtLoanItemCls.LnAcctSts == "1"){
					DlayLnRfnRsn = "";
				}else{
					DlayLnRfnRsn = "01";
				}
				var param ={
					BCSerialNo : ydtLoanItemCls.LnCtrtNo, //合同编号
					LNAcctNO : ydtLoanItemCls.LnLnAcctNo,	  //贷款账号
					PrRepay : ydtLoanData.PrrblPay, //偿还本金
					SvcRepay : ydtLoanData.SvcrblPay,//偿还手续费
					IntndRcwiCutdt: ydtLoanItemCls.LnDueDtN, 			//预定还本收息截止日期
					CrntPrdIntRepay : ydtLoanData.CrntPrdIntrblPay, //偿还本期利息
					IntrblRepay : ydtLoanData.IntrblrblPay,			//偿还应收利息
					PenaltyRepay : ydtLoanData.PenlrblPay,			//偿还违约金
					DlayLnRfnRsn : DlayLnRfnRsn,
					TxDt : today.replace(/\//g, ''),          //起息日期
					PayAmt : Fw.util.Format.unFmtAmt($("#PayAmountB").val()),          //还款金额				    
					DepAcctNo1 : cardlist[$('[name="cardlist"]').val()].No,	//还款账号
					DepAcctNo2 : cardlist[$('[name="cardlist"]').val()].No,	//还款账号
					DepAcctNo3 : cardlist[$('[name="cardlist"]').val()].No,	//还款账号
					
					DscrpCod : "",//摘要代码
					RepayOvdLnInt : ydtLoanData.OvdLnIntRblPay,			//偿还催收贷款利息
					
					SvcrblPay : ydtLoanData.SvcrblPay,					//应还手续费
					PenlrblPay : ydtLoanData.PenlrblPay,				//应还违约金 	
					IntrblrblPay : ydtLoanData.IntrblrblPay,			//应还的应收利息
					OvdLnIntRblPay : ydtLoanData.OvdLnIntRblPay,		//应还催收贷款利息
					CrntPrdIntrblPay : ydtLoanData.CrntPrdIntrblPay,	//应还的本期利息
					PrrblPay :  ydtLoanData.PrrblPay,					//应还的本金	
					CrntPrdIntFav : ydtLoanData.CrntPrdIntFav,     		 //优惠利息
					StrtDtN: ydtLoanItemCls.LnStatDtN, //贷款起始日期
					Password : values.TrsPassword,
					CifSeq :Fw.app.Session.getCifSeq(),	//客户号
					
					LnAcctNo : ydtLoanItemCls.LnLnAcctNo,	  //贷款账号
					DepAcctNo : cardlist[$('[name="cardlist"]').val()].No,	//还款账号
					DueDtN: ydtLoanItemCls.LnDueDtN, 			//到期日期截止日期
					FunCode : $("[name=depositselect] option:selected").val(),
					FlstOpunCod : ""
				};
				App.checktrans(param,"");
//				App.depositrepayment(values);
			}else{
				var flag = "";
				if(ydtLoanItemCls.CardFlg==0 && lnVarCont == "0" ){ //普通贷款还款
					flag = true;
					var param = {
							LnAcctNo : ydtLoanItemCls.LnAcctNo,	  //贷款账号
						    TxDt : today.replace(/\//g, ''),          //起息日期
						    PayAmt : Fw.util.Format.unFmtAmt($("#PayAmountB").val()),          //还款金额				    
						    DepAcctNo : cardlist[$('[name="cardlist"]').val()].No,	//还款账号
						    
						    SvcrblPay : loanDataPT.SvcrblPay,					//应还手续费
							PenlrblPay : loanDataPT.PenlrblPay,				//应还违约金 	
							IntrblrblPay : loanDataPT.IntrblrblPay,			//应还的应收利息
							OvdLnIntRblPay : loanDataPT.OvdLnIntRblPay,		//应还催收贷款利息
							CrntPrdIntrblPay : loanDataPT.CrntPrdIntrblPay,	//应还的本期利息
							PrrblPay :  loanDataPT.PrrblPay,					//应还的本金	
							CrntPrdIntFav : loanDataPT.CrntPrdIntFav,     		 //优惠利息
							FlstOpunCod : ydtLoanItemCls.FlstOpunCod, //贷款入账机构 
							StrtDtN: ydtLoanItemCls.StrtDtN, //贷款起始日期
							Password : values.TrsPassword,
							CifSeq :Fw.app.Session.getCifSeq(),	//客户号
							SignCert : bluetoothKeySignatureData.signCert, //证书
	        				SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
	        				SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
					};
				}else{ //易贷通还款
					flag = false;
					var param = {
							LnAcctNo: ydtLoanItemCls.LnAcctNo,	  //贷款账号
						    TxDt: today.replace(/\//g, ''),          //起息日期
						    PayAmt: Fw.util.Format.unFmtAmt($("#PayAmountB").val()),          //还款金额				    
						    DepAcctNo: cardlist[$('[name="cardlist"]').val()].No,	//还款账号
						    DueDtN: ydtLoanItemCls.DueDtN,
							SvcrblPay: ydtLoanData.SvcrblPay,					//应还手续费
							PenlrblPay: ydtLoanData.PenlrblPay,				//应还违约金 	
							IntrblrblPay: ydtLoanData.IntrblrblPay,			//应还的应收利息
							OvdLnIntRblPay: ydtLoanData.OvdLnIntRblPay,		//应还催收贷款利息
							CrntPrdIntrblPay: ydtLoanData.CrntPrdIntrblPay,	//应还的本期利息
							PrrblPay:  ydtLoanData.PrrblPay,					//应还的本金	
							CrntPrdIntFav: ydtLoanData.CrntPrdIntFav,     		 //优惠利息
							FunCode: $("[name=showhk] option:selected").val(),
							Password: values.TrsPassword,
							CifSeq :Fw.app.Session.getCifSeq(),	//客户号
							FlstOpunCod: ydtLoanItemCls.FlstOpunCod, //贷款入账机构 
							StrtDtN: ydtLoanItemCls.StrtDtN, //贷款起始日期
							transType: 'H',
							SignCert : bluetoothKeySignatureData.signCert, //证书
	        				SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
	        				SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
					};
				}
				App.checktrans(param,flag);
			}
		},
		
		 /**
         * 蓝牙交易加密
         */
		checktrans :function(param,flag){
			if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
		       	var clearData = this.getSignDataforBluetoothKey(flag);
		       	Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
		       			function(data){
		       				bluetoothKeySignatureData = data;
		       				//蓝牙校验字段
		       				param.SignCert = bluetoothKeySignatureData.signCert; //证书
		       				param.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext; //签名明文
		       				param.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext; //签名密文
		       				if(depositflag){
		       					App.depositrepayment(param);
		       				}else{
		       					if(flag){
			       					App.executeDKRefund(param);
			       				}else{
			       					App.executeYdtRefund(param);
			       				}
		       				}
		       			}
		       	);
		    }else{
		    	if(depositflag){
		    		App.depositrepayment(param);
   				}else{
   					if(flag){
       					App.executeDKRefund(param);
       				}else{
       					App.executeYdtRefund(param);
       				}
   				}
		    }
		},
		
		/**
		 * 获取蓝牙key验证参数
		 */
		getSignDataforBluetoothKey :function(flag){
			var FunCode = "";
			if(!depositflag){
				if($("[name=showhk] option:selected").val() == '1'){
					FunCode = "全额还款";
				}else if($("[name=showhk] option:selected").val() == '2'){
					FunCode = "当期还款";
				}else if($("[name=showhk] option:selected").val() == '3'){
					FunCode = "提前部分还款";
				}
			}else{
				FunCode = "全额还款";
			}
			var transname = "";
			var tradeId = "MCCreditRepayment";
			if(!depositflag){
				if(flag){
					transname = "普通贷款还款";
				}else{
					transname = "易贷通还款";
				}
			}else{
				transname = "存E贷还款";
				tradeId = "MCCDPledgeAutonomyEndRepayment";
			}
			var acNo = "";
			var startdate = "";
			var enddate = "";
			if(!depositflag){
				acNo = ydtLoanItemCls.LnAcctNo;
				enddate = ydtLoanItemCls.DueDtN;
				startdate = ydtLoanItemCls.StrtDtN;
			}else{
				acNo = ydtLoanItemCls.LnLnAcctNo;
				enddate = ydtLoanItemCls.LnDueDtN;
				startdate = ydtLoanItemCls.LnStatDtN;
			}
			//交易参数
        	var data = {
        			tradeName: transname, //交易名
        			tradeId: tradeId, //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "LnAcctNo", labelDesc: "贷款账号: ", 
			            	labelValue: acNo
			            }, {
			            	labelName: "TxDt",
			            	labelValue: today.replace(/\//g, '')
			            }, {
			            	labelName: "PayAmt", labelDesc: "还款金额:", 
			            	labelValue: Fw.util.Format.unFmtAmt($("#PayAmountB").val())+"元"
			            }, {
			            	labelName: "DepAcctNo", labelDesc: "还款账号: ", 
			            	labelValue: cardlist[$('[name="cardlist"]').val()].No
			            }, {
			            	labelName: "DueDtN", labelDesc: "借款到期日: ", 
			            	labelValue: enddate
			            }, {
			            	labelName: "FunCode", labelDesc: "还款方式: ", 
			            	labelValue: FunCode
			            }, {
			            	labelName: "CifSeq",
			            	labelValue: Fw.app.Session.getCifSeq()
			            }, {
			            	labelName: "StrtDtN", labelDesc: "贷款起始日期: ", 
			            	labelValue: startdate
			            }]
        	};
        	if(!depositflag){
        		if(flag){
            		var SvcrblPayvalue = {labelName: "SvcrblPay",
    		            	labelValue: loanDataPT.SvcrblPay+"元"};
    	            var PenlrblPayvalue = {labelName: "PenlrblPay",
    		            	labelValue: loanDataPT.PenlrblPay+"元"};
    	            var IntrblrblPayvalue = {labelName: "IntrblrblPay",
    		            	labelValue: loanDataPT.IntrblrblPay+"元"};
    	            var OvdLnIntRblPay = {labelName: "OvdLnIntRblPay",
    		            	labelValue: loanDataPT.OvdLnIntRblPay+"元"};
    	            var CrntPrdIntrblPayvalue = {labelName: "CrntPrdIntrblPay",
    		            	labelValue: loanDataPT.CrntPrdIntrblPay+"元"};
    	            var PrrblPayvalue = {labelName: "PrrblPay",
    		            	labelValue: loanDataPT.PrrblPay+"元"};
    	            var CrntPrdIntFavvalue = {labelName: "CrntPrdIntFav",
    		            	labelValue: loanDataPT.CrntPrdIntFav+"元"};
            	}else{
            		var SvcrblPayvalue = {labelName: "SvcrblPay",
    		            	labelValue: ydtLoanData.SvcrblPay+"元"};
    	            var PenlrblPayvalue = {labelName: "PenlrblPay",
    		            	labelValue: ydtLoanData.PenlrblPay+"元"};
    	            var IntrblrblPayvalue = {labelName: "IntrblrblPay", 
    		            	labelValue: ydtLoanData.IntrblrblPay+"元"};
    	            var OvdLnIntRblPay = {labelName: "OvdLnIntRblPay", 
    		            	labelValue: ydtLoanData.OvdLnIntRblPay+"元"};
    	            var CrntPrdIntrblPayvalue = {labelName: "CrntPrdIntrblPay",
    		            	labelValue: ydtLoanData.CrntPrdIntrblPay+"元"};
    	            var PrrblPayvalue = {labelName: "PrrblPay",
    		            	labelValue: ydtLoanData.PrrblPay+"元"};
    	            var CrntPrdIntFavvalue = {labelName: "CrntPrdIntFav",
    		            	labelValue: ydtLoanData.CrntPrdIntFav+"元"};
            	}
            	data.labelData.push(SvcrblPayvalue);
                data.labelData.push(PenlrblPayvalue);
                data.labelData.push(IntrblrblPayvalue);
                data.labelData.push(OvdLnIntRblPay);
                data.labelData.push(CrntPrdIntrblPayvalue);
                data.labelData.push(PrrblPayvalue);
                data.labelData.push(CrntPrdIntFavvalue);
        	}
        	return data;
		},
		/**
		 * 易贷通还款(精英贷、存单质押、易贷通)
		 */
		executeYdtRefund: function(param){
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeYdtRefund',
				// 请求参数
				params : param,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if("IL013" == data._RejCode1){
		    			Fw.Msg.info(data.msg, function(){
		    				App.toResultPage(data);
		    			});
		    		}else{
		    			App.toResultPage(data);
		    		};
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		/**
		 * 结果页
		 */
		toResultPage: function(data){
			var allrblPay = 0.0;
			if(ydtLoanItemCls.CardFlg==0 && lnVarCont == "0"){ //普通贷款还款 
				allrblPay = parseFloat(loanDataPT.IntrblrblPay) + parseFloat(loanDataPT.OvdLnIntRblPay) + parseFloat(loanDataPT.CrntPrdIntrblPay);
			}else{ //易贷通还款
				allrblPay = parseFloat(ydtLoanData.IntrblrblPay) + parseFloat(ydtLoanData.OvdLnIntRblPay) + parseFloat(ydtLoanData.CrntPrdIntrblPay);
			}
			$("#s1").html(Fw.util.Format.fmtAcctNo(data.DepAcctNo,true));
			$("#s2").html(Fw.util.Format.fmtAmt($("#PayAmountB").val()));
			$("#s3").html(Fw.util.Format.fmtAcctNo(data.LnAcctNo,true));
			$("#s4").html(Fw.util.Format.fmtAmt(allrblPay));
			$("#s5").html(Fw.util.Format.fmtAmt(data.SvcRepay));
			$("#s6").html(Fw.util.Format.fmtAmt(data.PenaltyRepay));
			$("#s7").html(Fw.util.Format.fmtAmt(data.PrRepay));
			$("#s8").html(Fw.util.Format.fmtAmt(data.TotlRepay));
			$("#s9").html(Fw.util.Format.fmtAmt(data.DeratePr));
			$("#s10").html(Fw.util.Format.fmtAmt(data.DerateInt));
			App.viewConfig.title = "还款结果";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
			tab.setActiveItem(3);
		},
		
		todepositResultPage :function(data){
			$("#deposits1").html(Fw.util.Format.fmtAcctNo(cardlist[$('[name="cardlist"]').val()].No,true));
			$("#deposits2").html(Fw.util.Format.fmtAmt($("#PayAmountB").val()));
			$("#deposits3").html(Fw.util.Format.fmtAcctNo(ydtLoanItemCls.LnLnAcctNo,true));
			App.viewConfig.title = "还款结果";
			Fw.apply(App.viewConfig, this.viewConfig);
			// 设置标题栏
			Fw.device.Device.applyView(App);
			tab.setActiveItem(6);
		},
		
		
		/*----------------------------------------------------------------------------------------------------------------------------------*/
        /*普通贷款还款*/
		showLoanCardInfo : function() {
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchRefundAccountInfoTwo',
				// 请求参数
				params : {
					LnAcctNo: ydtLoanItemCls.LnAcctNo,	        //贷款账户
					TxDt: today.replace(/\//g, ''),
					PayAmt: "",  //还款金额,首次调用时置为空
					FlstOpunCod: ydtLoanItemCls.FlstOpunCod
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#LnAcctNo1").val(Fw.util.Format.fmtAcctNo(ydtLoanItemCls.LnAcctNo, true));
					$("#showCustName").val(data.CustName);
					$("#showDueDtN").val(Fw.util.Format.fmtDate(ydtLoanItemCls.DueDtN));
					var allrbl = parseFloat(data.CrntPrdIntrbl) + parseFloat(data.LsacIntRbl) + parseFloat(data.Intrblrbl) + parseFloat(data.OvdLnIntRbl);
					$("#showAllRbl").val(allrbl);
					$("#showSvcrbl").val(data.Svcrbl);
					$("#showPenlrbl").val(data.Penlrbl);
					$("#showPrrbl").val(data.Prrbl);
					$("#showTotlrbl").val(data.Totlrbl);
					TotlrblPT = data.Totlrbl;
					
					if (data.Totlrbl == "0.00" ){
						Fw.Tips.info("此贷款账户暂时无需还款");
	          		}
					
					$('#pagePT').removeClass("sui-hide");
					$('#nextBtnDiv').removeClass('sui-hide');
					$('#nextBtnDiv').addClass('sui-btn-wrap');
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		/**
		 * 普通贷款还款下一步
		 */
		submitPT: function(){
			var Amount = $('[name="AmountPT"]').val();
			if(Amount==""){
				Fw.Tips.info("交易金额不能为空!");
				return;
			}
			Amount = Fw.util.Format.unFmtAmt(Amount);
			if(Amount=="0.00" || Amount=="0"){
				Fw.Tips.info("交易金额不能为零!");
				return;
			}
			if(parseFloat(TotlrblPT) < parseFloat(Amount)){
				Fw.Tips.info("交易金额不能大于本期应收合计，请您重新输入!");
				return;			
			}
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchRefundAccountInfoTwo',
				// 请求参数
				params : {
					LnAcctNo : ydtLoanItemCls.LnAcctNo,	        //贷款账户
					TxDt : today.replace(/\//g, ''),
					PayAmt : Fw.util.Format.unFmtAmt(Amount),  //还款金额,首次调用时置为空
					FlstOpunCod: ydtLoanItemCls.FlstOpunCod
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					loanDataPT = data;
					$("#payAcNoB").val(Fw.util.Format.fmtAcctNo(cardlist[$('[name="cardlist"]').val()].No, true));
					$("#PayAmountB").val(Amount);
					$("#LnAcctNoB").val(Fw.util.Format.fmtAcctNo(ydtLoanItemCls.LnAcctNo, true));
					$("#custNameB").val(data.CustName);
					var allrbl = parseFloat(data.IntrblrblPay) + parseFloat(data.OvdLnIntRblPay) + parseFloat(data.CrntPrdIntrblPay);
					$("#AllRblB").val(allrbl);
					$("#SvcrblPayB").val(data.SvcrblPay);
					$("#PenlrblPayB").val(data.PenlrblPay);
					$("#PrrblPayB").val(data.Prrbl);
					$("#FunCodeDiv").addClass("sui-hide");
					tab.setActiveItem(2);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		/**
		 * 普通贷款还款
		 */
		executeDKRefund: function(param){
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeDKRefund',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : param,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if("IL013" == data._RejCode1){
		    			Fw.Msg.info(data.msg, function(){
		    				App.toResultPage(data);
		    			});
		    		}else{
		    			App.toResultPage(data);
		    		};
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		
		/**
		 * 清除表单数据
		 */
		clearFormData: function(){
			if(form){
				form.reset("TrsPassword");
           	 	$('[name=TrsPassword]').attr('placeholder','请输入交易密码');
			}
		}
    };
}();


/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App); 
