/**
 * 选项卡#子页面1
 */
App = function() {	
    var tab;
    var form;
    var isSms;
	var smsSecurity = null;
	var today;
	var datastr;
	var datastr2;
	var faceFailCnt = 0;//人脸识别失败次数
	var faceOpen = "0";
	var isOtp;
	var OtpTxtUrl;//动态口令存证地址
	var FaceTxtUrl;//人脸识别存证地址
	var FaceJpgUrl;//人脸识别图片地址
	var areaData;
	var selectPoint;
	var selectArea;
	var OffLineSymbolFlag =false;//阀值
	var isInitOtp = false;
	var checkFlag=false;
	var voiceLoad = false;
    return {
    	/**
		 * 依赖组件
		 */
		requires : [
		// 动态口令
		'Fw.Otp',
		//表单
		'Fw.Form',
		//安全键盘
		'Fw.Keyboard',
		//日历组件
		'Fw.Calendar',
		//常用数据
        'Fw.ConstantData',
        //短信倒计时
  		'Fw.SmsCountDown',
		//设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session','../loanguarantee.js'],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '网贷产品合同签署',
            /**
             * 右边按钮
             */
            rightButton: false,
            
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: ''
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(parTab) {
        	var smsHFlag = Fw.app.Session.getSmsHFlag();
			//动态口令标志
			isOtp=Fw.app.Session.getIsOtp();
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//定义选项卡
			this.tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0
			});
        	form = new Fw.Form({
				//EL
				contentEl : 'form',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
        	//获取选项等
        	App.parames = Fw.decode(Fw.getParameters()); //页面跳转请求参数
        	App.initHtml();
        	//手动隐藏等待层
        	Fw.LoadMask.hide(1000);
        	this.initEvents();
        },
       
        //1.4&4.6判断是否有担保人，有担保人先预览担保合同
      	checkguarantee :function(){
      		if(App.loanguarantee.data.HaveGuarantor == "1"){//1.4.1 & 4.6.1有担保人
      			$("#Guarantee_contract_no").text("GC"+App.loanguarantee.values.WDSerialno);//保证合同编号
      			$(".loanperson").text(Fw.app.Session.getCustName());//借款人姓名
      			$("#loanidno").text(Fw.app.Session.getIdNo());//借款人身份证号
      			if(App.loanguarantee.data.HaveGuarantor == "2"){//无配偶
      				$("#loanspouse").text("");
          			$("#loanspouseidno").text("");
      			}else{
      				$("#loanspouse").text(App.loanguarantee.data.SpouseName);
      				$("#loanspouseidno").text(App.loanguarantee.data.SpouseCertId);
      			}
      			$(".loanguarantee").text(App.loanguarantee.data.GuarantorName);//保证人1姓名
      			$("#loanguaranteeidno").text(App.loanguarantee.data.GuarantorCertId);//保证人1身份证号
      			$("#loanguarantee2").text("");//保证人2姓名暂空
      			$("#loanguaranteeidno2").text("");//保证人2身份证号暂空
      			$(".loan_org_name").text(App.loanguarantee.values.org_name);
      			$("#loan_person").text();
      			$("#loan_product_no").text();
      			var conS = App.loanguarantee.values.limitPutOut.replaceAll("/","");
      			conS = conS.substring(0, 4) + "年"
				+ conS.substring(4, 6) + "月"
				+ conS.substring(6, 8) + "日";
	        	$("#start").text(conS);
	        	var conE = App.loanguarantee.values.limitMaturity.replaceAll("/","");
	        	conE = conE.substring(0, 4) + "年"
	        	+ conE.substring(4, 6) + "月"
	        	+ conE.substring(6, 8) + "日";
	        	$("#end").text(conE);
      			$("#large_amount").text(Fw.util.Format.fmtAmt2Chinese(App.loanguarantee.values.limitBusinesssum));
      			$("#loan_contact_person").text(App.loanguarantee.values.PeopName);
      			$("#loan_contact_telno").text(App.loanguarantee.values.PhoneNo);
      			$("#main_contract_no").text(App.loanguarantee.values.WDSerialno)
      			if(App.loanguarantee.flag == "0"){
      				$(".sui-GH").addClass("sui-hide");
      				$(".sui-common").removeClass("sui-hide");
      			}else{
      				$(".sui-GH").removeClass("sui-hide");
      				$(".sui-common").addClass("sui-hide");
      			}
      			Fw.Msg.info('即将预览保证合同!',function(){
      				//1.5&4.6.1预览保证合同
          			App.viewConfig.title = "江苏省农村商业银行个人最高额保证合同";
        	        Fw.apply(App.viewConfig, this.viewConfig);
        	        Fw.device.Device.applyView(App);
        	        App.tab.setActiveItem(3);
            	});
      		}else if(App.loanguarantee.data.HaveGuarantor == "2"){//1.4.2 无担保人
      			//1.6不预览担保合同直接签订借款合同
      			App.loanguarantee.LoanWarrantContractAttest();
      		}
      	},

      	checkTermmonth :function(){
      		var payment = App.parames.Payment.split(",");//02,03,13,14
        	for(var i=0; i<payment.length; i++){
    			var paym = payment[i];
    			if( "02" == paym ){
    				$("#limitPaycyc").append("<option value='"+paym+"'>"+"利随本清"+"</option>");
    			}else if("03" == paym ){
    				$("#limitPaycyc").append("<option value='"+paym+"'>"+"按固定周期付息,到期还本"+"</option>");
    			}else if("13" == paym ){
    				$("#limitPaycyc").append("<option value='"+paym+"'>"+"等额本息"+"</option>");
    			}else if("14" == paym ){
    				$("#limitPaycyc").append("<option value='"+paym+"'>"+"等额本金"+"</option>");
    			}
    		}
      	},
        
        leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = this.tab.getActiveItemIndex();
			if (index == 0) {
				App.gobackUrl();
			}else{
				if(voiceLoad && App.parames.deptId=="320982999"){
					Fw.Tips.info("语音提示播放中!");
					return;
				}
				//动态短信弹出框
            	$('#selectDynamic').css("display","none");
    			$("input[name=oTPPassword]").val("");
    			$("input[name=oTPPassword]").attr("placeholder","请输入动态口令");
    			//短信弹出框
            	$('#selectEncryptionKey').css("display","none");
    			$("input[name=smsText]").val("");
    			$("input[name=smsText]").attr("placeholder","请输入验证码");
    			$("#tab_1").addClass("sui-hide");
    			$("#tab_2").addClass("sui-hide");
				App.viewConfig.title = "网贷产品合同签署";
	        	Fw.apply(App.viewConfig, this.viewConfig);
	        	// 设置标题栏
	        	Fw.device.Device.applyView(App);
				App.tab.setActiveItem(0);
			}
		},
		/**
		 * 期限
		 */
		changeMaturity : function(obj) {
			var mydate = new Date(today);
        	var strYear = mydate.getFullYear();
        	var strMonth = mydate.getMonth()+1;
        	var strDay = mydate.getDate();
        	var limitEnd = $("[name=limitMaturity]").val();
        	var year = parseInt(limitEnd.substring(0,4));
        	var month = parseInt(limitEnd.substring(5,7));
        	var day = parseInt(limitEnd.substring(8,10));
        	var len = (year - strYear) * 12 + (month - strMonth);
        	var dayDiff = day - strDay;
        	if(dayDiff > 0){
        		len += 1;
        	}
        	$("[name=limitTermmonth]").val(len);
		},
        faceIsOpen : function(){
        	var deptId = App.parames.deptId;
        	var smsHFlag = Fw.app.Session.getSmsHFlag();
        	//查询人脸识别开关
        	Fw.util.Ajax.query({
		       	service: 'loadService',
	            method: 'executeFaceStatusCheck',
		        loadMask: true,
	            //请求参数
	            params: {},
	            //请求成功后回调
	            success: function(data, result) {
    				Fw.LoadMask.hide();
	            	if(data.FaceFlag == '0'){// 人脸识别开关开
						//人脸识别开关打开，进行人脸识别
	            		faceOpen = 0;
					}else{ 
						//人脸识别开关关闭,动态口令+拍照方式
						faceOpen = 1;
						//人脸识别关闭，非动态口令用户提示结束
						if("320982999" == deptId){
			        		if((isOtp==null || isOtp=="0") && (smsHFlag.indexOf("H") < 0)){
				        		Fw.Msg.info('网贷放款申请仅支持动态口令客户或E盾客户！', function(){
				        			App.gobackUrl();
				                });
			        			return;
				        	}
						}else{
							if(isOtp==null || isOtp=="0"){
				        		Fw.Msg.info('网贷签署合同，仅支持动态口令客户！', function(){
				        			App.gobackUrl();
				                });
			        			return;
				        	}
						}
						//动态口令类型
						var otpType = Fw.app.Session.getOtpType();
						//动态口令序号
						var otpNo = Fw.app.Session.getOtpNo();
						param = {
							'isOtp' : isOtp,
							'otpType' : otpType,
							'otpNo' : otpNo,
							'isChallenge' : '0',
						};
						//初始话动态口令显示
						Fw.Otp.initDynamicPwd(param);
						isInitOtp = true;
					}
	            },
	            failure : function(status, textStatus, error) {
	            	Fw.LoadMask.hide();
    				Fw.Msg.error(error, function(){
    					App.gobackUrl();
        			});
    				return false;
    			}
		    });
        },
        // 获取当前日期
		initCurDate : function() {
			today = App.parames.Today;
			App.getYestoday();
			App.getTermMonth();
		},
		/**
         * 获取一年后的前一天
         */
        getYestoday : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var strYear = yestday.getFullYear()+3;
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth()+1;
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datastr = strYear+"/"+strMonth+"/"+strDay;
        	$("input[name=limitPutOut]").val(today);
        },
        /**
         * 获取期限截止日期
         */
        getTermMonth : function(){
        	var mydate = new Date(today);
        	var yestday_milliseconds = mydate.getTime()-1000*60*60*24;
        	var yestday = new Date();
        	yestday.setTime(yestday_milliseconds); //昨天
        	var monthAdd = parseInt(App.parames.TermMonth);
        	var ma = parseInt(monthAdd % 12);
        	var ya = Math.floor(monthAdd / 12);
        	var strYear = yestday.getFullYear();
        	var strDay = yestday.getDate();
        	if(strDay<10){
        		strDay = "0"+strDay;
        	}
        	var strMonth = yestday.getMonth() + 1;
        	if((12 - strMonth) < ma){
        		ya = ya + 1;
        		ma = ma - (12 - strMonth);
        		strMonth = ma;
        	}else{
        		strMonth = strMonth + ma;
        	}
        	if(strMonth<10){
        		strMonth = "0"+strMonth;
        	}
        	datastr2 = (strYear+ ya)+"/"+strMonth+"/"+strDay;
        	if(undefined == App.parames.CreditMaturity || App.parames.CreditMaturity.replaceAll("/", "") > datastr2.replaceAll("/", "")){
        		$("input[name=limitMaturity]").val(datastr2);
        	}else{
        		$("input[name=limitMaturity]").val(App.parames.CreditMaturity);
        	};
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			//触发提交事件触发
			form.on('submit', this.doSubmit, this);
        	//初始化列表事件
        	$("#crCancel-btn").on("click", Fw.bind(this.backToIndex,this));
        	//取消选择
        	$("#cancel-btn").on("click", Fw.bind(this.backToIndex,this));
        	//法律文书确认后跳转合同协议
        	$("#address-agree-btn").on("click", Fw.bind(this.toContractText,this));
        	//地址选择
        	$("#myArea").on("click", Fw.bind(this.chooseAddress,this));
        	$("#corpArea").on("click", Fw.bind(this.chooseCorpAddress,this));
            $('#hide').on('click', Fw.bind(this.onHide, this));
            $('#pro_sel').on('click', Fw.bind(this.showPro, this));
            $('#city_sel').on('click', Fw.bind(this.showCity, this));
            $('#area_sel').on('click', Fw.bind(this.showArea, this));
            $('#pro_sel_corp').on('click', Fw.bind(this.showProCorp, this));
            $('#city_sel_corp').on('click', Fw.bind(this.showCityCorp, this));
            $('#area_sel_corp').on('click', Fw.bind(this.showAreaCorp, this));
            $('[name=c-type-btn]').on('click', Fw.bind(this.NextStep, this));
            //动态口令
            $('[name=oTPPassword]').on('blur', Fw.bind(this.submitForm, this));
            //短信
            $('[name=smsText]').on('blur', Fw.bind(this.submitForm, this));
            //卡号切换
            $('[name=limitCard]').on('change', Fw.bind(this.copyAccount, this));
            // 点击调用倒计时插件
            $('#smsCountDown').on('click', Fw.bind(this.smsCountDownClick, this));
            
//            $('input:radio[name=relation]').on('change', Fw.bind(this.chanageSelect, this));
            $("#guarantee_contract_agree_btn").on("click", Fw.bind(App.loanguarantee.LoanWarrantContractAttest,this));
        	$("#guarantee_GH_contract_agree_btn").on("click", Fw.bind(App.loanguarantee.BZLoanWarrantUsingContractAttest,this));
        	$("#Spouse-contract-agree-btn").on("click", Fw.bind(App.loanguarantee.BZLoanWarrantUsingContractAttest,this));
        	$("#Guarantee-contract-agree-btn").on("click", Fw.bind(App.checkguarantee,this));
        	// 点击调用倒计时插件
            $('#GHsmsCountDown').on('click', Fw.bind(App.loanguarantee.smsCountDownClick, this));
           	$("#submit-btn").on("click", Fw.bind(App.loanguarantee.submitForm,this));
           	$("#GH-contract-agree-btn").on("click", Fw.bind(App.checkguarantee,this));
        },
        copyAccount : function(){
        	var lc = Fw.decode($("select[name=limitCard]").val());
        	$("#limitKKCard").val(Fw.util.Format.fmtAcctNo(lc.No, true));
        },
        //选择认证方式
        NextStep : function(){
        	var deptId = App.parames.deptId;
        	var smsHFlag = Fw.app.Session.getSmsHFlag();
        	$('#selectWay').css("display","none");
        	var type = $("[name=c_type]:checked").val();
        	switch (type) {
				case '1':
					//人脸识别开关打开，进行人脸识别
            		faceOpen = "0";
					Fw.device.Device.getCamara('App.getFaceData');
					break;
				case '2':
					//人脸识别开关关闭,动态口令+拍照方式
					faceOpen = "1";
					if(!isInitOtp){
						//人脸识别关闭，非动态口令用户提示结束
						if("320982999" == deptId){
			        		if((isOtp==null || isOtp=="0") && (smsHFlag.indexOf("H") < 0)){
				        		Fw.Msg.info('网贷放款申请仅支持动态口令客户或E盾客户！', function(){
				        			App.gobackUrl();
				                });
			        			return;
				        	}
						}else{
							if(isOtp==null || isOtp=="0"){
				        		Fw.Msg.info('网贷签署合同，仅支持动态口令客户！', function(){
				        			App.gobackUrl();
				                });
			        			return;
				        	}
						}
						//动态口令类型
						var otpType = Fw.app.Session.getOtpType();
						//动态口令序号
						var otpNo = Fw.app.Session.getOtpNo();
						param = {
							'isOtp' : isOtp,
							'otpType' : otpType,
							'otpNo' : otpNo,
							'isChallenge' : '0',
						};
						//初始话动态口令显示
						Fw.Otp.initDynamicPwd(param);
						isInitOtp = true;
					}
//					Fw.device.Device.getCamara('App.getFaceData');
					//不进行拍照，直接进入下一步
					App.moveToHt();
					break;
				case '3':
					faceOpen = "1";
					//根据机构号初始化
		        	if("320982999" == deptId){
						//E盾用户继续签署合同
						if(smsHFlag.indexOf("H") != -1){
							if(isSms != "1"){
								Fw.Msg.info('您暂未开通短信通知，请开通后使用！', function(){
									App.gobackUrl();
				                });
			        			return;
							}
							App.moveToHt();
							break;
						}else{
							Fw.Msg.info('网贷签署合同，仅支持E盾客户，请您开通后使用！', function(){
								App.gobackUrl();
			                });
		        			return;
						}
		        	}else{
		        		App.gobackUrl();
		        	}
					break;
				default:
					App.gobackUrl();
					break;
        	}
        },
      //显示合同协议
        NetSign:function(){
        	//时间判断
			var limitPutOut = $("input[name=limitPutOut]").val();
			var limitMaturity = $("input[name=limitMaturity]").val();
			//期限判断
			var limitTermmonth = $("input[name=limitTermmonth]").val();
			//贷款用途
//			var limitPurpose = $("select[name=limitPurpose]").val();
			var paycyc = $("select[name=limitPaycyc]").val();//还款方式
			//确认金额判断
			var limitBusinesssum = Fw.util.Format.unFmtAmt($("input[name=limitBusinesssum]").val());
			//非网签流程校验
			if(limitPutOut ==""){
				Fw.Tips.info("请选择起始日");
				return;
			}
			if(limitMaturity ==""){
				Fw.Tips.info("请选择到期日");
				return;
			}
			if(limitMaturity.replaceAll("/", "") > datastr.replaceAll("/", "")){
        		Fw.Tips.info("到期日最多为三年!");
        		return;
        	}
			if(limitMaturity.replaceAll("/", "") > datastr2.replaceAll("/", "")){
				Fw.Tips.info("到期日不能大于期限" + datastr2 + "!");
				return;
			}
			if(limitMaturity.replaceAll("/", "") < limitPutOut.replaceAll("/", "")){
				Fw.Tips.info("到期日不能小于起始日!");
				return;
			}
			if(limitTermmonth == 0){
				Fw.Tips.info("期限至少为1个月!");
				return;
			}
			limitTermmonth = parseInt(limitTermmonth);
			if(limitTermmonth > App.parames.TermMonth){
				Fw.Tips.info("超出最大期限：" + App.parames.TermMonth + "个月!");
				return;
			}
//			if(limitPurpose == ""){
//				Fw.Tips.info("请选择贷款用途!");
//				return;
//			}
			if(paycyc == ""){
				Fw.Tips.info("请选择还款方式!");
				return;
			}
		      if(limitBusinesssum > Fw.util.Format.unFmtAmt(App.parames.BusinessSum)){
		    	  Fw.Tips.info("确认金额不能大于申请额度!" + App.parames.BusinessSum);
		    	  return;
		      }
			if(limitBusinesssum < 5000){
				Fw.Tips.info("确认金额必须大于5000元!");
		    	  return;
		      }
	      	if(limitBusinesssum > 100000 && paycyc == "02"){
  				Fw.Msg.info("还款方式选择利随本清，必须合同金额低于10万元!");
  				return;
  			}
			//住宅地区
			var myArea = $("[name=myArea]").val();
			if(myArea == ""){
				Fw.Tips.info("请选择住宅地区!");
				return;
			}
			//住宅详细地址
			var xxAddress = $("[name=xxAddress]").val();
			if(xxAddress == ""){
				Fw.Tips.info("请输入住宅详细地址!");
				return;
			}
			//单位地区
			var corpArea = $("[name=corpArea]").val();
			if(corpArea == ""){
				Fw.Tips.info("请选择单位地区!");
				return;
			}
			//单位详细地址
			var corpAddress = $("[name=corpAddress]").val();
			if(corpAddress == ""){
				Fw.Tips.info("请输入单位详细地址!");
				return;
			}
			//邮政编号
			var postcode = $("[name=postcode]").val();
			if(postcode == ""){
				Fw.Tips.info("请输入邮政编号!");
				return;
			}
			//联系人姓名
			var lxrName = $("[name=lxrName]").val();
			if(lxrName == ""){
				Fw.Tips.info("请输入联系人姓名!");
				return;
			}
			//联系人手机号
			var lxrPhone = $("[name=lxrPhone]").val();
			if(lxrPhone == ""){
				Fw.Tips.info("请输入联系人手机号!");
				return;
			}
			if(lxrPhone.length != 11){
				Fw.Tips.info("请输入正确的联系人手机号!");
				return;
			}
			if(faceFailCnt > 0){
				//人脸识别失败后，后退至合同详细，重新进行选择认证方式
				$('#selectWay').css("display","-webkit-box");
			}else{
				//网签进行人脸识别或拍照
	    		Fw.device.Device.getCamara('App.getFaceData');
			}
        },
        moveToHt : function(voiceFlag){
        	$("#add_custname").html(Fw.app.Session.get("Name"));
        	$("#add_custnameE").html(Fw.app.Session.get("Name"));
        	//通讯地址
        	var familyadd = $("select[name=Familyadd]").val();
        	//住宅地址
        	if(familyadd == "1"){
        		$("#add_address").html($("#myArea").val() + $("#xxAddress").val());
        	}else{
        		//单位地址
        		$("#add_address").html($("#corpArea").val() + $("#corpAddress").val());
        	}
        	$("#add_postcode").html($("input[name=postcode]").val());
        	$("#add_lxr").html($("input[name=lxrName]").val());
        	$("#add_phone").html($("input[name=lxrPhone]").val());
        	App.tab.setActiveItem(2);
        	var deptId = App.parames.deptId;//320982999
        	if(voiceFlag!=undefined && voiceFlag && "320982999" == deptId){//判断如果是刷脸及大丰的客户则提示语音后跳转至法律文书界面
        		//if(voiceFlag!=undefined && voiceFlag){
        	    App.viewConfig.title = "语音提示";
        		Fw.apply(App.viewConfig, this.viewConfig);
        		Fw.device.Device.applyView(App);
        		try{
        			Fw.device.Device.getLoadVoice();//客户端播放音频文件
        			$("#tab_1").removeClass("sui-hide");
        		}catch(e){//调取不到方法报错
        			$("#tab_2").removeClass("sui-hide");
            		App.viewConfig.title = "法律文书送达地址确认书";
            		Fw.apply(App.viewConfig, this.viewConfig);
            		Fw.device.Device.applyView(App);
            		return;
        		}
        		var countVoiceFlag = 17;//语音提示时间控制17秒
        		$("#voiceTime").html(countVoiceFlag);
        		var test = setInterval(function(){App.voiceLoadImg();},400);
        		var nterval = setInterval(
	        		  function(){
	        			  voiceLoad = true;
	        			  countVoiceFlag--;
	        			  $("#voiceTime").html(countVoiceFlag);
	        			  if(countVoiceFlag == 0){
	        				   voiceLoad =false;
	        				   clearInterval(nterval);
	        				   clearInterval(test);
	        				   $("#tab_1").addClass("sui-hide");
		        	           $("#tab_2").removeClass("sui-hide");
		        	           App.viewConfig.title = "法律文书送达地址确认书";
		        	           Fw.apply(App.viewConfig, this.viewConfig);
		        	           Fw.device.Device.applyView(App);
	        			  }	
	        		  }
        		,1000);
        	}else{
        		$("#tab_2").removeClass("sui-hide");
        		App.viewConfig.title = "法律文书送达地址确认书";
        		Fw.apply(App.viewConfig, this.viewConfig);
        		Fw.device.Device.applyView(App);
        	}
        },
        /**
         * 最高额个人借款合同
         */
        toContractText:function(){
	     if(App.parames.Purpoes != "020"){//展示原有的贷款合同
	        	$("#contract_No").html(App.parames.RelativeSerialNo);
	        	$("#custName_span").text(Fw.app.Session.get("Name"));
	        	$(".org_name").text(App.parames.org_name);
	        	$("#custName_span_e").text(Fw.app.Session.get("Name"));
	        	var idTypeName = Fw.util.Format.fmtIdType(Fw.app.Session.get("IdType"));
	        	$("#cerTypeName").text(idTypeName);
	        	$("#cerTypeName_e").text(idTypeName);
	        	$("#cerNo").text(Fw.app.Session.get("IdNo"));
	        	$("#cerNo_e").text(Fw.app.Session.get("IdNo"));
	        	var conS = $("[name=limitPutOut]").val().replaceAll("/","");
	        	conS = conS.substring(0, 4) + "年"
				+ conS.substring(4, 6) + "月"
				+ conS.substring(6, 8) + "日";
	        	$("#conStart").html(conS);
	        	var conE = $("[name=limitMaturity]").val().replaceAll("/","");
	        	conE = conE.substring(0, 4) + "年"
	        	+ conE.substring(4, 6) + "月"
	        	+ conE.substring(6, 8) + "日";
	        	$("#conEnd").html(conE);
	        	$("#conMoney").html(Fw.util.Format.fmtAmt2Chinese(App.parames.BusinessSum));
	        	$("#accountName").html(Fw.app.Session.get("Name"));
	        	$("#accountName_next").html(Fw.app.Session.get("Name"));
	        	$("#newxiaofeirate").text(App.parames.Ratefloat);
	        	//还款类型
	        	var hkType = $("[name=limitPaycyc] option:selected").text();
	        	$("#hk_type").html(hkType);
	        	var lc = Fw.decode($("select[name=limitCard]").val());
	        	$("#account_no").html(Fw.util.Format.fmtAcctNo(lc.No,true));
	        	$("#account_no_next").html(Fw.util.Format.fmtAcctNo(lc.No,true));
	        	var date = today.replaceAll("/","");
	        	date = date.substring(0, 4) + "年"
	        	+ date.substring(4, 6) + "月"
	        	+ date.substring(6, 8) + "日";
	        	$("#date").html(date);
	        	$("#heTongName").html("最高额个人借款合同");
	        	App.viewConfig.title = "最高额个人借款合同";
	        	Fw.apply(App.viewConfig, this.viewConfig);
	        	// 设置标题栏
	        	Fw.device.Device.applyView(App);
	        	$("#newLoanProduct").addClass("sui-hide");
	        	$("#loanProduct").removeClass("sui-hide");
	        	$("#GHLoanProduct").addClass("sui-hide");
	    	}else if(App.parames.flag){//G/H类个人最高额借款合同(担保&配偶)
	    		//1.3、2.5预览主合同文本
	    		$("#heTongName").html("江苏省农村商业银行个人最高额借款合同");
	    		App.viewConfig.title = "江苏省农村商业银行个人最高额借款合同";
	        	Fw.apply(App.viewConfig, this.viewConfig);
	        	Fw.device.Device.applyView(App);
	    		$("#GH_contract_No").html(App.loanguarantee.values.WDSerialno);
	    		$(".GH_org_name").text(App.loanguarantee.values.org_name);
	    		$("#GHcustName_span").html(Fw.app.Session.get("Name"));
	    		var idTypeName = Fw.util.Format.fmtIdType(Fw.app.Session.get("IdType"));
	        	$("#GHcerTypeName").text(idTypeName);
	        	$("#GHcertNo").text(Fw.app.Session.get("IdNo"));
	        	$("#GHSpouseName_span").text(App.loanguarantee.data.SpouseName);
	        	var conS = App.loanguarantee.values.limitPutOut.replaceAll("/","");
	        	conS = conS.substring(0, 4) + "年"
				+ conS.substring(4, 6) + "月"
				+ conS.substring(6, 8) + "日";
	        	$("#GHconStartDate").html(conS);
	        	var conE = App.loanguarantee.values.limitMaturity.replaceAll("/","");
	        	conE = conE.substring(0, 4) + "年"
	        	+ conE.substring(4, 6) + "月"
	        	+ conE.substring(6, 8) + "日";
	        	$("#GHconEndDate").html(conE);
	        	$("#GHaccountName").html(Fw.app.Session.get("Name"));
	        	$("#GHaccount_no").html(Fw.util.Format.fmtAcctNo(App.loanguarantee.values.limitCard,true));
	        	$("#GHconMoney").html(Fw.util.Format.fmtAmt2Chinese(App.loanguarantee.values.BusinessSum));
	    		$("#GHnewRate").html(App.loanguarantee.values.Rate);
	    		//还款类型
	        	var hkType = App.loanguarantee.values.limitPaycyc;
	        	if(hkType == "03"){
	        		hkType = "2.5.2";
	        	}else if(hkType == "13"){
	        		hkType = "2.5.3";
	        	}else if(hkType == "14"){
	        		hkType = "2.5.4";
	        	}else{
	        		hkType = "2.5.1";
	        	}
	        	$("#GHhk_type").text(hkType);
	    		$("#loanProduct").addClass("sui-hide");
	    		$("#newLoanProduct").addClass("sui-hide");
	    		$("#GHLoanProduct").removeClass("sui-hide");
	    	}else{//展示新的贷款合同
	    		$("#heTongName").html("个人最高额信用借款合同");
	    		App.viewConfig.title = "个人最高额信用借款合同";
	        	Fw.apply(App.viewConfig, this.viewConfig);
	        	Fw.device.Device.applyView(App);
	    		$("#newcontract_No").html(App.parames.RelativeSerialNo);
	    		$(".org_name").text(App.parames.org_name);
	    		$("#newcustName_span").html(Fw.app.Session.get("Name"));
	    		var idTypeName = Fw.util.Format.fmtIdType(Fw.app.Session.get("IdType"));
	        	$("#newcerTypeName").text(idTypeName);
	        	$("#newcerNo").text(Fw.app.Session.get("IdNo"));
	        	var conS = $("[name=limitPutOut]").val().replaceAll("/","");
	        	conS = conS.substring(0, 4) + "年"
				+ conS.substring(4, 6) + "月"
				+ conS.substring(6, 8) + "日";
	        	$("#newconStart").html(conS);
	        	var conE = $("[name=limitMaturity]").val().replaceAll("/","");
	        	conE = conE.substring(0, 4) + "年"
	        	+ conE.substring(4, 6) + "月"
	        	+ conE.substring(6, 8) + "日";
	        	$("#newconEnd").html(conE);
	        	$("#newaccountName").html(Fw.app.Session.get("Name"));
	        	var lc = Fw.decode($("select[name=limitCard]").val());
	        	$("#newaccount_no").html(Fw.util.Format.fmtAcctNo(lc.No,true));
	        	$("#newconMoney").html(Fw.util.Format.fmtAmt2Chinese(App.parames.BusinessSum));
	    		$("#newlilv").html(App.parames.Ratefloat);
	    		//还款类型
	        	var hkType = $("#limitPaycyc").val();
	        	if(hkType == "03"){
	        		hkType = "2.5.2";
	        	}else if(hkType == "13"){
	        		hkType = "2.5.3";
	        	}else if(hkType == "14"){
	        		hkType = "2.5.4";
	        	}else{
	        		hkType = "2.5.1";
	        	}
	        	$("#hk_type").text(hkType);
	    		$("#loanProduct").addClass("sui-hide");
	    		$("#newLoanProduct").removeClass("sui-hide");
	    		$("#GHLoanProduct").addClass("sui-hide");
	    	}
	        App.tab.setActiveItem(1);
        },
        showPro : function(){
        	//清空显示
        	$("#cPro").show(500);
          	$("#cCity").hide();
        	$("#cArea").hide();
        	$("#top_show label").removeClass("bottom-style");
        	$("#pro_sel").addClass("bottom-style");
        	$("#city_sel").html("请选择");
        	$("#area_sel").html("请选择");
        	$("#city_div").empty();
        	$("#area_div").empty();
        },
        showCity : function(){
        	$("#cPro").hide();
        	$("#cCity").show(500);
        	$("#cArea").hide();
        	$("#top_show label").removeClass("bottom-style");
        	$("#city_sel").addClass("bottom-style");
        	$("#area_sel").html("请选择");
        	$("#area_div").empty();
        },
        showArea : function(){
        	$("#cPro").hide();
        	$("#cCity").hide();
        	$("#cArea").show(500);
        	$("#top_show label").removeClass("bottom-style");
        	$("#area_sel").addClass("bottom-style");
        },
        showProCorp : function(){
        	//清空显示
        	$("#cPro_corp").show(500);
        	$("#cCity_corp").hide();
        	$("#cArea_corp").hide();
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#pro_sel_corp").addClass("bottom-style");
        	$("#city_sel_corp").html("请选择");
        	$("#area_sel_corp").html("请选择");
        	$("#city_div_corp").empty();
        	$("#area_div_corp").empty();
        },
        showCityCorp : function(){
        	$("#cPro_corp").hide();
        	$("#cCity_corp").show(500);
        	$("#cArea_corp").hide();
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#city_sel_corp").addClass("bottom-style");
        	$("#area_sel_corp").html("请选择");
        	$("#area_div_corp").empty();
        },
        showAreaCorp : function(){
        	$("#cPro_corp").hide();
        	$("#cCity_corp").hide();
        	$("#cArea_corp").show(500);
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#area_sel_corp").addClass("bottom-style");
        },
        //选择地址
        chooseAddress : function(){
        	if(!areaData){
        		Fw.util.Ajax.query({
                    service: 'clientManagementService',
                    method: 'queryCityArea',//默认为query，方法名称必须是query开头
                    //请求参数
                    params: {},
                    loadMask: true,
                    success: function(data, result) {
    	                  	Fw.LoadMask.hide();
    	                  	if(!data)
    	              		{
    	                  		return;
    	              		}
    	                  	areaData = data;
    	                  	var content = "";
    	                  	$.each(data,function(i,c){
    	                  		if(c.PARENT_ID == 1){
    	                  			content += "<div id='pro_" + c.REGION_ID + "' onclick='App.chooseCity(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
    	                  		}
    	                  	});
    	                  	$("#pro_div").html(content);
    	                  	$("#cPro").show();
    	                  	$("#cCity").hide();
    	                	$("#cArea").hide();
    	                  	App.chooseCity('11');
    	                	$('#cityArea').css("display","-webkit-box");
                    },
                    failure : function(status, textStatus, error) {
	                  	Fw.LoadMask.hide();
    	          			Fw.Msg.error(error);
    	  						return false;
    		  				}
    	              });
        	}else{
        		if($("#pro_div div").length == 0){
        			var content = "";
                  	$.each(areaData,function(i,c){
                  		if(c.PARENT_ID == 1){
                  			content += "<div id='pro_" + c.REGION_ID + "' onclick='App.chooseCity(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
                  		}
                  	});
                  	$("#pro_div").html(content);
                  	App.chooseCity('11');
        		}
        		$('#cityArea').css("display","-webkit-box");
        	}
        },
        //选择地址
        chooseCity : function(index){
        	$("#pro_sel").html($("#pro_" + index).html());
        	$("#top_show label").removeClass("bottom-style");
        	$("#city_sel").addClass("bottom-style");
        	var content = "";
          	$.each(areaData,function(i,c){
          		if(c.PARENT_ID == index){
          			content += "<div id='city_" + c.REGION_ID + "' onclick='App.chooseArea(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
          		}
          	});
          	$("#cPro").hide();
          	$("#cCity").show(500);
        	$("#cArea").hide();
          	$("#city_div").html(content);
        },
        //选择地址
        chooseArea : function(index){
        	$("#city_sel").html($("#city_" + index).html());
        	$("#top_show label").removeClass("bottom-style");
        	$("#area_sel").addClass("bottom-style");
        	var content = "";
        	$.each(areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='area_" + c.REGION_ID + "' onclick='App.settingArea(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro").hide();
        	$("#cCity").hide();
        	$("#cArea").show(500);
        	$("#area_div").html(content);
        },
        //选择地址
        settingArea : function(index){
        	$("#area_sel").html($("#area_" + index).html());
        	App.onHide();
        },
        onHide: function(){
        	if($("#city_sel").html() == "请选择" || $("#area_sel").html() == "请选择"){
        		Fw.Msg.info("请正确选择所在地区！");
    			return;	
        	}
        	$("[name=myArea]").val($("#pro_sel").html() + $("#city_sel").html() + $("#area_sel").html());
        	$('#cityArea').css("display","none");
        },
      //选择地址
        chooseCorpAddress : function(){
        	if(!areaData){
        		Fw.util.Ajax.query({
        			service: 'clientManagementService',
        			method: 'queryCityArea',//默认为query，方法名称必须是query开头
        			//请求参数
        			params: {},
        			loadMask: true,
        			success: function(data, result) {
        				Fw.LoadMask.hide();
        				if(!data)
        				{
        					return;
        				}
        				areaData = data;
        				var content = "";
        				$.each(data,function(i,c){
        					if(c.PARENT_ID == 1){
        						content += "<div id='pro_corp_" + c.REGION_ID + "' onclick='App.chooseCityCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        					}
        				});
        				$("#pro_div_corp").html(content);
        				$("#cPro_corp").show();
        				$("#cCity_corp").hide();
        				$("#cArea_corp").hide();
        				App.chooseCityCorp('11');
	                	$('#cityArea_corp').css("display","-webkit-box");
        			},
        			failure : function(status, textStatus, error) {
	                  	Fw.LoadMask.hide();
        				Fw.Msg.error(error);
        				return false;
        			}
        		});
        	}else{
        		if($("#pro_div_corp div").length == 0){
        			var content = "";
    				$.each(areaData,function(i,c){
    					if(c.PARENT_ID == 1){
    						content += "<div id='pro_corp_" + c.REGION_ID + "' onclick='App.chooseCityCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
    					}
    				});
    				$("#pro_div_corp").html(content);
    				App.chooseCityCorp('11');
        		}
            	$('#cityArea_corp').css("display","-webkit-box");
        	}
        },
        //选择地址
        chooseCityCorp : function(index){
        	$("#pro_sel_corp").html($("#pro_corp_" + index).html());
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#city_sel_corp").addClass("bottom-style");
        	var content = "";
        	$.each(areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='city_corp_" + c.REGION_ID + "' onclick='App.chooseAreaCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro_corp").hide();
        	$("#cCity_corp").show(500);
        	$("#cArea_corp").hide();
        	$("#city_div_corp").html(content);
        },
        //选择地址
        chooseAreaCorp : function(index){
        	$("#city_sel_corp").html($("#city_corp_" + index).html());
        	$("#top_show_corp label").removeClass("bottom-style");
        	$("#area_sel_corp").addClass("bottom-style");
        	var content = "";
        	$.each(areaData,function(i,c){
        		if(c.PARENT_ID == index){
        			content += "<div id='area_corp_" + c.REGION_ID + "' onclick='App.settingAreaCorp(" + c.REGION_ID + ")'>" + c.REGION_NAME + "</div>";
        		}
        	});
        	$("#cPro_corp").hide();
        	$("#cCity_corp").hide();
        	$("#cArea_corp").show(500);
        	$("#area_div_corp").html(content);
        },
        //选择地址
        settingAreaCorp : function(index){
        	$("#area_sel_corp").html($("#area_corp_" + index).html());
        	App.onHideCorp();
        },
        onHideCorp: function(){
        	if($("#city_sel_corp").html() == "请选择" || $("#area_sel_corp").html() == "请选择"){
        		Fw.Msg.info("请正确选择所在地区！");
        		return;	
        	}
        	$("[name=corpArea]").val($("#pro_sel_corp").html() + $("#city_sel_corp").html() + $("#area_sel_corp").html());
        	$('#cityArea_corp').css("display","none");
        },
        /**
         * 获取到人脸数据并上报
         */
      	getFaceData: function(data){
      		form.values.ImgData='';
      		form.values.Img=data;
      		
      		form.values.DeviceId='';
      		form.values.MacNum='';
      		form.values.Flag='1';// 使用图片比对
      		form.values.IdNo = Fw.app.Session.getIdNo();
      		form.values.IdType = Fw.app.Session.getIdType();
      		form.values.CifName = Fw.app.Session.getCustName();
      		form.values.DeptId=Fw.app.Session.getCifDeptId();
      		form.values.SignChannel = "MOB-dkyx";
      		//开启
      		if(faceOpen == "0"){
      			//人脸识别比对
      			Fw.util.Ajax.query({
    		       	service: 'loadService',
    	            method: 'executeFaceCheck',
    		        loadMask: true,
    	            //请求参数
    	            params: form.values,
    	            //请求成功后回调
    	            success: function(data, result) {
	                  	Fw.LoadMask.hide();
    	            	if(data.FaceiIdentificationFlag == '1'){//人脸比对失败
    	            		//图片置空
    	            		form.values.Img = "";
    	            		faceFailCnt = faceFailCnt+1;
    	            		if(faceFailCnt < 3){
    	            			var message = data._RejMsg||"";
    	            			if(Fw.isEmpty(message)){
    	            				message = "人脸识别比对失败。";
    	            			}
    	            			Fw.Msg.info(message,function(){
    	            				$('#selectWay').css("display","-webkit-box");
    	            			});
    	            		}
    	            		else{
    	            			Fw.Msg.info("人脸比对失败已达3次！请稍后再试！",function(){
    	            				App.gobackUrl();
    	            				return false;
    	            			});
    	            		}
    	            	}else{//人脸比对通过
    	            		App.moveToHt(true);
    	            	}
    	            },
    	            failure : function(status, textStatus, error) {
	    				Fw.LoadMask.hide();
	    				Fw.Msg.error(error,function(){
	    					//图片置空
    	            		form.values.Img = "";
	    					$('#selectWay').css("display","-webkit-box");
	    				});
	    				return false;
	    			}
    		    });
  			//关闭
      		}else{
      			//调转协议填写动态口令
      			App.moveToHt();
      		}
      	},
        /**
         * 初始化页面
         */
        initHtml: function(){
            App.checkTermmonth();
        	//初始化添加字段
        	if(App.parames.RegionCodeName){
        		$("#myArea").val(App.parames.RegionCodeName);
        	}
        	if(App.parames.RegionCodeName){
        		$("#corpArea").val(App.parames.RegionCodeName);
        	}
        	if(App.parames.FamilyZip){
        		$("#postcode").val(App.parames.FamilyZip);
        	}else{
        		//判断如果是泗洪无邮编则默认为
        		if(Fw.app.Session.getParentDeptId()=="321324999"){
        			$("#postcode").val("223900");
        		}
        	}
        	if(App.parames.EmailAdd){
        		$("#lxr_email").val(App.parames.EmailAdd);
        	}
        	//添加字段结束
        	$('#choose-div').addClass("dialog-show");
        	$('#select-div').addClass("dialog-show");
        	$('#encryption-div').addClass("dialog-show");
        	//初始化短信
        	isSms = Fw.app.Session.getIsSms();
			if (isSms == "1") {
				$('#smsValid').removeClass('sui-hide');
			}else{
				$('#smsValid').addClass('sui-hide');
			}
    		//填充页面可能需要的信息
        	var debitCardNum = 0;
        	var cardList = Fw.app.Session.getAllCards();//客户借记卡
        	$('[name="limitCard"]').html("");//置空
        	for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType == "PDBC") {
					$('[name="limitCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if(debitCardNum == 0){
						$("#limitKKCard").val(Fw.util.Format.fmtAcctNo(card.No, true));
					}
					debitCardNum++;
				}
        	}
        	if(debitCardNum == 0){
        		Fw.Msg.info("您尚未绑定圆鼎卡，不能进行网贷产品合同签署！", function(){
        			App.gobackUrl();
                });
    			return;			
    		}
	        $("input[name=Fullname]").val(Fw.app.Session.getCustName());//姓名
        	$('input[name=Certid]').val(Fw.app.Session.getIdNo());//身份证号
        	Fw.ConstantData.setIdType($("[name=Certtype]"),0);
        	$("select[name=Certtype]").val(Fw.app.Session.getIdType());
        	$("input[name=limitBusType]").val(App.parames.BusinessTypeName);
        	$("input[name=limitProNo]").val(App.parames.BusinessType);
        	$("input[name=limitTermmonth]").val(App.parames.TermMonth);//期限
        	$("#limitSxSum").html(Fw.util.Format.fmtAmt(App.parames.BusinessSum));
        	$("#limitBusinesssum").val(Fw.util.Format.fmtAmt(App.parames.BusinessSum));
        	this.initCurDate();
        	var OffLineSymbol = App.parames.OffLineSymbol;
        	if(Fw.util.Format.fmtUndefinedData(OffLineSymbol) != ""){
        		var businessSum = parseFloat(App.parames.BusinessSum);
        		//大于阀值走签署合同流程，低于走网签项目流程
        		if(businessSum > parseFloat(OffLineSymbol)){
        			$("#create-btn").on("click", Fw.bind(this.submitForm,this));
        		}else{
        			OffLineSymbolFlag = true;
        			var limitBusinesssum = Fw.util.Format.unFmtAmt($("input[name=limitBusinesssum]").val());
        			if(limitBusinesssum>10000*App.parames.Controlsum  && App.parames.Controlsum){//大于阀值
        				App.parames.flag = true;
        				$("#create-btn").on("click", Fw.bind(this.doSubmit,this));
        			}else{//小于阀值
        				App.parames.flag = false;
        				$("#create-btn").on("click", Fw.bind(App.NetSign,this));
        			}
                	$("#contract-agree-btn").on("click", Fw.bind(this.createContract,this));
//                	this.faceIsOpen();
        		}
        	}else{
        		//未配置默认网签流程
        		Fw.Msg.info('此产品暂未配置转线下阀值，请稍后再试！', function(){
        			App.gobackUrl();
        			return false;
                });
        	}
        	//根据机构号初始化
        	var deptId = App.parames.deptId;
        	if("320982999" == deptId){
        		$("#span_content").html("E盾");
        		$("#df_div").removeClass("sui-hide");
        		$("#init_div").addClass("sui-hide");
        	}
        	if(App.parames.Purpoes == "020"){
        		$("#productKind").removeClass("sui-hide");
        	}else{
        		$("#productKind").addClass("sui-hide");
        	}
        },
        //创建合同
        createContract : function(){
        	if(faceOpen == "0"){
        		form.submit();
        	}else{
        		var type = $("[name=c_type]:checked").val();
        		if(type == "2"){
        			//动态口令弹出框
                	$('#selectDynamic').css("display","-webkit-box");
        		}else if(type == "3"){
        			//短信弹出框
                	$('#selectEncryptionKey').css("display","-webkit-box");
        		}else{
        			Fw.Msg.info('您选择的认证方式不正确，请返回上一页重新进行选择！', function(){
            			return false;
                    });
        		}
        	}
        },
        //提交表单
        submitForm:function(){  
        	form.submit();
     	},
     	backToIndex:function(){  
     		App.gobackUrl();
     	},
     	/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			//时间判断
			var limitPutOut = $("input[name=limitPutOut]").val();
			var limitMaturity = $("input[name=limitMaturity]").val();
			//期限判断
			var limitTermmonth = $("input[name=limitTermmonth]").val();
			//贷款用途
//			var limitPurpose = $("select[name=limitPurpose]").val();
			var paycyc = $("select[name=limitPaycyc]").val();//还款方式
			//确认金额判断
			var limitBusinesssum = Fw.util.Format.unFmtAmt($("input[name=limitBusinesssum]").val());
			//非网签流程校验
			if(!OffLineSymbolFlag || App.parames.flag){
				if(limitPutOut ==""){
					Fw.Tips.info("请选择起始日");
					return;
				}
				if(limitMaturity ==""){
					Fw.Tips.info("请选择到期日");
					return;
				}
				if(limitMaturity.replaceAll("/", "") > datastr.replaceAll("/", "")){
	        		Fw.Tips.info("到期日最多为三年!");
	        		return;
	        	}
				if(limitMaturity.replaceAll("/", "") > datastr2.replaceAll("/", "")){
					Fw.Tips.info("到期日不能大于期限" + datastr2 + "!");
					return;
				}
				if(limitMaturity.replaceAll("/", "") < limitPutOut.replaceAll("/", "")){
					Fw.Tips.info("到期日不能小于起始日!");
					return;
				}
				if(limitTermmonth == 0){
					Fw.Tips.info("期限至少为1个月!");
					return;
				}
				limitTermmonth = parseInt(limitTermmonth);
				if(limitTermmonth > App.parames.TermMonth){
					Fw.Tips.info("超出最大期限：" + App.parames.TermMonth + "个月!");
					return;
				}
//				if(limitPurpose == ""){
//					Fw.Tips.info("请选择贷款用途!");
//					return;
//				}
				if(paycyc == ""){
					Fw.Tips.info("请选择还款方式!");
					return;
				}
				if(limitBusinesssum > 100000 && paycyc == "02"){
	  				Fw.Msg.info("还款方式选择利随本清，必须合同金额低于10万元!");
	  				return;
	  			}
				if(limitBusinesssum > Fw.util.Format.unFmtAmt(App.parames.BusinessSum)){
					Fw.Tips.info("确认金额不能大于申请额度!" + App.parames.BusinessSum);
					return;
				}
				if(limitBusinesssum < 5000){
					Fw.Tips.info("确认金额必须大于5000元!");
					return;
				}
				//住宅地区
				var myArea = $("[name=myArea]").val();
				if(myArea == ""){
					Fw.Tips.info("请选择住宅地区!");
					return;
				}
				//住宅详细地址
				var xxAddress = $("[name=xxAddress]").val();
				if(xxAddress == ""){
					Fw.Tips.info("请输入住宅详细地址!");
					return;
				}
				//单位地区
				var corpArea = $("[name=corpArea]").val();
				if(corpArea == ""){
					Fw.Tips.info("请选择单位地区!");
					return;
				}
				//单位详细地址
				var corpAddress = $("[name=corpAddress]").val();
				if(corpAddress == ""){
					Fw.Tips.info("请输入单位详细地址!");
					return;
				}
				//邮政编号
				var postcode = $("[name=postcode]").val();
				if(postcode == ""){
					Fw.Tips.info("请输入邮政编号!");
					return;
				}
				//联系人姓名
				var lxrName = $("[name=lxrName]").val();
				if(lxrName == ""){
					Fw.Tips.info("请输入联系人姓名!");
					return;
				}
				//联系人手机号
				var lxrPhone = $("[name=lxrPhone]").val();
				if(lxrPhone == ""){
					Fw.Tips.info("请输入联系人手机号!");
					return;
				}
				if(lxrPhone.length != 11){
					Fw.Tips.info("请输入正确的联系人手机号!");
					return;
				}
			}
			values["limitPutOut"] = limitPutOut;//起始日 
			values["limitMaturity"] = limitMaturity;//到期日
			values["limitTermmonth"] = limitTermmonth;//期限
			//新添加传贷款用途开始
			var  productKind= App.parames.Purpoes == "" ? "其他消费" : false;
			if(!productKind){
				if(App.parames.Purpoes == '020'){
					productKind = $("#limitPurpose").val();
					if(productKind == "00"){
						productKind = "其他消费";
					}else{
						productKind = "其他";
					}
				}else{
					productKind = "其他消费";
				}
			}
			var lc = Fw.decode($("select[name=limitCard]").val());
			var idNo = Fw.app.Session.getIdNo();
			//新增的字段
			//手机号
			if(idNo.length == 15){
				//出生日期
				var birthday = idNo.substring(6,12);
				birthday = "19" + birthday.substring(0,2) + birthday.substring(2,4) + birthday.substring(4,6);
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					values["Sex"] = "1";
				}else if(sex == "F"){
					values["Sex"] = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(14,15);
					if(cutIdNo % 2 == 0){
						values["Sex"] = "2";
					}else{
						values["Sex"] = "1";
					}
				}
			}else if(idNo.length == 18){
				//出生日期
				var birthday = idNo.substring(6,14);
				birthday = birthday.substring(0,4) + birthday.substring(4,6) + birthday.substring(6,8);
				values["Birthday"] = birthday;
				//性别...男1、女2
				var sex = Fw.app.Session.getGender();
				if(sex == "M"){
					sex = "1";
				}else if(sex == "F"){
					sex = "2";
				}else{
					//截取身份证判断性别
					var cutIdNo = idNo.substring(16,17);
					if(cutIdNo % 2 == 0){
						sex = "2";
					}else{
						sex = "1";
					}
				}
			}else{
				Fw.Tips.info("证件号码不符！");
				return;
			}
			var params = {
				limitPutOut: limitPutOut,//起始日 
				limitMaturity: limitMaturity,//到期日
				limitTermmonth: limitTermmonth,//期限
				limitPurpose: productKind,//用途 默认（原因：字段已屏蔽）
				limitPaycyc: paycyc,//还款方式
				limitBusinesssum: limitBusinesssum,//确认金额
				BusinessType: App.parames.BusinessType,//产品编号
				WDSerialno: App.parames.RelativeSerialNo,//额度申请流水
				limitCard: lc.No,//结算卡
				limitKKCard: lc.No,//扣款卡
				BankAccountName: lc.Name,
				DeductFlag1Name: lc.Name,
				Fullname: Fw.app.Session.getCustName(),//姓名
				Certid: idNo,
				Certtype: Fw.app.Session.getIdType(),
				Mobiletelephone: Fw.app.Session.getLoginPhoneNo(),
				Birthday: birthday,
				Sex: sex,
				ArtificialNo: "1",
				OffLineSymbolFlag: OffLineSymbolFlag == true ? "1" : "0",
				faceOpen: faceOpen,
				CifName: Fw.app.Session.getCustName(),//姓名
				loadProductName:App.parames.Businesstypename//新增上送产品名称
			};
			
			//网签新加字段
			var type = $("[name=c_type]:checked").val();
			if(type == "2"){
				var oTPPassword = $("input[name=oTPPassword]").val();
				if(oTPPassword==""&& isOtp!="0"){
					Fw.Msg.info('请输入动态口令！');
					return;
				}	
				params["IsOtp"] = Fw.app.Session.getIsOtp();
				params["otpType"] = Fw.app.Session.getOtpType();
				params["otpNo"] = Fw.app.Session.getOtpNo();
				//动态口令验证方式
				params["oTPPassword"] = $("input[name=oTPPassword]").val();
			}else if(type == "3"){
				var smscode = $("input[name=smsText]").val();
				if(isSms == "1" && smscode ==""){
					Fw.Tips.info("请输入短信验证码");
					return;
				}
				//E盾短信
				params["smscode"] = smscode;
				params["smsSecurity"] = smsSecurity;
			}
			params["selectType"] = type;//人脸比对失败后，选择的认证方式
			//通讯地址
        	var familyadd = $("select[name=Familyadd]").val();
        	//住宅地址
        	if(familyadd == "1"){
        		params["Familyadd"] = $("#myArea").val() + $("#xxAddress").val();
        	}else{
        		//单位地址
        		params["Familyadd"] = $("#corpArea").val() + $("#corpAddress").val();
        	}
        	params["FaceFlag"] = "2";//默认非转线下
        	params["Familyzip"] = $("input[name=postcode]").val();
        	params["PeopName"] = $("input[name=lxrName]").val();
        	params["PhoneNo"] = $("input[name=lxrPhone]").val();
        	params["loadProductName"] = App.parames.BusinessTypeName;//新增上送产品名称
        	//最终签署合同利率
        	params["Rate"] = App.parames.Ratefloat;
        	params["org_name"] = App.parames.org_name;
        	//签署合同判断阀值
        	if(App.parames.flag){
        		params["CorporateOrgId"] = "";
        		params["productType"] = "G";
        		params["OffLineSymbol"] = App.parames.OffLineSymbol;
        		params["BusinessSum"] = App.parames.BusinessSum;
        		params["Limitsum"] = App.parames.Limitsum;
        		App.loanguarantee.LoanPartnerWarrantQry(params);
        	}else{
	        	Fw.SmsCountDown.getSMSParams(smscode,function(data){
	        		params = Fw.util.Format.jsonAddJson(params,data);
	    			//客户信息建立成功则进入合同建立页面
	    			if(checkFlag){//防重复提交判断
	        			return;
	        	    }
	    			checkFlag = true;
				Fw.util.Ajax.query({
	                service: 'loadService',
	                method: 'executeGNetLoanUserBuild',//默认为query，方法名称必须是query开头
	                //请求参数
	                params: params,
	                loadMask: true,
	                success: function(data, result) {
	                	checkFlag = false;
	                	Fw.LoadMask.hide();
	                	if(!data)
	            		{
	                		return;
	            		}
	            		//跳转至电子合同协议界面
	                	App.parames._RejCode = data._RejCode;
						App.parames._RejMsg = data._RejMsg;
						App.parames.Code = data.Code;
						App.parames.returnFlag = "UB";
						App.parames.OffLineSymbolFlag = OffLineSymbolFlag;
						//客户经理信息
						App.parames.CiManagerOrgID = data.CiManagerOrgID;
						App.parames.CiManagerUserID = data.CiManagerUserID;
						App.parames.UiMobileTel = data.UiMobileTel;
						//合同号
						App.parames.Bcserialno = data.Bcserialno;
						App.parames.AccountNo = lc.No;
						App.parames.limitTermmonth = limitTermmonth;
						var desc = Fw.util.Format.fmtUndefinedData(data.Desc);
						var bz = desc.split(":");
						if(bz.length == 2 && bz[1] != ""){
							if(bz[1] != "G"){
								App.parames.isEts = true;
							}
						}
						Fw.redirect('./sunShineGHLoad.html', Fw.encode(App.parames));
	                },
	                failure : function(status, textStatus, error) {
	                	checkFlag = false;
	                	Fw.LoadMask.hide();
	                	Fw.Msg.error(error, function(){
	        				//动态短信弹出框
	                    	$('#selectDynamic').css("display","none");
	            			$("input[name=oTPPassword]").val("");
	            			$("input[name=oTPPassword]").attr("placeholder","请输入动态口令");
	                			//短信弹出框
	                        	$('#selectEncryptionKey').css("display","none");
	                			$("input[name=smsText]").val("");
	                			$("input[name=smsText]").attr("placeholder","请输入验证码");
	            			});
	    					return false;
	    				}
	                });
	    		},Fw.app.Session);
        	}
		},
		/**
		 * 调用短信统一接口
		 */
		smsCountDownClick : function(e) {
			//合同确认金额
			var amount = Fw.util.Format.unFmtAmt($("input[name=limitBusinesssum]").val());
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			// 倒计时配置参数
			var params = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"
				delay : 60,
				// 参数
				param : {
					// 0表示本地获取 1表示 渠道端获取
					socket : '1',
					modType : 'ygdht',
					amount : amount,
				},
			// 业务参数配置待短信接口确定后完善...
			// AMT:5000,
			// PHONE:13698888888
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},
		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		voiceLoadImg : function(){
			for(var i = 0; i < 4 ; i++){
				if(!($("#voiceImg"+i).hasClass("sui-hide"))){
					$("#voiceImg"+i).addClass("sui-hide");
					var count = i==3?0:(i+1);
					$("#voiceImg"+count).removeClass("sui-hide");
					return;
				}
			}
		 },
		 
		 gobackUrl:function(){
			if (undefined != App.parames.backFlag && App.parames.backFlag == "Online") {
				Fw.redirect("../menu/onLineLoan.html");
			} else {
				Fw.redirect("../menu/main.html");
			}
		}
    };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
