/**
 * 创建应用
 */
var App = function() {
    var tpl;
    var sum = 0;
    var hSum = 0;
    var whSum=[];	//外币活期总金额
    var dSum = 0;
    var lSum = 0;
    var eSum = 0;   //大额存单
    var sdSum = 0; //结构性存款
	var creditSum = 0; // 信用卡资产
	var creditAmount=0; //信用卡欠款金额
	var debetBack = "0";// 查询负责是否返回的标识
	var lonasum=0;// 贷款余额
	var debet = 0;// 总负债
	var lonasum=0;// 贷款余额
	var  CifNo = "";
	var defaultAccount="";//默认账户
	var flag= g("flag");
	var mainFlag=0;
	var creditData;
	var saveCardsOk = false;
	var dCardsOk = false;
	var creditCardsOk = false;
	var cards = null;// 账号信息
	var loan = null;// 贷款账号信息
	var selectedAcct;//选中的借记卡账号
	var echarts,pie;
	var parameters={}; //页面跳转参数
	var crflag;
	var loginState; //登录状态  0-已登录  1-未登录
    return {
        /**
         * 依赖组件
         */
        requires : [
          '../../baseFinancial/financialServices/js/FinancialHelper.js',
          'Fw.DevicePlugin'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '我的账户',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            },
            rightButton : {
				text : 'addico',
				// 自定义按钮点击事件（默认App.rightButtonHandler）
				// handler: XXX
			},
			loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	Fw.device.Device.getAppVersion({callback: "App.setAppVersion"});
        	this.require=require;
        	echarts = require('echarts/echarts');
    		pie1 = require('./options/pie'); 
    		pie2 = require('./options/pie'); 
            //初始化事件
            this.initEvents();
            //初始化数据
            setTimeout("App.initData()", 500);
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('.ui-dialog-cancle').on('click',Fw.bind(this.closeDialog,this));
        	
        	$('#dialog-billInst').on('click',Fw.bind(this.toBillInst,this));
        	
        	$('#dialog-cashInst').on('click',Fw.bind(this.toCashInst,this));
        },
        
        hideMask:function(){
        	if(saveCardsOk&&dCardsOk&&creditCardsOk){
        		Fw.LoadMask.hide();
   		 	}
        },
        
        /**
         * 初始化数据
         */
        initData:function(){
        	App.certData = {};
        	if(App.checkAppVersion()){
        		Fw.device.Device.getLoginPhone("App.setLoginPhone");
        	}else{ //客户端版本过低，走登录内交易
        		App.queryWithoutLogin("");
        	}
        },
        
        /**
         * 账号汇总查询
         */
        doQueryCard: function(){
        	Fw.util.Ajax.query({
                service: 'withoutLoginService/queryMCActPandectQuery',
                //请求参数
                params: {
               	 	CifNo: CifNo,
               	 	HKECertTransferToken: App.certData.HKECertTransferToken || ""
                },
                loadMask: true,
                success: function(data, result) {
                	Fw.LoadMask.hide();
                	if(!data)
            		{
            		return;
            		}
               	App.showSavePage(data);//圆鼎卡
               	App.showBindingPage(data);	//快速绑定
               	App.doQueryDkCard();
                },
            });
        },
        
        /**
         * 贷款查询
         */
        doQueryDkCard: function(){
        	Fw.util.Ajax.query({
                service: 'withoutLoginService/queryMCActPandectLoanQry',
                //请求参数
                params: {
                	CustNo: CifNo,
                	TxDt: '',
                	Amount: '0',
                	FunCode: '2',
                	HKECertTransferToken: App.certData.HKECertTransferToken || ""
                },
                loadMask: true,
                success: function(data, result) {
                	Fw.LoadMask.hide();
                	if(!data)
            		{
            		return;
            		}
                	App.showLoan(data);
                	App.doQueryCreidCard(); //信用卡
                },
            });
        },
        
        /**
         * 信用卡查询
         */
        doQueryCreidCard: function(){
        	Fw.util.Ajax.query({
                service: 'withoutLoginService/queryMCActPandectCreditQry',
                //请求参数
                params: {
                	HKECertTransferToken: App.certData.HKECertTransferToken || ""
                },
                loadMask: true,
                success: function(data, result) {
                	Fw.LoadMask.hide();
                	if(!data)
            		{
            		return;
            		}
                	App.showCreditInfo(data);
                },
            });
        },
      
    	showSavePage:function(data){  //圆鼎卡
    		if(!data || data.List.length==0){
    			return;
			};
    		var sb2=[];
    		var sb_2 ="";
    		cards = data.List;	
    		// 遍历获取默认账号的在数组中的下标
    		var defAcctIdx = null;
    		var j = 0;
    		for(; j<cards.length; j++){
    			if(cards[j].AcNo==defaultAccount){
    				defAcctIdx = j;
    				break;
    			}
    		}
    		
    		// 把默认账号的信息移到数组的首位
    		if(defAcctIdx!=0){
    			var acctInfo = cards[0];
        		cards[0] = cards[defAcctIdx];
        		cards[defAcctIdx] = acctInfo;
    		}
    		
    		var acctType = "";
    		var i=0;
    		for(; i<cards.length; i++){
    			acctType = cards[i].BankAcType;
    			acctNo = cards[i].AcNo;
    			// 信用卡的信息不展示
    			if(acctType =="PCRC"){
    				continue;
    			}
    			if(i>=2){
    				sb_2 += "<div class='hiden' style='margin-top: 7px;background-color: #fff;' id='saveAcctDiv"+i+"'>";
    			}else{
    				sb_2 += "<div style='margin-top: 7px;background-color: #fff;' id='saveAcctDiv"+i+"'>";
    			}
    			// 卡类型
    			if(acctType =="PDAC"){
    				sb_2 += '<div class="accountOverview-card-ele">';
    				sb_2 += '<i class="accountOverview-card-type-ele"></i>';
    				sb_2 += '<label>电子账户</label>';
    				sb_2 += '</div>';
    			}else {
    				sb_2 += '<div class="accountOverview-card-debit">';
    				sb_2 += '<i class="accountOverview-card-type"></i>';
    				sb_2 += '<label>'+App.fmtCardType(acctType)+'</label>';
    				if(acctType =="PDBC"){
    					sb_2 += '<span style="font-size: 12px;color: #27BA60;letter-spacing: -0.12px;">'+Fw.util.Format.fmtAccLevel(Fw.util.Format.fmtUndefinedData(cards[i].AcctLevel))+'</span>';
    				}
    				if (acctType =="PDBC" && cards[i].AcNo == defaultAccount){
    					sb_2 += '<div class="accountOverview-card-default">';
    					sb_2 += '<i></i>';
    					sb_2 += '<label>默认</label>';
    					sb_2 += '</div>';
    				}
    				sb_2 += '</div>';
    			}
    			// 卡号
    			sb_2 += '<input type="text" class="hiden" value="'+acctNo+'" id="acctNo'+i+'"/>';
    			sb_2 += '<input type="text" class="hiden" value="'+acctType+'" id="acctType'+i+'"/>';
    			if(acctType =="PDBC"){
    				sb_2 += '<div class="accountOverview-card-no" onclick="App.toViewAcNo(\''+acctNo+'\')">';
    				sb_2 += '<h2>'+Fw.util.Format.fmtAcctNo(cards[i].AcNo.trim(),true)+'</h2>';
    				sb_2 += '</div>';
    			}else {
    				sb_2 += '<div class="accountOverview-card-no" onclick="App.toViewAcNo(\''+acctNo+'\')")>';
    				sb_2 += '<h2>'+Fw.util.Format.fmtAcctNo(cards[i].AcNo.trim(),true)+'</h2>';
    				sb_2 += '</div>';
    			}
    			//加载活期(包含人民币和外币的情况)的列表项
    			var foreignCard=cards[i].List3;
    			for (var j = 0; j < foreignCard.length; j++) {   
    				// 点击事件
    				if(acctType =="PDAC"||(acctType =="PSDP"&&foreignCard[j].CurrencyCode=="CNY")||foreignCard[j].BanlanceSavePsdp=="0" || foreignCard[j].BanlanceSavePsdp=="0.00"){
						sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom">';
					}else if(foreignCard[j].CurrencyCode=="CNY"){
						sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom"  onclick="App.hq_detail_query('+i+')">';
					}else {
						sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.wbhq_detail_query('+i+','+j+')">';
					} 
    				// 展示字段
    				if(acctType =="PDAC"){
						sb_2 += '<label>余额</label>';
        			}else if("CNY"!=foreignCard[j].CurrencyCode){
        				sb_2 += '<label>'+Fw.util.Format.fmtCurrency(foreignCard[j].CurrencyCode)+'活期</label>';           				
    				}else {
    					sb_2 += '<label>活期余额</label>';
    				} 
    				// 展示值
    				sb_2 += '<input type="text"  value="'+Fw.util.Format.fmtCurrencyUnit(foreignCard[j].CurrencyCode)+foreignCard[j].BanlanceSavePsdp+'" readonly="readonly" ';
					// 点击提示>
    				if((acctType =="PSDP"&&foreignCard[j].CurrencyCode=="CNY") || foreignCard[j].BanlanceSavePsdp=="0" || foreignCard[j].BanlanceSavePsdp=="0.00"){
        				// 展示值
        				sb_2 += '>';
					}else {
	    				// 展示值
	    				sb_2 += 'style="padding-right: 9px;">';
						sb_2 += '<i></i>';
					}
    				sb_2 += '</div>';
        			//活期只计算人民币的情况
        			if(foreignCard[j].CurrencyCode=="CNY"){
        				sum = sum + Number(foreignCard[j].BanlanceSavePsdp);
        				hSum = hSum+Number(foreignCard[j].BanlanceSavePsdp);
        			}
        			whSum[j] = whSum[j]+Number(foreignCard[j].BanlanceSavePsdp);
				}
    			//加载定期的列表项
    			if(acctType !="PSDP" && acctType !="PDAC"){	//非存折、 非电子账户
    				if(cards[i].BalanceTim=="0" || cards[i].BalanceTim=="0.00"){	//定期总金额是0
    					sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom">';    					
    				}else{
    					sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.dq_detail_query('+i+')">';
    				}
    				sb_2 += '<label>定期 </label>';
    				sb_2 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(cards[i].BalanceTim) +'" readonly="readonly" ';
    				if(cards[i].BalanceTim=="0" || cards[i].BalanceTim=="0.00"){	//定期总金额是0
    					sb_2 += '>';    					
    				}else{
    					sb_2 += 'style="padding-right: 9px;">';
    					sb_2 += '<i></i>';
    				}
    				sb_2 += "</div>";
    			}
    			sum = sum + Number(cards[i].BalanceTim);
    			dSum = dSum +Number(cards[i].BalanceTim);
    			
    			//加载理财的列表项
    			if(acctType !="PDAC"){
    				if(cards[i].ApplyAmtAll=="0" || cards[i].ApplyAmtAll=="0.00"){	//定期总金额是0
    					sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom">';    					
    				}else{
    					sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.queryFinancailDetail('+i+')">';
    				}
    				sb_2 += '<label>理财 </label>';
    				sb_2 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(cards[i].ApplyAmtAll) +'" readonly="readonly" ';
    				if(cards[i].ApplyAmtAll=="0" || cards[i].ApplyAmtAll=="0.00"){	//定期总金额是0
    					sb_2 += '>';    					
    				}else{
    					sb_2 += 'style="padding-right: 9px;">';
    					sb_2 += '<i></i>';
    				}
    				sb_2 += "</div>";
    			}
    			sum = sum + Number(cards[i].ApplyAmtAll);
    			lSum = lSum+Number(cards[i].ApplyAmtAll);
    			
    			//加载大额存单列表项
    			if(acctType !="PDAC"){
    				if(cards[i].DepositAllAmt=="0" || cards[i].DepositAllAmt=="0.00"){	//定期总金额是0
    					sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom">';    					
    				}else{
    					sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.queryDepositDrawProductsQry('+i+')">';
    				}
    				sb_2 += '<label>大额存单</label>';
    				sb_2 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(cards[i].DepositAllAmt) +'" readonly="readonly" ';
    				if(cards[i].DepositAllAmt=="0" || cards[i].DepositAllAmt=="0.00"){	//定期总金额是0
    					sb_2 += '>';    					
    				}else{
    					sb_2 += 'style="padding-right: 9px;">';
    					sb_2 += '<i></i>';
    				}
    				sb_2 += "</div>";
    			}
    			sum = sum + Number(cards[i].DepositAllAmt);
    			eSum = eSum+Number(cards[i].DepositAllAmt);
    			
    			//结构性存款
    			if(acctType !="PDAC" && cards[i].StructuredDepositAllAmt != "0"){
    				sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom">'; 
    				sb_2 += '<label>结构性存款</label>';
    				sb_2 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(cards[i].StructuredDepositAllAmt) +'" readonly="readonly" >';
    				sb_2 += "</div>";
    			}
    			//加载最后一个列表项
    			sum = sum + Number(cards[i].StructuredDepositAllAmt);
    			sdSum = sdSum+Number(cards[i].StructuredDepositAllAmt);
    			// 操作
    			if(acctType =="PDAC" || cards[i].AcctLevel=="2" || cards[i].AcctLevel=="3"){ //电子账户、圆鼎卡II、III类户
    				sb_2 += '<div class="accountOverview-card-option">';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label  onclick="App.toEleAcBind('+i+')">绑定管理</label>';
    				sb_2 += '<i></i>';
    				sb_2 += '</div>';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label  onclick="App.toEleTransferIn('+i+')">转入资金</label>';
    				sb_2 += '<i></i>';
    				sb_2 += '</div>';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label  onclick="App.toEleTransferOut('+i+')">转出资金</label>';
    				sb_2 += '<i></i>';
    				sb_2 += '</div>';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label  onclick="App.toEleDetailQuery('+i+')">明细查询</label>';
    				sb_2 += '</div>';
    				sb_2 += '</div>';
    			}else{
    				sb_2 += '<div class="accountOverview-card-option">';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label  onclick="App.toEleDetailQuery('+i+')">明细查询</label>';
    				sb_2 += '<i></i>';
    				sb_2 += '</div>';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label onclick="App.toTransfer('+i+')">转账汇款</label>';
    				sb_2 += '<i></i>';
    				sb_2 += '</div>';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label  onclick="App.toCashOrder('+i+')">预约取现</label>';
    				sb_2 += '<i></i>';
    				sb_2 += '</div>';
    				sb_2 += '<div class="accountOverview-card-option-item">';
    				sb_2 += '<label  onclick="App.toFinacilSub('+i+')">购买理财</label>';
    				sb_2 += '</div>';
    				sb_2 += '</div>';
    			}
    			
    			
    			sb_2 += "</div>";
    		}
    		
    		if(i>2){
    			sb_2 += '<div class="wf100 "><span class="wf100" id="show_sava_btn" style="padding-right:20px;text-align:right;float:right;color:red;" onclick="App.showAllSaveAcct()"> 显示全部资产账户 </span> </div>';
    		}
    
    		sb2[sb2.length] = sb_2;
    		var savePage = document.getElementById("pageSave");
    		savePage.innerHTML = sb2.join("");
    		var totalMoney = document.getElementById("totalMoney");
    		var fixedSum = sum.toFixed(2);
    		totalMoney.value = Fw.util.Format.fmtAmt(fixedSum);
    		
    		if(fixedSum>0){
    			addClass($("#li_zc"), "iptdate1");
    			removeClass($("#capitalImg"),'hiden');
    			// 添加点击事件
    			$("#li_zc").on('click', Fw.bind(App.showCatelogTotal, this));
    		}
     	},
     	
     	//外币活期账户详情查询
     	wbhq_detail_query:function(i,j){
     		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
     		var accType = g("acctType"+i).value;
    		flag.value  = 9;
    		var foreigncards=cards[i].List3;
    		var acNo=cards[i].AcNo;
    		//查询钞汇鉴别
    		Fw.util.Ajax.query({
    			service : 'foreignExchangeService',
    			method : 'queryAmtandCurrencyCode',
    			params : {
    				AcNo:acNo
    			},
    			// 是否使用数据挡板（默认false）
    			staticData : false,
    			// 请求成功后回调
    			success : function(data, result) {
    				var resultListC=data.List;
        			for(var y = 0;y < resultListC.length;y++){
    					if(resultListC[y].CurrencyCode==foreigncards[j].CurrencyCode){
    						crflag=resultListC[y].AmtFlag;
    					}
    				}
        			if(accType != "PSDP"){	//不为存折的情况
            			Fw.util.Ajax.query({
                            service: 'accountService',
                            method: 'queryForeignCurrencyDetail',
                            //请求参数
                            params: {
                            	BankAcType:cards[i].BankAcType,	
                            	AcNo:acNo,
                            	CurrencyCode:foreigncards[j].CurrencyCode,
                            	CRFlag:""
                            },
                            success: function(data, result) {
                            	if(!data){
                            		return;
                        		}
                            	//显示非存折的外币活期详情
                            	App.showWBHqDetailPage(data);
                            },
                        });
            		}else{
            			Fw.util.Ajax.query({
                            service: 'accountService',
                            method: 'queryForeignCurrencyDetail',
                            //请求参数
                            params: {
                            	BankAcType:cards[i].BankAcType,	
                            	AcNo:acNo,
                            	CurrencyCode:foreigncards[j].CurrencyCode,
                            	CRFlag:crflag
                            },
                            success: function(data, result) {
                            	if(!data){
                            		return;
                        		}
                            	//显示存折的外币活期详情
                            	App.showWBHqCZDetailPage(data);
                            },
                        });
            		}
    			},
    			// 请求错误后回调
    			failure : function(status, textStatus, error) {
    				
    			}
    		})
    	},
    	
     	
     	//显示非存折的外币活期余额详情
     	showWBHqDetailPage:function(data){
     		if(!data){
     			return;
     		};
     		var sb1=[];
     		var sb_1="";
     		var wbhq_acc = g("wbhq_acc");
     		wbhq_acc.innerHTML=" ";
     		var counthq=0;
     		var dataList=data.List;
     		for(var i=0;i<dataList.length;i++){
     			if(dataList[i].BankSubAcType == "SAV"){
     				counthq++;
     				sb_1 +='<div class="radius_text">'

     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">存款类型</div>';
     				sb_1 += '<span>活期</span>';
     				sb_1 +='</div>';

     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">币种</div>';
     				sb_1 += '<span>'+Fw.util.Format.fmtCurrency(dataList[i].CurrencyCode)+'</span>';
     				sb_1 +='</div>';

     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">存期</div>';
     				sb_1 += '<span>'+Fw.util.Format.fmtTermCode(dataList[i].Term)+'</span>';
     				sb_1 +='</div>';
     				
     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">钞汇鉴别</div>';
     				sb_1 += '<span>'+Fw.util.Format.fmtAmtFlag(dataList[i].CRFlag)+'</span>';
     				sb_1 +='</div>';
     					
     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">开户日期</div>';
     				sb_1 += '<span>'+App.fmtDateStr(dataList[i].OpenDate)+'</span>';
     				sb_1 +='</div>';
     					
     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">到期日期</div>';
     				sb_1 += '<span>'+App.fmtDateStr(dataList[i].ExpireDate)+'</span>';
     				sb_1 +='</div>';
     					
     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">利率（%）</div>';
     				sb_1 += '<span>'+dataList[i].Rate+'</span>';
     				sb_1 +='</div>';
     					
     				sb_1 += '<div class="text_content">';
     				sb_1 += '<div class="text_title">账户余额</div>';
     				sb_1 += "<span class=' red' style='right: 75px;'>"+Fw.util.Format.fmtAmt(dataList[i].Balance,2,false,Fw.util.Format.fmtCurrencyUnit(dataList[i].CurrencyCode))+"("+Fw.util.Format.fmtCurrency(dataList[i].CurrencyCode)+")</span>";
     				sb_1 +='</div>';

     				sb_1 += '<div class="text_content text_content2">';
     				sb_1 += '<div class="text_title">可用余额</div>';
     				sb_1 += "<span class='red' style='right: 75px;'>"+Fw.util.Format.fmtAmt(dataList[i].AvailBal,2,false,Fw.util.Format.fmtCurrencyUnit(dataList[i].CurrencyCode))+"("+Fw.util.Format.fmtCurrency(dataList[i].CurrencyCode)+")</span>";
     				sb_1 +='</div>';
     				
     				sb_1 +='</div>';
     			}
     		}

     		if(counthq==0){
     			sb_1 += "<div class='center'>无活期账户</div>";
     		}
     		sb1[sb1.length] = sb_1;
     		wbhq_acc.innerHTML = sb1.join("");
     		addClass($("#pageMain"),'hiden');
     		removeClass($("#pageWBHq"),'hiden');
     	},
     	
     	//显示存折的外币活期余额详情
     	showWBHqCZDetailPage:function(data){
    		if(!data){
    			return;
			};
    		var sb1=[];
    		var sb_1="";
    		var wbhq_acc = g("wbhq_acc");
    		wbhq_acc.innerHTML=" ";
    		sb1[sb1.length] = "<ul class='accountTol'>";
    		var dataList=data.List;
			for(var i=0;i<dataList.length;i++){
				sb_1 += "<li><label class=''>存款类型:</label>";
				sb_1 += "<span class=''>活期</span></li>";
				sb_1 += "<hr class='avLimtHrNei1'>"
					
				sb_1 += "<li><label class=''>币种:</label>";
				sb_1 += "<span class=''>"+Fw.util.Format.fmtCurrency(dataList[i].CurrencyCode)+"</span></li>";
				sb_1 += "<hr class='avLimtHrNei1'>"
					
				sb_1 += "<li><label class=''>钞汇鉴别:</label>";
				sb_1 += "<span class=''>"+Fw.util.Format.fmtAmtFlag(dataList[i].CRFlag)+"</span></li>";
				sb_1 += "<hr class='avLimtHrNei1'>"
					
				sb_1 += "<li><label class=''>开户日期:</label>";
				sb_1 += "<span class=''>"+App.fmtDateStr(dataList[i].OpenDate)+"</span></li>";
				sb_1 += "<hr class='avLimtHrNei1'>"
					
				sb_1 += "<li><label class=''>到期日期:</label>";
				sb_1 += "<span class=''>"+App.fmtDateStr(dataList[i].ExpireDate)+"</span></li>";
				sb_1 += "<hr class='avLimtHrNei1'>"
					
				sb_1 += "<li><label class=''>利率（%）:</label>";
				sb_1 += "<span class=''>"+dataList[i].Rate+"</span></li>";
				sb_1 += "<hr class='avLimtHrNei1'>"	
					
				sb_1 += "<li class=''><label class=''>账户余额:</label>";
				sb_1 += "<span class=' red' style='right: 85px;'>"+Fw.util.Format.fmtAmt(dataList[i].Balance,2,false,Fw.util.Format.fmtCurrencyUnit(dataList[i].CurrencyCode))+"</span>";
				sb_1 += "<span class='blue'>(<em>"+Fw.util.Format.fmtCurrency(dataList[i].CurrencyCode)+"</em>)</span></li>";
				sb_1 += "<hr class='firstHr'>";
				
				sb_1 += "<li class=''><label class=''>可用余额:</label>";
				sb_1 += "<span class='red' style='right: 85px;'>"+Fw.util.Format.fmtAmt(dataList[i].AvailBal,2,false,Fw.util.Format.fmtCurrencyUnit(dataList[i].CurrencyCode))+"</span>";
				sb_1 += "<span class='blue'>(<em>"+Fw.util.Format.fmtCurrency(dataList[i].CurrencyCode)+"</em>)</span></li>";
				sb_1 += "<hr class='firstHr'>";
			}
    		sb_1 += "</ul>";
    		sb1[sb1.length] = sb_1;
    		wbhq_acc.innerHTML = sb1.join("");
    		addClass($("#pageMain"),'hiden');
    		removeClass($("#pageWBHq"),'hiden');
     	},
     	
     	showBindingPage:function(data){
     		if(!data)
			{
			return;
			};
     		var sb=[];
     		var sb_1="";
    		var cards = data.List2;
    		
    		if(typeof(cards)!="undefined" && cards.length != 0 ){
    			removeClass($("#bindingPage"),"hiden");
    		}else{
    			addClass($("#bindingPage"),"hiden");
    			return;
    		}
    		var acctType = "";
    		var acctNo="";
    		var i=0;
    		sb_1 +='<div class="accountOverview-card-debit">';
			sb_1 +='<i class="accountOverview-card-type"></i>';
			sb_1 +='<label>未绑定账户</label>';
			sb_1 +='</div>';
    		for(; i<cards.length; i++){
    			if(i>=2){
    				sb_1 +='<div id="binding_li'+i+'" class="radius_text2 hiden">';
    			}else{
    				sb_1 +='<div id="binding_li'+i+'" class="radius_text2">';
    			}

    			acctType = cards[i].BankAcType;
    			acctNo = cards[i].AcNo;
    			sb_1 += '<input type="text" class="hiden" value="'+acctNo+'" id="unBindingAcNo'+i+'"/>';
    			sb_1 += '<input type="text" class="hiden" value="'+acctType+'" id="unBindingAcType'+i+'"/>';

    			sb_1 +='<div class="text_content">';
    			if(acctType =="PSDP"){
    				sb_1 +='<div class="text_title">存折</div>';
    			}else if(acctType =="PDBC"){
    				sb_1 +='<div class="text_title">借记卡</div>';
    			}else if(acctType =="PSAV"){
    				sb_1 +='<div class="text_title">一证通</div>';
    			}else if(acctType =="PCRC"){
    				sb_1 +='<div class="text_title">信用卡</div>';
    			}else if(acctType =="PDAC"){
    				sb_1 +='<div class="text_title">电子账户</div>';
    			}
    			sb_1 +='<span>'+ Fw.util.Format.fmtAcctNo(cards[i].AcNo.trim(),true); +'</span>';
    			sb_1 +='</div>';

    			sb_1 +='<div class="text_content">';
    			sb_1 +='<div class="text_title">余额</div>';
    			sb_1 +='<span>'+Fw.util.Format.fmtAmt(cards[i].Balance);+'</span>';
    			sb_1 +='</div>';

    			sb_1 +='<div class="div_btn">';
    			sb_1 +='<button onClick="App.binding('+i+')" class="sui-btn-lg-l btn_left">快速绑定</button>';
    			sb_1 +='</div>';

    			sb_1 +='</div>';
    		}
    		
    		
    		sb[sb.length] = sb_1;
    		document.getElementById("bindingPage").innerHTML = sb.join("");
    		
    		var sb2=[];
    		var sb_2="";
    		if(i>2){
    			sb_2 += '<div class="wf100 h20"> <span class="wf100" id="show_binding_btn" style="padding-right:20px;text-align:right;float:right;color:red;" onclick="App.showAllBindingAcct()">显示全部未绑定账户</span></div>';
    		}
    		sb2[sb2.length] = sb_2;
    		document.getElementById("bindingHidenDiv").innerHTML = sb2.join("");
    	},
    	
    	
    	showLoan:function(data){
    		if(!data){
    			return;
			};
    		var sb2=[];
    		var sb_2="";
    		var savePage = g("pageLoan");
    		loan = data.List;
    		var i=0;
    		for(; i<loan.length; i++){
    			if(i>=2){
					sb_2 += '<div class="hiden" style="margin-top: 7px;background-color: #fff;" id="loan_div'+i+'">';
				}else{
					sb_2 += '<div style="margin-top: 7px;background-color: #fff;" id="loan_div'+i+'">';
				}
				// <!-- 卡类型 -->
				sb_2 += '<div class="accountOverview-card-credit">';
				sb_2 += '<i class="accountOverview-card-type-credit"></i>';
				sb_2 += '<label>贷款账户</label>';
				sb_2 += '</div>';
				// 卡号
				sb_2 += '<div class="accountOverview-card-no" onclick="App.toViewAcNo(\''+loan[i].LnAcctNo+'\')">';
				sb_2 += '<h2>'+Fw.util.Format.fmtAcctNo(loan[i].LnAcctNo.trim(),true)+'</h2>';
				sb_2 += '</div>';
				sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.to_viewLoanTotal('+i+')">';
    				sb_2 += '<label>贷款总额 </label>';
    				sb_2 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(loan[i].TotlLnAmtHypoAmt)+'" readonly="readonly" style="padding-right: 9px;">';
    				sb_2 += '<i></i>';
    			sb_2 += '</div>';
    			sb_2 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.to_viewLoanTotal('+i+')">';
					sb_2 += '<label>贷款余额 </label>';
					sb_2 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(loan[i].LnBal)+'" readonly="readonly" style="padding-right: 9px;">';
					sb_2 += '<i></i>';
				sb_2 += '</div>';
				// 操作
				var loanName = "归还贷款";//CardFlg=0
				if(loan[i].CardFlg=="3"){
					loanName = "存单质押还款";
				}else if(loan[i].CardFlg=="1"){
					loanName = "易贷通还款";
    			}else if(loan[i].CardFlg=="2"){
    				loanName = "精英贷还款";
    			}
    			sb_2 += '<div class="accountOverview-card-option">';
    				sb_2 += '<div class="accountOverview-card-option-item" style="width: 50%;">';
	    			sb_2 += '<label onclick="App.to_repayLoan('+i+')">'+loanName+'</label><i></i>';
	    			sb_2 += '</div>';
	    			sb_2 += '<div class="accountOverview-card-option-item" style="width: 50%;">';
	    			sb_2 += '<label onclick="App.to_detailQry('+i+')">贷款查询</label>';
	    			sb_2 += '</div>';
	    		sb_2 += '</div>';
	    		sb_2 += '</div>';
    			
    			lonasum+=Number(loan[i].LnBal);
    		}
    		if(i>2){
    			sb_2 += '<div class="wf100"> <span class="wf100" id="show_loan_btn" style="padding-right:20px;text-align:right;float:right;color:red;" onclick="App.showAllLoanAcct()"> 显示全部贷款账户 </span></div>';
    		}
    		debet = debet+lonasum;
    		var fixedDebet = debet.toFixed(2);
    		g("totalDebet").value=Fw.util.Format.fmtAmt(fixedDebet);
    		sb2[sb2.length] = sb_2;
    		savePage.innerHTML = sb2.join("");
    		
    		// 负债金额大于0时，添加">"
    		if(fixedDebet>0){
    			addClass($("#li_debet"), "iptdate1");
    			removeClass($("#debetImg"),'hiden');
    			// 添加点击事件
    			$("#li_debet").on('click', Fw.bind(App.showDebetCatelogBalance, this));
    		}

    	},
    	
    	showCreditInfo:function(data){ 
    		if(!data)
			{
			return;
			};
            var sb=[]; 
            var sb_1="";
    		g("pageCredit").innerHTML="";
    		creditData = data.List;
    		if(creditData.length > 0){
    			for(var i=0; i < creditData.length; i++){
    				var AvailLimit = creditData[i].AvailLimit;
    				var UsedLimit = creditData[i].UsedLimit;
    				var Amount = creditData[i].Amount;
    				var creditLimit = creditData[i].CreditLimit;
    				var isAtPoints = creditData[i].isAtPoints;
    				if(AvailLimit == undefined){
    					AvailLimit = 0.00;
    				}
    				if(UsedLimit == undefined){
    					UsedLimit = 0.00;
    				}
    				if(Amount == undefined){
    					Amount = 0.00;
    				}
    				if(creditLimit == undefined){
    					creditLimit = 0.00;
    				}
    				if(i>=2){
    					sb_1 += '<div class="hiden" style="margin-top: 7px;background-color: #fff;" id="creditDiv'+i+'">';
    				}else{
    					sb_1 += '<div style="margin-top: 7px;background-color: #fff;" id="creditDiv'+i+'">';
    				}
    				// <!-- 卡类型 -->
    				sb_1 += '<div class="accountOverview-card-credit">';
    				sb_1 += '<i class="accountOverview-card-type-credit"></i>';
    				sb_1 += '<label>信用卡</label>';
    				sb_1 += '</div>';
    				// 卡号
    				sb_1 += '<div class="accountOverview-card-no" onclick="App.toViewAcNo(\''+creditData[i].AcNo+'\')">';
    				sb_1 += '<h2>'+Fw.util.Format.fmtAcctNo(creditData[i].AcNo.trim(),true)+'</h2>';
    				sb_1 += '</div>';
    				sb_1 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.creditAvailLimitInfo('+i+')">';
	    				sb_1 += '<label>可用额度 </label>';
	    				sb_1 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(AvailLimit)+'" readonly="readonly" style="padding-right: 9px;">';
	    				sb_1 += '<i></i>';
	    			sb_1 += '</div>';
	    			if(isAtPoints=="1"){// 展示大额额度
	    				sb_1 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.creditUsedLimitInfo('+i+')">';
		    				sb_1 += '<label>大额额度 </label>';
		    				sb_1 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(creditData[i].MpLLmt)+'" readonly="readonly" style="padding-right: 9px;">';
		    				sb_1 += '<i></i>';
		    			sb_1 += '</div>';
        			}else {
        				var used = '';
        				if(Number(AvailLimit)>Number(creditLimit)){
            				creditSum = creditSum + Number(UsedLimit);
            				used += Fw.util.Format.fmtAmt(-UsedLimit);
            			}
            			else{
            				creditAmount += Number(UsedLimit);
            				used += Fw.util.Format.fmtAmt(UsedLimit);
            			}
        				sb_1 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.creditAvailLimitInfo('+i+')">';
		    				sb_1 += '<label>已用额度 </label>';
		    				sb_1 += '<input type="text"  value="'+used+'" readonly="readonly" style="padding-right: 9px;">';
		    				sb_1 += '<i></i>';
		    			sb_1 += '</div>';
        			}
	    			sb_1 += '<div class="sui-form-item accountOverview-form-item accountOverview-form-item-bottom" onclick="App.toCreditBill('+i+')">';
	    				sb_1 += '<label>本期应还余额 </label>';
	    				sb_1 += '<input type="text"  value="'+Fw.util.Format.fmtAmt(Amount)+'" readonly="readonly" style="padding-right: 9px;">';
	    				sb_1 += '<i></i>';
	    			sb_1 += '</div>';
	    			// 操作
	    			sb_1 += '<div class="accountOverview-card-option">';
		    			sb_1 += '<div class="accountOverview-card-option-item" style="width: 33%;">';
		    			sb_1 += '<label onclick="App.toCreditRepayment('+i+')">快速还款</label><i></i>';
		    			sb_1 += '</div>';
		    			sb_1 += '<div class="accountOverview-card-option-item" style="width: 33%;">';
		    			sb_1 += '<label onclick="App.toCreditBill('+i+')">账单查询</label><i></i>';
		    			sb_1 += '</div>';
		    			sb_1 += '<div class="accountOverview-card-option-item" style="width: 33%;">';
		    			sb_1 += '<label onclick="App.toCreditInst('+i+')">我要分期</label>';
		    			sb_1 += '</div>';
		    		sb_1 += '</div>';
		    		sb_1 += '</div>';
    			}
    			
    			if(creditData.length>2){
    				sb_1 += '<div class="wf100"><span class="wf100" id="show_credit_btn" style="padding-right:20px;text-align:right;float:right;color:red;" onclick="App.showAllCredit()"> 显示全部信用卡账户 </span> </div>';
    			}
    			
    			debet = debet+creditAmount;
    			var fixedDebet = debet.toFixed(2);
    			g("totalDebet").innerHTML=Fw.util.Format.fmtAmt(fixedDebet);
    			
    			// 负债金额大于0时，添加">"
     			if(fixedDebet>0){
    				addClass($("#li_debet"), "iptdate1");
    				removeClass($("#debetImg"),'hiden');
    				// 添加点击事件
        			$("#li_debet").on('click', Fw.bind(App.showDebetCatelogBalance, this));
    			}
    			sum = sum + Number(creditSum);
    			var fixedSum = sum.toFixed(2);
    			var totalMoney = g("totalMoney");
    			totalMoney.innerHTML = Fw.util.Format.fmtAmt(fixedSum);
    		}
    		sb[sb.length] = sb_1;
    		g("pageCredit").innerHTML += sb.join("");
    	},
     	
        
        showAllSaveAcct:function(){
        	for(var i=2; ;i++){
        		var obj = g("saveAcctDiv"+i);
    			if(obj == undefined || obj == null){
    				break;
    			}else{
    				obj = $("#saveAcctDiv"+i);
    				removeClass(obj,'hiden');
    			}
    		}
    		addClass($("#show_sava_btn"),'hiden');
    	},
    	
    	showAllCredit:function(){
        	for(var i=2; ;i++){
        		var obj = g("creditDiv"+i);
    			if(obj == undefined || obj == null){
    				break;
    			}else{
    				obj = $("#creditDiv"+i);
    				removeClass(obj,'hiden');
    			}
    		}
    		addClass($("#show_credit_btn"),'hiden');
    	},
    	
    	addComma:function(money){
    		money = money + "";
    		if(money){
    			money = money.trim();
    		}
    		
    	   	if(/[^0-9\.\-\+]/.test(money)){   
    	   		return money;
    	   	} 
    	   
    	    money = parseFloat(money) + "";  
    	    
    	    if('NaN' == money){
    	    	return  "0.00";
    	    }
    	    
    	   	money=money.replace(/^(\d*)$/,"$1.");   
    	   	money=(money+"00").replace(/(\d*\.\d\d)\d*/,"$1");   
    	   	money=money.replace(".",",");   
    	   	var re=/(\d)(\d{3},)/;   
    	   	while(re.test(money)){   
    	     	money=money.replace(re,"$1,$2");   
    	   	}   
    	    money=money.replace(/,(\d\d)$/,".$1");   
    	    return money.replace(/^\./,"0.");         
    	},
  
    	
    	showAllLoanAcct:function(){
    		for(var i=2; ;i++){
    			var obj = g("loan_div"+i);
    			if(obj == undefined || obj == null){
    				break;
    			}else{
    				 obj = $("#loan_div"+i);
    				removeClass(obj,'hiden');
    			}
    		}
    		addClass($("#show_loan_btn"),'hiden');   
    	},
    	
    	showAllBindingAcct:function(){
    		for(var i=2; ;i++){
    			var obj = g("binding_li"+i);
    		
    			if(obj == undefined || obj == null){
    				break;
    			}else{
    				obj = $("#binding_li"+i);
    				removeClass(obj,'hiden');
    			}
    		}
    		addClass($("#show_binding_btn"),'hiden');     
    	},
    	
    	showCatelogTotal:function(){  //总资产右滑按钮点击事件
    		flag.value = 1 ;
        	var w = $(window).width();
        	var h = w*0.53;
    		var capatalValue = g("totalMoney").innerHTML;
    		if(capatalValue=="0" || capatalValue=="0.00"){
    			return;
    		}
    		
    		var sb1=[];
    		var sb_1="";
    		var zc_catalog = g("zc_catalog");
    		zc_catalog.innerHTML="";
    		
    		sb_1 += "<div class='pieOut' style='position: relative;width:"+w+";height:"+h+20+";"+"'><div id='pie' class='pieInner' style='width:"+w+";height:"+h+";"+"'></div></div>" 
    			+ "<ul class='accountTol' style='position: relative;float: left;width: 100%;margin-top: 28px;background: white;'>";
    		
    		sb_1 += "<li><label class=''>活期总额</label>";
    		sb_1 += "<span class='blue'>"+Fw.util.Format.fmtAmt(hSum)+"</span>";
    		sb_1 += "</li>";
    		
    		sb_1 += "<li><label class=''>定期总额</label>";
    		sb_1 += "<span class='blue'>"+Fw.util.Format.fmtAmt(dSum)+"</span>";
    		sb_1 += "</li>";
    		
    		sb_1 += "<li><label class=''>理财总额</label>";
    		sb_1 += "<span class='blue'>"+Fw.util.Format.fmtAmt(lSum)+"</span>";
    		sb_1 += "</li>";
    		
    		sb_1 += "<li><label class=''>大额存款总额</label>";
    		sb_1 += "<span class='blue'>"+Fw.util.Format.fmtAmt(eSum)+"</span>";
    		sb_1 += "</li>";
    		
    		if(sdSum != 0){
    			sb_1 += "<li><label class=''>结构性存款总额</label>";
        		sb_1 += "<span class='blue'>"+Fw.util.Format.fmtAmt(sdSum)+"</span>";
        		sb_1 += "</li>";
    		}
    		
    		if(Number(creditSum)>0){
    			sb_1 += "<li><label class=''>信用卡溢缴款</label>";
    			sb_1 += "<span class='blue'>"+Fw.util.Format.fmtAmt(creditSum.toFixed(2))+"</span>";
    			sb_1 += "</li>";
    		}
    		
    		sb_1 += "<li><label class=''>合计</label>";
    		sb_1 += "<span class='blue'>"+Fw.util.Format.fmtAmt(sum.toFixed(2))+"</span>";
    		sb_1 += "</li>";
    		
    		sb_1 += "</ul>";
    		sb1[sb1.length] = sb_1;
    		zc_catalog.innerHTML = sb1.join("");
    		pie1.title.text='资产饼图';
    		
    		pie1.legend.orient='vertical';
    		pie1.legend.x = 'right';
    		
    		var i=0;
    		pie1.legend.data[i]='活期';
    		pie1.series[0].data[i] = {};
    		pie1.series[0].data[i].name='活期';
    		pie1.series[0].data[i].value=hSum;
    		
    		i++;
    		pie1.legend.data[i]='定期';
    		pie1.series[0].data[i] = {};
    		pie1.series[0].data[i].name='定期';
    		pie1.series[0].data[i].value=dSum;
    		
    		i++;
    		pie1.legend.data[i]='理财';
    		pie1.series[0].data[i] = {};
    		pie1.series[0].data[i].name='理财';
    		pie1.series[0].data[i].value=lSum;
    		
    		i++;
    		pie1.legend.data[i]='存单';
    		pie1.series[0].data[i] = {};
    		pie1.series[0].data[i].name='存单';
    		pie1.series[0].data[i].value=eSum;
    		
    		if(sdSum != 0){
    			i++;
    			pie1.legend.data[i]='结构性存款';
    			pie1.series[0].data[i] = {};
        		pie1.series[0].data[i].name='结构性存款';
        		pie1.series[0].data[i].value=sdSum;
    		}
    		
    		if(Number(creditSum)>0){
    			i++;
    			pie1.legend.data[i]='信用卡溢缴款';
    			pie1.series[0].data[i] = {};
        		pie1.series[0].data[i].name='信用卡溢缴款';
        		pie1.series[0].data[i].value=creditSum;
    		}
    		
    		this.require.async(['echarts/chart/pie'], function(pie){
                 echarts.init('pie').setOption(pie1);
             
                 //手动隐藏等待层
                 Fw.LoadMask.hide();
             });
    		addClass($("#pageMain"),'hiden');
    		removeClass($("#pageZc"),'hiden');
    	},
    	
    	showDebetCatelogBalance:function(){
    		flag.value = 2;
    		var debetValue = g("totalDebet").innerHTML;
    		if(debetValue=="0" || debetValue=="0.00"){
    			return;
    		}
    		var sb1=[];
    		var sb_1="";
    		var zc_catalog = g("fz_catalog");
    		zc_catalog.innerHTML="";
    		
    		var w = $(window).width();
        	var h = w*0.53;
    		sb_1 += "<div class='pieOut' style='position: relative;width:"+w+";height:"+h+20+";"+"'><div id='pie2' class='pieInner' style='width:"+w+";height:"+h+";"+"'></div></div>" 
			+ "<ul class='accountTol' style='position: relative;float: left;width: 100%;margin-top: 28px;background: white;'>";
    		
    		sb_1 += "<li><label class=''>信用卡已用金额:</label>";
    	
    		sb_1 += "<span class=' red'>"+Fw.util.Format.fmtAmt(creditAmount)+"</span>";
    		
    		sb_1 += "</li>";
    		
    		sb_1 += "<li><label class=''>贷款余额:</label>";
    		sb_1 += "<span class=' red'>"+Fw.util.Format.fmtAmt(lonasum)+"</span>";
    		sb_1 += "</li>";
    		
    		sb_1 += "<li><label class=''>合计:</label>";
    		sb_1 += "<span class=' red'>"+Fw.util.Format.fmtAmt(debet)+"</span>";
    		sb_1 += "</li>";
    		
    		sb_1 += "</ul>";
    	
    		sb1[sb1.length] = sb_1;
    		zc_catalog.innerHTML = sb1.join("");
    		
    		pie1.title.text='负债饼图';
    		pie1.legend.orient='vertical';
    		pie1.legend.x = 'right';
    		pie1.legend.data[0]='信用卡已用金额';
    		pie1.legend.data[1]='贷款余额';
    		pie1.legend.data[2]='';
    		
    		pie2.series[0].data[0] = {};
    		pie2.series[0].data[0].name='信用卡已用金额';
    		pie2.series[0].data[0].value=creditAmount;
    		
    		pie2.series[0].data[1] = {};
    		pie2.series[0].data[1].name='贷款余额';
    		pie2.series[0].data[1].value=lonasum;
    		
    		pie2.series[0].data[2] = {};
    		pie2.series[0].data[3] = {};
    		
    		this.require.async(['echarts/chart/pie'], function(pie){
                 echarts.init('pie2').setOption(pie1);
                 //手动隐藏等待层
                 Fw.LoadMask.hide();
             });
    		addClass($("#pageMain"),'hiden');
    		removeClass($("#pageDebet"),'hiden');
    	},
    	
    	//活期
    	hq_detail_query:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		flag.value  = 3;
    		var acc = g("acctNo"+i).value;
    		var accType = g("acctType"+i).value;
    		selectedAcct = acc;
    		
    		var sendstr = null;
    		if(accType != "PSDP"){
    			Fw.util.Ajax.query({
                    service: 'accountService',
                    method: 'queryMCSubActsQuery',//默认为query，方法名称必须是query开头
                    //请求参数
                    params: {
                    	Account_BankAcType: accType,
                    	Account_No: acc
                    },
                   
                    success: function(data, result) {
                    	if(!data){
                    		return;
                		}
                    	App.showHqDetailPage(data);
                    },
                });
    		}else{
    			Fw.util.Ajax.query({
                    service: 'accountService',
                    method: 'queryMCActDetailQuery',//默认为query，方法名称必须是query开头
                    //请求参数
                    params: {
                    	Account_BankAcType: accType,
                    	Account_No: acc
                    },
                    success: function(data, result) {
                    	if(!data){
                    		return;
                		}
                    	App.showHqDetailPage();
                    },
                });
    		}
    	},

    	
    	showHqDetailPage:function(rpdata){
    		if(!rpdata){
    			return;
			};
    		var data = rpdata;
    		var sb1=[];
    		var sb_1="";
    		var hq_acc = g("hq_acc");
    		hq_acc.innerHTML=" ";
    		sb1[sb1.length] = "<ul class='accountTol'>";
    		var counthq=0;
    		if(data==null){
    			counthq++;
    			sb_1 += "<li><label class=''>账户类型:</label>";
    			sb_1 += "<span class=''>"+"活期"+"</span></li>";
    			sb_1 += "<hr class='avLimtHrNei1'>";
    			sb_1 += "<li '><label class=''>开户日期:</label>";
    			sb_1 += "<span class=''>"+App.fmtDateStr(rpdata.OpenDate)+"</span></li>";
    			sb_1 += "<hr class='avLimtHrNei1'>";
    			sb_1 += "<li class=''><label class=''>账户余额:</label>";
    			sb_1 += "<span class=' red' style='right: 72px;'>"+Fw.util.Format.fmtAmt(rpdata.Balance)+"</span>";
    			sb_1 += "<span class='blue'>(<em>"+Fw.util.Format.fmtCurrency(data[i].CurrencyCode)+"</em>)</span></li>";
    			sb_1 += "<hr class='firstHr'>";
    		}else{
    			for(var i=0;i<data.length;i++){
    				if(data[i].BankSubAcType == "SAV"&&data[i].CurrencyCode=="CNY"){
    					
    					counthq++;
    					sb_1 += "<li><label class=''>账户类型:</label>";
    					sb_1 += "<span class=''>"+"活期"+"</span></li>";
    					sb_1 += "<hr class='avLimtHrNei1'>"
    					sb_1 += "<li '><label class=''>开户日期:</label>";
    					sb_1 += "<span class=''>"+App.fmtDateStr(data[i].OpenDate)+"</span></li>";
    					sb_1 += "<hr class='avLimtHrNei1'>"
    					sb_1 += "<li class=''><label class=''>账户余额:</label>";
    					sb_1 += "<span class=' red' style='right: 72px;'>"+Fw.util.Format.fmtAmt(data[i].Balance)+"</span>";
    					sb_1 += "<span class='blue'>(<em>"+Fw.util.Format.fmtCurrency(data[i].CurrencyCode)+"</em>)</span></li>";
    					sb_1 += "<hr class='firstHr'>";
    				}
    			}
    		}
    		sb_1 += "<div style='width: 100%;float: left;height: 100px; position: relative;'>";
    		sb_1 += "<div class ='rounde-left-button' onclick='App.toCurrent2Regular()'>活转定</div>";
    		sb_1 += "<div class ='rounde-right-button' onclick='App.toYNC()'>益农存</div></div>";
    		
    		if(counthq==0){
    			sb_1 += "<li><span class='wf60'>无活期账户</span></li>";
    			sb_1 += "<hr class='firstHr'>";
    		}
    		
    		sb_1 += "</ul>";
    		sb1[sb1.length] = sb_1;
    		hq_acc.innerHTML = sb1.join("");
    		addClass($("#pageMain"),'hiden');
    		removeClass($("#pageHq"),'hiden');
    	},
    	
    	//转到活期转定期页面
    	toCurrent2Regular:function(){  
     		var param={
    			  acctNo:selectedAcct,
    			  backUrl:'../../account/acc_categoryTotal/acc_categoryTotal.html'
        	  };
            Fw.redirect("../../baseFinancial/regularCurrentTrans/currentToRegular.html", Fw.encode(param));
      	},
      	
      //转到易农存页面
    	toYNC:function(){  
    		var param={
      			  acctNo:selectedAcct,
      			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
      	  	};
            Fw.redirect("../../ync/ync_in.html", Fw.encode(param));
      	},
    	
    	dq_detail_query:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		flag.value = 4;
    		var acc = g("acctNo"+i).value;
    		var accType = g("acctType"+i).value;
    		
            if(accType != "PSDP"){
    			Fw.util.Ajax.query({
                    service: 'accountService',
                    method: 'queryMCSubActsQuery',//默认为query，方法名称必须是query开头
                    //请求参数
                    params: {
                    	Account_BankAcType: accType,
                    	Account_No: acc
                    },
                    success: function(data, result) {
                    	if(!data){
                    		return;
                		}
                    	App.showDqDetailPage(data);
                    },
                });
    		}
    	},
    	
        //理财
    	queryFinancailDetail:function(i){  
    		var account = g("acctNo"+i).value;
    		
    		Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCAcClosedFinancialDetailQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	AcctNo : account			//理财账号
                },
                success: function(data, result) {
                	if(!data){
                		return;
            		}
                	App.showLicaiDetail(data);
                },
            });
    	},
    	
    	
    	showLicaiDetail:function(data){
    		flag.value = 5 ;
        	var regular = data.List;
    		var sb_2="";
    		var licaiPage = g("licai_acct");
    		licaiPage.innerHTML="";
    		var unit = null;
    		for(var i=0;i<regular.length;i++){
    			unit = regular[i];
    			if('1'==unit.ProdFlag){
    				// 新理财
    				sb_2 += "<ul class='wf100 btnBlue' style='position: relative;top: 7px;' >";
					sb_2 +="<li class=' h30'>";
					sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>产品代码：</label>";
					sb_2 += "<span class=''  style='position:  absolute; right: 50px; font-size: 16px;'  id='span1"+i+"'>"+unit.PrdNo+"</span>";
					sb_2 +="</li>";
					sb_2 +="<li class=' h30'>";
					sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>产品名称:</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px; font-size: 16px;' >"+unit.ProdName+"</span>";
					sb_2 +="</li>";
					
					sb_2 +="<li class=' h30'>";
					sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>持有份额：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px; font-size: 16px;' >"+unit.SumCusVol+"</span>";
					sb_2 +="</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>起息日：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+App.fmtDateStr(unit.ValueDate)+"</span>";
					sb_2 += "</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>到期日：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+App.fmtDateStr(unit.MatuDate)+"</span>";
					sb_2 += "</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>交易状态：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+Fw.FinancialHelper.fmtTranStatus(unit.TranStatus)+"</span>";
					sb_2 += "</li>";
					
					sb_2 += "</ul>";
					sb_2 += "<hr class='firstHr'>";	
    			}else {
	    			sb_2 += "<ul class='wf100 btnBlue' style='position: relative;top: 7px;' >";
					sb_2 +="<li class=' h30'>";
					sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>产品代码：</label>";
					sb_2 += "<span class=''  style='position:  absolute; right: 50px; font-size: 16px;'  id='span1"+i+"'>"+unit.ProdCode+"</span>";
					sb_2 +="</li>";
					sb_2 +="<li class=' h30'>";
					sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>产品名称:</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px; font-size: 16px;' >"+unit.ProdName+"</span>";
					sb_2 +="</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>剩余金额：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+Fw.util.Format.fmtAmt(unit.LeftAmt)+"</span>";
					sb_2 += "</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>起息日：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+App.fmtDateStr(unit.ProdSDate)+"</span>";
					sb_2 += "</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>到期日：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+App.fmtDateStr(unit.ProdEDate)+"</span>";
					sb_2 += "</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>预期最低收益率：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+Fw.util.Format.fmtNumber(unit.Estcustlyr)+"%</span>";
					sb_2 += "</li>";
					
					sb_2 += "<li class=' h30'>";
					sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>预期最高收益率：</label>";
					sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+Fw.util.Format.fmtNumber(unit.Estcusthyr)+"%</span>";
					sb_2 += "</li>";
					
					sb_2 += "</ul>";
					sb_2 += "<hr class='firstHr'>";		
    			}
    		}
    		var sb2=[];
    		sb2[sb2.length] = sb_2;
    		licaiPage.innerHTML = sb2.join("");
    		addClass($("#pageMain"),'hiden');
    		removeClass($("#licaiPage"),'hiden');
        },
        
       //大额存单
        queryDepositDrawProductsQry:function(i){  
    		var account = g("acctNo"+i).value;
    		Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryDepositDrawProductsQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	AcctNo : account			//理财账号
                },
                success: function(data, result) {
                	if(!data){
                		return;
            		}
                	App.showCunDanDetail(data);
                },
            });
    	},
    	
    	//大额存单详情
    	showCunDanDetail:function(data){
    		flag.value = 8 ;
        	var regular = data.List;
    		var sb_2="";
    		var cundanPage = g("cd_acct");
    		cundanPage.innerHTML="";
    		var unit = null;
    		for(var i=0;i<regular.length;i++){
    			unit = regular[i];
    			sb_2 += "<ul class='wf100 btnBlue' style='position: relative;top: 7px;' >";
    			
    			sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>存单号</label>";
				sb_2 += "<span class=''  style='position:  absolute; right: 15px; font-size: 16px;'  id='span1"+i+"'>"+unit.TdTdAcctNo+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>到期日期</label>";
				sb_2 += "<span class=''  style='position:  absolute; right: 15px; font-size: 16px;'  id='span1"+i+"'>"+unit.TdDueDt+"</span>";
				sb_2 +="</li>";
				    			
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>产品代码</label>";
				sb_2 += "<span class=''  style='position:  absolute; right: 15px; font-size: 16px;'  id='span1"+i+"'>"+unit.TdPdNo+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li style='height: auto; line-height: 42px; min-height: 42px;'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px; float: left;'>产品名称</label>";
				sb_2 += "<p class='' style='position: relative; right: 15px; font-size: 16px; word-wrap: break-word; word-break: break-all; padding-left: 120px; text-align: right;' >"+unit.TdPdName+"</p>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>利率</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >" + unit.TdIntr + "%</span>";
				sb_2 +="</li>";		
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>付息方式</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+App.fmtClsStr(unit.TdClsdIntcTyp)+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>是否可提前支取</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+App.fmtDrwStr(unit.TdAhdDrwFlg)+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>提前支取计息方法</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+App.fmtCalStr(unit.TdAhdIntCalMtd)+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>开户日期</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+unit.TdOpacIntsDt+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>开户金额</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+unit.TdTotlAmt+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>实际金额</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+unit.TdCiBal+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>认购渠道</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+App.fmtChanlStr(unit.TdChanlCod)+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>卡/账号</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+unit.TdAccCardNo+"</span>";
				sb_2 +="</li>";
				
				sb_2 +="<li class=' h30'>";
				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>帐户状态</label>";
				sb_2 += "<span class='' style='position:  absolute; right: 15px; font-size: 16px;' >"+App.fmtAcctStr(unit.TdAcctSts)+"</span>";  
				sb_2 +="</li>";
				
				sb_2 += "</ul>";
				sb_2 += "<hr class='firstHr'>"
    		}
    		var sb2=[];
    		sb2[sb2.length] = sb_2;
    		cundanPage.innerHTML = sb2.join("");
    		addClass($("#pageMain"),'hiden');
    		removeClass($("#cundanPage"),'hiden');
        },
        
        //付息方式
        fmtClsStr : function(data){
        	 switch(data){
	             case '0':
	                 data = "到期付息";
	                 break;
	             default:
        	 }
        	 return data;
        },
        
        //是否可提前支取
        fmtDrwStr : function(data){
        	switch(data){
	            case '1':
	                data = "是";
	                break;
	            case '2':
	                data = "否";
	                break;
	            default:
        	}
        	return data;
        },
        
        //提前支取计息方式
        fmtCalStr : function(data){
        	switch(data){
	            case '2':
	                data = "按活期存款利率计算";
	                break;
	            default:
	        }
        	return data;
        },
        
        //渠道代码
        fmtChanlStr : function(data){
        	switch(data){
	            case '01':
	                data = "柜面";
	                break;
	            case '02':
	                data = "网上银行";
	                break;
	            case '03':
	                data = "手机银行";
	                break;
	            default:
        	}
        	return data;
        },
        
        //账户状态
        fmtAcctStr : function(data){
        	switch(data){
	            case '0':
	                data = "正常";
	                break;
	            case '1':
	                data = "销户";
	                break;
	            case '2':
	                data = "没收";
	                break;
	            case '3':
	                data = "上缴";
	                break;
	            case '4':
	                data = "挂入";
	                break;
	            case '5':
	                data = "挂出";
	                break;
	            case '6':
	                data = "冲正";
	                break;
	            case '7':
	                data = "账户移除";
	                break;
	            default:
	        }
        	return data;
        },
        
        
    	showDqDetailPage:function(data){
    		if(!data){
    			return;
			};
        	var regular = data;
    		var sb2=[];
    		var sb_2="";
    		var dq_acc = g("dq_acc");
    		dq_acc.innerHTML="";
    		var countdq=0;
    		var len = 0;
    		for(var i=0;i<regular.length;i++){
    			if(regular[i].BankSubAcType != "SAV"){
    				len++;
    				countdq++;

    				sb_2 += "<ul class='wf100 btnBlue' style='position: relative;top: 7px;' >";
    				sb_2 +="<li class=' h30'>";
    				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>账号类型:</label>";
    				sb_2 += "<span class=''  style='position:  absolute; right: 50px; font-size: 16px;'  id='span1"+i+"'>"+Fw.util.Format.fmtDepositType(regular[i].BankSubAcType)+"</span>";
    				sb_2 +="</li>";
    				sb_2 +="<li class=' h30'>";
    				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>开户日期:</label>";
    				sb_2 += "<span class='' style='position:  absolute; right: 50px; font-size: 16px;' >"+App.fmtDateStr(regular[i].OpenDate)+"</span>";
    				sb_2 +="</li>";
    				
    				sb_2 +="<li class=' h30'>";
    				sb_2 += "<label class='' style='position: relative;left: 20px; color: #949494; font-size: 16px;'>到期日期:</label>";
    				sb_2 += "<span class='' style='position:  absolute; right: 50px; font-size: 16px;' >"+App.fmtDateStr(regular[i].ExpireDate)+"</span>";
    				sb_2 +="</li>";
          			
    				sb_2 += "<li class=' h30'>";
    				sb_2 += "<label class=''  style='position: relative;left: 20px;color: #949494; font-size: 16px;'>存款金额:</label>";
    				sb_2 += "<span class='' style='position:  absolute; right: 50px;font-size: 16px; '>"+Fw.util.Format.fmtAmt(regular[i].Balance)+"</span>";
    				sb_2 += "</li>";
    				sb_2 += "</ul>";
          			
    				sb_2 += "<hr class='firstHr'>"
    			}
    		}
    		
    		sb2[sb2.length] = sb_2;
    		dq_acc.innerHTML = sb2.join("");
    		
    		addClass($("#pageMain"),'hiden');
    		removeClass($("#pageDq"),'hiden');
        	},
    	
    	to_viewLoanTotal:function(){},
    	
    	to_repayydt:function(i){ 
          var param={
  			  acctNo:loan[i].LnAcctNo.trim(),
  			  index:i,
  			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
      	  };
          Fw.redirect("../../Load/loan_repayydt.html", Fw.encode(param));
    	},
    	to_repayLoan :function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
		 var param={
	  			  data:loan[i],
	  			  backFlag:'AAA',
	  			  backUrl:'../../account/acc_categoryTotal/acc_categoryTotal.html'
	      	  };
    	      Fw.redirect("../../Load/loanTransAction/loanRemainDetail.html", Fw.encode(param));
    	},
    	to_repayment:function(i){ 
    		var param={
    			  acctNo:loan[i].LnAcctNo.trim(),
    			  index:i,
      			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
        	  };
            Fw.redirect("../../Load/loan_repayment.html", Fw.encode(param));
    	},
    	
    	to_depositRepayMent:function(i){
    		var param={
    			  acctNo:loan[i].LnAcctNo.trim(),
    			  index:i,
      			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
        	  };
            Fw.redirect("../../Load/certificateDepositRepayMent.html", Fw.encode(param));
    	},
    	
    	to_civilSeravntRepayMent:function(i){ 
    		var param={
    			  acctNo:loan[i].LnAcctNo.trim(),
    			  index:i,
      			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
        	  };
            Fw.redirect("../../Load/civilSeravntLoadRepayMent.html", Fw.encode(param));
    	},
    	
    	to_detailQry:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		var param={
  			  acctNo:loan[i].LnAcctNo.trim(),
  			  index:i,
  			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
      	  };
          Fw.redirect("../../Load/loan_detailQry.html", Fw.encode(param));
    	},
    	
    	binding:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
	          var json = {
        		  acctNo:g("unBindingAcNo"+i).value,
        		  acctType:g("unBindingAcType"+i).value
	          };
	          Fw.redirect("../adddowncard/adddowncard.html", Fw.encode(json));
    	},
    	
    	
    	toTransfer:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    	  var param={
			  No:cards[i].AcNo,
			  acctType:cards[i].BankAcType,
			  index:i
    	  };
          Fw.redirect("./transfer.html", Fw.encode(param));
    	},
   
    	
    	creditPayAmountInfo:function(i){
    		creditNo = creditData[i].AcNo;
	        var json = {
	        	acNo:creditNo
	        };
	        Fw.redirect("../../credit_card/my_credit_bill/myCreditBill.html", Fw.encode(json));
    	},
    	
    	// 缴费页面
    	toPayFee:function(i){
    		var param={
      			  acctNo:cards[i].AcNo,
      			  index:i,
      			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
      	  	};
            Fw.redirect("../../agentbusi/agentbusi.html", Fw.encode(param));
    	},
    	
    	// 预约取现
    	toCashOrder:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		var param={
      			  acctNo:cards[i].AcNo,
      			  acctType:cards[i].BankAcType,
      			  index:i,
      			  backUrl:'../account/acc_categoryTotal/acc_categoryTotal.html'
      	  	};
            Fw.redirect("../../atm/ATM_Cash_Order.html", Fw.encode(param));
    	},
    	
    	// 理财产品认购
		toFinacilSub:function(i){
			if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		var param={
      			  acctNo:cards[i].AcNo,
      			  acctType:cards[i].BankAcType,
      			  index:i,
      			  backUrl:'../../../account/acc_categoryTotal/acc_categoryTotal.html'
      	  	};
            Fw.redirect("../../baseFinancial/financialServices/subscription/subscription.html", Fw.encode(param));
    	},
    	
    	toCreditRepayment:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		creditNo = creditData[i].AcNo;
            //传参-json
	          var json = {
	        		  acNo:creditNo,
	      			  backUrl:'../../account/acc_categoryTotal/acc_categoryTotal.html'
	          };
	          Fw.redirect("../../credit_card/repayment/repaymentForMe.html", Fw.encode(json));
    	},
    	
    	toCreditBill:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		  creditNo = creditData[i].AcNo;
	          var json = {
	        		  No:creditNo,
	      			  backUrl:'../../account/acc_categoryTotal/acc_categoryTotal.html'
	          };
	          Fw.redirect("../../credit_card/my_credit_bill/myCreditBill.html", Fw.encode(json));
    	},
    	
    	// 我要分期
    	toCreditInst: function(i){
    		App.curCredit = creditData[i];// 当前信用卡
    		$('#dialog').addClass("show");
    	},
    	
    	closeDialog: function(){
    		$('#dialog').removeClass("show");
    	},
    	
    	toBillInst: function(){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		var params = {
    				No : App.curCredit.AcNo,// 当前信用卡
    				backUrl : '../../account/acc_categoryTotal/acc_categoryTotal.html'
    		};
    		Fw.redirect("../../credit_card/installment/haveBillInstApply.html", Fw.encode(params));
    	},
    	
    	toCashInst: function(){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		Fw.redirect("../../credit_card/installment/cashInstNewApply.html", Fw.encode({No:App.curCredit.AcNo}));
    	},
    	
    	creditAvailLimitInfo:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		flag.value = 6;
    		g("creditNo").value= Fw.util.Format.fmtAcctNo(creditData[i].AcNo.trim(),true);
    		g("creditLimit").value=Fw.util.Format.fmtAmt(creditData[i].CreditLimit);
    		g("creditAvailLimit").value=Fw.util.Format.fmtAmt(creditData[i].AvailLimit);
    		var AvailLimit = creditData[i].AvailLimit;
			var creditLimit = creditData[i].CreditLimit;
			var UsedLimit = creditData[i].UsedLimit;
			if(Number(AvailLimit) > Number(creditLimit)){
				g("creditUsedLimit").value=Fw.util.Format.fmtAmt(-UsedLimit);
			}else{
				g("creditUsedLimit").value=Fw.util.Format.fmtAmt(UsedLimit);
			}   		
    		addClass($("#pageMain"),"hiden");
        	$('#creditPageB').removeClass("sui-hide");
    	},
    	
    	creditUsedLimitInfo:function(i){
    		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
    		flag.value = 7;
    		g("creditNo2").value= Fw.util.Format.fmtAcctNo(creditData[i].AcNo.trim(),true);
    		
    		var MpLLmt = creditData[i].MpLLmt;
			var MpLRemPpl = creditData[i].MpLRemPpl;
			var MpLBal = creditData[i].MpLBal;
			g("MpLLmt").value=Fw.util.Format.fmtAmt(MpLLmt);
			g("MpLRemPpl").value=Fw.util.Format.fmtAmt(MpLRemPpl);
			g("MpLBal").value=Fw.util.Format.fmtAmt(MpLBal);
    		
    		addClass($("#pageMain"),"hiden");
        	$('#creditPageC').removeClass("sui-hide");
    	},
    	
    	fmtDateStr:function(date){
    		if(Fw.isEmpty(date)||date==0){
    			return "--";
			};
    		var year = date.substr(0,4);
    		var month = date.substr(4,2);
    		var day = date.substr(6,2);
    		return year+"-"+month+"-"+day;
    	},
    	
        
    	leftButtonHandler:function(){  
    		if($("#pageMain").hasClass("hiden")){
    			
        	}else{
    			 Fw.device.Device.gotoIndex();
    		}
     		if (flag.value  == 1){	//总资产
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#pageZc"),'hiden');
     			flag.value  = 0;
     		}
     		if (flag.value == 2){	//总负债
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#pageDebet"),'hiden');
     			flag.value  = 0;
     		}
     		if (flag.value == 3){//活期
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#pageHq"),'hiden');
     			flag.value  = 0;
     		}
     		if (flag.value == 4){//定期
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#pageDq"),'hiden');
     			flag.value  = 0;
     		}
     		if (flag.value == 5){	//理财
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#licaiPage"),'hiden');
     			flag.value  = 0;
     		}
     		if (flag.value == 6){	//信用卡可用额度信息查询
     			removeClass($("#pageMain"),"hiden");
            	$('#creditPageB').addClass("sui-hide");
     			flag.value  = 0;
     		}
     		if (flag.value == 7){	//信用卡已用额度信息查询
     			removeClass($("#pageMain"),"hiden");
            	$('#creditPageC').addClass("sui-hide");
     			flag.value  = 0;
     		}
     		if (flag.value == 8){	//大额存单
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#cundanPage"),'hiden');
     			flag.value  = 0;
     		}
     		if (flag.value == 9){	//外币活期
     			removeClass($("#pageMain"),'hiden');
     			addClass($("#pageWBHq"),'hiden');
     			flag.value  = 0;
     		}
     	},
    	
     	/**
     	 * II、III类电子账户绑定管理
     	 */
     	toEleAcBind: function(i){
     		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
     		parameters.AcNo = cards[i].AcNo;
        	parameters.ToBackUrl = "../acc_categoryTotal/acc_categoryTotal.html";
        	if("PDAC" == cards[i].BankAcType){
        		Fw.redirect('../subAccount/subAccBindManage.html', Fw.encode(parameters));
        	}else{
        		parameters.SenAcNo = "";
        		Fw.redirect('../subAccount/accountChange.html', Fw.encode(parameters));
        	}
     	},
     	
     	/**
     	 * II、III类电子账户资金转入
     	 */
     	toEleTransferIn: function(i){
     		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
        	var urlParams = 
			{
        			url:"../account/acc_categoryTotal/acc_categoryTotal.html",
        			backFlag:"true",
					transType:"inner",
					payeeInfo: 	{
						Name: App.CifData.Name,
						No: cards[i].AcNo
					}
			};
        	Fw.redirect("../../transferAccounts/main.html",Fw.encode(urlParams));
     	},
     	
     	/**
     	 * II、III类电子账户资金转出
     	 */
     	toEleTransferOut: function(i){
     		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
     		parameters.OutAcNo = cards[i].AcNo;
     		var urlParams = 
			{
        			url:"../account/acc_categoryTotal/acc_categoryTotal.html",
        			backFlag:"true",
					transType:"inner",
					payerInfo:{No:cards[i].AcNo}
			};
     		Fw.redirect("../../transferAccounts/main.html",Fw.encode(urlParams));
     	},
     	
     	/**
     	 * II、III类电子账户明细查询
     	 */
     	toEleDetailQuery: function(i){
     		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
     		parameters.AcNo = cards[i].AcNo;
        	parameters.ToBackUrl = "../acc_categoryTotal/acc_categoryTotal.html";
     		Fw.redirect('../acc_detail/acc_detail.html', Fw.encode(parameters));
     	},
     	
     	/**
     	 * 查看完整账号
     	 */
     	toViewAcNo: function(acNo){
     		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
     		parameters.AcNo = acNo;
        	parameters.ToBackUrl = "./acc_categoryTotal.html";
     		Fw.redirect('./acNoView.html', Fw.encode(parameters));
     	},
     	/**
         * 卡类型
         */
        fmtCardType: function(v){
        	switch(String(v)){
                case 'PCRC': return '圆鼎信用卡';
                case 'PDBC': return '借记卡';
                case 'PSAV': return '一证通';
                case 'PSDP': return '存折';
    	        case 'PDAC': return '电子账户';
    	        case 'PDBCZX': return '圆鼎直销银行卡';
                default: return v;
            }
        },
     	rightButtonHandler: function(){
     		if(loginState == "1"){ //未登录
     			App.toLogin();
     			return;
     		}
     		Fw.redirect("../adddowncard/adddowncard.html",Fw.encode({
          		  transType:"01"
  	          }));
     	},
     	
     	/**
         * 客户端登录手机号回调
         */
        setLoginPhone: function(phoneNum){
        	App.queryWithoutLogin(phoneNum);
        },
        
        /**
         * 账户总览查询
         */
        doQuery: function(){
        	CifNo = App.CifData.CifNo;//客户号
        	var accts = App.CifData.AllCards;
        	for(var i=0; i<accts.length; i++){
        		if(accts[i].BankAcType!="PCRC"){	//不等于圆鼎信用卡
        			defaultAccount = accts[i].No;
        			break;
        		}
        	}
      	    App.doQueryCard();   // 借记卡
        },
		
        /**
         * 查询免登陆信息
         */
        queryWithoutLogin: function(phoneNum){
        	Fw.util.Ajax.query({
                service: 'withoutLoginService/queryWithoutLogin',
                //请求参数
                params: {
                	MobilePhone: phoneNum,
                	TransId: "wdzh",
                	TransName: "",
                	TransState: ""
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	App.withoutLogin = data;
                	loginState = data.LoginState;
                	if(data.LoginState == "1"){ //未登录
                		if(data.TransState == "0"){ //开启免登陆查询
                			App.businessText = {
                        			Name: data.Name,
                        			MobilePhone: data.MobilePhone,
                        			CertSource: data.CertSource,
                        			CertType: data.CertType
                        	};
                			App.HKESignedNextFunc = "App.queryLogoutCustInfo";
                			App.signHKECert();
                		}else{ //未开启免登陆查询
                			var params = {
                    			url: "page/account/acc_categoryTotal/acc_categoryTotal.html",
                    			isFromApp: "N"
                    		};
                			Fw.device.Device.toMobilePay(Fw.encode(params));
                    		return;
                		}
                	}else{
                		App.CifData = data;
                		App.doQuery();
                	}
                },
            });
       
        },
        
        /**
         * 未登录情况认证证书
         */
        signHKECert: function(data){
        	var params = {
        			operaType: "2", //1-下载 2-签名
        			reqObj: App,
        			userId: App.withoutLogin.CifSeq,
        			CertSource: App.withoutLogin.CertSource, //证书来源  0：cfca、1：农信银
        			CertType: App.withoutLogin.CertType, //用户证书验证类型
        			businessText: Fw.encode(App.businessText), //待签名原文
        			certDownUrl: "../../cert/certApply.html",
        			reqFunc: "Fw.DevicePlugin.referOfCert", //首个引用插件
        			certReturnFunc: "App.returnPluginData",
        			resFunc: "App.returnPluginData"
        	};
        	Fw.DevicePlugin.referDevicePlugin(params);
        },
        
        /**
         * 证书验签结果
         */
        returnPluginData: function(data){
        	if(data.certData && data.certData.ResultCode == "false"){
        		Fw.Msg.error(data.certData.ResultMsg);
        	}else{ //验签成功
        		App.certData = data.certData;
        		eval(App.HKESignedNextFunc)();
        	}
        },
        
        /**
         * 查询未登录情况下信息
         */
        queryLogoutCustInfo: function(parameters){
        	Fw.util.Ajax.query({
				service : 'withoutLoginService/queryLogoutCustInfo',
				//请求参数
				params : {
					HKECertTransferToken: App.certData.HKECertTransferToken || ""
				},
				//请求成功后回调
				success : function(data, result) {
					App.CifData = data;
					App.businessText = {
	    					CifNo: data.CifNo,
	    					Cards: data.AllCards
	            	};
	    			App.HKESignedNextFunc = "App.doQuery";
	    			App.signHKECert();
				},
				//请求错误后回调
				failure: function(status, textStatus, error) {
					
				}
			});
        },
        
        /**
         * 客户端当前版本号
         */
        setAppVersion: function(data){
        	App.clientV = data.clientV;
        },
        
        /**
         * 检查客户端版本号
         */
        checkAppVersion: function(){
        	var defV = Fw.device.Device.getAppVerOfFunc("3");
        	if(!Fw.isEmpty(App.clientV)){
        		App.certClientV = Fw.util.HandleUtil.compareVersion(defV, App.clientV);
            	if(Fw.isEmpty(App.certClientV) || App.certClientV==2){
    				return false;
    			}else{
    				return true;
    			}
        	}else{
        		return false;
        	}
        },
        
        /**
         * 跳转登录
         */
        toLogin: function(){
        	var params = {
    			url: "page/account/acc_categoryTotal/acc_categoryTotal.html",
    			isFromApp: "N"
    		};
			Fw.device.Device.toMobilePay(Fw.encode(params));
        },
        
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);