/**
 * 选项卡#子页面1
 */
App.Item3 = function() {
    
	var smsSecurity = null;
	//var phoneNum = null;
	//var listView;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '跨银行绑定账户授权协议',
            /**
             * 右边按钮
             */
            rightButton: false,
            
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: ''
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	this.initData();
        	
//        	this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        /**
         * 初始化页面
         */
        initData: function(){
        	
        	$('#user_span').text(Fw.app.Session.getCustName());
        	
        	//加载公共方法
            this.tool = new Fw.CardUtil();
            
        	//网点机构加载
        	var parmas = {
        			FunCode:'2',
        			DeptName:'',
        			DeptId: Fw.app.Session.getParentDeptId(),
        			DeptSeq:Fw.app.Session.getDeptSeq()
        	};
        	this.tool.getAjax('helperService', 'getWebSites', parmas, function(data){
        		var applyBranch = data.List;
        		if(applyBranch.length>0){
        			$('#bank_span').text(applyBranch[0].DeptName);
        		}
        	});
    		
    		
        },
        
    };
}();