Fw.define(function(require){
    var TypeUtil = Fw.extend(Fw.Component, {
    	/**
         * II III类户国籍代码转换
         */
        fmtCountry: function(v){
            switch(String(v)){
	            case '0032': return '阿根廷';
	            case '0036': return '澳大利亚';
	            case '0040': return '奥地利';
	            case '0051': return '亚美尼亚';
	            case '0056': return '比利时';
	            case '0076': return '巴西';
	            case '0100': return '保加利亚';
	            case '0112': return '白俄罗斯';
	            case '0124': return '加拿大';
	            case '0156': return '中国';
	            case '0158': return '中国台湾';
	            case '0170': return '哥伦比亚';
	            case '0196': return '塞浦路斯';
	            case '0203': return '捷克';
	            case '0208': return '丹麦';
	            case '0233': return '爱沙尼亚';
	            case '0246': return '芬兰';
	            case '0250': return '法国';
	            case '0276': return '德国';
	            case '0300': return '希腊';
	            case '0344': return '中国香港';
	            case '0348': return '匈牙利';
	            case '0352': return '冰岛';
	            case '0356': return '印度';
	            case '0364': return '伊朗';
	            case '0372': return '爱尔兰';
	            case '0376': return '以色列';
	            case '0380': return '意大利';
	            case '0388': return '牙买加';
	            case '0408': return '朝鲜';
	            case '0410': return '韩国';
	            case '0414': return '科威特';
	            case '0428': return '拉脱维亚';
	            case '0440': return '立陶宛';
	            case '0442': return '卢森堡';
	            case '0446': return '中国澳门';
	            case '0462': return '马尔代夫';
	            case '0324': return '几内亚';
	            case '0148': return '乍得';
	            case '0470': return '马耳他';
	            case '0480': return '毛里求斯';
	            case '0484': return '墨西哥';
	            case '0458': return '马来西亚';
	            case '0496': return '蒙古';
	            case '0528': return '荷兰';
	            case '0554': return '新西兰';
	            case '0578': return '挪威';
	            case '0586': return '巴基斯坦';
	            case '0608': return '菲律宾';
	            case '0616': return '波兰';
	            case '0620': return '葡萄牙';
	            case '0642': return '罗马尼亚';
	            case '0643': return '俄罗斯';
	            case '0702': return '新加坡';
	            case '0704': return '越南';
	            case '0705': return '斯洛文尼亚';
	            case '0710': return '南非';
	            case '0724': return '西班牙';
	            case '0752': return '瑞典';
	            case '0756': return '瑞士';
	            case '0764': return '泰国';
	            case '0792': return '土耳其';
	            case '0804': return '乌克兰';
	            case '0818': return '埃及';
	            case '0840': return '美国';
	            case '0860': return '乌兹别克';
	            case '0861': return '阿尔巴尼亚共和国';
	            case '0862': return '阿尔及利亚民主人民共和国';
	            case '0863': return '阿富汗伊斯兰国';
	            case '0864': return '阿拉伯联合酋长国';
	            case '0865': return '阿拉伯叙利亚共和国';
	            case '0866': return '阿鲁巴';
	            case '0867': return '阿曼苏丹国';
	            case '0868': return '阿塞拜疆共和国';
	            case '0869': return '埃塞俄比亚';
	            case '0870': return '安道尔公国';
	            case '0871': return '安哥拉共和国';
	            case '0872': return '安圭拉';
	            case '0873': return '安提瓜和巴布达';
	            case '0598': return '巴布亚新几内亚';
	            case '0478': return '毛里塔尼亚';
	            case '0874': return '巴巴多斯';
	            case '0875': return '巴布亚新几内亚独立国';
	            case '0876': return '巴哈马联邦';
	            case '0877': return '巴拉圭共和国';
	            case '0878': return '巴勒斯坦国';
	            case '0879': return '巴林国';
	            case '0880': return '巴拿马共和国';
	            case '0881': return '百慕大群岛';
	            case '0882': return '北马里亚纳自由联邦';
	            case '0883': return '贝宁共和国';
	            case '0884': return '波多黎各自由联邦';
	            case '0885': return '波斯尼亚和黑塞哥维那共和国';
	            case '0886': return '玻利维亚共和国';
	            case '0887': return '伯利兹';
	            case '0888': return '博茨瓦纳共和国';
	            case '0889': return '不丹王国';
	            case '0890': return '布基纳法索';
	            case '0891': return '布隆迪共和国';
	            case '0892': return '布维岛';
	            case '0893': return '赤道几内亚共和国';
	            case '0894': return '利比亚';
	            case '0895': return '大不列颠及北爱尔兰联合王国';
	            case '0896': return '东帝汶';
	            case '0897': return '对赫勒拿';
	            case '0898': return '多哥共和国';
	            case '0899': return '多米尼加共和国';
	            case '0900': return '多米尼克联邦';
	            case '0901': return '厄瓜多尔共和国';
	            case '0902': return '厄立特里亚国';
	            case '0903': return '法罗群岛';
	            case '0904': return '法属波利尼西亚';
	            case '0905': return '法属圭亚那';
	            case '0906': return '法属南部领土';
	            case '0907': return '梵蒂冈城国';
	            case '0908': return '斐济群岛共和国';
	            case '0909': return '佛得角共和国';
	            case '0910': return '冈比亚共和国';
	            case '0911': return '刚果共和国';
	            case '0912': return '刚果民主共和国';
	            case '0913': return '哥斯达黎加共和国';
	            case '0914': return '格林纳达';
	            case '0915': return '格陵兰';
	            case '0916': return '格鲁吉亚共和国';
	            case '0917': return '古巴共和国';
	            case '0918': return '瓜德罗普';
	            case '0919': return '关岛';
	            case '0920': return '圭亚那合作共和国';
	            case '0921': return '哈萨克斯坦共和国';
	            case '0922': return '海地共和国';
	            case '0923': return '荷属安的列斯';
	            case '0924': return '赫德岛和麦克唐纳岛';
	            case '0925': return '洪都拉斯共和国';
	            case '0926': return '基里巴斯共和国';
	            case '0927': return '吉布提共和国';
	            case '0928': return '吉尔吉斯共和国';
	            case '0929': return '几内亚比绍共和国';
	            case '0930': return '几内亚共和国';
	            case '0931': return '加纳共和国';
	            case '0932': return '加蓬共和国';
	            case '0933': return '柬埔寨王国';
	            case '0934': return '津巴布韦共和国';
	            case '0935': return '喀麦隆共和国';
	            case '0936': return '卡塔尔国';
	            case '0937': return '开曼群岛';
	            case '0938': return '科科斯(基林)群岛';
	            case '0939': return '科摩罗伊斯兰联邦共和国';
	            case '0940': return '科特迪瓦共和国';
	            case '0941': return '克罗地亚共和国';
	            case '0942': return '肯尼亚共和国';
	            case '0943': return '库克群岛';
	            case '0944': return '莱索托王国';
	            case '0945': return '老挝人民民主共和国';
	            case '0946': return '黎巴嫩共和国';
	            case '0947': return '利比里亚共和国';
	            case '0948': return '列支敦士登公国';
	            case '0949': return '留尼汪';
	            case '0950': return '卢旺达共和国';
	            case '0951': return '马达加斯加共和国';
	            case '0952': return '马尔维纳斯群岛(福克兰群岛)';
	            case '0954': return '马里共和国';
	            case '0955': return '马其顿共和国';
	            case '0956': return '马绍尔群岛共和国';
	            case '0957': return '马提尼克';
	            case '0958': return '马约特';
	            case '0959': return '毛里塔尼亚伊斯兰共和国';
	            case '0960': return '美属萨摩亚';
	            case '0961': return '美属维尔京群岛';
	            case '0962': return '蒙特塞拉特';
	            case '0963': return '孟加拉人民共和国';
	            case '0964': return '秘鲁共和国';
	            case '0965': return '密克罗尼西亚联邦';
	            case '0966': return '缅甸联邦';
	            case '0967': return '摩尔多瓦共和国';
	            case '0968': return '摩洛哥王国';
	            case '0969': return '摩纳哥公国';
	            case '0970': return '莫桑比克共和国';
	            case '0971': return '纳米比亚共和国';
	            case '0972': return '南极洲';
	            case '0973': return '南乔治亚岛和南桑德韦奇岛';
	            case '0974': return '瑙鲁共和国';
	            case '0975': return '尼泊尔王国';
	            case '0976': return '尼加拉瓜共和国';
	            case '0977': return '尼日尔共和国';
	            case '0978': return '尼日利亚联邦共和国';
	            case '0979': return '纽埃';
	            case '0980': return '诺福克岛';
	            case '0981': return '帕劳共和国';
	            case '0982': return '皮特凯恩群岛';
	            case '0983': return '日本国';
	            case '0984': return '萨尔瓦多共和国';
	            case '0985': return '塞尔维亚和黑山';
	            case '0986': return '塞拉利昂共和国';
	            case '0987': return '塞内加尔共和国';
	            case '0988': return '塞舌尔共和国';
	            case '0989': return '沙特阿拉伯王国';
	            case '0990': return '圣诞岛';
	            case '0991': return '圣多美和普林西比民主共和国';
	            case '0992': return '圣基茨和尼维斯联邦';
	            case '0993': return '圣卢西亚';
	            case '0994': return '圣马力诺共和国';
	            case '0995': return '圣皮埃尔和密克隆';
	            case '0996': return '圣文森特和格林纳丁斯';
	            case '0997': return '斯里兰卡民主社会主义共和国';
	            case '0998': return '斯洛伐克共和国';
	            case '0999': return '斯瓦尔巴群岛';
	            case '1000': return '斯威士兰王国';
	            case '1001': return '苏丹共和国';
	            case '1002': return '苏里南共和国';
	            case '1003': return '所罗门群岛';
	            case '1004': return '索马里共和国';
	            case '1005': return '塔吉克斯坦共和国';
	            case '1006': return '坦桑尼亚联合共和国';
	            case '1007': return '汤加王国';
	            case '1008': return '特克斯和凯科斯群岛';
	            case '1009': return '特立尼达和多巴哥共和国';
	            case '1010': return '突尼斯共和国';
	            case '1011': return '图瓦卢';
	            case '1012': return '土库曼斯坦';
	            case '1013': return '托克劳';
	            case '1014': return '瓦利斯和富图纳群岛';
	            case '1015': return '瓦努阿图共和国';
	            case '1016': return '危地马拉共和国';
	            case '1017': return '委内瑞拉共和国';
	            case '1018': return '文莱达鲁萨兰国';
	            case '1019': return '乌干达共和国';
	            case '1020': return '乌拉圭东岸共和国';
	            case '1021': return '西撒哈拉';
	            case '1022': return '西萨摩亚独立国';
	            case '1023': return '新喀里多尼亚';
	            case '1024': return '也门共和国';
	            case '1025': return '伊拉克共和国';
	            case '1026': return '印度尼西亚共和国';
	            case '1027': return '英属维尔京群岛';
	            case '1028': return '英属印度洋领土';
	            case '1029': return '约旦哈希姆王国';
	            case '1030': return '乍得共和国';
	            case '1031': return '直布罗陀';
	            case '1032': return '智利共和国';
	            case '1033': return '中非共和国';
	            case '9999': return '国际组织';
            	default: return v;
            }
        },
        
        /**
         * 性别转换
         * */
        fmtGender: function(v){
        	switch(String(v)){
	        	case 'M': return '男';
	        	case 'F': return '女';
	        	case 'U': return '未知';
	        	default: return v;
        	}
        },
        
    })
    Fw.Logger.debug('加载公共方法');
    Fw.TypeUtil=new TypeUtil();
});