/**
 * 创建应用
 */
var App = function() {

    //
    return {
        /**
         * 依赖组件
         */
        requires : [
   
            'Fw.app.Session'
            
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '表单',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: {
                //按钮标题
                text: '设置表单值',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        
            
            //初始化事件
            this.initEvents();
            
            App.initHtml();
          //  App.MCRabotActAdd();

//            //手动隐藏等待层
            Fw.LoadMask.hide(500);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
          
     
        },
        
        /**
         * 初始化页面
         */
        initHtml: function(){
        	
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMCDeviceForEcipMgmtQry',//默认为query，方法名称必须是query开头
              
                staticData: false,
                //请求成功后回调
                success: function(data, result) {

              	// console.log(data);
               
               	 App.showInitPage(data);
               	
        			//编译内容模版
        		
        			//console.log('html',html);
        			
        		
               	 
                },
               
            });
      
        },
        
        
        /**
         * 初始化页面
         */
        showInitPage: function(data){
        	console.log(data);
        	data = data.List;
        	var sb = [];
        	for(var i = 0 ; i < data.length; i++){
        		var arg = data[i];
        		if(i!=0){
        			sb[sb.length] ="<hr/>";
        		}
        		sb[sb.length] ="<ul  onclick='delContact(" + i + ");' >";
        		sb[sb.length] = "<li><label class='wf30'>设备类型:</label>";
        		sb[sb.length] = "<span class='wf70'>"+arg.DeviceType+"</span></li>";
        		
        		sb[sb.length] = "<li><label class='wf30'>设备序号: </label>";
        		var length  = arg.DeviceNo.length;
        		if(arg.DeviceNo.length>20){
        			sb[sb.length] = "<span class='wf70 ul_del'>"+arg.DeviceNo.substring(1,9)+"..." +arg.DeviceNo.substring(length-8)+"</span></li> ";
        		}else{
        			sb[sb.length] = "<span class='wf70 ul_del'>"+arg.DeviceNo+"</span></li>";
        		}
        		sb[sb.length] = "<li '><label class='wf30'>绑定日期:</label>";
        		sb[sb.length] = "<span class='wf70'>"+arg.Date+"</span></li>";
        		sb[sb.length] = "</ul>";
        	}
        	g("pageA").innerHTML = sb.join("");
        
      
        },
      
     
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
