var App = function() {
	//II类户发老核心，III类户发互联网核心（互联网核心仅支持行内卡）  目前电子渠道开二三类户只支持行内一类户
	var form, form2;
	var tab;
	var buttons = $('button');
	var smsSecurity=null;
	var parameters={};
	var acTypeData={};
	var btnFlag = true;
	var transferToken="";
	var balance=0; //绑定账户余额
	var cardList;
	var CardType;
	var faceOpen="";	//人脸识别开通标识（自定义） 0为开 1为关
	var custInfo={};
	var today;
	var idCardFrontPhoto = "",idCardBackPhoto = "";	//身份证正面,反面消息数据
    var idCard01 = "",idCard02 = "",idCard03 = "";	//身份证正面,反面，手持身份证图片
	
    return {
        /**
         * 依赖组件
         */
        requires: [
			'Fw.Tab',
			'Fw.Form',
			'Fw.app.Session',
			'Fw.ConstantData',
			//安全键盘
            'Fw.Keyboard',
            //短信统一接口
            'Fw.SmsCountDown',
            'Fw.device.Device',
            '../../account/js/TypeUtil.js'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: 'Ⅱ、Ⅲ类账户开户',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	var index = tab.getActiveItemIndex();
        	if(index == 1) {
        		App.clearData();
        		//返回上一页
	        	tab.setActiveItem(0);
        	} else if (index==2) {
        		tab.setActiveItem(1);
        	} else if(index == 3) {
        		//返回上级目录
        		Fw.redirect('./subAccountMenu.html');
        	} else if(index == 4) {
        		tab.setActiveItem(0);
        	} else {
        		//返回上级目录
            	Fw.device.Device.gotoIndex();
        	}
        },
        
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//定义选项卡
            tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab',
                activeTab:0
            });
            
            //定义表单
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
            form2 = new Fw.Form({
                //EL
                contentEl : 'form2',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            
        	//初始化事件
        	this.initEvents();
        	//初始化数据
        	this.initData();
        },
        
        /**
         * 初始化事件
         */
        initEvents:function(){
        	$("#read-btn").on('click', Fw.bind(this.readAgreement, this));
        	$("#agreementRead").on('click', Fw.bind(this.showAgreementRead, this));
        	$("[name='cardCategory']").on('change', Fw.bind(this.changeCardCategory, this));
        	$("[name='cardList']").on('change', Fw.bind(this.queryMCYlAcTypeQry, this));
            //获取短信
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
            //触发提交事件前（校验前）触发
            form.on('beforesubmit', this.beforeSubmit, this);
            //触发提交事件触发
            form.on('submit', this.doSubmit, this);
            form2.on('beforesubmit', this.beforeConfirmSubmit, this);
            form2.on('submit', this.doConfirmSubmit, this);
            //点击按钮时触发（保存、重置、重发验证码）
            buttons.tap(Fw.bind(this.onButtonClick, this));
            $("#balanceBtn").on('click', Fw.bind(this.queryMCActDetailQuery, this));
            $("[name='isTransfer']").on('click', Fw.bind(this.checkedIsTransfer, this));
            //证件上传事件
            $('#cfm-sub').on('click', Fw.bind(this.comformSub, this));
            $('#idCardFrontPhoto').on('click', Fw.bind(this.getIdCardFrontPhoto, this));
			$('#idCardBackPhoto').on('click', Fw.bind(this.getIdCardBackPhoto, this));
			$('#idCardHandPhoto').on('click', Fw.bind(this.getIdCardHandPhoto, this));
        },
        
        /**
         * 上传正面证件照     调用客户端方法
         */
        getIdCardFrontPhoto : function(){
        	Fw.device.Device.getOcrIdCard('{"infoFunc":"App.getMsg1","imgFunc":"App.getImg1"}');
        },
        
        getMsg1: function(data) {
        	idCardFrontPhoto = data;
			var data=JSON.parse(data);	
			$("[name=custIdCardAddress]").val(data.address);
			if(data.name == undefined){
				Fw.Msg.info("请正确放置证件正反面！");
				idCard01="";
				$("#idCard01").attr("");
			}
        },
        getImg1:function(data) {
        	if(JSON.parse(idCardFrontPhoto).name == undefined){
        		idCard01="";
				$("#idCard01").attr("");
        	}else{
        		var imgData = {
        				imageBase:data,
        				imageType:"png",
        				imageCode:"01"
        		}
        		App.uploadObjStorage("idCard01", imgData);
        	}
        },
        /**
         * 上传背面证件照     调用客户端方法
         */
        getIdCardBackPhoto : function(){
        	Fw.device.Device.getOcrIdCard('{"infoFunc":"App.getMsg2","imgFunc":"App.getImg2"}');
        },
        getMsg2: function(data) {
        	idCardBackPhoto = data;
			var data=JSON.parse(data);
			if(data.validdate == undefined){
				Fw.Msg.info("请正确放置证件正反面！");
				idCard02="";
				$("#idCard02").attr("");
			}
        },
        getImg2:function(data) {
        	if(JSON.parse(idCardBackPhoto).validdate == undefined){
        		idCard02="";
				$("#idCard02").attr("");
        	}else{
        		var ExpireDate=JSON.parse(idCardBackPhoto).validdate.split("-")[1];
        		parameters.ExpireEndDate=ExpireDate.substring(0,4)+"-"+ExpireDate.substring(4,6)+"-"+ExpireDate.substring(6,8);
        		var imgData = {
        				imageBase:data,
        				imageType:"png",
        				imageCode:"02"
        		}
        		App.uploadObjStorage("idCard02", imgData);
        	}
        },
        
        /**
         * 上传手持证件照     调用客户端方法
         */
        getIdCardHandPhoto : function(){
        	idCard03="";
			$("#idCard03").attr("");
        	Fw.device.Device.uploadFile({"callback":"App.getImg3"});
        },
        
        getImg3:function(data) {
        	if(Fw.isEmpty(data)){
        		return false;
        	}
        	if(Fw.isString(data)){
        		data = Fw.decode(data);
        		
        	}
        	if(!Fw.isEmpty(data.errorCode)||"1"==data.errorCode){
        		Fw.Msg.info(data.errorMessage);
        		return false;
        	}
        	var imgData = {
				imageBase:data.imageBase,
				imageType:"png",
				imageCode:"03"
    		}
    		App.uploadObjStorage("idCard03", imgData);
        },
        
        /**
         * 上传至手机对象存储
         * */
        uploadObjStorage: function(paramName,imgData) {
        	Fw.util.Ajax.execute({
                service: 'subAccountService',
                method: 'executeUploadObjStorage',
                loadMask: true,
                //请求参数
                params: {
				  	 fileName:imgData.imageBase,
				     fileType:imgData.imageType,
				     fileCode:imgData.imageCode
                },
                success: function(data, result) {
                	//手动隐藏等待层
                    Fw.LoadMask.hide();
                	if(paramName == "idCard01"){
                		parameters.Url1 = data.url;	//执行II III类账户开户的参数
                		idCard01 = imgData.imageBase;
                		$("#idCard01").attr("src","data:image/*;base64,"+imgData.imageBase);
                	}else if(paramName == "idCard02"){
                		parameters.Url2 = data.url;	//执行II III类账户开户的参数
                		idCard02 = imgData.imageBase;
                		$("#idCard02").attr("src","data:image/*;base64,"+imgData.imageBase);
                	}else if(paramName == "idCard03"){
                		parameters.Url3 = data.url;	//执行II III类账户开户的参数
                		idCard03 = imgData.imageBase;
                		$("#idCard03").attr("src","data:image/*;base64,"+imgData.imageBase);
                	}
                }
        	});
    	},
        
        /**
         * 初始化数据
         */
        initData:function(){
        	this.initCurDate();
        	$("#name").html(Fw.app.Session.getCustName());
        	Fw.ConstantData.setCardCategory($("[name=cardCategory]"));
        	this.initAccount();
        	this.initFaceStatusQry();	//初始化人脸识别开关状态查询
        },
        
        //获取当前日期
        initCurDate: function(){
        	Fw.util.Ajax.get({
				service : 'curdateService/getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					today=data['CurDate'];
				},
			});
        },
        
        /**
         * 初始化人脸识别开关状态查询
         */
        initFaceStatusQry:function(){
        	//人脸识别开关查询
        	Fw.util.Ajax.query({
		       	service: 'subAccountService',
	            method: 'queryFaceStatus',
		        loadMask: true,
	            //请求参数
	            params: {},
	            //请求成功后回调
	            success: function(data, result) {
	            	if(data.FaceFlag == '0'){// 人脸识别开关开
	            		faceOpen='0';
					}else{
						faceOpen='1';
					}
	            },
	            failure: function(status, textStatus, error) {
               	 	Fw.Msg.info(error);
                }
		    });
        },
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '0',
					modType : 'common',
					phoneNum : $("[name=phoneNum]").val(),
					transName : 'Ⅱ、Ⅲ类账户开户',
					isManual: "1"
				},
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
        
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'submit-btn':
                    form.submit();
                    break;
                case 'confrim-btn':
                    form2.submit();
                    break;
            }
        },
        
        /**
         * 上传按钮事件
         * */
        comformSub: function(){
        	if(idCard01 !="" && idCard02 !="" && idCard03 != ""){
        		tab.setActiveItem(2);
    		}else{
    			Fw.Msg.info("证件信息未成功采集，请重试！");
    		}
        },
        
        
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        	if(!btnFlag){
        		return false;
        	}
        	if(!$('#agreed').is(':checked')){
        		Fw.Msg.info('您需阅读并同意《农村商业银行个人人民币银行结算账户管理协议》');
        		return false;
        	}
        	if(!$('#known').is(':checked')){
        		Fw.Msg.info('您需充分了解并清楚知晓出租、出借、出售、购买账户的法律责任和惩戒措施，承诺依法依规开立和使用本人账户。');
        		return false;
        	}
        	if($("[name='cardCategory']").val()=="2"){ //II类户,发老核心
            	if(Fw.util.Format.fmtUndefinedData(acTypeData.AcType)==""){
            		Fw.Tips.info("绑定账户类型获取失败，请稍后再试！");
              		return false;
            	}
        	}
        	var amount = Fw.util.Format.unFmtAmt($('[name="amount"]').val());
        	if($("[name='cardCategory']").val()=="3" && $('[name=isTransfer]').is(':checked')){ //III类户,发互联网核心
        		if(Number(amount)>2000){
            		Fw.Tips.info("交易金额不能大于2000！");
              		return false;
            	}
            	if(Number(amount)>Number(balance)){
            		Fw.Tips.info("交易金额不能大于绑定账户可用余额！");
              		return false;
            	}
        	}
        },
        /**
         * 提交表单
         */
        doSubmit: function(values){
    		//查询客户信息
        	Fw.util.Ajax.query({
       		 service: 'subAccountService',
                method: 'queryMCYlAcCifInfoQry',
                //请求参数
                params: {},
                //请求成功后回调
                success: function(data, result) {
                	custInfo=data;
                	$("[name=custJob] option[value='"+data.CareerType+"']").attr('selected',true);
                	form2.setValues({
                		custName:data.CnName,
                		custSex:Fw.TypeUtil.fmtGender(data.Gender),
                		custCountry:Fw.TypeUtil.fmtCountry(data.Citizenship),
                		custPhoneNum:data.ContmethInfo,
                		custNowAddress:data.Addr,
                		custIdcardType:Fw.util.Format.fmtIdType(data.IdentType),
                		custIdcardNo:Fw.util.Format.hideCode(data.IdentNo,4,10,'*'),
                		custIdcardDay:Fw.util.Format.fmtDate(data.IdentExpiredDate)
                	});
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
               	 	Fw.Msg.info(error);
               	 	return false;
                }
            });
        	var amount = Fw.util.Format.unFmtAmt($('[name="amount"]').val());
        	//老核心
        	parameters.smsSecurity = smsSecurity;
        	parameters.smscode = values.smscode; // 短信验证码
        	parameters.AcNo = cardList[$('[name="cardList"]').val()].No; // 绑定账户
        	parameters.PayerAcc = parameters.AcNo; // 绑定账户
        	parameters.BranchName = "";//Fw.util.Format.fmtUndefinedData(bankInfo.NOTE2); // 绑定机构行名
        	parameters.BranchId = "";//Fw.util.Format.fmtUndefinedData(bankInfo.NOTE1); // 绑定机构行号
        	parameters.BindAcType = acTypeData.AcType; // 绑定账户类型	第一位：1-系统内 2-他行    第二位：1-借记卡 2-活期 3-信用卡 
        	parameters.CardCategory = $("[name='cardCategory']").val(); //卡账户类别  2-Ⅱ类账户 3-Ⅲ类账户
        	parameters.BindCardCategory = "1"; // 绑定卡账户类别  1-Ⅰ类账户　2-Ⅱ类账户 3-Ⅲ类账户
        	parameters.MobilePhone = values.phoneNum; // 手机号
        	parameters.Password = ""; // II、III账户密码
        	parameters.DeptSeq = "";
        	if($("[name='cardCategory']").val()=="3"){ //III类户,发互联网核心
        		parameters.AcctKind = $("[name='cardCategory']").val(); // 电子账户种类
            	parameters.BndAcctType = $("[name='bndAcctType']").val(); //绑定卡类型
            	if($('[name=isTransfer]').is(':checked')){
            		parameters.TransferFlag = "1";
            		parameters.PasswordNew = values.bindTransPsw; //绑定账户交易密码
                	parameters.Amount = amount; //交易金额
            	}else{
            		parameters.TransferFlag = "0";
            		parameters.PasswordNew = ""; //绑定账户交易密码
                	parameters.Amount = ""; //交易金额
            	}
        		this.executeCheckSms();
        	}else{
        		parameters.DeptId = ""; //营业机构
        		this.queryMCYlAcFee();	//该方法会进行短信校验
        	}
        },
        
        /**
         * 银联II、III户手续费测算
         */
        queryMCYlAcFee: function(){
        	 Fw.util.Ajax.query({
        		 service: 'subAccountService',
                 method: 'queryMCYlAcFee',
                 //请求参数
                 params: parameters,
                 //请求成功后回调
                 success: function(data, result) {
                	 CardType=data.CardType;
                	 Fw.Msg.cfm("开户交易需要收取"+Fw.util.Format.fmtAmt(data.AllFee)+"元手续费，是否继续交易？", 
                			 function(code, btn, win){
								if(code == "yes"){
									tab.setActiveItem(1);
								}
                	 });
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 Fw.Msg.info(error);
                 }
             });
        },
        
        
        /**
         * 触发提交事件前触发,校验客户信息
         */
        beforeConfirmSubmit:function(values){
        	if($('[name=custJob] option:selected').val()=="00"){
        		Fw.Tips.info("请选择职业类型！");
          		return false;
        	}
        	
        	if("P00"!=custInfo.IdentType){
        		Fw.Tips.info("证件类型仅支持身份证！");
          		return false;
        	}
        	if(Fw.isEmpty($("[name=custIdCardAddress]").val())){
        		Fw.Tips.info("身份证地址不能为空！");
        		return false;
        	}
        	if(Fw.isEmpty($("[name=custNowAddress]").val())){
        		Fw.Tips.info("联系地址不能为空！");
        		return false;
        	}
        	//判断证件号码是否跟上一步扫描的身份证号码是否一致
        	if(!Fw.isEqual(custInfo.IdentNo, JSON.parse(idCardFrontPhoto).cardnum)){
        		Fw.Msg.info("您的证件号码跟上传的证件信息不一致，请使用您本人的身份证！");
          		return false;
        	}
        	
        	var date1=Fw.util.Format.fmtDate(new Date(today));
        	var date2=Fw.util.Format.fmtDate(custInfo.IdentExpiredDate);
        	if(Date.parse(date2)<Date.parse(date1)){
        		Fw.Tips.info("您的证件已过有效期！");
          		return false;
        	}
        	if(values.TransPsw != values.TransPswQr){
          		Fw.Tips.info("交易密码不一致，请重新输入！");
          		return false;
          	}
        },
        
        /**
         * 确认
         */
        doConfirmSubmit: function(values){
        	if(Fw.isEqual('0', faceOpen)){
        		Fw.device.Device.getCamara('App.executeFaceDataCheck');
        	}else{
        		Fw.Msg.info("您暂未开通人脸识别！");
        		return false;
        	}
        },
        
        /**
         * 人脸识别校验
         */
        executeFaceDataCheck:function(data){
  			Fw.util.Ajax.query({
		       	service: 'subAccountService',
	            method: 'executeFaceDataCheck',
		        loadMask: true,
	            //请求参数
	            params: {Img:data},
	            //请求成功后回调
	            success: function(data, result) {
	            	if('0' == data.FaceiIdentificationFlag){//人脸比对成功
	            		parameters.Gender=custInfo.Gender;
	                	parameters.Citizenship=custInfo.Citizenship;
	                	parameters.HshldRgstAdr=$("[name=custIdCardAddress]").val();
	                	parameters.CareerType=$('[name=custJob] option:selected').val();
	                	parameters.Addr=$('[name=custNowAddress]').val();
	            		
	            		if($("[name='cardCategory']").val()=="3"){ //III类户,发互联网核心
	                		parameters.Password = ""; // 查询密码
	                		parameters.TrsPassword =form2.getValues("TransPsw");
	                		App.executeMCYlAcOpenNew();
	                	}else{
	                		parameters.Password = form2.getValues("TransPsw");; // II、III账户密码
	            			App.executeMCYlAcOpen();
	                	}
	            	}
	            },
	            failure : function(status, textStatus, error) {
    				Fw.Msg.error(error,function(){
    					//图片置空
	            		form.values.Img = "";
    				});
    				return false;
    			}
		    });
        },
        
        /**
         * 开户
         */
        executeMCYlAcOpen: function(){
        	parameters.PrdCode = CardType;
        	 Fw.util.Ajax.execute({
                 service: 'subAccountService',
                 method: 'executeMCYlAcOpen',
                 //请求参数
                 params: parameters,
                 staticData: false,
                 //请求成功后回调
                 success: function(data, result) {
                	 App.showResultPage(data);
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 App.clearData();
                 }
             });
        },
        
        /**
         * 结果页 II类账户开户结果
         */
        showResultPage: function(data){
        	if("1"==data.CheckFlag){
        		$("#result").html("开户申请待审批");
        		$("#openState_div").removeClass("sui-hide");
        		$("#openState").html("您的II类户开户申请已提交，请等待银行审批");
        		$("#acNo2_div").addClass("sui-hide");
        	}else{
        		if(!data.addFlag){
            		Fw.Msg.info("开户成功，账户加挂失败。请进入账户管理-关联账户管理中加挂新开账户！");
            	}
        	}
        	$("#phoneNum2").html($("[name='phoneNum']").val());
        	$("#acNo2").html(data.AcNo);
        	$("#bindAcNo2").html(parameters.AcNo);
        	tab.setActiveItem(3);
        },
        
        
        /**
         * 清理交易数据
         */
        clearData: function(){
			$('[name="TransPsw"]').val('');
			$('[name="TransPsw"]').attr("placeholder", "请输入交易密码");
			$('[name="TransPswQr"]').val('');
			$('[name="TransPswQr"]').attr("placeholder", "请输入交易密码");
			$('[name="smscode"]').val('');
			$('[name="smscode"]').attr("placeholder", "请输入验证码");
        },
        
        /**
         * 银联II、III账户类型查询
         */
        queryMCYlAcTypeQry: function(){
        	$("#agreed")[0].checked = false;
        	if($("[name='cardCategory']").val()=="3"){ //III类户,发互联网核心，需选择绑定账户类型
        		App.queryEleAcNoAndAcCateQry();
        		return;
        	}
        	
			Fw.util.Ajax.query({
				service : 'subAccountService',
				method : 'queryMCYlAcTypeQry',
				//请求参数
				params : {
					AcNo: cardList[$('[name="cardList"]').val()].No
				},
				//请求成功后回调
				success : function(data, result) {
					acTypeData = data;
					btnFlag = true;
					$("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary");
					App.queryMCDeptForAcNoQry();
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
					btnFlag = false;
					$("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary-gray");
				}
			});
        },
        
        /**
         * 切换开户账户类别
         */
        changeCardCategory: function(){
        	$('[name=smscode]').val('');
        	if($("[name='cardCategory']").val()=="3"){ //III类户,发互联网核心，需选择绑定账户类型
        		App.queryEleAcNoAndAcCateQry();
        		btnFlag = true;
        		$("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary");
        		$("#netcoreAcTypeDiv").removeClass("sui-hide");
        		$("#oldcoreMsgDiv").addClass("sui-hide");
        	}else{
        		btnFlag = true;
        		$("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary");
        		$("#netcoreAcTypeDiv").addClass("sui-hide");
        		$("#netcoreTransDiv").addClass("sui-hide");
        		$("#netcoreMsgDiv").addClass("sui-hide");
        		$("#balanceDiv").addClass("sui-hide");
        		$("#amountDiv").addClass("sui-hide");
        		$("#bindTransPswDiv").addClass("sui-hide");
        		$("#oldcoreMsgDiv").removeClass("sui-hide");
        		App.queryMCYlAcTypeQry();
        	}
        },
        
/*====================================    互联网核心开户    ====================================   */        
        
        /**
		 * 查询加挂一类户(筛选掉信用卡、II、III类户)
		 */
        initAccount: function(){
        	Fw.util.Ajax.query({
				service : 'subAccountService',
				method : 'queryMCAddUpAccountQry',
				//请求参数
				params : {
					
				},
				//请求成功后回调
				success : function(data, result) {
					$('[name="cardList"]').empty();
		        	cardList = data.List;
		        	if(cardList.length == 0){
		    			Fw.Msg.info("您暂无可用账户！", function(){
		    				Fw.device.Device.gotoIndex();
		                });
		    		}else{
		    			for(var i=0; i<cardList.length; i++){
			    			$('[name="cardList"]').append("<option value="+i+">"+Fw.util.Format.fmtAcctNo(cardList[i].No, true)+"</option>");
			    		}
			    		App.queryMCYlAcTypeQry();
		    		}
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
        	});
        },
        
        /**
         * 短信校验
         */
        executeCheckSms: function(){
        	 Fw.util.Ajax.execute({
                 service: 'subAccountService',
                 method: 'executeCheckSms',
                 //请求参数
                 params: parameters,
                 staticData: false,
                 //请求成功后回调
                 success: function(data, result) {
                	 parameters.transferToken = data.transferToken;
                	 tab.setActiveItem(1);
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 
                 }
             });
        },
        
        /**
         * 开户(互联网核心)
         */
        executeMCYlAcOpenNew: function(){
        	 Fw.util.Ajax.execute({
                 service: 'subAccountService',
                 method: 'executeMCYlAcOpenNew',
                 //请求参数
                 params: parameters,
                 staticData: false,
                 //请求成功后回调
                 success: function(data, result) {
                	 App.showNetResultPage(data);
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 App.clearData();
                 }
             });
        },
        
        /**
         * 结果页 III类账户开户结果
         */
        showNetResultPage: function(data){
        	if("1"==data.CheckFlag){
        		$("#result").html("开户申请待审批");
        		$("#openState_div").removeClass("sui-hide");
        		$("#openState").html("您的III类户开户申请已提交，请等待银行审批");
        		$("#acNo2_div").addClass("sui-hide");
        	}else{
        		if(!data.addFlag){
            		Fw.Msg.info("开户成功，账户加挂失败。请进入账户管理-关联账户管理中加挂新开账户！");
            	}
        	}
        	$("#phoneNum2").html($("[name='phoneNum']").val());
        	$("#acNo2").html(data.CardNo);
        	$("#bindAcNo2").html(parameters.AcNo);
        	tab.setActiveItem(3);
        },
        
        /**
         * 电子帐户存量特殊账户查询（互联网核心）、银联II、III账户类别查询
         */
        queryEleAcNoAndAcCateQry: function(){
        	 Fw.util.Ajax.query({
        		 service: 'subAccountService',
                 method: 'queryEleAcNoAndAcCateQry',
                 //请求参数
                 params: {
                	 AcctKind: $("[name='cardCategory']").val(), //账户种类
                	 AcNo: cardList[$('[name="cardList"]').val()].No //绑定账户
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 btnFlag = true;
                	 $("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary");
                	 if(Number(data.RecordCnt) > 0){ //账户数量  大于0时表示已开通入金标志，客户不能再选
                		 $("#netcoreTransDiv").addClass("sui-hide");
                 		 $("#netcoreMsgDiv").addClass("sui-hide");
                 		 $("#balanceDiv").addClass("sui-hide");
                 		 $("#amountDiv").addClass("sui-hide");
                 		 $("#bindTransPswDiv").addClass("sui-hide");
                 		 $('[name=isTransfer]')[0].checked = false;
                	 }else{
                		 App.queryMCActDetailQuery();
                		 $("#netcoreTransDiv").removeClass("sui-hide");
                		 $("#netcoreMsgDiv").removeClass("sui-hide");
                		 $("#balanceDiv").removeClass("sui-hide");
                		 $("#amountDiv").removeClass("sui-hide");
                		 $("#bindTransPswDiv").removeClass("sui-hide");
                		 $('[name=isTransfer]')[0].checked = true;
                	 }
                	 App.queryMCDeptForAcNoQry();
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 btnFlag = false;
                	 $("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary-gray");
                 }
             });
        },
        
        /**
         * 个人账户信息（余额）
         */
        queryMCActDetailQuery:function(){
        	 Fw.util.Ajax.query({
        		 service: 'accountService',
                 method: 'queryMCActDetailQuery',//个人账户信息（余额）
                 //请求参数
                 params: {
                 	Account_BankAcType: cardList[$('[name="cardList"]').val()].BankAcType, //账号类型
                 	Account_No: cardList[$('[name="cardList"]').val()].No //账号
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 $('#balance').val(Fw.util.Format.fmtAmt(data.AvailBal));
                	 balance = data.AvailBal;
                 }
             });
        },
        
        /**
         * 选择入金标志
         */
        checkedIsTransfer: function(){
        	if($('[name=isTransfer]').is(':checked')){ //开通入金
        		$("#balanceDiv").removeClass("sui-hide");
           		$("#amountDiv").removeClass("sui-hide");
           		$("#bindTransPswDiv").removeClass("sui-hide");
        	}else{
        		$("#balanceDiv").addClass("sui-hide");
       		 	$("#amountDiv").addClass("sui-hide");
       		 	$("#bindTransPswDiv").addClass("sui-hide");
        	}
        },
        
        /**
         * 根据账户查询机构号
         */
        queryMCDeptForAcNoQry: function(){
        	Fw.util.Ajax.query({
        		service: 'subAccountService',
        		method: 'queryMCDeptForAcNoQry',
        		//请求参数
        		params: {
        			AcNo: cardList[$('[name="cardList"]').val()].No //绑定账户
        		},
        		//请求成功后回调
        		success: function(data, result) {
        			btnFlag = true;
        			$("#parentDeptName").html(data.DeptName);
        			$("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary");
        		},
        		//请求错误后回调
        		failure: function(status, textStatus, error) {
        			btnFlag = false;
        			$("#submit-btn").attr("class", "sui-btn-lg sui-btn-primary-gray");
        		}
        	});
        },
        
        /**
         * 我已阅读协议
         */
        readAgreement: function(){
        	tab.setActiveItem(0);
        },
        
        /**
         * 同意协议
         */
        showAgreementRead: function(){
        	tab.setActiveItem(4);
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App); 