var payAmount;

/**
 * 徐州市民卡充值
 */
var App = function() {  
	var actyPartyList ;
    // 由其他页面跳转带过来的参数
    var parameters =null;
    return {
        /**
         * 依赖组件
         */
        requires: [
        	//选项卡
            'Fw.Tab',
            'Fw.Form',
            'Fw.Keyboard',
            'Fw.Otp',
            'Fw.ConstantData'
        ],
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '活动列表',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            this.initData();//初始化数据
            //定义选项卡
            this.tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab',
                //默认选项卡（默认0）
                activeTab: 0
            });
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        
        initEvents: function(){      
        	$('#activityListDiv').on('click', 'div.react', Fw.bind(this.actInfoClick, this));
        },
        //初始化活动列表数据
        initData:function(){
        		parameters = Fw.decode(Fw.getParameters());
        		actyPartyList = parameters;
            	var existData = Fw.isArray(actyPartyList) && actyPartyList.length > 0;
            	if(existData){
//            		var tpl =[
//          		            '<div class="activity_div" id="disCountCardDiv${index}" _index="${index}" style="width:91vw;margin:16px auto 16px auto;overflow:hidden;border:solid 0.5px;">',
//          		    			'<div style="float:left;width:35%;">',
//          		    				'<img alt="活动图片" src="${item.ActyLogo}" style="width:100%;min-width:100%;min-height:40px;display:block;">',
//          		    			'</div>',
//          		    			'<div style="width:60%;float:right">',
//          			    			'<p style="font-size:3.6vw;"><b>${item.ActyName}</b></p>',
//          		        			'<p style="padding-top:5px;font-size:3vw;">${item.ActyTmplTypeName}</p>',
//          		        			'<p style="padding-top:5px;font-size:3vw;padding-bottom:10px;">活动时间：${item.ActyBeginDate} - ${item.ActyEndDate}</p>',
//          		    			'</div>',
//          		    		'</div>'
//                  	].join('');
            		var tpl=[
								'<div class="react" _index="${index}">',
									'<div class="dealcard" style="position: relative;">',
										'<div class="dealcard-img imgbox">',
											'<img src="${item.ActyLogo}" style="width:100%;">',
										'</div>',
										'<div class="dealcard-block-right">',
											'<div class="f1"><b>${item.ActyName}</b></div>',
											'<div class="f2">${item.ActyTmplTypeName}</div>',
											'<div class="f3">活动时间：${item.ActyBeginDate} - ${item.ActyEndDate}</div>',
										'</div>',
									'</div>',
								'</div>'
            		         ].join('');
        			itemTpl = Fw.template(tpl);
        			$.each(actyPartyList,function(i,item){
        				var html = itemTpl.render({
        					item : item,
        					index : i,
        				});
        				// 将HTML渲染到页面
        				$('#activityListDiv').append(html);				
                  	});
        			Fw.LoadMask.hide();
            	}else{
            		Fw.Tips.info("没有相关活动");
            		return;
            	}
        },
        //活动详情
        actInfoClick:function(e){
        	var el =$(e.currentTarget);
			var index = el.attr('_index') * 1;
			if(index > -1){
				var actUrl =actyPartyList[index].Url;
				var params = {
    					url: actUrl,
    					title: "活动详情",
    					transId:"GoldWallet"
    			}
    			Fw.device.Device.toThirdUrl(Fw.encode(params));
			}else{
				Fw.Tips.info("活动链接已失效，请返回重试");
				return;
			}
        },
        leftButtonHandler:function(){
        	Fw.device.Device.gotoIndex();
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);