/**
 * 创建应用
 */
App.Item8 = function() {
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '欠费缴费',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(flag) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//渲染
        	this.isPayPre();
        	if(!flag){
        		this.initEvents();
        	}
        },
        /**
         * 监听事件
         * @returns
         */
        initEvents: function(){
        	//继续按钮
        	$("#li7-next").on('click',Fw.bind(this.continueClick,this));
        	 App.params8 = true;
        },
        /**
         *执行下一步验证
         */
        continueClick:function(){
        	var bal=Fw.util.Format.unFmtAmt($('#li7bal').text());
        	var amount=Fw.util.Format.unFmtAmt($('#li7amount').text());
        	App.Item2.data["payamount"]=amount;
        		if(Number(bal)>=Number(amount)){
        			App.tab.setActiveItem(4);
        		}else{
        			 //Fw.Tips.info("付款账号余额不足");
        			 App.tab.setActiveItem(4);
        		};
        },
        /**
         * 清除li7数据
         * @returns
         */
        clearinfo: function(){
        	$('#li7type').text("");
        	$('#li7custno').text("");
        	$('#li7custname').text("");
        	$('[name=li7address]').val("");
        	$('#li7amount').text("");
        	$('#li7acno').text("");
        	$('#li7bal').text("");
        	isbal7="";
        	
       },
       
       /**
        * 初始化预存缴费按钮【水费】
        */
       isPayPre:function(){
    	 var sysid=App.Item2.data1.Sysid;
    	 var subsysid=App.Item2.data1.Subsysid;
      	 //重置预存按钮
		 $('#li8prepay').attr('class','sui-btn-lg-r sui-btn-primary-gray');
       	 ispre="false";
       	 Fw.util.Ajax.execute({
                service: 'agentBusiService',
                method:'executeIsPayPre',
                //请求参数
                params: {
               	 TransType:"0",
               	 FeeType:"2",
               	 Type:"01",
               	 Sysid:sysid,
               	 Subsysid:subsysid
                },
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
               	 var data=data.List;
               	 for(var i=0;i<data.length;i++){
    					var mename = data[i].Mename;
    					if(/预存/.test(mename) && data[i].Meno == "4"/*||sysOption=='大丰水费'*/){
    						$('#prepay').attr('class','sui-btn-lg-r sui-btn-primary-r');
    						ispre="true";
    						break;
    					};
    				};
    				//手动隐藏等待层
    	            Fw.LoadMask.hide();
                },
            }); 
       },
      
        /**
         * 展示信息
         */
        initInfo: function(){
        
        }
    };
}();