/**
 * 创建应用  查看行情
 */
App.Item2 = function() {
	
	//按钮
	var buttons = $('button');
	
	//缴费类型
	var transType;
	//业务类型
	var subbusitype;
	//系统id
	var sysid;
	//子系统id
 	var subsysid;
 	//缴费单位
 	var sysOption;
 	
 	var form;
 	
 	var Nt1;
    
    return {
    	
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig1: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '水费签约',
            
        },
        
        viewConfig2: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '电费签约',
            
        },
        
        viewConfig3: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '燃气费签约',
            
        },
        viewConfig4: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '有线电视费签约',
            
        },
        viewConfig5: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示 
             */
            title: '电信费签约',
            
        },
        viewConfig6: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '移动代缴费',
            
        },
        viewConfig7: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '代扣管理',
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(flag) {
        	 //定义表单
        	form = new Fw.Form({
                //EL
                contentEl : 'form1',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        	 
            //初始化数据
         	this.initData();
         	
        	//绑定监听事件，不重复绑定事件
        	/*if(!flag){
        		this.initEvents();
        	};
        	*/
        	
        	this.initEvents();
        	
        	//初始化客户信息
        	//App.Item2.data=null;
        	Fw.LoadMask.hide();	
        },
        /**
         * 初始化事件
         */
        initEvents:function(){
        	$(form).off();
            //触发提交事件前（校验前）触发
        	form.on('beforesubmit', App.Item2.beforeSubmit, this);
            //触发提交事件触发
            form.on('submit', App.Item2.doSubmit, this);
          //表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
            form.on('change', this.onChange, this);
            //点击按钮时触发（保存、重置、重发验证码）
            // buttons.tap(Fw.bind(this.onButtonClick, this));
            $('#qysubmit-btn').off();
            $('#qysubmit-btn').on('click',function(){
               form.submit();
            });
            
           // App.params2 = true;
        },
        
        /**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
         onChange: function(name, value, oldValue, field){
        	if(name=="SignNo"){
        		//更改卡类型
        		this.changeCardType();
        	};
        	
        	//证件类型切换显示赋值
       	    if(name=='paymentunit'){
       		    var sysval=$("[name=paymentunit] option:selected").val();
       		    var sysArray=sysval.split('|',2);
       		 	 //公共系统参数赋值
       		 	 sysid=sysArray[0];
       		 	 subsysid=sysArray[1];
       		 	 sysOption=$("[name=paymentunit] option:selected").text();
        	 };
        	 
        	 if(name=='position' && !Fw.isEmpty(value)){
          		this.updateZoneQry();
          	 };
         },
         
         /*
          * 修改缴费单位
          */
         updateZoneQry : function(){
        	 var CityFlag=$("[name=position] option:selected").text();
         	if(transType=="03"||transType=="04"){
         		 CityFlag="";
         	};
         	Fw.util.Ajax.query({
                 service: 'agentBusiService',
                 method:'queryZoneQry',
                 //请求参数
                 params:{
                 	CityFlag:CityFlag,
         			Subbusitype:subbusitype,
         			Type:transType
                 },
                 //是否自动显示等待层（默认true）
                 //允许自定义等待层提示信息（loadMask: '请稍后...'）
                 //loadMask: true,
                 //是否使用数据挡板（默认false）
                 staticData: false,
                 //请求成功后回调
                 success: function(data, result) {
                 	var datas=data.List;
                 	 var data = {
                 			length:datas.length,
          					list : datas
          				};
                 	Fw.ConstantData.setPaymentUnit($('[name=paymentunit]'),data);
                 	if(datas.length>0){
                 		sysid=datas[0].Sysid;
                   		subsysid=datas[0].Subsysid;
                   		sysOption=datas[0].Sysname;
                 	}else{
                 	};
                 	//手动隐藏等待层
                     Fw.LoadMask.hide();
                 },
             });
         },
         
         /*
          * 初始化数据
          */
         initData : function(){
        	//初始化标题
         	this.initTitle();
         	//初始化账户及账户类型
         	this.initCurCard();
         	//证件类型
			Fw.ConstantData.setIdType($("[name=IdType]"));
			//sIdType = $("[name=IdType]").val();
         },
         
       //初始化卡号
         initCurCard:function(){
         	var allCards = Fw.app.Session.getAllCards();
         	var data={
         			list:allCards,
         			}
         	Fw.ConstantData.setPayNo($("[name=SignNo]"), data);
         	
         	if(App.param){
         		$("[name=UserNo]").val(App.param.userid);
         		var acct=$("[name=SignNo] option");
	        	for(var i=0;i<acct.length;i++){
	        		var length = App.param.account.length;
	        		var acctStr = acct[i].value.substring(0, length);
	        		if(acctStr==App.param.account){
	        			acct[i].selected=true;
	        		};
	        	};
	        	
	        	if(App.param.accountType == "PDBC" || App.param.accountType == "PCRC" || App.param.accountType == "PDAC"){  //圆鼎卡和信用卡是卡，其他类型的是折
	         		//"SignNoType"
	         		$("[name = SignNoType]").val("1");
	         		}
	         	else{
	         		$("[name = SignNoType]").val("2");
	         	}
         	}
         	
        	
         	this.changeCardType();
         },
         
         /*
          * 动态更改卡类型
          */
         changeCardType : function(){
        	var acnoinfo = $("[name = SignNo]").val();
         	acnoinfo = acnoinfo.split('|',2);
         	acno = acnoinfo[0];
         	acnotype = acnoinfo[1];
         	//$("[name = SignNo]").val(acno);
//         	console.log("-----初始化-----",acno+","+acnotype);
         	if(acnotype == "PDBC" || acnotype == "PCRC" || acnotype == "PDAC"){  //圆鼎卡和信用卡是卡，其他类型的是折
         		//"SignNoType"
         		$("[name = SignNoType]").val("1");
         		}
         	else{
         		$("[name = SignNoType]").val("2");
         	}
         },
      
        /**
         * 初始化标题/初始化显示字段
         */
        initTitle:function(){
             //用户地区           
            /* var CityArea = $("[name=Area] option:selected").text();
             $('#position').text(CityArea);*/
    	
        	/*if(App.param){
        		App.paymenttype = App.param.paymenttype;
        	}*/
             switch(App.paymenttype){
            //第二个水费
            case "water":
            	//执行子页面2初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig1);
            	 $("[name=signType]").val("水费");
            	 	transType = "02";
                	subbusitype = "003";
                    break;
                //第三个电费
            case "elecric":
            	//执行子页面2初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig2);
            	 $("[name=signType]").val("电费");
            	
            	 transType="01";
             	 subbusitype = "001";
                 break;
              //第四个电信费
            case "rqif":
            	//执行子页面2初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig3);
            	 $("[name=signType]").val("燃气费");
            	 
            	 transType = "05";
             	 subbusitype = "008";
                 break;
                //第五个燃气费
            case "yxds":
            	//广电费
            	Fw.apply(App.viewConfig, this.viewConfig4);
            	 $("[name=signType]").val("移动电视费");
           
            	 transType = "04";
             	 subbusitype = "004";
                break;
                //第六个有线电视费
            case "telecom":
            	//执行子页面2初始化方法
            	Fw.apply(App.viewConfig, this.viewConfig5);
            	 $("[name=signType]").val("电信费");
            	 
            	 transType = "03";
             	subbusitype = "005";
                break;
             
            default:
                ;
        };
    	//设置标题栏
    	Fw.device.Device.applyView(App);
    	this.initZoneQry();
        },
        
        /**
         * 初始化缴费单位
         */
        initZoneQry:function(){
        	Fw.ConstantData.setArea($("[name=position]"));
        	if(App.param){
        		if(App.param.cityCode!=''){
//        			
        			$("[name=position]").val(App.param.cityCode);
        		}else{
//        			$("#area_div").hide();
        		}
        		
//        		$("[name=position]").val(App.param.cityCode);
        		
        	}else{
        		var Area=$("[name=Area] option:selected").val();
    			var position=$("[name=position] option");
    			for(var i=0;i<position.length;i++){
                	if(position[i].value==Area){
                		position[i].selected=true;
                		break;
                	};
                };
        	}
        	
        	var CityFlag=$("[name=position] option:selected").text();
        	//var CityFlag=$('#position').text();
        	if(transType=="03"||transType=="04"){
        		 CityFlag="";
        	};
        	
        	/*if(App.param && App.param.cityCode==""){
        		$('[name=paymentunit]').append('<option value="'+App.param.sysid+'|' +App.param.subsysid +'">'+App.param.unit+'</option>');
        	}else{
        		
        	}*/
        	
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method:'queryZoneQry',
                //请求参数
                params:{
                	CityFlag:CityFlag,
        			Subbusitype:subbusitype,
        			Type:transType
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	var datas=data.List;
                	 var data = {
                			length:datas.length,
         					list : datas
         				};
                	Fw.ConstantData.setPaymentUnit($('[name=paymentunit]'),data);
                	
                	
                	
                	if(datas.length>0){
                		sysid=datas[0].Sysid;
                  		subsysid=datas[0].Subsysid;
                  		sysOption=datas[0].Sysname;
                		
                	}else{
                	};
                	
                	if(App.param){
                		if(App.param.cityCode!=''){
                			var payUnit=$("[name=paymentunit] option");
            	        	for(var i=0;i<payUnit.length;i++){
            	        		if(payUnit[i].text==App.param.unit){
            	        			payUnit[i].selected=true;
            	        			
                            		sysOption=App.param.unit;
                            		
                            		var optValue = payUnit[i].value;
                            		var sysArray=optValue.split('|',2);
                          		 	 //公共系统参数赋值
                          		 	 sysid=sysArray[0];
                          		 	 subsysid=sysArray[1];
            	        		};
            	        	};
                		}
                		
                	}
                	
                	//手动隐藏等待层
                    Fw.LoadMask.hide();
                },
                
                //请求错误后回调
                failure: function(status, textStatus, error) {
                }
            });
        	
        },
        
        /*
         * 初始化页面字段展示
         
        PageShow : function(){
        	$("#signType").show();
        	$("#UserNo").show();
        	$("#IdType").show();
        	$("#IdNo").show();
        	$("#UserName").show();
        	$("#UserAddress").show();
        	$("#UserPhone").show();
        	$("#SignNo").show();
        	$("#SignNoType").show();
        },
        
        
        PageClear : function(){
        	$("[name = signType]").val("");
        	$("[name = UserNo]").val("");
        	$("[name = UserName]").val("");
        	$("[name = UserPhone]").val("");
        },*/
        /**
         * 提交表单
         */
        doSubmit:function(values){
        	var userid=values["custnum"];
        	var userNo = $("[name = UserNo]").val();
        	if("" == userNo){
        		Fw.Tips.info("请输入用户编号!");
        		return;
        	}
            if(sysid == "110106" && "00" == subsysid){
    			var params={
    					signType : $("[name = signType]").val(),
    					UserNo : $("[name = UserNo]").val(),
    					position : $("[name = position]").val(),
    					paymentunit : $("[name = paymentunit]").val(),
    					SignNo : $("[name = SignNo]").val(),
    					sysid : sysid,
    					subsysid : subsysid,
    			}
    			Fw.redirect('../YiXing/withholding.html',Fw.encode(params));
        		return;
            }
        	//广电签约不做签约解约查询
        	if(App.paymenttype == "yxds"){ //广电
        		 App.Item2.toQrli(values);
        	}else{
        		 this.queryForSign(values);
        	}
            
           
            
            //跳过户名校验和签约前查询接口
            //App.Item2.toQrli(values);
        },
        
        queryForSign : function(values){
        	if(App.paymenttype == "elecric"){ //电费
        		Nt1 = "4";
        	}else {
        		Nt1 = "3";
        	}
        	
        	if(App.paymenttype == "water" || App.paymenttype == "rqif"){//水费、燃气费
        		Svtranscode = "39";
        	}else{
        		Svtranscode = "1";
        	}
        	var AreaNt3 = $("[name=position] option:selected").val();
        	//签约解约前查询
        	Fw.util.Ajax.query({
                service: 'agentBusiService',
                method:'queryForSign',
                //请求参数
                params:{
                	UserId : $("[name = UserNo]").val(),     //缴费号码  (客户号)$("[name = UserNo]").val()
                	
                	Nt1 : Nt1,            //  电费-4    //Nt1 : "3",           //   电信-3
                	Svtranscode : Svtranscode,     //1,欠费查询2，缴费3，状态同步4，预存5，代扣签约
                	Sysid : sysid,         //系统id    sysid
                	Subsysid : subsysid,   //子系统id     subsysid
                	Nt3 : AreaNt3,         //地区号
                	Requestcode : "006",    //请求方编码
                
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	values.Rmk1 = data.Rmk1;
                	values.UserName = data.UserName;
                	values.Address = data.Address;
                	values.AreaCode = AreaNt3;
                	var s_name = Fw.app.Session.getCustName();   //手机银行用户名
                	 if(s_name != data.UserName){
                     	//弹出框确认
                         Fw.Msg.cfm("签约账户户名和手机银行的用户名不一样,是否继续？", function(code, btn, win){
                             if(code == "yes"){//防重复提示
                            	 App.Item2.toQrli(values);
                             }else{
                             }
                         });
                     }else{
                    	 App.Item2.toQrli(values);
                     }
                	
                },
            });
        },
       
        /**
         * 点击跳转到确认信息页面
         */
        toQrli : function(values){
        	console.log("form values", values);
        	//录入信息
        	 App.lrdata = values;
        	 App.lrdata.UserNo = $("[name = UserNo]").val()
        	 App.lrdata.sysid = sysid;   //系统Id
        	 App.lrdata.lrsignType = $("[name = signType]").val();     //签约类型
        	 App.lrdata.lrSignNo = acno;          //签约账户
        	 App.lrdata.RefereeId = $("[name = RefereeId]").val()
        	 App.lrdata.lrSignNoType = $("[name = SignNoType]").find("option:selected").val();    //账户类型
        	 App.lrdata.lrCityArea = $("[name=position] option:selected").text();    //所在城市
        	 App.lrdata.UserName=values.UserName;
        	 App.lrdata.Address=values.Address;
        	 App.tab.setActiveItem(2);
        },
       /**
        * 触发提交事件前触发
        */
       beforeSubmit: function(values){

       },
       
       /**
        * 点击按钮时触发（保存、重置、重发验证码）
        */
       onButtonClick: function(e){
           switch(e.target.id){
               //提交表单
               case 'qysubmit-btn':
            	   form.submit();
                   break;
               //表单重置
               case 'prepay':
            	   opflag="prepay";
            	   if(ispre=="false"){
            		   return false;
            	   }else{
            		   form.submit();
            	   };
                   break;
           };
       },
       
  
    };
}();
