/**
 * 创建应用
 */
App.Item6 = function() {
	var buttons = $('button');
	
	var Item6Date="";
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '签约信息确认',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record,flag) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//定义表单，如果form对象存在不重复实例化
        /*	if(!this.form){
        		//定义表单
        		this.form = new Fw.Form({
                    //EL
                    contentEl : 'form3',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
	        	//绑定监听事件，如果表单对象存在不重复绑定事件
        	};*/
        	/*
        	if(!flag){
        		this.initEvents();
        		
        		//初始数据
                this.initDate(record);
        	}*/
        	
        	this.initEvents();
    		
    		//初始数据
            this.initDate(record);
        },
        
        /**
         * 初始化数据
         */
        initDate : function(record){
        	if(!Fw.isEmpty(record)){
            	//渲染
            	this.initInfo(record);
        	}
        },
        
        /**
         * 监听事件
         * @returns
         */
        initEvents: function(){
       /* 	//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
      	     this.form.on('change', this.onChange, this);
           //触发提交事件前（校验前）触发
      	     this.form.on('beforesubmit', this.beforeSubmit, this);
           //触发提交事件触发
      	     this.form.on('submit', this.doSubmit, this);
      	     
           //点击按钮时触发（保存、重置、重发验证码）
             buttons.tap(Fw.bind(this.onButtonClick, this));*/
           
        	//继续按钮
        	$("#jysubmit-btn").on('click',Fw.bind(this.continueClick,this));
        	 App.params5 = true;
        },
        
        continueClick : function(){
        	App.tab.setActiveItem(6);
        },
        
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChange: function(name, value, oldValue, field){
           
        },
        
        /**
         * 触发提交事件前触发
         */
        beforeSubmit: function(values){
        	
            //设置表单值
            //values['XXX'] = 'XXX';
            //
            //if(...){
                //return false;//则不触发提交事件
            //}
        },

		
		/**
         * 确认代扣解约
         */
        doSubmit: function(values){
         
        	var IdNo=Fw.app.Session.getIdNo();   //证件号码
        	var IdType=Fw.app.Session.getIdType();   //证件类型
        	var CustName=Fw.app.Session.getCustName();  //客户姓名
        	App.tab.setActiveItem(6);	
        },
        
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
            switch(e.target.id){
                //提交表单
                case 'jysubmit-btn':
                    this.form.submit();
                    break;
                //表单重置
                case 'reset-btn':
                    this.form.reset();
                    break;
                //重发验证码
                case 'resend-btn':
                    Fw.Tips.info('重发验证码...');
                    break;
            }
        },

        /**
         * 清除li4数据
         * @returns
         */
        clearinfo: function(){
        	$("#termUserName").show();
        	$("[name = termSignType]").text("");
            $("[name = termUserNo]").text("");
            $("[name = termUserName]").text("");
            $("[name = termUserAcNo]").text("");
        	Item6Date="";
       },
   
        /**
         * 展示信息
         */
        initInfo: function(record){
        	this.clearinfo();
        	Item6Date = record;
        	
        	$("[name = termSignType]").val(Item6Date.termType);  //签约类型
        	if(Item6Date.termType == "广电费解约"){
                $("#termUserName").hide();
        	}else{
        		$("[name = termUserName]").val(Item6Date.UserName);  //用户姓名	
        	}
            $("[name = termUserAcNo]").val(Item6Date.SignAcNo);  //缴费账户
            
            if(Item6Date.termType == "电信费解约"){
               $("[name = termUserNo]").val(Item6Date.Phone);    //用户号码
            }else if(Item6Date.termType == "广电费解约"){
               $("[name = termUserNo]").val(Item6Date.UserIdNo);    //用户号
            }else{
               $("[name = termUserNo]").val(Item6Date.UserNo);    //用户号码
            }
        },
      
    };
}();