/**
 * 创建应用
 */
App.Item9 = function() {
    var Item9Date = "" ;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '签约信息展示',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	Item9Date = record;
        	CifNo = Fw.app.Session.getCifNo();                //核心客户号
             
            //this.listView(); 
             
            //初始化事件 
        	this.initEvents();
        		
            //初始数据
            this.initDate();
        	
        },
        
        /**
         * 初始化数据
         * 
         */
        initDate : function(){
            this.showSignli();
        },
        
        /*
         * 展示签约信息
         */
        showSignli : function(){
        	var sb="";
            //Item9Date.Agent.ElectricList[0].Area
            if(Item9Date.Agent.WireList.length > 0){//电信费签约
            
                for(var i=0;i<Item9Date.Agent.WireList.length;i++){
                   var item = Item9Date.Agent.WireList[i]; 
                   var a = "Wire";
                   sb += '<div class="sx-timeline-item" id="Wire'+i+'" onClick="App.Item9.ShowItemInfo('+i+',0);">';
                   sb += '<div class="sx-content-dxf"></div>';
                   sb += '<div class="sx-content-d"></div>';
                   sb += '<div class="sx-content-c">';
                   sb += '<div class="sx-c-font-t">电信费</div>';
                   /*sb += '<div class="sx-c-hm">'+item.UserName+'</div>';*/
                   sb += '<div class="sx-c-hh">'+item.Phone+'</div>';
                   sb += '</div>';
                   sb += '</div>';
                 
            }   
            }
            
            if(Item9Date.Agent.ElectricList.length > 0){//电费签约
            
                for(var i=0;i<Item9Date.Agent.ElectricList.length;i++){
                	var item = Item9Date.Agent.ElectricList[i]; 
                   sb += '<div class="sx-timeline-item" id="elec'+i+'" onClick="App.Item9.ShowItemInfo('+i+',1);">';
                   sb += '<div class="sx-content-df"></div>';
                   sb += '<div class="sx-content-d"></div>';
                   sb += '<div class="sx-content-c">';
                   sb += '<div class="sx-c-font-t">电费签约</div>';
                  /* sb += '<div class="sx-c-hm">'+item.UserName+'</div>';*/
                   sb += '<div class="sx-c-hh">'+item.UserNo+'</div>';
                   sb += '</div>';
                   sb += '</div>';
            }
            }
            
            if(Item9Date.Agent.GasList.length > 0){//燃气费签约
            
                for(var i=0;i<Item9Date.Agent.GasList.length;i++){
                	var item = Item9Date.Agent.GasList[i]; 
                   sb += '<div class="sx-timeline-item" id="gas'+i+'" onClick="App.Item9.ShowItemInfo('+i+',2);">';
                   sb += '<div class="sx-content-rqf"></div>';
                   sb += '<div class="sx-content-d"></div>';
                   sb += '<div class="sx-content-c">';
                   sb += '<div class="sx-c-font-t">燃气费签约</div>';
                  /* sb += '<div class="sx-c-hm">'+item.UserName+'</div>';*/
                   sb += '<div class="sx-c-hh">'+item.UserNo+'</div>';
                   sb += '</div>';
                   sb += '</div>';
            }
            }
            
            if(Item9Date.Agent.WaterList.length > 0){//水费签约
            
                for(var i=0;i<Item9Date.Agent.WaterList.length;i++){
                	var item = Item9Date.Agent.WaterList[i]; 
                   sb += '<div class="sx-timeline-item" id="water'+i+'" onClick="App.Item9.ShowItemInfo('+i+',3);">';
                   sb += '<div class="sx-content-sf"></div>';
                   sb += '<div class="sx-content-d"></div>';
                   sb += '<div class="sx-content-c">';
                   sb += '<div class="sx-c-font-t">水费签约</div>';
                   /*sb += '<div class="sx-c-hm">'+item.UserName+'</div>';*/
                   sb += '<div class="sx-c-hh">'+item.UserNo+'</div>';
                   sb += '</div>';
                   sb += '</div>';
            }
            }
            
            if(Item9Date.Agent.TvList.length > 0){//广电签约
            
                for(var i=0;i<Item9Date.Agent.TvList.length;i++){
                	var item = Item9Date.Agent.TvList[i]; 
                   sb += '<div class="sx-timeline-item" id="tv'+i+'" onClick="App.Item9.ShowItemInfo('+i+',4);">';
                   sb += '<div class="sx-content-yxds"></div>';
                   sb += '<div class="sx-content-d"></div>';
                   sb += '<div class="sx-content-c">';
                   sb += '<div class="sx-c-font-t">广电签约</div>';
                   /*sb += '<div class="sx-c-hm">'+item.UserName+'</div>';*/
                   sb += '<div class="sx-c-hh">'+item.UserNo+'</div>';
                   sb += '</div>';
                   sb += '</div>';
            }
            }
            $("#SignShow").html(sb);
        },
        
        /**
         * 监听事件
         * @returns
         */
        initEvents: function(){
        
        	 //App.listView.on('itemclick', this.onSelect, this);
        	//查询按钮
        	$("#querySubmit-btn").on('click',Fw.bind(this.querySignInfo,this));
        	
        },
        
        /**
         * 
         * @returns
         */
        ShowItemInfo : function(index,type){
        
        	if(type == "0"){
        	    App.SignDate = Item9Date.Agent.WireList[index];
        	    App.SignDate.termType = "电信费解约";
        	}
        	if(type == "1"){
        		App.SignDate = Item9Date.Agent.ElectricList[index];	
        		App.SignDate.termType = "电费解约";
    		}
        	if(type == "2"){
        		App.SignDate = Item9Date.Agent.GasList[index];
        		App.SignDate.termType = "燃气费解约";
    		}
        	if(type == "3"){
        		App.SignDate = Item9Date.Agent.WaterList[index];
        		App.SignDate.termType = "水费解约";
    		}
        	if(type == "4"){
        		App.SignDate = Item9Date.Agent.TvList[index];
        		App.SignDate.termType = "广电费解约";
    		}
    		
        	console.log("-----App.SignDate----",App.SignDate);
        	App.tab.setActiveItem(4);
        },
        
        /*
         * 是否支持单类型返回
         */
       /* listView : function() {
		 //定义列表
	        App.Item9.listView = new Fw.ListView({
	            //EL
	            contentEl : 'list',
	            //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	            ajax : {
	            	params : {
	            		CifNo : "100001111387",   //核心客户号     CifNo
                	    AcNo : "6224520111000044962",    //账号   acno
                	    SignSystem : ""   //签约系统(非必输)
	            	},
	            	service : 'agentBusiService',
					method : 'queryTermQueryholding',//默认为query，方法名称必须是query开头
	                //请求参数
	                //是否自动显示等待层（默认true）
	                //允许自定义等待层提示信息（loadMask: '请稍后...'）
	                //loadMask: true,
	                //是否分页（默认true）
	                page: false,
	                //分页参数
	                //pageSize: 10,
	                //是否使用数据挡板（默认false）
	                staticData: false
	            },
	            disclosure: false,
	            //数据展现模版
	            itemTpl: [
	               
	            ]
	        });
	        //加载数据
            App.Item9.listView.loadData();
		},
        
        *//**
         * 选中记录时触发
         *//*
        onSelect: function(record, index, item, e, cmp) {
        	console.log("-----record------",record);
        },*/

    };
}();