/**
 * 创建应用
 */
var App = function() {
	
	 var listViewBpage;
	 var paymenttype;  //签约类型
	
	 var tab_l=$('#s-tab-l');
	 var tab_r=$('#s-tab-r');
	 
	 var SignDate;
  /*  var listViewBpage;
    */

    return {
        /**
         * 依赖组件
         */
        requires : [
                    //短信统一接口
                    'Fw.SmsCountDown',
                    //动态口令
                   'Fw.Otp',
                   //tab页
                   'Fw.Tab',
                   //表单
                   'Fw.Form',
                   //安全键盘
                   'Fw.Keyboard',
                   //常用数据
                   'Fw.ConstantData',
                   'Fw.app.Session',
                   'Fw.ListView',
                   
                   //子页面js1 代扣签约
       			   './signwithhold/withholding.item1.js',
       			   //子页面js2 代扣签约
       			   './signwithhold/withholding.item2.js',
       			   //子页面js3 代扣签约确认
       			   './signwithhold/withholding.item3.js',
       			   //子页面js4 代扣签约结果
       			   './signwithhold/withholding.item4.js',
       			   
       			   //子页面js5 代扣解约
       			   './termwithhold/termwithhold.item5.js',
       			   //子页面js6 代扣解约确认
       			   './termwithhold/termwithhold.item6.js',
       			   //子页面js7 代扣解约结果
       			   './termwithhold/termwithhold.item7.js',
       			    //子页面js8 选择账户查询
       			   './termwithhold/termwithhold.item8.js',
       			   //子页面js9 展示
       			   './termwithhold/termwithhold.item9.js',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '代扣管理',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮'
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	
        	this.param = Fw.decode(Fw.getParameters());
        	var defTabIdx = 0;
        	if(this.param && this.param != undefined && this.param != ""){
        		defTabIdx = 1;
        	}
            //定义选项卡
            this.tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab',
                //默认选项卡（默认0）
                activeTab: defTabIdx,
            });
          //初始化事件
            this.initEvents();
          //Fw.decode(Fw.getParameters());
            
            
        	
        	if(this.param){
        		Fw.ConstantData.setArea($("[name=Area]"));
        		$("[name=Area]").val(this.param.cityCode);
   
        		switch(this.param.paymenttype){
	            	case "water":
	            		App.paymenttype="water";
	            	break;
	            	case "elec":
	            		App.paymenttype="elecric";
	                break;
	            	case "tele":
	            		App.paymenttype="telecom";
	                break;
	            	case "gas":
	            		App.paymenttype="rqif";
	                break;
	            	case "catv":
	            		App.paymenttype="yxds";
	                break;
	             	case "mobile":
	             		App.paymenttype="mobile";
	             	break;
	             	case "whm":
	             		App.paymenttype="whm";
	                break;
	             	case "xuefeicom":
	             		App.paymenttype="xuefeicom";
	             		break;
	            	default:break;
            	};
            	
        	}else{
        		//初始化数据
            	this.initData();
        	}
        	
        	//手动隐藏等待层
            Fw.LoadMask.hide();	
        },
        
        /**
         * 初始化数据
         */
        initData:function(){
        	Fw.ConstantData.setArea($("[name=Area]"));
        	/*var Area = $("[name=Area]").val();
        	alert(Area);
        	if(!Area){
				this.getDefEare();
			}else{
				var are=$("[name=Area] option");
				for(var i=0;i<are.length;i++){
            		if(are[i].value==Area){
            			are[i].selected=true;
            			break;
            		};
            	};
			};*/
        	if(this.param){
        		/*var area=$("[name=Area] option");
            	for(var i=0;i<area.length;i++){
            		if(area[i].text==param.area){
            			area[i].selected=true;
            		};
            	};*/
            	
            	$("[name=Area]").val(this.param.cityCode);
        	}else{
        		this.getDefEare();
        	}
        	
        },
        
        /**
         * 获取缴费默认地区
         */
		getDefEare:function(){
			Fw.util.Ajax.query({
                service: 'helperService',
                method:'getDeptForEare',
                //请求参数
                params:{},
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	console.log('data',data);
                	var data=data.Eare;
                	var area=$("[name=Area] option");
                	for(var i=0;i<area.length;i++){
                		if(area[i].text==data){
                			area[i].selected=true;
                		};
                	};
                	
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                   
                }
            });
		},
        /**
         * 初始化事件
         */
        initEvents: function(){
            //初始化列表事件
         /*   //渲染到页面前触发
        	listViewBpage.on('itemclick', this.onSelectBpage,this);
            //查询数据后触发
            listViewBpage.ajax.on('query', this.onQueryB, this);*/
            
            //选项卡切换后触发
            this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
           
            
            $('#s-tab-l').on('click',Fw.bind(this.doTabL,this));
        	$('#s-tab-r').on('click',Fw.bind(this.doTabR,this));
        	
        	
        	$('#water').on('click',Fw.bind(this.dopayment,this));
        	$('#elecric').on('click',Fw.bind(this.dopayment,this));
        	$('#rqif').on('click',Fw.bind(this.dopayment,this));
        	$('#yxds').on('click',Fw.bind(this.dopayment,this));
        	$('#telecom').on('click',Fw.bind(this.dopayment,this));
        	$('#xuefeicom').on('click',Fw.bind(this.dopayment,this));
      
        },
        
        dopayment : function(e){
        	var id = e.target ? e.target.id : e;  //取当前id
        	switch(id){
        	case "water":
        		App.paymenttype="water";
        		
        		$("[name = UserNo]").val("");
        		$("[name = UserNo]").attr("placeholder","请输入用户编号");        		
        		$("[name = RefereeId]").val("");
        		$("[name = RefereeId]").attr("placeholder","推荐人工号");
        		this.tab.setActiveItem(1);
        	break;
        	case "elecric":
        		App.paymenttype="elecric";
        		this.tab.setActiveItem(1);
        		$("[name = UserNo]").val("");
        		$("[name = UserNo]").attr("placeholder","请输入用户编号");        		
        		$("[name = RefereeId]").val("");
        		$("[name = RefereeId]").attr("placeholder","推荐人工号");
            break;
        	case "rqif":
        		App.paymenttype="rqif";
        		this.tab.setActiveItem(1);
        		$("[name = UserNo]").val("");
        		$("[name = UserNo]").attr("placeholder","请输入用户编号");
        		$("[name = RefereeId]").val("");
        		$("[name = RefereeId]").attr("placeholder","推荐人工号");
            break;
        	case "yxds":
        		App.paymenttype="yxds";
        		this.tab.setActiveItem(1);
        		$("[name = UserNo]").val("");
        		$("[name = UserNo]").attr("placeholder","请输入用户编号");
        		$("[name = RefereeId]").val("");
        		$("[name = RefereeId]").attr("placeholder","推荐人工号");
            break;
        	case "telecom":
        		App.paymenttype="telecom";
        		this.tab.setActiveItem(1);
        		$("[name = UserNo]").val("");
        		$("[name = UserNo]").attr("placeholder","请输入用户编号");
        		$("[name = RefereeId]").val("");
        		$("[name = RefereeId]").attr("placeholder","推荐人工号");
            break;
        	case "xuefeicom":
        		App.paymenttype="xuefeicom";
        		Fw.redirect("../../tuitionWithholding/withholdingTuition.html");
        	break;
     
        	};
        },
      
        //tabs切换
        doTabR:function(){
        	if(tab_l.hasClass("sui-tab-ll")){
        		return false;
        	}else{
        		tab_l.attr("class","sui-tab-ll");
            	tab_r.attr("class","sui-tab-rr");
            	//$('#listViewBpage').empty();
            	// 加载数据
            	//listViewBpage.loadData();
            	/*App.querySignInfo();
            	$("#ViewApage").hide();
            	$("#ViewBpage").show();*/
            	this.tab.setActiveItem(4);
        	}
        },
        
    
        doTabL:function(){
        	if(tab_l.hasClass("sui-tab-l")){
        		return false;
        	}else{
        		tab_l.attr("class","sui-tab-l");
            	tab_r.attr("class","sui-tab-r");
            	//$('#listViewBpage').empty();
            	/*$("#ViewBpage").hide();
        	    $("#ViewApage").show();*/
        	}
        },
        
   
        /**
         * 选中记录时触发
         */
        onSelectBpage : function(record, index, item, e, cmp) {
        	console.log("onSelectB"+record);
        	//二维码信息传递给客户端个人信息
        	
        	
    		
        },
        
        /**
         * 渲染到页面前触发
         */
        onBeforeAddItem: function(record, index, cmp){
            //不显示向右箭头
            // this.disclosure = false;
            //不渲染当前记录
            // return false;
        },
        /**
         * 查询数据前触发
         * @param {Object} Ajax对象
         * @param {Object} 请求报文
         * @param {String} 请求路径
         */
        onBeforeQuery : function(ajax, message, url) {
        },
        
        /**
         * 查询数据前触发
         * @param {Object} Ajax对象
         * @param {Object} 请求报文
         * @param {String} 请求路径
         */
        tabs : function(ajax, message, url) {
            //设置查询条件
            // ajax.setParams('p1', '11123');
            //设置排序方式
            // ajax.setSorts('col12', 'asc');
            //return false; //则不加载
        },
        
        
        /**
         * 选项卡切换后触发
         */
        onTabChange: function(tab, index){
        	switch(index){
                //第一个页面代扣管理
                case 0:
                    App.Item1.init();
                    break;
                //第二个页面代扣签约
                case 1:
                    App.Item2.init(App.params2);//传入值
                    break;
                case 2://缴费确认页
                	//执行子页面3初始化方法
                    App.Item3.init(App.lrdata,App.params3);//传入值
                    break;
                   
                case 3: //预存确认页
                    App.Item4.init(App.lrdata,App.params4);//传入值
                    break;
                    //交易验证
                    
                    
                case 4://解约信息页
                  //  App.Item5.init(App.SignDate,App.params5);//传入值
                	
                	App.Item5.init();
                    break;
                case 5://解约确认页
                   // App.Item6.init(App.SignDate,App.params6);//传入值
                	App.Item6.init(App.SignDate,App.params6);//传入值
                    break;
                case 6://解约结果页
                   // App.Item7.init(App.SignDate);//传入值
                	App.Item7.init(App.SignDate,App.params7);//传入值
                    break;
                case 7://解约查询
                   // App.Item8.init();//传入值
                	App.Item8.init(App.SignDate);
                    break;
               /* case 8://签约展示
                    App.Item9.init(App.SignDate);//传入值*/                    
                    break;
                default:
                    ;
            }
        },

        /**
         * 查询数据后触发
         * @param {Object} Ajax对象
         * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
         * @param {Object} 响应数据（全部）
         */
        onQueryB : function(ajax, data, result) {
        	/*var endmsg=[];
        	endmsg[endmsg.length]='<div class="x-loadmore ui-loading-wrap ui-border-t">',
        	endmsg[endmsg.length]='<p class="x-loadmore-text">没有更多数据</p>',
        	endmsg[endmsg.length]='</div>'
        	$('#listViewBpage').append(endmsg.join(""));*/
        },
        
        /**
         * 返回首页
         */
        leftButtonHandler: function(){
          	//获取当前选项卡序号
           	var index = this.tab.getActiveItemIndex();
           	console.log(index);
           	if(index == 0) {
           		//返回上级目录
           		//Fw.device.Device.gotoIndex();
           		Fw.redirect('../agentbusi.html');
           	}else if(index==1){
           		this.tab.setActiveItem(0);
           		App.changeTabL();
           	    this.param = "";
           	    App.initData();
           	}else if(index==2){
           		this.tab.setActiveItem(1);
           		$("[name = UserNo]").val("");
           		$("[name = RefereeId]").val("");
           	}else if(index==3){
           	    this.tab.setActiveItem(0);
           	    App.changeTabL();
           	}else if(index==4){
           		this.tab.setActiveItem(0);
           		App.changeTabL();
           	}else if(index==5){
           		this.tab.setActiveItem(4);
           		App.changeTabL();
           	}else if(index==6){
           		this.tab.setActiveItem(0);
           		App.changeTabL();
           	}else if(index==7){
           		this.tab.setActiveItem(0);
           		App.changeTabL();
           	}else{
           		this.tab.setActiveItem(0);
           		App.changeTabL();
           	};
        },
        
        /**
         * 更改样式
         */
        changeTabL : function(){
        	if(tab_l.hasClass("sui-tab-l")){
        		return false;
        	}else{
        		tab_l.attr("class","sui-tab-l");
            	tab_r.attr("class","sui-tab-r");
        	}
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
