/**
 * 选项卡#子页面10：理财产品赎回
 */
App.back = function() {
	var formBack;
	var PrebackFlag = '0';
    return {     
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, {title:'理财产品赎回'});
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!formBack){
        		formBack = new Fw.Form({               
                    contentEl : 'formBack',               
                    resettable: false,               
                    msgTarget: 'tips'
                });
        		//事件绑定
            	formBack.on('submit',this.doSubmit, this);
        	} 	
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record=parameters;
        		this.initData(parameters);
        	}
        },      
        initData : function(params){
        	this.initHavePro(params);       	 	
        },
        /**
         * 产品信息(初始化)
         * @param parmas
         * @returns
         */
        redeemDescTpl: [
        	'{@if ProdFlag=="1"}',
	        	'<div class="sx-form-start"></div>',
	        	'<div class="sui-form-item sui-border-b">',
	            	'<label>客户姓名</label>',
	            	'<p class="sx-display-field">${CusName}</p>',
	            '</div>',
	            '<div class="sui-form-item sui-border-b">',
	            	'<label>账    户</label>',
	            	'<p class="sx-display-field">${BankAcct1}</p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>产品名称</label>',
		        	'<p class="sx-display-field">${ProdName}</p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>产品代码</label>',
		        	'<p class="sx-display-field">${ProdCode}</p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>可赎回份额</label>',
		        	'<p class="sx-display-field">${CanRedeemVol}</p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b" id="prebackDateD">',
		        	'<label>未结转收益</label>',
		        	'<p class="sx-display-field">${UnconverIncome}</p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-d" id="haveAmtD">',
		        	'<label>已结转收益</label>',
		        	'<p class="sx-display-field">${ConverIncome}</p>',
		        '</div>',
        	'{@else}',
	        	'<div class="sx-form-start"></div>',
	        	'<div class="sui-form-item sui-border-b">',
	            	'<label>客户姓名</label>',
	            	'<p class="sx-display-field" id="guestName2"></p>',
	            '</div>',
	            '<div class="sui-form-item sui-border-b">',
	            	'<label>账    户</label>',
	            	'<p class="sx-display-field"  id="backAcNo"></p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>账户类型</label>',
		        	'<p class="sx-display-field"  id="backBankAcType"></p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>产品名称</label>',
		        	'<p class="sx-display-field"  id="proName2"></p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>产品代码</label>',
		        	'<p class="sx-display-field"  id="proCode2"></p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>交易日期</label>',
		        	'<p class="sx-display-field"  id="transDate"></p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-b" id="prebackDateD">',
		        	'<label>预约赎回日期</label>',
		        	'<p class="sx-display-field"  id="prebackDate"></p>',
		        '</div>',
		        '<div class="sui-form-item sui-border-d" id="haveAmtD">',
		        	'<label>持有金额</label>',
		        	'<p class="sx-display-field"  id="haveAmt2"></p>',
		        '</div>',
	        '{@/if}'
        ],
        initHavePro : function(parmas){
        	var pro = parmas.product;
        	// 编译内容模版
			var compiled = Fw.template(this.redeemDescTpl);
			// 得到编译后的HTML
			var html = compiled.render(pro);
			// 将HTML渲染到页面
			$('#redeemDesc').html(html);
        	if("1"==pro.ProdFlag){
        		// 新理财
        		$('#newBackAmtD').show();
        		$('#backAmtD').hide();
        		$('#SumPrebackAmtD').hide();
        	}else {
        		$('#newBackAmtD').hide();
	        	var format = 'yyyy-MM-dd';
	        	PrebackFlag = pro.PrebackFlag;
	        	if(PrebackFlag=='0'){ //赎回
	        		$('#prebackDateD').hide();
	        		$('#SumPrebackAmtD').hide();
	        		$('#haveAmtD').show();
	        		$('#backAmtD').show();
	        		$('#haveAmt2').text(pro.SumApplAmt);//认购总额
	        	}else{ //预约赎回	        		
	        		$('#prebackDateD').show();
	        		$('#SumPrebackAmtD').show();
	        		$('#haveAmtD').hide();
	        		$('#backAmtD').hide();
	        		$('#prebackDate').text(pro.PrebackDate);//预约赎回日期
	        		//SumPrebackAmt预约赎回总额
	        		$('#SumPrebackAmt').text(pro.SumPrebackAmt);
	        	}
	        	$('#guestName2').text(Fw.app.Session.getCustName());//客户姓名
	        	$('#backAcNo').text(Fw.util.Format.fmtAcctNo(parmas.card.No,true));//理财账户
	        	$('#backBankAcType').text(Fw.util.Format.fmtCardType(parmas.card.BankAcType));//账户类型
	        	$('#proName2').text(pro.ProdName);//已购产品名称
	        	$('#proCode2').text(pro.ProdCode);//已购产品代码
	        	this.initTransDate(format);  
        	}
        },
        /**
         * 交易日期
         * @returns
         */
        initTransDate: function(format){
        	Fw.util.Ajax.get({
				service : 'curdateService',
				method:'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					$('#transDate').text(Fw.util.Format.fmtDate(data['CurDate'],format));//交易日期
				}
			});
        },
        initEvents: function(){
        	$('#subBack-btn').on('click',function(){
        		formBack.submit();
        	});
        },
        /**
         * 赎回提交
         * @param values
         * @returns
         */
        doSubmit: function(values){
        	var params = this.record;
        	var pro = params.product;
        	if("1"==pro.ProdFlag){
        		App.params = params;
            	App.params.amount = values.backNum;
        	}else {
	        	var backAmt =$('[name=backAmt]').val();
	        	var amount = 0;
	        	if(PrebackFlag!="1"){ //赎回
	        		if(backAmt==undefined || backAmt==null || backAmt==''){
	        			Fw.Tips.info("请输入赎回金额");
	        			return;
	        		}else{
	        			amount = Number(values.backAmt);
	        		}
	        	}
	    		var SumApplAmt = parseFloat(params.product.SumApplAmt);
	        	if(PrebackFlag!="1" && amount==0){
	        		Fw.Tips.info("请输入赎回金额");
	    			return;
	    		}
	    		if(PrebackFlag!="1" && !(/^\d*$/.test(amount))){
	    			Fw.Tips.info("赎回金额只能是整数");
	    			return;
	    		}
	    		if(PrebackFlag=="0" && SumApplAmt<amount){ //赎回
	    			Fw.Tips.info("赎回金额不能大于持有金额");
	    			return;
	    		}
	    		//清除
	    		$('[name=backAmt]').val('');
	    		$('[name=backAmt]').attr('placeholder','请输入赎回金额');
	    		App.params = params;
	        	App.params.amount = values.backAmt;
        	}
        	App.tab.setActiveItem(11);
        }
    }
}();
