/**
 * 选项卡#子页面8：预约认购结果
 */
App.buyS = function() {
    return {     
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {        	
        	//标题栏信息
        	Fw.apply(App.viewConfig, {title:'理财产品预约结果'});
        	//设置标题栏
        	Fw.device.Device.applyView(App); 
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}
        },      
        initData : function(params){
        	var data = params;
        	var orderCont = $('#orderCont');
        	var format = 'yyyy-MM-dd';
        	var html = '';        	
    		//客户名称
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">客户名称</label>';
    		html = html + '<p class="x-display-info">'+data.AcctName+'</p>';
    		html = html + '</div>';
    		//认购账户
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">认购账户</label>';
    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtAcctNo(data.AcctNo,true)+'</p>';
    		html = html + '</div>';
    		//币种
    		var currencyH = data.Currency;
    		if(data.Currency=="CNY"||data.Currency=="cny"){
    			currencyH="人民币";
    		}
    		else if(data.Currency==undefined){
    			currencyH="人民币";
    		}
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">账户币种</label>';
    		html = html + '<p class="x-display-info">'+currencyH+'</p>';
    		html = html + '</div>';
    		//已认购产品名称
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">已认购产品名称</label>';
    		html = html + '<p class="x-display-info">'+$('#haveProName').text()+'</p>';
    		html = html + '</div>';
    		//已认购产品代码
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">已认购产品代码</label>';
    		html = html + '<p class="x-display-info">'+$('#haveProCode').text()+'</p>';
    		html = html + '</div>';
    		//已认购金额
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">已认购金额</label>';
    		html = html + '<p class="x-display-info">'+$('#haveAmt').text()+'</p>';
    		html = html + '</div>';
    		if(Fw.isEmpty(data.ProdFlag)&&"1"!=data.ProdFlag){
    			//已认购产品到期日
        		html = html + '<div class="ui-form-item-show">';
        		html = html + '<label class="ui-result-label">已认购产品到期日</label>';
        		html = html + '<p class="x-display-info">'+$('#proEndDate').text()+'</p>';
        		html = html + '</div>';
    		}
    		//预约认购产品名称
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">预约认购产品名称</label>';
    		html = html + '<p class="x-display-info">'+data.NewProdName+'</p>';
    		html = html + '</div>';
    		//预约认购产品代码
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">预约认购产品代码</label>';
    		html = html + '<p class="x-display-info">'+data.NewProdCode+'</p>';
    		html = html + '</div>';
    		if(Fw.isEmpty(data.ProdFlag)&&"1"!=data.ProdFlag){
	    		//预约认购产品起息日
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">预约认购产品起息日</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.NewProdSDate,format)+'</p>';
	    		html = html + '</div>';
	    		//预约认购产品到期日
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">预约认购产品到期日</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.NewProdEDate,format)+'</p>';
	    		html = html + '</div>';  		
	    		//预期收益率
	    		if(data.NewEstcustlyr==data.NewEstcusthyr){
	    			html = html + '<div class="ui-form-item-show">';
	        		html = html + '<label class="ui-result-label">预期收益率</label>';
	        		html = html + '<p class="x-display-info">'+data.NewEstcustlyr+'%</p>';
	        		html = html + '</div>';  		
	    		}else{
	    			html = html + '<div class="ui-form-item-show">';
	        		html = html + '<label class="ui-result-label">预期最低收益率</label>';
	        		html = html + '<p class="x-display-info">'+data.NewEstcustlyr+'%</p>';
	        		html = html + '</div>';
	        		html = html + '<div class="ui-form-item-show">';
	        		html = html + '<label class="ui-result-label">预期最高收益率</label>';
	        		html = html + '<p class="x-display-info">'+data.NewEstcusthyr+'%</p>';
	        		html = html + '</div>';
	    		}	    		
    		}
    		//预约认购金额
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">预约认购金额</label>';
    		html = html + '<p class="x-display-info">'+data.ApplAmt+'</p>';
    		html = html + '</div>';
    		if(Fw.isEmpty(data.ProdFlag)&&"1"!=data.ProdFlag){
    			//预约认购日期
	    		html = html + '<div class="ui-form-item-show">';
	    		html = html + '<label class="ui-result-label">预约认购日期</label>';
	    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtDate(data.WorkDate,format)+'</p>';
	    		html = html + '</div>';
    		}
        	orderCont.append(html);
        },      
        initEvents: function(){
        	
        }      
    }
}();
