/**
 * 选项卡#子页面2 ：我的持有   产品详情
 */
App.detail = function() {    
	var formDetail;
    return {     
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, {title:'理财产品详情'});
        	//设置标题栏
        	Fw.device.Device.applyView(App); 
        	if(!App.tool.isExist(params)){
        		return;
        	}
        	if(!formDetail){
        		formDetail = new Fw.Form({
                    //EL
                    contentEl : 'formDetail',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
                });
        	}
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(!Fw.isEmpty(params)){
        		this.record=params;
        		if('0'==params.proInfo.ProdFlag){
        			$('#single-btn-old').hide();
                	$('#double-btn-old').hide();
                	// 旧理财
            		if(params.subscribeFlag == "1"){
                		$('#double-btn-old').show();
                	}
                	if(params.cancleFlag == "1" && params.subscribeFlag == "0"){
                		$('#single-btn-old').show();
                	}
                	this.initData(params);
        		}else {
        			this.initData(params);
        		}
        	}
        },  
        /**
         * 初始化列表数据
         * @param parameters
         * @returns
         */
        initData: function(parmas){
        	if('1'==parmas.proInfo.ProdFlag){
        		// 新理财产品
        		this.initProDetail(parmas);
        	}else {
        		$('#oldProduct').removeClass('sui-hide');
            	$('#nowProduct').addClass('sui-hide');
        		
        		var proInfo = parmas.proInfo;
            	$('#proName').text(proInfo.ProdName);//理财产品名称
            	$('#proApplAmt').text(proInfo.ApplAmt);//申请金额
            	$('#proFinanceType').text(parmas.RunFlag == '0' ? '封闭式' : '开放式');
            	var Estcust = proInfo.Estcustlyr;
            	if(proInfo.Estcustlyr != proInfo.Estcusthyr){
            		Estcust = proInfo.Estcustlyr +"~"+ proInfo.Estcusthyr;
            		$('p.top-detail-b-t').css('font-size','18px');
            	}
            	$('#proEstcust').html(Estcust+'<span style="font-size: 12px">%</span>');//预计年收益率
            	$('#proApplPer').html(proInfo.ApplPer+'<span style="font-size: 12px">份</span>');//申请份数
            	$('#proLimitDate').html(proInfo.PurcDate+'<span style="font-size: 12px">天</span>');
            	if(parmas.RunFlag != '0'){//0为封闭式
//            		$('#cycle').hide();//只有封闭式才显示周期
//            		$('#detailWarm').text('7*24小时开放收购和赎回');
            		$('#detailWarmDiv').hide();
            	}else {
            		$('#detailWarmDiv').show();
            	}
//            	else{
            		var format1 = 'yyyy.MM.dd';
            		$('#proCycleS').text(Fw.util.Format.fmtDate(proInfo.OriWorkDate,format1));//产品购买日
            		$('#proCycleC').text(proInfo.ProdSDate=="--"?"--":Fw.util.Format.fmtDate(proInfo.ProdSDate,format1));//产品起息日
            		$('#proCycleE').text(proInfo.ProdEDate=="--"?"--":Fw.util.Format.fmtDate(proInfo.ProdEDate,format1));//产品到期日
//            	}
            	$('#proInfoName').text(proInfo.ProdName);//理财产品名称
            	$('#ProdCode').text(proInfo.ProdCode);//产品代码
            	var format2 = 'yyyy-MM-dd';
            	$('#ProdSDate').text(proInfo.ProdSDate=="--"?"--":Fw.util.Format.fmtDate(proInfo.ProdSDate,format2));
            	$('#ProdEDate').text(proInfo.ProdEDate=="--"?"--":Fw.util.Format.fmtDate(proInfo.ProdEDate,format2));
            	$('#TrdWorkDate').text(Fw.util.Format.fmtDate(proInfo.TrdWorkDate,format2));
            	$('#ApplAmt').text(proInfo.ApplAmt);//申请金额
            	$('#LeftAmt').text(proInfo.LeftAmt);//剩余本金
            	$('#CustState').text(Fw.util.Format.fmtCustState(proInfo.CustState));//交易状态
        	}       	
        },
        initProDetail: function(data){
        	var _t = data.proInfo;
        	$('#nowProduct').removeClass('sui-hide');
        	$('#oldProduct').addClass('sui-hide');
        	// 初始化按钮
        	/*$('#single-pre').hide();
        	$('#double').hide();
        	if("1"==_t.TranStatus){
        		$('#double').show();
        	}else {
        		$('#single-pre').show();
        	}*/
        	if("1"==_t.TranStatus) {
        		$('#cancleDiv').show();
        	}else {
        		$('#cancleDiv').hide();
        	}
        	// 渲染页面
        	$('#trans_card_desc').empty();
        	// 编译内容模版
			var compiled = Fw.template(this.transCardTpl);
			// 得到编译后的HTML
			var html = compiled.render(_t);
			// 将HTML渲染到页面
			$('#trans_card_desc').html(html);
			
			// 渲染页面
        	$('#formDel').empty();
        	// 编译内容模版
			compiled = Fw.template(this.transFormTpl);
			// 得到编译后的HTML
			html = compiled.render(_t);
			// 将HTML渲染到页面
			$('#formDel').html(html);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	// 旧理财产品
        	$('#cle1-btn-old').on('click',Fw.bind(this.cancle,this));
        	$('#cle2-btn-old').on('click',Fw.bind(this.cancle,this));
        	$('#order-btn-old').on('click',Fw.bind(this.order,this));
        	
        	// 新理财产品
        	//$('#pre-btn').on('click',Fw.bind(this.order,this));
        	//$('#pre2-btn').on('click',Fw.bind(this.order,this));
        	$('#cancle2-btn').on('click',Fw.bind(this.cancle,this));
        },
        /**
         * 撤销
         * @param params
         * @returns
         */
        cancle : function(params){
        	App.params = App.detail.record;
        	App.tab.setActiveItem(9);
        },
        /**
         * 预约 
         * @param params
         * @returns
         */
        order : function(params){
        	App.params = App.detail.record;
        	App.tab.setActiveItem(3);
        },
        /**
         * 新理财系统交易详情页卡片模板
         */
        transCardTpl:[
        	'<div class="trans_pro_desc">',
        		'<h2>${PrdName}</h2>',
        		'{@if (ProdFlag=="0" && RunType=="1") || (ProdFlag=="1" && RunFlag=="0")}',
        			'<i>封闭式</i>',
        		'{@else}',
        			'<i>开放式</i>',
        		'{@/if}',
        	'</div>',
        	'<div class="trans_pro_amt">',
        		'<p><font>申请金额：</font>${ApplAmt}</p>',
        	'</div>',
        	'<div class="tran_pro_info">',
	        	'<div>',
	        		'{@if ProfitFlag=="4"}',
	    				'<p>${ProfitFlag|fmtProfitFlag}</p>',
	    				'<p>收益标识</p>',
	    			'{@else}',
	    				'{@if PropRateMin==PropRateMax}',
		    				'<p>${PropRateMin}%</p>',
		    			'{@else}',
		    				'<p>${PropRateMin}~${PropRateMax}<span>%</span></p>',
		    			'{@/if}',
	    				'<p>预期年收益</p>',
	    			'{@/if}',
		    	'</div>',
		    	'<div>',
			    	'<p>${RiskLev|fmtProRiskLev}</p>',
	    			'<p>风险等级</p>',
		    	'</div>',
		    	'<div>',
			    	'<p>${Term}<span>天</span></p>',
	    			'<p>投资期限</p>',
		    	'</div>',
	    	'</div>',
        ],
        transFormTpl: [
        	'<div class="sx-form-start"></div>',
        	'<div class="sx-form-fieldset"><p class="sx-form-left">基本信息</p></div>',
        	'<div class="sui-form-item sui-border-b">',
            	'<label>产品名称</label>',
            	'<p class="sx-display-field">${ProdName}</p>',
            '</div>',
            '<div class="sui-form-item sui-border-b">',
	        	'<label>产品代码</label>',
	        	'<p class="sx-display-field">${ProdCode}</p>',
	        '</div>',
	        '<div class="sui-form-item sui-border-b">',
	        	'<label>收益标识</label>',
	        	'<p class="sx-display-field">${ProfitFlag|fmtProfitFlag}</p>',
	        '</div>',
	        '{@if ProfitFlag == "4"}',
		        '<div class="sui-form-item sui-border-b">',
		        	'<label>业绩比较基准</label>',
		        	'<p class="sx-display-field">${PerformanceRate}%</p>',
		        '</div>',
			'{@else}',	
			'{@/if}',
	        '<div class="sui-form-item sui-border-b">',
	        	'<label>交易渠道</label>',
	        	'<p class="sx-display-field">${Channel|fmtChannel}</p>',
	        '</div>',
	        '<div class="sui-form-item sui-border-d">',
	        	'<label>交易状态</label>',
	        	'<p class="sx-display-field">${TranStatus|fmtTranStatus}</p>',
	        '</div>',
        ],
    }
 }();