/**
 * 选项卡#子页面1
 */
App.buyCfm = function() {    
	var formBuyCfm;
	var financialInfo;
	var ForceFlag='1';//判断是否强制购买
	
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
	};
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {       	
        	App.viewConfig.title = '理财产品购买确认';            
        	//标题栏信息
        	Fw.apply(App.viewConfig, App.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//表单
        	if(!formBuyCfm){
        		formBuyCfm = new Fw.Form({               
                    contentEl : 'formBuyCfm',              
                    resettable: false,               
                    msgTarget: 'tips'
                });
            	formBuyCfm.on('submit',this.buy,this);
        	}       	
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}
        	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	this.initBuy(parameters);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//点击调用倒计时插件
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));        	
        	       	
        	$('#buySubmit-btn').on('click',function(){
        		formBuyCfm.submit();
        	});
        },
        /**
         * 初始化购买确认页面
         * @param parameters
         * @returns
         */
        initBuy: function(parameters){        
        	financialInfo = parameters;
        	var product = parameters.product;
        	var values = parameters.form;
        	// 渲染
        	// 渲染表单产品页面部分
        	$("#productDescCmf").empty();
        	var tpl = [];
        	if("1"==product.ProdFlag){
        		// 新理财产品
        		tpl = Fw.FinancialTpl.productCMFTpl;
        	}else {
        		tpl = Fw.FinancialTpl.productCMFOldTpl;
        	}
         	// 编译内容模版
			var compiled = Fw.template(tpl);
			// 得到编译后的HTML
			var html = compiled.render(product);
			// 将HTML渲染到页面
			$("#productDescCmf").html(html);
			Fw.Keyboard.init();
			formBuyCfm.reset();
        	//初始化动态口令
        	this.initOtp();
        	//初始化短信验证
        	this.initSms();
        	if("1"==product.ProdFlag){
        		// 新理财产品
        		var card = financialInfo.card;
        		$('[name=buyPayerNameCfm]').val(card.Name);
        		$('[name=buyPayerNoCfm]').val(Fw.util.Format.fmtAcctNo(card.No,true));
        		$('[name=buyCodeCfm]').val(Fw.util.Format.fmtCurrency(card.Currency.Code));
        		
        		$('[name=prd_name_cmf]').html(product.ProductName);
        		$('[name=prd_id_cmf]').val(product.ProdCode);
        		$('[name=profit_flag_cmf]').val(Fw.FinancialHelper.fmtProfitFlag(product.ProfitFlag));
        		$('[name=lifecycle_cmf]').val(Fw.FinancialHelper.fmtLifeCycle(product.ProdState));
        		
        		$('[name=buySellDate_cmf]').val(product.PurcSDate+"~"+product.PurcEDate);
        		$('[name=buyProDate_cmf]').val(product.PurcDate+"天");
        		$('[name=buyProLev_cmf]').val(Fw.FinancialHelper.fmtProRiskLev(product.RiskName));
        		$('[name=buyPerNetValue_cmf]').val(Fw.util.Format.fmtAmt(product.PerAmout||"0"));
        		$('[name=buyDayNetValue_cmf]').val(Fw.util.Format.fmtAmt(product.TotalNav||"0"));
        		$('[name=ShareType_cmf]').val(Fw.FinancialHelper.fmtCusShareType($('[name=ShareType]').val()));
        		$('[name=buyProLAmt_cmf]').val($('[name=buyProLAmt]').val());
        		$('[name=buyPerAmout_cmf]').val($('[name=buyPerAmout]').val());
        		$('[name=buyProAmt_cmf]').val($('[name=buyProAmt]').val());
        	}else {
        		//初始化数据
        		var card = financialInfo.card;
        		$('[name=buyPayerNameCfm]').val(card.Name);
        		$('[name=buyPayerNoCfm]').val(Fw.util.Format.fmtAcctNo(card.No,true));
        		$('[name=buyCodeCfm]').val(Fw.util.Format.fmtCurrency(card.Currency.Code));
        		
        		$('[name=buyProNameCfm]').html($('[name=buyProName]').html());
        		$('[name=buyProCodeCfm]').val($('[name=buyProCode]').val());
        		$('[name=limitNumCfm]').val($('[name=limitNum]').val());
        		
        		$('[name=buySellDateCfm]').val($('[name=buySellDate]').val());
        		$('[name=buyProDateCfm]').val($('[name=buyProDate]').val());
        		$('[name=buyProLevCfm]').val($('[name=buyProLev]').val());
        		$('[name=buyNormCfm]').val($('[name=buyNorm]').val());
        		$('[name=buyEstcustlyrCfm]').val($('[name=buyEstcustlyr]').val());
        		$('[name=buyEstcustHyrCfm]').val($('[name=buyEstcustHyr]').val());
        		
        		$('[name=buyProLNumCfm]').val($('[name=buyProLNum]').val());
        		$('[name=buyPerAmoutCfm]').val($('[name=buyPerAmout]').val());
        		
        		
        		$('[name=buyProNumCfm]').val($('[name=buyProNum]').val());
        		$('[name=buyProAmtCfm]').val($('[name=buyProAmt]').val());
        		$('[name=buyNowDateCfm]').val($('[name=buyNowDate]').val());
            	if(product.Estcustlyr==product.Estcusthyr){
        			 $('#buyEstcustlyrCfmD').hide();
        			 $('#buyEstcustHyrCfmD').hide();
        			 $('#buyNormCfmD').show();
        		}else{
        			$('#buyNormCfmD').hide();
        			$('#buyEstcustlyrCfmD').show();
       			 	$('#buyEstcustHyrCfmD').show();
        		}
        	}
        	
        	$('[name=webSitesCfm]').val($('#DeptIdQry').text());
        	var manageName=$('[name=manageName]').val();
        	if(!Fw.isEmpty(manageName)){
        		$('#manageNameCfmDIV').show();
        		$('[name=manageNameCfm]').val(manageName);
        	}else{
        		$('#manageNameCfmDIV').hide();
        		$('[name=manageNameCfm]').val("")
        	}
        },
        /**
         * 购买
         * @returns
         */
        buy : function(values){
        	//初始化动态口令
        	var isOtp = Fw.app.Session.getIsOtp();
//        	isOtp = '0';
        	//初始化短信验证
        	var isSms = Fw.app.Session.getIsSms();
//        	isSms = '0';
        	Fw.Msg.cfm('确定购买此产品?', function(code, btn, win){
                 if(code=="yes"){               	 
                	 var card = financialInfo.card;
                	 var product = financialInfo.product;
                	 var form = financialInfo.form;
                	 var RunType = '1';
                	 //product.RunType=1是封闭式   而在MCClosedFinancialBuy接口里RunFlag=0是封闭死
                	 if(product.RunType=='1'){
                		 RunType = '0';
                	 }
                	 // 区分新老理财产品
                	 var ProdFlag = product.ProdFlag;
                	 if("1"==ProdFlag){
                		 // 新理财产品
                		 // 1、设置参数
                		 // 1.1基础参数
                		 var params = {
                				 PrdId:product.ProdCode,
                				 BankAcct:card.No,
                				 TrsPassword:values.taransPwd,
                				 CusName:card.Name,
                				 AppAmt:Fw.util.Format.unFmtAmt($('[name=buyProAmt_cmf]').val()),
                				 Cyy:card.Currency.Code,
                				 FmManager:$('[name=manageNameCfm]').val(),
                				 CusShareType:$('[name=ShareType]').val(),
                				 CardFlag:card.BankAcType,
                				 DeptId:App.DeptId,
                				 DeptName:$('#DeptIdQry').text()
                		 };
                		 // 1.2口令
                		 if(isOtp!='0' && isOtp!='5'){
                			 Fw.apply(params,{
                         		 oTPPassword:values.oTPPassword,
                         		 challenge:'0'
                			 });
                		 }
                		 // 1.3短信
                		 var smscode = "";
                		 if(isSms!='0'){//判断是否进行短信验证
                			 smscode = values.smscode;
                     	 }
                		 
                		 if("5" == isOtp){ //蓝牙key
                     		var clearData = App.buyCfm.getSignDataforBluetoothKey();
                     		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
                     			function(data){
                     				bluetoothKeySignatureData = data;
	                     			Fw.SmsCountDown.getSMSParams(smscode,function(data){
	                               		Fw.apply(params,data);
	                               		Fw.apply(params,{
                                  			SignCert: bluetoothKeySignatureData.signCert, //证书
                            				SignatureCleartext: bluetoothKeySignatureData.signatureCleartext, //签名明文
                            				SignatureCiphertext: bluetoothKeySignatureData.signatureCiphertext //签名密文
                            			});
	                               		// 2、购买
	                               		App.buyCfm.executeFinancialBuy(params);
	          	                     },Fw.app.Session);                   			
                     		});
                     	 }else{
                     		Fw.SmsCountDown.getSMSParams(smscode,function(data){
                           		Fw.apply(params,data);
                           		Fw.apply(params,{
                          			SignCert: bluetoothKeySignatureData.signCert, //证书
                    				SignatureCleartext: bluetoothKeySignatureData.signatureCleartext, //签名明文
                    				SignatureCiphertext: bluetoothKeySignatureData.signatureCiphertext //签名密文
                    			});
                           		// 2、购买
                           		App.buyCfm.executeFinancialBuy(params);
      	                     },Fw.app.Session);
                     	 }
                		 
                		 	 
                	 }else {
                		 var params = {
                               	CurrencyCode:card.Currency.Code,
                               	ProdCode:product.ProdCode,
                               	AcctNo:card.No,
                               	AcctName:card.Name,
                               	TrsPassword:values.taransPwd,
                                ApplAmt:Fw.util.Format.unFmtAmt($('[name=buyProAmtCfm]').val()),
     		             		CardFlag:card.BankAcType,
     		             		ForceFlag:ForceFlag,
     		             		CustManage:$('[name=manageNameCfm]').val(),
     		             		RunFlag:RunType,
     		             		DeptId:App.DeptId,
     		             		DeptName:$('#DeptIdQry').text()
                          };
                     	 params.isOtp=isOtp;
                     	 params.isSms=isSms;
                     	 if(isOtp!='0'&&isOtp!='5'){//判断是否进行动态口令验证
                     		 params.otpType=Fw.app.Session.getOtpType(); 
                     		 params.otpNo=Fw.app.Session.getOtpNo();
                     		 params.oTPPassword=values.oTPPassword;
                     		 params.challenge='0';
                     	 }
                     	 
                     	// 1.3短信
                		 var smscode = "";
                		 if(isSms!='0'){//判断是否进行短信验证
                			 smscode = values.smscode;
                     	 }
                     	 if("5" == isOtp){ //蓝牙key
                     		var clearData = App.buyCfm.getSignDataforBluetoothKey();
                     		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
                     			function(data){
                     				bluetoothKeySignatureData = data;
                     				Fw.SmsCountDown.getSMSParams(smscode,function(data){
                                  		Fw.apply(params,data);
                                  		Fw.apply(params,{
                                  			SignCert: bluetoothKeySignatureData.signCert, //证书
                            				SignatureCleartext: bluetoothKeySignatureData.signatureCleartext, //签名明文
                            				SignatureCiphertext: bluetoothKeySignatureData.signatureCiphertext //签名密文
                            			});
                                     	//重置输入
             	                       	App.tool.queryAjax('FinancialProcService', 'queryMCClosedFinancialBuy', params, function(data){
             	                       		App.buyCfm.executeSucData(data,values);
             	                       	});
             	                    },Fw.app.Session);                  			
                     		});
                     	  }else{
                     		 Fw.SmsCountDown.getSMSParams(smscode,function(data){
                           		Fw.apply(params,data);
                          		Fw.apply(params,{
                          			SignCert: bluetoothKeySignatureData.signCert, //证书
                    				SignatureCleartext: bluetoothKeySignatureData.signatureCleartext, //签名明文
                    				SignatureCiphertext: bluetoothKeySignatureData.signatureCiphertext //签名密文
                    			});
                              	//重置输入
      	                       	App.tool.queryAjax('FinancialProcService', 'queryMCClosedFinancialBuy', params, function(data){
      	                       		App.buyCfm.executeSucData(data,values);
      	                       	});
      	                     },Fw.app.Session);
                     	  }
                	 }              	 
                 }
             });
        },
        /**
         * 处理购买成功数据
         */
        executeSucData : function(data,values){        	
        	if(data.ClewFlag=='0'){
   				//alert("购买成功！");//结果页   待处理     
            	var card = financialInfo.card;
       	 		data.cardDeptSeq = financialInfo.card.DeptSeq;
        		App.params = data;
        		App.tab.setActiveItem(6);
   			}else if(data.ClewFlag=='1'){
   				ForceFlag='0';//强制购买
   				Fw.Msg.cfm('您已购买过本产品，是否继续购买？', function(code, btn, win){
   					if(code=="yes"){
   						var card = financialInfo.card;
   						var product = financialInfo.product;
   						var form = financialInfo.form;
	   					var RunType = '1';
	                	//product.RunType=1是封闭式   而在MCClosedFinancialBuy接口里RunFlag=0是封闭死
	                	if(product.RunType=='1'){
	                		RunType = '0';
	                	}
   						var params = {
   	                          	CurrencyCode:card.Currency.Code,
   	                          	ProdCode:product.ProdCode,
   	                          	AcctNo:card.No,
   	                          	TrsPassword:values.taransPwd,
   	                            ApplAmt:Fw.util.Format.unFmtAmt($('[name=buyProAmtCfm]').val()),
   			             		CardFlag:card.BankAcType,
   			             		ForceFlag:ForceFlag,
   			             		CustManage:$('[name=manageName]').val(),
   			             		RunFlag:RunType,
   			             		DeptId:App.DeptId
   	                    };
   						params.isOtp=isOtp;
	                   	params.isSms=isSms;
	                   	if(isOtp!='0'){//判断是否进行动态口令验证
	                   		params.otpType=Fw.app.Session.getOtpType(); 
	                   		params.otpNo=Fw.app.Session.getOtpNo();
	                   		params.oTPPassword=values.oTPPassword;
	                   		params.challenge='0';
	                   	}
	                   	if(isSms=='1'){//判断是否进行短信验证
	                   		params.payeeAcNo=card.No;
	                   		params.payeeAcName=card.Name;
	                   		params.UserSeq=Fw.app.Session.getUserSeq();
	                   		params.amount=form.buyPerAmout;
	                   		params.pwdCode=values.smscode;
	                   	}
   						App.tool.queryAjax('FinancialProcService', 'queryMCClosedFinancialBuy', params, function(data){
   							App.buyCfm.executeSucData(data,values);
   						});
   					}
   				});     	      				
   			}
        },
        /**
         * 新理财产品认购、申购
         */
        executeFinancialBuy: function(params){
        	Fw.util.Ajax.execute({
                service: 'FinancialProcService',
                method: 'executeFinancialBuy',//方法名称必须是execute开头
                //请求参数
                params: params,
                success: function(data, result) {
                	//alert("购买成功！");//结果页   待处理     
                	var card = financialInfo.card;
           	 		data.cardDeptSeq = financialInfo.card.DeptSeq;
            		App.params = data;
            		Fw.apply(App.params,{ProdFlag:"1"});// 新理财产品
            		App.tab.setActiveItem(6);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                }
            });
        },
        /**
    	 * 调用动态口令初始化start
    	 */
        initOtp: function(){   	
        	//动态口令标志
        	var isOtp=Fw.app.Session.getIsOtp();
//        	isOtp = '0';
        	//动态口令类型
        	var otpType=Fw.app.Session.getOtpType();
        	//动态口令序号
        	var otpNo=Fw.app.Session.getOtpNo();
        	//挑战值生成规则
        	var coderule="1234567890azAZ"
        	param={
        		'isOtp':isOtp,
        		'otpType':otpType,
        		'otpNo':otpNo,
        		'isChallenge':'0',
        		'coderule':coderule
        	};
        	//初始话动态口令显示
        	Fw.Otp.initDynamicPwd(param);
        	return isOtp;
        },
        initSms : function(){
        	//初始化短信验证
        	var isSms = Fw.app.Session.getIsSms();
        	if(isSms == "1"){
    			$('#sms').show();
    		}else{
    			$('#sms').hide();
    		}
        	return isSms;
        },        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			contentEl:contentEl,
//        			delay:10,
        			//参数
				    param : {
					    //0表示本地获取 1表示 渠道端获取
					    socket: '1',
						modType : 0,
						payeeAcNo : financialInfo.card.No,//收款账户
						payeeAcName : financialInfo.card.Name,//收款账户名
						amount : financialInfo.form.buyPerAmout,//金额
						UserSeq : Fw.app.Session.getUserSeq(),//用户序号
						transName : "理财产品购买"
				    },
        			//业务参数配置待短信接口确定后完善...
//        			AMT:5000,
//        			PHONE:13698888888
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
		/**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKey: function(){
        	var card = financialInfo.card;
       	 	var product = financialInfo.product;
       	 	var appAMt = Fw.util.Format.unFmtAmt($('[name=buyProAmtCfm]').val());
       	 	var tradeId = "MCClosedFinancialBuy";
       	 	if("1"==product.ProdFlag){
       	 		// 新理财产品
       	 		tradeId = "MCFinancialBuy";
       	 		appAMt = Fw.util.Format.unFmtAmt($('[name=buyProAmt_cmf]').val());
       	 	}
        	//交易参数
        	var data = {
        			tradeName: "理财产品认购", //交易名
        			tradeId: tradeId, //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "PayerAccountNo", labelDesc: "购买账户: ", labelValue: card.No
			            }, {
			            	labelName: "PayeeAccountName", labelDesc: "付款户名: ", labelValue: Fw.app.Session.getCustName()
			            }, {
			            	labelName: "PayerAccountBankAcType", labelValue: card.BankAcType
				        }, {
			            	labelName: "TrsAmount", labelDesc: "金额: ", labelValue: appAMt
				        }, {
			            	labelName: "ProdCode", labelDesc: "产品代码: ", labelValue: product.ProdCode,
				        }, {
			            	labelName: "ProductName", labelDesc: "产品名称: ", labelValue: product.ProductName,
				        }]
        	};
        	return data;
        },
   };
}();