/**
 * 选项卡#子页面1
 */
App.detail = function() {    
	var tabDetail,tabDetailSel;
	var tab_l=$('#s-tab-l');
	var tab_r=$('#s-tab-r');
	var params;
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {        
        	App.viewConfig.title= '理财产品详情';
        	//标题栏信息
        	Fw.apply(App.viewConfig, App.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);        	
        	if(!tabDetail){
        		tabDetail = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabDetail',
                    //默认选项卡（默认0）
                    activeTab: 0
                });
            	this.tabDetail = tabDetail;

        	}
        	if(!tabDetailSel){
        		tabDetailSel = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabDetailSel',
                    //默认选项卡（默认0）
                    activeTab: 0,
                    //是否锁定tab标题
                    fixed:false,
                    //是否禁用切换tab
//                    enabled: true
                });
        	}
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}   	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	params = parameters;
        	//初始化数据
        	$('#proName').text(parameters.product.ProductName);
        	
        	$('#proFinanceType').text(parameters.product.RunType=='1' ? '封闭式' : '开放式');
        	if(parameters.product.EstcustFlag=='1'){
        		$('#proEstcust').text(parameters.product.Estcustlyr+"%");//预期年收益
        		$('#proEstcust-label').text("预期年收益");
        		$('#income').css({"margin-left":"5%"});
        	}else if(parameters.product.EstcustFlag=='2') {
        		$('#proEstcust').text(parameters.product.PerAmout);
        		$('#proEstcust-label').text("当日净值");
        		$('#income').css({"margin-left":"5%"});
        	}else {
        		$('#proEstcust').text(parameters.product.Estcustlyr+"~"+parameters.product.Estcusthyr+"%");//预期年收益
        		$('#proEstcust-label').text("预期年收益");
        		$('#income').css({"margin-left":"5%"});
        	}
        	var RiskName = parameters.product.RiskName + "";
        	if("1"==parameters.product.ProdFlag){
        		// 新理财产品
        		$('#proLevl').text(Fw.FinancialHelper.fmtProRiskLev(RiskName));//产品级别
        		$('#capitFlag').text(Fw.FinancialHelper.fmtProfitFlag(parameters.product.ProfitFlag));
        		var startAmt,preAmt;
				var product = parameters.product;
				var startAmt = Fw.FinancialHelper.fmtTurnAmt(product.Sgpurclper);
				var preAmt = Fw.FinancialHelper.fmtTurnAmt(product.Sgpurcaddper);
				$('#proStaredAmt').text(startAmt);
            	$('#proStaredAmtFlag').text('万');
            	$('#PerAmout').text(preAmt);
        	}else {
        		$('#proLevl').text(this.getShowRiskName(RiskName));//产品级别
        		$('#capitFlag').text(parameters.product.CapitFlag);
        		
        		var sMoney= parameters.product.sMoney+"";
            	//万   样式不一样  后台传了一个万字
            	if(sMoney.indexOf('万')>0){
            		sMoney=sMoney+'';
                	$('#proStaredAmt').text(sMoney.substring(0,sMoney.length-1));
                	$('#proStaredAmtFlag').text('万');
            	}else{
            		$('#proStaredAmt').text(sMoney);
                	$('#proStaredAmtFlag').text('');
            	}       	
            	$('#PerAmout').text(parseInt(parameters.product.PerAmout)/10000);
        	}
        	
        	$('#proLimitDate').text(parameters.product.PurcDate+"天")//投资期限
        	var format = "yyyy.MM.dd";
        	$('#proSellDate').text('购买时间：'+Fw.util.Format.fmtDate(parameters.product.PurcSDate,format)+'~'+Fw.util.Format.fmtDate(parameters.product.PurcEDate,format));
        	if(parameters.product.RunType=='1'){//封闭式
        		$('#cycle').show();
        		$('#proCycleS').text(Fw.util.Format.fmtDate(parameters.product.PurcSDate,format));//产品购买日
        		$('#proCycleC').text(Fw.util.Format.fmtDate(parameters.product.ProdSDate,format));//产品起息日
        		$('#proCycleE').text(Fw.util.Format.fmtDate(parameters.product.ProdEDate,format));//产品到期日
        	}else{
        		$('#cycle').hide();
        	}
        	
        },
        getShowRiskName: function(RiskName){
        	var name = RiskName == "" ? "--" : RiskName;
        	if(name.indexOf("型投资者")>-1){
        		name = name.substring(0,name.length-3)
        	}
        	return name;
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
//        	$('#s-tab-l').on('click',function(){
//        		$('#s-tab-l').removeClass('sui-tab-ll');
//        		$('#s-tab-r').removeClass('sui-tab-rr');
//				$('#s-tab-l').addClass('sui-tab-l');
//				$('#s-tab-r').addClass('sui-tab-r')
//				tabDetailSel.setActiveItem(0)
//        	});
//        	$('#s-tab-r').on('click',function(){
//        		$('#s-tab-l').removeClass('sui-tab-l');
//        		$('#s-tab-r').removeClass('sui-tab-r');
//				$('#s-tab-l').addClass('sui-tab-ll');
//				$('#s-tab-r').addClass('sui-tab-rr');        	
//				tabDetailSel.setActiveItem(1)
//        	});
        	$('#detailBuy-btn').on('click',this.buyPro);
        },
        toBuyPro : function(){
//        	var isOtp = Fw.app.Session.getIsOtp();
//        	var isSms = Fw.app.Session.getIsSms();
//        	if(isOtp=='0'&&isSms=='0'){
//        		Fw.Tips.info("手机银行查询版用户暂不支持购买！");
//        	}else {
	        	//初始化
				App.params = {
	  					card: params.card,
	  					product: params.product,
	  					deptId: params.deptId
	  			};
	        	App.tab.setActiveItem(4);
//        	}
        },
        
        buyPro: function(){
        	if(params.product.RunType=='2' && params.product.ProdCode == "0641800086"){ //开放式理财产品0641800086
        		Fw.Msg.cfm("本产品采用预约赎回，交易日14:30前进行预约赎回的，资金在下一个交易日到账；交易日14:30后或非交易日内预约赎回的，视为下一个交易日发起预约赎回申请，下两个交易日资金到账。如有疑问，详询我行各网点。", function(code, btn, win){
                    if(code == "yes"){
                    	App.detail.toBuyPro();
                    }else{
                    	
                    }
                });
        	}else{
        		App.detail.toBuyPro();
        	}
        }
    };
}();