/**
 * 选项卡#子页面1
 */
App.list = function() {    
	var listPro;
	var card;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '理财产品认购' ,
            rightButton: {
                //按钮标题
                text: 'searchico',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	       	
        	//判断是否要刷新页面
        	if(App.tool.isExist(params)){
        		this.initData(params);
        	}
            //手动隐藏等待层
//            Fw.LoadMask.hide();
        },  
        /**
         * 初始化列表数据
         * @param parameters
         * @returns
         */
        initData: function(parmas){
        	card = parmas.card;
        	var parameters = {
        			AcctNo:parmas.card.No,
        			ProductState:parmas.ProductState,
        			CardFlag:parmas.card.BankAcType,
        			RunFlag:parmas.RunFlag
        	}; 
        	this.initListView(parameters);
        },
        initListView: function(parameters){
        	$('#listPro').html('');
         	if(!listPro){
	    		//定义列表
        		listPro = new Fw.ListView({
	                //EL
	                contentEl : 'listPro',
	                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	                ajax : {                 
	                    service: 'FinancialProcService',
	                    method: 'queryMCClosedFinancialProdQry',
	                    //请求参数
	                     params: parameters,                   
	                    loadMask: '查询中',
	                    //是否分页（默认true）
	                    page: false,
//	                    pageSize: 5,
	                    staticData: false
	                },
	                cls: '',
	                groupCls: '',
	                groupHeaderBaseCls: '',
	                groupHeaderCls: '',
	                itemBaseCls: 'sx-list-item',
	                itemCls: 'sui-border-t',
	                pressedCls: '',
	                itemTpl: [
						'<div class="pro-top">',
							'{@if item.RunType == "1"}',
								'<i class="pro-close-logo">封闭式</i>',
							'{@else}',
								'<i class="pro-open-logo">开放式</i>',
							'{@/if}',
							'<p>${item.ProductName}</p>',
							'<i class="pro-recommend-logo"><span>推荐</span></i>',
						'</div>',
						'<div class="pro-content">',
							'{@if item.EstcustFlag == "1"}',
								'<div class="pro-content-left pro-content-left-one">',
									'<p class="pro-content-left-t">${item.Estcustlyr}<span style="font-size: 18px;">%</span></p>',
									'<p class="pro-content-left-b">预计年化收益率</P>',
							'{@else if item.EstcustFlag == "2"}',
								'<div class="pro-content-left pro-content-left-one" style="padding-top: 0px;padding-bottom: 0px;margin-top: -56px;">',
									'<p class="pro-content-left-t">',
										'{@if item.PerformanceRate == "" || item.PerformanceRate == null || item.PerformanceRate == undefined}',
											'0.0%</p>',
										'{@else}',	
											'${item.PerformanceRate}%</p>',
										'{@/if}',
									'<p class="pro-content-left-b">业绩比较基准</P>',
									'<p class="pro-content-left-t">${item.PerAmout}</p>',
									'<p class="pro-content-left-b">当日净值</P>',
							'{@else}',
								'<div class="pro-content-left">',
									'<p class="pro-content-left-t-double">${item.Estcustlyr}~${item.Estcusthyr}<span style="font-size: 18px;">%</span></p>',
									'<p class="pro-content-left-b">预计年化收益率</P>',
							'{@/if}',
								'</div>',
							'<div class="pro-content-right">',
								'{@if item.ProdFlag == "1"}',
									'<div class="pro-content-retroduce">',
										'<div><label>起购金额</label><p>${item.Sgpurclper|fmtTurnAmt2}万</p></div>',
										'<div><label>产品期限</label><p>${item.PurcDate}天</p></div>',
										'<div><label>收益标识</label><p>${item.ProfitFlag|fmtProfitFlag}</p></div>',
										'<div><label>风险等级</label><p>${item.RiskName|fmtProRiskLev}</p></div>',
									'</div>',
								'{@else}',
									'<div class="pro-content-retroduce">',
										'<div><label>起购金额</label><p>${item.sMoney}</p></div>',
										'<div><label>理财期限</label><p>${item.PurcDate}天</p></div>',
										'<div><label>开始时间</label><p>${item.PurcSDate|fmtDate,"yyyy.MM.dd"}</p></div>',
										'<div><label>结束时间</label><p>${item.PurcEDate|fmtDate,"yyyy.MM.dd"}</p></div>',
										'<div><label>产品性质</label><p>${item.CapitFlag}</p></div>',
									'</div>',
								'{@/if}',	
							'</div>',
						'</div>',
						'{@if item.isBuyContent != ""}',
							'<div style="border: none;font-size: 12px;color: #333333;min-height: 27px;">',
								'<p class="isBuy" style="padding-top: 4px;padding-left: 16px;">${item.isBuyContent}</p>',
							'</div>',
						'{@/if}'						
	                ]
	            });
        		listPro.on('itemclick', this.onSelect, this);
    		}else{
    			listPro.ajax.clearParams();    			
    			listPro.ajax.setParams(parameters); 
    		}         	
            //加载数据
        	listPro.loadData();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	
        },
        /**
         * 选中记录时触发(风险评估)
         */
        onSelect : function(record, index, item, e, cmp) {
        	//判断
        	if(record.Sgpurclper==null||record.Sgpurclper==""||record.Sgpurchper==null||record.Sgpurchper==""){
        		Fw.Msg.info('本产品只针对机构客户发行，个人客户不允许购买！');
        		return;
        	}
        	if(record.PurcChannel==null||record.PurcChannel==""
        		||((record.PurcChannel).substring(4,5)!=1
        				&&(record.PurcChannel).indexOf("3")==-1)){
        		Fw.Msg.info("本产品不可在手机银行认购");
        		return;
        	}
        	// 理财产品风险评估问题查询
        	Fw.util.Ajax.query({
                service: 'FinancialProcService',
                method: 'queryFinancialRskLevel',//方法名称必须是get开头
                //请求参数
                params: {
        			AcctNo: card.No,// 老理财系统参数
        			CusName: card.Name,
        			RiskCode: record.RiskCode||"",// 老理财系统参数
    				ProdCode: record.ProdCode||"",// 老理财系统参数
    				CardFlag: card.BankAcType,// 老理财系统参数				
    				ProdFlag: record.ProdFlag // 新老理财从标识
                },
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	var riskPassFlag = false;
                	if('1'==record.ProdFlag){
                		// 新理财系统产品
                		if(data.CusRiskLev>=record.RiskName){
                			riskPassFlag = true;
                		}
                	}else {
                		// 老理财系统产品
                		if("1"==data.RiskPassFlag){
                			riskPassFlag = true;
                		}
                	}
                	if(riskPassFlag){
    	      			var deptId = data.Id;// 法人机构号
    	      			App.params = {
    	      					card: card,
    	      					product: record,
    	      					deptId: deptId
    	      			};
    	      			App.tab.setActiveItem(3);
    	      		}else{	      			
    	      			Fw.Msg.cfm('您还未进行风险评估或风险评估等级与产品风险等级不符合，是否进入风险评估页面？', function(code, btn, win){
                            if(code=="yes"){
                            	App.params = {
            	      					card: card,
            	      					product: record
            	      			};
                            	App.tab.setActiveItem(2);
                            }
                        });	            	
    	      		}
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });      	
        }
    };
}();