Fw.define(function(require){
	var delay;
	//倒计时的文本
	var delayText;
	//倒计时完成后的文本信息
	var delayFinishText;
	//倒计时背景色
	var delayBgColor;
	//倒计时文字颜色
	var delayTextColor;
	//倒计时边框颜色
	var delayBorderColor ;
	//倒计时完成后的背景色
	var delayFinishBgColor ;
	//倒计时完成后的文本颜色
	var delayFinishTextColor;
	//倒计时完成后边框颜色
	var delayFinishBorderColor;
	var parameters;
    Fw.OtpUtil = Fw.extend(Fw.Component, {
    	contEl: $('#DynamicPwd'),
    	challenge: 'challenge',
    	otpSeq: 'otpSeq',
    	dynPsd: 'dynPsd',
    	challengeImg: 'challenge-image',
    	otpCountDown: 'otpCountDown',
    	optNo: 'optNo',
    	oTPPassword: 'oTPPassword',
    	initEvents : function(){
			$('#'+this.otpCountDown).on('click',Fw.bind(this.showOtpCountDown, this));
			$('#'+this.challengeImg).on('click',Fw.bind(this.getChallenge, this));
		},	
		initTpl : function(){	
//			var tpl = [
//				'<div id="'+this.challenge+'" class="sui-hide sui-form-item sui-form-item-r sui-border-b">',
//				'<label>挑战令牌</label>',
//				'<img id="'+this.challengeImg+'" class="challenge-float-right" src="" title="单击图片刷新挑战码">',
//				'</div>',
//				'<div id="'+this.otpSeq+'" class="sui-hide sui-form-item sui-form-item-r sui-border-b">',
//					'<label>口令序号</label>',
//					'<input type="text" data-label="口令序号"  name="'+this.optNo+'" data-xtype="keyboard,QWER" data-allowBlank="false" data-minLength="1" data-maxLength="12" placeholder="请输入口令序号">',
//					'<button type="button" id="'+this.otpCountDown+'" class="sui-border-l">获取</button>',
//				'</div>',
//				'<div id="'+this.dynPsd+'"  class="sui-hide sui-form-item sui-border-b">',
//				'<label>动态口令</label>',
//				'<input name="'+this.oTPPassword+'" data-label="动态口令" type="text" placeholder="请输入动态口令" data-allowBlank="false" data-minLength="1" data-maxLength="12">',
//				'</div>',
//			           ];
//        	var compiled = Fw.template(tpl);
//        	this.contEl.html(compiled.render(this.data));
		},
		/**
         * 获取口令序列
         * parameters = {otpType : '', otpNo : '', oTPSeqNo : ''}
         */
		getOtpSeq : function(){
        	Fw.util.Ajax.get({
                service: 'otpsService',
                method: 'getOtpSeq',               
                params: parameters,                       
                loadMask: '正在获取校验码...',
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	console.debug(data);
    					var code = data.CheckCode;
    					var str = "请输入"+code+"对应的动态口令";
    		            $("[name="+this.oTPPassword+"]").attr('placeholder', str);    
    		            if(parameters.isOtp!='2'){
    		            	if(code==""||code==undefined){
    		            		Fw.Tips.success("动态口令获取失败!");
        					}else{
        						Fw.Tips.success("动态口令获取成功!");
        					}    		            	 
    		            };
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	$("[name="+this.oTPPassword+"]").attr('placeholder', '动态口令获取失败');
	            	
                }
            });
		},
		
		/**
         * 获取口令序列
         * parameters = {otpType : '', otpNo : '', oTPSeqNo : ''}
         */
		getChallenge : function(){
			var params=parameters;
        	Fw.util.Ajax.get({
                service: 'otpsService',
                method: 'getChallenge',               
                params: params,                       
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	$('#'+this.challengeImg).attr('src', Fw.getBasePath() + '/ChallengeServlet/' + data.ChallengeCode);
                	console.debug(data);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
	            	
                }
            });
		},
		
        /**
    	 * 短信验证码倒计时
    	 */
        initDynamicPwd: function(param){        	
        	parameters=param;
        	//1普通类型  2刮刮卡
        	if(parameters.isOtp=='1'||parameters.isOtp=='2'){
        		$('#'+this.dynPsd).show();      		
        	//双向认证
        	}else if(parameters.isOtp=='3'){
        		$('#'+this.otpSeq).show();
        		$('#'+this.dynPsd).show();
        	//二代令挑战令牌 含挑战值
        	}else if(parameters.isOtp=='4'&&parameters.isChallenge=='1'){
        		$('#'+this.challenge).show();
        		$('#'+this.dynPsd).show();
        		this.getChallenge();
        	//不显示动态口令
        	}else if(parameters.isOtp=='4'){
        		$('#'+this.dynPsd).show();
        	}
        	//不显示动态口令
        	else{
        		
        	}
        	if(param.isOtp=='2'){
        		this.getOtpSeq();
        	}
    	},
        
        /**
    	 * 短信验证码倒计时
    	 */
    	showOtpCountDown: function(config,callback){
    		//按钮对象
    	    var e = $('#'+this.otpCountDown);
    		//
    		e.attr('disabled','disabled');
    		//
    		//倒计时时间
    		 delay = config.delay || 10;
    		//倒计时的文本
    		 delayText = config.delayText || '{0}秒';
    		//倒计时完成后的文本信息
    		 delayFinishText = config.delayFinishText || '获取';
    		//倒计时背景色
    		 delayBgColor = config.delayBgColor || '#fff';
    		//倒计时文字颜色
    		 delayTextColor = config.delayTextColor || 'grey';
    		//倒计时边框颜色
    		 delayBorderColor = config.delayBorderColor || 'grey';
    		//倒计时完成后的背景色
    		 delayFinishBgColor = config.delayFinishBgColor || '#fff';
    		//倒计时完成后的文本颜色
    		 delayFinishTextColor = config.delayFinishTextColor || '#ff6f00';
    		//倒计时完成后边框颜色
    		 delayFinishBorderColor = config.delayFinishBorderColor || '#ff6f00';
    		//
    		e.css({'background-color':delayBgColor,'color':delayTextColor,'border-color':delayBorderColor});
    		this.timeAction(e);
    		this.getOtpSeq();   
    		
    	},
    	/**
    	 * 启动定时器
    	 */
    	timeAction:function(e){
    		//开始时间
    		var date1 = new Date();
    		//启动定期器
    		var timer = setInterval(function(){
    			//结束时间
    			var date2 = new Date();
    			//时间差的毫秒数
        		var date3 = (date2.getTime() - date1.getTime());
        		//计算相差秒数
        		var seconds = Math.round(date3%(24*3600*1000)%(3600*1000)%(60*1000)/1000);
        		//
        		var fmtDelayText = new String(delayText).format((delay - seconds));
        		e.html(fmtDelayText);
    			//
    			if(seconds == 0 || seconds == delay){
    				clearInterval(timer);
    				//
    				e.removeAttr("disabled");
    				//
    				e.css({'background-color':delayFinishBgColor,'color':delayFinishTextColor,'border-color':delayFinishBorderColor});
    				//
    				e.html(delayFinishText);
    			}
    			
    		},1000);
    	}
    });
    Fw.Logger.debug('加载公共方法');
});