/**
 * 创建应用
 */
var App = function() {
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
                    'Fw.app.Session'
        ],       
        viewConfig: {          
            title: '帮助说明',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
             $('#clientName').text(Fw.app.Session.getCustName()+' 先生\女士');         
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        leftButtonHandler: function(){
        	Fw.device.Device.gotoIndex();
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
