/**
 * 选项卡#子页面1
 */
App.draw = function() {    
	var formBuy;
	var nowdate;
	var params;
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {
            App.viewConfig.title="大额存单查询/支取";
        	//标题栏信息
        	Fw.apply(App.viewConfig, App.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!formBuy){
        		//表单
            	formBuy = new Fw.Form({               
                    contentEl : 'formBuy',              
                    resettable: false,               
                    msgTarget: 'tips'
                });
            	formBuy.on('submit',this.toBuyCfm,this);
            	//绑定事件form.on('change', this.onChange, this);
            	formBuy.on('change',this.onChange, this);
        	}
        	       	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}        	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	params = parameters;
//        	this.initCurDate();
        	this.initDraw(parameters);
        },
        /**
         * 初始化事件
         */
        initEvents: function(){       	
        	$('#toBuyCmf-btn').on('click',function(){
        		formBuy.submit();
        	});
        	$('#DeptIdQry').on('click',App.queryDept);        	
        },
        /**
         * 初始化支取页面
         * @param parameters
         * @returns
         */
        initDraw: function(parameters){        
        	var card = parameters.card;
        	var product = parameters.product;
        	var deptId = parameters.deptId;
        	App.DeptId = Fw.app.Session.getCifDeptId();       	
        	var Sgpurclper = product.Sgpurclper;
			if(Sgpurclper==undefined||Sgpurclper==null){
				if(product.Brpurclper==undefined||product.Brpurclper==null){
					Sgpurclper = "暂无";
				}else{
					Sgpurclper = product.Brpurclper;
				}
			}
			
			// 是否可以提前支取
			var isPreTakeShow = "";
			if(product.TdAhdDrwFlg=='1'){
				isPreTakeShow = "是";
			}else{
				isPreTakeShow = "否";
			}
			
			var withdrawMethod = "";
			if(product.TdAhdIntCalMtd=="2"){
				withdrawMethod = "按活期存款利率计算";
			}
			
        	//初始化数据
        	formBuy.setValues({
        		TdTdAcctNo:product.TdTdAcctNo,
        		saveAmt:product.TdTotlAmt,
        		buyPayerName:card.Name,
        		buyProName:product.TdPdName,
        		buyProCode:product.TdPdNo,
        		rate:product.TdIntr+"%",
        		
        		TdDueDt:product.TdDueDt, 
        		TdTxDt:product.TdTxDt,
        		
        		isPreTake:isPreTakeShow,
        		TdAhdIntCalMtd:withdrawMethod,
        		TdClsdIntcTyp:Fw.util.Format.fmtTdClsdIntcTyp(product.TdClsdIntcTyp),
        		
        		TdChanlCodShow:Fw.util.Format.fmtChanlStr(product.TdChanlCod),
        		TdAcctStsShow:Fw.util.Format.fmtAcctStatus(product.TdAcctSts)
        	});
        	if(product.Estcustlyr==product.Estcusthyr){
    			 $('#buyEstcustlyrD').hide();
    			 $('#buyEstcustHyrD').hide();
    		}else{
    			$('#buyNormD').hide();
    		}
        	
        	
        },
        
        onChange: function(name, value, oldValue, field){
        	if(name=="buyProNum"){
        		$('[name=buyProAmt]').val(Number(value)*Number($('[name=buyPerAmout]').val()));
        	}
        },
        /**
         * 理财剩余金额查询=0=0
         */
        queryMCFinancialRemanentAmt:function(proCode,No){
        	var parmas = {ProdCode:proCode,AcctNo:No};
        	App.tool.queryAjax('FinancialProcService', 'queryMCFinancialRemanentAmt', parmas, function(data){
        		var limitNum = data.RemanentAmt;
        		$('[name=limitNum]').val(limitNum||'--');//可以购买的余额（展示最小额度）
        	});
        },
        
        /**
         * 购买确认
         * @returns
         */
        toBuyCfm : function(values){
        	
        	//初始化
			App.params = {
  					card: params.card,
  					product: params.product,
  					deptId: params.deptId,
  					form: values
  			};
        	App.tab.setActiveItem(3);
        },
        
   };
}();