/**
 * 选项卡#子页面1
 */
App.buyS = function() {
	var cardDeptSeq;//卡序列
	var transCheckData;//手机银行交易流水
	var transAmount;//认购金额
    return {     
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, {title:'大额存单认购'});
        	//设置标题栏
        	Fw.device.Device.applyView(App); 
        	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}
        },      
        initData : function(params){
        	var data = params;
        	cardDeptSeq = params.cardDeptSeq;
        	transCheckData= params._MCHJnlNo;
        	transAmount =params.TrsAmount;
        	console.log("param: ", data);
        	var orderCont = $('#orderCont');
        	var html = '';
        	//预约认购前置流水
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">前置流水</label>';
    		html = html + '<p class="x-display-info">'+data._MCHJnlNo+'</p>';
    		html = html + '</div>';
    		//客户名称
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">客户名称</label>';
//    		html = html + '<p class="x-display-info">'+data.AcctName+'</p>';
//    		html = html + '</div>';
//    		//理财账户
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">理财账户</label>';
//    		html = html + '<p class="x-display-info">'+data.AcctNo+'</p>';
//    		html = html + '</div>';
//    		//币种
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">币          种</label>';
//    		html = html + '<p class="x-display-info">'+Fw.util.Format.fmtCurrency(data.CurrencyCode)+'</p>';
//    		html = html + '</div>';
//    		//产品名称
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">产品名称</label>';
//    		html = html + '<p class="x-display-info">'+data.ProdName+'</p>';
//    		html = html + '</div>';
//    		//产品代码
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">产品代码</label>';
//    		html = html + '<p class="x-display-info">'+data.ProdCode+'</p>';
//    		html = html + '</div>';
//    		//起息日
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">起息日</label>';
//    		html = html + '<p class="x-display-info">'+data.ProdSDate+'</p>';
//    		html = html + '</div>';
//    		//到期日
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">到期日</label>';
//    		html = html + '<p class="x-display-info">'+data.ProdEDate+'</p>';
//    		html = html + '</div>';
//    		//预期收益率
//    		if(data.Estcustlyr==data.Estcusthyr){
//    			html = html + '<div class="ui-form-item-show">';
//        		html = html + '<label class="ui-result-label">预期收益率</label>';
//        		html = html + '<p class="x-display-info">'+data.Estcustlyr+'%</p>';
//        		html = html + '</div>';  		
//    		}else{
//    			html = html + '<div class="ui-form-item-show">';
//        		html = html + '<label class="ui-result-label">预期最低收益率</label>';
//        		html = html + '<p class="x-display-info">'+data.Estcustlyr+'%</p>';
//        		html = html + '</div>';
//        		html = html + '<div class="ui-form-item-show">';
//        		html = html + '<label class="ui-result-label">预期最高收益率</label>';
//        		html = html + '<p class="x-display-info">'+data.Estcusthyr+'%</p>';
//        		html = html + '</div>';
//    		}
//    		//申请金额
//    		html = html + '<div class="ui-form-item-show">';
//    		html = html + '<label class="ui-result-label">申请金额</label>';
//    		html = html + '<p class="x-display-info">'+data.ApplAmt+'</p>';
//    		html = html + '</div>';
//    		//认购日期
    		html = html + '<div class="ui-form-item-show">';
    		html = html + '<label class="ui-result-label">认购日期</label>';
    		html = html + '<p class="x-display-info">'+data._MCHTimestamp.substr(0,10)+'</p>';
    		html = html + '</div>';
        	orderCont.append(html);
        	this.activityQuery();//活动查询
        },      
        initEvents: function(){
        	$('#finshed-btn').on('click',function(){
        		Fw.device.Device.gotoIndex();
        	});
        },
      	//相关活动查询
		activityQuery:function(){
        	if(Fw.isEmpty(cardDeptSeq)){
        		return;
        	}
			var activityParams ={
				BusType	:"c4",
				EventCode:"p0004",
				Amount:transAmount,
				DeptSeq:cardDeptSeq,
				FunCode:"7",
				transCheckData:transCheckData
			}
			Fw.util.Ajax.query({
              service: 'marketActivityService',
              method: 'queryActyParty',
              //请求参数
              params: activityParams,                
              success: function(data, result) {
              	if(!Fw.isEmpty(data.List)&&data.List.length>0){
              		Fw.Msg.cfm('是否参加活动?', function(code, btn, win){
                          if('yes'==code){
                          	Fw.redirect("../../activityList/activityList/activityList.html",Fw.encode(data.List));
                  			return;
                          }
                      });
              	}
              },
              //请求错误后回调
              failure: function(status, textStatus, error) {
              		return false;
              }
			});
		}
    }
}();
