var App = function(){
	var form,formPwd,installment;
    var buttons = $('button');
    var CredNo = null;
    var CurrNum = null;
    var curCreditNo = null;
    var credits = null;
    var card;//当前卡
    var backUrl="";
    var List=null;
    var qishu=null;
	return {
		requires : [
		            'Fw.app.Session',
		            'Fw.Keyboard',
		            'Fw.Form',
		            './installment',
		            //设备
		            'Fw.device.Device',
		            './js/periods.js'
		            ],
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '账单分期',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        init : function(require) {
        	//加载公共方法
        	installment = Fw.Installment;         	
        	this.initData();
        	this.Periods = new Fw.Periods({
        		contentEl:'dialog',
        		itemTpl:[
             			'<li class="dialog-periods-li-border-d ${index==0 ? "dialog-periods-ul-selected" : "dialog-periods-ul-noselected"}" value="${index}">',
         				'<div class="dialog-periods-left">',
         					'<i class="radio-dialog-periods radio-select-icon"></i>',
         					'<label>${item.MpMbr|unFmtNumber}期</label>',
         				'</div>',
         				'<div class="dialog-periods-right">',
         					'<p>每月还款额${item.InStalAmt|formatterMoney}</p>',
         					'<p class="dialog-periods-right-fee">分期手续费${item.FeeAmt|formatterMoney}</p>',
         					'<p class="dialog-periods-right-fee">费率${item.FeePcnt|fmtPercent2}</p>',
         					'<p class="dialog-periods-right-fee">年化费率${item.FeeYe|fmtPercent2}</p>',
         				'</div>',
         			'</li>'
             		]
        	});
        	this.Periods.on('itemclick', this.onSelect, this);
        	this.initEvent();
        	//手动隐藏等待层
            //Fw.LoadMask.hide();
        },
        initHotCardInfo : function(){
        	$('#acNo').empty();
        	var params=Fw.decode(Fw.getParameters());
        	var cards = Fw.app.Session.getAllCards();
        	credits = [];
        	var j=0;
        	for(var i=0;i<cards.length;i++){
        		var card = cards[i];
    			if(card.BankAcType == "PCRC"){
    				credits.push(card);
    	        	if(!Fw.isEmpty(params)&&params.No==card.No){
    	        		backUrl = params.backUrl;
    	        		$('#acNo').append("<option value="+j+" selected>"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");   	        
    	        	}else {
    	        		$('#acNo').append("<option value="+j+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
    	        	}
    				j++;
    			}
        	}
        	if(j == 0){
        		Fw.LoadMask.hide();
        		Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
              			 function(code, btn, win){
   							if(code == "yes"){
   								Fw.redirect('../../account/adddowncard/adddowncard.html');
   							}else{
   								Fw.device.Device.gotoIndex();
   							}
              	 		}
       			);
    		}
        	var curCard = credits[$('#acNo option:selected').val()];
    		curCreditNo = curCard.No;
    		CurrNum = curCard.Currency.Code;
        	$('#CurrNum').text(Fw.util.Format.fmtCurrency(CurrNum));
    		$('.acNo').text(Fw.util.Format.fmtAcctNo(curCreditNo,true));
        },
        initData : function(){
        	this.initHotCardInfo();
        	if(Fw.isEmpty(form)){
        		form = new Fw.Form({
                    //EL
                    contentEl : 'form',
                    //是否激活重置事件（默认false）
                    //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                    resettable: false,
                    //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                    msgTarget: 'tips'
               });
        	}       	
        	//获取CredNo
        	var parameters = {
            		'PayerAcc' :curCreditNo, 'MpType':'Y', 'ZoneNo':'113', 'Product':'0015', 'MerType':'', 'MerId':'', 'CurrNum':CurrNum      			     			
            	};         
            installment.queryAmortPlan(parameters, function(data){
            	List = data.List;
            	App.getCredNo(data);
            });   
        },
        initEvent : function(){
        	$('#acNo').on('change',function(){
        		App.onChange();
        	});
        	form.on('change', this.onChangeForm, this);
        	$('#show').on('click', Fw.bind(this.onShow, this));            
            $('[name=period]').on('click', Fw.bind(this.onShow, this));
//        	form.on('submit', App.toSecondStep, this);
            //点击按钮时触发
            buttons.on('click',Fw.bind(this.onButtonClick, this));
        },
        onSelect : function(record, index, item, e, cmp) {
        	qishu=record.MpMbr;
            $('[name=period]').val(Fw.util.Format.unFmtNumber(record.MpMbr)+'期');
            App.setTrialShow(record);
        },
        onShow: function(){
        	this.Periods.onShow();
        },
        /**
         * 头部下拉切换
         */
        onChange : function(node){
        	curCreditNo = credits[$('#acNo option:selected').val()].No;
        	CurrNum = credits[$('#acNo option:selected').val()].Currency.Code;
        	$('.acNo').text($('#acNo option:selected').text());
        	$('#CurrNum').text(CurrNum);
        	var params = {
        			"No" : curCreditNo,
					"Currency" : {
						"Code" : CurrNum
		        	}
        	};
        	Fw.redirect("./haveBillInstApply.html", Fw.encode(params));
        },
        /**
         * 点击按钮时触发
         */
        onButtonClick: function(e){
            switch(e.target.id){
                case 'apply1-btn':
                	App.toSecondStep();
                    break;
                case 'apply2-btn':
                	App.toThirtdStep();
                    break;
                case 'apply3-btn':
                	formPwd.submit();
                    break;
            }
        },
        toSecondStep : function(){
        	if($('[name=curAmt]').val() == ''){
        		Fw.Tips.info('请输入分期金额!');
        		return;
        	}
        	if(!this.checkCurAmt('curAmt', parseFloat(Fw.util.Format.unFmtAmt($('[name=curAmt]').val())))){
        		return;
        	};
        	//初始化试算
        	var MpMbr = $('[name=period]').val();
        	var curAmt = Fw.util.Format.unFmtAmt($('[name=curAmt]').val());
        	var currency = "156"; //人民币
        	if("USD"==CurrNum){
        		currency="840"; //美元
        	}
        	var parameters = {'PayerAcc':curCreditNo, 'PinFlag':'0', 'TrsPassword':'', 'MpType':'Y', 'CredNo':CredNo, 'BillAmt':installment.fmtMoneyToPoint(curAmt), 'CurrNum':currency, 'MpMbr':MpMbr, 'ProdId':'','List':List}
        	//试算
        	installment.executeFlexAmortFeeTrail(parameters,function(data){
        		// 加载期数
            	App.Periods.loadData(data.List);
            	
            	// 跳转 试算界面
            	App.setTrialShow(App.Periods.getSelectedItemData());
        	}); 
        	$('[name=period]').html($('[name=period]').text()+'<i class="sub-item-p1-i"></i>');
        	$('#MpMbrCmf').text($('[name=period]').text());
        	this.setCurAmtShow(Fw.util.Format.unFmtAmt(curAmt));
        	$('#firstStep').addClass('sui-hide');
        	$('#secondStep').removeClass('sui-hide');
        	//绑定事件
        	$('[name=period]').on('change',Fw.bind(App.selectMpMbr,this))
        },
        toThirtdStep : function(){
        	$('#secondStep').addClass('sui-hide');
        	$('#thirdStep').removeClass('sui-hide');
        	$('#amtThr').text($('[name=curAmt]').val());//分期金额
        	$('#amtBackThr').text($('#InStalAmt').text());//每期偿还本金
        	$('#feeAmtThr').text($('#FeeAmt').text());//每期偿还手续费
        	$('#totalAmtThr').text($('#totalRepayAmt').text());//还款总额
        	//绑定事件        
        	if(Fw.isEmpty(formPwd)){
        		formPwd = new Fw.Form({
                    contentEl : 'form1',
                    resettable: false,
                    msgTarget: 'tips'
                });
        		formPwd.on('submit', App.doSubmit, this); 
        	}
        },
        /**
         * 获取CredNo
         */
        getCredNo : function(data){
        	CredNo = data.CredNo;
        	//添加option
        	qishu=data.List[0].MpMbr;
        	$('[name=period]').val(Fw.util.Format.unFmtNumber(data.List[0].MpMbr)+"期");
        	var currency = "156"; //人民币
        	if("USD"==CurrNum){
        		currency="840"; //美元
        	}
        	var parameters = {
				'PayerAcc':curCreditNo, 
				'CredNo':CredNo, 
				'PinFlag':'0', 
				'Pin':'', 
				'OperTp':'3', 
				'NbrmtHs':'',
				'Amt':'',
				'CurrNum':currency,
				'SamtPnt':'',
				'FeePcnt':''
			};
        	//查询
        	this.queryHaveBillInitData(parameters, function(data){
        		$('#totalAmt').text(installment.formatterMoney(data.SmpPamt));
        		form.setValues({
        			"CyCleNbr" : '每月'+data.CyCleNbr+'日',
        	    	//"OpenDat" : data.OpenDat,
        	    	"CloseBal" : installment.formatterMoney(data.CloseBal),
        	    	"SmpPamt" : installment.formatterMoney(data.SmpPamt)
        		});
        	});
        },
        /**
         * 设置当前分期金额显示
         */
        setCurAmtShow : function(curAmt){
        	var curAmtShow = Fw.util.Format.fmtAmt(curAmt,2,false,'') + '';
        	$('#curAmt').html(curAmtShow.substring(0,curAmtShow.indexOf('.'))+'<span>.'+curAmtShow.substring(curAmtShow.indexOf('.')+1) +'</span>');
        },
        /**
         * 分期期数下拉选择
         */
        selectMpMbr : function(){
        	var MpMbr = $('[name=period]').val();
        	$('[name=period]').html($('[name=period]').text()+'<i class="sub-item-p1-i"></i>');
        	$('#MpMbrCmf').text($('[name=period]').text());
        	var curAmt = Fw.util.Format.unFmtAmt($('[name=curAmt]').val());
        	var currency = "156"; //人民币
        	if("USD"==CurrNum){
        		currency="840"; //美元
        	}
        	var parameters = {'PayerAcc':curCreditNo, 'PinFlag':'0', 'TrsPassword':'', 'MpType':'Y', 'CpNo':CredNo, 'BillAmt':installment.fmtMoneyToPoint(curAmt), 'CurrNum':currency, 'MpMbr':MpMbr, 'ProdId':'',}
        	//试算
        	installment.executeFlexAmortFeeTrail(parameters,function(data){
        		App.setTrialShow(data);      		
        	});
        },
        /**
         * 试算展现处理
         */
        setTrialShow :function(data){
        	$('#InStalAmt').text(installment.formatterMoney(data.InStalAmt));//每期偿还本金
    		$('#FeeAmt').text(installment.formatterMoney(data.FeeAmt));//分期手续费
    		$('#FeePcnt').text(""+installment.formatterMoney(data.FeePcnt)+"%");//费率%
    		$('#FeeYe').text(""+installment.formatterMoney(data.FeeYe)+"%");//费率%
    		$('#totalRepayAmt').text(installment.formatterMoney(data.totalRepayAmt));//还款总额
        },
        /**
         * 获取账单分期初始化界面信息
         */
        queryHaveBillInitData : function(parameters,callback){
        	Fw.util.Ajax.query({                
                service: 'installmentService',
                method: 'queryHaveBillInitData',                
                params: parameters,                       
                //loadMask: true,
                staticData: false,
                //请求成功后回调
                success: function(data, result) {
                	exeCallback(data,callback);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        /**
         * 申请
         */
        doSubmit : function(values){  
        	Fw.Msg.cfm('您确定进行分期申请操作?', function(code, btn, win){
        		if(code == 'yes'){
        			var currency = "156"; //人民币
                	if("USD"==CurrNum){
                		currency="840"; //美元
                	}
        			var TrsPassword = values.transPwd;//取款密码
        			var NbrmtHs = qishu;//期数
                    var Amt = Fw.util.Format.unFmtAmt($('[name=curAmt]').val());
                    var parameters = {
            				PayerAcc:curCreditNo, 
            				CredNo:CredNo, 
            				PinFlag:'2', 
            				Pin:TrsPassword, 
            				OperTp:'0', 
            				NbrmtHs:NbrmtHs,
            				Amt:installment.fmtMoneyToPoint(Amt),
            				CurrNum:currency,
            				SamtPnt:'',
            				FeePcnt:''
            			};
                    //alert(TrsPassword+","+parameters.Amt);
                    App.queryHaveBillInitData(parameters ,function(data){
                    	var params = {
                    			instType:"haveInst",
                    	    	data:data 
                    	    };
                    	//跳转结果页
                    	Fw.redirect("./instResult.html", Fw.encode(params));
                    });
        		}
            });               
        },
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         * @param {String} 输入框名称
         * @param {Object} 值
         * @param {Object} 旧值
         * @param {Fw.Form} Form组件
         */
        onChangeForm: function(name, value, oldValue, field){
        	    this.checkCurAmt(name, value);
        },
        checkCurAmt : function(name, value){
        	if(name == 'curAmt'){
        		if(value == null || value == ''){
            		Fw.Tips.info('分期金额不能为空!');
            		return false;
        		}
        		if(value == 0){
            		Fw.Tips.info('分期金额不能为零!');
            		return false;
        		}
        		if(value > Fw.util.Format.unFmtNumber($('[name=SmpPamt]').val())){
            		Fw.Tips.info('分期金额不能超过可分期金额!');
            		return false;
        		}
        	}  
        	return true;
        },
        /**
         * 右上角返回键重写
         */
        leftButtonHandler : function(){
        	var list = [
        	            $('#firstStep'), $('#secondStep'), $('#thirdStep')
        	            ];
        	installment.handerBack(list);
        }
	}
}();
function exeCallback(data,callback){
	callback(data);
}
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);