var App = function(){
	var queryForm,installment,timeline,form;
	var buttons = $('button');
	var credits,curMpNo,_noCredits,tool;//_noCredits 还款账户
	var curItem = "";//选择当前li
	var curQryType = "";//1:可提前还款; 2:可撤销还款
	var curMpType = "";//A:灵活分期; Y:账单分期; B:现金分期;
	var realRepayAmount = "";//本期归还总金额
	var repayAmount = "";//归还本金
	var FtrFee = "";//当期手续费
	var balance = "";//余额
	var cashRepayForm,cashRepayFormCmf;//现金分期 提前还款
	var BalanceFlag; //信用卡余额标志
	var creditBalance;//信用卡余额
	var cashData;//现金分期数据
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	return {
    	requires : [
		            'Fw.app.Session',
		            'Fw.Otp',
		            'Fw.Keyboard',
		            'Fw.Form',
		            'Fw.TimerGlider',
		            './installment',
		            'Fw.Calendar',
		            'Fw.device.Device',
		            '../util/CardUtil',
		            'Fw.BluetoothKey'
		            ],
		viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '查询/还款/撤销',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: false,
            //loadMask: false
        },
        init : function(require) {
        	//加载公共方法
        	installment = Fw.Installment; 
        	tool = new Fw.CardUtil();
        	//定义表单
        	if(!queryForm){
        		queryForm = new Fw.Form({             
            		contentEl : 'queryForm',
                    resettable: false,
                    msgTarget: 'tips'
                });
        		queryForm.on('change', this.onChange, this);
            	queryForm.on('submit', this.toSecondStep, this);
        	}
        	if(!cashRepayForm){//现金分期提前还款
        		cashRepayForm = new Fw.Form({             
            		contentEl : 'cashRepayForm',
                    resettable: false,
                    msgTarget: 'tips'
                });
        		cashRepayForm.on('change', this.onChangeCash, this);
        		cashRepayForm.on('submit', this.toCommitCash, this);
        	}
        	if(!cashRepayFormCmf){//现金分期提前还款
        		cashRepayFormCmf = new Fw.Form({             
            		contentEl : 'cashRepayFormCmf',
                    resettable: false,
                    msgTarget: 'tips'
                });
        		cashRepayFormCmf.on('submit', this.submitCash, this);
        	}
        	this.initData();
        	this.initEvent();
        	//手动隐藏等待层
            //Fw.LoadMask.hide();
        },
        initHotCardInfo : function(){
        	$('#criditNo').empty();
        	var params=Fw.decode(Fw.getParameters());
        	var cards = Fw.app.Session.getAllCards();
        	credits = [];
        	var j=0;
        	for(var i=0;i<cards.length;i++){
        		var card = cards[i];
    			if(card.BankAcType == "PCRC"){
    				credits.push(card);
    	        	if(!Fw.isEmpty(params)&&params.No==card.No){
    	        		$('#criditNo').append("<option value="+j+" selected>"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");   	        
    	        	}else {
    	        		$('#criditNo').append("<option value="+j+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
    	        	}
    				j++;
    			}
        	}
        	if(j == 0){
        		Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
              			 function(code, btn, win){
   							if(code == "yes"){
   								Fw.redirect('../../account/adddowncard/adddowncard.html');
   							}else{
   								Fw.device.Device.gotoIndex();
   							}
              	 		}
       			);
    		}
        },
        initData : function(){   
        	this.initHotCardInfo();
        	this.initCurDate();
        },
        //获取当前日期yyyy/MM/dd
        initCurDate: function(){
        	Fw.util.Ajax.get({
				service : 'curdateService/getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					var CurDate = data['CurDate'];
					//默认当前一个月查询区间
		        	$('[name=startDate]').val(Fw.util.Format.fmtSomeMonth(CurDate,-1));
		        	$('[name=endDate]').val(CurDate);
				},
			});
        },
        initEvent : function(){
        	buttons.tap(Fw.bind(this.onButtonClick, this));
        	$('#balanceBtnCash').on('click',function(){
        		App.queryBalanceCash();
        	});
        },
        /**
         * 跳转查询结果界面
         */
        toSecondStep :function(values){
        	curQryType = values.queryType;;//1:可提前还款; 2:可撤销还款
        	curMpType = values.MpType;//A:灵活分期; Y:账单分期; B:现金分期;
        	// C现金分期（原先的B改名为随心分）
        	if(curMpType == "C"){
        		var param = {
        				card : credits[$('#criditNo option:selected').val()],
        				startDate : $('[name="startDate"]').val(),
        				endDate : $('[name="endDate"]').val(),
        				queryType : curQryType,
        				MpType : "B"
        		};
        		Fw.redirect("./cashInstNewQuery.html", Fw.encode(param));
        		return false;
        	}
        	//初始化验证
        	if('B' == curMpType){
        		$('#pwd').show();
        	}else{
        		$('#pwd').hide();        		
        	}
        	//查询
        	this.queryInfo(values);
        	$('#firstStep').addClass('sui-hide');
        	$('#secondStep').removeClass('sui-hide');
        },
        /**
         * 跳转  type: 1=可提前还款,2=可撤销还款   MpType: A=灵活分期,B=现金分期,Y=账单分期
         */
        toThirdStep : function(record){
        	//分期付款序号(当前选择的)
        	curMpNo = record.MpNo;
        	var queryType = $('input[name=queryType]:checked').val();
        	var MpType = $('input[name=MpType]:checked').val();
        	var elShow,elHide;
        	$('#cardNo3').text($('#criditNo option:selected').text());
        	$('#cardInstType').text(this.getInstType(MpType));        	
        	//头部信息   可提前还款和撤销分期
        	if(this.equalV(queryType, '2')&&MpType!='B'){//撤销分期
        		$('#cardContTable').text('查询时间');
        		var format = 'yyyy.MM.dd';
        		$('#cardCont').text(Fw.util.Format.fmtDate($('[name=startDate]').val(),format)+"~"+Fw.util.Format.fmtDate($('[name=endDate]').val(),format));        		
        		elShow = 'formCancle';
        		elHide = 'formRepay';
        		if(MpType=='A'){//灵活分期不需要交易密码验证
        			$('#'+elShow).hide();
        			elShow = null;
        		}
        	}else{//可提前还款
        		$('#cardContTable').text('币种');
        		$('#cardCont').text('人民币');
        		//付款账号信息
        		$('#repayNo').html('');
        		_noCredits = [];
        		var allCards = Fw.app.Session.getAllCards();
        		for(var i=0; i<allCards.length; i++){
            		if(allCards[i].BankAcType != "PCRC"){
            			_noCredits.push(allCards[i]);			
            		}
            	}
        		installment.appendOptionToSelectCardNo('repayNo',_noCredits,'No',null);
        		if(MpType=='B'){//现金分期   可提前还款
        			//添加  本卡信用卡还款
            		var curCredit = credits[$('#criditNo option:selected').val()];            		
            		$('#repayNo').append('<option value="'+_noCredits.length+'">'+Fw.util.Format.fmtAcctNo(curCredit.No,true)+'</option>');
            		_noCredits.push(curCredit);
        		}       			                	
                if(_noCredits.length<=0){
                	Fw.Msg.info('无可用账户!');
                	return;
                }                
                //初始化余额信息
            	this.changeRepayNo();              		
        		//绑定余额查询事件 
        		$('#repayNo').on('change',this.changeRepayNo);
        		/**
            	 * 调用动态口令初始化start
            	 */
            	//动态口令标志
            	var isOtp='0';//去掉动态口令
            	//动态口令类型
            	var otpType=Fw.app.Session.getOtpType();
            	//动态口令序号
            	var otpNo=Fw.app.Session.getOtpNo();
            	//挑战值生成规则
            	var coderule="1234567890azAZ"
            	param={
            		'isOtp':isOtp,
            		'otpType':otpType,
            		'otpNo':otpNo,
            		'isChallenge':'0',
            		'coderule':coderule
            	};
            	console.log(param);
            	//初始话动态口令显示
            	Fw.Otp.initDynamicPwd(param);
        		elShow = 'formRepay';
        		elHide = 'formCancle';
        	}
        	//分期信息
        	//账单分期 可撤销明细    type==2&&Mptype==Y  灵活分期  可撤销明细
        	if( queryType=='2'&& MpType=='Y'){
        		$('#BInfo').hide();
        		$('#AYInfo').show();
        		$('#MpMthsLab').text("分期期数");
        		$('#MpAmtLab').text("分期本金");
        		$('#FeeAmtLab').text("状        态");
        		$('#MpMths').text(Fw.util.Format.fmtNumber(record.MpMths,0)+"期");
            	$('#MpAmt').text(Fw.util.Format.formatterMoney(record.MpAmt));            	
            	$('#FeeAmt').text(Fw.util.Format.fmtCreditInstStatus(record.Status));
        	}else if(MpType=='B'){//现金分期   可提前还款
        		$('#BInfo').show();
        		$('#AYInfo').hide();
        		realRepayAmount = Number(record.RemPpl) + Number(record.RemFee) + Number(balance)*100;
        		realRepayAmount = Fw.util.Format.formatterMoney(realRepayAmount);
				repayAmount = Fw.util.Format.formatterMoney(record.RemPpl);
				FtrFee = Fw.util.Format.fmtAmt(Fw.util.Format.formatterMoney(record.RemFee)); 
				$('#bRepayAmount').text(repayAmount);
            	$('#bMpAmt').text(Fw.util.Format.formatterMoney(record.MpAmt));
            	$('#bRemPpl').text(Fw.util.Format.formatterMoney(record.RemPpl));
            	$('#bFtrFee').text(Fw.util.Format.formatterMoney(record.RemFee));
            	$('#bLoanDate').text(record.LoanDate);
        	}else {//账单分期 可提前还款  灵活分期  可提前还款和可撤销还款
        		$('#BInfo').hide();
        		$('#AYInfo').show();
        		$('#MpMthsLab').text("分期期数");
        		$('#MpAmtLab').text("分期本金");
        		$('#FeeAmtLab').text("总手续费");
        		$('#MpMths').text(Fw.util.Format.fmtNumber(record.MpMths,0)+"期");
            	$('#MpAmt').text(Fw.util.Format.formatterMoney(record.MpAmt));
            	$('#FeeAmt').text(Fw.util.Format.formatterMoney(record.FeeAmt));
        	}        
        	$('#'+elHide).hide();
        	if(null!=elShow){
        		if(MpType!='B'&&elShow=='formRepay'){//只有现金分期才支持借记卡还款
        			$('#submit-btn').off();
    	        	$('#submit-btn').on('click',function(){
    	        		App.toFourthStep(MpType);
    	        	});
    	        	$('#'+elShow).hide();
        		}else {
        			$('#'+elShow).show();
		        	form = new Fw.Form({                   
		        		contentEl : elShow,
		                //是否激活重置事件（默认false）
		                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
		                resettable: false,
		                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
		                msgTarget: 'tips'
					});
		        	form.on('submit', this.toFourthStep, this);
		        	$('#submit-btn').off();
		        	$('#submit-btn').on('click',function(){
		        		form.submit();
		        	});
        		}
        	}else {//灵活分期  撤销申请
        		$('#submit-btn').off();
        		$('#submit-btn').on('click',function(){
	        		App.toFourthStep(null);
	        	});
        	}
        	$('#secondStep').addClass('sui-hide');
        	$('#thirdStep').removeClass('sui-hide');
        },
        /**
         * 第四步：提交
         */
        toFourthStep : function(values){
        	var queryType = $('input[name=queryType]:checked').val();
        	var MpType = $('input[name=MpType]:checked').val();
        	if(this.equalV(queryType, '2')){
        		Fw.Msg.cfm("您确定进行分期申请撤销操作?", function(code, btn, win){
        			if(App.equalV(code, 'yes')){
        				App.resetForm();
        				App.executeCancle(values, MpType, function(data){
                			App.showResultCancle(data);
                		});
        			}
        		});
        	}else{
        		Fw.Msg.cfm("您确定进行提前还款操作?", function(code, btn, win){
        			if(App.equalV(code, 'yes')){
        				App.resetForm();
        				App.executeRepay(values, MpType, function(data){
                			App.showResultApply(data);
                		});
        			}
        		});       		
        	}
        },
        resetForm : function(){
        	$('[name=transPwdCancle]').val('');
       	 	$('[name=transPwdCancle]').attr('placeholder','请输入交易密码');
       	 	$('[name=repayAmt]').val('');
    	 	$('[name=repayAmt]').attr('placeholder','请输入转账金额');
       	 	$('[name=transPwdRepay]').val('');
    	 	$('[name=transPwdRepay]').attr('placeholder','请输入交易密码');    	 	
        },
        /**
         * 提交还款
         */
        executeRepay : function(values, MpType, callback){
				if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
	        		var clearData = App.getSignDataforBluetoothKeyRepay();
	        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
	        				function(data){
	        			bluetoothKeySignatureData = data;
	        			App.doExecuteRepay(values, MpType, callback);
	        			});
	        	}else{
	        		App.doExecuteRepay(values, MpType, callback);
	        	}
        },
        
        /**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKeyRepay: function(){
        	var credit =  credits[$('#criditNo option:selected').val()];
        	//交易参数
        	var data = {
        			tradeName: "查询/还款/撤销", //交易名
        			tradeId: "executeMCCashAmortRepayApply", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "BankAcType", labelDesc: "信用卡卡号: ", labelValue: credit.No
			            },{
			            	labelName: "MpMthsLab", labelDesc: "分期期数: ", labelValue: $('#MpMths').text()
			            }, {
			            	labelName: "MpAmtLab", labelDesc: "分期本金: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('#MpAmt').text()))
			            }, {
			            	labelName: "FeeAmtLab",labelDesc: "总手续费: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('#FeeAmt').text()))
				        } ]
        	};
        	return data;
        },
        
        doExecuteRepay : function(values, MpType, callback){
        	var serviceName = 'installmentService';
        	var methodName;
        	var parameters;
        	var credit =  credits[$('#criditNo option:selected').val()];
        	if(this.equalV(MpType, 'B')){//现金分期
        				      		
        	}else{//账单和灵活分期
        		methodName = 'executeRepayApply';
        		parameters = {'PayerAcc':credit.No,'IdNo':'','Option':'1','MpNumber':curMpNo};
        		parameters.isOtp='0';
	        	if(parameters.isOtp != '0'){        		
	        		parameters.otpType=Fw.app.Session.getOtpType(); 
	        		parameters.otpNo=Fw.app.Session.getOtpNo();
	        		parameters.oTPPassword=values.oTPPassword;
	        		parameters.challenge='0';
	        	}
	        	parameters.SignCert=bluetoothKeySignatureData.signCert; //证书
	        	parameters.SignatureCleartext=bluetoothKeySignatureData.signatureCleartext;
	        	parameters.SignatureCiphertext=bluetoothKeySignatureData.signatureCiphertext;
        		this.executeAjax(serviceName, methodName, parameters, callback);
        	}      	
        },
        /**
         * 撤销还款
         */
        executeCancle : function(values, MpType, callback){
        	if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
        		var clearData = App.getSignDataforBluetoothKeyCancle();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        			bluetoothKeySignatureData = data;
        			App.doExecuteCancle(values, MpType, callback);
        			});
        	}else{
        		App.doExecuteCancle(values, MpType, callback);
        	}
        },
        
        /**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKeyCancle: function(){
        	var credit =  credits[$('#criditNo option:selected').val()];
        	//交易参数
        	var data = {
        			tradeName: "查询/还款/撤销", //交易名
        			tradeId: "executeMCCashAmortRepayApply", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "BankAcType", labelDesc: "信用卡卡号: ", labelValue: credit.No
			            },{
			            	labelName: "MpMthsLab", labelDesc: "分期期数: ", labelValue: $('#MpMths').text()
			            }, {
			            	labelName: "MpAmtLab", labelDesc: "分期本金: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('#MpAmt').text()))
			            }, {
			            	labelName: "FeeAmtLab",labelDesc: "总手续费: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('#FeeAmt').text()))
				        } ]
        	};
        	return data;
        },
        
        doExecuteCancle : function(values, MpType, callback){
        	var serviceName = 'installmentService';
        	var credit =  credits[$('#criditNo option:selected').val()];
        	if(this.equalV(MpType, 'Y')){//账单分期
        		 //获取CredNo
            	 var params = {
                	'PayerAcc' :credit.No, 'MpType':'Y', 'ZoneNo':'', 'Product':'', 'MerType':'', 'MerId':'', 'CurrNum':credit.Currency.Code      			     			
                 }; 
        		 installment.queryAmortPlan(params, function(data){
        			 var currency="156"; //人民币
        			 if("USD"==credit.Currency.Code){
        					currency="840"; //美元       					
        			 }
        			 var parameters = {
        	     				'PayerAcc':credit.No, 
        	     				'CredNo':data.CredNo, 
        	     				'PinFlag':'2', 
        	     				'Pin':values.transPwdCancle, 
        	     				'OperTp':'1', 
        	     				'NbrmtHs':curItem.MpMths,
        	     				'Amt':curItem.MpAmt,
        	     				'CurrNum':currency,
        	     				'SamtPnt':'',
        	     				'FeePcnt':'',
        	     				SignCert:bluetoothKeySignatureData.signCert, //证书
     	        				SignatureCleartext:bluetoothKeySignatureData.signatureCleartext,
     	        				SignatureCiphertext:bluetoothKeySignatureData.signatureCiphertext
        	     	};
        	        App.queryAjax(serviceName, 'queryHaveBillInitData', parameters, callback);
                 });        		 
        	}else if(this.equalV(MpType, 'A')){//灵活分期
        		var parameters = {
        				'PayerAcc':credit.No,'IdNo':'','Option':'1','MpNumber':curMpNo
        		};
        		this.executeAjax(serviceName, 'executeFlexAmortCancel', parameters, callback);
        	}
        },
        /**
         * 结果处理(提前还款)
         */
        showResultApply : function(data){
        	var params = {
        			instType:"repay",
        	    	data:data 
        	    };
        	//跳转结果页
        	Fw.redirect("./instResult.html", Fw.encode(params));
        },
        /**
         * 结果处理(撤销还款)
         */
        showResultCancle : function(data){
        	var params = {
        			instType:"cancle",
        	    	data:data 
        	    };
        	//跳转结果页
        	Fw.redirect("./instResult.html", Fw.encode(params));
        },
        /**
         * 信用卡分期申请信息查询
         * MpType（分期类型） Y已出账单分期 A灵活分期 B现金分期 
         */
        queryInfo : function(values){        	
        	var MpType = values.MpType;
        	var PayerAcc = credits[$('#criditNo option:selected').val()].No;
//        	PayerAcc = '6228168210001101';//测试
        	var BegDay = $('[name=startDate]').val();
        	var EndDay = $('[name=endDate]').val();
        	//更新头部信息
        	$('#cardNo').text(Fw.util.Format.fmtAcctNo(PayerAcc,true));
        	$('#instType').text(this.getInstType(MpType));
        	var format = 'yyyy.MM.dd';
        	var format2 = 'yyyyMMdd';
        	$('#selStartDate').text(Fw.util.Format.fmtDate(BegDay,format));
        	$('#selEndDate').text(Fw.util.Format.fmtDate(EndDay,format));
        	BegDay = BegDay.replaceAll('/','');
        	//BegDay = '20120101';
        	EndDay = EndDay.replaceAll('/','');
        	if(MpType == 'B'){
        		var parameters = {'PayerAcc':PayerAcc,'OperCode':'1','PinFlag':'0','TrsPassword':'','BegDay':BegDay,'EndDay':EndDay};
        		this.queryCashInstInfo(parameters,'1',MpType);
        	}else{
        		var OperCode = values.queryType;
        		var parameters = {'PayerAcc':PayerAcc,'OperCode':OperCode,'Opt':'1','CustNbr':'','KeyType':'','PinFlag':'0','TrsPassword':'','BegDay':BegDay,'EndDay':EndDay,'MpType':MpType,'MpaTyp':'0'};
        		this.queryBillInstInfo(parameters,OperCode,MpType);
        	}
        },        
        /**
         * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框）
         * 失去焦点时出发
         */
        onChange : function(name, value, oldValue, field){
        	if(name=='MpType'){
        		if(value=='B'||value=='C'){
        			$('#queryTypeId').hide();
        		}else{
        			$('#queryTypeId').show();
        		}        		
        	}
        },
        /**
         * 账单/灵活分期明细查询（可提前还款/灵活分期隔日可撤销分期明细）
         */
        queryBillInstInfo : function(parameters,type,MpType){
        	this.getTimerGlider('installmentService', 'queryBillInstInfo', parameters,type,MpType);       	
        },
        /**
         * 随心分可提前还款明细查询
         */
        queryCashInstInfo : function(parameters,type,MpType){
        	this.getTimerGlider('installmentService', 'queryCashInstInfo', parameters,type,MpType);       	
        },
        /**
         * 加载时间轴
         * type: 1=可提前还款,2=可撤销还款   MpType: A=灵活分期,B=现金分期,Y=账单分期
         */
        getTimerGlider: function(serviceName,methodName,parameters,type,MpType){
        	var imTpl = null;
        	//账单分期 可撤销明细    type==2&&Mptype==Y
        	if( type=='2' && MpType=='Y'){
	        	imTpl = [
							'<div class="timeline-content">',
							'<div class="s-content-top">',
								'<div class="s-content-top-left">',
									'<h4>${item.InpDate}</h4>',
								'</div>',
								'<div class="s-content-top-right">',
								'{@if item.Status == "40" || item.Status == "90" || item.Status == "91"}',
									'<p class="s-content-top-right-cancle" style="color:#777777; border: 2px solid #777777;">不可撤销</p>',
								'{@else}',
									'<p class="s-content-top-right-cancle">可撤销分期</p>',
								'{@/if}',									
								'</div>',
							'</div>',
							'<div class="s-content">',
								'<div class="s-content-left">',
									'<h4>分期类型</h4>',
									'<h4>分期期数</h4>',
									'<h4>分期本金</h4>',
									'<h4>状        态</h4>',
								'</div>',
								'<div class="s-content-right">',
									'<h4>',App.getInstType(MpType),'</h4>',
									'<h4 style="color: RGB(255,111,0);">${item.MpMths|fmtNumber,"0"}期</h4>',
									'<h4>${item.MpAmt|formatterMoney}</h4>',
									'<h4>${item.Status|fmtCreditInstStatus}</h4>',
								'</div>',
							'</div>',
						'</div>'						
				];
        	}else if( type=='2' && MpType=='A' ){//灵活分期 可撤销明细处理  Status!="N"不可撤销
        		imTpl = [
 						'<div class="timeline-content">',
 							'<div class="s-content-top">',
 								'<div class="s-content-top-left">',
 									'<h4>${item.BegYm}</h4>',
 								'</div>',
 								'<div class="s-content-top-right">',
	 								'{@if item.Status != "N"}',
										'<p class="s-content-top-right-cancle" style="color:#777777; border: 2px solid #777777;">不可撤销</p>',
									'{@else}',
										'<p class="s-content-top-right-cancle">可撤销分期</p>',
									'{@/if}',															
 								'</div>',
 							'</div>',
 							'<div class="s-content">',
 								'<div class="s-content-left">',
 									'<h4>分期类型</h4>',
 									'<h4>分期期数</h4>',
 									'<h4>分期本金</h4>',
 									'<h4>总手续费</h4>',
 								'</div>',
 								'<div class="s-content-right">',
 									'<h4>',App.getInstType(MpType),'</h4>',
 									'<h4 style="color: RGB(255,111,0);">${item.MpMths|fmtNumber,"0"}期</h4>',
 									'<h4>${item.MpAmt|formatterMoney}</h4>',
 									'<h4>${item.FeeAmt|formatterMoney}</h4>',
 								'</div>',
 							'</div>',
 						'</div>'						
 				];
        	}else if(MpType=='B'){//现金分期   可提前还款
        		imTpl = [
 						'<div class="timeline-content" style="height: 250px !important;">',
 							'<div class="s-content-top">',
 								'<div class="s-content-top-left">',
 									'<h4>${item.BegYm}</h4>',
 								'</div>',
 								'<div class="s-content-top-right">',								
 									'<p class="s-content-top-right-repay">可提前还款</p>',								
 								'</div>',
 							'</div>',
 							'<div class="s-content">',
 								'<div class="s-content-left">',
 									'<h4>分期类型</h4>',									
 									'<h4>分期本金</h4>',
 									'<h4>剩余本金</h4>',
 									'<h4>剩余手续费</h4>',
 									'<h4>年化费率</h4>',
 									'<h4>贷款到期日</h4>',
 								'</div>',
 								'<div class="s-content-right">',
 									'<h4>',App.getInstType(MpType),'</h4>',									
 									'<h4>${item.MpAmt|formatterMoney}</h4>',
 									'<h4>${item.RemPpl|formatterMoney}</h4>',
 									'<h4>${item.RemFee|formatterMoney}</h4>',
 									'<h4>${item.LoanRate|fmtPercent2}</h4>',
 									'<h4>${item.LoanDate}</h4>',
 								'</div>',
 							'</div>',
 						'</div>'						
 				];			
        	}else {//已出账单（可提前还款处理） 未出账单（可提前还款）
        		imTpl = [
						'<div class="timeline-content">',
							'<div class="s-content-top">',
								'<div class="s-content-top-left">',
									'<h4>${item.BegYm}</h4>',
								'</div>',
								'<div class="s-content-top-right">',								
									'<p class="s-content-top-right-repay">可提前还款</p>',								
								'</div>',
							'</div>',
							'<div class="s-content">',
								'<div class="s-content-left">',
									'<h4>分期类型</h4>',
									'<h4>分期期数</h4>',
									'<h4>分期本金</h4>',
									'<h4>总手续费</h4>',
								'</div>',
								'<div class="s-content-right">',
									'<h4>',App.getInstType(MpType),'</h4>',
									'<h4 style="color: RGB(255,111,0);">${item.MpMths|fmtNumber,"0"}期</h4>',
									'<h4>${item.MpAmt|formatterMoney}</h4>',
									'<h4>${item.FeeAmt|formatterMoney}</h4>',
								'</div>',
							'</div>',
						'</div>'						
				];
        	}     	
	        var timerGlider = new Fw.TimerGlider({
	            contentEl: 'timeline',
	            ajax: {
//	            	pageSize: 10,
	            	service: serviceName,
	            	method: methodName,
	            	params : parameters,
	            	page: false,
	            	staticData: false
	            },
	            pullRefresh: false,
	            groupField: 'date',
	            groupHeaderTpl: [
	                    '${item.date}月'
                ],
                 //下拉刷新（默认false）
                pullRefresh: false,
	            itemTpl:imTpl
	        });
	        //每行记录点击事件
	        timerGlider.on('itemclick',App.onItem);
	        //加载数据
	        timerGlider.loadData();
	    },
	    /**
	     * 点击记录触发事件
	     */
	    onItem: function(record, index, item, e, cmp){
	    	curItem = record;
			//当前节点
			var currentTarget = $(e.currentTarget);
			//兄弟节点
			var nextTarget = currentTarget.next();
			//curQryType 1:可提前还款; 2:可撤销还款 ;   curMpType A:灵活分期; Y:账单分期; B:现金分期;
//			item.Status == "40" || item.Status == "90" || item.Status == "91"
			if(curQryType == '2' && curMpType == 'Y'){
				var f = false;
				switch (record.Status) {
				case "40":
					f = true;
					break;
				case "90":
					f = true;
					break;
				case "91":
					f = true;
					break;
				default:
					break;
				}
				if(f){
					return;
				}
			}
			if(curQryType == '2' && curMpType == 'A'){
				if(record.Status!="N"){
					return;
				}
			}
        	if('B' == curMpType){//现金分期  单走
        		cashData=record;
        		App.toCashPreRepay(record);
        	}else{
        		App.toThirdStep(record);	        		
        	}					
        },
        /**
         * 获取余额信息
         */
        changeRepayNo : function(){        	
			var _noCredit = _noCredits[$('#repayNo option:selected').val()];
			if(_noCredit.BankAcType == "PCRC"){//付款账号为信用卡
				$('#creditLab').show();
				$('#noCreditLab2').hide();
				$('#noCreditLab').hide();
				var No = _noCredit.No;
				//测试数据
//				No = '6228168210001101';
				App.queryAjax('installmentService', 'queryCreditAcctInfo', {'account_No':No}, function(data){
					balance = data.Balance;					
					if(data.BalanceFlag=="+"){ //信用卡欠费
						balance = data.Balance;
						$('#balanceState').text("*您本期归还总金额"+realRepayAmount+"元，其中归还本金"+repayAmount+"元，当期手续费"+FtrFee+"元，信用卡透支"+addComma(Balance)+"元。");
		    		}else{ //信用卡溢缴
		    			balance = 0;
		    			$('#balanceState').text("*您本期归还总金额"+realRepayAmount+"元，其中归还本金"+repayAmount+"元，当期手续费"+FtrFee+"元。");
		    		}					
				});
    		}else {
    			$('#creditLab').hide();
    			$('#noCreditLab2').show();
				$('#noCreditLab').show();
    			var parameters = {
    					'account_No' : _noCredit.No,
                        'account_bankAcType' : _noCredit.BankAcType,
                        'subAccount_type' : '',
                        'subAccount_seq':'',
                        'subAccount_No':'',
                        'code':'',
                        'cRFlag':''
                };
    			App.queryBalance(parameters, function(data){
//    				balance = data.AvailBal;    				
                	$("#balance").text(data.AvailBal);
    			});
    		}			
		},
        /**
         * 查询余额
         */
        queryBalance : function(parameters,callback){
        	this.queryAjax('helperService', 'queryBalance', parameters, callback);       		
        },
        queryBalanceCash : function(){
        	var curCredit = credits[$('#criditNo option:selected').val()];
        	var curCard = _noCredits[$('[name=repayCashCard] option:selected').val()];
        	if(curCard.No==curCredit.No){
        		$("[name=balanceCash]").text(BalanceFlag+creditBalance);
        	}else{       		
        		var parameters = {
    					'account_No' : curCard.No,
                        'account_bankAcType' : curCard.BankAcType,
                        'subAccount_type' : '',
                        'subAccount_seq':'',
                        'subAccount_No':'',
                        'code':'',
                        'cRFlag':''
                };
        		this.queryAjax('helperService', 'queryBalance', parameters, function(data){
//        			balance = data.AvailBal;    				
                	$("[name=balanceCash]").text(data.AvailBal);
        		});
        	}
        },
        /**
         * executeAjax
         */
        executeAjax : function(serviceName, methodName, parameters, callback){
        	Fw.util.Ajax.execute({               
                service: serviceName,
                method: methodName,
                //请求参数
                params: parameters,   
                staticData: false,
                //loadMask: true,
                //是否使用数据挡板（默认false）
                success: function(data, result) {
               	 	exeCallback(data,callback);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        /**
         * queryAjax
         */
        queryAjax : function(serviceName, methodName, parameters, callback){
        	Fw.util.Ajax.query({               
                service: serviceName,
                method: methodName,
                //请求参数
                params: parameters,   
                staticData: false,
                //loadMask: true,
                //是否使用数据挡板（默认false）
                success: function(data, result) {
               	 	exeCallback(data,callback);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        /**
         * 比较
         */
        equalV : function(v1, v2){
        	if(v1 == v2){
        		return true;
        	}
        	return false;
        },
        /**
         * 分期类型
         */
        getInstType : function(v){
        	if(v == 'A'){
        		return "灵活分期";
        	}else if(v == 'B'){
        		return "随心分";
        	}else{
        		return "账单分期";
        	}
        },
        /**
         * 现金分期提前还款
         */
        toCashPreRepay: function(record){
//        	$('#creditRemindLab').hide();
        	//分期付款序号(当前选择的)
        	curMpNo = record.MpNo;
        	var queryType = $('input[name=queryType]:checked').val();
        	var MpType = $('input[name=MpType]:checked').val();
        	$('#cardNoCash').text($('#criditNo option:selected').text());
        	var curCredit = credits[$('#criditNo option:selected').val()];
        	this.MCCreditAcctInfoQry(curCredit,record);       	
        },
        MCCreditAcctInfoQry: function(curCredit,record){
        	App.queryAjax('installmentService', 'queryCreditAcctInfo', {'account_No':curCredit.No}, function(data){
				balance = data.Balance;					
				if(data.BalanceFlag=="+"){ //信用卡欠费
					balance = data.Balance;					
	    		}else{ //信用卡溢缴
	    			balance = 0;
	    		}
				BalanceFlag = data.BalanceFlag;
	    		creditBalance = data.Balance;	    		
	    		//分期本金
	    		var MpAmtCash = Fw.util.Format.formatterMoney(record.MpAmt);
	        	//剩余本金
	    		var RemPplCash = Fw.util.Format.formatterMoney(record.RemPpl);
	        	//当前剩余手续费
	    		var FtrFeeCash = Fw.util.Format.fmtAmt(Fw.util.Format.formatterMoney(record.RemFee));
	        	//贷款到期日
	    		var LoanDateCash = record.LoanDate;
	        	//还款卡号  加上本张信用卡
	    		$('[name=MpAmtCash]').text(MpAmtCash);
	    		$('[name=RemPplCash]').text(RemPplCash);
	    		$('[name=FtrFeeCash]').text(FtrFeeCash);
	    		$('[name=LoanDateCash]').text(LoanDateCash);
	    		//默认归还本金金额repayAmountCash
	    		cashRepayForm.setValues({"repayAmountCash":RemPplCash});
	    		$('#repayCashCard').html("");
	        	_noCredits = [];
	        	var allCards = Fw.app.Session.getAllCards();
	    		for(var i=0; i<allCards.length; i++){
	        		if(allCards[i].BankAcType == "PDBC"){//借记卡
	        			_noCredits.push(allCards[i]);			
	        		}
	        	}
	    		installment.appendOptionToSelectCardNo('repayCashCard',_noCredits,'No',null);   		
	    		//添加  本卡信用卡还款        	            		
	        	$('[name=repayCashCard]').append('<option value="'+_noCredits.length+'">'+Fw.util.Format.fmtAcctNo(curCredit.No,true)+'</option>');
	        	_noCredits.push(curCredit);
	        	//提示
	        	//可用余额
	        	if(_noCredits.length<=0){
	        		Fw.Msg.info('无可用账户!');
	        		return;
	        	}
	        	App.queryBalanceCash();
	        	$('#secondStep').addClass('sui-hide');
	        	$('#cashStep').removeClass('sui-hide');
	        	//手动隐藏等待层
	            Fw.LoadMask.hide(500);
			});
        },
        onChangeCash : function(name, value, oldValue, field){
        	if(name=='repayCashCard'){
        		App.queryBalanceCash();      		
        	}else if(name=='repayAmountCash'){
        		var real = 0;        		
        		var realRepayAmt = Number(Fw.util.Format.unFmtAmt(value)) + Number(App.formatterMoney(cashData.RemFee)) + Number(balance);
        		if(Number(balance) != 0){
        			real="您本期归还总金额"+Fw.util.Format.fmtAmt(realRepayAmt)+"元，其中归还本金"+value+"元，当期手续费"+$('[name=FtrFeeCash]').text()+"元，信用卡透支"+creditBalance+"元。";
        		}else{
        			real="您本期归还总金额"+Fw.util.Format.fmtAmt(realRepayAmt)+"元，其中归还本金"+value+"元，当期手续费"+$('[name=FtrFeeCash]').text()+"元。";
        		}
        		$('#creditRemindCash').text(real);
        		$('[name=realRepayAmtCash]').text(Fw.util.Format.fmtAmt(realRepayAmt));
      		
        	}
        },
        /**
    	 * 金额单位分转元
    	 */
    	formatterMoney: function(money){
    		var moneyNum = (Number(money)/100.0).toFixed(2);
    		return moneyNum;
    	},
        /**
         * 点击按钮时触发
         */
        onButtonClick: function(e){
            switch(e.target.id){
                case 'query-btn':
                	queryForm.submit();
                    break;               
                case 'back-btn':
                	$('#thirdStep').addClass('sui-hide');
                	$('#secondStep').removeClass('sui-hide');
                	break;
                case 'subCash-btn':
                	App.toCashStepCmf();
                	break;
                case 'subCashCmf-btn':
                	cashRepayFormCmf.submit();
                	break;
            }
        },
        toCashStepCmf: function(){
        	if(Number(Fw.util.Format.unFmtAmt($('[name=repayAmountCash]').val()))<=0){
        		Fw.Msg.info("归还本金不能小于或等于0");
				return;
        	}
        	var curCredit = credits[$('#criditNo option:selected').val()];
        	var curCard = _noCredits[$('[name=repayCashCard] option:selected').val()];
        	var balanceCash = $('[name=balanceCash]').text();
        	if(!Fw.isEmpty(balanceCash)&&!Fw.isNumber(Fw.util.Format.unFmtAmt(balanceCash))){
        		Fw.Msg.info("请查询可用余额，余额不足无法进行提前还款");
				return;
        	}
        	var bBalance = Number(balanceCash);
        	if(curCard.No==curCredit.No){
        		if(BalanceFlag == "+"){
        			Fw.Msg.info("当前信用卡欠费，无法还款");
					return;
				}else{
					bBalance = Number(creditBalance);
				}
        	}
        	if(Number(Fw.util.Format.unFmtAmt($('[name=realRepayAmtCash]').text())) > bBalance){
        		Fw.Msg.info("您的余额不足");
				return;
			}
        	$('#cardNoCash1').text($('#criditNo option:selected').text());
        	$('[name=MpAmtCash1]').text($('[name=MpAmtCash]').text());
        	$('[name=RemPplCash1]').text($('[name=RemPplCash]').text());
        	$('[name=FtrFeeCash1]').text($('[name=FtrFeeCash]').text());
        	$('[name=LoanDateCash1]').text($('[name=LoanDateCash]').text());
        	$('[name=repayCashCard1]').text($('[name=repayCashCard] option:selected').text());
        	$('[name=balanceCash1]').text($('[name=balanceCash]').text());
        	$('[name=repayAmountCash1]').text($('[name=repayAmountCash]').val());
        	$('[name=realRepayAmtCash1]').text($('[name=realRepayAmtCash]').text());
        	//确认页面
        	var task = new Fw.util.DelayedTask(function(){
        		$('#cashStep').addClass('sui-hide');
            	$('#cashStepCmf').removeClass('sui-hide');
        	});
            task.delay(1000);        	
        },
        submitCash: function(values){
        	Fw.Msg.cfm("您确定进行提前还款操作?", function(code, btn, win){
    			if(App.equalV(code, 'yes')){
    				
    				if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
    	        		var clearData = App.getSignDataforBluetoothKey();
    	        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
    	        				function(data){
    	        			bluetoothKeySignatureData = data;
    	        			App.doSumbitCash(values, function(data){
    	            			App.showResultApply(data);
    	            		});
    	        			});
    	        	}else{
    	        		App.doSumbitCash(values, function(data){
                			App.showResultApply(data);
                		});
    	        	}

    			}
    		});  
        },
        
        /**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKey: function(){
        	var credit =  credits[$('#criditNo option:selected').val()];
        	//交易参数
        	var data = {
        			tradeName: "查询/还款/撤销", //交易名
        			tradeId: "executeMCCashAmortRepayApply", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "BankAcType", labelDesc: "信用卡卡号: ", labelValue: credit.No
			            },{
			            	labelName: "MpAmtCash", labelDesc: "分期本金: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("[name=MpAmtCash]").text()))
			            }, {
			            	labelName: "RemPplCash", labelDesc: "剩余本金: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("[name=RemPplCash]").text()))
			            }, {
			            	labelName: "FtrFeeCash",labelDesc: "当前剩余手续费: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("[name=FtrFeeCash]").text()))
				        },{
			            	labelName: "LoanDateCash", labelValue: $("[name=LoanDateCash]").text()
			            }, {
			            	labelName: "RepayCashCard", labelDesc: "还款卡号: ", labelValue:_noCredits[$('[name=repayCashCard] option:selected').val()].No
			            }, {
			            	labelName: "BalanceCash",labelDesc: "可用余额: ", labelValue: $("[name=balanceCash]").text()
				        }, {
			            	labelName: "RepayAmountCash",labelDesc: "归还本金: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("input[name=repayAmountCash]").val()))
				        }, {
			            	labelName: "RealRepayAmtCash",labelDesc: "实际还款金额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("[name=realRepayAmtCash]").text()))
				        } ]
        	};
        	return data;
        },
        
        doSumbitCash: function(values, callback){
        	var credit = credits[$('#criditNo option:selected').val()];
        	var MpAmt = Fw.util.Format.unFmtAmt($('[name=repayAmountCash]').val())+"";
        	MpAmt = Fw.util.Format.fmtNumber(MpAmt,'0.00');
        	MpAmt = MpAmt.replace(".","");//分
			var repayCard =  _noCredits[$('[name=repayCashCard] option:selected').val()];
			var BankAcType = repayCard.BankAcType;
			var PinFlag="";
			var Pin="";
			var TrsPassword="";
			var Amount="";
			//测试
//			repayCard.No = '6228168210001101';
//			credit.No = '6228168210001101';
			var flag = (repayCard.No == credit.No);
			if(flag){
				BankAcType = "PCRC";
				PinFlag = "2";
				Pin = values.transPwdRepay1;
				TrsPassword = "";
				Amount="0";
			}else{
				BankAcType = "PDBC";
				PinFlag = "0";
				Pin = "";
				TrsPassword = values.transPwdRepay1;
				Amount=Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('[name=realRepayAmtCash]').text()),'0.00');//元
			}
			parameters = {
					'PayerAcc':credit.No,
					'PinFlag':PinFlag,
					'Pin':Pin,
					'MpNumber':curMpNo,
        			'InpDate':curItem.BegYm,
        			'EndDate':curItem.LoanDate,
        			'MpAmt':MpAmt,
        			'AccountNo':repayCard.No,
        			'Code':credit.Currency.Code,
       				'Amount':Amount,
       				'TrsPassword':TrsPassword,
       				'PayForType':'01',
       				'BankAcType':BankAcType,
       				SignCert:bluetoothKeySignatureData.signCert, //证书
					SignatureCleartext:bluetoothKeySignatureData.signatureCleartext,
					SignatureCiphertext:bluetoothKeySignatureData.signatureCiphertext
       			};
			parameters.isOtp='0';
        	    
			this.executeAjax('installmentService', 'executeCashRepayApply', parameters, callback);     		    
        },
        /**
         * 右上角返回键重写
         */
        leftButtonHandler : function(){
        	//返回时清空表单
        	if(form && ($('#thirdStep').attr("class") == null || $('#thirdStep').attr("class").indexOf('sui-hide') == -1)){
        		if(form.contentEl=="formCancle"){
        			form.reset("transPwdCancle");
        			$("[name=transPwdCancle]").attr("placeholder","请输入交易密码");
        		}else if(form.contentEl=="formRepay"){
        			form.reset("repayAmt");
        			$("[name=repayAmt]").attr("placeholder","请输入还款金额");
        			form.reset("transPwdRepay");
        			$("[name=transPwdRepay]").attr("placeholder","请输入交易密码");
        		}
        	}
        	if(cashRepayFormCmf){
        		cashRepayFormCmf.reset("transPwdRepay1");
    			$("[name=transPwdRepay1]").attr("placeholder","请输入交易密码");
        	}
        	var list = [
        	            $('#firstStep'), $('#secondStep'), $('#thirdStep'),$('#cashStep'), $('#cashStepCmf')
        	            ];
//        	installment.handerBack(list);
        	var index = 0;
        	for(var i=0; i<list.length; i++){
        		if(list[i].attr("class") == null || list[i].attr("class").indexOf('sui-hide') == -1){
        			index = i;
        		}
        	}
        	if(index==0){
        		Fw.device.Device.gotoIndex();
			}else if(index==3){
				list[index].addClass('sui-hide');
				list[index-2].removeClass('sui-hide');
			}else{
				list[index].addClass('sui-hide');
				list[index-1].removeClass('sui-hide');
			}
        }
	}
}();
function exeCallback(data,callback){
	callback(data);
}
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);