/**
 * 选项卡#子页面1：修改
 */
App.Modify = function() {
	var formModify;
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	if(!formModify){
        		formModify = new Fw.Form({
                    contentEl : 'formModify',                    
                    resettable: false,                    
                    msgTarget: 'tips'
                });
        		formModify.on('submit', this.doSubmit, this);
        	}
        	//绑定监听事件，不重复绑定事件
        	if(!this.record){
        		this.initEvents();
        	}
        	if(!Fw.isEmpty(params)){
        		this.record=params;
        		this.initData();
        	}
        },
        initData: function(){
        	console.log('record',this.record);
        	if(this.record.RemainedDate!=null && this.record.RemainedType!=null){
        		var RemainedDate = this.record.RemainedDate;
            	var RemainedTypeArr = this.record.RemainedType.split('');
            	
            	var RemainedType=[];
            	for(var i=0;i<RemainedTypeArr.length;i++){
        			if(RemainedTypeArr[i]=='1'){
        				RemainedType.push(i+1);
        			}
        		}
            	var card = this.record.card;
            	this.initSelect(RemainedDate);
            	formModify.setValues({
            		'cardNo':card.No,
            		'RemainedDate':RemainedDate,
            		'RemainedType':RemainedType
            	});
        	}else {
        		var card = this.record.card;
            	this.initSelect('01');
            	formModify.setValues({
            		'cardNo':card.No
            	});
        	}
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('#back1-btn').on('click',this.back);
        	$('#submit-btn').on('click',function(){
        		formModify.submit();
        	});
        },
        /**
         * 提交表单
         */
        doSubmit: function(values){
        	var AcNo = this.record.card.No;
        	var RemainedDate = $('[name=RemainedDate] option:selected').val();
        	var RemainedType = values.RemainedType;
        	var RemainedType1 = '';       	
        	var RemainedType2 = '';
        	if(RemainedType == null){
        		Fw.Tips.info("请选择提醒方式！");
        		return;
        	}
        	for(var i=0;i<RemainedType.length;i++){
        		RemainedType1 = RemainedType1 + RemainedType[i];
    		}
        	if(RemainedType1=='1'){
        		RemainedType2 = '100';
        	}else if(RemainedType1=='2'){
        		RemainedType2 = '010';
        	}else if(RemainedType1=='3'){
        		RemainedType2 = '001';
        	}else if(RemainedType1=='12'){
        		RemainedType2 = '110';
        	}else if(RemainedType1=='13'){
        		RemainedType2 = '101';
        	}else if(RemainedType1=='23'){
        		RemainedType2 = '011';
        	}else if(RemainedType1=='123'){
        		RemainedType2 = '111';
        	}else {
        		RemainedType2 = '000';
        	}       	       	
        	var Option = "L";//L:　　本币             I:　　外币
        	
        	var parameters = {
        			AcNo:AcNo,
        			RemainedDate:RemainedDate,
        			RemainedType:RemainedType2,
        			Option:Option
        	};
        	App.tool.executeAjax('creditCardManageService', 'executeRemindRepaySettting', parameters, function(){
        		Fw.Msg.info('还款提醒设置成功！', function(){
        			Fw.device.Device.gotoIndex();
                });      		
        	});      	
        },
        /**        
         * @param selected ： '01'
         * @returns
         */
        initSelect: function(selected){
        	$('[name=RemainedDate]').html('');
        	var sel = Number(selected);
        	var html = '';
        	for(var i=1;i<=31;i++){ 
        		if(i==sel){
    				html = html + '<option value="'+this.fmtNumber(i)+'" selected>每月'+this.fmtNumber(i)+'日</option>';
    			}else{
    				html = html + '<option value="'+this.fmtNumber(i)+'">每月'+this.fmtNumber(i)+'日</option>';
    			}
        	}
        	$('[name=RemainedDate]').append(html);
        },
        /**
         * 2位数
         * @returns
         */
        fmtNumber: function(v){
        	var s=v+'';
        	if(v<10){
        		s='0'+s;
        	}
        	return s;
        },
        back: function(){
    		App.show={abc:1};
    		App.tab.setActiveItem(0);
    	}
    };
}();