/**
 * 选项卡#子页面1
 */
App.query = function() {
	var queryForm;
	var cards;//信用卡
	var openStatus="0";//开通状态	
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '小额免密',
            /**
             * 右边按钮
             */
            rightButton: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!this.record){
        		this.initEvents();
        	}
        	if(Fw.isEmpty(App.params)){
	        	this.record = true;
	        	this.initData();
        	}
        },
        initAccount: function(){
        	//初始化信用卡卡号
            $('[name="creditCard"]').empty();
        	var allCards = Fw.app.Session.getAllCards();
        	cards = [];
        	var j=0;
        	for(var i=0;i<allCards.length;i++){
        		var card = allCards[i];
    			if(card.BankAcType == "PCRC"){
    				cards.push(card);
    				$('[name="creditCard"]').append("<option value="+j+">"+Fw.util.Format.fmtAcctNo(card.No, true)+"</option>");
    				j++;
    			}
        	}
        	if(j == 0){
        		Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
             			 function(code, btn, win){
  							if(code == "yes"){
  								Fw.redirect('../../account/adddowncard/adddowncard.html');
  							}else{
  								Fw.device.Device.gotoIndex();
  							}
             	 		}
      			);
    		}
        },
        initData: function(){        	
        	this.initAccount();
            if(!queryForm){
            	queryForm = new Fw.Form({
                    contentEl : 'queryForm',
                    resettable: false,
                    msgTarget: 'tips'
                });
            	queryForm.on('submit', this.toModify, this);
        		queryForm.on('change', this.onChange, this);
            }       	  		         	
        	//开通状态
        	this.queryOpenStatus(cards[queryForm.getValues("creditCard")],queryForm.getValues("manageType"));
        },
        initEvents: function(){       	
        	$("#toModify-btn").on('click',function(){
        		queryForm.submit();
        	});
        },
        onChange: function(name, value, oldValue, field){
            if(name=="manageType"||name=="creditCard"){
            	this.queryOpenStatus(cards[queryForm.getValues("creditCard")],queryForm.getValues("manageType"));
            }
        },
        /**
         * 查询开通状态MCCreditTransManageQuery
         */
        queryOpenStatus: function(card,manageType){
        	Fw.util.Ajax.query({
                service: 'creditCardManageService',
                method: 'queryCreditTransManage',
                params: {
                	PayerAcc: card.No,
                	BankAcType:"PCRC"
                },
                staticData: false,
                success: function(data, result) {
                    console.log(data);
                    var UnQPass = data.UnQPass;//0：默认1：禁止2：允许
                    openStatus = UnQPass=="0" || UnQPass=="1" ? "1" : "2";
                    UnQPass = UnQPass=="0" ? "默认" : UnQPass=="1" ? "关闭" : "开通";
                    $("#openStatus").text(UnQPass);
                },
                failure: function(status, textStatus, error) {
                    
                }
            });
        },
        toModify: function(values){
        	App.params = {
        			manageType: values.manageType=="0" ? "银联境内小额免密":"--",
        			card: cards[values.creditCard],
        			openStatus: openStatus
        	};
        	App.tab.setActiveItem(1);
        }
    };
}();