/**
 * 创建应用
 */
var App = function() {
	var formQry;//查询表单
    var d = 0;
    var billHeadInfos = new Array();//当前卡片 账单头信息
    var WCBill = null;//第一个账单  未出账单
    var curBill = 0;//当前卡片    显示3个
    var tool,credits,tab;
    var card;//当前卡
    var backUrl;//参数  返回url
    return {
        /**
         * 依赖组件
         */
        requires : [
            'Fw.TimerGlider',
            'Fw.app.Session',
            'Fw.Keyboard',
            //日历组件
            'Fw.Calendar',
            'Fw.Tab',
            'Fw.Form',
            '../util/CardUtil'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '我的账单',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮'
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton: {
                //按钮标题
                text: 'searchico'
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) { 
        	//加载公共方法
        	tool = new Fw.CardUtil();
        	//定义选项卡
            tab = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab',
                //默认选项卡（默认0）
                activeTab: 0
            });
            formQry = new Fw.Form({            
                contentEl : 'formQry',
                resettable: false,
                msgTarget: 'tips'
            });
            var parameters = null;
            var params = Fw.decode(Fw.getParameters());
            this.initAccount(params);
        },
        initAccount: function(parameters){
        	$('[name=cardNo]').empty();
        	$('[name=cardNoTop]').empty();
        	Fw.util.Ajax.query({
                service: 'accountService',
                method: 'queryMobileDefaultActsQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {
                	
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
                //请求成功后回调
                success: function(c, result) {
                    //账户列表
                  	var cards = c.AcList;
                  	credits = [];
                	var html = "";
                	var j=0;
                	for(var i=0;i<cards.length;i++){
                		var card1 = cards[i];
            			if(card1.BankAcType == "PCRC"){
            				credits.push(card1);
            				var flog = (!Fw.isEmpty(parameters) && cards[i].No == parameters.No) || (Fw.isEmpty(parameters)&&j==0);
            				if(flog){// 参数  或者 第一个
            					html = html + '<option value="'+j+'" selected>'+Fw.util.Format.fmtAcctNo(cards[i].No,true)+'</option>';
            				}else {
            					html = html + '<option value="'+j+'">'+Fw.util.Format.fmtAcctNo(cards[i].No,true)+'</option>';
            				}
            				j++;   				
            			}
                	}
                	if(j == 0){
                		Fw.Msg.cfm("未绑定信用卡，是否立即绑定", 
                      			 function(code, btn, win){
           							if(code == "yes"){
           								Fw.redirect('../../account/adddowncard/adddowncard.html');
           							}else{
           								Fw.device.Device.gotoIndex();
           							}
                      	 		}
               			);
                		Fw.LoadMask.hide();
            		}
                	$('[name=cardNo]').append(html);
                	$('[name=cardNoTop]').append(html);
                	card = credits[$('#cardSel option:selected').val()];
                	App.initData({'acNo' : credits[$('#cardSel option:selected').val()].No});
                	App.initEvents();
                }
        	});
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	formQry.on('change', this.onChange, this);
        	formQry.on('submit',this.doQuery,this);       	
        	
//        	账单查询
        	$('#subQry-btn').on('click',function(){
        		formQry.submit();
        	});
        	
        	$('#WC-repay').on('click',function(){
        		var params = {
        				No : card.No,
        				backUrl : '../my_credit_bill/myCreditBill.html'
        		};
        		Fw.redirect("../repayment/repaymentForMe.html", Fw.encode(params));
        	});
        	
        	$('#YC-repay').on('click',function(){
        		var params = {
        				No : card.No,
        				backUrl : '../my_credit_bill/myCreditBill.html'
        		};
        		Fw.redirect("../repayment/repaymentForMe.html", Fw.encode(params));
        	});
        	
        	$('#YC-inst').on('click',function(){
        		var params = {
        				No : card.No,
        				backUrl : '../my_credit_bill/myCreditBill.html'
        		};
        		Fw.redirect("../installment/haveBillInstApply.html", Fw.encode(params));
        	});
        	
        	$('#cardSel').on('change',Fw.bind(App.selectCardNo,this));
        },
        /**
         * 选择卡号
         */
        selectCardNo : function(){
        	var params = {No: credits[$('#cardSel option:selected').val()].No};
        	Fw.redirect("./myCreditBill.html",Fw.encode(params));
        },
        initData : function(parameters){
        	this.initQryData();
        	parameters.operation = '';
        	this.initBilldata(parameters);              	
        },
        doQuery: function(values){
        	$('.swipe-content').html('');
        	$('#timeline').html('');
        	billHeadInfos = new Array();//当前卡片 账单头信息
        	card = credits[$('[name=cardNo] option:selected').val()];
        	curBill = 0;// 默认0
        	var date = $('[name=billDate]').val();
        	var curTranYM = $('[name=billDate]').val()+"/01";
        	curTranYM = Fw.util.Format.fmtDate(curTranYM,'yyyy-MM-dd');
        	var BillType = values.BillType;
        	if(BillType=='1'&&(date==null||date==undefined||date=='')){
        		Fw.Tips.info('请选择账单日期!');
        		return;
        	}
         	var parameters = {
        			acNo: card.No,
        			TranYM: curTranYM,
        			BillType: BillType,
        			operation: 'query'//操作
        	};
         	this.initBilldata(parameters);
         	tab.setActiveItem(0);
        },
        /**
         * 初始加载3个
         */
        initBilldata : function(parameters){
        	tool.queryAjax('myCreditCardBillService', 'queryBillHeadInfoList', parameters, function(data){
        		App.initSilderData(data,parameters);
        	},function(error){
        		Fw.Msg.info(error, function(){
        			Fw.device.Device.gotoIndex();        			
                });
        	});
        },
        /**
         * 滑动数据初始化
         */
        initSilderData : function(data,parameters){       	
        	var sliderUL = $('.swipe-content');
        	var right = 15;
        	
        	for(var i=data.length-1; i>=0; i--){
        		/*
        		 * 大于1时，默认展示已出账单，其他只展示未出账单
        		 */
        		if(data.length>1){
        			right = 15 + 79.5 * i - 79.5;
            	}else {
            		right = 15 + 79.5 * i;
            	}
        		
        		var html =  "";
        		var BillType = data[i].BillType;
        		if('WC'==BillType){
        			html = this.getWCBillHeadInfoLi(data[i],right + "%");
        		}else{
        			html = this.getYCBillHeadInfoLi(data[i],right + "%");
        		}      		
        		sliderUL.append(html);
        		billHeadInfos.unshift(data[i]);
        	}

        	if('query'==parameters.operation && '1'==parameters.BillType){//查询
				this.updataBillHeaderTopInfo(data[1]);
				var parameters = {
	            		'account_No' : data[1].No,
	            		'BankAcType' : 'PCRC',
	            		'flag' : '1',
	            		'transYM' : data[1].TranYM,
	            		'CycleNbr' : data[1].CycleNbr
	            	};
				curBill = 1;
	            this.getTimerGlider(parameters);
	            $('#WCbtn').hide();
	            $('#YCbtn').show();
        	}else if('query'==parameters.operation && '0'==parameters.BillType){
        		var lis = $('.swipe-content').find('li');
				//滑动
				for(var i=lis.length-1;i>=0;i--){
					var d = 79.5;
					 var right = Fw.util.Format.unFmtPercent($(lis[i]).css('right'));
	            	 $(lis[i]).css({"right": right + 79.5 + "%"});
                }
        		this.updataBillHeaderTopInfo(data[0]);
        		var parameters = {
                		'account_No' : data[0].No,
                		'BankAcType' : 'PCRC',
                		'flag' : '0',
                		'CycleNbr' : data[0].CycleNbr
                	};
                this.getTimerGlider(parameters);
                curBill = 0;
                $('#WCbtn').show();
	            $('#YCbtn').hide();
        	}else{
        		WCBill = data[0];
        		if(data.length>1){
        			this.updataBillHeaderTopInfo(data[1]);
            		var parameters = {
    	            		'account_No' : data[1].No,
    	            		'BankAcType' : 'PCRC',
    	            		'flag' : '1',
    	            		'transYM' : data[1].TranYM,
    	            		'CycleNbr' : data[1].CycleNbr
    	            	};
    				curBill = 1;
                    this.getTimerGlider(parameters);
                    $('#WCbtn').hide();
    	            $('#YCbtn').show();
            	}else {
            		this.updataBillHeaderTopInfo(data[0]);
            		var parameters = {
                    		'account_No' : data[0].No,
                    		'BankAcType' : 'PCRC',
                    		'flag' : '0',
                    		'CycleNbr' : data[0].CycleNbr
                    	};
                    this.getTimerGlider(parameters);
                    $('#WCbtn').show();
    	            $('#YCbtn').hide();
            	}
        	}
        	//添加滑动监听
        	this.initSilder(data);        	
        },
        /**
         * 加载时间轴
         * 查询账单明细
         * flag 0 未出账单     1已出账单
         * transYM 在后台处理
         * timeStatus 0不变 1月份+1  -1月份-1
         * parameters = {account_No BankAcType : "PCRC" transYM :"YYYY-MM-DD" timeStatus flag}
         */
        getTimerGlider: function(parameters){
        	 var timerGlider = new Fw.TimerGlider({
 	            contentEl: 'timeline',
 	            ajax: {
 	            	page: false,
 	            	service: 'myCreditCardBillService',
 	            	method: 'queryMyCreditCardBillInfo',
 	            	params: parameters,
 	            	staticData: false
 	            },
 	            groupField: 'ValDate',
 	            groupHeaderTpl: [
 	                        '${item.ValDate}月'
                 ],
                  //下拉刷新（默认false）
                 pullRefresh: false,
 	            itemTpl:[
 						'<div class="timeline-content">',
 							'<div class="content-left">',
 								'<h4 class="ui-nowrap">${item.ValDay}日</h4>',					
 							'</div>',
 							'<div class="content-right">',
 							'{@if item.amtType == 0}',
 								'<h4 class="ui-nowrap outlay">¥ -${item.TransAmt}</h4>',
 							'{@else}',
 								'<h4 class="ui-nowrap income">¥ ${item.TransAmt}</h4>',
 							'{@/if}',
 							'</div>',
 						'</div>',
	 					'<div class="content-left-title"><h4 class="ui-nowrap-titile">${item.DESLINE1}${item.DESLINE2}</h4></div>',
 						'<div class="content-detail content-detail-bill">',
 							'<h4>记账时间:${item.TransDate} ${item.TransTime}</h4>',
 							'<h4 class="notice">备注:${item.DESLINE1}${item.DESLINE2}</h4>',
 							'{@if item.Type == "WC"}',
 								'{@if item.inst == "0"}',
 									'<button class="timeline-button ui-btn-r" id="aaa">申请分期</button>',
 								'{@/if}',
 							'{@/if}',
 						'</div>'
 				]
 	        });       
	        //每行记录点击事件
	        timerGlider.on('itemclick',this.onItem);
	        //加载数据
	        timerGlider.loadData();
	    },
	    /**
	     * 点击记录触发事件
	     */
	    onItem: function(record, index, item, e, cmp){
	    	//绑定申请分期事件
			if($(e.target).hasClass('timeline-button') && $(e.target).hasClass('ui-btn-r')){
				App.applyPay(this,record);
			}else{
				//当前节点
				var currentTarget = $(e.currentTarget);
				//子节点
				var nextTarget = currentTarget.children('.content-detail');
				//动画
				nextTarget.toggle();
			}
			//绑定申请分期事件
			// $('.content-detail button').on('click',Fw.bind(App.applyPay,this,[record],true))
        },
        /**
         * 申请分期事件(灵活分期)
         * @param e 当前事件
         * @param record 当前记录数据
         */
        applyPay:function(e,record){
        	var params = {
        			No : card.No,
        			TransJNL : record.TransJNL,       			
        			backUrl : "../my_credit_bill/myCreditBill.html"
        	};
        	Fw.redirect("../installment/unsettledBillInstApply.html", Fw.encode(params));
        },
        /**
         * 查询账单头信息
         * PinFlag 0：不检查密码1：检查卡片级查询密码2：检查取款密码3：检查客户级查询密码
         * Option L:　　本币 I:　　外币
         * TranYM ： "YYYY-MM-DD" 在后台处理
         * timeStatus 0不变 1月份+1  -1月份-1
         * flag 0 未出账单     1已出账单
         * parameters = {AcNo PinFlag Password TranYM timeStatus Option flag}
         */
        queryBillHeadInfo : function(parameters,right){
        	tool.queryAjax('myCreditCardBillService', 'queryBillHeadInfo', parameters, function(data){
        		if(parameters.timeStatus == '-1'){
                	App.appendToUIPre(data,right);
                }
                if(parameters.timeStatus == '1'){
                	App.appendToUI(data,right);
                }            
        	},function(error){
        		//Fw.Msg.info(error);
        		var lis = $('.swipe-content').find('li');
        		var d = 79.5;
        		var len = 0;
        		if(parameters.timeStatus == '-1'){
                	d = -79.5;
                	len = lis.length-1;
                	billHeadInfos.shift();
                }
        		if(parameters.timeStatus == '1'){
                	billHeadInfos.pop();
                }   
        		//滑动
    			for(var i=lis.length-1;i>=0;i--){
                	 var right = Fw.util.Format.unFmtPercent($(lis[i]).css('right'));
                	 $(lis[i]).animate({"right": right + d + "%"},300);
                }           	
            	lis[len].remove();
            	curBill = 1;
        	});        	
        },
        /**
         * 更新billHeaderTop信息
         */
        updataBillHeaderTopInfo : function(data){
        	var AcctNo = data.No;
        	AcctNo = Fw.util.Format.fmtAcctNo(AcctNo,true);
        	var acNo = $('#acNo');
        	var billYM = $('#billYM');
        	acNo.html(AcctNo);
        	billYM.html(data.StmtYear+'年'+data.StmtMonth+'月账单（<span style="color: #333333;">'+data.StmtDate+'</span>）');
        },       
        /**
         * 轮播前触发
         */
        onBeforeSliderChange: function(slider, newIndex, oldIndex){
            //... ...
        },
        /**
         * 轮播后触发
         */
        onSliderChange: function(slider, index){
            //Fw.Tips.info('切换到第' + (index + 1) + '张图');
        },
        /**
         * 添加月份账单头列表信息(添加到前面)
         */
        appendToUIPre : function(data,right){
        	var sliderUL = $('.swipe-content');
        	console.log("appendToUIPre data",data);
        	var html = this.getYCBillHeadInfoLi(data,right + 79.5*2 + "%"); 
        	sliderUL.prepend(html);
        	billHeadInfos.shift();
        	billHeadInfos.push(data);
        	var lis = $('.swipe-content').find('li');
        	//滑动
			for(var i=lis.length-1;i>=0;i--){
            	 console.log(lis[i]);
            	 var right = Fw.util.Format.unFmtPercent($(lis[i]).css('right'));
            	 $(lis[i]).animate({"right": right - 79.5 + "%"},300);
            }
        	var lis = sliderUL.find('li');
        	lis[lis.length-1].remove();
        	curBill = 1;
        },
        /**
         * 添加月份账单头列表信息(添加到后面)
         */
        appendToUI : function(data,right){
        	var sliderUL = $('.swipe-content');
        	var html = "";
        	var d = 79.5*2;
        	if(billHeadInfos.length <3){
        		d = 79.5;
        	}
        	if('WC' == data.BillType){
        		html = this.getWCBillHeadInfoLi(data, right - d + "%");
        	}else{
        		html = this.getYCBillHeadInfoLi(data, right - d + "%");
        	}
        	sliderUL.append(html);        	
        	var lis = $('.swipe-content').find('li');
        	//滑动
			for(var i=lis.length-1;i>=0;i--){
            	 console.log(lis[i]);
            	 var right = Fw.util.Format.unFmtPercent($(lis[i]).css('right'));
            	 $(lis[i]).animate({"right": right + 79.5 + "%"},300);
            }
        	var lis = sliderUL.find('li');
        	if(billHeadInfos.length >=3){
	        	lis[0].remove();
	        	billHeadInfos.pop();	        	
        	}
        	billHeadInfos.unshift(data);
        	curBill = 1;
        },
        /**
         * 获取月份账单头<li></li>
         */
        getYCBillHeadInfoLi : function(data, right){
        	var CurPayed = Fw.isEmpty(data.CurPayed) ? '--' : Fw.util.Format.fmtNumber(data.CurPayed,'0.00');
        	var r = 'style="right:'+right+';"';
        	var html = '';       		
    		html = html + '<li class="page"' + r + '>';       		
    		html = html + '<p class="left">已出账单</p><p class="right">'+ data.StmtFlag + '' + Fw.util.Format.fmtNumber(data.StmtAMT,'0.00')+'</p>';
    		html = html + '<p class="left">剩余额度</p><p class="right">'+Fw.util.Format.fmtNumber(data.AvLimt,'0.00')+'</p>';
    		html = html + '<p class="left">已还款金额</p><p class="right">'+CurPayed+'</p>';
    		html = html + '<p class="left">最后还款日</p><p class="right">'+data.DueDate+'</p>';
    		html = html + '</li>';
    		return html;
        },
        /**
         * 获取月份账单头<li></li>
         */
        getWCBillHeadInfoLi : function(data, right){
        	var r = 'style="right:'+right+';"';
        	var html = '';       		
    		html = html + '<li class="pageWC"' + r + '>';       		
    		html = html + '<p class="left">已用额度</p><p class="right">'+Fw.util.Format.fmtNumber(data.UsedLimt,'0.00')+'</p>';
    		html = html + '<p class="left">剩余额度</p><p class="right">'+Fw.util.Format.fmtNumber(data.AvLimt,'0.00')+'</p>';
    		html = html + '<p class="left">账单日</p><p class="right">每月'+data.CycleNbr+'日</p>';
    		html = html + '</li>';
    		return html;
        },
        initSilder : function(){       	       	
        	var parameters = null;
        	//swipeStatus (事件, 手指状态，滑动的方向，滑动的距离，一次滑动的时间 , 几根手指)
        	$('#swipe').swipe({
        		preventDefaultEvents: false,
        		threshold: 0,
        		swipeStatus : function(e, status, direction, distance, duration, fingerCount, fingerData){
        			switch (status) {
        			case 'start':
        				break;
					case 'end':
						switch (direction) {
						case 'left':							
							d = -79.5;							
							//当当前卡片为未出账单信息时，不让左滑动
							if(billHeadInfos[curBill].BillType == 'WC'){
								return;
							}
							curBill--; 
                			if(curBill<=0){
                				curBill = 0;
                			}
                			//当滑动下一张为未出账单时
                			if(billHeadInfos[curBill].BillType == 'WC'){
                				App.updataBillHeaderTopInfo(billHeadInfos[curBill]);
                				var paramsTimer = {
                                		account_No : card.No,
                                		BankAcType : 'PCRC',
                                		flag : '0',
                                		CycleNbr : billHeadInfos[curBill].CycleNbr
                                };
	                			App.getTimerGlider(paramsTimer);
	                			$('#WCbtn').show();
	                			$('#YCbtn').hide();
                			}else{//不是未出账单
                				 App.updataBillHeaderTopInfo(billHeadInfos[curBill]);
                				 var lis = $('.swipe-content').find('li');
                				 var right = Fw.util.Format.unFmtPercent($(lis[curBill+1]).css('right'));
                				 var paramsBillHead = {
                						AcNo: card.No,
             		        			TranYM: billHeadInfos[curBill].TranYM,
             		        			Option: 'L',
             		        			timeStatus: '1',
             		        			flag: '1',
             		        			Payed: billHeadInfos[curBill].Payed
                				 };
		                   		 App.queryBillHeadInfo(paramsBillHead,right);
		                   		 var paramsTimer = {
                                		account_No : card.No,
                                		BankAcType : 'PCRC',
                                		transYM : billHeadInfos[curBill].TranYM,
                                		flag : '1',
                                		CycleNbr : billHeadInfos[curBill].CycleNbr
                                 };
	                       		 App.getTimerGlider(paramsTimer);
	                       		$('#WCbtn').hide();
	                			$('#YCbtn').show();
	                       		 return;
	                		}
                			var lis = $('.swipe-content').find('li');
    						//滑动
    						for(var i=lis.length-1;i>=0;i--){
    	                    	 console.log(lis[i]);
    	                    	 var right = Fw.util.Format.unFmtPercent($(lis[i]).css('right'));
    	                    	 $(lis[i]).animate({"right": right - d + "%"},300);
    	                     }
							break;
						case 'right':
                   		 	d = 79.5;
                   		 	curBill++;
                   		 	var curlen = curBill;//当billHeadInfos<3条时
	            			if(curBill>=billHeadInfos.length){
	            				curBill = billHeadInfos.length - 1;
	            			}
	            			//长度不到3的只能滑动到底部
	            			if(billHeadInfos.length <= 1){
	            				return;
	            			}else if(billHeadInfos.length < 3 && (curlen+1) == billHeadInfos.length){
                   		 		App.updataBillHeaderTopInfo(billHeadInfos[curBill]);
	                   		 	var paramsTimer = {
	                            		account_No : card.No,
	                            		BankAcType : 'PCRC',
	                            		transYM : billHeadInfos[curBill].TranYM,
	                            		flag : '1',
	                            		CycleNbr : billHeadInfos[curBill].CycleNbr
	                            };
		                   		App.getTimerGlider(paramsTimer);
		                   		$('#WCbtn').hide();
	                			$('#YCbtn').show();
							}else if (billHeadInfos.length < 3 && curlen == billHeadInfos.length){
								return;
							}
                   		 	//当加载第三张卡片信息时，获取下一张卡片信息。并且删除第一张卡片信息   
                   		 	else if(curBill == billHeadInfos.length - 1){
                   		 	     App.updataBillHeaderTopInfo(billHeadInfos[curBill]);
                   		 		 var lis = $('.swipe-content').find('li');
                   		 		 var right = Fw.util.Format.unFmtPercent($(lis[curBill-1]).css('right'));
                   		 		 var paramsBillHead = {
                						AcNo: card.No,
             		        			TranYM: billHeadInfos[curBill].TranYM,
             		        			Option: 'L',
             		        			timeStatus: '-1',
             		        			flag: '1',
             		        			Payed: billHeadInfos[curBill].Payed
                				 };
		                   		 App.queryBillHeadInfo(paramsBillHead,right);
		                   		 var paramsTimer = {
                                		account_No : card.No,
                                		BankAcType : 'PCRC',
                                		transYM : billHeadInfos[curBill].TranYM,
                                		flag : '1',
                                		CycleNbr : billHeadInfos[curBill].CycleNbr
                                 };
		                   		 App.getTimerGlider(paramsTimer);
		                   		$('#WCbtn').hide();
	                			$('#YCbtn').show();
	                			return;
                   		 	}else{
                   		 		App.updataBillHeaderTopInfo(billHeadInfos[curBill]);
                   		 	    var paramsTimer = null;
                   		 		//未出账单信息
    							if(billHeadInfos[curBill] == WCBill){
    								var paramsTimer = {
    	                            		account_No : card.No,
    	                            		BankAcType : 'PCRC',
    	                            		flag : '0',
    	                            		CycleNbr : billHeadInfos[curBill].CycleNbr
    	                            };
    								$('#WCbtn').show();
    	                			$('#YCbtn').hide();
    							}else{//已出账单
    								paramsTimer = {
    										account_No : card.No,
    					            		BankAcType : 'PCRC',
    					            		flag : '1',
    					            		transYM : billHeadInfos[curBill].TranYM,
    					            		CycleNbr : billHeadInfos[curBill].CycleNbr
    								};
    								$('#WCbtn').hide();
    	                			$('#YCbtn').show();
    							}
	                   		 	
                   		 		App.getTimerGlider(paramsTimer);
                   		 	}
	                   		 var lis = $('.swipe-content').find('li');
	 						//滑动
	 						for(var i=lis.length-1;i>=0;i--){
	 	                    	 console.log(lis[i]);
	 	                    	 var right = Fw.util.Format.unFmtPercent($(lis[i]).css('right'));
	 	                    	 $(lis[i]).animate({"right": right - d + "%"},300);
	 	                     }
							break;							
						}						
						break;
					default:
						break;
					}
        		}
        	});
        },
        onChange: function(name, value, oldValue, field){
            if('BillType'==name){
            	if('0' == value){
            		$('#dateBill').hide();
            		$('#billType').removeClass('sui-border-b');
            		$('#billType').addClass('sui-border-d');
            	}else{
            		$('#dateBill').show();
            		$('#billType').removeClass('sui-border-d');
            		$('#billType').addClass('sui-border-b');
            	}
            }
        },
        initQryData: function(){
            Fw.util.Ajax.get({
                service : 'curdateService/getCurDate',
                // 请求成功后回调
                success : function(data, result) {
                    var date = data['CurDate'];
                    $('[name=billDate]').val(Fw.util.Format.fmtDate(date,'yyyy/MM')+"");
                    date = Fw.util.Format.fmtDate(date,'yyyy-MM')+"";                    
                    $('[name=billDate-end]').val(date);
                    var year = parseInt(date.substring(0,4))-2;
                    var month = date.substring(5,7);
                    var st = year + "-" + month;
                    $('[name=billDate-start]').val(st);
                },
            });
        },
        rightButtonHandler : function(){ 	
        	tab.setActiveItem(1);
        },
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	if(!Fw.isEmpty(backUrl)){
        		Fw.redirect(backUrl);
        	}else {
        		Fw.device.Device.gotoIndex();
        	}
        }
    };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);