/**
 * 选项卡#子页面2
 */
App.Item2 = function() {
    
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '选项卡2',
            /**
             * 右边按钮（默认显示）
             */
            rightButton: {
            	text: '首页',
            	handler: function(){
            		Fw.Tips.info('返回至第一个选项卡');
            		App.tab.setActiveItem(0);
            	}
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//表单信息回显
        	this.showForm(record);
            //初始化事件
            this.initEvents();
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        },
        /**
         * 表单信息回显
         */
        showForm: function(data){
        	var items = $('#view').find('[data-name]');
        	var name = '',el;
        	items.each(function(index, item){
        		el = $(item);
        		name = el.attr('data-name');
        		el.html(data[name]);
        	});
        }
    };
}();