/**
 * 创建应用
 */
var App = function() {
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '文件下载',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮'
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	$('#download').on('click', Fw.bind(this.download, this));
        	$('#preview').on('click', Fw.bind(this.preview, this));
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },
        /**
         * 下载
         */
        download: function(){
        	var fileId = 'billboard/ad_01.png';
        	window.open('http://localhost:8080/mbank/channel/httpDownload.do?fileId='+fileId)
        },
        /**
         * 预览
         */
        preview: function(){
        	var fileId = 'billboard/ad_01.png';
        	$('#img').attr('src','http://localhost:8080/mbank/channel/httpDownload.do?streamId='+fileId);
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
