/**
 * 创建应用3-1
 */
App.Item31 = function() {
	var tab2;
    return {
    	
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '第三个页面第一个tab'
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//实例化tab2
        	if(!tab2){
        		tab2 = new Fw.Tab({
                    contentEl: 'tab2',
                    activeTab:0,
                    reload:true
                });
        		
        		//监听事件
        		this.initEvents();
        	}
        },
        /**
         * 绑定监听事件
         */
        initEvents: function(){
        	//选项卡切换前触发
        	tab2.on('beforetabchange', this.onBeforeTabChange);
            //选项卡切换后触发
        	tab2.on('tabchange', this.onTabChange);
        	
        	$('#item31').on('click',function(){
        		tab2.setActiveItem(1);
        	});
        	
        	$('#item32').on('click',function(){
        		tab2.setActiveItem(2);
        	});
        	
        	$('#item33').on('click',function(){
        		tab2.setActiveItem(0);
        	});
        },
        /**
         * 选项卡切换前触发
         * @param tab
         * @param newIndex
         * @param oldIndex
         * @returns
         */
        onBeforeTabChange: function(tab, newIndex, oldIndex){
        	//console.log('item3 newIndex == '+newIndex+' oldIndex == '+oldIndex);
        	 Fw.Tips.info('item3 newIndex == '+newIndex+' oldIndex == '+oldIndex);
        },
        /**
         * 选项卡切换后触发
         * @param tab
         * @param index
         * @returns
         */
        onTabChange: function(tab, index){
        	
        }
    };
}();
