/**
 * 创建应用  委托申报
 */
App.Item3 = function() {
	
    return {
        /**
         * 视图设置+
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示 、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '委托申报确认'
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//取消置灰
			$('#comfrimEl').removeAttr("disabled");
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	//绑定监听事件
        	if(!this.record){
        		this.initEvents();
        	}
        	//
        	if(!Fw.isEmpty(record)){
        		this.record = record;
        		this.initCommDeclar(record);
        	}
        },
        
        /**
         * 委托申报信息
         */
        initCommDeclar : function(record){
        	if(!Fw.isEmpty(record)){
	        	//
	        	$('#ZHKHOK').html(Fw.util.Format.fmtAcctNo(record.ACCTON));
	        	//
	        	$('#HYDMOK').html(record.HYDM);
	        	//
	        	$('#JYLXOK').html($("#JYLX option:selected").text());
	        	//
	        	$('#WTJGOK').html(record.WTJG);
	        	//
	        	$('#WTSSOK').html(record.WTSS);
        	}
        },
        /**
         * 绑定监听事件
         */
        initEvents: function(){
        	//取消
        	$('#backlastEl').on('click',Fw.bind(this.backlastElClick,this));
        	//弹出模态验证框
         	$("#getHB").on('click',Fw.bind(this.getHBClick,this));
        },
        /**
         * 取消返回
         * @param e
         * @returns
         */
        backlastElClick: function(e){
        	//取消切换到第一个tab，索引从0开始
        	App.tab.setActiveItem(0);
        },
        /**
         * 确定委托
         * @returns
         */
        getHBClick: function(){
        	//
        	var data = this.record;
        	//显示弹出框，待提交
        	Fw.TransDialog.show({
        		/**
        		 * 传入业务参数
        		 */
        		params: {
        			//只弹出交易密码框
        			STATICDATA:["TRANSMODAL"],
        			//多个交易框
//        			STATICDATA:["T$S","PASTE","SMS","TOKEN","TRANSMODAL"]
        		},
        		/**
        		 * 成功方法
        		 */
        		success: function(params){
        			//打印
        			Fw.Logger.debug('%o', data);
        			//成功方法
        			Fw.Msg.info('委托申报成功',function(){
        				//设置值
        				data.BDBDH = '本地报单号';
        				data.ZHLX = '账户类型';
        				data.KHMC = '客户名称';
        				data.BDLSH = '本地流水号';
        				//传入值
	            		App.params3 = data;
	            		//切换到指定tab ,3代表第四个tab，索引从0开始
	            		App.tab.setActiveItem(3);
        			});
        		}
        	});
        }
    };
}();
