/**
 * 创建应用
 */
var App = function() {
    var record;
    return {
        /**
         * 依赖组件
         */
        requires : [
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '优惠详情',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	var p = window.location.search.substr(3);
        	p = decodeURIComponent(p);
        	record = Fw.decode(p);
        	this.initData();  
        	this.initEvents();
        	Fw.LoadMask.hide();
        },
        initData: function(){
        	$('#title').text(record.MESG_TITLE);
        	$('#time').text("时间："+record.EDITOR_DATE);
        	$('#content').text(record.MESG_TEXT);
        },
        initEvents: function(){
        	
        },
        leftButtonHandler: function(){
        	Fw.device.Device.gotoIndex();
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);