/**
 * 创建应用
 */
var App = function() {
	return {
		/**
		 * 依赖组件
		 */
		requires : [
            //设备
            'Fw.device.Device',
		],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '',
			loadMask: false
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			this.initData();
		},

		/**
		 * 初始化数据
		 */
		initData : function() {
			Fw.device.Device.getDeviceInfo("App.toMeituanUrl");
		},
		
		toMeituanUrl:function(data){
			if(data==null||data==undefined){
    			Fw.Tips.info("获取当前设备失败！");
    		}else{
    			var params = {
    					url: "https://nepsh5.nxyqs.net:10001/nxyjump?paymid=meituan&jumpType=main_page&channel=js_nxy&deviceid="+data.deviceNo+"",
    					title: ""
    			}
    			Fw.device.Device.toThirdUrl(Fw.encode(params));
    		}
		},

		leftButtonHandler : function() {
			Fw.device.Device.gotoIndex();
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
