var App = function() {
	var BankAcType;//账户类型
	var No;        //账户号
	var IdNo;      //证件号
	var IdType;    //证件类型
	var CifNo;     //核心客户号
	var CifName;   //客户姓名
	var SignState; //签约类型
	var Channel;   //渠道类型
	var allCards =[];//获取下挂账户
	return {
	    requires : [
	        'Fw.app.Session',
	    ], 
		 /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '推送消息签约',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            //    handler: 'App.leftButtonHandler'
            },
           
        },

		init : function(require) {
	        this.initData();
	        this.initEvents();
	        Fw.LoadMask.hide(1000);
	
		},
		//初始化页面数据
		initData : function() {
			 IdNo = Fw.app.Session.getIdNo(); 
			 IdType = Fw.app.Session.getIdType();
			 CifNo = Fw.app.Session.getCifNo()
			 CifName = Fw.app.Session.getCustName();
			 SignState = "1";//1-签约 3-解约
			 Channel = "PMBS";//固定传PMBS
			 
			//获取下挂账户
		    allCards =  Fw.app.Session.getAllCards();//卡所有信息
			var sel = document.getElementById("cardlist");
			var j = 0;
			var sb = [];
			for(var i = 0;i < allCards.length;i++){
				if(allCards[i].BankAcType != "PCRC"){
					sb[sb.length] = "<option  value='"+allCards[i].No+"'>"+Fw.util.Format.fmtAcctNo(allCards[i].No,true)+"</option>";
					if(j==0){
						No = allCards[i].No;
						BankAcType = allCards[i].BankAcType;
						$("[name = BankAcType]").val(Fw.util.Format.fmtCardType(BankAcType));  //证件类型 
					}
					j++;
				}
			}
			sel.innerHTML = sb.join("");
			
			$("[name = IdNo]").val(IdNo);
			$("[name = IdType]").val(Fw.util.Format.fmtIdType(IdType));
			$("[name = CifName]").val(CifName);
		},
		initEvents : function() {
			$("#submit-btn").on("click",Fw.bind(this.sumbitBtnOk,this));
		},
		chufa : function(){
			var cardlist=document.getElementById("cardlist");
			No = cardlist.options[cardlist.selectedIndex].value;
			for(var i = 0;i < allCards.length;i++){
				if(allCards[i].BankAcType != "PCRC"){
					if(allCards[i].No == No){
						BankAcType = allCards[i].BankAcType;
						$("[name = BankAcType]").val(Fw.util.Format.fmtCardType(BankAcType));  //证件类型 
					}
				}
			}
		},
		//确认提交提示
		sumbitBtnOk :function(){
			Fw.Msg.cfm('是否确定动账消息通知签约?', function(code, btn, win){
                if(code == 'yes'){
                	App.confirm();
                }
            });
		},
		confirm :function(){
			Fw.util.Ajax.execute({
	            service: 'msgPushSignService',
	            method: 'executeAcctNoSign',
	            //请求参数
	            params: {
	            	 BankAcType : BankAcType,
	        		 No : No,
	        		 IdNo : IdNo,
	        		 IdType : IdType,
	        		 CifNo : CifNo,
	        		 CifName : CifName,
	        		 SignState : SignState
	            },
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	            	Fw.Msg.info("签约成功",function(){Fw.device.Device.gotoIndex();});
	            },
	            //请求错误后回调
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		leftButtonHandler:function(){ 
			Fw.device.Device.gotoIndex();
     	}
	  };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);