var App = function() {
	var BRCHS="";  //网点号
	var BRNAMES=""; //网点名称
	var longitude ="";
	var latitude ="";
	var bankAddress="";
	var longitude ="";
	var latitude ="";
	var bankAddress="";
	var cifNo="";
	var rpdata1={};
	var listView;
	var num;
	var trade;
	var PfsContent;
	var OrderStatus="";//预约状态
	return {
		  requires : [
  	        'Fw.app.Session',
  	        //日历组件
            'Fw.Calendar',
            //安全键盘
            'Fw.Keyboard',
            'Fw.ListView',
            
          ], 
		 /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '我的填单',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            //    handler: 'App.leftButtonHandler'
            },
           
        },
		init : function(require) {
	        this.initData();
	        this.initEvents();
	        Fw.LoadMask.hide(1000);
		},
		//初始化页面数据
		initData : function() {
			var params = Fw.getParameters();
			BRCHS = params.BRCHS;
			BRNAMES = params.BRNAMES;
        	longitude  = params.longitude;//经度
        	latitude = params.latitude;//纬度
        	bankAddress= params.bankAddress;//地址
			
			cifNo = Fw.app.Session.getCifNo();//客户号
			App.initCurDate();//获取系统时间
			//BRCHS=BRCHS.substring(0,9);
			//setWebitEvent("initWebkitTitleBar()", "02");
			//initBeginAndEndtime();
			//clearWaitPanel();
		},
	
		initEvents : function() {
			$("#searchByReservId").on("click",Fw.bind(this.searchByReservId,this));
			$("#update-submit").on("click",Fw.bind(this.updateSubmit,this));
			$("#delete-submit").on("click",Fw.bind(this.deleteSubmit,this));
		},
		//根据时间、预约号查找填单信息
		searchByReservId :function(){
			var ReservId=$("#ReservId").val();
			if(Fw.isEmpty(ReservId)){
				 Fw.Msg.info("请输入预约号");
				 return;
			} 
			if(!/^[0-9]+$/.test(ReservId)){
				Fw.Msg.info("预约号只能为数字!");
				return;
			}
			 Fw.util.Ajax.get({
		            service: 'netWorkOrderService',
		            method: 'getOrderLoginInQry',
		            //请求参数
		            params: {
		            	OrderBranch:BRCHS,
		    			ReservId:ReservId,
		    			CifNo:cifNo,
		            },
		            //是否使用数据挡板（默认false）
		            staticData: false,
		            //请求成功后回调
		            success: function(data, result) {
		            	OrderStatus = data.OrderStatus;
		            	switch (data.OrderStatus){
							case "0":
							case "1":
								App.searchsuccess(data.ReservId);
								break;
							case "2":
								Fw.Msg.info("预约已取消！");
								break;
							case "3":
								Fw.Msg.info("预约已过期！");
								break;
			            }		            	
		            },
		            //请求错误后回调
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        }); 
		},
		
		searchsuccess:function(ReservId){
			var startDate = $('#startdate').val();
			var time1=startDate.replace("/","").replace("/","");
			var parameters = {
	            	//WorkDate:time1,
					WorkDate:time1,
					Branch:BRCHS.substring(0,9),
					ReservId:ReservId
	         };
			$('#pageA').addClass('hiden');
			$('#pageB').removeClass('hiden');
			
			if(!listView){
	    		//定义列表
	            listView = new Fw.ListView({
	                //EL
	                contentEl : 'list',
	                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	                ajax : {                 
	                    service: 'netWorkOrderService',
	                    method: 'querySingleList',
	                    //请求参数
	                     params: parameters,                   
	                    //loadMask: true,
	                    //是否分页（默认true）
	                    page: true,
	                    pageSize: 5
	                },
	                disclosure: false,
	                //数据展现模版
	                itemTpl: [
						'<div class="sui-form x-form" style="width: 97%;">',
						'<div class="sx-form-start"></div>',
						'<div class="sx-form-fieldset1">',
						'<p class="">预约号:<span>${item.ReservId}</span></p>',
						'</div>',
						'<article class="dqckgl_content line wf100 topView">',
						'<section class="dqckgl_content1 line wf100 topView">',
						'<div><span>日期:</span></div>',
						'<div><span>交易名称:</span></div>',
						'<div><span>办理人姓名:</span></div>',
						'</section>',
						'<section class="dqckgl_content2 line wf100 topView">',
						'<div><span>${item.WorkDate|fmtDate,"yyyy-MM-dd"}</span></div>',
						'<div><span>${item.TradeNameCh}</span></div>',
						'<div><span>${item.PerName}</span></div>',
						'</section>',
						'<div><img class="imgStyle" src="../../images/networkOrder/40-40.png"></div>',
						'</article>',
						'</div>'
	                ]
	            });     
    		}else{
    			listView.ajax.clearParams();    			
    			listView.ajax.setParams(parameters);  			
    		}
            listView.on('itemclick', this.onSelect, this);
            //加载数据
            listView.loadData();
		},
		
		//选中时触发,到详情页面
		onSelect: function(record, index, item, e, cmp) {
	        Fw.util.Ajax.query({
	            service: 'netWorkOrderService',
	            method: 'queryOrderFormDtlQuery',
	            //请求参数
	            params: {
	            	WorkDate:record.WorkDate,
					Branch:record.Branch,
					PfsSeq:record.PfsSeq,
	            },
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	            	//到详情页面
	            	App.toSingleDetail(data);
	            },
	            //请求错误后回调
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        }); 
	     },
	     //详情页面展示
	     toSingleDetail :function(data){
	    	 $('#000001').addClass('hiden');
	    	 $('#000002').addClass('hiden');
	    	 $('#000003').addClass('hiden');
	    	 $('#000004').addClass('hiden');
	    	 $('#000005').addClass('hiden');
	    	 $('#000006').addClass('hiden');
	    	 $('#000007').addClass('hiden');
	    	 $('#000008').addClass('hiden');
	    	 $('#000009').addClass('hiden');
	    	 $('#000010').addClass('hiden');

	    	num="";
	    	$("#AgentType").val("");
	    	$("#AgentNum").val("");
	    	$("#AgentName").val("");
	    	$("#AgentPhone").val("");
	    	$("#AgentPhonetwo").val("");
	    	var json1={};
	    	var arg = data;
			if(arg._RejCode!="000000"){
				Fw.Msg.info(arg.RspMsg);
				return;
			}
			json1 = JSON.parse(arg.PfsContent);
			var date=arg.WorkDate;
			var year=date.substring(0,4);
			var month=date.substring(4,6);
			var day=date.substring(6,8); 
			
			$("#WorkDate").val(year+"-"+month+"-"+day);
			$("#PfsSeq").val(arg.PfsSeq);
			$("#PerName").val(arg.PerName);
			$("#PerType").val(arg.PerType);
			$("#PerNum").val(arg.PerNum);
			$("#PerPhonetwo").val(Fw.util.Format.fmtPhoneNum(arg.PerPhone));
			$("#PerPhone").val(arg.PerPhone);
			
			if(arg.PerType==arg.AgentType && arg.PerNum==arg.AgentNum){
				$("#tb").val("2");
			}else{
				$("#tb").val("1");
			}
			
			$("#AgentName").val(arg.AgentName);
			$("#AgentType").val(arg.AgentType);
			$("#AgentNum").val(arg.AgentNum);
			$("#AgentPhone").val(arg.AgentPhone);
			$("#AgentPhonetwo").val(Fw.util.Format.fmtPhoneNum(arg.AgentPhone));
			
			if(arg.TradeId=="000001"){
			 	num="1";
				$("#sex11").val(json1.sex);
				$("#nationality11").val(json1.nationality);
				$("#profession11").val(json1.profession);
				$("#mailaddress11").val(json1.mailaddress);
				$("#telphone11").val(json1.telphone);
				$("#address11").val(json1.address);
				$("#address_home11").val(json1.address_home);
				
				$("#idvalidity11").val(json1.idvalidity);
				$("#merry11").val(json1.merry);
				$("#education11").val(json1.education);
				var arr1 = json1.tradebustype.split("|");
				
		 	    for(var i=0;i<arr1.length;i++){
			 		 if(arr1[i]=="0"){
			 			 break;
			 		 }
			 		 document.getElementById("tradebustype"+arr1[i]).checked="checked";
				}  
		 	    $('#000001').removeClass('hiden');
			}
			if(arg.TradeId=="000002"){
				num = "2";
				$("#accname22").val(json1.accname);
				$("#acctnum22").val(json1.acctnum);
				$("#amount22").val(json1.amount);
				$("#tradebustype22").val(json1.tradebustype);
				$('#000002').removeClass('hiden');
			}
			if(arg.TradeId=="000003"){
				num = "3";
				$("#payername33").val(json1.payername);
				$("#payeracc33").val(json1.payeracc);
				$("#payeename33").val(json1.payeename);
				$("#payeeacc33").val(json1.payeeacc);
				$("#amount33").val(json1.amount);
				$("#postscript33").val(json1.postscript);
				$("#tradebustype33").val(json1.tradebustype);
				$('#000003').removeClass('hiden');
			}
			if(arg.TradeId=="000004"){
				num = "4";
				$("#payername44").val(json1.payername);
				$("#payeracc44").val(json1.payeracc);
				$("#bankname44").val(json1.bankname);
				$("#bankprovince44").val(json1.bankprovince);
				$("#bankcity44").val(json1.bankcity);
				$("#payeename44").val(json1.payeename);
				$("#payeeacc44").val(json1.payeeacc);
				$("#payeeaccbankname44").val(json1.payeeaccbankname);
				$("#payeeaccbankprovince44").val(json1.payeeaccbankprovince);
				$("#payeeaccbankcity44").val(json1.payeeaccbankcity);
				$("#amount44").val(json1.amount);
				$("#use44").val(json1.use);
				$("#postscript44").val(json1.postscript);
				
				if(json1.tradebustype == "03"){
					$("#tradebustype44").val(json1.tradebustype);
					$("#priority44").val(json1.priority);
					$("#lii1").removeClass("hiden");
				}else{
					$("#tradebustype44").val(json1.tradebustype);
					$("#priority44").val("");
					$("#lii1").addClass("hiden");
				}
				if(json1.tradebustype=="02"){
					$("#000004021").val("");
				}else{
					$("#000004021").val("*");
				}
				$('#000004').removeClass('hiden');
			} 
			if(arg.TradeId=="000005"){
				num = "5";
				if(json1.tradebustype=="01"){
					trade="01";
					$("#f1").addClass("hiden");
					$("#f2").addClass("hiden");
					$("#s1").removeClass("hiden");
					$("#s2").removeClass("hiden");
					$("#payeename55").val(json1.payeename);
					$("#payeeacc55").val(json1.payeeacc);
					$("#payeeaccbankname55").val(json1.payeeaccbankname);
					$("#payeeaccbank55").val(json1.payeeaccbank);
					$("#payername55").val("");
					$("#payeracc55").val("");
					$("#payeraccbankname55").val("");
					$("#payeraccbank55").val("");
				}else if(json1.tradebustype=="02"){
					trade="02";
					$("#f1").removeClass("hiden");
					$("#f2").removeClass("hiden");
					$("#s1").addClass("hiden");
					$("#s2").addClass("hiden");
					$("#payername55").val(json1.payername);
					$("#payeracc55").val(json1.payeracc);
					$("#payeraccbankname55").val(json1.payeraccbankname);
					$("#payeraccbank55").val(json1.payeraccbank);
					$("#payeename55").val("");
					$("#payeeacc55").val("");
					$("#payeeaccbankname55").val("");
					$("#payeeaccbank55").val("");
				}else{
					trade="03";
					$("#f1").removeClass("hiden");
					$("#f2").removeClass("hiden");
					$("#s1").removeClass("hiden");
					$("#s2").removeClass("hiden");
					$("#payername55").val(json1.payername);
					$("#payeracc55").val(json1.payeracc);
					$("#payeraccbankname55").val(json1.payeraccbankname);
					$("#payeraccbank55").val(json1.payeraccbank);
					$("#payeename55").val(json1.payeename);
					$("#payeeacc55").val(json1.payeeacc);
					$("#payeeaccbankname55").val(json1.payeeaccbankname);
					$("#payeeaccbank55").val(json1.payeeaccbank);
				}
				$("#tradebustype55").val(json1.tradebustype);
				$("#amount55").val(json1.amount);
				$("#paytype55").val(json1.paytype);
				$("#cusaddress55").val(json1.cusaddress);
				$('#000005').removeClass('hiden');
			} 
			if(arg.TradeId=="000006"){
				num = "6";
				$("#loss_type66").val(json1.loss_type);
				$("#loss_style66").val(json1.loss_style);
				$("#book_type66").val(json1.book_type);
				$("#per_address66").val(json1.per_address);
				$("#agent_address66").val(json1.agent_address);
				$("#loss_reason66").val(json1.loss_reason);
				$("#seal_font66").val(json1.seal_font);
				$("#account66").val(json1.account);
				$("#currency66").val(json1.currency);
				$("#amount66").val(json1.amount);
				$("#voucher_type66").val(json1.voucher_type);
				$("#voucher_no66").val(json1.voucher_no);
				$("#startdate66").val(json1.startdate);
				$("#enddate66").val(json1.enddate);
				$("#remark66").val(json1.remark);
				$('#000006').removeClass('hiden');
			}
			if(arg.TradeId=="000007"){
				num = "7";
				$("#sex77").val(json1.sex);
				$("#telphone77").val(json1.telphone);
				$("#telphone77two").val(json1.telphone);
				$("#mailaddress77").val(json1.mailaddress);
				$("#zipcode77").val(json1.zipcode);
				$("#address77").val(json1.address);
				$("#message77").val(json1.message);
				$("#tradebustype77").val(json1.tradebustype);
				$("#perlimit77").val(json1.perlimit);
	 			$("#daylimit77").val(json1.daylimit);
	 			
			 	if(json1.tradebustype=="05"){
			 		$("#li71").removeClass("hiden");
			 		$("#li72").removeClass("hiden");
					$("#accno77").val(json1.accno);
		 			$("#dfusercode77").val(json1.dfusercode);
				}else if(json1.tradebustype=="06"){
					$("#li71").removeClass("hiden");
					$("#li73").removeClass("hiden");
					$("#accno77").val(json1.accno);
					$("#gdusercode77").val(json1.gdusercode);
				}
			 	$('#000007').removeClass('hiden');
			}
			if(arg.TradeId=="000008"){
				 num = "8";
				 $("#englishname10").val(json1.englishname);
				 $("#guoji").val(json1.nationality);
				 $("#merry10").val(json1.merry);
				 $("#idvalidity10").val(Fw.util.Format.fmtStrSubDate(json1.enddate).replaceAll("-", "/"));
				 $("#sex10").val(json1.sex);
				 $("#birthDay10").val(Fw.util.Format.fmtStrSubDate(json1.birthday).replaceAll("-", "/"));
				 $("#chengwei").val(json1.appellation);
				 $("#nationality102").val(json1.residence);
				 $("#profession103").val(json1.censusregister);
				 $("#phoneNum100").val(json1.phone);
				 $("#profession104").val(json1.profession);
				 $("#profession105").val(json1.economic);
				 var  tel = json1.telphone;
				 if(tel !=""){
					 if(tel.length <= 14){
					   var tel1 = tel.substring(0,4)+"-"+tel.substring(4);
					 }else if(tel.length > 14){
					   if(tel.substring(4).indexOf(" ") > -1){
						   var tel1 = tel.substring(0,4)+"-"+tel.substring(4).split(" ")[0]+"-"+tel.substring(4).split(" ")[1];
					   }else{
					      var tel1 = tel.substring(0,4)+"-"+tel.substring(4,14)+"-"+tel.substring(14);
					   }
					 }
					 $("#telNum100").val(tel1.trim());
				 }
				 $("#postCode100").val(json1.zipcode);
				 $("#adrr100").val(json1.address);
				 $("#profession106").val(json1.residentsign);
			 	$('#000010').removeClass('hiden');
			}
			if(arg.TradeId=="000009"){
				num = "9";
			    $("#accname88").val(json1.payeename);
			 	$("#acctnum88").val(json1.payeeacc);
			 	$("#payeeaccbankname88").val(json1.payeeaccbankname);
			 	$("#tradebusuerr88").val(json1.use||"000");
			 	$("#beizhu88").val(json1.otheruse);
			 	$("#tradebustype88").val(json1.currency);
			 	$("#amount88").val(Fw.util.Format.fmtAmt(json1.amount));
			 	$('#000008').removeClass('hiden');
			}
			if(arg.TradeId=="000010"){
				num = "10";
				$("#tradebustype991").val(json1.tradebustype);
				if(json1.tradebustype == "02"){
					$("#tradebustype992").html("<option value='2'>转账</option>");
				}else{
					$("#tradebustype992").html("<option value='1'>现金</option><option value='2'>转账</option>");
				}
				$("#tradebustype992").val(json1.transflag);
				$("#paybankname99").val(json1.payeraccbankname);
				$("#acctnum99").val(json1.payeracc);
				$("#payerbankname99").val(json1.payeeaccbankname);
				$("#acctnum991").val(json1.payeeacc);
				$("#acctname991").val(json1.payeename);
				$("#tradebustype99").val(json1.currency);
				$("#amount99").val(Fw.util.Format.fmtAmt(json1.amount));
			 	$('#000009').removeClass('hiden');
			}
			$('#pageA').addClass('hiden');
			$('#pageB').addClass('hiden');
			$('#pageA1').removeClass('hiden');
	    },
		/*//展示填单列表
		showSingleList :function (data){ 
			var sb = [];
			if(data.PfsSize == "0"|| data==null){
				sb[sb.length] = "<label  class='wf350 red'><center>无相关记录<center></label>";
			}else{
				for(var i=0; i < data.length; i++){
					var arg = data[i];		
					if(i!=0){
						sb[sb.length] ="<hr/>";
					}
					
					sb[sb.length] ='<div class="sx-form-fieldset">';
					sb[sb.length] ='<p class="">预约号:<span>'+arg.ReservId+'</span></p>';
					sb[sb.length] ='</div>';
					sb[sb.length] ='<article class="dqckgl_content line wf100 topView">';
					sb[sb.length] ='<section class="dqckgl_content1 line wf100 topView">';
					sb[sb.length] ='<div><span>日期:</span></div>';
					sb[sb.length] ='<div><span>交易名称:</span></div>';
					sb[sb.length] ='<div><span>办理人姓名:</span></div>';
					sb[sb.length] ='</section>';
					sb[sb.length] ='<section class="dqckgl_content2 line  wf100 topView">';
					
					var date=arg.WorkDate;
					var year=date.substring(0,4);
					var month=date.substring(4,6);
					var day=date.substring(6,8); 
					
					sb[sb.length] ='<div><span>'+year+"-"+month+"-"+day+'</span></div>';
					sb[sb.length] ='<div><span>'+arg.TradeNameCh+'</span></div>';
					sb[sb.length] ='<div><span>'+arg.PerName+'</span></div>';
					sb[sb.length] ='</section>';
					sb[sb.length] ='<div style="padding-right: 13px;"><img class="imgStyle" src="../../images/networkOrder/40-40.png"></div>';
					sb[sb.length] ='</article>';
				}	
			}
			var pageBii = document.getElementById("pageBii");
			pageBii.innerHTML += sb.join("");
			if(data.length <= pageIndex*queryNumber){
				hasMore = false;
				g("loading").innerHTML = "<div class='ma10' style='margin-bottom:10px;'>数据加载完毕</div>";
			}
				setWebitEvent("initWebkitTitleBar2()", "02");
				addClass(g('pageA'),'hiden');
				addClass(g('pageA1'),'hiden');
				removeClass(g('pageB'),'hiden');
				isLoad=false;
				clearWaitPanel();
		},*/
	    //表单修改
	    updateSubmit :function(){
	    	/*if(hidenStr($("#AgentPhone").val(),1)!=$("#AgentPhonetwo").val()){
				$("#AgentPhone").val($("#AgentPhonetwo").val());	
			}	
			if(hidenStr($("#PerPhone").val(),1)!=$("#PerPhonetwo").val()){
				$("#PerPhone").val($("#PerPhonetwo").val());	
			}*/	
	    	if(OrderStatus=="1"){
	    		Fw.Msg.info("预约已激活!");
	    		return;
	    	}
			if(num == 1){
			var sex=$("#sex11").val();
			if(sex.trim()==""){
				Fw.Msg.info("性别为必填项!");
	 			return;
			}
			var nationality=$("#nationality11").val();
			if(nationality.trim()==""){
	 			Fw.Msg.info("国籍为必填项!");
				return;
			}
			var profession=$("#profession11").val();
			if(profession.trim()==""){
	 			Fw.Msg.info("职业为必填项!");
	 			return;
	 		}
			var mailaddress=$("#mailaddress11").val();
	 		var re=/^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z_-])+$/;
			if(mailaddress.trim()!="" && !re.test(mailaddress)){
				Fw.Msg.info("邮箱格式不正确!");
				return;
			}
			var telphone=$("#telphone11").val();
			var address=$("#address11").val();
			if(address.trim()==""){
	 			Fw.Msg.info("身份证地址为必填项!");
	 			return;
	 		}
			var address_home=$("#address_home11").val();
			if(address_home.trim()==""){
	 			Fw.Msg.info("家庭地址为必填项!");
	 			return;
	 		}
	 		var merry=$("#merry11").val();
			if(merry.trim()==""){
	 			Fw.Msg.info("婚姻状况为必填项!");
	 			return;
	 		}
	 		var education=$("#education11").val();
			if(education.trim()==""){
	 			Fw.Msg.info("学历为必填项!");
	 			return;
	 		}
	 		var idvalidity=$("#idvalidity11").val();
			if(idvalidity.trim()==""){
	 			Fw.Msg.info("证件有效期为必填项!");
	 			return;
	 		}
		    var tradebustype=""; 
	 		var arr=document.getElementsByName("ch1");
	 		for(var i=0;i<arr.length;i++){
	 			if(arr[i].checked){
	 				var a = $(arr[i]).val();
	 				tradebustype=tradebustype+a+"|";
	 			}
	 		}
	 		if(!tradebustype.trim()==""){
	 			tradebustype=tradebustype.substring(0, tradebustype.length-1);
			}else{
	 			Fw.Msg.info("交易业务类别为必填项!");
	 			return;
			}
			PfsContent={ 
					"sex": sex,
					"nationality": nationality,
					"profession": profession,
					"mailaddress": mailaddress,
					"telphone": telphone,
					"address": address,
					"address_home": address_home,
					"tradebustype": tradebustype,
					"merry": merry,
					"education": education,
					"idvalidity": idvalidity
				};
			}else if(num == 2){
				var accname=$("#accname22").val();
				if(accname.trim()==""){
		 			Fw.Msg.info("户名为必填项!");
		 			return;
	 			}
				var acctnum=$("#acctnum22").val();
				if(acctnum.trim()==""){
		 			Fw.Msg.info("账号为必填项!");
		 			return;
		 		}
				var amount=$("#amount22").val();
				if(amount.trim()==""){
		 			Fw.Msg.info("金额为必填项!");
		 			return;
		 		}
				var tradebustype=$("#tradebustype22").val();
		 		if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类别为必填项!");
		 			return;
		 		}
				PfsContent= {
						"accname": accname,
						"acctnum": acctnum,
						"amount": String(Fw.util.Format.unFmtAmt(amount)),
						"tradebustype": tradebustype
				};
			}else if(num == 3){
				var payername=$("#payername33").val();
				if(payername.trim()==""){
		 			Fw.Msg.info("付款人姓名为必填项!");
		 			return;
		 		}
				var payeracc=$("#payeracc33").val();
				if(payeracc.trim()==""){
		 			Fw.Msg.info("付款账号为必填项!");
		 			return;
		 		}
				var payeename=$("#payeename33").val();
				if(payeename.trim()==""){
		 			Fw.Msg.info("收款人名称为必填项!");
		 			return;
		 		}
				var payeeacc=$("#payeeacc33").val();
				if($("#tradebustype44").val()!="02" &&payeeacc.trim()==""){
					Fw.Msg.info("收款人账号为必填项!");
		 			return;
		 		}
				var amount=$("#amount33").val();
				if(amount.trim()==""){
		 			Fw.Msg.info("金额为必填项!");
					return;
				}
				var postscript=$("#postscript33").val();
				if(postscript.trim()==""){
					Fw.Msg.info("附言为必填项!");
					return;
				}
				var tradebustype=$("#tradebustype33").val();
				if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类型为必填项!");
		 			return;
		 		}
				PfsContent={
						"payername": payername,
						"payeracc": payeracc,
						"payeename": payeename,
						"payeeacc": payeeacc,
						"amount": String(Fw.util.Format.unFmtAmt(amount)),
						"postscript": postscript,
						"tradebustype": tradebustype
					};
			}else if(num==4){
				var payername=$("#payername44").val();
				if(payername.trim()==""){
		 			Fw.Msg.info("付款人名称为必填项!");
		 			return;
		 		}
				var payeracc=$("#payeracc44").val();
				if(payeracc.trim()==""){
		 			Fw.Msg.info("付款人账号为必填项!");
		 			return;
		 		}
				var bankname=$("#bankname44").val();
				if(bankname.trim()==""){
		 			Fw.Msg.info("开户行名称为必填项!");
					return;
				}
				var bankprovince=$("#bankprovince44").val();
				if(bankprovince.trim()==""){
		 			Fw.Msg.info("开户银行(省)为必填项!");
		 			return;
		 		}
				var bankcity=$("#bankcity44").val();
				if(bankcity.trim()==""){
		 			Fw.Msg.info("开户银行(市)为必填项!");
		 			return;
		 		}
				var payeename=$("#payeename44").val();
				if(payeename.trim()==""){
					Fw.Msg.info("收款人名称为必填项!");
		 			return;
		 		}
				var payeeacc=$("#payeeacc44").val();
				if($("#tradebustype44").val()!="02" && payeeacc.trim()==""){
		 			Fw.Msg.info("收款人账号为必填项!");
		 			return;
		 		}
				var payeeaccbankname=$("#payeeaccbankname44").val();
				if(payeeaccbankname.trim()==""){
		 			Fw.Msg.info("收款人开户行名称为必填项!");
		 			return;
		 		}
				var payeeaccbankprovince=$("#payeeaccbankprovince44").val();
				if(payeeaccbankprovince.trim()==""){
		 			Fw.Msg.info("收款人开户银行(省)为必填项!");
		 			return;
		 		}
				var payeeaccbankcity=$("#payeeaccbankcity44").val();
				if(payeeaccbankcity.trim()==""){
					Fw.Msg.info("收款人开户银行(市)为必填项!");
		 			return;
		 		}
				var amount=$("#amount44").val();
				if(amount.trim()==""){
		 			Fw.Msg.info("金额为必填项!");
		 			return;
		 		}
				var priority=$("#priority44").val();
				var use=$("#use44").val();
				if(use.trim()==""){
		 			Fw.Msg.info("用途为必填项!");
		 			return;
		 		}
				var postscript=$("#postscript44").val();
				if(postscript.trim()==""){
		 			Fw.Msg.info("附言为必填项!");
		 			return;
		 		}
				var tradebustype=$("#tradebustype44").val();
				if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类别为必填项!"); 
					return;
				}
				PfsContent={
						"payername":payername,
						"payeracc": payeracc,
						"bankname": bankname,
						"bankprovince": bankprovince,
						"bankcity": bankcity,
						"payeename": payeename,
						"payeeacc": payeeacc,
						"payeeaccbankname": payeeaccbankname,
						"payeeaccbankprovince": payeeaccbankprovince,
						"payeeaccbankcity": payeeaccbankcity,
						"amount": String(Fw.util.Format.unFmtAmt(amount)),
						"priority": priority,
						"use": use,
						"postscript": postscript,
						"tradebustype": tradebustype
					};
			}else if(num == 5){
				var tradebustype=$("#tradebustype55").val();
		 		if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类别为必填项!");
					return;
				}
			 	if(tradebustype=="02"||tradebustype=="01"){
					var payername=$("#payername55").val();
			 		if(tradebustype=="02"&&payername.trim()==""){
			 			Fw.Msg.info("付款人户名为必填项!");
			 			return;
			 		}
					var payeracc=$("#payeracc55").val();
					
			 		if(tradebustype=="02"&&payeracc.trim()==""){
			 			Fw.Msg.info("付款人账号为必填项!");
			 			return;
			 		}
			 		var payeraccbankname=$("#payeraccbankname55").val();
			 		var payeraccbank=$("#payeraccbank55").val();
			 		var payeename=$("#payeename55").val();
			 		if(tradebustype=="01"&&payeename.trim()==""){
			 			Fw.Msg.info("收款人户名为必填项!");
			 			return;
			 		}
			 		var payeeacc=$("#payeeacc55").val();
			 		if(tradebustype=="01"&&payeeacc.trim()==""){
			 			Fw.Msg.info("收款人账号为必填项!");
			 			return;
			 		}
			 		var payeeaccbankname=$("#payeeaccbankname55").val();
			 		var payeeaccbank=$("#payeeaccbank55").val();
		 		}else{
		 			var payername=$("#payername55").val();
		 			if(payername.trim()==""){
			 			Fw.Msg.info("付款人户名为必填项!");
			 			return;
		 			}
		 			var payeracc=$("#payeracc55").val();
		 			if(payeracc.trim()==""){
		 				Fw.Msg.info("付款人账号为必填项!");
		 			    return;
		 			}
			 		var payeraccbankname=$("#payeraccbankname55").val();
			 		var payeraccbank=$("#payeraccbank55").val();
			 		var payeename=$("#payeename55").val();
			 		if(payeename.trim()==""){
			 			Fw.Msg.info("收款人户名为必填项!");
			 			return;
			 		}
			 		var payeeacc=$("#payeeacc55").val();
			 		if(payeeacc.trim()==""){
			 			Fw.Msg.info("收款人账号为必填项!");
			 			return;
			 		}
			 		var payeeaccbankname=$("#payeeaccbankname55").val();
			 		var payeeaccbank=$("#payeeaccbank55").val();
		 	}
		 			
			 	var amount=$("#amount55").val();
		 		if(amount.trim()==""){
		 			Fw.Msg.info("金额为必填项!");
		 			return;
		 		}
		 		var paytype=$("#paytype55").val();
		 		if(paytype.trim()==""){
		 			Fw.Msg.info("手续费支付方式为必填项!");
		 			return;
		 		}
		 		var custype=$("#PerType").val();
		 		if(custype.trim()==""){
		 			Fw.Msg.info("客户证件类型为必填项!");
		 			return;
		 		}
		 		var cusno=$("#PerNum").val();
		 		if(cusno.trim()==""){
		 			Fw.Msg.info("客户证件号码为必填项!");
		 			return;
		 		}
		 		var cusaddress=$("#cusaddress55").val();
		 		if(cusaddress.trim()==""){
		 			Fw.Msg.info("住址为必填项!");
		 			return;
		 		}
		 		var custel=$("#PerPhone").val();
		 		if(custel.trim()==""){
		 			Fw.Msg.info("联系电话为必填项!");
					return;
				}
		 		PfsContent={
		 				"tradebustype": tradebustype,
		 				"payername": payername,
		 				"payeracc": payeracc,
		 				"payeraccbankname": payeraccbankname,
		 				"payeraccbank": payeraccbank,
		 				"payeename": payeename,
		 				"payeeacc": payeeacc,
		 				"payeeaccbankname": payeeaccbankname,
		 				"payeeaccbank": payeeaccbank,
		 				"amount": String(Fw.util.Format.unFmtAmt(amount)),
		 				"paytype": paytype,
		 				"custype": custype,
		 				"cusno": cusno,
		 				"cusaddress": cusaddress,
		 				"custel":custel
		 			};
		 	}else if(num=="6"){
		 		var loss_type=$("#loss_type66").val();
		 		if(loss_type.trim()==""){
		 			Fw.Msg.info("挂失方式为必填项!");
		 			return;
		 		}
		 		var loss_style=$("#loss_style66").val();
		 		if(loss_style.trim()==""){
		 			Fw.Msg.info("挂失类别为必填项!");
		 			return;
		 		}
		 		var book_type=$("#book_type66").val();
		 		if(book_type.trim()==""){
		 			Fw.Msg.info("挂失介质类型为必填项!");
		 			return;
		 		}
		 		var per_address=$("#per_address66").val();
		 		var agent_address=$("#agent_address66").val();
		 		var loss_reason=$("#loss_reason66").val();
		 		var seal_font=$("#seal_font66").val();
		 		var account=$("#account66").val();
		 		var currency=$("#currency66").val();
		 		var amount=$("#amount66").val();
		 		var voucher_type=$("#voucher_type66").val();
		 		var voucher_no=$("#voucher_no66").val();
		 		var startdate=$("#startdate66").val();
		 		var enddate=$("#enddate66").val();
		 		var remark=$("#remark66").val();
		 			
		 		PfsContent={
		 				"loss_type": loss_type,
		 				"loss_style": loss_style,
		 				"book_type": book_type,
		 				"per_address": per_address,
		 				"agent_address": agent_address,
		 				"loss_reason": loss_reason,
		 				"seal_font": seal_font,
		 				"account": account,
		 				"currency": currency,
		 				"amount": String(Fw.util.Format.unFmtAmt(amount)),
		 				"voucher_type": voucher_type,
		 				"voucher_no": voucher_no,
		 				"startdate": startdate,
		 				"enddate": enddate,
		 				"remark": remark
		 		};
				
		 	}
			 if(num=="7"){
			 	var sex=$("#sex77").val();
			 	var telphone=$("#telphone77").val();
			 	var mailaddress=$("#mailaddress77").val();
			 	var re=/^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+$/;
			 	if(mailaddress!=""){	
			 		if(!re.test(mailaddress)){
						Fw.Msg.info("邮箱不合法!");
						return;
					}
			 	}
			 	var zipcode=$("#zipcode77").val();
			 	var address=$("#address77").val();
			 	var message=$("#message77").val();
			 	var tradebustype=$("#tradebustype77").val();
			 	var perlimit=Fw.util.Format.unFmtAmt($("#perlimit77").val());
			 	var daylimit=Fw.util.Format.unFmtAmt($("#daylimit77").val());
			 	var accno=$("#accno77").val();
			 	var dfusercode=$("#dfusercode77").val();
			 	var gdusercode=$("#gdusercode77").val();
			 	PfsContent={
			 			"sex": sex,
			 			"telphone": telphone,
			 			"mailaddress": mailaddress,
			 			"zipcode": zipcode,
			 			"address": address,
			 			"message": message,
			 			"tradebustype": tradebustype,
			 			"perlimit": String(perlimit),
			 			"daylimit": String(daylimit),
			 			"accno": accno,
			 			"dfusercode": dfusercode,
			 			"gdusercode": gdusercode
			 		};
		 	}
		 	if(num == "8"){
				var  englishname = $("#englishname10").val();
				var  nationality = $("#guoji").val();
				var  merry = $("#merry10").val();
				var  enddate = $("#idvalidity10").val().replaceAll("/", "");
				var  sex = $("#sex10").val();
				var  birthday = $("#birthDay10").val().replaceAll("/", "");
				var  appellation = $("#chengwei").val();
				var  residence = $("#nationality102").val();
				var  censusregister = $("#profession103").val();
				var  phone = $("#phoneNum100").val();
				var  profession = $("#profession104").val();
				var  economic = $("#profession105").val();
				var  telphone = $("#telNum100").val();
				var  zipcode = $("#postCode100").val();
				var  address = $("#adrr100").val();
				var  residentsign = $("#profession106").val();
				if(nationality == ""){
					Fw.Msg.info("请输入国籍!");
					return;
				}
				if(appellation == ""){
					Fw.Msg.info("请输入称谓!");
					return;
				}
				if(phone == ""){
					Fw.Msg.info("请输入手机号码!");
					return;
				}
				if(zipcode == ""){
					Fw.Msg.info("请输入邮政编码!");
					return;
				}
				if(address == ""){
					Fw.Msg.info("请输入家庭地址!");
					return;
				}
				
				if(telphone!=""){
					if(telphone.indexOf("-") == -1){
						Fw.Msg.info("请输入正确格式的电话号码，格式为：电话区号-电话号码(-分机号)");
						return;
					}else{
						var telStr = telphone.split("-");
						if(telStr.length == 2){
							telphone =  App.strAddBlank(telStr[0],4)+telStr[1];
						}else if(telStr.length == 3){
							telphone =  App.strAddBlank(telStr[0],4) + App.strAddBlank(telStr[1],10)+telStr[2];
						}else{
							Fw.Msg.info("请输入正确格式的电话号码，格式为：电话区号-电话号码(-分机号)");
							return;
						}
					}
				}
			 	PfsContent={
			 			"funcode" : "1",
						"englishname" :englishname,
						"nationality" :nationality,
						"merry" :merry,
						"enddate" :enddate,
						"sex" :sex,
						"birthday" :birthday,
						"appellation" :appellation,
						"residence" :residence,
						"censusregister" :censusregister,
						"phone" :phone,
						"profession" :profession,
						"economic" :economic,
						"telphone" :telphone,
						"zipcode" :zipcode,
						"address" :address,
						"residentsign" :residentsign,
						"tradebustype" :"01"
			 		};
			}
			if(num == "9"){
				var payeename = $("#accname88").val();
			 	var payeeacc = $("#acctnum88").val();//
			 	var payeeaccbankname = $("#payeeaccbankname88").val();
			 	var use = $("#tradebusuerr88").val();
			 	var otheruse = $("#beizhu88").val();
			 	var currency = $("#tradebustype88").val();
			 	var amount = Fw.util.Format.unFmtAmt($("#amount88").val());
			 	if(payeeacc == ""){
			 		Fw.Msg.info("请输入收款人账号!");
					return;
			 	}
			 	if(!/^[0-9]+$/.test(payeeacc)){
		 			Fw.Msg.info("收款人账号不合法!");
		 			return;
		 		}
			 	if(amount == ""||amount == 0){
			 		Fw.Msg.info("请输入金额!");
					return;
			 	}
			 	if(use=="000" && otheruse==""){
			 		Fw.Msg.info("请选择款项来源或者输入备注!");
					return;
			 	}
			 	PfsContent={
			 			"payeename": payeename,
			 			"payeeacc": payeeacc,
			 			"payeeaccbankname": payeeaccbankname,
			 			"use": use,
			 			"otheruse": otheruse,
			 			"currency": currency,
			 			"amount": String(Fw.util.Format.fmtNumber(amount)),
			 			"tradebustype":"01"
			 		};
			}
			
			if(num == "10"){
				var tradebustype = $("#tradebustype991").val();
				var transflag = $("#tradebustype992").val();
				var payeraccbankname =$("#paybankname99").val();
				var payeracc =$("#acctnum99").val();
				var payeeaccbankname =$("#payerbankname99").val();
				var payeeacc =$("#acctnum991").val();
				var payeename =$("#acctname991").val();
				var currency =$("#tradebustype99").val();
				var amount = Fw.util.Format.unFmtAmt($("#amount99").val());
				if(payeraccbankname == ""){
					Fw.Msg.info("请输入付款人开户行");
					return;
				}
				if(payeeaccbankname == ""){
					Fw.Msg.info("请输入收款人开户行");
					return;
				}
				if(payeeacc == ""){
					Fw.Msg.info("请输入收款人账号");
					return;
				}
				if(payeename == ""){
					Fw.Msg.info("请输入收款人名称");
					return;
				}
				if(amount==""||amount == 0){
					Fw.Msg.info("请输入金额");
					return;
				}
			 	PfsContent={
			 			"tradebustype": tradebustype,
			 			"transflag": transflag,
			 			"payeraccbankname": payeraccbankname,
			 			"payeracc": payeracc,
			 			"payeeaccbankname": payeeaccbankname,
			 			"payeeacc": payeeacc,
			 			"payeename": payeename,
			 			"currency": currency,
			 			"amount": String(Fw.util.Format.fmtNumber(amount)),
			 		};
			}
		 	Fw.Msg.cfm('是否确定修改?', function(code, btn, win){
                 if(code == 'yes'){
                	App.checkDynamicCode();
                 }
             }); 			
	    },
	    //表单删除
	    deleteSubmit :function(){
	    	if(OrderStatus=="1"){
	    		Fw.Msg.info("预约已激活!");
	    		return;
	    	}
	    	Fw.Msg.cfm('是否确定删除?', function(code, btn, win){
                if(code == 'yes'){
                	App.checkDynamicCode1();
                }
            });
	    },
	    //提交修改
	    checkDynamicCode :function(){
	    	var WorkDate=$("#WorkDate").val();
	    	WorkDate = WorkDate.replace("-","").replace("-","");
	    	var PfsSeq=$("#PfsSeq").val();
	    	var PerName=$("#PerName").val();
	    	var PerType=$("#PerType").val();
	    	var PerNum=$("#PerNum").val();
	    	var PerPhone=$("#PerPhone").val();
	    	var AgentName=$("#AgentName").val();
	    	var AgentType1=$("#AgentType").val();
	    	var AgentNum=$("#AgentNum").val();
	    	var AgentPhone=$("#AgentPhonetwo").val();//
	    	if(AgentPhone.indexOf("*")>-1){
	    		AgentPhone=$("#AgentPhone").val()
	    	}
	    				
	    	if(PerName.trim()==""){
	    	 	Fw.Msg.info("办理人姓名为必填项!");
	    		return;
	    	}
	    	if(PerType.trim()==""){
	    		Fw.Msg.info("办理人证件类型为必填项!");
	    		return;
	    	}
			if(PerNum.trim()==""){
				Fw.Msg.info("办理人证件号码为必填项!");
				return;
			}
			if(PerPhone.trim()==""){
				Fw.Msg.info("办理人手机号为必填项!");
				return;
			}
			 Fw.util.Ajax.execute({
		            service: 'netWorkOrderService',
		            method: 'executeOrderFormInformationModify',
		            //请求参数
		            params: {
		            	WorkDate:WorkDate,
		    			PfsSeq:PfsSeq,
		    			PerName:PerName,
		    			PerType:PerType,
		    			PerNum:PerNum,
		    			PerPhone:PerPhone,
		    			AgentName:AgentName,
		    			AgentType:AgentType1,
		    			AgentNum:AgentNum,
		    			AgentPhone:AgentPhone,
		    			PfsContent:PfsContent,
		            },
		            //是否使用数据挡板（默认false）
		            staticData: false,
		            //请求成功后回调
		            success: function(data, result) {
		            	Fw.Msg.info("修改成功!",function(){

		            		var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
		        			Fw.redirect(url);
		            	});
		            },
		            //请求错误后回调
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error,function(){

		            		var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
		        			Fw.redirect(url);
		            	});
		            }
		        }); 
	    },
	    //提交删除
	    checkDynamicCode1 :function(){
	    	var PfsSeq = $("#PfsSeq").val();
			PfsSeq1 = PfsSeq;
	    	Fw.util.Ajax.execute({
	            service: 'netWorkOrderService',
	            method: 'executeOrderFormInformationDelete',
	            //请求参数
	            params: {
	            	PfsSeq:PfsSeq
	            },
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	            	Fw.Msg.info("删除成功!",function(){
	            		var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
	        			Fw.redirect(url);
	            	});
	            },
	            //请求错误后回调
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error,function(){
	            		var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
	        			Fw.redirect(url);
	            	});
	            }
	        }); 
	    },
	    //获取当前日期
        initCurDate:function(){
        	Fw.util.Ajax.get({
				service : 'curdateService',
				method:'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					$('#startdate').val(data['CurDate']);
				},
			});
        	
        },
        closeReservId :function(){
			$("#ReservId").val("");
		},
		change3:function (value){
			if(value=="1"){
				$("#AgentType").val("");
				$("#AgentNum").val("");
				$("#AgentName").val("");
				$("#AgentPhonetwo").val("");
			}
			if(value=="2"){
				$("#AgentType").val($("#PerType").val());
				$("#AgentNum").val($("#PerNum").val());
				$("#AgentName").val($("#PerName").val());
				$("#AgentPhone").val($("#PerPhone").val());
				$("#AgentPhonetwo").val(Fw.util.Format.fmtPhoneNum($("#PerPhonetwo").val()));
			}
		},
		onchange07:function (val07){
			if(val07=="05"){
				$("#li71").removeClass("hiden");
				$("#li72").removeClass("hiden");
				$("#li73").addClass("hiden");
				$("#gdusercode77").val("");
			}else if(val07=="06"){
				$("#li71").removeClass("hiden");
				$("#li73").removeClass("hiden");
				$("#li72").addClass("hiden");
				$("#dfusercode77").val("");
			}else{
				$("#li71").addClass("hiden");
				$("#li72").addClass("hiden");
				$("#li73").addClass("hiden");
				$("#accno77").val("");
				$("#gdusercode77").val("");
				$("#dfusercode77").val("");
			}
		},
		onc:function (val1){ 
			$("#priority44").val("");
			 if(val1=="03"){
				 $("#lii1").removeClass("hiden");
			 }else{
				 $("#lii1").addClass("hiden");
			 }
			/* if(val1=="02"){
				 $("#000004021").innerHTML = "";
			 }else{
				 $("#000004021").innerHTML = "*";
			 }*/
		 },
		 select1:function (val){
			 $("#payername55").val("");
			 $("#payeracc55").val("");
			 $("#payeraccbankname55").val("");
			 $("#payeraccbank55").val("");
			 $("#payeename55").val("");
			 $("#payeeacc55").val("");
			 $("#payeeaccbankname55").val("");
			 $("#payeeaccbank55").val(""); 
			 var c = Fw.app.Session.getAllCards();;
			if(val=="01"){
				$("#f1").addClass("hiden");
				$("#f2").addClass("hiden");
				$("#s1").removeClass("hiden");
				$("#s2").removeClass("hiden");
			 	$("#payeename55").val(clientName);
				$("#payeeacc55").val(c[0].No);
				$("#payeeaccbankname55").val(c[0].Department.Name);
				$("#payeeaccbank55").val(c[0].DeptSeq);
			 }else if(val=="02"){	
				 $("#f1").removeClass("hiden");
				 $("#f2").removeClass("hiden");
				 $("#s1").addClass("hiden");
				 $("#s2").addClass("hiden");
			 	$("#payername55").val(clientName);
				$("#payeracc55").val(c[0].No);
				$("#payeraccbankname55").val(c[0].Department.Name);
				$("#payeraccbank55").val(c[0].DeptSeq);
			 }else if(val=="03"){
				 $("#s1").removeClass("hiden");
				 $("#s2").removeClass("hiden");
				 $("#f1").removeClass("hiden");
				 $("#f2").removeClass("hiden");	
				$("#payeename55").val(clientName);
				$("#payeeacc55").val(c[0].No);
				$("#payeeaccbankname55").val(c[0].Department.Name);
				$("#payeeaccbank55").val(c[0].DeptSeq);
			 
			 }else if(val=="04"){
				 $("#s1"),removeClass("hiden");
				 $("#s2").removeClass("hiden");
				 $("#f1").removeClass("hiden");
				 $("#f2").removeClass("hiden");
				$("#payername55").val(clientName);
				$("#payeracc55").val(c[0].No);
				$("#payeraccbankname55").val(c[0].Department.Name);
				$("#payeraccbank55").val(c[0].DeptSeq);
			 }
			 
			 },
		leftButtonHandler:function(){
			var pageB = $("#pageB");
			var pageA1= $("#pageA1");
			if(!pageB.hasClass("hiden")){
				$("#pageA").removeClass("hiden");
				$("#pageB").addClass("hiden");
			}
			else if(!pageA1.hasClass("hiden")){
				$("#pageB").removeClass("hiden");
				$("#pageA1").addClass("hiden");
			}else{
				var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
				Fw.redirect(url);
			}
     	},
      	bankNameChange:function(val09){
      		if(val09 == "02"){
     			$("#tradebustype992").html("<option value='2'>转账</option>");
     		}else{
     			$("#tradebustype992").html("<option value='1'>现金</option><option value='2'>转账</option>");
     		}
     	},
     	//判断字符串在后面添加空格
     	strAddBlank : function(str,num){
     		var blank="";
     		var strLength = str.length;
     		var number =(num - strLength) > 0 ? (num - strLength) : 0 ;
     		for(var i = 0 ; i < number ; i++){
     			blank+=" ";
     		}
     		
     		return str+blank;
     	},
	  };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);