var App = function() {
	var BRCHS="";  //网点号
	var BRNAMES=""; //网点名称
	var longitude ="";
	var latitude ="";
	var bankAddress="";
	var clientName = ""; //客户名称
	var idType="";//证件类型
	var idNo="";//证件号
	var MobilePhone="";
	var tradeId ="";//填单业务id
	var tradeName="";//填单业务名称
	var allCards = [];//卡所有信息
	var PfsContent;//填单内容
	var reservId;//预填单号
	//var transPickerFlag = "${transPickerFlag}"; //自定义键盘标志位
	return {
		 requires : [
   	        'Fw.app.Session',
   	        //安全键盘
            'Fw.Keyboard',
            //日历组件
            'Fw.Calendar',
           ], 
		 /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '预填单信息登记',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            //    handler: 'App.leftButtonHandler'
            },
           
        },
		init : function(require) {
			var params = Fw.getParameters();
			BRCHS = params.BRCHS;
			BRNAMES = params.BRNAMES;
			longitude  = params.longitude;//经度
		    latitude = params.latitude;//纬度
		    bankAddress= params.bankAddress;//地址
			tradeId =params.tradeId;//填单业务id
			tradeName=params.tradeName;//填单业务名称
			clientName = Fw.app.Session.getCustName(); //客户名称
			idType = Fw.app.Session.getIdType();//证件类型
			idNo = Fw.app.Session.getIdNo();//证件号
			MobilePhone = Fw.app.Session.getLoginPhoneNo();//登录手机号
			allCards = Fw.app.Session.getAllCards();//卡所有信息
			reservId=params.reservId;//预填单号
			
	        this.initData();
	        this.initEvents();
	        Fw.LoadMask.hide(1000);
		},
		//初始化页面数据
		initData : function() {
			//transPickerCt(); //键盘设置
			//BRCHS=BRCHS.substring(0,9);
			//var brn=BRNAMES.split("|");
			
			//BRNAMES=brn[0];
			//if(brn[1]==""||brn[1]==null){}
			//else{
			//g("ReservId").value=brn[1];
			//}
			$("#PerName").val(clientName);//姓名
			$("#PerPhone").val(MobilePhone);//手机号
			$("#PerPhonetwo").val(Fw.util.Format.fmtPhoneNum(MobilePhone));
			$("#TradeId").val(tradeName);//办理业务名称
			if(reservId==undefined){
				$("#ReservId").val("");
			}else{
				$("#ReservId").val(reservId);
			}
			
			
			//var c = eval("(" +'${ALLCARDS}'+ ")");
			$("#accname33").val(clientName);
			$("#acctnum33").val(allCards[0].No);
			$("#payername22").val(clientName);
			$("#payeracc22").val(allCards[0].No);
			$("#payername44").val(clientName);
			$("#payeracc44").val(allCards[0].No);
			$("#bankname44").val(allCards[0].Department.Name);
			
			$("#payeename55").val(clientName);
			$("#payeeacc55").val(allCards[0].No);
			$("#payeeaccbankname55").val(allCards[0].Department.Name);
			$("#payeeaccbank55").val(allCards[0].DeptSeq);
			$("#telphone77two").val(MobilePhone);
			$("#telphone77").val(MobilePhone);
			
			if(tradeId==undefined || tradeId==null || tradeId==""){
				tradeId="0";
			}
			$("#TradeId").val(tradeId);
			App.showTradeHtmlByTradeId(tradeId);
			
			App.showIdType(idType);
			App.initCurDate();
		},
		
		initEvents : function() {
			//$("#myApply").on("click",Fw.bind(this.toMyApply,this));
			$("#TradeId").on("change",Fw.bind(this.optionChange,this));
			
		},
		//获取当前日期
        initCurDate:function(){
        	Fw.util.Ajax.get({
				service : 'curdateService',
				method:'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					$('#idvalidity10').val(data['CurDate']);
					if("P00"==idType){
						var birthday = idNo.substring(6,14);
						var birthYear = birthday.substring(0,4);//证件年
						var birthMonth = birthday.substring(4,6);//证件月
						var birthDay = birthday.substring(6,8);//证件日
						var birthDate =birthYear + "/" + birthMonth + "/" + birthDay;
						$('#birthDay10').val(birthDate);
					}else{
						$('#birthDay10').val(data['CurDate']);
					}
				},
			});
        	
        },
		optionChange:function(){
			tradeId = $("#TradeId option:selected").val();
			App.showTradeHtmlByTradeId(tradeId);
		},
		//根据证件类型，显示证件号
		showIdType :function(idType){
			switch(idType){
				case "P00":
					$("#PerType").val("A");
					$("#PerNum").val(idNo);
					break;
				case "P01":
					$("#PerType").val("B");
					$("#PerNum").val(idNo);
					break;	
				case "P02":
					$("#PerType").val("C");
					$("#PerNum").val(idNo);
					break;
				case "P03":
					$("#PerType").val("D");
					$("#PerNum").val(idNo);
					break;
				case "P04":
					$("#PerType").val("E");
					$("#PerNum").val(idNo);
					break;
				case "P05":
					$("#PerType").val("J");
					$("#PerNum").val(idNo);
					break;
				case "P06":
					$("#PerType").val("G");
					$("#PerNum").val(idNo);
					break;
				case "P07":
					$("#PerType").val("M");
					$("#PerNum").val(idNo);
					break;
				case "P17":
					$("#PerType").val("L");
					$("#PerNum").val(idNo);
					break;
				case "P18":
					$("#PerType").val("K");
					$("#PerNum").val(idNo);
					break;
				case "P23":
					$("#PerType").val("I");
					$("#PerNum").val(idNo);
					break;
				case "P24":
					$("#PerType").val("N");
					$("#PerNum").val(idNo);
					break;
				case "P25":
					$("#PerType").val("F");
					$("#PerNum").val(idNo);
					break;
				case "E01":
					$("#PerType").val("P");
					$("#PerNum").val(idNo);
					break;
				case "E02":
					$("#PerType").val("R");
					$("#PerNum").val(idNo);
					break;
				case "E03":
					$("#PerType").val("Q");
					$("#PerNum").val(idNo);
					break;
				case "E08":
					$("#PerType").val("T");
					$("#PerNum").val(idNo);
					break;
				case "E10":
					$("#PerType").val("U");
					$("#PerNum").val(idNo);
					break;
			}
		},
		//根据业id显示业务所要填写的表单
		showTradeHtmlByTradeId :function(tradeId){
			if(tradeId=="000008"){
				$("#PerType").removeAttr("disabled");
				$("#PerNum").removeAttr("disabled");
				$("#PerName").removeAttr("disabled");
				$("#PerPhonetwo").removeAttr("disabled");
				$("#PerPhone").removeAttr("disabled");
				$("#tb").val(1);
				App.change3(1);
			}else{
				$("#PerType").attr("disabled",true);
				$("#PerNum").attr("disabled",true);
				$("#PerName").attr("disabled",true);
				$("#PerPhonetwo").attr("disabled",true);
				$("#PerPhone").attr("disabled",true);
				$("#PerName").val(clientName);//姓名
				$("#PerPhone").val(MobilePhone);//手机号
				$("#PerPhonetwo").val(Fw.util.Format.fmtPhoneNum(MobilePhone));
				App.showIdType(idType);
				$("#tb").val(1);
				App.change3(1);
			}
			switch(tradeId){
				case "0":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				case "000001":
					$("#000001").css("display","");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				case "000002":
					$("#000001").css("display","none");
					$("#000002").css("display","");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				case "000003":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				case "000004":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				case "000005":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				case "000006":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				case "000007":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					break;
				 case "000008":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","none");
					$("#000008").css("display","");
					break;
				  case "000009":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000010").css("display","none");
					$("#000009").css("display","");
					break;
				  case "000010":
					$("#000001").css("display","none");
					$("#000002").css("display","none");
					$("#000003").css("display","none");
					$("#000004").css("display","none");
					$("#000005").css("display","none");
					$("#000006").css("display","none");
					$("#000007").css("display","none");
					$("#000008").css("display","none");
					$("#000009").css("display","none");
					$("#000010").css("display","");
					break;
			}
		 },
		
		//提交
		submit:function() {
			/*if(hidenStr(g("telphone77").value,1)!=g("telphone77two").value){
				g("telphone77").value=g("telphone77two").value;	
			}	
			if(hidenStr(g("AgentPhone").value,1)!=g("AgentPhonetwo").value){
				g("AgentPhone").value=g("AgentPhonetwo").value;	
			}	
			if(hidenStr(g("PerPhone").value,1)!=g("PerPhonetwo").value){
				g("PerPhone").value=g("PerPhonetwo").value;	
			}*/	
			//var PfsContent1=$("#TradeId").val();//办理业务tradeId
			/*	if(tradeId=="0"){
			Fw.Msg.info("办理业务为必选项!");
			return;
			}*/
			
			switch(tradeId){
			case "0":
				
				break;
			case "000001":
				var sex=$("#sex11").val();
				var nationality=$("#nationality11").val();
				var profession=$("#profession11").val();
				var mailaddress=$("#mailaddress11").val();
				var re=/^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z_-])+$/;
				var telphone=$("#telphone11").val();
				var address_home=$("#address_home11").val();
				var address=$("#address11").val();
				var merry=$("#merry11").val();
				var idvalidity=$("#idvalidity11").val();
				var tradebustype="";
		 		var arr=document.getElementsByName("ch1");
		 		var education=$("#education11").val();
		 		if(sex.trim()==""){
					Fw.Msg.info("性别为必填项!");
		 			return;
		 		}else if(sex.indexOf(",")>=0||sex.indexOf(":")>=0){
		 			Fw.Msg.info("性别填写带有特殊符号");
		 			return;
		 		}
				if(nationality.trim()==""){
					Fw.Msg.info("国籍为必填项!");
					return;
		 		}else if(nationality.indexOf(",")>=0||nationality.indexOf(":")>=0){
		 			Fw.Msg.info("国籍填写带有特殊符号");
		 			return;
		 		}
				if(profession.trim()==""){
					Fw.Msg.info("职业为必填项!");
		 			return;
		 		}else if(profession.indexOf(",")>=0||profession.indexOf(":")>=0){
		 			Fw.Msg.info("职业填写带有特殊符号");
		 			return;
		 		}
				if(education.trim()==""){
		 			Fw.Msg.info("学历为必填项!");
		 			return;
		 		}
				if(mailaddress.trim()!="" && !re.test(mailaddress)){
					Fw.Msg.info("开户信息的邮箱格式不正确");
					return;
				}else if(mailaddress.indexOf(",")>=0||mailaddress.indexOf(":")>=0){
		 			Fw.Msg.info("开户信息的邮箱格式不正确");
		 		    return;
		 		}
		 		if(merry.trim()==""){
		 			Fw.Msg.info("婚姻状况为必填项!");
		 			return;
		 		}else if(merry.indexOf(",")>=0||merry.indexOf(":")>=0){
			 		Fw.Msg.info("婚姻状况带有逗号或冒号");
			 		return;
		 		}
		 		if(telphone.indexOf(",")>=0||telphone.indexOf(":")>=0){
			 		Fw.Msg.info("开户信息的联系电话格式不正确");
			 		return;
			 	}
				if(address_home.trim()==""){
		 			Fw.Msg.info("家庭地址为必填项!");
		 			return;
		 		}else if(address_home.indexOf(",")>=0||address_home.indexOf(":")>=0){
			 		Fw.Msg.info("家庭地址填写带有逗号或冒号");
			 		return;
		 		}
				if(address.trim()==""){
		 			Fw.Msg.info("身份证地址为必填项!");
		 			return;
		 		}else if(address.indexOf(",")>=0||address.indexOf(":")>=0){
			 		Fw.Msg.info("身份证地址填写带有逗号或冒号");
			 		return;
		 		}								 		 		
		 		if(idvalidity.trim()==""){
		 			Fw.Msg.info("证件有效期为必填项!");
		 			return;
		 		}else if(idvalidity.indexOf(",")>=0||idvalidity.indexOf(":")>=0){
			 		Fw.Msg.info("证件有效期带有逗号或冒号");
			 		return;
		 		}
		 		for(var i=0;i<arr.length;i++){
		 			if(arr[i].checked){
		 				var a=arr[i].value;
		 				tradebustype=tradebustype+a+"|";
		 			}
		 		}
		 		if(!tradebustype.trim()==""){
		 			tradebustype=tradebustype.substring(0, tradebustype.length-1);
				}else{
		 			Fw.Msg.info("交易业务类别为必填项!");
		 			return;
				}
		 		PfsContent={
						"sex": sex,
						"nationality": nationality,
						"profession": profession,
						"mailaddress": mailaddress,
						"telphone": telphone,
						"address": address,
						"address_home": address_home,
						"tradebustype": tradebustype,
						"merry": merry,
						"education": education,
						"idvalidity": idvalidity
					};
				break;
				
			case "000002":
				var accname=$("#accname33").val();
				var acctnum=$("#acctnum33").val();
				var amount = Fw.util.Format.unFmtAmt($("#amount33").val());
				var tradebustype=$("#tradebustype33").val();
				
				if(accname.trim()==""){
		 			Fw.Msg.info("户名为必填项!");
		 			return;
		 		}
				if(acctnum.trim()==""){
		 			Fw.Msg.info("账号为必填项!");
		 			return;
		 		}
				if(amount==""){
		 			Fw.Msg.info("金额为必填项!");
		 			return;
		 		}
		 		if(!(/^[1-9]?[0-9]+\.?[0-9]?[0-9]?$/).test(amount)){
					Fw.Msg.info("金额不合法！");
					return;
				}
		 		if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类别为必填项!");
		 			return;
		 		}
		 		PfsContent={
						"accname": accname,
						"acctnum": acctnum,
						"amount": String(amount),
						"tradebustype": tradebustype
					};
				break;
				
			case "000003":
				var payername=$("#payername22").val();
				var payeracc=$("#payeracc22").val();
				var payeename=$("#payeename22").val();
				var payeeacc=$("#payeeacc22").val();
				var postscript=$("#postscript22").val();
				var tradebustype=$("#tradebustype22").val();
				var amount = Fw.util.Format.unFmtAmt($("#amount22").val());

				if(payername.trim()==""){
		 			Fw.Msg.info("付款人姓名为必填项!");
		 			return;
		 		}
				if(payeracc.trim()==""){
		 			Fw.Msg.info("付款账号为必填项!");
		 			return;
		 		}
				if(payeename.trim()==""){
		 			Fw.Msg.info("收款人名称为必填项!");
		 			return;
		 		}
				if(payeeacc.trim()==""){
					Fw.Msg.info("收款人账号为必填项!");
		 			return;
		 		}
		 		if(!/^[0-9]+$/.test(payeeacc)){
		 			Fw.Msg.info("收款人账号不合法!");
		 			return;
		 		}
				if(amount==""){
		 			Fw.Msg.info("金额为必填项!");
					return;
				}
				if(!(/^[1-9]?[0-9]+\.?[0-9]?[0-9]?$/).test(amount)){
					Fw.Msg.info("金额不合法！");
					return;
				}
				if(postscript.trim()==""){
					Fw.Msg.info("附言为必填项!");
					return;
				}
				if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类型为必填项!");
		 			return;
		 		}
				PfsContent={
						"payername": payername,
						"payeracc": payeracc,
						"payeename": payeename,
						"payeeacc": payeeacc,
						"amount": String(amount),
						"postscript": postscript,
						"tradebustype": tradebustype
					};
				break;
				
			case "000004":
				var payername=$("#payername44").val();
				var payeracc=$("#payeracc44").val();
				var bankname=$("#bankname44").val();
				var bankprovince=$("#bankprovince44").val();
				var bankcity=$("#bankcity44").val();
				var payeename=$("#payeename44").val();
				var payeeacc=$("#payeeacc44").val();
				var payeeaccbankname=$("#payeeaccbankname44").val();
				var payeeaccbankprovince=$("#payeeaccbankprovince44").val();
				var payeeaccbankcity=$("#payeeaccbankcity44").val();
				var amount = Fw.util.Format.unFmtAmt($("#amount44").val());
				var priority=$("#priority44").val();	
				var use=$("#use44").val();
				var tradebustype=$("#tradebustype44").val();
				var postscript=$("#postscript44").val();
				
				if(payername.trim()==""){
		 			Fw.Msg.info("付款人名称为必填项!");
		 			return;
		 		}
				if(payeracc.trim()==""){
		 			Fw.Msg.info("付款人账号为必填项!");
		 			return;
		 		}
				if(bankname.trim()==""){
		 			Fw.Msg.info("开户行名称为必填项!");
					return;
				}
				if(bankprovince.trim()==""){
		 			Fw.Msg.info("开户银行(省)为必填项!");
		 			return;
		 		}
				if(bankcity.trim()==""){
		 			Fw.Msg.info("开户银行(市)为必填项!");
		 			return;
		 		}
				if(payeename.trim()==""){
					Fw.Msg.info("收款人名称为必填项!");
		 			return;
		 		}
				if($("#tradebustype44").val()!="02" && payeeacc.trim()==""){
		 			Fw.Msg.info("收款人账号为必填项!");
		 			return;
		 		}
				if(payeeaccbankname.trim()==""){
		 			Fw.Msg.info("收款人开户行名称为必填项!");
		 			return;
		 		}
				if(payeeaccbankprovince.trim()==""){
		 			Fw.Msg.info("收款人开户银行(省)为必填项!");
		 			return;
		 		}
				if(payeeaccbankcity.trim()==""){
					Fw.Msg.info("收款人开户银行(市)为必填项!");
		 			return;
		 		}
				if(amount==""){
		 			Fw.Msg.info("金额为必填项!");
		 			return;
		 		}
		 		if(!(/^[1-9]?[0-9]+\.?[0-9]?[0-9]?$/).test(amount)){
					Fw.Msg.info("金额不合法！"+amount);
					return;
				}
				if(use.trim()==""){
		 			Fw.Msg.info("用途为必填项!");
		 			return;
		 		}
				if(postscript.trim()==""){
		 			Fw.Msg.info("附言为必填项!");
		 			return;
		 		}
				if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类别为必填项!");
					return;
				}
				PfsContent={
						"payername": payername,
						"payeracc": payeracc,
						"bankname": bankname,
						"bankprovince": bankprovince,
						"bankcity": bankcity,
						"payeename": payeename,
						"payeeacc": payeeacc,
						"payeeaccbankname": payeeaccbankname,
						"payeeaccbankprovince": payeeaccbankprovince,
						"payeeaccbankcity": payeeaccbankcity,
						"amount": String(amount),
						"priority": priority,
						"use": use,
						"postscript": postscript,
						"tradebustype": tradebustype
					};
				break;
				
			case "000005":
				var tradebustype=$("#tradebustype55").val();
				var amount = Fw.util.Format.unFmtAmt($("#amount55").val());
				var paytype=$("#paytype55").val();
				var custype=$("#PerType").val();
				var cusno=$("#PerNum").val();
				var cusaddress=$("#cusaddress55").val();
				var custel=$("#PerPhone").val();
				
		 		if(tradebustype.trim()==""){
		 			Fw.Msg.info("交易业务类别为必填项!");
					return;
				}
				if(tradebustype=="02"||tradebustype=="01"){
					var payername=$("#payername55").val();
					var payeracc=$("#payeracc55").val();
					var payeraccbankname=$("#payeraccbankname55").val();
			 		var payeraccbank=$("#payeraccbank55").val();
			 		var payeename=$("#payeename55").val();
			 		var payeeacc=$("#payeeacc55").val();
			 		var payeeaccbankname=$("#payeeaccbankname55").val();
			 		var payeeaccbank=$("#payeeaccbank55").val();
			 		
					if(tradebustype=="02"&&payername.trim()==""){
						Fw.Msg.info("付款人户名为必填项!");
						return;
					}
			 		if(tradebustype=="02"&&payeracc.trim()==""){
			 			Fw.Msg.info("付款人账号为必填项!");
			 			return;
			 		}
			 		if(tradebustype=="01"&&payeename.trim()==""){
			 			Fw.Msg.info("收款人户名为必填项!");
			 			return;
			 		}
			 		if(tradebustype=="01"&&payeeacc.trim()==""){
			 			Fw.Msg.info("收款人账号为必填项!");
			 			return;
			 		}
			 		
		 		}else{
		 			var payername=$("#payername55").val();
		 			var payeracc=$("#payeracc55").val();
		 			var payeraccbankname=$("#payeraccbankname55").val();
		 			var payeraccbank=$("#payeraccbank55").val();
		 			var payeename=$("#payeename55").val();
		 			var payeeacc=$("#payeeacc55").val();
		 			var payeeaccbankname=$("#payeeaccbankname55").val();
		 			var payeeaccbank=$("#payeeaccbank55").val();
		 			
			 		if(payername.trim()==""){
			 			Fw.Msg.info("付款人户名为必填项!");
			 			return;
			 		}
			 		if(payeracc.trim()==""){
			 			Fw.Msg.info("付款人账号为必填项!");
			 			return;
			 		}		
			 		if(payeename.trim()==""){
			 			Fw.Msg.info("收款人户名为必填项!");
			 			return;
			 		}
			 		if(payeeacc.trim()==""){
			 			Fw.Msg.info("收款人账号为必填项!");
			 			return;
			 		}
		 		}
		 		if(amount ==""){
		 			Fw.Msg.info("金额为必填项!");
		 			return;
		 		}
		 		if(!(/^[1-9]?[0-9]+\.?[0-9]?[0-9]?$/).test(amount)){
					Fw.Msg.info("金额不合法！");
					return;
				}
		 		if(paytype.trim()==""){
		 			Fw.Msg.info("手续费支付方式为必填项!");
		 			return;
		 		}
		 		if(custype.trim()==""){
		 			Fw.Msg.info("客户证件类型为必填项!");
		 			return;
		 		}
		 		if(cusno.trim()==""){
		 			Fw.Msg.info("客户证件号码为必填项!");
		 			return;
		 		}
		 		if(cusaddress.trim()==""){
		 			Fw.Msg.info("住址为必填项!");
		 			return;
		 		}
		 		if(custel.trim()==""){
		 			Fw.Msg.info("联系电话为必填项!");
					return;
				}
		 		PfsContent={
		 				"tradebustype": tradebustype,
		 				"payername": payername,
		 				"payeracc": payeracc,
		 				"payeraccbankname": payeraccbankname,
		 				"payeraccbank": payeraccbank,
		 				"payeename": payeename,
		 				"payeeacc": payeeacc,
		 				"payeeaccbankname": payeeaccbankname,
		 				"payeeaccbank": payeeaccbank,
		 				"amount": String(amount),
		 				"paytype": paytype,
		 				"custype": custype,
		 				"cusno": cusno,
		 				"cusaddress": cusaddress,
		 				"custel": custel
		 			};
				break;
				
			case "000006":
		 		var loss_type=$("#loss_type66").val();
		 		var loss_style=$("#loss_style66").val();
		 		var book_type=$("#book_type66").val();
		 		
		 		if(loss_type.trim()==""){
		 			Fw.Msg.info("挂失方式为必填项!");
		 			return;
		 		} 	
		 		if(loss_style.trim()==""){
		 			Fw.Msg.info("挂失类别为必填项!");
		 			return;
		 		} 	
		 		if(book_type.trim()==""){
		 			Fw.Msg.info("挂失介质类型为必填项!");
		 			return;
		 		}
		 		
		 		var per_address=$("#per_address66").val();
		 		var agent_address=$("#agent_address66").val();
		 		var loss_reason=$("#loss_reason66").val();
		 		var seal_font=$("#seal_font66").val();
		 		var account=$("#account66").val();
		 		var currency=$("#currency66").val();
		 		var amount=Fw.util.Format.unFmtAmt($("#amount66").val());
		 		var voucher_type=$("#voucher_type66").val();
		 		var voucher_no=$("#voucher_no66").val();
		 		var startdate=$("#startdate66").val();
		 		var enddate=$("#enddate66").val();
		 		var remark=$("#remark66").val();
		 			
		 		PfsContent={
		 				"loss_type": loss_type,
		 				"loss_style": loss_style,
		 				"book_type": book_type,
		 				"per_address": per_address,
		 				"agent_address": agent_address,
		 				"loss_reason": loss_reason,
		 				"seal_font": seal_font,
		 				"account": account,
		 				"currency": currency,
		 				"amount": String(amount),
		 				"voucher_type": voucher_type,
		 				"voucher_no": voucher_no,
		 				"startdate": startdate,
		 				"enddate": enddate,
		 				"remark": remark
		 			};
				break;
				
			case "000007":
			 	var sex=$("#sex77").val();
			 	var telphone=$("#telphone77").val();
			 	var mailaddress=$("#mailaddress77").val();
			 	var re=/^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+$/;
			 	
			 	if(mailaddress!=""){
					if(!re.test(mailaddress)){
						Fw.Msg.info("邮箱格式不正确!");
						return;
					}
				}
			 	var zipcode=$("#zipcode77").val();
			 	var address=$("#address77").val();
			 	var message=$("#message77").val();
			 	var tradebustype=$("#tradebustype77").val();
			 	var perlimit=Fw.util.Format.unFmtAmt($("#perlimit77").val());
			 	var daylimit=Fw.util.Format.unFmtAmt($("#daylimit77").val());
			 	var accno=$("#accno77").val();
			 	var dfusercode=$("#dfusercode77").val();
			 	var gdusercode=$("#gdusercode77").val();
			 	
			 	PfsContent={
			 			"sex": sex,
			 			"telphone": telphone,
			 			"mailaddress": mailaddress,
			 			"zipcode": zipcode,
			 			"address": address,
			 			"message": message,
			 			"tradebustype": tradebustype,
			 			"perlimit": String(perlimit),
			 			"daylimit": String(daylimit),
			 			"accno": accno,
			 			"dfusercode": dfusercode,
			 			"gdusercode": gdusercode
			 		};
				break;
			case "000008":
				var  englishname = $("#englishname10").val();
				var  nationality = $("#guoji").val();
				var  merry = $("#merry18").val();
				var  enddate = $("#idvalidity10").val().replaceAll("/", "");
				var  sex = $("#sex10").val();
				var  birthday = $("#birthDay10").val().replaceAll("/", "");
				var  appellation = $("#chengwei").val();
				var  residence = $("#nationality102").val();
				var  censusregister = $("#profession103").val();
				var  phone = $("#phoneNum100").val();
				var  profession = $("#profession104").val();
				var  economic = $("#profession105").val();
				var  telphone = $("#telNum100").val();
				var  zipcode = $("#postCode100").val();
				var  address = $("#adrr100").val();
				var  residentsign = $("#profession106").val();
				if(nationality == ""){
					Fw.Msg.info("请输入国籍!");
					return;
				}
				if(appellation == ""){
					Fw.Msg.info("请输入称谓!");
					return;
				}
				if(phone == ""){
					Fw.Msg.info("请输入手机号码!");
					return;
				}
				if(zipcode == ""){
					Fw.Msg.info("请输入邮政编码!");
					return;
				}
				if(address == ""){
					Fw.Msg.info("请输入家庭地址!");
					return;
				}
				if( residentsign == ""){
					Fw.Msg.info("请选择居民标志!");
					return;
				}
				if(telphone!=""){
					if(telphone.indexOf("-") == -1){
						Fw.Msg.info("请输入正确格式的电话号码，格式为：电话区号-电话号码(-分机号)");
						return;
					}else{
						var telStr = telphone.split("-");
						if(telStr.length == 2){
							telphone =  App.strAddBlank(telStr[0],4)+telStr[1];
						}else if(telStr.length == 3){
							telphone =  App.strAddBlank(telStr[0],4) + App.strAddBlank(telStr[1],10)+telStr[2];
						}else{
							Fw.Msg.info("请输入正确格式的电话号码，格式为：电话区号-电话号码(-分机号)");
							return;
						}
					}
				}
			 	PfsContent={
			 			"funcode":'1',
						"englishname" :englishname,
						"nationality" :nationality,
						"merry" :merry,
						"enddate" :enddate,
						"sex" :sex,
						"birthday" :birthday,
						"appellation" :appellation,
						"residence" :residence,
						"censusregister" :censusregister,
						"phone" :phone,
						"profession" :profession,
						"economic" :economic,
						"telphone" :telphone,
						"zipcode" :zipcode,
						"address" :address,
						"residentsign" :residentsign,
						"tradebustype" :"01",
						"funcode":"1"
			 		};
				break;
			case "000009":
				var payeename = $("#accname88").val();
			 	var payeeacc = $("#acctnum88").val();//
			 	var payeeaccbankname = $("#payeeaccbankname88").val();
			 	var use = $("#tradebusuerr88").val();
			 	var otheruse = $("#beizhu88").val();
			 	var currency = $("#tradebustype88").val();
			 	var amount = Fw.util.Format.unFmtAmt($("#amount88").val());
			 	if(payeeacc == ""){
			 		Fw.Msg.info("请输入收款人账号!");
					return;
			 	}
			 	if(!/^[0-9]+$/.test(payeeacc)){
		 			Fw.Msg.info("收款人账号不合法!");
		 			return;
		 		}
			 	if(amount == ""||amount == 0){
			 		Fw.Msg.info("请输入金额!");
					return;
			 	}
			 	
			 	if(use=="000" && otheruse==""){
			 		Fw.Msg.info("请选择款项来源或者输入备注!");
					return;
			 	}
			 	PfsContent={
			 			"payeename": payeename,
			 			"payeeacc": payeeacc,
			 			"payeeaccbankname": payeeaccbankname,
			 			"use": use,
			 			"otheruse": otheruse,
			 			"currency": currency,
			 			"amount": String(Fw.util.Format.fmtNumber(amount)),
			 			"tradebustype":"01"
			 		};
				break;
				
			case "000010":
				var tradebustype = $("#tradebustype991").val();
				var transflag = $("#tradebustype992").val();
				var payeraccbankname =$("#paybankname99").val();
				var payeracc =$("#acctnum99").val();
				var payeeaccbankname =$("#payerbankname99").val();
				var payeeacc =$("#acctnum991").val();
				var payeename =$("#acctname991").val();
				var currency =$("#tradebustype99").val();
				var amount = Fw.util.Format.unFmtAmt($("#amount99").val());
				if(payeraccbankname == ""){
					Fw.Msg.info("请输入付款人开户行");
					return;
				}
				if(payeeaccbankname == ""){
					Fw.Msg.info("请输入收款人开户行");
					return;
				}
				if(payeeacc == ""){
					Fw.Msg.info("请输入收款人账号");
					return;
				}
				if(payeename == ""){
					Fw.Msg.info("请输入收款人名称");
					return;
				}
				if(amount==""||amount == 0){
					Fw.Msg.info("请输入金额");
					return;
				}
			 	PfsContent={
			 			"tradebustype": tradebustype,
			 			"transflag": transflag,
			 			"payeraccbankname": payeraccbankname,
			 			"payeracc": payeracc,
			 			"payeeaccbankname": payeeaccbankname,
			 			"payeeacc": payeeacc,
			 			"payeename": payeename,
			 			"currency": currency,
			 			"amount": String(Fw.util.Format.fmtNumber(amount)),
			 		};
				break;
		}
			var AgentPhone=$("#AgentPhone").val();
			
			if(AgentPhone!=null && AgentPhone!=""){
				if(!/^[0-9]+$/.test(AgentPhone)){
					Fw.Msg.info("手机号不符合类型！");
					return;
				}
			}
			Fw.Msg.cfm('是否确定提交?', function(code, btn, win){
	             if(code == 'yes'){
	            	App.checkDynamicCode();
	             }
	         });    
		},
		
		//检测动态口令
		checkDynamicCode :function () {
			var ReservId=$("#ReservId").val();
			var Branch=BRCHS.substring(0,9);
			var TradeId=$("#TradeId").val();
			var PerName=$("#PerName").val();
			var PerType=$("#PerType").val();
			var PerNum=$("#PerNum").val();
			var PerPhone=$("#PerPhone").val();
			var AgentName=$("#AgentName").val();
			var AgentType1=$("#AgentType").val();
			var AgentNum=$("#AgentNum").val();
			var AgentPhone=$("#AgentPhonetwo").val();
			var perPhonetwo = $("#PerPhonetwo").val();
			if(TradeId=="000008" && perPhonetwo.indexOf("*") == -1){
				PerPhone = $("#PerPhonetwo").val();//进行手输入后没有星号
			}
			if(AgentNum != null || AgentNum != ""){
				/* if(!/^[0-9]+$/.test(AgentNum)){
				Fw.Msg.info("账号不符合要求类型！");
				return;
				} */
			}
			
		 	if(TradeId.trim()==""){
	 			Fw.Msg.info("填单业务为必填项!");
				return;
			}
			if(PerName.trim()==""){
	 			Fw.Msg.info("办理人姓名为必填项!");
				return;
			}
			if(ReservId.trim()==""){
	 			Fw.Msg.info("预约号为必填项!");
				return;
			}
			if(PerType.trim()==""){
	 			Fw.Msg.info("办理人证件类型为必填项!");
				return;
			}
			if(PerNum.trim()==""){
	 			Fw.Msg.info("办理人证件号码为必填项!");
				return;
			}
			if(PerPhone.trim()==""){
	 			Fw.Msg.info("办理人手机号为必填项!");
				return;
			}
					
			/*var cfg = "{'msg':'加载中...','callback':''}";
			setWaitPanel(cfg);*/
			//获取数据
	        Fw.util.Ajax.execute({
	            service: 'netWorkOrderService',
	            method: 'executeOrderRegister',//方法名称必须是execute开头
	            //请求参数
	            params: {
					ReservId:ReservId,
					Branch:Branch,
					PerName:PerName,
					PerType:PerType,
					PerNum:PerNum,
					TradeId:tradeId,
					PerPhone:PerPhone,
					AgentName:AgentName,
					AgentType:AgentType1,
					AgentNum:AgentNum,
					AgentPhone:AgentPhone,
					PfsContent:PfsContent,
					ContinueFlag:"0"
	            },
	            //是否使用数据挡板（默认false）
	            staticData: false,
	            //请求成功后回调
	            success: function(data, result) {
	        		if(data._RejCode=="000000"){
	        			Fw.Msg.info("登记成功！",function(){
	        				var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
		        			Fw.redirect(url);
		            	});
	        		}
	        		else if(data._RejCode==""||data._RejCode==null){
	        			Fw.Msg.info("交易通讯异常!");
	        		}
	        		else{
	        			Fw.Msg.info(data.RspMsg);
	        		}
	            },
	            //请求错误后回调
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		
		//选择交易业务类别触发事件
		select1 :function (val){
			$("#payername55").val("");
			$("#payeracc55").val("");
			$("#payeraccbankname55").val("");
			$("#payeraccbank55").val("");
			$("#payeename55").val("");
			$("#payeeacc55").val("");
			$("#payeeaccbankname55").val("");
			$("#payeeaccbank55").val(""); 
			//var c = eval("(" +'${ALLCARDS}'+ ")");
			
			if(val=="01"){
				$("#f1").addClass("hiden");
				$("#f2").addClass("hiden");
				$("#s1").removeClass("hiden");
				$("#s2").removeClass("hiden");
			 	$("#payeename55").val(clientName);
			 	$("#payeeacc55").val(allCards[0].No);
			 	$("#payeeaccbankname55").val(allCards[0].Department.Name);
			 	$("#payeeaccbank55").val(allCards[0].DeptSeq);
			 }
			 else if(val=="02"){	
				 $("#f1").removeClass("hiden");
				 $("#f2").removeClass("hiden");
				 $("#s1").addClass("hiden");
				 $("#s2").addClass("hiden");
			 	$("#payername55").val(clientName);
			 	$("#payeracc55").val(allCards[0].No);
			 	$("#payeraccbankname55").val(allCards[0].Department.Name);
			 	$("#payeraccbank55").val(allCards[0].DeptSeq);
			 }
			 else if(val=="03"){
				 $("#s1").removeClass("hiden");
				 $("#s2").removeClass("hiden");
				 $("#f1").removeClass("hiden");
				 $("#f2").removeClass("hiden");
			 	$("#payeename55").val(clientName);
			 	$("#payeeacc55").val(allCards[0].No);
			 	$("#payeeaccbankname55").val(allCards[0].Department.Name);
			 	$("#payeeaccbank55").val(allCards[0].DeptSeq);
			 
			 }else if(val=="04"){
				 $("#s1").removeClass("hiden");
				 $("#s2").removeClass("hiden");
				 $("#f1").removeClass("hiden");
				 $("#f2").removeClass("hiden");
			 	$("#payername55").val(clientName);
			 	$("#payeracc55").val(allCards[0].No);
			 	$("#payeraccbankname55").val(allCards[0].Department.Name);
			 	$("#payeraccbank55").val(allCards[0].DeptSeq);
			 } 
		},
		
		onc :function (val1){ 
			 $("#priority44").val("");
			 if(val1 == "03"){
				 $("#lii1").removeClass("hiden");
			 }else{
				 $("#lii1").addClass("hiden");
			 }
		 },
		
		 change3 : function (value){
			 /*if(hidenStr(g("PerPhone").value,1)!=g("PerPhonetwo").value){
				 g("PerPhone").value=g("PerPhonetwo").value;
			 }*/
			 if(value=="1"){
			 	$("#AgentType").val("");
			 	$("#AgentNum").val("");
			 	$("#AgentName").val("");
			 	$("#AgentPhonetwo").val("");
			 }
			 if(value=="2"){
				 $("#AgentType").val($("#PerType").val());
				 $("#AgentNum").val($("#PerNum").val());
				 $("#AgentName").val($("#PerName").val());
			     $("#AgentPhone").val($("#PerPhone").val()); 
			     var perPhonetwo = $("#PerPhonetwo").val();
				 if(tradeId=="000008" && perPhonetwo.indexOf("*")==-1){
					 $("#AgentPhonetwo").val($("#PerPhonetwo").val());
				 }else{
					 $("#AgentPhonetwo").val($("#PerPhone").val()); 
				 }
			 }
		},
		//选择业务类别触发事件
		onchange07:function (val07){
			if(val07=="05"){
				$("#li71").removeClass("hiden");
				$("#li72").removeClass("hiden");
				$("#li73").addClass("hiden");
				$("#gdusercode77").val("");
			}else if(val07=="06"){
				$("#li71").removeClass("hiden");
				$("#li73").removeClass("hiden");
				$("#li72").addClass("hiden");
				$("#dfusercode77").val("");
			}else{
				$("#li71").addClass("hiden");
				$("#li72").addClass("hiden");
				$("#li73").addClass("hiden");
				$("#accno77").val("");
				$("#gdusercode77").val("");
				$("#dfusercode77").val("");
			}
		},
		
		leftButtonHandler:function(){  
			var url="../networkOrder/index.html?BRCHS="+BRCHS+"&BRNAMES="+BRNAMES+"&longitude="+longitude+"&latitude="+latitude+"&bankAddress="+bankAddress+"";
			Fw.redirect(url);
     	},
     	bankNameChange:function(val09){
     		if(val09 == "02"){
     			$("#tradebustype992").html("<option value='2'>转账</option>");
     		}else{
     			$("#tradebustype992").html("<option value='1'>现金</option><option value='2'>转账</option>");
     		}
     	},
     	//判断字符串在后面添加空格
     	strAddBlank : function(str,num){
     		var blank="";
     		var strLength = str.length;
     		var number =(num - strLength) > 0 ? (num - strLength) : 0 ;
     		for(var i = 0 ; i < number ; i++){
     			blank+=" ";
     		}
     		
     		return str+blank;
     	}
		
	  };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);