var App = function() {
	var accType;//账户类型
	var CusName;//客户名称
	var isOtp='0';
	var isSms = "";
	var listData;//签约数据
	var index; //选中签约数据	
	var isLimitModifyFlag = "1"; //限额修改标志  1-不修改   2-限额修改操作
	var transPwdzc=""; //交易密码
	var signFlag = ""; // 开通关闭状态标志   1:开通   2:关闭
	var accountNo; //账户
	var alipayList; //支付宝卡通和支付宝快捷签约数据
	var limitFlag="1"; //快捷支付限额修改类型   1-支付宝卡通和支付宝快捷  2-财付通、网银在线
	var MerchantId; //商户号   900002支付宝卡通     900003支付宝快捷   02-网银在线   01-财付通  00-支付宝  03-百付宝  15-美团-钱袋宝  800007-易付宝  YD-圆鼎在线支付
	var MerchantName; //商户名
	var alipayFlag="0"; //支付宝已开通标志   0-都未开通   1-支付宝卡通开通  2-支付宝快捷开通
	var payType; //支付宝签约解约标志   1-支付宝卡通   2-其他（支付宝快捷、财付通、网银在线、圆鼎在线支付）
	var PerLimitAmt="0"; //支付宝单笔最高限额
	var PerDayLimitAmt="0"; //支付宝单日最高限额
	var Permonthlimit="0"; //支付宝单月最高限额
	var CoreMobileNo; //核心手机号
	var TransFlag = "common";
	var allCards =[];//所有卡的信息
	var smsSecurity;//发送的短信验证码Fw.SmsCountDown.reset();
	var firstForm;
	var valuesObj;
	var flag;
	var signStr = null;
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	var noCardPayList;//无卡支付签约账户
	var noCardFlag = false;//无卡支付签约相关操作
	var nocardType;//无卡支付签约操作类型
	var transpassword;
	var opentranspwd;
	var returncardflag = false;
	return {
		 requires : [
	        'Fw.app.Session',
	        'Fw.SmsCountDown',
	        'Fw.device.Device',
            'Fw.Keyboard',
            'Fw.Form',
            'Fw.Otp',
            'Fw.BluetoothKey',
            'Fw.Calendar',
        ], 
        viewConfig: {
            title: '快捷支付管理',
            leftButton: {
                text: '左边按钮',
            },
            rightButton: {
            	text:"明细查询"
            }
        },
        rightButtonHandler : function() {
        	Fw.redirect("quickPaymentQry.html")
        },
		init : function(require) {
	        this.initData();
	        this.initEvents();
	        this.initCurDate();
	        Fw.LoadMask.hide(1000);
		},
		//初始化页面数据
		initData : function() {
			//isOtp = Fw.app.Session.getIsOtp();//动态口令
			isSms = Fw.app.Session.getIsSms();//短信标志
			allCards = Fw.app.Session.getAllCards();//卡所有信息
			App.initAcctNo();
			isOtp='0';
			App.checkOtpType(isOtp);
		   firstForm = new Fw.Form({
                //EL
                contentEl : 'firstForm',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
           });
		   noCardForm = new Fw.Form({
               //EL
               contentEl : 'noCardForm',
               //是否激活重置事件（默认false）
               //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
               resettable: false,
               //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
               msgTarget: 'tips'
          });
		},
		initEvents : function() {	
			$("#searchBtn").on("click",Fw.bind(this.search,this));
			$("#limitmodify").on("click",Fw.bind(this.limitmodify,this));
			$("#limitconfirm").on("click",Fw.bind(this.limitconfirm,this));
			$("#getCheckCode").on("click",Fw.bind(this.sendMobNo,this));
			$("#submitModify").on("click",Fw.bind(this.submitModify,this));
			$("#alipaySign").on("click",Fw.bind(this.alipaySign,this));
			$("#terminateoperation").on("click",Fw.bind(this.terminateoperation,this));
			$("#CheckOTPPSeq").on("click",Fw.bind(this.CheckOTPPSeq,this));
			firstForm.on('submit', App.dynPassword, this);
			$("#nocardlimitmodify").on("click",Fw.bind(this.nocardlimitmodify,this));
			$("#nocardterminateoperation").on("click",Fw.bind(this.terminateoperation,this));
			$("#nocardlimitconfirm").on("click",Fw.bind(this.limitconfirm,this));
			$("#noCardSignOpen").on("click",Fw.bind(this.cfmnocardSignopen,this));
			noCardForm.on('submit', App.dosearch, this);
		},
		 //获取当前日期
        initCurDate:function(){
        	Fw.util.Ajax.get({
				service : 'curdateService',
				method:'getCurDate',
				// 请求成功后回调
				success : function(data, result) {
					$("[name='OrderDate']").val(data['CurDate']);
				},
			});
        	
        },
		//获取下挂帐号
		initAcctNo:function (){
			//获取下挂账户
		    allCards =  Fw.app.Session.getAllCards();//卡所有信息
			var sel = document.getElementById("cardlist");
			var j = 0;
			var sb = [];
			//整合只支持圆鼎卡
			for(var i = 0;i < allCards.length;i++){
				if(allCards[i].BankAcType != "PSAV" && allCards[i].BankAcType != "PSDP" && allCards[i].BankAcType != "PDAC"){
					sb[sb.length] = "<option  value='"+allCards[i].No+"'>"+Fw.util.Format.fmtAcctNo(allCards[i].No,true)+"</option>";
					if(j==0){
						accType = allCards[i].BankAcType;
						CusName = allCards[i].Name;
						CurrencyCode = allCards[i].Currency_Code;//币种
						$('#BankAcType').html(Fw.util.Format.fmtCardType(accType));//卡类型
						$('#CusName').html(CusName.replaceAll(" 女士","").replaceAll(" 男士",""));
					}
					j++;
				}
			}
			sel.innerHTML = sb.join("");
		},
		
		search :function(){
			if($('[name="transPwd"]').val() == ""){
				Fw.Tips.warn("请输入交易密码!");
				return false;
			}
			if($('[name="transPwd"]').val().length != 6){
				Fw.Tips.warn("交易密码必须为6位!");
				return false;
			}
			noCardForm.submit();
		},
		dosearch : function(values){
			transpassword = values.transPwd;
			App.searchBtn();
		},
		//圆鼎在线二次签约账户类型检查
		searchBtn :function(){
			App.MCShortCutManageQuery();
			App.MCMobileBankPaySignQry();//无卡支付签约查询
		},
		
		//无卡支付签约查询
		MCMobileBankPaySignQry : function(){
			var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
			accountNo = acc;
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryMobileBankPaySignQry',
	            params: {
	            	CardNbR: acc,
					Pin : transpassword,
	            },
	            staticData: false,
	            success: function(data, result) {
	            	//暂定
//	            	if(data._RejCode == "25"){
//	            		var noCardPaySignList = document.getElementById("noCardPaySignList");
//	            		noCardPaySignList.innerHTML = '';
//	            		$(".noCardSignOpen").removeClass("hiden");
//	            		if(!returncardflag){
//	            			App.cfmnocardSignopen();
//	            		}
//	            		
//	            	}else{
//	            		$(".noCardSignOpen").addClass("hiden");
//	            		App.shownoCardPayList(data);
//	            	}
	            	if(data._RejCode == "25"){
	            		App.shownoCardPayList();
	            	}else{
	            		$(".noCardSignOpen").addClass("hiden");
	            		App.shownoCardPayList(data);
	            	}
	            },
	            failure: function(status, textStatus, error) {
		            $("#pageA").removeClass("hiden");
		            $("#pageB").addClass("hiden");
		            $("#pageC").addClass("hiden");
		            $("#pageE").addClass("hiden");
		            $("#pageF").addClass("hiden");
		 	        Fw.Msg.info(error);
	            }
	        });
		},
		
//		cfmnocardSignopen : function(){
//			Fw.Msg.cfm("当前卡片暂未进行银联无卡支付签约，您是否要执行签约操作?", 
//          			 function(code, btn, win){
//							if(code == "yes"){
//								//签约页
//								noCardFlag = true;
//								nocardType = "2";
//								$("#nocardSignName").html(Fw.app.Session.getCustName());//姓名
//								$("#nocardSignCardNo").html(accountNo);//卡号
//								$("#nocardSignidType").html(Fw.util.Format.fmtIdType(Fw.app.Session.getIdType()));//证件类型
//								$("#nocardSignidNo").html(Fw.util.Format.fmtAcctNo(Fw.app.Session.getIdNo(), true));//证件号
//								$("#pageX").removeClass("hiden");
//								$("#pageC").removeClass("hiden");
//								$("#pageB").addClass("hiden");
//							}
//          	 	});
//		},
		//查询快捷通信息
		MCShortCutManageQuery:function (){
			var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
			accountNo = acc;
			var queryFlag = "";
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryShortCutManageQuery',
	            params: {
	            	QueryType:"0",
					CardNo: acc,
					CardName:CusName,
					IdType:"",
					IdNo:"",
					UnitNo:"99",
					ChannelCode:"",
					SubChannelCode:"",
					BankAcType: accType,
					QueryFlag:"1",
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCShortCutAlipayQuery(); //查询支付宝卡通和支付宝快捷签约状态
	            	App.showData(data.List);
	            },
	            failure: function(status, textStatus, error) {
	            	 if(status=="123"){
	            		$("#pageA").removeClass("hiden");
	            		$("#pageB").addClass("hiden");
	            		$("#pageC").addClass("hiden");
	            		$("#pageE").addClass("hiden");
	            		$("#pageF").addClass("hiden");
	 	        		Fw.Msg.info(error);
		          	}
	            	else{
	            		$("#pageA").removeClass("hiden");
		            	$("#pageB").addClass("hiden");
		            	$("#pageC").addClass("hiden");
		            	$("#pageE").addClass("hiden");
		            	$("#pageF").addClass("hiden");
		        		Fw.Msg.info(error);
		        		App.MCShortCutAlipayQuery(); //查询支付宝卡通和支付宝快捷签约状态
	            	}
	            }
	        });
		},
		//查询支付宝卡通和支付宝快捷签约状态
		MCShortCutAlipayQuery:function (){
			var cardlist = document.getElementById("cardlist");
			accountNo = cardlist.options[cardlist.selectedIndex].value;
			
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryShortCutAlipayQuery',
	            params: {
	            	UserAcctNo : accountNo
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.showAlipayList(data.List);
	            },
	            failure: function(status, textStatus, error) {
	            	$("#pageA").removeClass("hiden");
	            	$("#pageB").addClass("hiden");
	            	$("#pageC").addClass("hiden");
	            	$("#pageE").addClass("hiden");
	            	$("#pageF").addClass("hiden");
	        		Fw.Msg.info(error);
	            }
	        });
		},
		//显示支付宝卡通和支付宝快捷签约数据
		showAlipayList:function (data){
			alipayList = data;
			var sb=[];
			var arg;
			var status;
			if(!Fw.isEmpty(data)){
				for(var i = 0;i < data.length;i++){
					arg=data[i];
					sb[sb.length]='<div class="radius_text" onClick="App.editAlipayData('+i+')">';
					sb[sb.length]='<div class="text_content">';
					sb[sb.length]='<div class="text_title">签约账号:</div>';
					sb[sb.length]='<span>'+ Fw.util.Format.fmtAcctNo(arg.CardNo,true) +'</span>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="text_content">';
					sb[sb.length]='<div class="text_title">支付类型:</div>';
					sb[sb.length]='<span>'+ arg.UnitName +'</span>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div class="text_content">';
					sb[sb.length]='<div class="text_title">开关状态:</div>';
					if(arg.PtcStatus=="1"){
						status="开通";
						if(arg.UnitNo=="900002"){ //支付宝卡通
							alipayFlag="1";
						}else if(arg.UnitNo=="900003"){ //支付宝快捷
							alipayFlag="2";
						}
					}else{
						status="关闭";
					}
					sb[sb.length]='<span>'+ status +'</span>';
					sb[sb.length]='</div>';
					sb[sb.length]='<div style="padding-right: 13px;"><img class="imgStyle" src="../../images/networkOrder/40-40.png"></div>';
					sb[sb.length]='</div>';
				}
			}
			
			var alipayListId = document.getElementById("alipayList");
			alipayListId.innerHTML = sb.join("");
		
			$("#pageA").addClass("hiden");
			$("#pageB").removeClass("hiden");
			$("#pageC").addClass("hiden");
			$("#pageE").addClass("hiden");
			$("#pageF").addClass("hiden");
		},
		//处理查询出来的数据
		showData:function (data){
			listData = data;
			var sb=[];
			var status; //状态
			if(!Fw.isEmpty(data)){
				for(var i=0;i<data.length;i++){
//					if(data[i].UnitNo == "00" || data[i].UnitNo == "01" || data[i].UnitNo == "02" || data[i].UnitNo == "15"){ //支付宝、财付通、网银在线、钱袋宝
						sb[sb.length]='<div class="radius_text" onClick="App.modi('+i+')">';
						sb[sb.length]='<div class="text_content">';
						sb[sb.length]='<div class="text_title">签约账号:</div>';
						sb[sb.length]='<span>'+ Fw.util.Format.fmtAcctNo(data[i].CardNo,true) +'</span>';
						sb[sb.length]='</div>';
						sb[sb.length]='<div class="text_content">';
						sb[sb.length]='<div class="text_title">支付类型:</div>';
						sb[sb.length]='<span>'+ data[i].UnitName +'</span>';
						sb[sb.length]='</div>';
						sb[sb.length]='<div class="text_content">';
						sb[sb.length]='<div class="text_title">开关状态:</div>';
						if(data[i].PtcStatus=="1"){
							status="开通";
						}else{
							status="关闭";
						}
						sb[sb.length]='<span>'+ status +'</span>';
						sb[sb.length]='</div>';
						sb[sb.length]='<div style="padding-right: 13px;"><img class="imgStyle" src="../../images/networkOrder/40-40.png"></div>';
						sb[sb.length]='</div>';
//					}
				}
				var contactList = document.getElementById("contactList");
				contactList.innerHTML = sb.join("");
				$("#pageA").addClass("hiden");
				$("#pageB").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageE").addClass("hiden");
				$("#pageF").addClass("hiden");
			}
			else{
				$("#contactList").addClass("hiden");
			}
		},
		
		//无卡支付签约数据处理
		shownoCardPayList :function(data){
			noCardPayList = data;
			var noCardPaySignList = document.getElementById("noCardPaySignList");
			var sb=[];
			var status; //状态
			var TransType;//类型
			if(!Fw.isEmpty(data)){
				sb[sb.length]='<div class="radius_text" onClick="App.nocardmodify()">';
				sb[sb.length]='<div class="text_content">';
				sb[sb.length]='<div class="text_title">签约账号:</div>';
				sb[sb.length]='<span>'+ Fw.util.Format.fmtAcctNo(data.CardNbR,true) +'</span>';
				sb[sb.length]='</div>';
				sb[sb.length]='<div class="text_content">';
				sb[sb.length]='<div class="text_title">签约类型:</div>';
				if(data.TransType=="1"){
					TransType="无卡支付";
				}else{
					TransType="代收";
				}
				sb[sb.length]='<span>'+ TransType +'</span>';
				sb[sb.length]='</div>';
				sb[sb.length]='<div class="text_content">';
				sb[sb.length]='<div class="text_title">开关状态:</div>';
				if(data.SignStatus=="1"){
					status="签约";
				}else{
					status="解约";
				}
				sb[sb.length]='<span>'+ status +'</span>';
				sb[sb.length]='</div>';
				sb[sb.length]='<div style="padding-right: 13px;"><img class="imgStyle" src="../../images/networkOrder/40-40.png"></div>';
				sb[sb.length]='</div>';
				noCardPaySignList.innerHTML = sb.join("");
				$("#pageA").addClass("hiden");
				$("#pageB").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageE").addClass("hiden");
				$("#pageF").addClass("hiden");
			}
			else{
				$("#noCardPaySignList").addClass("hiden");
			}
		},
		
		//无卡支付签约数据编辑
		nocardmodify :function(){
			noCardFlag = true;
			var signstatus = noCardPayList.SignStatus;
			//跳转详情页(限额修改/解约)
		    $('#noCardNoE').html(Fw.util.Format.fmtAcctNo(noCardPayList.CardNbR,true));
		    $('#noCardOneAmtLmtE').html(Fw.util.Format.fmtAmt(noCardPayList.SinglTraceLimit));
		    $('#noCardDayAmtLmtE').html(Fw.util.Format.fmtAmt(noCardPayList.SinglTotleLimit));
		    $('#noCardSignDate').html(noCardPayList.SignDate);
		    $("#pageB").addClass("hiden");
		    $("#pageXX").removeClass("hiden");
		},
		
		//无卡支付限额修改页
		nocardlimitmodify : function(){
			App.shownoCardSignLimitInfo(noCardPayList);
		},
		
		//无卡支付限额修改页
		shownoCardSignLimitInfo:function(data){
			nocardType = "3";
			var TransType;
			if(data.TransType == "1"){
				TransType = "无卡支付";
			}else if(data.TransType == "2"){
				TransType = "代收";
			}
			$('#nocardAcctnoF').html(Fw.util.Format.fmtAcctNo(data.CardNbR,true));
    		$('#nocardTransType').html(TransType);
    		$('#nocardSignDate').html(data.SignDate);
    		$('#nocardOneamtlmtF').val(Fw.util.Format.fmtAmt(data.SinglTraceLimit));
    		$('#nocardDayamtlmtF').val(Fw.util.Format.fmtAmt(data.SinglTotleLimit));
    		$("#pageXX").addClass("hiden");
    		$("#pageYY").removeClass("hiden");
		},
		
		//无卡支付签约开通/限额修改
		noCardPaySign : function(){
			transPwdzc = valuesObj.TransPsw;
			var typelist=document.getElementById("nocardtypeavailable");
			var typeAvailable = typelist.options[typelist.selectedIndex].value;
			var transtypelist = document.getElementById("nocardType");
			var TransType = transtypelist.options[transtypelist.selectedIndex].value;
			if(nocardType == "2"){//新增
				if(Fw.util.Format.unFmtAmt($("[name='cardSignlimitPerDeal']").val()) > 
					Fw.util.Format.unFmtAmt($("[name='cardSignlimitPerDay']").val())){
					Fw.Tips.warn("单笔限额必须小于单日限额!");
					return false;
				}
				if($("[name='OrderDate']").val().replaceAll("/", "")>=$("[name='EndDate']").val().replaceAll("/", "")){
					Fw.Tips.warn("签约日期必须小于结束日期!");
					return false;
				}
				var parames = {
					OpType : nocardType,
					CardNbR : accountNo,
					Name : Fw.app.Session.getCustName(),
					IdType : Fw.app.Session.getIdType(),
					IdNo : Fw.app.Session.getIdNo(),
					MobilePhone : Fw.app.Session.getLoginPhoneNo(),
					Pin : transPwdzc,
					SinglTraceLimit : Fw.util.Format.unFmtAmt($("[name='cardSignlimitPerDeal']").val()),
					SinglTotleLimit : Fw.util.Format.unFmtAmt($("[name='cardSignlimitPerDay']").val()),
					Item : "",//待定
					ChannelType : typeAvailable,
					SignDate : $("[name='OrderDate']").val().replaceAll("/", ""),
					SignStatus : "1",
					TransType : TransType,
					EndDate : $("[name='EndDate']").val().replaceAll("/", ""),
				};
			}else if(nocardType == "3"){//修改
				TransType = noCardPayList.TransType;
				var parames = {
					OpType : nocardType,
					CardNbR : noCardPayList.CardNbR,
					Name : noCardPayList.Name,
					IdType : noCardPayList.IdType,
					IdNo : noCardPayList.IdNo,
					MobilePhone : noCardPayList.MobilePhone,
					Pin : transPwdzc,
					SinglTraceLimit : Fw.util.Format.unFmtAmt($("#OneamtlmtG").html()),
					SinglTotleLimit : Fw.util.Format.unFmtAmt($("#DayamtlmtG").html()),
					Item : noCardPayList.AItem,
					ChannelType : noCardPayList.ChannelType,
					SignDate : noCardPayList.SignDate,
					SignStatus : noCardPayList.SignStatus,
					TransType : TransType,
					EndDate : noCardPayList.EndDate,
					smscode : $("#checkNo").val(),
					smsSecurity :smsSecurity,
				};
			}
			App.checktrans(parames);
		},
		
		
		executenoCardPaySign : function(param){
			Fw.util.Ajax.execute({
	            service: 'onlinePayService',
	            method: 'executeMobileBankPaySignModify',
	            params: param,
	            staticData: false,
	            success: function(data, result) {
	            	if(nocardType == "2"){
	            		Fw.Msg.info("签约成功!", function(){
	            			$('[name=smsText]').val('');
		               	 	$('[name=smsText]').attr('placeholder','请输入验证码');
		               	 	$('[name=TransPsw]').val('');
		               	 	$('[name=TransPsw]').attr('placeholder','请输入交易密码');
		            		$("#pageX").addClass("hiden");
			            	$('#pageG').addClass("hiden");
			            	$('#pageC').addClass("hiden");
			            	$("#pageZZ").addClass("hiden");
			            	App.searchBtn();
	                	});
	            	}else if(nocardType == "3"){
	            		Fw.Msg.info("限额修改成功!", function(){
	            			$('[name=smsText]').val('');
		               	 	$('[name=smsText]').attr('placeholder','请输入验证码');
		               	 	$('[name=TransPsw]').val('');
		               	 	$('[name=TransPsw]').attr('placeholder','请输入交易密码');
		            		$("#pageX").addClass("hiden");
			            	$('#pageG').addClass("hiden");
			            	$('#pageC').addClass("hiden");
			            	$("#pageZZ").addClass("hiden");
			            	App.searchBtn();
	                	});
	            	}
	            },
	            failure: function(status, textStatus, error) {
	            	$('[name=smsText]').val('');
               	 	$('[name=smsText]').attr('placeholder','请输入验证码');
               	 	$('[name=TransPsw]').val('');
               	 	$('[name=TransPsw]').attr('placeholder','请输入交易密码');
            		$("#pageX").addClass("hiden");
	            	$('#pageG').addClass("hiden");
	            	$('#pageC').addClass("hiden");
	            	$("#pageZZ").addClass("hiden");
	            	$("#pageA").removeClass("hiden");
	            	Fw.Msg.info(error);
	            }
	        });
		},
		
		noCardPaySignCancel : function(){
			var parames = {
					OpType : nocardType,
					CardNbR : noCardPayList.CardNbR,
					Name : noCardPayList.Name,
					IdType : noCardPayList.IdType,
					IdNo : noCardPayList.IdNo,
					MobilePhone : noCardPayList.MobilePhone,
					TransType : noCardPayList.TransType,
					smscode : $("#checkNo").val(),
					smsSecurity :smsSecurity,
				};
			App.checktrans(parames);
		},
		
		executenoCardPaySignCancel : function(parames){
			Fw.util.Ajax.execute({
	            service: 'onlinePayService',
	            method: 'executeMobileBankPaySignCancle',
	            params: parames,
	            staticData: false,
	            success: function(data, result) {
	            	Fw.Msg.info("解约成功!", function(){
	            		$('[name=smsText]').val('');
	               	 	$('[name=smsText]').attr('placeholder','请输入验证码');
	               	 	$('[name=TransPsw]').val('');
	               	 	$('[name=TransPsw]').attr('placeholder','请输入交易密码');
	            		$('#pageG').addClass("hiden");
		            	$('#pageZZ').addClass("hiden");
		            	$("#pageA").removeClass("hiden");
			            	$('#pageC').addClass("hiden");
			            	noCardPayList = "";
                	});
	            },
	            failure: function(status, textStatus, error) {
	            	$('[name=smsText]').val('');
               	 	$('[name=smsText]').attr('placeholder','请输入验证码');
               	 	$('[name=TransPsw]').val('');
               	 	$('[name=TransPsw]').attr('placeholder','请输入交易密码');
            		$('#pageG').addClass("hiden");
	            	$('#pageZZ').addClass("hiden");
		            	$('#pageC').addClass("hiden");
	            	$("#pageA").removeClass("hiden");
	            	Fw.Msg.info(error);
	            }
	        });
		},
		
		checktrans :function(param){
			if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
				var clearData = App.getSignDataforBluetoothKeynocard();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        				bluetoothKeySignatureData = data;
        				//蓝牙校验字段
        				param.SignCert = bluetoothKeySignatureData.signCert;
        				param.SignatureCleartext = bluetoothKeySignatureData.signatureCleartext;
        				param.SignatureCiphertext = bluetoothKeySignatureData.signatureCiphertext;
        				if(nocardType == "2"){
        					App.executenoCardPaySign(param);
        				}else if(nocardType == "3"){
        					App.executenoCardPaySign(param);
        				}else if(nocardType == "4"){
        					App.executenoCardPaySignCancel(param);
        				}
        			});
        	}else{
        		if(nocardType == "2"){
					App.executenoCardPaySign(param);
				}else if(nocardType == "3"){
					App.executenoCardPaySign(param);
				}else if(nocardType == "4"){
					App.executenoCardPaySignCancel(param);
				}
        	}
		},
		
		getSignDataforBluetoothKeynocard : function(){
        	//交易参数
			var transname = "";
			var transid = "";
			var acNo = "";
			var name = "";
			var idNo = "";
			var idType = "";
			if(nocardType == "2"){
				transname = "签约";
				transid = "MCMobileBankPaySignModify";
				acNo = accountNo;
				name = Fw.app.Session.getCustName();
				idNo = Fw.app.Session.getIdNo();
				idType = Fw.app.Session.getIdType();
			}else if(nocardType == "3"){
				transname = "限额修改";
				transid = "MCMobileBankPaySignModify";
				acNo = noCardPayList.CardNbR;
				name = noCardPayList.Name;
				idNo = noCardPayList.IdNo;
				idType = noCardPayList.IdType;
			}else if(nocardType == "4"){
				transname = "解约";
				transid = "MCMobileBankPaySignCancle";
				acNo = noCardPayList.CardNbR;
				name = noCardPayList.Name;
				idNo = noCardPayList.IdNo;
				idType = noCardPayList.IdType;
			}
        	var data = {
        			tradeName: "银联无卡支付签约"+transname, //交易名
        			tradeId: transid, //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "Status", labelDesc: "签约类型: ", labelValue: transname
			            },{
			            	labelName: "CardNo", labelDesc: "账户: ", labelValue: Fw.util.Format.fmtAcctNo(acNo,true)
			            },{
			            	labelName: "BankAcType", labelValue: accType
			            },{
			            	labelName: "CustNameG", labelDesc: "客户名称: ", labelValue:name 
			            },{
			            	labelName: "IdNo", labelDesc: "证件号码: ",labelValue:idNo 
			            },{
			            	labelName: "IdType",labelValue:idType
			            } ]
        	};
        	return data;
		},
		
		
		
		
		
		
		//支付宝数据编辑
		editAlipayData:function (i){
			noCardFlag = false;
			MerchantId = alipayList[i].UnitNo; //商户号
			MerchantName = alipayList[i].UnitName; //商户名
			if(MerchantId=="900002"){
				payType="1"; //支付宝卡通
			}else if(MerchantId=="900003"){
				payType="2";
			}else if(MerchantId=="YD"){ //圆鼎在线支付
				payType="2";
			}else if(MerchantId=="800007"){ //易付宝
				payType="2";
			}

			var status = alipayList[i].PtcStatus; //1:开通 2:关闭
			signFlag = status; 
			if(status == "1"){ //开通状态
				limitFlag="1"; //支付宝限额
				Fw.util.Ajax.query({
		            service: 'onlinePayService',
		            method: 'queryAlipayLimitQuery',
		            params: {
		            	AcconutNo:alipayList[i].CardNo,
						MerId:alipayList[i].UnitNo,
		            },
		            staticData: false,
		            success: function(data, result) {
		            	App.MCAlipayLimitQuery_cb(data);
		            },
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        });
			}else if(status == "2"){ //关闭状态，开通快捷支付
				if(MerchantId=="900002" && alipayFlag=="2"){
					Fw.Msg.info("您已签约支付宝快捷支付，需在支付宝解约和银行端关闭后方可签约支付宝卡通");
					return;
				}
				if(MerchantId=="900003" && alipayFlag=="1"){
					Fw.Msg.info("您已签约支付宝卡通，需在支付宝解约和银行端关闭后方可签约支付宝快捷支付");
					return;
				}
				if(MerchantId=="900002"){ //支付宝卡通
					App.MCEPayCardSignLimitQry();
				}else if(MerchantId=="YD"){
					App.MCShortCutydSignLimitQry();
				}else{
					$("#pageB").addClass("hiden");
					$("#pageC").removeClass("hiden");
					$("#smsValid").removeClass("hiden"); //验证短信
					$("#TransPsw").val("");
					transPwdzc = "";
					$("#checkNo").val("");
					$('[name="oTPPassword"]').val("");
					//otpType = "0"; //财付通、网银在线开通不验证动态口令
					//isOtp = "0"
					//App.checkOtpType(isOtp);
				}
			}
		},
		modi:function (i){
			noCardFlag = false;
			index = i;
			MerchantId = listData[i].UnitNo; //商户号
			MerchantName = listData[i].UnitName; //商户名
			//根据状态判断开通或关闭状态	
			var status = listData[index].PtcStatus; //1:开通   2:关闭
			accountNo = listData[index].CardNo;
			signFlag = status;
			payType="2";
			if(status == "1"){
				limitFlag="2"; //财付通、网银在线限额
				Fw.util.Ajax.query({
		            service: 'onlinePayService',
		            method: 'queryShortCutManageLimitQuery',
		            params: {
		            	CardNo:listData[index].CardNo,//"6224521611003930215",
						CardName:listData[index].CardName,//"小马哥",
						IdType:"",
						IdNo:"",
						UnitNo:listData[index].UnitNo,//"01",
						ChannelCode:"",
						SubChannelCode:"",
		            },
		            staticData: false,
		            success: function(data, result) {
		            	App.MCShortCutManageLimitQuery_cb(data);
		            },
		            failure: function(status, textStatus, error) {
		            	Fw.Msg.info(error);
		            }
		        });
			}else if(status == "2"){ //开通快捷支付
				$("#pageE").addClass("hiden");
				$("#pageB").addClass("hiden");
				$("#pageC").removeClass("hiden");
				$("#TransPsw").val("");
				$("#checkNo").val("");
				$('[name="oTPPassword"]').val("");
				$("#smsValid").removeClass("hiden"); //验证短信
				$("#TransPsw").val("");
				transPwdzc="";
				$("#checkNo").val("");
				$('[name="oTPPassword"]').val("");
				//otpType = "0"; //财付通、网银在线开通不验证动态口令
				//isOtp = "0";
				//App.checkOtpType(isOtp);
				return;
			}
		},
		MCShortCutManageLimitQuery_cb:function (data){
			//if($("#cardLmt_div").hasClass("sui-hide")){
			//	$("#cardLmt_div").removeClass("sui-hide");
			//}
			$("#CardNoE").html(Fw.util.Format.fmtAcctNo(data.CardNo,true));
      		$("#OneAmtLmtE").html(Fw.util.Format.fmtAmt(data.OneAmtLmt));
      		$("#DayAmtLmtE").html(Fw.util.Format.fmtAmt(data.DayAmtLmt));
      		$("#DayAlrdAmtE").html(Fw.util.Format.fmtAmt(data.DayAlrdAmt));
      		$("#DayLeftAmtE").html(Fw.util.Format.fmtAmt(data.DayLeftAmt));
      		//$("#CardLmt").html(Fw.util.Format.fmtAmt(data.CardLmt)||"- -");	//银行卡日限额
      		$("#MonAmtLmtE").html(Fw.util.Format.fmtAmt(data.MonAmtLmt));
      		$("#MonAlrdAmtE").html(Fw.util.Format.fmtAmt(data.MonAlrdAmt));
      		$("#MonLeftAmtE").html(Fw.util.Format.fmtAmt(data.MonLeftAmt));
      		$("#MonamtlmtGLi").removeClass("hiden");
      		$("#MonAmtLmtEUl").removeClass("hiden");
      		$("#MonamtlmtFLi").removeClass("hiden");
      		$("#MaxMonAmtFDiv").removeClass("hiden");
      		$("#pageB").addClass("hiden");
      		$("#pageE").removeClass("hiden"); //限额详情页
		},
		MCAlipayLimitQuery_cb :function (data){
			$("#cardLmt_div").addClass("sui-hide");
			var list = data.List[0];
			if(list.length==0){
				Fw.Msg.info("该账户尚未签约支付宝卡通或快捷支付业务，请签约后再进行查询使用！");
				return;
			}
      		$('#CardNoE').html(Fw.util.Format.fmtAcctNo(list.User_AcctNo,true));
      		$('#OneAmtLmtE').html(Fw.util.Format.fmtAmt(list.UserTc_PerTransLimit));
      		$('#DayAmtLmtE').html(Fw.util.Format.fmtAmt(list.UserTc_PerDayLimit));
      		$('#DayAlrdAmtE').html(Fw.util.Format.fmtAmt(list.UserTc_DayAmt));
      		$('#DayLeftAmtE').html(Fw.util.Format.fmtAmt(list.UserTc_DayAmtUsable));	          		
      		$('#MonAmtLmtE').html(Fw.util.Format.fmtAmt(list.UserTc_PerMonthLimit));
      		$('#MonAlrdAmtE').html(Fw.util.Format.fmtAmt(list.UserTc_MonthAmt));
      		$('#MonLeftAmtE').html(Fw.util.Format.fmtAmt(list.UserTc_MonthAmtUsable));
      		if(MerchantId=="900002"){//支付宝卡通无单月限额
      			$("#MonamtlmtGLi").addClass("hiden");
      			$("#MonAmtLmtEUl").addClass("hiden");
      			$("#MonamtlmtFLi").addClass("hiden");
      			$("#MaxMonAmtFDiv").addClass("hiden");
      			$("#MonamtlmtFLb").addClass("hiden");
      		}else{
      			$("#MonamtlmtGLi").removeClass("hiden");
      			$("#MonAmtLmtEUl").removeClass("hiden");
      			$("#MonamtlmtFLi").removeClass("hiden");
      			$("#MaxMonAmtFDiv").removeClass("hiden");
      			$("#MonamtlmtFLb").removeClass("hiden");
      		}
      		$("#pageB").addClass("hiden");
      		$("#pageE").removeClass("hiden");
		},
		MCEPayCardSignLimitQry :function(){
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryPayCardSignLimitQry',
	            params: {
	            	MerchantId : MerchantId,
	            	BranchId :Fw.app.Session.getDeptSeq()
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCEPayCardSignLimitQry_cb(data);
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		MCEPayCardSignLimitQry_cb:function (data){
			PerLimitAmt = data.PerLimitAmt;
    		PerDayLimitAmt = data.PerDayLimitAmt;
    		Permonthlimit = data.PerPermonthlimit;
      		if(signFlag=="1"){ //限额修改
      			$('#AcctnoF').html($('#CardNoE').html());
        		$('#AcctTypeF').html(Fw.util.Format.fmtCardType(accType));
        		$('#UnitnoF').html(MerchantName);
        		$('#OneamtlmtF').val(Fw.util.Format.fmtAmt($('#OneAmtLmtE').html()));
        		$('#DayamtlmtF').val(Fw.util.Format.fmtAmt($('#DayAmtLmtE').html()));
        		$('#MonamtlmtF').val(Fw.util.Format.fmtAmt($('#MonAmtLmtE').html()));
        		$('#MaxOneAmtF').html(Fw.util.Format.fmtAmt(PerLimitAmt));
        		$('#MaxDayAmtF').html(Fw.util.Format.fmtAmt(PerDayLimitAmt));
        		$('#MaxMonAmtF').html(Fw.util.Format.fmtAmt(Permonthlimit));
        		$("#pageB").addClass("hiden");
        		$("#pageE").addClass("hiden");
        		$("#pageF").removeClass("hiden");
        		//clearWaitPanel();
      		}else{ //开通支付宝卡通
        		$('#perLimitAmt').val(Fw.util.Format.fmtAmt(PerLimitAmt));
      			$('#perDayLimit').val(Fw.util.Format.fmtAmt(PerDayLimitAmt));
      			$("#signCardNo").html(Fw.util.Format.fmtAcctNo(accountNo,true)); 
      			App.MCEPayCoreMobileNoQry();
      		}
		},
		
		//核心手机号查询
		MCEPayCoreMobileNoQry:function (){
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryPayCoreMobileNoQry',
	            params: {
	            	AccountNo : accountNo,
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCEPayCoreMobileNoQry_cb(data);
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		MCEPayCoreMobileNoQry_cb :function(data){
			CoreMobileNo = data.CoreMobileNo;
			$("#pageB").addClass("hiden");
			$("#pageD").removeClass("hiden");
			if(MerchantId=="900002"){
				$("#YDAccTypeLi").addClass("hiden");
				$("#perMonthLimitLi").addClass("hiden");
				$("#perMonthLimitLi2").addClass("hiden");
				$("#YDOnlinePayDiv").addClass("hiden");
				$("#alipayAccountLi").removeClass("hiden");
				$("#alipayAgreementDiv").removeClass("hiden");
				$("#phoneNum").val("");
				//$("#phoneNum").attr("readonly","");
    		}else if(MerchantId=="YD"){
    			$("#YDAccTypeLi").removeClass("hiden");
    			$("#perMonthLimitLi").removeClass("hiden");
    			$("#perMonthLimitLi2").removeClass("hiden");
    			$("#YDOnlinePayDiv").removeClass("hiden");
    			$("#alipayAccountLi").addClass("hiden");
    			$("#alipayAgreementDiv").addClass("hiden");
    			$("#YDAccType").html(Fw.util.Format.fmtCardType(accType));
    			$("#phoneNum").val(Fw.util.Format.fmtPhoneNum(CoreMobileNo));
    			if(accType == "PCRC"){
    				$("#YD_CVV2").removeClass("hiden");
    				$("#YD_ValidDate").removeClass("hiden");
    			}
				//$("#phoneNum").attr("readonly","readonly");
    		}
		},
		//圆鼎在线支付最高限额
		MCShortCutydSignLimitQry:function(){
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryShortCutydSignLimitQry',
	            params: {
	            	BankAcType : accType
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCShortCutydSignLimitQry_cb(data);
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		MCShortCutydSignLimitQry_cb:function (data){
      		PerLimitAmt = data.PerLimitAmt;
    		PerDayLimitAmt = data.PerDayLimitAmt;
    		Permonthlimit = data.PerPermonthlimit;
      		if(signFlag=="1"){ //圆鼎在线支付限额修改
      			$('#AcctnoF').html($('#CardNoE').html());
        		$('#AcctTypeF').html(Fw.util.Format.fmtCardType(accType));
        		$('#UnitnoF').html(MerchantName);
        		$('#OneamtlmtF').val(Fw.util.Format.fmtAmt($('#OneAmtLmtE').html()));
        		$('#DayamtlmtF').val(Fw.util.Format.fmtAmt($('#DayAmtLmtE').html()));
        		$('#MonamtlmtF').val(Fw.util.Format.fmtAmt($('#MonAmtLmtE').html()));
        		$('#MaxOneAmtF').html(Fw.util.Format.fmtAmt(PerLimitAmt));
        		$('#MaxDayAmtF').html(Fw.util.Format.fmtAmt(PerDayLimitAmt));
        		$('#MaxMonAmtF').html(Fw.util.Format.fmtAmt(Permonthlimit));
        		$("#pageB").addClass("hiden");
        		$("#pageE").addClass("hiden");
        		$("#pageF").removeClass("hiden");
        		//clearWaitPanel();
      		}else{ //签约
        		$('#perLimitAmt').val(Fw.util.Format.fmtAmt(PerLimitAmt));
      			$('#perDayLimit').val(Fw.util.Format.fmtAmt(PerDayLimitAmt));
      			$('#perMonthLimit').val(Fw.util.Format.fmtAmt(Permonthlimit));
      			$("#signCardNo").html(Fw.util.Format.fmtAcctNo(accountNo,true)); 
      			App.MCEPayCoreMobileNoQry();
      		}
		},
		//动态口令种类
		checkOtpType :function(isOtp){			
        	//动态口令类型
        	otpType=Fw.app.Session.getOtpType();
        	//动态口令序号
        	otpNo=Fw.app.Session.getOtpNo();
        	//挑战值生成规则
        	//var coderule="1234567890azAZ"
        	param={
        		'isOtp':isOtp,
        		'otpType':otpType,
        		'otpNo':otpNo,
        		'isChallenge':'0'
        	};
        	//初始话动态口令显示
        	Fw.Otp.initDynamicPwd(param);
		},
		//根据账户获取账户类型
		chufa:function (obj){
			var cardlist=document.getElementById("cardlist");
			acNo = cardlist.options[cardlist.selectedIndex].value;
			for(var i = 0;i < allCards.length;i++){
				if(allCards[i].No == acNo){
					accType = allCards[i].BankAcType;
					CusName = allCards[i].Name;
				}
				$('#BankAcType').html(Fw.util.Format.fmtCardType(accType));//卡类型
				$('#CusName').html(CusName.replaceAll(" 女士","").replaceAll(" 男士",""));
			}
		},
		updateQuery:function (){
			returncardflag = true;
			$("#payCardNo").val("");
			$("#phoneNum").val("");
			$("#beRead").checked = false;
			$('[name="oTPPassword"]').val("");
	  		$("#OPTSeq").val("");
			$("#TransPsw").val("");
	  		transPwdzc="";
	  		$("#checkNo").val("");
			App.searchBtn();
			$("#smsValid").addClass("hiden");
			$("#pageC").addClass("hiden");
			$("#pageG").addClass("hiden");
			$("#pageI").addClass("hiden");
			$("#pageJ").addClass("hiden");
		},
		//限额修改
		limitmodify:function (){
			/*if(MerchantId=="YD"){
				//otpType = "0";
				isOtp = "0";
				App.checkOtpType(isOtp);
			}else{
				isOtp = Fw.app.Session.getIsOtp();
				if(isOtp == "0"){
					Fw.Msg.info("您尚未绑定动态口令，无法修改限额！");
					return;
				}
			}*/
			if(limitFlag=="1"){ //支付宝限额
				if(MerchantId=="900002" || MerchantId=="900003" || MerchantId=="800007"){
					App.MCEPayCardSignLimitQry(); //支付宝签约最高限额查询、易付宝最高限额查询
				}else if(MerchantId=="YD"){ //圆鼎在线支付
					App.MCShortCutydSignLimitQry();
				}
				return;
			}
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryShortCMhighLimitQuery',
	            params: {
	            	BrNo:"",
					CardNo:listData[index].CardNo,
					UnitNo:listData[index].UnitNo,
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCShortCMhighLimitQuery_cb(data);
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		MCShortCMhighLimitQuery_cb:function(data){
			$('#AcctnoF').html(Fw.util.Format.fmtAcctNo(listData[index].CardNo,true));
    		$('#AcctTypeF').html(Fw.util.Format.fmtCardType(accType));
    		$('#UnitnoF').html(listData[index].UnitName);
    		$('#OneamtlmtF').val(Fw.util.Format.fmtAmt(listData[index].OneAmtlmt));
    		$('#DayamtlmtF').val(Fw.util.Format.fmtAmt(listData[index].DayAmtlmt));
    		$('#MonamtlmtF').val(Fw.util.Format.fmtAmt(listData[index].MonAmtLmt));
    		$('#MaxOneAmtF').html(Fw.util.Format.fmtAmt(data.MaxOneAmt));
    		$('#MaxDayAmtF').html(Fw.util.Format.fmtAmt(data.MaxDayAmt));
    		$('#MaxMonAmtF').html(Fw.util.Format.fmtAmt(data.MaxMonAmt));
    		
    		$("#pageE").addClass("hiden");
    		$("#pageF").removeClass("hiden");
      		/*$('#CardNoE').html("");
      		$('#OneAmtLmtE').html("");
      		$('#DayAmtLmtE').html("");
      		$('#DayAlrdAmtE').html("");
      		$('#DayLeftAmtE').html("");
      		$('#MonAmtLmtE').html("");
      		$('#MonAlrdAmtE').html("");
      		$('#MonLeftAmtE').html("");*/  		
		},
		//限额修改提交
		limitconfirm:function (){
			if(noCardFlag){
				var OneamtlmtAmount = Fw.util.Format.unFmtAmt($("#nocardOneamtlmtF").val());  //单笔限额
				var DayamtlmtAmount = Fw.util.Format.unFmtAmt($("#nocardDayamtlmtF").val());  //单日限额
			}else{
				var OneamtlmtAmount = Fw.util.Format.unFmtAmt($("#OneamtlmtF").val());  //单笔限额
				var DayamtlmtAmount = Fw.util.Format.unFmtAmt($("#DayamtlmtF").val());  //单日限额
				var MonamtlmtAmount = Fw.util.Format.unFmtAmt($("#MonamtlmtF").val());  //单月限额
			}
			if(OneamtlmtAmount == "0.00"||OneamtlmtAmount == ""||OneamtlmtAmount == "0"){
				Fw.Msg.info("单笔限额不能为零!");
				return;
			}
			if(DayamtlmtAmount == "0.00"||DayamtlmtAmount == ""||DayamtlmtAmount == "0"){
				Fw.Msg.info("单日限额不能为零!");
				return;
			}
	 		if(MerchantId!="900002" && (MonamtlmtAmount == "0.00"||MonamtlmtAmount == ""||MonamtlmtAmount == "0")){
	 			Fw.Msg.info("单月限额不能为零!");
				return;
			}
			if(parseFloat(DayamtlmtAmount) < parseFloat(OneamtlmtAmount)){
				Fw.Msg.info("单日限额不能小于单笔限额！");
				return;
			}
	 		if(MerchantId!="900002" && (parseFloat(MonamtlmtAmount) < parseFloat(DayamtlmtAmount))){
	 			Fw.Msg.info("单月限额不能小于单日限额！");
				return;
			}
	 		if(!noCardFlag){
	 			var MaxOneAmtAmount = Fw.util.Format.unFmtAmt($('#MaxOneAmtF').html()); //单笔最高
				var MaxDayAmtAmount = Fw.util.Format.unFmtAmt($('#MaxDayAmtF').html()); //单日最高
				var MaxMonAmtAmount = Fw.util.Format.unFmtAmt($('#MaxMonAmtF').html()); //单月最高
				if(parseFloat(MaxOneAmtAmount) < parseFloat(OneamtlmtAmount)){
					Fw.Msg.info("单笔限额不能超过可设置的最高单笔限额！");
					return;
				}
				if(parseFloat(MaxDayAmtAmount) < parseFloat(DayamtlmtAmount)){
					Fw.Msg.info("单日限额不能超过可设置的最高单日限额！");
					return;
				}
				if(MerchantId!="900002" && (parseFloat(MaxMonAmtAmount) < parseFloat(MonamtlmtAmount))){
					Fw.Msg.info("单月限额不能超过可设置的最高单月限额！");
					return;
				}
	 		}
			if(!noCardFlag){
				$(".signType").addClass("hiden");
				$(".paytype").removeClass("hiden");
				$(".cardtype").removeClass("hiden");
				$('#CustNameG').html(CusName.replaceAll(" 女士","").replaceAll(" 男士",""));
				$('#AcctTypeG').html($('#AcctTypeF').html());
				$('#AcctnoG').html($('#AcctnoF').html());
				$('#AcctTypeG').removeClass("hiden");
				$('#UnitnoG').html($('#UnitnoF').html());
				$("#OneamtlmtG").html($("#OneamtlmtF").val());  //单笔限额
				$("#DayamtlmtG").html($("#DayamtlmtF").val());  //单日限额
				$("#MonamtlmtG").html($("#MonamtlmtF").val());  //单月限额
				$('#MonamtlmtGLb').removeClass("hiden");
				$("#pageF").addClass("hiden");
			}else if(noCardFlag){
				$(".signType").removeClass("hiden");
				$(".paytype").addClass("hiden");
				$(".cardtype").addClass("hiden");
				$('#CustNameG').html(noCardPayList.Name.replaceAll(" 女士","").replaceAll(" 男士",""));
				$('#AcctTypeG').addClass("hiden");
				$('#MonamtlmtGLb').addClass("hiden");
				$('#AcctnoG').html($('#nocardAcctnoF').html());	//卡号
				$("#TransType").html($('#nocardTransType').html()) //签约类型
				$("#OneamtlmtG").html($("#nocardOneamtlmtF").val());  //单笔限额
				$("#DayamtlmtG").html($("#nocardDayamtlmtF").val());  //单日限额
				$("#pageYY").addClass("hiden");
			}
			//isOtp = Fw.app.Session.getIsOtp();
			//App.checkOtpType(isOtp); //验证动态口令
			$("#smsValid").removeClass("hiden"); //验证短信
			$("#pageG").removeClass("hiden");
			$("#pageC").removeClass("hiden");
			$("#TransPsw").val("");
			$("#checkNo").val("");
			$('[name="oTPPassword"]').val("");
			isLimitModifyFlag = "2"; //标记为限额修改
		},
		//短信验证码发送
		sendMobNo:function (e) {
			var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
			var operate="";
			var rlast4 = acc.substring(acc.length-4, acc.length);
			var contentEl = $(e.currentTarget);
        	var DeptId = Fw.app.Session.getParentDeptId();//开户法人机构号;
        	var CifNo = Fw.app.Session.getCifNo();
        	var PhoneNum = Fw.app.Session.getLoginPhoneNo();
			if(!noCardFlag){
				TransFlag = "common";
				if(flag == "1"){
					if(signFlag == "1"){ //已开通，进行关闭操作
						operate = "解约";
						TransFlag = "YDPay";
					}else if(signFlag == "2"){ //关闭状态，进行开通操作
						operate = "签约";
						TransFlag = "YDPay";
					}
				}
	        	//倒计时配置参数
	        	var params = {
	    			//按钮对象
	    			contentEl:contentEl,
	    			//delay:10,
	    			//参数
				    param : {
					    //0表示本地获取 1表示 渠道端获取
					    socket: '0',
					    modType : "quickPayment",
					    DeptId : DeptId,
						CifNo : CifNo, //客户号
						PhoneNum : PhoneNum, //手机号
						//Contents : content, //短信内容
						TransFlag : TransFlag,
						rlast4 : rlast4,
						isCheckSess : 'false',
						signFlag : signFlag,
						MerchantId : MerchantId,
						isLimitModifyFlag :isLimitModifyFlag,
						rlast4 : rlast4
				    },
	        	};
			}else if(noCardFlag){//无卡支付相关操作
				var nocardsmstype;
				if(nocardType == "2"){
					nocardsmstype = "签约";
				}else if(nocardType == "3"){
					nocardsmstype = "限额修改";
				}else if(nocardType == "4"){
					nocardsmstype = "解约";
				}
				//倒计时配置参数
	        	var params = {
	    			//按钮对象
	    			contentEl:contentEl,
	    			//delay:10,
	    			//参数
				    param : {
					    //0表示本地获取 1表示 渠道端获取
					    socket: '0',
					    modType : "quickPayment",
					    DeptId : DeptId,
						CifNo : CifNo, //客户号
						PhoneNum : PhoneNum, //手机号
						rlast4 : rlast4,
						isCheckSess : 'false',
						signFlag : nocardsmstype,
						MerchantId : "",
						isLimitModifyFlag :isLimitModifyFlag,
						rlast4 : rlast4,
						noCardFlag : "1"
				    },
	        	};
			}
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
		},
	    //获取短信后触发
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		submitModify:function (){
			if(isLimitModifyFlag == "1" && signFlag == "2" &&  $("#checkNo").val() == ""){ //关闭状态，进行开通操作
				Fw.Msg.info("请输入短信验证码");
				return;
			}
			if(isLimitModifyFlag == "2" &&  $("#checkNo").val() == ""){ //限额修改操作
				Fw.Msg.info("请输入短信验证码");
				return;
			}
			//动态口令验证
			if($('#otpSeq').length!=0){
				var otpSeq = $('#otpSeq').css("display").indexOf('none') == -1;//隐藏为false
				if(otpSeq){
					if($("[name=optNo]").val() == ""){
						Fw.Msg.info("请输入口令序号");
						return;
					}
					if($("[name=optNo]").val().length <= 12){
						Fw.Msg.info("口令序号不能超出12位");
						return;
					}
				}
			}
			if($('#dynPsd').length!=0){
				var dynPsd = $('#dynPsd').css("display").indexOf('none') == -1;//隐藏为false			
				if(dynPsd){
					if($("[name=oTPPassword]").val() == ""){
						Fw.Msg.info("请输入动态口令");
						return;
					}
				}
			}
			if($("#TransPsw").val() == ""){
				Fw.Msg.info("请输入交易密码");
				return;
			}
			if($("#TransPsw").val().length != 6){
				Fw.Msg.info("交易密码为6位");
				return;
			}
			if(isLimitModifyFlag == "1"){
				if(signFlag == "1"){ //已开通，进行关闭操作
					signStr = "关闭";
				}else if(signFlag == "2"){ //关闭状态，进行开通操作
					signStr = "开通";
				}
				if(!noCardFlag){
					Fw.Msg.cfm("请确认是否将"+Fw.util.Format.fmtAcctNo(accountNo,true)+"账户的" + MerchantName + signStr + "?", function(code, btn, win){
		                 if(code == 'yes'){
		                	 firstForm.submit();
		                 }
		             }); 
				}else if(noCardFlag){
					if(nocardType == "2"){//开通
						var msg = "开通";
					}else if(nocardType == "4"){
						var msg = "注销";//注销
					}
					Fw.Msg.cfm("请确认是否将"+Fw.util.Format.fmtAcctNo(accountNo,true)+"账户进行银联无卡支付签约"  + msg + "?", function(code, btn, win){
		                 if(code == 'yes'){
		                	 firstForm.submit();
		                 }
		             });
				} 
				
			}else if(isLimitModifyFlag == "2"){
				//限额修改
				firstForm.submit();
			}
		},
		dynPassword:function (values) {
			valuesObj = values;
			Fw.SmsCountDown.reset();
			if(!noCardFlag){
				if(isLimitModifyFlag == "1"){
					App.terminate(); //开通或关闭
				}else if(isLimitModifyFlag == "2"){
		        	App.limitmodifyTransfer(); //限额修改
				}
			}else if(noCardFlag){
				if(isLimitModifyFlag == "1"){
					Fw.SmsCountDown.reset();
					if(nocardType == "2"){//开通
						App.noCardPaySign();
					}else if(nocardType == "4"){
						App.noCardPaySignCancel();//注销
					}
				}else if(isLimitModifyFlag == "2"){//限额修改
					App.noCardPaySign();
				}
			}
		},
		 /**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKeyClose: function(){
        	var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
        	//交易参数
        	var data = {
        			tradeName: "快捷支付关闭", //交易名
        			tradeId: "MCShortCutManageTerminate", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "Status", labelDesc: "当前开关状态: ", labelValue: "开通"
			            },{
			            	labelName: "CardNo", labelDesc: "账户: ", labelValue: acc
			            },{
			            	labelName: "BankAcType", labelValue: accType
			            },{
			            	labelName: "CustNameG", labelDesc: "客户名称: ", labelValue:$('#CusName').text() 
			            },{
			            	labelName: "UnitNo", labelValue:MerchantId 
			            },{
			            	labelName: "IdNo", labelDesc: "证件号码: ",labelValue:Fw.app.Session.getIdNo() 
			            },{
			            	labelName: "IdType",labelValue:Fw.app.Session.getIdType() 
			            } ]
        	};
        	return data;
        },
        
        getSignDataforBluetoothKeyKtClose: function(){
        	//交易参数
        	var data = {
        			tradeName: "快捷支付关闭", //交易名
        			tradeId: "MCEPayCardSign", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "Status", labelDesc: "当前开关状态: ", labelValue: "开通"
			            },{
			            	labelName: "CardNo", labelDesc: "账户: ", labelValue: accountNo
			            },{
			            	labelName: "CustNameG", labelDesc: "客户名称: ", labelValue:Fw.app.Session.getCustName()
			            },{
			            	labelName: "CifNo", labelValue:Fw.app.Session.getCifNo()
			            },{
			            	labelName: "IdNo", labelDesc: "证件号码: ",labelValue:Fw.app.Session.getIdNo() 
			            },{
			            	labelName: "IdType",labelValue:Fw.app.Session.getIdType() 
			            } ]
        	};
        	return data;
        },
        
        getSignDataforBluetoothKeyOpen: function(){
        	var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
        	//交易参数
        	var data = {
        			tradeName: "快捷支付开通", //交易名
        			tradeId: "MCShortCutManageTerminate", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "Status", labelDesc: "当前开关状态: ", labelValue: "关闭"
			            },{
			            	labelName: "CardNo", labelDesc: "账户: ", labelValue: acc
			            },{
			            	labelName: "CustNameG", labelDesc: "客户名称: ", labelValue:$('#CusName').text() 
			            },{
			            	labelName: "UnitNo", labelValue:MerchantId 
			            },{
			            	labelName: "BankAcType", labelValue:accType 
			            },{
			            	labelName: "IdNo", labelDesc: "证件号码: ",labelValue:Fw.app.Session.getIdNo() 
			            },{
			            	labelName: "IdType",labelValue:Fw.app.Session.getIdType() 
			            } ]
        	};
        	return data;
        },
        
        getSignDataforBluetoothKeyYdOpen: function(){
        	var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
        	//交易参数
        	var data = {
        			tradeName: "快捷支付开通", //交易名
        			tradeId: "MCEPayCardSign", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "Status", labelDesc: "当前开关状态: ", labelValue: "关闭"
			            },{
			            	labelName: "CardNo", labelDesc: "账户: ", labelValue: accountNo
			            },{
			            	labelName: "CustNameG", labelDesc: "客户名称: ", labelValue:$('#CusName').text() 
			            },{
			            	labelName: "CifPhoneNo", labelValue:CoreMobileNo 
			            },{
			            	labelName: "AcctType", labelValue:accType 
			            },{
			            	labelName: "IdNo", labelDesc: "证件号码: ",labelValue:Fw.app.Session.getIdNo() 
			            },{
			            	labelName: "IdType",labelValue:Fw.app.Session.getIdType() 
			            } ]
        	};
        	return data;
        },
        
        getSignDataforBluetoothKey: function(){
        	//交易参数
        	var data = {
        			tradeName: "限额修改", //交易名
        			tradeId: "MCShortCutManageLimitModify", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "CardNo", labelDesc: "账户: ", labelValue: accountNo
			            },{
			            	labelName: "CustNameG", labelDesc: "客户名称: ", labelValue:$('#CusName').text() 
			            },{
			            	labelName: "IdNo", labelDesc: "证件号码: ",labelValue:Fw.app.Session.getIdNo() 
			            },{
			            	labelName: "IdType",labelValue:Fw.app.Session.getIdType() 
			            },{
			            	labelName: "CifPerTrsLimitAmount", labelDesc: "单笔限额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#OneamtlmtG").html()))
			            }, {
			            	labelName: "CifLimitAmount", labelDesc: "单日限额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#DayamtlmtG").html()))
			            }, {
			            	labelName: "MonamtlmtG", labelDesc: "单月限额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#MonamtlmtG").html()))
			            } ]
        	};
        	return data;
        },
        getSignDataforBluetoothKeyZfb: function(){
        	//交易参数
        	var data = {
        			tradeName: "限额修改", //交易名
        			tradeId: "MCShortCutAlipayLimitModify", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "CardNo", labelDesc: "账户: ", labelValue: accountNo
			            },{
			            	labelName: "CustNameG", labelDesc: "客户名称: ", labelValue:$('#CusName').text() 
			            },{
			            	labelName: "IdNo", labelDesc: "证件号码: ",labelValue:Fw.app.Session.getIdNo() 
			            },{
			            	labelName: "IdType",labelValue:Fw.app.Session.getIdType() 
			            },{
			            	labelName: "CifPerTrsLimitAmount", labelDesc: "单笔限额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#OneamtlmtG").html()))
			            }, {
			            	labelName: "CifLimitAmount", labelDesc: "单日限额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#DayamtlmtG").html()))
			            }, {
			            	labelName: "MonamtlmtG", labelDesc: "单月限额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#MonamtlmtG").html()))
			            } ]
        	};
        	return data;
        },
		//开通或关闭快捷支付
		terminate:function (){
			transPwdzc = valuesObj.TransPsw;
			if(payType=="1"){ //支付宝卡通
				if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
					if(signFlag=="1"){
	        		var clearData = App.getSignDataforBluetoothKeyKtClose();
					}else if(signFlag=="2"){
						var clearData = App.getSignDataforBluetoothKeyOpen();
					}
	        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
	        				function(data){
	        			bluetoothKeySignatureData=data;
	        			App.MCEPayCardSign(); //签约解约
	        			});
	        	}else{
	        		App.MCEPayCardSign(); //签约解约
	        	}
				return;
			}
			if(signFlag == "2" && MerchantId=="YD"){ //关闭状态，进行开通
				if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
						var clearData = App.getSignDataforBluetoothKeyYdOpen();
	        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
	        				function(data){
	        			bluetoothKeySignatureData=data;
	        			App.MCShortCutydSign(); //圆鼎在线支付签约
	        			});
	        	}else{
	        		App.MCShortCutydSign(); //圆鼎在线支付签约
	        	}
				return;
			}
			App.terminateDo();
		},
		terminateDo:function (){
			var opeFlag = "";
			if(signFlag == "1"){ //开通状态，进行关闭
				opeFlag = "1";
				if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
					var clearData = App.getSignDataforBluetoothKeyClose();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        			bluetoothKeySignatureData=data;
        			App.terminateDoTow();
        			});
        	}else{
        		App.terminateDoTow();
        	}
			}else if(signFlag == "2"){ //关闭状态，进行开通
				opeFlag = "0";
				if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
					var clearData = App.getSignDataforBluetoothKeyOpen();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        			bluetoothKeySignatureData=data;
        			App.terminateDoTow();
        			});
        	}else{
        		App.terminateDoTow();
        	}
			}
		},
		terminateDoTow:function (){
			var DynamicPsw = $('[name="oTPPassword"]').val();
			var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
			var opeFlag = "";
			if(signFlag == "1"){ //开通状态，进行关闭
				opeFlag = "1";
			}else if(signFlag == "2"){ //关闭状态，进行开通
				opeFlag = "0";
			}
			Fw.util.Ajax.execute({
	            service: 'onlinePayService',
	            method: 'executeShortCutManageTerminate',
	            params: {
	            	CardNo: acc,
					CardName:CusName,
					UnitNo:MerchantId,
					ChannelCode:"",
					SubChannelCode:"",
					BankAcType: accType,
					TrsPassword: transPwdzc,
					smscode : $("#checkNo").val(),
					smsSecurity :smsSecurity,
					OpeFlag:opeFlag,
					IdNo:Fw.app.Session.getIdNo(),
					IdType:Fw.app.Session.getIdType(),
					otpType :Fw.app.Session.getOtpType(),
	         		otpNo :Fw.app.Session.getOtpNo(),
	         		oTPPassword :DynamicPsw,
	         		challenge :'0',
	         		isOtp : isOtp,
	         		PtcNo : listData[index].PtcNo, //签约协议号
	         		SignCert: bluetoothKeySignatureData.signCert, //证书
    				SignatureCleartext: bluetoothKeySignatureData.signatureCleartext, //签名明文
    				SignatureCiphertext: bluetoothKeySignatureData.signatureCiphertext //签名密文
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCShortCutManageTerminate_cb();
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		//签约
		MCEPayCardSign :function(){
			var OperType="0";
			if(signFlag == "1"){ //开通状态，进行关闭
				OperType = "1";
			}else if(signFlag == "2"){ //关闭状态，进行开通
				OperType = "0";	
			}
			var DynamicPsw = $('[name="oTPPassword"]').val();
			Fw.util.Ajax.execute({
	            service: 'onlinePayService',
	            method: 'executePayCardSign',
	            params: {
	            	smscode : $("#checkNo").val(),
	            	smsSecurity :smsSecurity,
					CifNo : Fw.app.Session.getCifNo(),
					AcctNo : accountNo,
					ZFBAcct : $("#payCardNo2").html(),
					CifPhoneNo : CoreMobileNo,
					AcctType : accType,
					OperType : OperType, //签约
					CifName : Fw.app.Session.getCustName(),
					UserTcPerTransLimit : Fw.util.Format.unFmtAmt($("#perLimitAmt2").html()),
					UserTcPerDayLimit : Fw.util.Format.unFmtAmt($("#perDayLimit2").html()), 
					PaperType : Fw.app.Session.getIdType(),
					PaperNo : Fw.app.Session.getIdNo(),
					CifSignDeptId : Fw.app.Session.getDeptSeq(),
					AccountDeptId : Fw.app.Session.getDeptSeq(),
					ChannelId : "MBS",
					TrsPassword : valuesObj.TransPsw,
					
					otpType :Fw.app.Session.getOtpType(),
	         		otpNo :Fw.app.Session.getOtpNo(),
	         		oTPPassword :DynamicPsw,
	         		challenge :'0',
	         		isOtp :isOtp
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCEPayCardSign_cb()
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		//圆鼎在线二次签约
		MCShortCutydSign:function (){
			Fw.util.Ajax.execute({
	            service: 'onlinePayService',
	            method: 'executeShortCutydSign',
	            params: {
	            	CardNo : accountNo,
					PhoneNo : CoreMobileNo,
					IdNo:Fw.app.Session.getIdNo(),
					IdType:Fw.app.Session.getIdType(),
					CardName : Fw.app.Session.getCustName(),
					OneAmtLmt : Fw.util.Format.unFmtAmt($("#perLimitAmt2").html()),
					DayAmtLmt : Fw.util.Format.unFmtAmt($("#perDayLimit2").html()),
					MonAmtLmt : Fw.util.Format.unFmtAmt($("#perMonthLimit2").html()),
					TrsPassword : valuesObj.TransPsw,
					BankAcType : accType,
					smscode : $("#checkNo").val(),
					smsSecurity :smsSecurity,
					CVV2 : $("#YDCVV22").html(),
					ValidDate : $("#YDValidDate2").html()
					
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCShortCutydSign_cb()
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });
		},
		MCShortCutManageTerminate_cb :function(){
			if(signFlag == "1"){
      			if(MerchantId=="900002"||MerchantId=="900003"){ //支付宝卡通
      				alipayFlag="0";
      			}else if(MerchantId=="YD"){ //圆鼎在线支付
      				flag = "1";
      				//App.sendMobNo();
      			}
      			Fw.Msg.info(MerchantName +"关闭成功！",App.updateQuery());
      		}else if(signFlag == "2"){
      			if(MerchantId=="900002"){ //支付宝卡通
      				alipayFlag="1";
      			}else if(MerchantId=="900003"){ //支付宝快捷
      				alipayFlag="2";
      			}
      			Fw.Msg.info(MerchantName +"开通成功！",App.updateQuery());
      		}
		},
		MCEPayCardSign_cb:function(){
			if(signFlag == "1"){
				if(MerchantId=="900002"||MerchantId=="900003"){ //支付宝卡通
      				alipayFlag="0";
      			}
				Fw.Msg.info(MerchantName +"关闭成功！",App.updateQuery());
      		}else if(signFlag == "2"){
      			if(MerchantId=="900002"){ //支付宝卡通
      				alipayFlag="1";
      			}else if(MerchantId=="900003"){ //支付宝快捷
      				alipayFlag="2";
      			}
      			Fw.Msg.info(MerchantName +"开通成功！",App.updateQuery());
      		}
		},
		MCShortCutydSign_cb:function(){
			flag = "1";
			//App.sendMobNo();
			Fw.Msg.info(MerchantName +"签约成功！",App.updateQuery());
		},
		limitmodifyTransfer:function (){
			//短信验证码校验
			if(!/^\d*$/.test($('#checkNo').val()) || $('#checkNo').val().length!=6){
				Fw.Msg.info('短信验证码为6位数字！');
				return ;
		    }
			if(limitFlag == "1"){ //支付宝限额修改
				if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
	        		var clearData = App.getSignDataforBluetoothKeyZfb();
	        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
	        				function(data){
	        			bluetoothKeySignatureData=data;
	        			App.MCShortCutAlipayLimitModify();
	        			});
	        	}else{
	        		App.MCShortCutAlipayLimitModify();
	        	}
				return;
			}
			if("5" == Fw.app.Session.getIsOtp()){ //蓝牙key
        		var clearData = App.getSignDataforBluetoothKey();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        			bluetoothKeySignatureData=data;
        			App.limitmodifyTransferDo();
        			});
        	}else{
        		App.limitmodifyTransferDo();
        	}
		},
		limitmodifyTransferDo:function (){
			var cardlist = document.getElementById("cardlist");
			var acc = cardlist.options[cardlist.selectedIndex].value;
			transPwdzc=valuesObj.TransPsw;
			var DynamicPsw = $('[name="oTPPassword"]').val();
			Fw.util.Ajax.execute({
	            service: 'onlinePayService',
	            method: 'executeShortCutManageLimitModify',
	            params: {
	            	SetType:"2",
					CardNo:acc,
					CardName:CusName,
					IdType:"",
					IdNo:"",			
					UnitNo:listData[index].UnitNo,
					OneAmtLmt:Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#OneamtlmtG").html())),
					DayAmtLmt:Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#DayamtlmtG").html())),
					MonAmtLmt:Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($("#MonamtlmtG").html())),
					ChannelCode:"",
					SubChannelCode:"",
					BankAcType: accType,
					TrsPassword: transPwdzc,
					smsCheckNo : $("#checkNo").val(),
					
					otpType :Fw.app.Session.getOtpType(),
	         		otpNo :Fw.app.Session.getOtpNo(),
	         		oTPPassword :DynamicPsw,
	         		challenge :'0',
	         		isOtp :isOtp,
	         		SignCert :bluetoothKeySignatureData.signCert,
    				SignatureCleartext :bluetoothKeySignatureData.signatureCleartext,
    				SignatureCiphertext :bluetoothKeySignatureData.signatureCiphertext
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCShortCutManageLimitModify_cb();
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });	
		},
		//支付宝限额修改
		MCShortCutAlipayLimitModify:function (){
			var DynamicPsw = $('[name="oTPPassword"]').val();
			Fw.util.Ajax.execute({
	            service: 'onlinePayService',
	            method: 'executeShortCutAlipayLimitModify',
	            params: {
	            	CardNo:accountNo,
					UnitNo:MerchantId,
					OperType:"2",
					OneAmtLmt:Fw.util.Format.unFmtAmt($("#OneamtlmtG").html()),
					DayAmtLmt:Fw.util.Format.unFmtAmt($("#DayamtlmtG").html()),			
					MonAmtLmt:Fw.util.Format.unFmtAmt($("#MonamtlmtG").html()),
					BankAcType:accType,
					smscode : $("#checkNo").val(),
					smsSecurity :smsSecurity,
					TrsPassword:valuesObj.TransPsw,
					
					otpType :Fw.app.Session.getOtpType(),
	         		otpNo :Fw.app.Session.getOtpNo(),
	         		oTPPassword :DynamicPsw,
	         		challenge :'0',
	         		isOtp :isOtp
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCShortCutAlipayLimitModify_cb();
	            },
	            failure: function(status, textStatus, error) {
	            	Fw.Msg.info(error);
	            }
	        });		
		},
		MCShortCutManageLimitModify_cb:function(){
			isLimitModifyFlag = "1";
			Fw.Msg.info("限额修改成功！");
      		$("#TransPsw").val("");
      		transPwdzc="";
      		$('[name="oTPPassword"]').val("");
      		$("#checkNo").val("");
    		
      		$("#pageG").addClass("hiden");
      		$("#pageC").addClass("hiden");
      		$("#pageA").removeClass('hiden');
		},
		MCShortCutAlipayLimitModify_cb:function (strEncrypt){
      		isLimitModifyFlag = "1";
      		Fw.Msg.info("限额修改成功！");
      		$("#TransPsw").val("");
      		transPwdzc="";
      		$('[name="oTPPassword"]').val("");
      		$("#checkNo").val("");
      		$("#pageG").addClass("hiden");
      		$("#pageC").addClass("hiden");
      		$("#pageA").removeClass('hiden');
		},
		//支付宝卡通签约解约
		alipaySign:function (){
			if(MerchantId=="900002" && $("#payCardNo").val() == ""){
				Fw.Msg.info("请输入支付宝账号");
				return;
			}
			//PCRC校验
			if(accType == "PCRC"){
				var CVV2 = $("#CVV2").val();
				if(CVV2 == ""){
					Fw.Msg.info("请输入卡背签名栏后3位");
					return;
				}
				var ValidDate = $("#ValidDate").val();
				if(ValidDate == ""){
					Fw.Msg.info("请输入有效期");
					return;
				}
			}
			var phoneNum = $("#phoneNum").val();
			if(MerchantId=="900002" || MerchantId == "YD"){
				if(phoneNum==""){
					Fw.Msg.info("请输入手机号码");
					return;
				}else if(phoneNum.length!=11){
					Fw.Msg.info("手机号为11位");
					return;
				}
				if(phoneNum.indexOf("*") == -1){
					if(!(/^\d*$/.test(phoneNum))){
						Fw.Msg.info("手机号只能是数字");
						return;
					}
					if(phoneNum != CoreMobileNo){
			  			Fw.Msg.info("请输入签约手机号码！");
			  			return;
			  		}
				}
			}
			var perLimitAmt = parseFloat(Fw.util.Format.unFmtAmt($("#perLimitAmt").val()));
			if(perLimitAmt == 0){
				Fw.Msg.info("单笔限额不能为0");
				return;
			}
			var perDayLimit = parseFloat(Fw.util.Format.unFmtAmt($("#perDayLimit").val()));
			if(perDayLimit == 0){
				Fw.Msg.info("当日累计限额不能为0");
				return;
			}
			if(perLimitAmt > Number(PerLimitAmt)){
				Fw.Msg.info("单笔限额不能超过默认最高限额:"+PerLimitAmt);
				return;
			}
			if(perDayLimit > Number(PerDayLimitAmt)){
				Fw.Msg.info("当日累计限额不能超过默认最高限额:"+PerDayLimitAmt);
				return;
			}
			if(perLimitAmt > perDayLimit){
				Fw.Msg.info("单笔限额不能超过当日累计限额");
				return;
			}
			var perMonthLimit = parseFloat(Fw.util.Format.unFmtAmt($("#perMonthLimit").val()));
			if(MerchantId=="YD"){
				if(perMonthLimit == 0){
					Fw.Msg.info("当月累计限额不能为0");
					return;
				}
				if(perMonthLimit > Number(Permonthlimit)){
					Fw.Msg.info("当月累计限额不能超过默认最高限额:"+Permonthlimit);
					return;
				}
				if(perDayLimit > perMonthLimit){
					Fw.Msg.info("当日累计限额不能超过当月累计限额");
					return;
				}
			}
			if(!$("#beRead").attr("checked")){
				if(MerchantId=="900002"){
					Fw.Msg.info("请阅读并同意《圆鼎借记卡支付宝卡通功能签约协议》");
					return;
				}
				else if(MerchantId=="YD"){
					Fw.Msg.info("请阅读并同意《圆鼎在线支付服务协议》");
					return;
				}
			}
	  		$("#signCardNo2").html($("#signCardNo").html());
	  		$("#payCardNo2").html($("#payCardNo").val());
	  		$("#phoneNum2").html($("#phoneNum").val());
	  		$("#perDayLimit2").html($("#perDayLimit").val());
	  		$("#perLimitAmt2").html($("#perLimitAmt").val());
	  		$("#YDAccType2").html($("#YDAccType").html());
	  		$("#perMonthLimit2").html($("#perMonthLimit").val());
	  		//PCRC校验
			if(accType == "PCRC"){
				$("#YDCVV22").html($("#CVV2").val());
				$("#YDValidDate2").html($("#ValidDate").val());
			}
	  		$("#pageD").addClass("hiden");
	  		$("#pageI").removeClass("hiden");
	  		$("#pageC").removeClass("hiden");
			$("#TransPsw").val("");
			$("#checkNo").val("");
			$('[name="oTPPassword"]').val("");
	  		if(MerchantId=="900002"){
	  			$("#YDAccTypeLi2").addClass("hiden");
	  			$("#perMonthLimitLi2").addClass("hiden");
	  			$("#YDCVV2Li2").addClass("hiden");
	  			$("#YDValidDateLi2").addClass("hiden");
	  			$("#alipayAccountLi2").removeClass("hiden");
			}else if(MerchantId=="YD"){
				$("#YDAccTypeLi2").removeClass("hiden");
				$("#perMonthLimitLi2").removeClass("hiden");
				$("#YDCVV2Li2").removeClass("hiden");
	  			$("#YDValidDateLi2").removeClass("hiden");
				$("#alipayAccountLi2").addClass("hiden");
			}
	  		$("#smsValid").removeClass("hiden");
			$("#TransPsw").val("");
			transPwdzc="";
			$("#checkNo").val("");
			$('[name="oTPPassword"]').val("");
			/*if(MerchantId=="YD"){ //圆鼎在线支付不校验动态口令
				isOtp = "0";
			}else{
				isOtp = Fw.app.Session.getIsOtp();
			}
			App.checkOtpType(isOtp);	*/	
		},
		//关闭
		terminateoperation:function(){
			isLimitModifyFlag = "1"; //不修改限额
			if(payType=="1" && !noCardFlag){ //支付宝卡通
				App.MCEPayCardSignCancelQry();
				return;
			}
			$('#CustNameG').html(CusName.replaceAll(" 女士","").replaceAll(" 男士",""));
			$('#AcctTypeG').html(Fw.util.Format.fmtCardType(accType));
			if(!noCardFlag){
				$(".signType").addClass("hiden");
				$(".paytype").removeClass("hiden");
				$(".cardtype").removeClass("hiden");
				$('#AcctnoG').html($('#CardNoE').html());
				$('#UnitnoG').html(MerchantName);
				$("#OneamtlmtG").html($('#OneAmtLmtE').html());  //单笔限额
				$("#DayamtlmtG").html($('#DayAmtLmtE').html());  //单日限额
				$("#MonamtlmtG").html($('#MonAmtLmtE').html());  //单月限额
				$("#pageE").addClass("hiden");
				$("#pageC").removeClass("hiden");
				$("#pageG").removeClass("hiden");
			}else if(noCardFlag){
				nocardType = "4";//无卡支付解约
				$(".signType").removeClass("hiden");
				$(".paytype").addClass("hiden");
				$(".cardtype").addClass("hiden");
				$('#nocardcancelSignNo').html($('#noCardNoE').html());	//卡号
				$("#nocarduserName").html(noCardPayList.AccName) //户名
				
				
				$("#nocardcancelperonce").html($("#noCardOneAmtLmtE").html());  //单笔限额
				$("#nocardcancelperday").html($("#noCardDayAmtLmtE").html());  //单日限额
				$("#nocardcancelsigndate").html($("#noCardSignDate").html());  //签约日期
				
				$("#pageXX").addClass("hiden");
				$("#pageC").removeClass("hiden");
				$("#pageZZ").removeClass("hiden");
			}
			//otpType = "0";
			//isOtp = "0";
			//App.checkOtpType(isOtp);
			$("#smsValid").addClass("hiden");
			$("#TransPsw").val("");
			$("#checkNo").val("");
			$('[name="oTPPassword"]').val("");
			$("#TransPsw").val("");
			transPwdzc="";
			$("#checkNo").val("");
			$('[name="oTPPassword"]').val("");
		},
		//支付宝卡通签约查询
		MCEPayCardSignCancelQry:function (){
			Fw.util.Ajax.query({
	            service: 'onlinePayService',
	            method: 'queryPayCardSignCancelQry',
	            params: {
	            	PaperType : Fw.app.Session.getIdType(),
					PaperNo : Fw.app.Session.getIdNo(),
					CifName : Fw.app.Session.getCustName(),
	            },
	            staticData: false,
	            success: function(data, result) {
	            	App.MCEPayCardSignCancelQry_cb(data);
	            },
	            failure: function(status, textStatus, error) {
	        		Fw.Msg.info(error);
	            }
	        });
		},
		MCEPayCardSignCancelQry_cb:function(data){
			var list = data.List;
      		for(var i=0; i<list.length; i++){
      			if(accountNo == list[i].AcctNo){
      				$("#cancelSignNo").html(Fw.util.Format.fmtAcctNo(accountNo,true));
    	      		$("#userName").html(list[i].CifName);
    	      		$("#idType").html(Fw.util.Format.fmtIdType(list[i].PaperType));
    	      		var PaperNo = list[i].PaperNo;
    	      		if(PaperNo.length > 8){
    	      			$("#idNo").html(Fw.util.Format.fmtPhoneNum(PaperNo));
    	      		}else{
    	      			$("#idNo").html(PaperNo);
    	      		}
    	      		$("#payCardNo3").html(list[i].ZFBAcct);
      			}
      		}
      		//otpType = "0";
      		//isOtp = "0";
    		//App.checkOtpType(isOtp);
    		$("#smsValid").addClass("hiden");
    		$("#pageE").addClass("hiden");
    		$("#pageC").removeClass("hiden");
    		$("#pageJ").removeClass("hiden");
			$("#TransPsw").val("");
			$("#checkNo").val("");
			$('[name="oTPPassword"]').val("");
    		$("#TransPsw").val("");
    		transPwdzc="";
    		$("#checkNo").val("");
    		$('[name="oTPPassword"]').val("");
		},
		//圆鼎在线支付服务协议
		showYDPayAgreement:function (){
			$("#name").html(Fw.app.Session.getCustName());
			$("#pageD").addClass("hiden");
			$("#ydOnlinePay").removeClass("hiden");
		},
		//圆鼎借记卡支付宝卡通功能签约协议
		showAgreement:function (){
			$("#pageD").addClass("hiden");
			$("#alipayAgreement").removeClass("hiden");
		},
		leftButtonHandler:function(){ 
			var pageA = $("#pageA");
			var pageB = $("#pageB");
			var pageC = $("#pageC");
			var pageD = $("#pageD");
			var pageE = $("#pageE");
			var pageF = $("#pageF");
			var pageG = $("#pageG");
			var pageJ = $("#pageJ");
			var pageI = $("#pageI");
			var pageX = $("#pageX");//无卡开通
			var pageXX = $("#pageXX");//无卡限额详情
			var pageYY = $("#pageYY");//无卡开通解约
			var pageZZ = $('#pageZZ');//无卡开通注销
			var alipayAgreement = $("#alipayAgreement");
			var ydOnlinePay = $("#ydOnlinePay");
			Fw.SmsCountDown.reset();
			if(!pageB.hasClass("hiden")){
				$("#pageA").removeClass("hiden");
				$("#pageB").addClass("hiden");
				returncardflag = false;
			}
			else if(!pageD.hasClass("hiden")){
				$("#pageB").removeClass("hiden");
				$("#pageD").addClass("hiden");
			}
			else if(!pageC.hasClass("hiden") && !pageI.hasClass("hiden")){
				$("#pageD").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageI").addClass("hiden");
			}else if(!pageE.hasClass("hiden")){
				$("#pageB").removeClass("hiden");
				$("#pageE").addClass("hiden");
			}else if(!pageC.hasClass("hiden") && !pageJ.hasClass("hiden")){
				$("#pageE").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageJ").addClass("hiden");
			}
    		else if(!pageE.hasClass("hiden")){
				$("#pageF").removeClass("hiden");
				$("#pageE").addClass("hiden");
			}
    		else if(!pageF.hasClass("hiden")){
				$("#pageE").removeClass("hiden");
				$("#pageF").addClass("hiden");
			}
    		else if(!pageC.hasClass("hiden") && !pageG.hasClass("hiden") && isLimitModifyFlag=="2" && !noCardFlag){ //限额提交页面返回
				$("#pageF").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageG").addClass("hiden");
			}
    		else if(!pageC.hasClass("hiden") && !pageG.hasClass("hiden") && isLimitModifyFlag=="1" && !noCardFlag){ //关闭提交页面返回
				$("#pageE").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageG").addClass("hiden");
			}
    		/*else if(!pageC.hasClass("hiden") && !pageG.hasClass("hiden") && (MerchantId=="YD" || MerchantId=="800007") ){
				$("#pageE").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageG").addClass("hiden");
			}*/
    		else if(!alipayAgreement.hasClass("hiden")){
				$("#pageD").removeClass("hiden");
				$("#alipayAgreement").addClass("hiden");
			}
    		else if(!ydOnlinePay.hasClass("hiden")){
				$("#pageD").removeClass("hiden");
				$("#ydOnlinePay").addClass("hiden");
			}
    		else if(!pageC.hasClass("hiden") && isLimitModifyFlag=="1" && signFlag=="2"){ //签约页面返回
    			$("#pageB").removeClass("hiden");
				$("#pageC").addClass("hiden");
			}
			//无卡支付签约
    		else if(!pageX.hasClass("hiden")){//新增
    			$("#pageX").addClass("hiden");
    			$("#pageC").addClass("hiden");
    			$("#pageB").removeClass("hiden");
    		}
    		else if(!pageXX.hasClass("hiden")){//限额详情页
    			$("#pageXX").addClass("hiden");
    			$("#pageB").removeClass("hiden");
    		}
    		else if(!pageYY.hasClass("hiden")){//限额详情页
    			$("#pageYY").addClass("hiden");
    			$("#pageXX").removeClass("hiden");
    		}
    		else if(!pageZZ.hasClass("hiden")){//限额详情页
    			$("#pageZZ").addClass("hiden");
    			$("#pageC").addClass("hiden")
    			$("#pageXX").removeClass("hiden");
    		}
    		else if(noCardFlag && !pageC.hasClass("hiden") && !pageG.hasClass("hiden") && nocardType == "3"){//无卡支付限额修改确认页
    			$("#pageYY").removeClass("hiden");
				$("#pageC").addClass("hiden");
				$("#pageG").addClass("hiden");
    		}
			else{
				Fw.device.Device.gotoIndex();
			}	
     	}
	  };
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);