/**
 * 创建应用
 */
var App = function() {
	var form;
	var form2;
	var form3;
	var buttons = $('button');
	var tab;
	var cardList;
//	var personalData;
	var jfData;
	var smsSecurity;
	var IdType;
	var IdNo;
	var Name;
//	var isSms;
	var jfCard;
	var dataInfo;
	var timerGlider;
	var payAmount;
	var bluetoothKeySignatureData = { // 蓝牙key签名信息
			signCert : "", // 证书
			signatureCleartext : "", // 签名明文
			signatureCiphertext : "" // 签名密文
		};
	var ifOtp;
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 短信倒计时
		'Fw.SmsCountDown',
		// 动态口令
		'Fw.Otp',
		// 表单
		'Fw.Form',
		// 安全键盘
		'Fw.Keyboard',
		// 日历组件
		'Fw.Calendar',
		// 时间轴
		'Fw.TimerGlider',
		// 常用数据
		'Fw.ConstantData',
		// 设备
		'Fw.device.Device',
		'Fw.Tab',
		'Fw.app.Session',
		'Fw.BluetoothKey',
		'Fw.OcrUtil'
		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '东台银社单笔缴费',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},

		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0
			});
			// 定义表单
			form2 = new Fw.Form({
				// EL
				contentEl : 'form2',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 定义表单
			form3 = new Fw.Form({
				// EL
				contentEl : 'form3',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
			// this.initDtkl();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0) {
				Fw.redirect("../menu.html", Fw.getParameters());
			} else if (index == 1) {
				tab.setActiveItem(0);
			} else if (index == 2) {
				tab.setActiveItem(1);
			} else if (index == 3) {
				tab.setActiveItem(2);
			} else {
				Fw.redirect("../menu.html", Fw.getParameters());
			}
		},
		/**
		 * 初始化数据
		 */
		initData : function() {
			$('[name="IdType"]').val(Fw.util.Format.fmtDongTaiIdType('A'));
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 触发提交事件前（校验前）触发
			form2.on('beforesubmit', this.beforeFormSubmit, this);
			// 触发提交事件触发
			form2.on('submit', this.doFormSubmit, this);
			// 触发提交事件前（校验前）触发
			form3.on('beforesubmit', this.beforeFormSubmit3, this);
			// 触发提交事件触发
			form3.on('submit', this.doFormSubmit3, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			// 点击调用倒计时插件
			$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick, this));
			$('#next-btn').on('click', Fw.bind(this.secondQuery, this));
			$('#sub-btn').on('click', Fw.bind(this.toJf, this));
			$('#card-btn').on('click', Fw.bind(this.querySb, this));
			$('[name="jfCard"]').on('change', Fw.bind(this.queryBalance, this));
		},
		/**
		 * 应缴金额查询
		 */
		queryMCSocialSecurityDTAmountQry : function() {
			IdNo=$('[name="IdNo"]').val();
			Name=$('[name="PeopName"]').val();
			
			if(IdNo==""||IdNo==null){
				Fw.Tips.info("请输入证件号码!");
				return;
			}
			if(IdNo.length!=18){
				Fw.Tips.info("请输入正确的证件号码!");
				return;
			}
			if(Name==""||Name==null){
				Fw.Tips.info("请输入姓名!");
				return;
			}
			App.initTimerGlider();
			Fw.util.Ajax.query({
				service : 'dongTaiSocialSecurityService',
				method : 'queryMCSocialSecurityDTAmountQry',
				// 请求参数
				params : {
					IdType : 'A', // 证件类型
					IdNo : IdNo, // 证件号码
					PeopName : Name, // 客户姓名
					Nt1 : "",
					Nt2 : "",
					Nt3 : "",
					Nt4 : "",
					Nt5 : ""
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					jfData = data;
					App.showList(data);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error);
				}
			});
		},
		queryBalance : function() {
			var initCard = $("select[name=jfCard]").val();
			var data = Fw.decode(initCard);
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchDetail',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					Account_No : data.No,
					Account_BankAcType : data.BankAcType
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if (result.result.AvailBal) {
						$("input[name=jfCard_ye]").val(
								Fw.util.Format.fmtAmt(result.result.AvailBal));
					} else {
						$("input[name=jfCard_ye]").val(Fw.util.Format.fmtAmt(0));
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Tips.info("未查到相关信息");
				}
			});
		},
		/**
		 * 加载时间轴
		 */
		initTimerGlider : function(v) {
			timerGlider = new Fw.TimerGlider(
					{
						contentEl : 'pageSave',
						ajax : {
							page : false,
							service : '',
							method : '',
							params : {},
							staticData : false
						},
						groupField : 'Month',
						groupHeaderTpl : [ '${item.BegMon.substring(0,4)}' ],
						// 下拉刷新（默认false）
						pullRefresh : false,
						itemTpl : [
								'<div class="content-detail-ll" id="detail-0">',
								'<h4>保险种类：<span style="float:right;color:#3a8ff5">${item.InsType|fmtDongTaiSocialType}</span></h4>',
								'<h4>开始年月：<span style="float:right;color:#3a8ff5"> ${item.BegMon}</span></h4>',
								'<h4>终止年月：<span style="float:right;color:#3a8ff5"> ${item.EndMon}</span></h4>',
								'<h4>应缴金额：<span style="float:right;color:#3a8ff5">  ${item.Amount / 100|fmtAmt} </span></h4>',
								'<h4>缴费单号：<span style="float:right;color:#3a8ff5">  ${item.PayNo} </span></h4>',
								'</div>', ]
					});
			// 每行记录点击事件
			timerGlider.on('itemclick', this.onItem);
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeFormSubmit : function(values) {
		},
		beforeFormSubmit3 : function(values) {
		},
		showList : function(data) {
			$("#jfPeop").html(data.PeopId);
			$("#jfName").html(Name);
			$("#jfCount").html(data.RowNum);
			$("#jfTotal").html(Fw.util.Format.fmtAmt(data.PayAmount / 100));
			if (data.List.length > 0) {
				// 载入数据后触发
				timerGlider.onLoadData(timerGlider.ajax, data.List);
			} else {
				$("#pageSave").append("<div class='no-result'>未查询到相关记录！</div>");
			}
			tab.setActiveItem(1);
		},
		/**
		 * 点击记录触发事件
		 */
		onItem : function(record, index, item, e, cmp) {
			var debitCardNum = 0;
			var cardList = Fw.app.Session.getAllCards();// 客户借记卡
			$('[name="jfCard"]').html("");// 置空
			for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType == "PDBC" || card.BankAcType == "PSDP") {
					debitCardNum++;
					$('[name="jfCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if(debitCardNum == 1){
						App.queryBalance();
					}
				}
			}
			if (debitCardNum == 0) {
				Fw.Msg.info("您尚未绑定卡或存折，不能进行缴费操作！", function() {
					Fw.redirect("../menu.html", Fw.getParameters());
				});
				return;
			}
			// 获取选择数据并跳转
			dataInfo = record;
			$("[name=peopId_3]").val(jfData.PeopId);
			$("[name=idType_3]").val(Fw.util.Format.fmtDongTaiIdType('A'));
			$("[name=idNo_3]").val(Fw.util.Format.fmtAcctNo(IdNo, true));
			$("[name=peopName_3]").val(Name);
			$("[name=jfCount_3]").val("1");
			$("[name=jfAmount_3]").val(Fw.util.Format.fmtAmt(dataInfo.Amount / 100));
			$("[name=intType_3]").val(Fw.util.Format.fmtDongTaiSocialType(dataInfo.InsType));
			$("[name=beg_3]").val(dataInfo.BegMon);
			$("[name=end_3]").val(dataInfo.EndMon);
			$("[name=payNo_3]").val(dataInfo.PayNo);
			$("[name=amount_3]").val(Fw.util.Format.fmtAmt(dataInfo.Amount / 100));
			payAmount = record.Amount / 100;
			tab.setActiveItem(2);
		},
		/**
		 * 提交表单
		 */
		doFormSubmit : function(values) {
			var smscode = $('#smsText').val();
			var TrsPassword = $("input[name=TrsPassword]").val();
			if (TrsPassword == "") {
				Fw.Tips.info("请输入交易密码");
				return;
			}
			if (TrsPassword.length != 6) {
				Fw.Tips.info("交易密码为6位");
				return;
			}
			jfCard = Fw.decode($("#jfCard").val());
			var cardType = jfCard.BankAcType;
			var cardFlag = "";
			if (cardType == "PSDP") {
				cardFlag = "2";
			} else {
				cardFlag = "1";
			}
			// 校验验证码
			values["OworkDate"] = jfData.OworkDate;
			values["OagentSerialNo"] = jfData.OagentSerialNo;
			values["PeopId"] = jfData.PeopId;
			values["IdType"] = 'A';
			values["IdNo"] = IdNo;
			values["PeopName"] = jfData.PeopName;
			values["ThirdSeq"] = dataInfo.ThirdSeq;
			values["RowNum"] = "1";
			values["PayAmount"] = dataInfo.Amount;
			values["InsType"] = dataInfo.InsType;
			values["BusType"] = dataInfo.BusType;
			values["BegMon"] = dataInfo.BegMon;
			values["EndMon"] = dataInfo.EndMon;
			values["Oamount"] = dataInfo.Amount;
			values["PayNo"] = dataInfo.PayNo;
			values["CardFlag"] = cardFlag;
			values["AcctNo"] = jfCard.No;
			values["TermId"] = Fw.app.Session.getCtMobilePhone();
			// values["IsSms"] = IsSms;
			values["smsSecurity"] = smsSecurity;
			// 新加校验字段
			values["payeeAcNo"] = Fw.decode($("#jfCard").val()).No; // 收款账户
			values["payeeAcName"] = $("[name=peopName_3]").val(); // 收款人名
			values["PeopId"] = $("[name=peopId_3]").val(); // 人员识别号
			values["amount"] = Fw.util.Format.unFmtAmt(dataInfo.Amount / 100);
			values["pwdCode"] = smscode;
        	values["oTPPassword"]=$("input[name=oTPPassword]").val();
        	if ("5" == ifOtp) { // 蓝牙key
				var clearData = App.getSignDataforBluetoothKey();
				Fw.BluetoothKey
						.encryptByBluetoothKey(
								clearData,
								Fw.app.Session,
								function(data) {
									bluetoothKeySignatureData = data;
									values["SignCert"] = bluetoothKeySignatureData.signCert;
									values["SignatureCleartext"] = bluetoothKeySignatureData.signatureCleartext;
									values["SignatureCiphertext"] = bluetoothKeySignatureData.signatureCiphertext;
									App.doFormPay(values);
								});
			} else {
				App.doFormPay(values);
			}
		},
		/**
		 * 蓝牙key签名明文参数
		 */
		getSignDataforBluetoothKey : function() {
			// 交易参数
			var data = {
				tradeName : "东台社保单笔缴费", // 交易名
				tradeId : "MCSocialSecurityDTPay", // 接口名
				labelData : [
						{
							labelName : "PayerAccountNo",
							labelDesc : "银行账号: ",
							labelValue : jfCard.No
						},
						{
							labelName : "PayeeAccountName",
							labelDesc : "客户姓名: ",
							labelValue : $("input[name=peopName_3]").val()
						},
						{
							labelName : "InsType",
							labelDesc : "保险种类: ",
							labelValue : $("input[name=intType_3]").val()
						},
						{
							labelName : "TrsAmount",
							labelDesc : "缴费总金额: ",
							labelValue : Fw.util.Format
									.fmtNumber(Fw.util.Format.unFmtAmt($(
											"input[name=jfAmount_3]").val()))
						}, {
							labelName : "OworkDate",
							labelValue : jfData.OworkDate
						}, {
							labelName : "OagentSerialNo",
							labelValue : jfData.OagentSerialNo
						}, {
							labelName : "PeopId",
							labelValue : jfData.PeopId
						}, {
							labelName : "IdNo",
							labelValue : IdNo
						}, {
							labelName : "InsType",
							labelValue : dataInfo.InsType
						}, {
							labelName : "BusType",
							labelValue : dataInfo.BusType
						} ]
			};
			return data;
		},
			// 加载数据
		doFormPay : function(values) {
			Fw.util.Ajax.execute({
						service : 'dongTaiSocialSecurityService',
						method : 'executeMCSocialSecurityDTPay',
						// method:
						// 'executeReceiver',//默认为execute，方法名称必须是execute开头
						// 请求参数
						params : values,
						// 是否使用数据挡板（默认false）
						staticData : false,
						// 请求成功后回调
						success : function(data, result) {
							$("#succ_peopname").html(jfData.PeopName);
							$("#succ_idNo").html(Fw.util.Format.fmtAcctNo(IdNo,true));
							$("#succ_insType").html(Fw.util.Format.fmtDongTaiSocialType(dataInfo.InsType));
							$("#succ_begMon").html(dataInfo.BegMon);
							$("#succ_endMon").html(dataInfo.EndMon);
							$("#succ_payNo").html(dataInfo.PayNo);
							$("#succ_bankCard").html(Fw.util.Format.fmtAcctNo(jfCard.No, true));
							$("#succ_amount").html(Fw.util.Format.fmtAmt(parseFloat(dataInfo.Amount) / 100));
							tab.setActiveItem(4);
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.Msg.error(error, function() {
								Fw.SmsCountDown.reset();
								$("#smsCountDown").val("");
								$("input[name=TrsPassword]").val("");
								tab.setActiveItem(0);
							});
							return false;
						}
					});
		},
		// 限额查询
		doFormSubmit3 : function(values) {
			App.queryTransLimit(values);
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 提交表单
			case 'end-btc':
				form3.submit();
				break;
			case 'end-btn':
				form2.submit();
				break;
			// 表单重置
			case 'reset-btn':
				form.reset();
				break;
			// 重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			case 'query-btn':
				App.queryMCSocialSecurityDTCifQry();
				break;
			case 'amount-btn':
				App.queryMCSocialSecurityDTAmountQry();
				break;
			}
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			page = index;
			switch (index) {
			// 第一个
			case 0:
				break;
			// 第二个
			case 1:
				// 执行子页面2初始化方法
				break;
			// 第三个
			case 2:
				// 执行子页面3初始化方法
				break;
			case 3:
				// 执行子页面3初始化方法
				break;
			case 4:
				// 执行子页面3初始化方法
				break;
			case 5:
				// 执行子页面3初始化方法
				break;
			default:
				;
			}
		},
		/**
		 * 调用短信统一接口
		 */
		smsCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			var insType = Fw.util.Format.fmtDongTaiSocialType(dataInfo.InsType);
			// 倒计时配置参数
			var params = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"
				delay : 60,
				// 参数
				param : {
					// 短信发送验证
					payeeAcNo : Fw.decode($("#jfCard").val()).No, // 收款账户
					payeeAcName : $("[name=peopName_3]").val(), // 收款人名
					PeopId : $("[name=peopId_3]").val(), // 人员识别号
					amount : Fw.util.Format.unFmtAmt($("[name=jfAmount_3]").val()),// 将金额格式化成小数点
					// 0表示本地获取 1表示 渠道端获取
					socket : '1',
					modType : 'dtPay',
					Amount : dataInfo.Amount / 100,
					insType : insType
				},
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},

		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},

		/**
		 * 根据缴费金额，查询下需要验证方式
		 */
		queryTransLimit : function() {
			if ($('[name="jfCard"]').val() == "") {
				Fw.Tips.info("无可用账户");
				return;
			}
			// 缴费账号
			card = Fw.decode($('[name="jfCard"]').val());
			Fw.util.Ajax.query({
				service : 'transferLimitService',
				method : 'queryTransLimit',
				// 请求参数
				params : {
					BankAcType : card.BankAcType,
					No : card.No,
					TxnType : "NT",
					amount : payAmount
				},
				// 请求成功后回调
				success : function(data, result) {
					if (data.IsSms == "0") {
						$("#smsValidDiv").addClass("sui-hide");
					} else {// 短信校验
						$("#smsValidDiv").removeClass("sui-hide");
					}
					App.initDynamicPwdValid(data.IsOtp);
					ifOtp = data.IsOtp;
					tab.setActiveItem(3);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		/**
		 * 动态口令验证初始化
		 */
		initDynamicPwdValid : function(isOtp) {
			var param = {
				'isOtp' : isOtp,
				'otpType' : Fw.app.Session.getOtpType(),
				'otpNo' : Fw.app.Session.getOtpNo(),
				'isChallenge' : '0',
			};
			// 初始话动态口令显示
			Fw.Otp.initDynamicPwd(param);
		},
		fmtMoneyToPoint : function(money) {
			var moneyNum = Fw.util.Format.fmtNumber(money, '0.00') + "";
			moneyNum = moneyNum.replace(".", "");
			return moneyNum;
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
