/**
 * 创建应用
 */
var App = function() {
	var form;
	var form1;
	var form3;
	var buttons = $('button');
	var tab;
	var IdNO;//身份证号
	var idCode;//社保个人编码
	var listView;
	var smsSecurity;
	var selectData;
	var acNo;
	var bankAcType;
	var instype;
	var custName;
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	var ifOtp;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		//短信倒计时
		'Fw.SmsCountDown',
		// 动态口令
		'Fw.Otp',
		//表单
		'Fw.Form',
		//安全键盘
		'Fw.Keyboard',
		//日历组件
		'Fw.Calendar',
		//常用数据
        'Fw.ConstantData',
		//列表
        'Fw.ListView',
		//设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session',
        'Fw.BluetoothKey','Fw.OcrUtil'],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '城乡居民养老医疗他人代缴',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : '左边按钮',
			//自定义按钮点击事件（默认App.leftButtonHandler）
			//handler: XXX
			},
		/**
		 * 右边按钮（默认不显示）
		 * rightButton: '右边按钮'
		 */
		/*rightButton : {
			//按钮标题
			text : '设置表单值',
		//自定义按钮点击事件（默认App.rightButtonHandler）
		//handler: XXX
		},*/
		/**
		 * 是否自动显示等待层（默认true）
		 * 需手动隐藏等待层
		 */
		//loadMask: false
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			//定义选项卡
			tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0
			});
			//定义表单
			form = new Fw.Form({
				//EL
				contentEl : 'form',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			//定义表单
			form1 = new Fw.Form({
				//EL
				contentEl : 'form1',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			//定义表单
			form3 = new Fw.Form({
				//EL
				contentEl : 'form3',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			//初始化事件
			this.initEvents();
			Fw.LoadMask.hide(500);
		},
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0) {
				Fw.redirect("../menu.html", Fw.getParameters());
			}else if (index == 1) {
				tab.setActiveItem(0);
			}else if (index == 2) {
				tab.setActiveItem(1);
			}else if (index == 3) {
				tab.setActiveItem(2);
			}else if(index == 4){
				$('[name="TrsPassword"]').val('');
				$('[name="TrsPassword"]').attr("placeholder", "请输入交易密码");
				$('[name="optNo"]').val('');
				$('[name="oTPPassword"]').val('');
				$('[name="smscode"]').val('');
				$('[name="optNo"]').attr("placeholder", "请输入口令序号");
				$('[name="oTPPassword"]').attr("placeholder", "请输入动态口令");
				$('[name="smscode"]').attr("placeholder", "请输入验证码");
				tab.setActiveItem(3);
			}else if (index == 5) {
				Fw.redirect("../menu.html", Fw.getParameters());
			}
		},
		querySb : function(){
			var idNo = $("input[name=IdNo]").val();
			if(idNo == ""){
				Fw.Tips.info("请输入证件号码!");
				return;
			}
			App.IdNO = idNo;
    		var xm = $("input[name=Xm]").val();
    		if(xm == ""){
				Fw.Tips.info("请输入客户姓名!");
				return;
			}
    		var selfNo = Fw.app.Session.getIdNo();
    		if(selfNo == idNo){
    			Fw.Tips.info("只能替他人代缴，请输入正确的他人证件号码!");
				return;
    		}
			//通过接口回显社保卡号
			Fw.util.Ajax.execute({
				service : 'juRongSocialSecurityService',
				method : 'executeJrCardQry',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					IdNo : idNo,
					Xm : xm
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					console.log(data);
					//塞值并跳转
					if(data.DdpAcctSts){
						switch(data.DdpAcctSts){
							case '0':
								if(data.AcctNo){
									$("input[name=IdNO]").val(Fw.util.Format.fmtAcctNo(idNo,true));
    								$("input[name=idCode]").val(Fw.util.Format.fmtAcctNo(data.AcctNo,true));
    								App.idCode = data.AcctNo;
    								tab.setActiveItem(1);
								}else{
									Fw.Tips.info("未查询到相关社保卡号!");
								}
								break;
							case '1' :
								Fw.Tips.info("社保卡已销户，暂时无法使用此功能!");
								break;
							case '2' :
								Fw.Tips.info("社保卡已冻结，暂时无法使用此功能!");
								break;
							case '3' :
								Fw.Tips.info("社保卡已结清，暂时无法使用此功能!");
								break;
							case '4' :
								Fw.Tips.info("社保卡交换未收妥，暂时无法使用此功能!");
								break;
							case '5' :
								Fw.Tips.info("社保卡账号不存在，暂时无法使用此功能!");
								break;
							case '7' :
								Fw.Tips.info("社保卡已单向冻结，暂时无法使用此功能!");
								break;
							case '8' :
								Fw.Tips.info("社保卡已部分冻结，暂时无法使用此功能!");
								break;
							case '9' :
								Fw.Tips.info("社保卡已无效，暂时无法使用此功能!");
								break;
							case 'A' :
								Fw.Tips.info("社保卡已冲正！");
								break;
							default:
								break;
						}
					}else{
						Fw.Msg.info("社保卡状态未知，暂时无法进行操作！", function(){
		                });
					}
					//手动隐藏等待层
					Fw.LoadMask.hide(500);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error, function(){
						Fw.redirect("../menu.html", Fw.getParameters());
	                });
					return false;
				}
			});
		},
		submit : function(){
		},
        queryBalance : function() {
        	var initCard = $("select[name=jfCard]").val();
        	var data = Fw.decode(initCard);
        	acNo=data.No;
			bankAcType=data.BankAcType;
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchDetail',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					Account_No : data.No,
					Account_BankAcType : data.BankAcType
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(result.result.AvailBal){
						$("input[name=jfCard_ye]").val(Fw.util.Format.fmtAmt(result.result.AvailBal));
					}else{
						$("input[name=jfCard_ye]").val(Fw.util.Format.fmtAmt(0));
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Tips.info("未查到相关信息");
				}
			});
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			//表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			//form.on('change', this.onChange, this);
			//选项卡切换后触发
//            tab.on('tabchange', this.onTabChange);
			//触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			//触发提交事件触发
			form.on('submit', this.doSubmit, this);
			//触发提交事件前（校验前）触发
			form3.on('beforesubmit', this.beforeFormSubmit, this);
			//触发提交事件触发
			form1.on('submit', this.doFormSubmit, this);
			//点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			//查询社保卡号
			$('#card-btn').on('click', Fw.bind(this.querySb, this));
			// 点击调用倒计时插件
			$('#smsCountDown').on('click', Fw.bind(this.smsCountDownClick, this));
			$('#next-btn').on('click', Fw.bind(this.secondQuery, this));
			$('#sub-btn').on('click', Fw.bind(this.toJf, this));
			$('[name="jfCard"]').on('change', Fw.bind(this.queryBalance, this));
		},
		/**
         * 初始化数据
         */
        initListView:function(){
        	 //定义列表
        	listView = new Fw.ListView({
						contentEl : 'listView',
						cls: 'sx-list',
					    groupCls: 'sx-list-group',
					    groupHeaderBaseCls: 'sx-list-group-header',
					    groupHeaderCls: 'sui-border-t',
					    itemBaseCls: 'sx-list-item',
					    itemCls: 'sui-border-t',
					    pressedCls: 'sui-list-active',
						//数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
						ajax : {
							service : 'juRongSocialSecurityService',
							method : 'queryTjMoneyQuery',
							// method:
							// 'executeReceiver',//默认为execute，方法名称必须是execute开头
							// 请求参数
							params : {
								BxType : "2",
								InsType : instype,
								IdNo : App.IdNO,
								PeopId : "",
								Grsbm : "",
								Yhzh : App.idCode,
								Nt1 : "",
								Nt2 : "",
								Nt3 : "",
								Nt4 : "",
								Nt5 : ""
							},
							//是否自动显示等待层（默认true）
							//允许自定义等待层提示信息（loadMask: '请稍后...'）
							//loadMask: true,
							//是否分页（默认true）
							page: false,
							//分页参数
							//pageSize : 2,
							//是否使用数据挡板（默认false）
							staticData : false,
						},
						groupHeaderTpl : [

						],
						//向右箭头（默认false）
						disclosure : false,
						//数据展现模版
						itemTpl : [ 
							'<div class="ui-list-info" style="border-bottom:1px solid;padding-bottom:10px;">',
	                        '<h4 class="ui-nowrap"><span>查询日期：</span><span style="margin-left:10px;">${item.OworkDate}</span></h4>',
	                        '{@if item.Xzlx== "15"}',
	                        '<h4 class="ui-nowrap"><span>保险种类：</span><span style="margin-left:10px;">居民养老</span></h4>',
	                        '{@else if item.PayeeType== "24"}',
	                        '<h4 class="ui-nowrap"><span>保险种类：</span><span style="margin-left:10px;">居民医疗</span></h4>',
	                        '{@/if}',
	                        '<h4 class="ui-nowrap"><span>客户姓名：</span><span style="margin-left:10px;">${item.Xm}</span></h4>',
	                        '<h4 class="ui-nowrap"><span>证件号码：</span><span style="margin-left:10px;">${item.IdNo | fmtAcctNo,true}</span></h4>',
	                        '<h4 class="ui-nowrap"><span>社保个人编码：</span><span style="margin-left:10px;">${item.Grbm}</span></h4>',
	                        '<h4 class="ui-nowrap"><span>缴费总笔数：</span><span style="margin-left:10px;">${item.Zbs}</span></h4>',
	                        '<h4 class="ui-nowrap"><span>缴费总额：</span><span style="margin-left:10px;">${item.Zje | fmtAmtFen}</span></h4>',
	                        '<h4 class="ui-nowrap"><span>缴费开始年月：</span><span style="margin-left:10px;">${item.Jfksny}</span></h4>',
	                        '<h4 class="ui-nowrap"><span>缴费结束年月：</span><span style="margin-left:10px;">${item.Jfjsny}</span></h4>',
	                        '<h4 class="ui-nowrap"><span>缴费总额：</span><span style="margin-left:10px;">${item.Jfze | fmtAmtFen}</span></h4>',
	                        '</div><hr/>'
						 ]
					});
        },
        /**
         * 选中记录时触发
         */
        onSelect: function(record, index, item, e, cmp) {
        	custName=record.Xm;
        	selectData = record;
        	var debitCardNum = 0;
        	var cardList = Fw.app.Session.getAllCards();//客户借记卡
        	$('[name="jfCard"]').html("");//置空
        	for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType != "PCRC") {
					debitCardNum++;
					$('[name="jfCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
				}
        	}
        	if(debitCardNum == 0){
        		Fw.Msg.info("您尚未绑定卡或存折，不能进行缴费操作！", function(){
        			Fw.redirect("../menu.html", Fw.getParameters());
                });
    			return;			
    		}
        	$("input[name=idNo_3]").val(Fw.util.Format.fmtAcctNo(App.IdNO,true));
        	$("input[name=idCode_3]").val(Fw.util.Format.fmtAcctNo(App.idCode,true));
//        	$("input[name=jfCount_3]").val(App.rownum);
        	$("input[name=jfAmount_3]").val(Fw.util.Format.fmtAmtFen(selectData.Jfze));
        	App.queryBalance();
        	tab.setActiveItem(3);
        },
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeFormSubmit : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			var paramss=Fw.util.Storage.get('_parameters');
   	     	var param=Fw.decode(Fw.decode(decodeURIComponent(paramss)));
   	     	instype=param.value;
			//初始化ListView 
	        this.initListView();
			//列表选择
			listView.on('itemclick', this.onSelect, this);
			listView.ajax.on('query', this.onQueryExpire, this);
			listView.loadData();
		},
		/**
         * 选中记录时触发
         */
        onQueryExpire : function(ajax, data, result){
        	if(result.total=="0"){
        		var errormsg="未找到需缴纳的数据";
        		var endmsg=[];
            	endmsg[endmsg.length]='<div class="x-loadmore ui-loading-wrap ">',
            	endmsg[endmsg.length]='<p class="x-loadmore-text">'+errormsg+'</p>',
            	endmsg[endmsg.length]='</div>'
            	$('#listView').append(endmsg.join(""));
        	};
            tab.setActiveItem(2);
        },
		/**
		 * 提交表单
		 */
		doFormSubmit : function(values) {
			var smscode = $("input[name=smscode]").val();
			var oTPPassword = $("input[name=oTPPassword]").val();
			var TrsPassword = $("input[name=TrsPassword]").val();
			if(TrsPassword ==""){
				Fw.Tips.info("请输入交易密码");
				return;
			}
			if(TrsPassword.length!=6){
				Fw.Tips.info("交易密码为6位");
				return;
			}
			var card = Fw.decode($("#jfCard").val());
			var cardType = card.BankAcType;
			var cardFlag = "";
			if(cardType == "PSDP"){
				cardFlag = "2";
			}else{
				cardFlag = "1";
			}
			values["OworkDate"] = selectData.OworkDate;
			values["OagentSerialNo"] = selectData.OagentSerialNo;
			values["InsType"] = instype;
			values["BxType"] = "2";
			values["IdNo"] = selectData.IdNo;
			values["Xm"] = selectData.Xm;
			values["CardFlag"] = cardFlag;
			values["AcctNo"] = card.No;
			values["AcctName"] = card.Name;
			values["Cd2"] = "";
			values["Cd3"] = "";
			values["IcData"] = "";
			values["TermId"] = Fw.app.Session.getCtMobilePhone();
			values["Xzlx"] = selectData.Xzlx;
			values["Jfksny"] = selectData.Jfksny;
			values["Jfjsny"] = selectData.Jfjsny;
			values["Jfze"] = selectData.Jfze;
			values["Zbs"] = selectData.Zbs;
			values["Sblsh"] = selectData.Sblsh;
			values["Zje"] = selectData.Zje;
			values["Nt1"] = "";
			values["Nt2"] = "";
			values["Nt3"] = "";
			values["Nt4"] = "";
			values["Nt5"] = "";
			values["smsSecurity"] = smsSecurity;
			values["smscode"] = smscode;
			values["oTPPassword"] = oTPPassword;
			//加载数据
			if("5" == ifOtp){ //蓝牙key
        		var clearData = App.getSignDataforBluetoothKey();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        			bluetoothKeySignatureData = data;
        			values["SignCert"] = bluetoothKeySignatureData.signCert; //证书
        			values["SignatureCleartext"] = bluetoothKeySignatureData.signatureCleartext; //签名明文
        			values["SignatureCiphertext"] = bluetoothKeySignatureData.signatureCiphertext; //签名密文
        			App.doFormPay(values);
        			});
        	}else{
        		App.doFormPay(values);
        	}
		},
		/**
         * 蓝牙key签名明文参数
         */
        getSignDataforBluetoothKey: function(){
        	var card = Fw.decode($("#jfCard").val());
        	//交易参数
        	var data = {
        			tradeName: "句容城乡居民养老医疗他人代缴", //交易名
        			tradeId: "MCSocialSecurityJrCXPay", //接口名
	    			labelData: [ 
	    			    {
			            	labelName: "PayerAccountNo", labelDesc: "缴费账号: ", labelValue: card.No
			            }, {
			            	labelName: "PayeeAccountName", labelDesc: "姓名: ", labelValue:custName
			            },{
			            	labelName: "IdCode", labelDesc: "社保卡号: ", labelValue: App.idCode
			            }, {
			            	labelName: "TrsAmount", labelDesc: "缴费总金额: ", labelValue: Fw.util.Format.fmtNumber(Fw.util.Format.unFmtAmt($('[name="jfAmount_3"]').val()))
				        }, {
			            	labelName: "Oworkdate", labelValue: selectData.OworkDate
				        }, {
			            	labelName: "Oagentserialno", labelValue: selectData.OagentSerialNo
				        }, {
			            	labelName: "IdNO", labelValue: selectData.IdNo
				        },{
			            	labelName: "Xzlx", labelValue: selectData.Xzlx
				        },{
			            	labelName: "Jfksny", labelValue: selectData.Jfksny
				        },{
			            	labelName: "Jfjsny", labelValue: selectData.Jfjsny
				        },{
			            	labelName: "Jfze", labelValue: selectData.Jfze
				        }]
        	};
        	return data;
        },
		doFormPay:function(values){
			Fw.util.Ajax.execute({
				service : 'juRongSocialSecurityService',
				method : 'executeMCSocialSecurityJrCXPay',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : values,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#succ_oworkdate").html(data.OworkDate);
					$("#succ_peopname").html(data.Xm);
					$("#succ_idNo").html(Fw.util.Format.fmtAcctNo(App.IdNO,true));
		        	$("#succ_idCode").html(Fw.util.Format.fmtAcctNo(App.idCode,true));
					$("#succ_rownum").html(data.AcctNo);
					$("#succ_amount").html(data.AcctName);
					tab.setActiveItem(5);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error, function(){
						Fw.SmsCountDown.reset();
						$("input[name=TrsPassword]").val("");
						$("#smsText").val("");
						tab.setActiveItem(0);
	                });
					return false;
				}
			});
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			//提交表单
			case 'submit-btn':
				form.submit();
				break;
			case 'end-btn':
				App.ruralOtherSubmit();
				break;
			case 'pay-btn':
				form1.submit();
				break;
			//表单重置
			case 'reset-btn':
				form.reset();
				break;
			//重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			}
		},
		/**
         * 提交
         */
		ruralOtherSubmit: function(){
			App.queryTransLimit();
        },
        /**
         * 交易限额查询与验证方式判断
         */
        queryTransLimit: function(){
        	var mount = selectData.Jfze/100
        	var isOtp = Fw.app.Session.getIsOtp();
        	Fw.util.Ajax.query({
        		service: 'transferLimitService',
                method: 'queryTransLimit',
                //请求参数
                params: {
                	No: acNo,
                	BankAcType: bankAcType,
                	TxnType: "NT",
                	amount: mount
                },
                //请求成功后回调
                success: function(data, result) {
                	if(data.IsSms == "0"){ //短信校验
                		$("#smsValidDiv").addClass("sui-hide");
                	}else{
                		$("#smsValidDiv").removeClass("sui-hide");
                	}
                	App.initDynamicPwdValid(data.IsOtp);
                	ifOtp = data.IsOtp;
                	tab.setActiveItem(4);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                }
            });
       },
       /**
        * 动态口令验证初始化
        */
		initDynamicPwdValid : function(isOtp) {
			var otpType = Fw.app.Session.getOtpType();
			var otpNo = Fw.app.Session.getOtpNo();
			var param = {
				'isOtp' : isOtp,
				'otpType' : otpType,
				'otpNo' : otpNo,
				'isChallenge' : '0',
			};
			// 初始话动态口令显示
			Fw.Otp.initDynamicPwd(param);
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			page = index;
			switch (index) {
			//第一个
			case 0:
				break;
			//第二个
			case 1:
				//执行子页面2初始化方法
				break;
			//第三个
			case 2:
				//执行子页面3初始化方法
				break;
			case 3:
				//执行子页面3初始化方法
				break;
			case 4:
				//执行子页面3初始化方法
				break;
			case 5:
				//执行子页面3初始化方法
				break;
			default:
				;
			}
		},
		/**
		 * 调用短信统一接口
		 */
		smsCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			var inStype = instype;
			if(inStype == "15"){
				inStype = "居民养老";
			}else{
				inStype = "居民医疗";
			}
			// 倒计时配置参数
			var params = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"
				delay : 60,
				// 参数
				param : {
					// 0表示本地获取 1表示 渠道端获取
					socket : '0',
					modType : 'judksb',
					Amount : selectData.Jfze / 100,
					instype : inStype
				},
			// 业务参数配置待短信接口确定后完善...
			// AMT:5000,
			// PHONE:13698888888
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},

		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
        fmtMoneyToPoint: function(money){
        	var moneyNum = Fw.util.Format.fmtNumber(money,'0.00')+"";
        	moneyNum = moneyNum.replace(".","");
        	return moneyNum;
        }	
		
		
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
