/**
 * 创建应用
 */
var App = function() {
	var form;
	var form2;
	var form3;
	var buttons = $('button');
	var tab;
	var smsSecurity;
	var isOtp;
	var isSms;
	var selectData;
	var Note;//备注
    var searchBar;
    var ZonePointWord;//机构搜索关键字
    var searchBarBr;
    var BranchPointWord;//发票网点关键字
	var applyBranch;//机构对象
	var deptId;//机构
	var brnoBranch;//发票机构对象
	var ZoneNo;//机构ID
	var ZoneNames;//机构名称
	var Brno;//网点ID
	var BranchNames;//网点名称
	var OworkDate;
	var OagentSerialNo;
	var payAmount;//动态口令
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		//短信倒计时
		'Fw.SmsCountDown',
		// 动态口令
		'Fw.Otp',
		//表单
		'Fw.Form',
		//安全键盘
		'Fw.Keyboard',
		//查询工具条
        'Fw.SearchBar',
		//日历组件
		'Fw.Calendar',
		//常用数据
        'Fw.ConstantData',
		//设备
		'Fw.device.Device', 'Fw.Tab', 'Fw.app.Session','Fw.OcrUtil'],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '兴化社保补缴',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : '左边按钮',
			//自定义按钮点击事件（默认App.leftButtonHandler）
			//handler: XXX
			},
		/**
		 * 右边按钮（默认不显示）
		 * rightButton: '右边按钮'
		 */
		/*rightButton : {
			//按钮标题
			text : '设置表单值',
		//自定义按钮点击事件（默认App.rightButtonHandler）
		//handler: XXX
		},*/
		/**
		 * 是否自动显示等待层（默认true）
		 * 需手动隐藏等待层
		 */
		//loadMask: false
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			//定义选项卡
			tab = new Fw.Tab({
				//选项卡EL
				contentEl : 'tab',
				//默认选项卡（默认0）
				activeTab : 0
			});
			//定义表单
			form = new Fw.Form({
				//EL
				contentEl : 'form',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			
			//定义表单
			form2 = new Fw.Form({
				//EL
				contentEl : 'form2',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			
			
			//定义表单
			form3 = new Fw.Form({
				//EL
				contentEl : 'form3',
				//是否激活重置事件（默认false）
				//单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				//校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 初始化数据
			this.initData();
			//初始化事件
			this.initEvents();
			//手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0) {
				Fw.redirect("../menu.html", Fw.getParameters());
			}else if (index == 1) {
				tab.setActiveItem(0);
			}else if (index == 2) {
				tab.setActiveItem(1);
			}else if (index == 3) {
				Fw.SmsCountDown.reset();
				$("input[name=TrsPassword]").val("");
				$("input[name=TrsPassword]").attr("placeholder","请输入交易密码");
				$("input[name=smsText]").val("");
				$("input[name=smsText]").attr("placeholder","请输入验证码");
				tab.setActiveItem(2);
			}else if (index == 4) {
				tab.setActiveItem(0);
			}else if (index == 5) {
				tab.setActiveItem(0);
			}else if (index == 6) {
				Fw.redirect("../menu.html", Fw.getParameters());
			}else{
				Fw.redirect("../menu.html", Fw.getParameters());
			}
		},
		
		selectArea : function(){
			Fw.util.Ajax.query({               
                service: 'xingHuaSocialSecurityService',
                method: 'executeMCInstitutionNumberQry',//默认为query，方法名称必须是query开头
                //请求参数
                params: {     
                	CityName : "泰州"
                },               
                staticData: false,
                loadMask: true,
                //请求成功后回调
                success: function(data, result) {
                	$('#ZoneNo').text("");
                	$('#deptList').html("");
                    applyBranch = data.List;
                    if(applyBranch.length == 0){
                    	Fw.Msg.info("您选择的地区不存在相关机构！", function(){
                			Fw.redirect("../menu.html", Fw.getParameters());
                        });
            			return;	
                    }
                    var html = "";
                    for(var i=0; i<applyBranch.length; i++){
                    	var ZoneNoId =  "'"+applyBranch[i].ZoneNo+"'";
                    	var ZoneName =  "'"+applyBranch[i].ZoneNames+"'";
                    	html = html + '<li onClick="App.getDeptId(' + ZoneNoId + ',' + ZoneName + ')">';
                        html = html + '<div>';
                        html = html + '<p style="padding-right: 30px;">';
                        html = html + applyBranch[i].ZoneNames;
                        html = html + '</p></div></li>';
                        if(i == 0){
                        	$('#ZoneNo').text(applyBranch[i].ZoneNames);
                        	ZoneNo = applyBranch[i].ZoneNo;
                        	ZoneNames = applyBranch[i].ZoneNames;
                        }
                    }
                    $('#deptList').html(html);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                }
            });
		},
		queryDept: function(){
            //定义查询工具条
        	if(!searchBar){
        		searchBar = new Fw.SearchBar({
                    //EL
                    contentEl : 'searchbar',
                    //最少输入字符个数（默认4）
                    //满足该参数时，触发查询事件
                    minChars: 1,
                    //最大输入长度
                    maxLength:15,
                    //输入框占位信息
                    placeholder: '请输入机构名称进行搜索'
                });
                searchBar.on('beforesearch', App.onBeforeSearch);
                searchBar.on('search', App.getDeptList, App);
        	}
            tab.setActiveItem(5);
        },
        /**
         * 触发查询事件前触发
         */
        onBeforeSearch : function(value) {
        	ZonePointWord = value;
        },
        getDeptList: function(){
            $('#deptList').html('');
            var html = "";
            for(var i=0; i<applyBranch.length; i++){
            	if(applyBranch[i].ZoneNames.indexOf(ZonePointWord) != -1){
            		var ZoneNoId =  "'"+applyBranch[i].ZoneNo+"'";
                	var ZoneName =  "'"+applyBranch[i].ZoneNames+"'";
                	html = html + '<li onClick="App.getDeptId(' + ZoneNoId + ',' + ZoneName + ')">';
                    html = html + '<div>';
                    html = html + '<p style="padding-right: 30px;">';
                    html = html + applyBranch[i].ZoneNames;
                    html = html + '</p></div></li>';
            	}
            }
            $('#deptList').html(html);
        },
        getDeptId: function(ZoneNoId,ZoneNames){
        	ZoneNo = ZoneNoId;
            $('#ZoneNo').text(ZoneNames);
            tab.setActiveItem(0);
        },
		/**
		 * 初始化数据
		 */
		initData : function() {
			App.selectArea();
	},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			//触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			//触发提交事件触发
			form.on('submit', this.doSubmit, this);
			//触发提交事件前（校验前）触发
			form2.on('beforesubmit', this.beforeSubmit2, this);
			//触发提交事件触发
			form2.on('submit', this.doSubmit2, this);
			//触发提交事件前（校验前）触发
			form3.on('beforesubmit', this.beforeFormSubmit, this);
			//触发提交事件触发
			form3.on('submit', this.doFormSubmit, this);
			//点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			// 点击调用倒计时插件
			$('#smsCountDown').on('click', Fw.bind(this.smsCountDownClick, this));
            $('#ZoneNo').on('click',this.queryDept);
            $('#Brno').on('click',this.queryBrno);
            $("#cityName").on('change', Fw.bind(this.selectArea, this));
            $("#payqry-btn").on('click', Fw.bind(this.MCSocialSecurityXHRepairPayQry, this));
            $("#toJf-btn").on('click', Fw.bind(this.toJfPage, this));
			$('[name="jfCard"]').on('change', Fw.bind(this.queryBalance, this));
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			
		},
		beforeSubmit2 : function(values) {
			
		},
		/**
		 * 应缴金额查询（第一页）
		 */
		doSubmit : function(values) {
			//查询基础信息
			Fw.util.Ajax.execute({
				service : 'xingHuaSocialSecurityService',
				method : 'executeMCInvoicingAgencyQry',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					ZoneNo : ZoneNo
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#Brno").html("");
					$('#brnoList').html('');
					brnoBranch = data.List;
					if(brnoBranch.length == 0){
						Fw.Msg.info("您选择的机构不存在发票网点！", function(){
							tab.setActiveItem(0);
                        });
            			return;	
					}
		            var html = "";
		            for(var i=0; i<brnoBranch.length; i++){
		            	var BrnoId =  "'"+brnoBranch[i].Brno+"'";
		            	var BranchName =  "'"+brnoBranch[i].BranchNames+"'";
		            	html = html + '<li onClick="App.getBrnoId(' + BrnoId + ',' + BranchName + ')">';
		                html = html + '<div>';
		                html = html + '<p style="padding-right: 30px;">';
		                html = html + brnoBranch[i].BranchNames;
		                html = html + '</p></div></li>';
		                if(i == 0){
		                	$("#Brno").html(brnoBranch[i].BranchNames);
		                	Brno = brnoBranch[i].Brno;
		                	BranchNames = brnoBranch[i].BranchNames;
		                }
		            }
		            $('#brnoList').html(html);
		            //反显页面信息
		            $("input[name=FullName]").val(Fw.app.Session.getCustName());
					$('input[name=IdNum]').val(Fw.app.Session.getIdNo());//身份证号
					$('input[name=ChargeYear]').val(data.ChargeYear);
		            tab.setActiveItem(1);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error, function(){
	                });
					return false;
				}
			});
		},
	
		
		
		
		queryBrno: function(){
            //定义查询工具条
        	if(!searchBarBr){
        		searchBarBr = new Fw.SearchBar({
                    //EL
                    contentEl : 'searchbar-brno',
                    //最少输入字符个数（默认4）
                    //满足该参数时，触发查询事件
                    minChars: 1,
                    //最大输入长度
                    maxLength:15,
                    //输入框占位信息
                    placeholder: '请输入发票网点进行搜索'
                });
        		searchBarBr.on('beforesearch', App.onBeforeBrnoSearch);
        		searchBarBr.on('search', App.getBrnoList, App);

        	}
            tab.setActiveItem(6);
        },
        /**
         * 触发查询事件前触发
         */
        onBeforeBrnoSearch : function(value) {
        	BranchPointWord = value;
        },
        getBrnoList: function(){
        	$('#brnoList').html('');
            var html = "";
            for(var i=0; i<brnoBranch.length; i++){
            	if(brnoBranch[i].BranchNames.indexOf(BranchPointWord) != -1){
	            	var BrnoId =  "'"+brnoBranch[i].Brno+"'";
	            	var BranchName =  "'"+brnoBranch[i].BranchNames+"'";
	            	html = html + '<li onClick="App.getBrnoId(' + BrnoId + ',' + BranchName + ')">';
	                html = html + '<div>';
	                html = html + '<p style="padding-right: 30px;">';
	                html = html + brnoBranch[i].BranchNames;
	                html = html + '</p></div></li>';
            	}
            }
            $('#brnoList').html(html);
        },
        getBrnoId: function(BrNo,BranchName){
        	Brno = BrNo;
        	BranchNames = BranchName;
            $('#Brno').text(BranchName);
            tab.setActiveItem(1);
        },
        /**
         * 欠费信息查询
         */
        MCSocialSecurityXHRepairPayQry : function(){
        	var idNo = $("input[name=IdNum]").val();
        	if(idNo == "" || idNo.length != 18){
        		Fw.Msg.info("请输入正确的证件号码！");
    			return;	
        	}
        	var fName = $("input[name=FullName]").val();
        	if(fName == ""){
        		Fw.Msg.info("请输入姓名！");
        		return;	
        	}
        	Fw.util.Ajax.execute({
				service : 'xingHuaSocialSecurityService',
				method : 'executeMCSocialSecurityXHRepairPayQry',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					Brno : Brno,
					TradeType : $("[name=TradeType]").val(),
					IdNum : idNo,
					FullName : fName
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					selectData = data;
					$("input[name=CurChargeAmt]").val(Fw.util.Format.fmtAmt(data.CurChargeAmt));
					$("input[name=CurczdjAmt]").val(Fw.util.Format.fmtAmt(data.CurczdjAmt));
					$("input[name=CurczbtAmt]").val(Fw.util.Format.fmtAmt(data.CurczbtAmt));
					$("#ChargeMsg").html(data.ChargeMsg);
					tab.setActiveItem(2);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error, function(){
	                });
					return false;
				}
			});
        },
        toJfPage : function(){
        	var debitCardNum = 0;
        	var cardList = Fw.app.Session.getAllCards();//客户借记卡
        	$('[name="jfCard"]').html("");//置空
        	for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType == "PDBC" || card.BankAcType == "PSDP" || card.BankAcType == "PDAC") {
					debitCardNum++;
					$('[name="jfCard"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
				}
        	}
        	if(debitCardNum == 0){
        		Fw.Msg.info("您尚未绑定卡或存折，不能进行缴费操作！", function(){
        			Fw.redirect("../menu.html", Fw.getParameters());
                });
    			return;			
    		}
        	App.queryBalance();
        	//基本信息
        	$("input[name=brno_3]").val(BranchNames);
        	$("input[name=peopName_3]").val($("input[name=FullName]").val());
			$('input[name=idNo_3]').val(Fw.util.Format.fmtAcctNo($("input[name=IdNum]").val(),true));//身份证号
			$("input[name=TradeType_3]").val($("#TradeType").find("option:selected").text());
			//缴费信息
        	$("input[name=CurChargeAmt_3]").val(Fw.util.Format.fmtAmt(selectData.CurChargeAmt));
        	$("input[name=CurczdjAmt_3]").val(Fw.util.Format.fmtAmt(selectData.CurczdjAmt));
        	$("input[name=CurczbtAmt_3]").val(Fw.util.Format.fmtAmt(selectData.CurczbtAmt));
        	tab.setActiveItem(3);
        },
        queryBalance : function() {
        	var initCard = $("select[name=jfCard]").val();
        	var data = Fw.decode(initCard);
			Fw.util.Ajax.execute({
				service : 'loadService',
				method : 'executeSearchDetail',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					Account_No : data.No,
					Account_BankAcType : data.BankAcType
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(result.result.AvailBal){
						$("input[name=jfCard_ye]").val(Fw.util.Format.fmtAmt(result.result.AvailBal));
					}else{
						$("input[name=jfCard_ye]").val(Fw.util.Format.fmtAmt(0));
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error, function(){
						Fw.redirect("../menu.html", Fw.getParameters());
	                });
					return false;
				}
			});
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeFormSubmit : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeFormSubmit2 : function(values) {
			//设置表单值
			//values['XXX'] = 'XXX';
			//
			//if(...){
			//return false;//则不触发提交事件
			//}
		},
		/**
		 * 提交表单
		 */
		doFormSubmit : function(values) {
        	var amount = Fw.util.Format.unFmtAmt($("input[name=CurChargeAmt_3]").val());
			var jfCard_ye = Fw.util.Format.unFmtAmt($("input[name=jfCard_ye]").val());
			if(amount > jfCard_ye){
        		Fw.Tips.info("您选择的账号余额不足!");
				return;
        	}
			var TrsPassword = $("input[name=TrsPassword]").val();
			if(TrsPassword ==""){
				Fw.Tips.info("请输入交易密码");
				return;
			}
			if(TrsPassword.length!=6){
				Fw.Tips.info("交易密码为6位");
				return;
			}
			var smscode = $('input[name=smsText]').val();
			if(isSms == "1" && smscode ==""){
				Fw.Tips.info("请输入短信验证码");
				return;
			}
			if (isSms == "1" && smscode.length < 6) {
				Fw.Tips.info("短信验证码为6位，请重新输入");
				return;
			}
			var oTPPassword = $("input[name=oTPPassword]").val();
			if(oTPPassword==""&& isOtp!="0"){
				Fw.Tips.info("请输入动态口令");
				return;
			}	
			var card = Fw.decode($("#jfCard").val());
			values["IdNum"] = $("input[name=IdNum]").val();
			values["FullName"] = $("input[name=FullName]").val();
			values["Brno"] = Brno;
			values["TradeType"] = $("[name=TradeType] option:selected").val();
			values["OworkDate"] = selectData.OworkDate;
			values["OagentSerialNo"] = selectData.OagentSerialNo;
			values["Amount"] = selectData.CurChargeAmt;
			values["CardNo"] = card.No;
			values["AccName"] = card.Name;
			values["BankAcType"] = card.BankAcType;
			values["isSms"] = isSms;
			values["smsSecurity"] = smsSecurity;
			values["pwdCode"] = smscode;
			values["IsOtp"] = Fw.app.Session.getIsOtp();
			values["otpType"] = Fw.app.Session.getOtpType();
			values["otpNo"] = Fw.app.Session.getOtpNo();
			values["oTPPassword"] = oTPPassword;
			values["PayeeAcNo"] = card.No;
			values["PayeeAcName"] = card.Name;
			values["Amount"] = amount;
			
			//加载数据
			Fw.util.Ajax.execute({
				service : 'xingHuaSocialSecurityService',
				method : 'executeMCSocialSecurityXHRepairPay',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : values,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#succ_PrintNo").html(data.PrintNo);
					$("#succ_WorkDate").html(data.WorkDate);
					$("#succ_WorkTime").html(data.WorkTime);
					$("#succ_FullName").html(data.FullName);
					$("#succ_IdNum").html(Fw.util.Format.fmtAcctNo(data.IdNum,true));
					$("#succ_Amount").html(Fw.util.Format.fmtAmt(data.Amount));
					tab.setActiveItem(7);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.error(error, function(){
						Fw.SmsCountDown.reset();
						$("input[name=TrsPassword]").val("");
						$("input[name=TrsPassword]").attr("placeholder","请输入交易密码");
						$("input[name=smsText]").val("");
						$("input[name=smsText]").attr("placeholder","请输入验证码");
						tab.setActiveItem(1);
	                });
					return false;
				}
			});
		},
		
		doSubmit2: function(values){
			//限额查询
			App.queryTransLimit();
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			//提交表单
			case 'submit-btn':
				form.submit();
				break;
			case 'end-btc':
				form2.submit();
				break;
			case 'end-btn':
				form3.submit();
				break;
			//表单重置
			case 'reset-btn':
				form.reset();
				break;
			//重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			}
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			page = index;
			switch (index) {
			//第一个
			case 0:
				break;
			//第二个
			case 1:
				//执行子页面2初始化方法
				break;
			//第三个
			case 2:
				//执行子页面3初始化方法
				break;
			case 3:
				//执行子页面3初始化方法
				break;
			case 4:
				//执行子页面3初始化方法
				break;
			case 5:
				//执行子页面3初始化方法
				break;
			default:
				;
			}
		},
		/**
		 * 调用短信统一接口
		 */
		smsCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			// 倒计时配置参数
			var params = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"
				delay : 60,
				// 参数
				param : {
					// 0表示本地获取 1表示 渠道端获取
					socket : '1',
					modType : 'xnbbjjf',
					Amount : Fw.util.Format.unFmtAmt($("input[name=CurChargeAmt_3]").val())
				},
			// 业务参数配置待短信接口确定后完善...
			// AMT:5000,
			// PHONE:13698888888
			};
			// 调用倒计时插件
			Fw.SmsCountDown.showSmsCountDown(params, this.onRefreshSms);
		},

		/**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			smsSecurity = data.smsSecurity;
		},
		
		/**
		 * 交易限额查询与验证方式判断
		 */
		queryTransLimit : function() {
			if ($('[name="jfCard"]').val() == "") {
				Fw.Tips.info("无可用账户");
				return;
			}
		 	var card = Fw.decode($("#jfCard").val());
			var cardType = card.BankAcType;
			Fw.util.Ajax.query({
				service : 'transferLimitService',
				method : 'queryTransLimit',
				// 请求参数
				params : {
					BankAcType: cardType,
                	No: card.No,
					TxnType : "NT",
					//动态口令
					amount : selectData.CurChargeAmt
				},
				// 请求成功后回调
				success : function(data, result) {
					if (data.IsSms == "0") { // 短信校验
						$("#smsValid").addClass("sui-hide");
					} else {//短信校验
						$("#smsValid").removeClass("sui-hide");
					}
					isSms = data.IsSms;
					isOtp=data.IsOtp;
					App.initDynamicPwdValid(data.IsOtp);
					tab.setActiveItem(4);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		
		initDynamicPwdValid : function (isOtp){
			var param = {
					//isOtp选1判断动态口令是否显示
					'isOtp' : isOtp,
					'otpType' : Fw.app.Session.getOtpType(),
					'otpNo' : Fw.app.Session.getOtpNo(),
					'isChallenge' : '0',
				};
			// 初始话动态口令显示
			Fw.Otp.initDynamicPwd(param);
		},
        fmtMoneyToPoint: function(money){
        	var moneyNum = Fw.util.Format.fmtNumber(money,'0.00')+"";
        	moneyNum = moneyNum.replace(".","");
        	return moneyNum;
        }	
		
		
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
