/**
 * 选项卡#子页面1
 */
App.buy = function() {    
	var formBuy;
	var nowdate;
	var params;
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {
            App.viewConfig.title="结构性存款产品购买";
        	//标题栏信息
        	Fw.apply(App.viewConfig, App.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	
        	if(!formBuy){
        		//表单
            	formBuy = new Fw.Form({               
                    contentEl : 'formBuy',              
                    resettable: false,               
                    msgTarget: 'tips'
                });
            	formBuy.on('submit',this.toBuyCfm,this);
            	formBuy.on('change',this.onChange, this);
        	}
        	       	
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}        	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	params = parameters;
        	this.initCurDate();
        	this.initBuy(parameters);
        	this.queryMCAReferrerNoQry();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){       	
        	$('#toBuyCmf-btn').on('click',function(){
        		formBuy.submit();
        	});
        	$('#DeptIdQry').on('click',App.queryDept);        	
        },
        /**
         * 初始化购买页面
         * @param parameters
         * @returns
         */
        initBuy: function(parameters){        
        	var card = parameters.card;
        	var product = parameters.product;
        	var deptId = parameters.deptId;
        	App.DeptId = Fw.app.Session.getCifDeptId();       	
        	var RiskName = product.RiskName + "";
        	RiskName = RiskName.substring(0,RiskName.length-3)//产品级别
        	var Sgpurclper = product.Sgpurclper;
			if(Sgpurclper==undefined||Sgpurclper==null){
				if(product.Brpurclper==undefined||product.Brpurclper==null){
					Sgpurclper = "暂无";
				}else{
					Sgpurclper = product.Brpurclper;
				}
			}
        	//初始化数据
        	formBuy.setValues({
        		buyPayerName:card.Name,
        		buyPayerNo:Fw.util.Format.fmtAcctNo(card.No,true),
        		buyCode:Fw.util.Format.fmtCurrency(card.Currency.Code),
        		buyProName:product.ProductName,
        		buyProCode:product.ProdCode,
        		buySellDate:product.PurcSDate+"~"+product.PurcEDate,
        		buyProDate:product.ProdSDate+"~"+product.ProdEDate,
        		buyProLev:product.RiskName,
        		buyNorm:product.Estcustlyr+'%',
        		buyEstcustlyr:product.Estcustlyr+'%',
        		buyEstcustHyr:product.Estcusthyr+'%',
        		buyProLNum:Sgpurclper,
        		buyPerAmout:product.PerAmout,
        		buyNowDate:nowdate,
        		limitNum:"--",//可以购买的余额（展示最小额度）
        		buyProCapitFlag: product.CapitFlag
        	});
        	if(product.Estcustlyr==product.Estcusthyr){
    			 $('#buyEstcustlyrD').hide();
    			 $('#buyEstcustHyrD').hide();
    		}else{
    			$('#buyNormD').hide();
    		}
        	//结构性存款剩余金额查询
        	this.queryMCFinancialRemanentAmtQry(product.ProdCode,card.No);
        	//网点机构加载5对应1，6对应2
        	var parmas = {
        			FunCode:'6',
        			DeptName:'',
        			DeptId: "",
        			DeptSeq:card.DeptSeq
        	};
        	App.tool.getAjax('helperService', 'getWebSites', parmas, function(data){
        		var applyBranch = data.List;
        		if(applyBranch.length>0){
        			$('#DeptIdQry').text(applyBranch[0].DeptName);
        		}
        	});
        	
        	
        },
        onChange: function(name, value, oldValue, field){
        	if(name=="buyProNum"){
        		$('[name=buyProAmt]').val(Number(value)*Number($('[name=buyPerAmout]').val()));
        	}
        },
        /**
         * 结构性存款剩余金额查询
         */
        queryMCFinancialRemanentAmtQry: function(proCode,No){
        	var parmas = {ProdCode:proCode,AcctNo:No};
        	App.tool.queryAjax('structuredDepositService', 'queryMCFinancialRemanentAmtQry', parmas, function(data){
        		var limitNum = data.RemanentAmt;
        		$('[name=limitNum]').val(limitNum||'--');//可以购买的余额（展示最小额度）
        	});
        },
        /**
         * 购买确认
         * @returns
         */
        toBuyCfm : function(values){
        	//验证
        	var buyProNum=values.buyProNum;
        	if(buyProNum=="0"){
        		Fw.Tips.info("认购份数不能为0！");
        		return;
			}else if(!/^([1-9]\d*)$/.test(buyProNum)){
				Fw.Tips.info("认购份数应为整数！");
				return;
			}
        	
        	var manageName=$('[name=manageName]').val();
        	if(manageName==""||manageName==undefined){
        		$('#manageNameCfmDIV').hide();
        	}else{
        		$('#manageNameCfmDIV').show();
        	}
        	if(!(manageName==""||manageName==undefined)&&manageName.length>12){
        		Fw.Tips.info("客户经理号长度不能超过12位！");
				return;
        	}
        	if(!$("#agreePro").attr('checked')){
        		Fw.Tips.info("请阅读,充分了解清楚知晓产品风险。");
    			return;
    		}
        	//初始化
			App.params = {
  					card: params.card,
  					product: params.product,
  					deptId: params.deptId,
  					form: values
  			};
        	App.tab.setActiveItem(5);
        },
        /**
         * 获取当前日期yyyy/MM/dd
         * @returns
         */
        initCurDate: function(){
        	Fw.util.Ajax.get({
				service : 'curdateService/getCurDate',
				loadMask: false,
				// 请求成功后回调
				success : function(data, result) {
					nowdate = Fw.util.Format.fmtDate(data['CurDate'],"yyyy-MM-dd");
					$('[name=buyNowDate]').val(nowdate);
				},
			});
        },
        
        /**
         * 推荐人工号查询
         */
        queryMCAReferrerNoQry:function(){
        	 Fw.util.Ajax.query({
        		 service: 'regularCurrentTransService',
                 method: 'queryMCAReferrerNoQry',
                 //请求参数
                 params: {
                 	
                 },
                 //请求成功后回调
                 success: function(data, result) {
                	 $('[name="manageName"]').val(Fw.util.Format.fmtUndefinedData(data.ReferrerNo));
                 },
                 //请求错误后回调
                 failure: function(status, textStatus, error) {
                	 $('[name="manageName"]').val("");
       	           	 $('[name="manageName"]').attr("placeholder","请输入客户经理号");
                 }
             });
        },
   };
}();