/**
 * 选项卡#子页面1
 */
App.detail = function() {    
	var tabDetail,tabDetailSel;
	var tab_l=$('#s-tab-l');
	var tab_r=$('#s-tab-r');
	var params;
    return {        
        /**
         * 初始化
         * 应用入口
         */
        init : function(parameters) {        
        	App.viewConfig.title= '结构性存款详情';
        	//标题栏信息
        	Fw.apply(App.viewConfig, App.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);        	
        	if(!tabDetail){
        		tabDetail = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabDetail',
                    //默认选项卡（默认0）
                    activeTab: 0
                });
            	this.tabDetail = tabDetail;

        	}
        	if(!tabDetailSel){
        		tabDetailSel = new Fw.Tab({
                    //选项卡EL
                    contentEl: 'tabDetailSel',
                    //默认选项卡（默认0）
                    activeTab: 0,
                    //是否锁定tab标题
                    fixed:false,
                });
        	}
        	//监听事件绑定
        	if(!this.record){
        		this.initEvents();
        	}
        	if(App.tool.isExist(parameters)){
        		this.record = true;
        		this.initData(parameters);
        	}   	
            //手动隐藏等待层
            Fw.LoadMask.hide();
        },  
        initData: function(parameters){
        	params = parameters;
        	//初始化数据
        	$('#proName').text(parameters.product.ProductName);
        	var sMoney= parameters.product.sMoney+"";
        	//万   样式不一样  后台传了一个万字
        	if(sMoney.indexOf('万')>0){
        		sMoney=sMoney+'';
            	$('#proStaredAmt').text(sMoney.substring(0,sMoney.length-1));
            	$('#proStaredAmtFlag').text('万');
        	}else{
        		$('#proStaredAmt').text(sMoney);
            	$('#proStaredAmtFlag').text('');
        	}       	
        	$('#PerAmout').text(parseInt(parameters.product.PerAmout)/10000);
        	$('#proFinanceType').text(parameters.product.RunType=='4' ? '封闭式' : '--');
        	if(parameters.product.EstcustFlag=='1'){
        		$('#proEstcust').text(parameters.product.Estcustlyr+"%");//预期年收益
        		$('#income').css({"margin-left":"5%"});
        	}else {
        		$('#proEstcust').text(parameters.product.Estcustlyr+"~"+parameters.product.Estcusthyr+"%");//预期年收益
        		$('#income').css({"margin-left":"5%"});
        	}
        	var RiskName = parameters.product.RiskName + "";        	
        	$('#proLevl').text(this.getShowRiskName(RiskName));//产品级别
        	$('#proLimitDate').text(parameters.product.PurcDate+"天")//投资期限
        	var format = "yyyy.MM.dd";
        	$('#proSellDate').text('购买时间：'+Fw.util.Format.fmtDate(parameters.product.PurcSDate,format)+'~'+Fw.util.Format.fmtDate(parameters.product.PurcEDate,format));
        	if(parameters.product.RunType=='4'){//封闭式
        		$('#cycle').show();
        		$('#proCycleS').text(Fw.util.Format.fmtDate(parameters.product.PurcSDate,format));//产品购买日
        		$('#proCycleC').text(Fw.util.Format.fmtDate(parameters.product.ProdSDate,format));//产品起息日
        		$('#proCycleE').text(Fw.util.Format.fmtDate(parameters.product.ProdEDate,format));//产品到期日
        	}else{
        		$('#cycle').hide();
        	}
        	$('#capitFlag').text(parameters.product.CapitFlag);
        },
        getShowRiskName: function(RiskName){
        	var name = RiskName == "" ? "--" : RiskName;
        	if(name.indexOf("型投资者")>-1){
        		name = name.substring(0,name.length-3)
        	}
        	return name;
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	$('#detailBuy-btn').on('click',this.buyPro);
        },
        toBuyPro : function(){
			App.params = {
  					card: params.card,
  					product: params.product,
  					deptId: params.deptId
  			};
        	App.tab.setActiveItem(4);
        },
        
        buyPro: function(){
        	App.detail.toBuyPro();
        }
    };
}();