/**
 * 选项卡#子页面1
 */
App.list = function() {    
	var listPro;
	var card;
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '结构性存款认购' ,
            /*rightButton: {
                //按钮标题
                text: 'searchico',
                //自定义按钮点击事件（默认App.rightButtonHandler）
                //handler: XXX
            }*/
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(params) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	//判断是否要刷新页面
        	if(App.tool.isExist(params)){
        		this.initData(params);
        	}
        },  
        /**
         * 初始化列表数据
         * @param parameters
         * @returns
         */
        initData: function(parmas){
        	card = parmas.card;
        	var parameters = {
        			AcctNo:parmas.card.No,
        			ProductState:parmas.ProductState,
        			CardFlag:parmas.card.BankAcType,
        			RunFlag:parmas.RunFlag
        	}; 
        	this.initListView(parameters);
        },
        initListView: function(parameters){
        	$('#listPro').html('');
         	if(!listPro){
	    		//定义列表
        		listPro = new Fw.ListView({
	                //EL
	                contentEl : 'listPro',
	                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
	                ajax : {                 
	                    service: 'structuredDepositService',
	                    method: 'queryMCStructuredDepositProdQry',
	                    //请求参数
	                     params: parameters,                   
	                    loadMask: '查询中',
	                    //是否分页（默认true）
	                    page: false,
	                    staticData: false
	                },
	                cls: '',
	                groupCls: '',
	                groupHeaderBaseCls: '',
	                groupHeaderCls: '',
	                itemBaseCls: 'sx-list-item',
	                itemCls: 'sui-border-t',
	                pressedCls: '',
	                itemTpl: [
						'<div class="item-top">',
							'<div class="item-top-logo-l">',
								'{@if item.RunType == "4"}',
									'<i class="close-logo">封闭式</i>',
								'{@else}',
									'<i>--</i>',
								'{@/if}',
							'</div>',
							'<div class="item-top-cont">',
								'<h4>${item.ProductName}</h4>',
							'</div>',
							'<div>',
								'<i class="item-top-logo-r"><p>推荐</p></i>',
							'</div>',
						'</div>',
						'<div class="item-bom2">',
							'<div class="item-bom-left">',
								'{@if item.EstcustFlag == "1"}',
									'<p class="item-bom-left-t2">${item.Estcustlyr}<span style="font-size: 18px;">%</span></p>',
								'{@else}',
									'<p class="item-bom-left-t-double2">${item.Estcustlyr}~${item.Estcusthyr}<span style="font-size: 18px;">%</span></p>',
								'{@/if}',
								'<p class="item-bom-left-b">预计年化收益率</P>',
							'</div>',
							'<div class="item-bom-hr2">',
							'</div>',
							'<div class="item-bom-right">',
								'<p>起购金额<span>${item.sMoney}</span></p>',
								'<p>存款期限<span>${item.PurcDate}天</span></p>',
								'<p>开始时间<span>${item.PurcSDate|fmtDate,"yyyy.MM.dd"}</span></p>',
								'<p>结束时间<span>${item.PurcEDate|fmtDate,"yyyy.MM.dd"}</span></p>',
								'<p>产品性质<span>${item.CapitFlag}</span></p>',
							'</div>',
						'</div>',
						'{@if item.isBuyContent != ""}',
							'<div style="border: none;border-bottom: 1px solid#e7e7e7;height: 30px;font-size: 12px;color: #333333;">',
								'<p class="isBuy" style="padding-top: 4px;padding-left: 16px;">${item.isBuyContent}</p>',
							'</div>',
						'{@/if}'
	                ]
	            });
        		listPro.on('itemclick', this.onSelect, this);
    		}else{
    			listPro.ajax.clearParams();    			
    			listPro.ajax.setParams(parameters); 
    		}         	
            //加载数据
        	listPro.loadData();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	
        },
        /**
         * 选中记录时触发(风险评估)
         */
        onSelect : function(record, index, item, e, cmp) {
        	//判断
        	if(record.Sgpurclper==null||record.Sgpurclper==""||record.Sgpurchper==null||record.Sgpurchper==""){
        		Fw.Msg.info('本产品只针对机构客户发行，个人客户不允许购买！');
        		return;
        	}
        	if(record.PurcChannel==null||record.PurcChannel==""||(record.PurcChannel).substring(4,5)!=1){
        		Fw.Msg.info("本产品不可在手机银行认购");
        		return;
        	}
        	var parameters = {
        			AcctNo: card.No,
        			CustName: card.Name,
        			RiskCode: record.RiskCode,
    				ProdCode: record.ProdCode,
    				CardFlag: card.BankAcType
        	};
        	//理财产品风险评估问题查询
        	App.tool.queryAjax('structuredDepositService', 'queryMCStructuredDepositRskEval', parameters, function(data){
        		if(data.RiskPassFlag=="1"){
	      			var deptId = data.Id;
	      			App.params = {
	      					card: card,
	      					product: record,
	      					deptId: deptId
	      			};
	      			App.tab.setActiveItem(3);
	      		}else{	      			
	      			Fw.Msg.cfm('您还未进行风险评估或风险评估等级与产品风险等级不符合，是否进入风险评估页面？', function(code, btn, win){
                        if(code=="yes"){
                        	App.params = {
        	      					card: card,
        	      					product: record
        	      			};
                        	App.tab.setActiveItem(2);
                        }
                    });	            	
	      		}
        	});       	
        }
    };
}();