/**
 * 创建应用
 */
var App = function() {
	var form,form2;
	var acNo,acName,bankAccType,CurrencyCode,CRFlag;
	var tab,tab2;
	var result2;//购买返回的结果
	var result1;//查询已购买的天添惠盈2号产品
	var ii=0;
	var produ;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
			// 表单
			'Fw.Form',
			// 安全键盘
			'Fw.Keyboard',
			// 日历组件
			'Fw.Calendar',
			// 设备
			'Fw.device.Device',
			'Fw.Tab',
			'Fw.app.Session',
			//短信统一接口
	        'Fw.SmsCountDown',
        ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '天添惠盈2号支取',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			/*rightButton : {
				// 按钮标题
				text : '设置表单值',
			// 自定义按钮点击事件（默认App.rightButtonHandler）
			// handler: XXX
			},*/
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			this.tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
			});
			//定义选项卡
			this.tab2 = new Fw.Tab({
                //选项卡EL
                contentEl: 'tab2',
                //默认选项卡（默认0）
                activeTab: 0,
                //是否锁定tab标题
                fixed:true,
                reload: true
            });
          //定义表单
        	this.form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
        	this.form2 = new Fw.Form({
                //EL
                contentEl : 'form2',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });

			// 初始化事件
			this.initEvents();
			// 初始化数据
			this.initData();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		/**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	//获取当前选项卡序号
        	var index = this.tab2.getActiveItemIndex();
        	if(index == 0||index == 3) {
        		//返回上级目录
        		 Fw.device.Device.gotoIndex();
        	} else if(index == 2) {
        		$('[name="TrsPassword"]').val('');
               	$('[name="TrsPassword"]').attr("placeholder","请输入交易密码");
               	$('[name="smscode"]').val('');
               	$('[name="smscode"]').attr("placeholder","请输入验证码");
               	this.tab2.setActiveItem(1);
        	} else {
        		//返回上一页
        		this.tab2.setActiveItem(0);
        	}
        },
        
        /**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#search-btn").on('click',Fw.bind(this.toSearch,this));
			$("#submit-btn").on('click',Fw.bind(this.toSubmit,this));
			// 表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			this.form.on('change', this.onChange, this);
			// 触发提交事件触发
			this.form.on('submit', this.doSearch, this);
			this.form2.on('submit', this.doSubmit, this);
			//获取短信
        	$('#smsCountDown').on('click',Fw.bind(this.smsCountDownClick,this));
		},
        
		toSearch : function(){
			this.form.submit();
		},
		toSubmit : function(){
			this.form2.submit();
		},
		
		/**
		 * 初始化数据
		 */
		initData : function() {
			var allCards = Fw.app.Session.getAllCards();
        	//只支持圆鼎卡
        	var cardsNo = [];
        	for(var k = 0;k < allCards.length;k++){
    			if( allCards[k].BankAcType == "PDBC"){
    				cardsNo.push(allCards[k]);
    			}
    		};
    		if(cardsNo.length>0){
        		for(var j=0; j<cardsNo.length; j++){
        			var card = cardsNo[j];
    				$('#outCardList').append("<option value="+Fw.encode(card)+">"+Fw.util.Format.fmtAcctNo(card.No,true)+"</option>");
    				if(j==0){
    					acNo=cardsNo[0].No;
    					acName=cardsNo[0].Name;
    					bankAccType=cardsNo[0].BankAcType;
    					CurrencyCode=cardsNo[0].Currency.Code;
    					CRFlag=cardsNo[0].Currency.CRFlag;
    					$('[name="bankAccType"]').val(Fw.util.Format.fmtCardType(bankAccType));
    				}
        		}
        	}else{
        		$('#outCardList').append('<option value="" selected>无可用账号</option>');
        	}
		},
		
		onChange: function(name, value, oldValue, field){
        	if(name=="outCardList"){
        		var v = Fw.decode($("[name=outCardList] option:selected").val());
       			acNo=v.No;
       			acName=v.Name;
       			bankAccType=v.BankAcType;
       			CurrencyCode=v.Currency.Code;
				CRFlag=v.Currency.CRFlag;
				$('[name="bankAccType"]').val(Fw.util.Format.fmtCardType(bankAccType));
        	}
        },
		
		/**
		 * 天添惠盈2号支取列表查询
		 */
		doSearch : function() {
			Fw.util.Ajax.query({
				service : 'tianTianHYService',
				method : 'queryTthySaveLists',
				// 请求参数
				params : {
					ProductState : "",
					No : acNo,
					BankAcType : bankAccType
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					result1 = result.result.List
					App.showDetail();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Tips.info("未查到相关信息");
				}
			});
		},
		/**
		 * 展示产品列表
		 */
		showDetail : function() {
			var sb = [];
			if (result1 == "" || result1 == null) {
				sb[sb.length] = "<label><center>已无购买记录<center></label>";
			} else {
				for (var i = 0; i < result1.length; i++) {
					var arg = result1[i];
					var Rate = arg.Rate;
					var OpenDate = arg.OpenDate;
					var ExpireDate = arg.ExpireDate;
					var OpenDate1 = OpenDate.substring(0, 4) + "."
					+ OpenDate.substring(4, 6) + "." + OpenDate.substring(6, 8);
					var ExpireDate1 = ExpireDate.substring(0, 4) + "."
					+ ExpireDate.substring(4, 6) + "." + ExpireDate.substring(6, 8);
					
					sb[sb.length] = "<div style='border-bottom: 1px solid #cccccc;'></div>";
					sb[sb.length] = "<div style='background-color: #ffffff;'>";
					sb[sb.length] = "<div style='height: 50px;width: 100%'>";
					sb[sb.length] = "<div style='height: 50px;width: 5%;float: left;'></div>";
					sb[sb.length] = "<div style='height: 50px;width: 70%;float: left;'>";
					sb[sb.length] = "<div style='margin-top: 15px;font-size: 17px;'>"
							+ arg.Product + "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='height: 50px;width: 20%;float: left;' onclick='App.smdetail("
							+ i + ")' >";
					sb[sb.length] = "<div style='border-radius:5px;border: 1px solid #3c90f7;height: 28px;width: 60px;color: #3c90f7;float: right;font-size: 15px;margin-top: 10px;'>";
					sb[sb.length] = "<div style='padding-left: 15px;padding-top: 2px;'>支取</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='height: 50px;width: 5%;float: right;'></div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='border-bottom: 1px solid #e7e7e7;'></div>";
					sb[sb.length] = "<div style='height: 114px;width: 100%;'>";
					sb[sb.length] = "<div style='height: 114px;width: 35%;float: left;'>";
					sb[sb.length] = "<div align='center'>";
					sb[sb.length] = "<div style='color: #f65247;padding-top:20px;font-size: 30px;'>"
							+ Rate;
					sb[sb.length] = "<span style='font-size: 18px'>%</span>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div>";
					sb[sb.length] = "<div style='color: #949494;font-size: 12px;padding-left: 38px;'>实际利率</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='height: 114px;width: 64%;float: right;'>";
					sb[sb.length] = "<div style='width: 1px;height: 75px;background-color: #e7e7e7;float: left;margin-top: 18px;'></div>";
					sb[sb.length] = "<div style='padding-left: 30px;padding-top: 5px;font-size: 15px;color: #949494;'>存期&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
					sb[sb.length] = "<span style='color: #333333;'>"
							+ Fw.util.Format.fmtTerm(arg.Term) + "</span>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='padding-left: 30px;padding-top: 5px;font-size: 15px;color: #949494;'>开户金额&nbsp;&nbsp;&nbsp;";
					sb[sb.length] = "<span style='color: #333333;'>"
							+ arg.OpenBal + "元</span>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='padding-left: 30px;padding-top: 5px;font-size: 15px;color: #949494;'>开户日期&nbsp;&nbsp;&nbsp;";
					sb[sb.length] = "<span style='color: #333333;'>"
							+ OpenDate1 + "</span>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='padding-left: 30px;padding-top: 5px;font-size: 15px;color: #949494;'>到期日期&nbsp;&nbsp;&nbsp;";
					sb[sb.length] = "<span style='color: #333333;'>"
							+ ExpireDate1 + "</span>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "</div>";
					sb[sb.length] = "<div style='border-bottom: 1px solid #cccccc;'></div>";
					sb[sb.length] = "<div style='height: 10px;width: 100%;background-color: #eeeeee;'></div>";
				}
			}
			var savePage = document.getElementById("pageB");
			savePage.innerHTML = sb.join("");
			this.tab2.moveNext();
		},
		
		smdetail : function(i) {
			ii = i;
			var arg = result1[i];
			$("#PayerAccountNo").val(Fw.util.Format.fmtAcctNo(acNo, true));
			$("#PayeeAccountNo").val(Fw.util.Format.fmtAcctNo(acNo, true));
			$("#PayerAccountBankAcType").val(
					Fw.util.Format.fmtCardType(bankAccType));
			$("#OpenBal").val(arg.OpenBal);
			$("#Term").val(Fw.util.Format.fmtTerm(arg.Term));
			$("#Product").val(arg.Product);
			$("#PayerCurrencyCode").val(Fw.util.Format.fmtCurrency(arg.CurrencyCode));
			$("#ExpireDate").val(arg.ExpireDate);
			this.tab2.moveNext();
		},
		
		//天添惠盈2号支取
		doSubmit : function(values) {
			var arg = result1[ii];
			var TrsPassword = values.TrsPassword;
			var psd = $('[name="TrsPassword"]').val();
			if (psd == "") {
				Fw.Tips.info("请输入交易密码");
				return;
			}
			if (psd.length != 6) {
				Fw.Tips.info("交易密码为6位");
				return;
			}
			produ = arg.Product;
			Fw.util.Ajax.execute({
				service : 'tianTianHYService',
				method : 'executeRollOutTthy',
				// 请求参数
				params : {
					PayerAccountBankAcType : bankAccType,
					PayerAccountNo : acNo,
					PayerAccountName : acName,
					PayerCurrencyCode : arg.CurrencyCode,
					PayerCurrencyCRFlag : "",
					PayeeAccountNo : acNo,
					PayeeAccountName : acName,
					TrsCurrencyCode : arg.CurrencyCode,
					TrsCurrencyCRFlag : "",
					Term : arg.Term,
					DrawType : 0,
					amount : arg.OpenBal,
					Product : arg.Product,
					TrsPassword : TrsPassword,
					PwdFlg : "1",
					SubAcSeq : arg.SubAcSeq,
					Seq : arg.SubAcSeq,
					pwdCode: values.smscode
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					result2 = result;
					App.showDetail2();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					$('[name="TrsPassword"]').val('');
	               	$('[name="TrsPassword"]').attr("placeholder","请输入交易密码");
	               	$('[name="smscode"]').val('');
	               	$('[name="smscode"]').attr("placeholder","请输入验证码");
				}
			});
		},
		showDetail2 : function() {
			var arg = result2.result;
			var queryDate = result1[ii];
			$("#PayerAccountNo2").html(Fw.util.Format.fmtAcctNo(acNo, true));
			$("#Product2").html("天添惠盈2号");
			var TransDate = arg.TransDate;
			TransDate = Fw.util.Format.fmtDate(TransDate,"yyyy-MM-dd");
			$("#TransDate2").html(TransDate);
			$("#resultTerm").html("三年");
			$("#resultInterest").html(arg.Interest);
			var ExpireDate = queryDate.ExpireDate;
			var ExpireDate1 = ExpireDate.substring(0, 4) + "-"
			+ ExpireDate.substring(4, 6) + "-" + ExpireDate.substring(6, 8);
			$("#resultExpireDate").html(ExpireDate1);
			this.tab2.moveNext();
		},
		
		/**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 */
		onChange : function(name, value, oldValue, field) {
			
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			
		},
        
        /**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '1',
					modType : 'common', //交易id
					phoneNum : '',
					transName: '天添惠盈2号支取',
					payeeAcNo: acNo,
        			payeeAcName: Fw.app.Session.getCustName(),
					amount: result1[ii].OpenBal //交易金额
				},
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			
		},
		
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
