/**
 * 创建应用  查看行情
 */
App.Item3 = function() {
	
	
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '银证转账',
            
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record,flag) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	if(!flag){
        		this.initEvents();
        	};
        	this.initData(record);
        },
        /**
         * 绑定监听事件
         */
        initEvents: function(){
        	$('#bstransqry').on('click',Fw.bind(this.bstransqry,this));
        	//查看详情点击
        	$('#bslimit').on('click',Fw.bind(this.bslimit,this));
        	//触摸start
        	$('#bslimit').on('touchstart',Fw.bind(this.bstouchstart,this));
        	$('#bstransqry').on('touchstart',Fw.bind(this.bstouchstart,this));
        	//触摸end
        	$('#bslimit').on('touchend',Fw.bind(this.bstouchend,this));
        	$('#bstransqry').on('touchend',Fw.bind(this.bstouchend,this));
        	$('#bsbtos').on('click',Fw.bind(this.bsbtos,this));
        	//查看详情点击
        	$('#bsstob').on('click',Fw.bind(this.bsstob,this));
        	App.params3=true;
        },
        /**
         * 银证转账余额查询
         */
        initData:function(record){
        	/*var acno=App.data.acno;
        	var actype=App.data.actype;
        	this.initBalance(acno,actype);*/
        	var KyAmount=record.KyAmount*0.01;
        	var KqAmount=record.KqAmount*0.01;
        	var AvlBal=record.AvlBal*0.01;
        	$('#li3acno').text(Fw.util.Format.fmtAcctNo(App.data.acno,true));
        	$('#li3bzjbal1').text(Fw.util.Format.fmtAmt(KyAmount));
        	$('#li3bzjbal2').text(Fw.util.Format.fmtAmt(KqAmount));
        	$('#li3bal').text(Fw.util.Format.fmtAmt(AvlBal));
        	/**
        	 * 页面显示赋值
        	 */
        	/*record.AvlBal;
        	record.AccBal;
        	record.Zjtzjkqye;
        	record.KqAmount;
        	record.KyAmount;*/

        },
        /**
         * 银证转账余额查询
         */
        bstransqry:function(){
        	App.tab.setActiveItem(6);
        		/*console.log("bstransqry");
                Fw.util.Ajax.execute({
                     service: 'transbsService',
                     method:'executeBSQry',
                     //请求参数
                     params: {
                    	 AccNo:"6224520111000044715",
                    	 SysId:"000005",
                    	 TransDate1:"20160720",
                     },
                     //是否自动显示等待层（默认true）
                     //允许自定义等待层提示信息（loadMask: '请稍后...'）
                     //loadMask: true,
                     //是否使用数据挡板（默认false）
                     staticData: false,
                     //请求成功后回调
                     success: function(data, result) {
                    	 console.debug(data);
                     },
                     //请求错误后回调
                     failure: function(status, textStatus, error) {
                    	 console.debug(status+textStatus+error);
                     }
                 });*/
        },
        /**
         * 银证转账限额查询
         */
        bslimit:function(){
        	App.tab.setActiveItem(5);
        	/*console.log("bslimit");
            Fw.util.Ajax.execute({
                 service: 'transbsService',
                 method:'executeBSLimt',
                 //请求参数
                 params: {
                	 AccNo:"6224520111000044715",
                	 SysId:"000005",
                	 OperType:"0",
                	 Limit1:"10000",
                	 Limit2:"10000"
                 },
                 //是否自动显示等待层（默认true）
                 //允许自定义等待层提示信息（loadMask: '请稍后...'）
                 //loadMask: true,
                 //是否使用数据挡板（默认false）
                 staticData: false,
                 //请求成功后回调
                 success: function(data, result) {
                	 console.debug(data);
                 },
             });*/
        },
        /**
         * 银证转账银行转证券
         */
        bsbtos:function(){
        	App.tab.setActiveItem(3);
        },
        /**
         * 银证转账证券转银行
         */
        bsstob:function(){
        	App.tab.setActiveItem(4);
        },
        /**
         * 触摸开始触发
         */
        bstouchstart:function(e){
       	 var id = e.target ? e.target.id : e;
        	$("#"+id).addClass("sui-hover");
        },
        /**
         * 触摸结束触发
         */
        bstouchend:function(e){
          	 var id = e.target ? e.target.id : e;
          	$("#"+id).removeClass("sui-hover");
        },
    };
}();
