/**
 * 创建应用
 */
App.Item8 = function() {
	
    return {
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '转帐结果',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '返回',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            }
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(record) {
        	//标题栏信息
        	Fw.apply(App.viewConfig, this.viewConfig);
        	//设置标题栏
        	Fw.device.Device.applyView(App);
        	this.initData(record);
        	//手动隐藏等待层
            Fw.LoadMask.hide();
        },
       
        /**
         * 初始化数据
         */
        initData:function(record){
		    var tstype=record['tstype'];
		    var acno=record['acno'];
		    var TickNo=record['TickNo'];
		    var amount=record['amount']/100;
		    $("#ramount").text(Fw.util.Format.fmtAmt(amount));
		    if(tstype=="D"){
		    	$("#rpayeeno").text(Fw.util.Format.fmtAcctNo(acno,true));
		    	$("#rcardno").text(TickNo);
		    	$("#rtype").text("银行转证券");
		    }else if(tstype=="C"){
		    	$("#rcardno").text(Fw.util.Format.fmtAcctNo(acno,true));
		    	$("#rpayeeno").text(TickNo);
		    	$("#rtype").text("证券转银行");
		    }else{
		    	
		    };
        }
    };
}();