/**
 * 创建应用
 */
var App = function() {
	var searchbar,listView,aparams,UseType;
	var CityCode = "";
	var dreccode = "";
	var transType;
    return {
        /**
         * 依赖组件
         */
        requires : [            
            //安全键盘
            'Fw.Keyboard',
            //查询工具条
            'Fw.SearchBar',
            //列表
            'Fw.ListView'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '选择收款人',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
            rightButton:false,
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	 //定义查询工具条
            searchBar = new Fw.SearchBar({
                //EL
                contentEl : 'searchbar',
                //最少输入字符个数（默认4）
                //满足该参数时，触发查询事件
                minChars: 1,
                //最大输入长度
                maxLength:15,
                //输入框占位信息
                placeholder: '搜索收款人'
            });
            this.initData();
            var PayeeAcName = "";
        	//定义列表
            listView = new Fw.ListView({
                //EL
                contentEl : 'list',
                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
                ajax : {
                    //数据源（自定以URL）
                    //url: '/data/demo1Service/XXX.json',
                    //数据源（服务接口）
                    //service: 'demo1Service.queryXXX',
                    service: 'transferService.queryPayeeName',
                    //method: '',//默认为query，方法名称必须是query开头
                    //请求参数
                     params: { 
                    	 PayeeAcNo : "",
                    	 PayeeAcName : PayeeAcName,
                    	 UseType : UseType,
                    	 CityCode : CityCode
                     },
                    //是否自动显示等待层（默认true）	
                    //允许自定义等待层提示信息（loadMask: '请稍后...'）
                    //loadMask: true,
                    //是否分页（默认true）
                    page: false,
                    //分页参数
//                    pageSize: 2,
                    //是否使用数据挡板（默认false）
                    staticData: false
                },
                //分组字段（默认null）
                groupField: 'PayeeAcNo',
                //分组字段（通过自定义函数返回分组属性）
                // groupField: function(values){
                    // return Fw.util.Format.fmtDate(values.lastModiDate, 'yyyy年MM');
                // },
                //分组显示字段（默认groupField）
                groupDisplayField: false,
                //自定义分组模版（用于显示分组标题）
                groupHeaderTpl: [
                    
                ],
                //向右箭头（默认false）
                disclosure: false,
                //数据展现模版
                itemTpl: [
                          '<div style="height:62px;width:100%;background-color: white;">',
                          '<div style="width:18%;height:100%;float: left;">',
                         /* '<img style="height: 30px; width: 30px;background-position: 50%;background-repeat: no-repeat; background-size: 30px 30px;    margin-left: 28%; margin-top: 16px; background-image: url(../../../images/transfer/logo.png)">',*/
                         
                          '<div style="height: 30px;text-align: center;margin-top: 17px;">',
                          
                          
                            '{@if item.PayeeType == "D"}',
                            '{@if item.PayeeBankId == "102"||item.PayeeBankId == "103"|| item.PayeeBankId == "104"|| item.PayeeBankId == "105"|| item.PayeeBankId == "301"|| item.PayeeBankId == "302"|| item.PayeeBankId == "303"||item.PayeeBankId == "304"|| item.PayeeBankId == "305"|| item.PayeeBankId == "306"|| item.PayeeBankId == "307"|| item.PayeeBankId == "308"|| item.PayeeBankId == "309"|| item.PayeeBankId == "310"|| item.PayeeBankId == "315"|| item.PayeeBankId == "316"|| item.PayeeBankId == "318"|| item.PayeeBankId == "319"|| item.PayeeBankId == "403"}',
							'<img style="height: 30px; width: 30px;background-position: 50%;background-repeat: no-repeat; background-size: 30px 30px;" src="../../../images/system/banklcond/${item.PayeeBankId}.png"></img>',
							'{@else}',
							'<img style="height: 30px; width: 30px;background-position: 50%;background-repeat: no-repeat; background-size: 30px 30px;" src="../../../images/system/banklogo/bank.PNG"></img>',
							'{@/if}',
							'{@/if}',
							
							'{@if item.PayeeType == "P"}',
                            '{@if item.BankCode == "102100099996"|| item.BankCode == "103100000026"|| item.BankCode == "104100000004"||item.BankCode == "105100000017"|| item.BankCode == "301290000007"|| item.BankCode == "302100011000"||item.BankCode == "303100000006"|| item.BankCode == "304100040000"|| item.BankCode == "305100000013"||item.BankCode == "306581000003"|| item.BankCode == "307584007998"|| item.BankCode == "308584000013"||item.BankCode == "309391000011"|| item.BankCode == "310290000013"|| item.BankCode == "313100000013"||item.BankCode == "313222080002"|| item.BankCode == "313301008887"||item.BankCode == "313301099999"||item.BankCode == "313305066661"|| item.BankCode == "313332082914"||item.BankCode == "315456000105"||item.BankCode == "316331000018"|| item.BankCode == "318110000014"|| item.BankCode == "319361000013"|| item.BankCode == "325290000012"|| item.BankCode == "403100000004"}',
							'<img style="height: 30px; width: 30px;background-position: 50%;background-repeat: no-repeat; background-size: 30px 30px;" src="../../../images/system/banklconp/${item.BankCode}.png"></img>',
							'{@else}',
							'<img style="height: 30px; width: 30px;background-position: 50%;background-repeat: no-repeat; background-size: 30px 30px;" src="../../../images/system/banklogo/bank.PNG"></img>',
							'{@/if}',
							'{@/if}',
							
							'{@if item.PayeeType == "S"}',
							 '{@if item.PayeeBankId == "810000"||item.PayeeBankId == "811000"|| item.PayeeBankId == "81200"|| item.PayeeBankId == "81300"||item.PayeeBankId == "81400"|| item.PayeeBankId == "81500"|| item.PayeeBankId == "81600"||item.PayeeBankId == "81700"|| item.PayeeBankId == "81800"|| item.PayeeBankId == "8200"|| item.PayeeBankId == "8300"|| item.PayeeBankId == "8410"|| item.PayeeBankId == "8501"|| item.PayeeBankId == "8600"|| item.PayeeBankId == "8810"|| item.PayeeBankId == "8820"|| item.PayeeBankId == "883000"|| item.PayeeBankId == "884000"|| item.PayeeBankId == "885000"|| item.PayeeBankId == "886000"|| item.PayeeBankId == "8900"}',
							 '<img style="height: 30px; width: 30px;background-position: 50%;background-repeat: no-repeat; background-size: 30px 30px;" src="../../../images/system/banklcons/${item.PayeeBankId}.png"></img>',
							 '{@else}',
							 '<img style="height: 30px; width: 30px;background-position: 50%;background-repeat: no-repeat; background-size: 30px 30px;" src="../../../images/system/banklogo/bank.PNG"></img>',
							 '{@/if}',
							 '{@/if}',
							'</div>',
                          '</div>',
                          '<div style="width:73%;height:100%;float:left;">',
                          '<div style="line-height: 15px;color: #333333;font-size: 15px;margin-top: 14px;margin-bottom: 8px;">${item.PayeeAcName}</div>',

                          '<div style="font-size: 12px;line-height: 12px;margin-top: 2px;color: #b4b4b4;">',
                          '{@if item.PayeeBankName == "" || item.PayeeBankName == null}',
                          '<div style="float: left;">${item.PayeeDeptName}</div>',
                          '{@else}',
                          '<div style="float: left;">${item.PayeeBankName}</div>',
                          '{@/if}',
                          '<div style="float: left;">&nbsp;&nbsp;&nbsp;&nbsp;</div>',
                          '<div style="float: left;">${item.PayeeAcNo}</div>',
                          '</div>',
                          '</div>',
                          '<div style="width:9%;height:100%;float:right">',
                          '<img src="../../../images/common/arrow2x.png" style="width:37.5px;position: relative;top: 16px;">',
                          '</div>',
                          '</div>'
                ]
            });
            //初始化事件
            this.initEvents();
            //初始化数据
            listView.loadData();
            
            $("#list-loadmore").show();
            
            //手动隐藏等待层
           // Fw.LoadMask.hide(500);         
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	 //初始化查询工具条事件
            //触发查询事件前触发
            searchBar.on('beforesearch', this.onBeforeSearch);
            //触发查询事件（直接将查询事件桥接到listView）
            searchBar.on('search', listView.loadData, listView);
        	
        	//选中记录时触发
            listView.on('itemclick', this.onSelect, this);
        },
        
        /**
         * 触发查询事件前触发
         */
        onBeforeSearch : function(value) {
            //查询条件为空
            if(Fw.isEmpty(value)){
                listView.ajax.clearParams('PayeeAcName');//清除指定key的查询条件
                //listView.ajax.clearParams();//清除所有查询条件
            }
            else{
                //设置查询条件
                listView.ajax.setParams('PayeeAcName', value);
            }
        },
        /**
         * 初始化数据
         */
        initData:function(){     	
        	aparams = Fw.decode(Fw.getParameters());
        	transType = aparams.transType;//交易类型
        	UseType = transType;  //D普通;P快速;S快速
        	if(UseType=="S"){
        		CityCode = "3063";
        	}
        },
        
        /**
         * 左边按钮
         */
        leftButtonHandler: function(){
        	Fw.redirect('./trans_acc_outer.html',aparams);
        },

        /*
         *  选中目标后触发
         */
        onSelect:function(record, index, item, e, cmp){   
        	var Currency = new Object();
        	record.transType = aparams.transType;
        	//跨行普通转账时，根据BankCode查询清算行行号
        	if(aparams.transType == "D"){
        		var BankCode = record.BankCode;
        		//App.quetyDRECCODE(BankCode);
        		
        		Fw.util.Ajax.execute({
                    service: 'transferService',
                    method: 'executeDRECCODE',//默认为query，方法名称必须是query开头
                    params: { 
                    	BankCode : BankCode,
                    },
                    //loadMask: true,
                    //是否使用数据挡板（默认false）
                    staticData: false,
                    //请求成功后回调
                    success: function(data, result) {
                    	dreccode = data.DRECCODE;
                	    record.dreccode = dreccode;
                	    App.toOuterHtml(record);
                    },
                    //请求错误后回调
                    failure: function(status, textStatus, error) {
                        alert(status);
                    }
                });
        	}else{
        		App.toOuterHtml(record);
        	}  
        	
        },
        
        /*
         * 页面跳转 
         */
        toOuterHtml : function(record){
        	record.payeeAddress = aparams.payeeAddress;
        	record.payMoney = aparams.payMoney;
        	record.No=aparams.No;
        	record.BankAcType=aparams.CardBankAcType;
        	record.CRFlag = aparams.CRFlag;
        	record.Code = aparams.Code;
        	record.channle = aparams.channle;
        	record.changeValue = aparams.changeValue;
        	record.divFlag = aparams.divFlag;
        	record.transType = aparams.transType;
        	record.payNo = record.PayeeAcNo;
            Fw.redirect('../trans_acc_outer/trans_acc_outer.html', Fw.encode(record));
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
