/**
 * 创建应用
 */
var App = function() {
	var smsSecurity = null;
	var form;
	var buttons = $('button');
	var tab;
	var CardFlag;// 卡折标志
	var cardList;
	var bankAccType;
	var acNo;
	var TrsPassword;
	var SocSecType;// 险种类型

	var Lsh;
	var BankJnlNo;
	var PayFeeSum;
	var Kssj;
	var jssj;
	var Xm;
	var Dwbm;
	var Dwmc;
	var Grbh;
	var Sfzh;
	var Finaccno_1;
	var Finaccno_2;
	var Finaccno_3;
	var Finaccno_4;
	var Finaccno_5;
	var Amount_1;
	var Amount_2;
	var Amount_3;
	var Amount_4;
	var Amount_5;
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	var ifOtp;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', 'Fw.Tab',
		// 安全键盘
		'Fw.Keyboard',
		// 日历组件
		'Fw.Calendar',
		// 设备
		'Fw.device.Device',
		// 短信倒计时
		'Fw.SmsCountDown',
		// 常用数据
		'Fw.ConstantData',
		// 登录成功后可通过session获取信息
		'Fw.app.Session',
		'Fw.Otp',
		'Fw.BluetoothKey'

		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '通知单缴费',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 右边按钮（默认不显示） rightButton: '右边按钮'
		 */
		/*
		 * rightButton : { // 按钮标题 text : '设置表单值', //
		 * 自定义按钮点击事件（默认App.rightButtonHandler） // handler: XXX },
		 */
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0,
				// 是否锁定tab标题
				fixed : true,
				reload : true
			});
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 定义表单
			form1 = new Fw.Form({
				// EL
				contentEl : 'form1',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 定义表单
			form2 = new Fw.Form({
				// EL
				contentEl : 'form2',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});

			// 初始化事件
			this.initEvents();
			// 初始数据
			this.initDate();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			//form.on('change', this.onChange, this);
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			form2.on('submit', this.checktrans, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.on('click', Fw.bind(this.onButtonClick, this));
			// 联系人
			$('#selectContact').on('click', function() {
				Fw.device.Device.selectPhone('App.onSelectContacts');
			});
			// 点击调用倒计时插件
			$('#smsCountDown').on('click',
					Fw.bind(this.smsCountDownClick, this));
		},
		/**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	var acName=Fw.app.Session.getCustName();
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '1',
					modType : 'jinBaoPayOutlay', //交易id
					phoneNum : '',
					payeeAcNo: acNo,
        			payeeAcName: acName,
					amount: PayFeeSum //交易金额
				},
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0 || index == 3) {
				// 返回上级目录
				Fw.redirect("../socialSecurity/menu.html", Fw.getParameters());
			} else if (index == 1) {
				App.viewConfig.title = "通知单缴费";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				// 返回上一页
				tab.movePrev();
			} else if (index == 2) {
				$('[name="TrsPassword"]').val('');
				$('[name="TrsPassword"]').attr("placeholder", "请输入交易密码");
				$('[name="optNo"]').val('');
				$('[name="oTPPassword"]').val('');
				$('[name="smscode"]').val('');
				$('[name="optNo"]').attr("placeholder", "请输入口令序号");
				$('[name="oTPPassword"]').attr("placeholder", "请输入动态口令");
				$('[name="smscode"]').attr("placeholder", "请输入验证码");
				// 返回上一页
				tab.movePrev();
			}
		},
		/**
		 * 初始数据
		 */
		initDate : function() {
			App.initAcctNo();
		},
		initAcctNo : function() {
			cardList = Fw.app.Session.getAllCards();
			var j = 0;
			for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType != "PCRC") {
					$('[name="AcNo"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if (j == 0) {
						this.changeCard();
					}
					j++;
				}
			}
			if (j == 0) {
				Fw.Tips.info("无可用账户");
			}
		},
		changeCard : function() {
			var card = Fw.decode($('[name="AcNo"]').val());
			acNo = card.No;
			bankAccType = card.BankAcType;
			if (bankAccType == "PSDP" || bankAccType == "PSAV") {
				CardFlag = 1;
			}
			if (bankAccType == "PDBC" || bankAccType == "PDAC") {
				CardFlag = 0;
			}
		},
		checkRmk : function(data) {
			var reg = /^[0-9]+$/;
			if (reg.test(data)) {
				return true;
			} else {
				return false;
			}
		},
		numsubmit : function() {
			var socSecJnlNo = $("#jsdbh").val();
			if (socSecJnlNo == "") {
				alertinfo("结算单编号不能为空!");
				return;
			}
			if (!App.checkRmk(socSecJnlNo)) {
				alertinfo("结算单编号不能包含特殊符号!");
				return;
			}
			Fw.util.Ajax.execute({
				service : 'jinBaoService',
				method : 'executeJinBaoRequisitionPayCostSearch',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					SocSecJnlNo: socSecJnlNo,
					Term_id : Fw.app.Session.getLoginPhoneNo()
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var rpdata = result.result;
					Lsh=rpdata.Lsh;
					BankJnlNo=rpdata.BankJnlNo;
					PayFeeSum=rpdata.PayFeeSum;
					Kssj=rpdata.BeginDate;
					jssj=rpdata.EndDate;
					Xm=rpdata.PerUserName;
					Dwbm=rpdata.UnitNo;
					Dwmc=rpdata.UnitName;
					Grbh=rpdata.PerUserSeq;
					Sfzh=rpdata.PerUserIdNo;
					Amount_1=rpdata.Amount_1;
					Amount_2=rpdata.Amount_2;
					Amount_3=rpdata.Amount_3;
					Amount_4=rpdata.Amount_4;
					Amount_5=rpdata.Amount_5;
					Finaccno_1=rpdata.Finaccno_1;
					Finaccno_2=rpdata.Finaccno_2;
					Finaccno_3=rpdata.Finaccno_3;
					Finaccno_4=rpdata.Finaccno_4;
					Finaccno_5=rpdata.Finaccno_5;
					if(rpdata.PayFeeType=="01"){
						$("#showPerUserIdNo").val(rpdata.PerUserIdNo);//身份证号码
						$("#showPerUserSeq").val(rpdata.PerUserSeq);//个人编号
						$("#showPerUserName").val(rpdata.PerUserName);//姓名
						$("#showUnitNo").val(rpdata.UnitNo);//单位编号
						$("#showUnitName").val(rpdata.UnitName);//单位编号
						payFeeTy="个人缴费";
					}
					if(rpdata.PayFeeType=="02"){
						$("#showUnitNo").val(rpdata.UnitNo);//单位编号
						$("#showUnitName").val(rpdata.UnitName);//单位编号
						$('#s1').addClass('sui-hide');
						$('#s2').addClass('sui-hide');
						$('#s3').addClass('sui-hide');
						payFeeTy="单位缴费";
					}
					$("#showjsdbh").val($("#jsdbh").val());//结算单号
					$("#showPayFeeType").val(payFeeTy);//缴费类型
					var Begin = rpdata.BeginDate;
					var BeginDate = Begin.substring(0, 4) + "-"
							+ Begin.substring(4, 6);
					var End = rpdata.EndDate;
					var EndDate = End.substring(0, 4) + "-"
							+ End.substring(4, 6) ;
					$("#showBeginDate").val(BeginDate);//开始时间
					$("#showEndDate").val(EndDate);//终止时间
					$("#showPayFeeSum").val(Fw.util.Format.fmtAmt(rpdata.PayFeeSum));//缴费金额
					App.viewConfig.title = "通知单缴费确认";
					Fw.apply(App.viewConfig, this.viewConfig);
					// 设置标题栏
					Fw.device.Device.applyView(App);
					tab.moveNext();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Tips.info("未查到相关信息");
				}
			});
		},
		doSubmit : function(values){
			var TrsPassword = values.TrsPassword;
			var pwdCode=$('[name="smscode"]').val();
			var oTPPassword = $("input[name=oTPPassword]").val();
			Fw.util.Ajax.execute({
				service : 'jinBaoService',
				method : 'executeJinBaoRequisitionPayCost',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					SocSecJnlNo:Lsh,
					BankJnlNo:BankJnlNo,//BankJnlNo,
					PlayFlag: '2',	//付款方式--1 现金 2 转账 默认2
					CardFlag: CardFlag,			//卡折标志 --0折1卡
					AcNo: acNo,					//缴费账号
					AcName: Fw.app.Session.getCustName(),			//缴费账号户名
					ChkFlag:"1", //ChkFlag,				//验密标志 --0不验密 1验密 默认1
					PayFeeSum:PayFeeSum,				//缴费总金额
					Term_id:Fw.app.Session.getLoginPhoneNo(),
					TrsPassword:TrsPassword,
					Kssj:Kssj,
					Jssj:jssj,
					Xm:Xm,
					Dwbm:Dwbm,
					Dwmc:Dwmc,
					Grbh:Grbh,
					Sfzh:Sfzh,
					Amount_1:Amount_1,
					Amount_2:Amount_2,
					Amount_3:Amount_3,
					Amount_4:Amount_4,
					Amount_5:Amount_5,
					Finaccno_1:Finaccno_1,
					Finaccno_2:Finaccno_2,
					Finaccno_3:Finaccno_3,
					Finaccno_4:Finaccno_4,
					Finaccno_5:Finaccno_5,
					//短信校验字段
					payeeAcNo: acNo,
					payeeAcName: Fw.app.Session.getCustName(),
					amount: PayFeeSum,
					pwdCode: pwdCode,
					//口令校验字段
					oTPPassword : oTPPassword,
					//蓝牙校验字段
					SignCert : bluetoothKeySignatureData.signCert, //证书
					SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
					SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var rpdata = result.result;
					$("#Result_TransSeqNo").html(rpdata.BankJnlNo);
					App.viewConfig.title = "通知单缴费结果";
					Fw.apply(App.viewConfig, this.viewConfig);
					// 设置标题栏
					Fw.device.Device.applyView(App);
					tab.moveNext();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		/**
		 * 联系人
		 */
		onSelectContacts : function(name, mobile) {
			Fw.Tips.info('name:' + name + ',mobile:' + mobile)
		},
		/**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
		onChange : function(name, value, oldValue, field) {
			// ... ...
			Fw.Tips.info(name + ':' + oldValue + '->' + value);
		},
		
		/**
         * 蓝牙交易加密
         */
		checktrans :function(values){
			if("5" == ifOtp){ //蓝牙key
        		var clearData = this.getSignDataforBluetoothKey();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        					bluetoothKeySignatureData = data;
        					App.doSubmit(values);
        				}
        		);
        	}else{
        		App.doSubmit(values);
        	}
		},
		
		/**
		 * 获取蓝牙key验证参数
		 */
		getSignDataforBluetoothKey :function(){
			//交易参数
			var flag = '';
			if(CardFlag = '0'){
				flag = '存折';
			}else{
				flag = '卡'
			}
        	var data = {
        			tradeName: "扬中金保通知单缴费", //交易名
        			tradeId: "MCJinBaoNoticePay", //接口名
					CardFlag:CardFlag,//卡折标志 0折1卡
	    			labelData: [
	    			    {
			            	labelName: "Sfzh", labelDesc: "身份证号: ", labelValue: Sfzh
			            }, {
			            	labelName: "Grbh", labelDesc: "个人编号: ", labelValue: Grbh
			            }, {
			            	labelName: "Dwmc", labelDesc: "单位名称:", labelValue: Dwmc
			            }, {
			            	labelName: "Dwbm", labelDesc: "单位编号: ", labelValue: Dwbm
			            }, {
			            	labelName: "Xm", labelDesc: "姓名: ", labelValue: Xm
			            }, {
			            	labelName: "Kssj",labelValue: Kssj
			            }, {
			            	labelName: "Jssj",labelValue: jssj
			            }, {
			            	labelName: "PayFeeSum", labelDesc: "缴费总金额: ", labelValue: PayFeeSum+'元'
			            }, {
			            	labelName: "AcName",
			            	labelValue: Fw.app.Session.getCustName(),
			            }, {
			            	labelName: "AcNo",labelValue: acNo
			            }, {
			            	labelName: "PlayFlag",labelValue: '转账'
			            }, {
			            	labelName: "CardFlag",labelValue: flag
			            }]
        	};
        	return data;
		},
		
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			// 设置表单值
			// values['XXX'] = 'XXX';
			//
			// if(...){
			// return false;//则不触发提交事件
			// }
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 提交表单
			case 'submit-btn':
				App.jinBaoNoticeSubmit();
				break;
			// 提交表单
			case 'pay-btn':
				form2.submit();
				break;
			// 表单重置
			case 'reset-btn':
				form.reset();
				break;
			// 重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			}
		},
		/**
         * 提交
         */
		jinBaoNoticeSubmit: function(){
			App.queryTransLimit();
        },
        /**
         * 交易限额查询与验证方式判断
         */
        queryTransLimit: function(){
        	var PaySum = Number(PayFeeSum);
        	var isOtp = Fw.app.Session.getIsOtp();
        	Fw.util.Ajax.query({
        		service: 'transferLimitService',
                method: 'queryTransLimit',
                //请求参数
                params: {
                	No: acNo,
                	BankAcType: bankAccType,
                	TxnType: "NT",
                	amount: PaySum
                },
                //请求成功后回调
                success: function(data, result) {
                	if(data.IsSms == "0"){ //短信校验
                		$("#smsValidDiv").addClass("sui-hide");
                	}else{
                		$("#smsValidDiv").removeClass("sui-hide");
                	}
                	ifOtp = data.IsOtp;
                	App.initDynamicPwdValid(data.IsOtp);
                	tab.setActiveItem(2);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                }
            });
       },
       /**
        * 动态口令验证初始化
        */
		initDynamicPwdValid : function(isOtp) {
			var otpType = Fw.app.Session.getOtpType();
			var otpNo = Fw.app.Session.getOtpNo();
			var param = {
				'isOtp' : isOtp,
				'otpType' : otpType,
				'otpNo' : otpNo,
				'isChallenge' : '0',
			};
			// 初始话动态口令显示
			Fw.Otp.initDynamicPwd(param);
		},
		/**
		 * 右边按钮点击事件
		 */
		rightButtonHandler : function() {
			// 设置表单值
			form.setValues({
			});
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
