/**
 * 创建应用
 */
var App = function() {
	var smsSecurity = null;
	var form;
	var buttons = $('button');
	var tab;
	var CardFlag;// 卡折标志
	var cardList;
	var bankAccType;
	var acNo;
	var TrsPassword;
	var SocSecType;//险种类型

	var PayFeeSum;
	var BankJnlNo;
	var TransSeqNo;
	var BeginDate;
	var EndDate;
	var Finaccno_1;
	var Finaccno_2;
	var Finaccno_3;
	var Finaccno_4;
	var Finaccno_5;
	var Amount_1;
	var Amount_2;
	var Amount_3;
	var Amount_4;
	var Amount_5;
	var bluetoothKeySignatureData = { //蓝牙key签名信息
			signCert: "", //证书
			signatureCleartext: "", //签名明文
			signatureCiphertext: "" //签名密文
		};
	var ifOtp;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', 'Fw.Tab',
		// 安全键盘
		'Fw.Keyboard',
		// 日历组件
		'Fw.Calendar',
		// 设备
		'Fw.device.Device',
		// 短信倒计时
		'Fw.SmsCountDown',
		// 常用数据
		'Fw.ConstantData',
		// 登录成功后可通过session获取信息
		'Fw.app.Session',
		'Fw.Otp',
		'Fw.BluetoothKey',
		'Fw.OcrUtil'
		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '医疗保险缴费',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 右边按钮（默认不显示） rightButton: '右边按钮'
		 */
		/*
		 * rightButton : { // 按钮标题 text : '设置表单值', //
		 * 自定义按钮点击事件（默认App.rightButtonHandler） // handler: XXX },
		 */
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义选项卡
			tab = new Fw.Tab({
				// 选项卡EL
				contentEl : 'tab',
				// 默认选项卡（默认0）
				activeTab : 0,
				// 是否锁定tab标题
				fixed : true,
				reload : true
			});
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 定义表单
			form1 = new Fw.Form({
				// EL
				contentEl : 'form1',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 定义表单
			form2 = new Fw.Form({
				// EL
				contentEl : 'form2',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});

			// 初始化事件
			this.initEvents();
			// 初始数据
			this.initDate();
			// 手动隐藏等待层
			Fw.LoadMask.hide(500);
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 表单值改变时触发（包含文本输入框、多行文本输入框、单选、多选、下拉框）
			//form.on('change', this.onChange, this);
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			 form2.on('submit', this.checktrans, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.on('click', Fw.bind(this.onButtonClick, this));
			// 联系人
			$('#selectContact').on('click', function() {
				Fw.device.Device.selectPhone('App.onSelectContacts');
			});
			// 点击调用倒计时插件
			$('#smsCountDown').on('click',
					Fw.bind(this.smsCountDownClick, this));
		},
		/**
         * 调用短信统一接口
         */
        smsCountDownClick: function(e){
        	var acName=Fw.app.Session.getCustName();
        	//点击发送验证码按钮
        	var contentEl = $(e.currentTarget);
        	//倒计时配置参数
        	var params = {
        			//按钮对象
        			contentEl:contentEl,
        			//参数
				    param : {
				    //0表示本地获取 1表示 渠道端获取
				    socket: '1',
					modType : 'jinBaoPayOutlay', //交易id
					phoneNum : '',
					payeeAcNo: acNo,
        			payeeAcName: acName,
					amount: PayFeeSum //交易金额
				},
        	};
        	//调用倒计时插件
        	Fw.SmsCountDown.showSmsCountDown(params,this.onRefreshSms);
        },
        /**
		 * 获取短信后触发
		 */
		onRefreshSms : function(data) {
			
		},
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
			// 获取当前选项卡序号
			var index = tab.getActiveItemIndex();
			if (index == 0 || index == 3) {
				// 返回上级目录
				Fw.redirect("../socialSecurity/menu.html", Fw.getParameters());
			} else if (index == 1) {
				App.viewConfig.title = "医疗保险缴费";
				Fw.apply(App.viewConfig, this.viewConfig);
				// 设置标题栏
				Fw.device.Device.applyView(App);
				// 返回上一页
				tab.setActiveItem(0);
			} else if (index == 2) {
				$('[name="TrsPassword"]').val('');
				$('[name="TrsPassword"]').attr("placeholder", "请输入交易密码");
				$('[name="optNo"]').val('');
				$('[name="oTPPassword"]').val('');
				$('[name="smscode"]').val('');
				$('[name="optNo"]').attr("placeholder", "请输入口令序号");
				$('[name="oTPPassword"]').attr("placeholder", "请输入动态口令");
				$('[name="smscode"]').attr("placeholder", "请输入验证码");
				tab.setActiveItem(1);
			}
		},
		/**
		 * 初始数据
		 */
		initDate : function() {
			App.initAcctNo();
		},
		initAcctNo : function() {
			cardList = Fw.app.Session.getAllCards();
			var j = 0;
			for (var i = 0; i < cardList.length; i++) {
				var card = cardList[i];
				if (card.BankAcType != "PCRC") {
					$('[name="AcNo"]').append(
							"<option value=" + Fw.encode(card) + ">"
									+ Fw.util.Format.fmtAcctNo(card.No, true)
									+ "</option>");
					if (j == 0) {
						this.changeCard();
					}
					j++;
				}
			}
			if (j == 0) {
				Fw.Tips.info("无可用账户");
			}
		},
		changeCard : function() {
			var card = Fw.decode($('[name="AcNo"]').val());
			acNo = card.No;
			bankAccType = card.BankAcType;
			if (bankAccType == "PSDP" || bankAccType == "PSAV") {
				CardFlag = 1;
			}
			if (bankAccType == "PDBC" || bankAccType == "PDAC") {
				CardFlag = 0;
			}
		},
		// 验证社保
		checkSocSecNo : function(data) {
			var reg = /(^[0-9]{15}$)|(^[0-9]{18}$)|(^[0-9]{17}([0-9]|X|x)$)/;
			if (reg.test(data)) {
				return true;
			} else {
				return false;
			}
		},
		conform : function() {
			var SocSecNo = $("#SocSecNo").val();// 社保卡.身份证号码
			SocSecType = $("#SocSecType").val();// 险种类型
			if (SocSecNo == "") {
				Fw.Tips.info("证件号不能为空");
				return;
			}
			if (App.checkSocSecNo(SocSecNo)) {
				if (SocSecNo.length <= 16 || SocSecNo.length == 17) {
					Fw.Tips.info("证件号码不符合规范");
					return;
				}
			}else {
				Fw.Tips.info("证件号码不符合规范");
				return;
			}
			Fw.util.Ajax.execute({
				service : 'jinBaoService',
				method : 'executeJinBaoPayCostSearch',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					SocSecNo : SocSecNo,
					SocSecType : SocSecType,
					Term_id : Fw.app.Session.getLoginPhoneNo()
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var obj = result.result;
					$("#SocSecNo1").val($("#SocSecNo").val());
					var odj = document.getElementById("SocSecType");
					var index = odj.selectedIndex;
					var SocSecType = odj.options[index].text;
					$("#SocSecType1").val(SocSecType);
					$("#SocSecNo2").val(obj.SocSecNo);
					$("#SocSecSeq").val(obj.SocSecSeq);
					$("#SocSecName").val(obj.SocSecName);
					var Begin = obj.BeginDate;
					var BeginDate1 = Begin.substring(0, 4) + "-"
							+ Begin.substring(4, 6);
					var End = obj.EndDate;
					var EndDate1 = End.substring(0, 4) + "-"
							+ End.substring(4, 6) ;
					$("#BeginDate").val(BeginDate1);
					$("#EndDate").val(EndDate1);
					$("#mustAmount").val(Fw.util.Format.fmtAmt(obj.PayFeeSum));
					$("#actualAmount").val(Fw.util.Format.fmtAmt(obj.PayFeeSum));
					PayFeeSum = obj.PayFeeSum;
					BankJnlNo = obj.BankJnlNo;
					TransSeqNo = obj.Lsh;
					BeginDate = obj.BeginDate;
					EndDate = obj.EndDate;
					Finaccno_1 = obj.Finaccno_1;
					Finaccno_2 = obj.Finaccno_2;
					Finaccno_3 = obj.Finaccno_3;
					Finaccno_4 = obj.Finaccno_4;
					Finaccno_5 = obj.Finaccno_5;
					Amount_1 = obj.Amount_1;
					Amount_2 = obj.Amount_2;
					Amount_3 = obj.Amount_3;
					Amount_4 = obj.Amount_4;
					Amount_5 = obj.Amount_5;
					App.viewConfig.title = "医疗保险缴费确认";
					Fw.apply(App.viewConfig, this.viewConfig);
					// 设置标题栏
					Fw.device.Device.applyView(App);
					tab.moveNext();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Tips.info("未查到相关信息");
				}
			});
		},
		doSubmit : function(values) {
			var SocSecSeq = $("#SocSecSeq").val();//人员社保编码
			var IdNo = $("#SocSecNo1").val();//
			var SocSecNo = $("#SocSecNo2").val();//社保卡号
			var SocSecName = $("#SocSecName").val();//姓名
			var TrsPassword = values.TrsPassword;
			var pwdCode=$('[name="smscode"]').val();
			var oTPPassword = $("input[name=oTPPassword]").val();
			Fw.util.Ajax.execute({
				service : 'jinBaoService',
				method : 'executeJinBaoPayCost',
				// method:
				// 'executeReceiver',//默认为execute，方法名称必须是execute开头
				// 请求参数
				params : {
					SocSecJnlNo:TransSeqNo,//流水号 
					BankJnlNo:BankJnlNo,//银行流水号
					Amount_1:Amount_1,
					Amount_2:Amount_2,
					Amount_3:Amount_3,
					Amount_4:Amount_4,
					Amount_5:Amount_5,
					Finaccno_1:Finaccno_1,
					Finaccno_2:Finaccno_2,
					Finaccno_3:Finaccno_3,
					Finaccno_4:Finaccno_4,
					Finaccno_5:Finaccno_5,
					Xzlx:SocSecType,//险种类型
					IdNo:IdNo,//身份证号
					SocSecSeq:SocSecSeq,//人员社保编码
					SocSecNo:SocSecNo,//社保卡号
					SocSecName:SocSecName,//姓名
					KsDate:BeginDate,//开始年月
					ZzDate:EndDate,//终止年月
					PlayFlag:"2",//付款方式1 现金 2 转账 默认2
					CardFlag:CardFlag,//卡折标志 0折1卡
					AcNo:acNo,//缴费账号
					AcName:Fw.app.Session.getCustName(),//缴费账号户名
					TrsPassword:TrsPassword,
					PayFeeSum:PayFeeSum,//缴费总金额
					Term_id:Fw.app.Session.getLoginPhoneNo(),
					//短信校验字段
					payeeAcNo: acNo,
					payeeAcName: Fw.app.Session.getCustName(),
					amount: PayFeeSum,
					pwdCode: pwdCode,
					//口令校验字段
					oTPPassword : oTPPassword,
					//蓝牙校验字段
					SignCert : bluetoothKeySignatureData.signCert, //证书
					SignatureCleartext : bluetoothKeySignatureData.signatureCleartext, //签名明文
					SignatureCiphertext : bluetoothKeySignatureData.signatureCiphertext //签名密文
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					var obj = result.result;
					$("#Result_TransSeqNo").html(obj.BankJnlNo);
					App.viewConfig.title = "医疗保险缴费结果";
					Fw.apply(App.viewConfig, this.viewConfig);
					// 设置标题栏
					Fw.device.Device.applyView(App);
					tab.moveNext();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					
				}
			});
		},
		/**
		 * 联系人
		 */
		onSelectContacts : function(name, mobile) {
			Fw.Tips.info('name:' + name + ',mobile:' + mobile)
		},
		/**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
		onChange : function(name, value, oldValue, field) {
			// ... ...
			Fw.Tips.info(name + ':' + oldValue + '->' + value);
		},
		
		/**
         * 蓝牙交易加密
         */
		checktrans :function(values){
			if("5" == ifOtp){ //蓝牙key
        		var clearData = this.getSignDataforBluetoothKey();
        		Fw.BluetoothKey.encryptByBluetoothKey(clearData, Fw.app.Session,
        				function(data){
        					bluetoothKeySignatureData = data;
        					App.doSubmit(values);
        				}
        		);
        	}else{
        		App.doSubmit(values);
        	}
		},
		
		/**
		 * 获取蓝牙key验证参数
		 */
		getSignDataforBluetoothKey :function(){
			//交易参数
			var socsecvalue = '';
			if(SocSecType == '20'){
				socsecvalue = '基本医疗';
			}else if(SocSecType == '25'){
				socsecvalue = '住院医疗';
			}else if(SocSecType == '24'){
				socsecvalue = '居民医疗';
			}else{
				socsecvalue = '学生医保';
			}
			var flag = '';
			if(CardFlag = '0'){
				flag = '存折';
			}else{
				flag = '卡'
			}
        	var data = {
        			tradeName: "扬中金保医疗保险缴费", //交易名
        			tradeId: "MCJinBaoPay", //接口名
	    			labelData: [
	    				{
			            	labelName: "Xzlx", labelDesc: "险种类型: ", labelValue: socsecvalue
			            }, {
			            	labelName: "PeopleSocialNo", labelDesc: "人员社保编码: ", 
			            	labelValue: $("#SocSecSeq").val()
			            }, {
			            	labelName: "SocialAcctNo", labelDesc: "社保卡号: ", 
			            	labelValue: $("#SocSecNo2").val()
			            }, {
			            	labelName: "Name", labelDesc: "姓名:", labelValue: $("#SocSecName").val()
			            }, {
			            	labelName: "IdNo", labelDesc: "身份证号:", labelValue: $("#SocSecNo1").val()
			            }, {
			            	labelName: "KsDate",labelValue: BeginDate
			            }, {
			            	labelName: "ZzDate",labelValue: EndDate
			            }, {
			            	labelName: "AcNo",labelValue: acNo
			            }, {
			            	labelName: "AcName",
			            	labelValue: Fw.app.Session.getCustName()
			            }, {
			            	labelName: "PayFeeSum", labelDesc: "缴费总金额: ", labelValue: PayFeeSum+'元'
			            }, {
			            	labelName: "CardFlag",labelValue: flag
			            }, {
			            	labelName: "PlayFlag",labelValue: '转账'
			            }]
        	};
        	return data;
		},
		
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			// 设置表单值
			// values['XXX'] = 'XXX';
			//
			// if(...){
			// return false;//则不触发提交事件
			// }
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
			switch (e.target.id) {
			// 提交表单
			case 'submit-btn':
				App.jinBaoSubmit();
				break;
				// 提交表单
			case 'pay-btn':
				form2.submit();
				break;
			// 表单重置
			case 'reset-btn':
				form.reset();
				break;
			// 重发验证码
			case 'resend-btn':
				Fw.Tips.info('重发验证码...');
				break;
			}
		},
		
		/**
         * 提交
         */
        jinBaoSubmit: function(){
			App.queryTransLimit();
        },
        /**
         * 交易限额查询与验证方式判断
         */
        queryTransLimit: function(){
        	var PaySum = Number(PayFeeSum);
        	var isOtp = Fw.app.Session.getIsOtp();
        	Fw.util.Ajax.query({
        		service: 'transferLimitService',
                method: 'queryTransLimit',
                //请求参数
                params: {
                	No: acNo,
                	BankAcType: bankAccType,
                	TxnType: "NT",
                	amount: PaySum
                },
                //请求成功后回调
                success: function(data, result) {
                	if(data.IsSms == "0"){ //短信校验
                		$("#smsValidDiv").addClass("sui-hide");
                	}else{
                		$("#smsValidDiv").removeClass("sui-hide");
                	}
                	App.initDynamicPwdValid(data.IsOtp);
                	ifOtp = data.IsOtp;
                	tab.setActiveItem(2);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	
                }
            });
       },
       /**
        * 动态口令验证初始化
        */
		initDynamicPwdValid : function(isOtp) {
			var otpType = Fw.app.Session.getOtpType();
			var otpNo = Fw.app.Session.getOtpNo();
			var param = {
				'isOtp' : isOtp,
				'otpType' : otpType,
				'otpNo' : otpNo,
				'isChallenge' : '0',
			};
			// 初始话动态口令显示
			Fw.Otp.initDynamicPwd(param);
		},
		/**
		 * 右边按钮点击事件
		 */
		rightButtonHandler : function() {
			// 设置表单值
			form.setValues({
			});
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
